diff -pruN 0.7-6/ChangeLog 0.7.1-2/ChangeLog
--- 0.7-6/ChangeLog	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/ChangeLog	2018-09-01 18:55:05.000000000 +0000
@@ -1,3 +1,21 @@
+Version 0.7.1
+https://github.com/edgewall/genshi/tags/0.7.1/
+(Sep 1 2018, from branches/stable/0.7.x)
+
+ * Add support for Python 3.5, 3.6 and 3.7.
+ * Move to GitHub and Travis CI.
+ * Add support for iterator arguments to _speedups Markup.join implementation so that it matches
+   the Python implementation (fixes #574).
+ * Add HTML5 input placeholder attribute to list of translatable attributes (fixes #577).
+ * Add missing boolean attributes to XHTML and HTML serializers (fixes #570).
+ * Fix infinite recursion in template inlining (fixes #584).
+ * Support slash escaped of CRLF newlines (fixes #569).
+ * Disable the speedups C extension on CPython >= 3.3 since Genshi doesn't support the new Unicode
+   C API yet.
+ * Fix handling of case where a translation has text after a closing tag (fixes #566).
+ * Fix assert with side-effect in xi:fallback directive processing (see #565).
+
+
 Version 0.7
 http://svn.edgewall.org/repos/genshi/tags/0.7.0/
 (Jan 27 2013, from branches/stable/0.7.x)
@@ -66,8 +84,8 @@ http://svn.edgewall.org/repos/genshi/tag
  * `for` loops in template code blocks no longer establish their own locals
    scope, meaning you can now access variables assigned in the loop outside
    of the loop, just as you can in regular Python code (ticket #259).
- * Import statements inside function definitions in template code blocks no 
-   longer result in an UndefinedError when the imported name is accessed 
+ * Import statements inside function definitions in template code blocks no
+   longer result in an UndefinedError when the imported name is accessed
    (ticket #276).
  * Fixed handling of relative URLs with fragment identifiers containing colons
    in the `HTMLSanitizer` (ticket #274).
@@ -284,7 +302,7 @@ http://svn.edgewall.org/repos/genshi/tag
  * The template loader now uses a LRU cache to limit the number of cached
    templates to a configurable maximum. Also, a race condition in the template
    loader was fixed by adding locking.
- * A new filter (genshi.filters.HTMLFormFiller) was added, which can populate 
+ * A new filter (genshi.filters.HTMLFormFiller) was added, which can populate
    HTML forms based on a dictionary of values.
  * The set of permitted tag and attribute names for the HTMLSanitizer can now
    be configured per instance.
@@ -310,7 +328,7 @@ http://svn.edgewall.org/repos/genshi/tag
  * Improve handling of incorrectly nested tags in the HTML parser.
  * Template includes can now be nested inside fallback content.
  * Expressions can now contain dict literals (ticket #37).
- * It is now possible to have one or more escaped dollar signs in front of a 
+ * It is now possible to have one or more escaped dollar signs in front of a
    full expression (ticket #92).
  * The `Markup` class is now available by default in template expressions
    (ticket #67).
@@ -354,7 +372,7 @@ Version 0.3.5
 http://svn.edgewall.org/repos/genshi/tags/0.3.5/
 (Nov 22 2006, from branches/stable/0.3.x)
 
- * Fix XPath traversal in match templates. Previously, `div/p` would be treated 
+ * Fix XPath traversal in match templates. Previously, `div/p` would be treated
    the same as `div//p`, i.e. it would match all descendants and not just the
    immediate children.
  * Preserve whitespace in HTML `<pre>` elements also when they contain child
diff -pruN 0.7-6/debian/changelog 0.7.1-2/debian/changelog
--- 0.7-6/debian/changelog	2017-06-29 18:21:48.000000000 +0000
+++ 0.7.1-2/debian/changelog	2019-02-08 12:26:01.000000000 +0000
@@ -1,3 +1,57 @@
+genshi (0.7.1-2) unstable; urgency=medium
+
+  * debian/tests/control:
+      - Python 3.7 only
+
+ -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 08 Feb 2019 10:26:01 -0200
+
+genshi (0.7.1-1) unstable; urgency=medium
+
+  * Team upload
+  * New upstream release (Closes: #910442)
+
+  [ Ondřej Nový ]
+  * d/control: Set Vcs-* to salsa.debian.org
+  * d/copyright: Use https protocol in Format field
+  * d/changelog: Remove trailing whitespaces
+  * d/control: Remove Testsuite field, not needed anymore
+  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
+  * d/control: Remove ancient X-Python-Version field
+  * d/control: Remove ancient X-Python3-Version field
+  * Convert git repository from git-dpm to gbp layout
+
+  [ Herbert Fortes ]
+  * debian/control:
+      - Bump Standards-Version from 3.9.6 to 4.3.0
+  * debian/copyright:
+      - Add myself to debian/
+      - Files field for upstream first
+  * debian/missing-sources:
+      - examples/tutorial/geddit/static/jquery.js file
+        already is a symlink to libjs-jquery. Add the
+        sources (Closes: #787603)
+  * debian/patches:
+      - Remove issue566.patch. Fixed upstream.
+      - Remove issue566.patch. Fixed upstream.
+      - Remove issue602.patch. Fixed upstream.
+      - Remove fix_tests_failure_with_python27.patch.
+  * debian/python-genshi-doc.examples:
+      - Remove file
+  * debian/python-genshi-doc.install:
+      - No html files
+      - Add examples dir
+    debian/python-genshi-doc.doc-base:
+      - No html
+  * debian/rules:
+      - dh_clean rm -fr *.egg-info/
+  * debian/tests/control:
+      - tox -e py27,py37
+  * debian/watch:
+      - Version 4
+      - GitHub
+
+ -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 02 Feb 2019 11:42:17 -0200
+
 genshi (0.7-6) unstable; urgency=medium
 
   * Team upload.
@@ -72,7 +126,7 @@ genshi (0.7-1) unstable; urgency=low
     - Closes: #713747 (FTBFS)
     - Closes: #673935 (py:match templates patch applied upstream).
   * d/control:
-    - With maintainer permission, put DPMT in Maintainers, moved Arnaud to 
+    - With maintainer permission, put DPMT in Maintainers, moved Arnaud to
       Uploaders, and added Barry to the latter.
     - Add python3-genshi binary package.
     - Update Build-Depends for pybuild and remove cdbs.
@@ -247,7 +301,7 @@ genshi (0.3.6-1) experimental; urgency=l
 
   [ Piotr Ozarowski ]
   * Added XS-Vcs-Svn field to debian/control*.
-	
+
  -- Arnaud Fontaine <arnaud@andesi.org>  Sat, 20 Jan 2007 15:30:30 +0100
 
 genshi (0.3.5-1) unstable; urgency=low
diff -pruN 0.7-6/debian/compat 0.7.1-2/debian/compat
--- 0.7-6/debian/compat	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/compat	2019-02-02 12:57:55.000000000 +0000
@@ -1 +1 @@
-8
+12
diff -pruN 0.7-6/debian/control 0.7.1-2/debian/control
--- 0.7-6/debian/control	2017-06-29 18:21:48.000000000 +0000
+++ 0.7.1-2/debian/control	2019-02-03 10:42:57.000000000 +0000
@@ -3,19 +3,16 @@ Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all-dev (>= 2.6.6-3~),
                python-setuptools (>= 0.6b3),
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
+Standards-Version: 4.3.0
 Homepage: http://genshi.edgewall.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/genshi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/genshi.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/genshi.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/genshi
 
 Package: python-genshi
 Architecture: any
diff -pruN 0.7-6/debian/copyright 0.7.1-2/debian/copyright
--- 0.7-6/debian/copyright	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/copyright	2019-02-02 13:36:24.000000000 +0000
@@ -1,16 +1,17 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: Genshi
 Source: http://genshi.edgewall.org/wiki/Download
 
+Files: *
+Copyright: (c) 2006-2012, Edgewall Software <info@edgewall.org>
+License: BSD-3-clause
+
 Files: debian/*
 Copyright: (c) 2006-2011, Arnaud Fontaine <arnau@debian.org>
            (c) 2012-2014, Barry Warsaw <barry@debian.org>
+           (c) 2019,      Herbert Parentes Fortes Neto <hpfn@debian.org>
 License: GPL
 
-Files: *
-Copyright: (c) 2006-2012, Edgewall Software <info@edgewall.org>
-License: BSD-3-clause
-
 License: BSD-3-clause
  Redistribution and use in source  and binary forms, with or without
  modification, are permitted  provided that the following conditions are met:
diff -pruN 0.7-6/debian/.git-dpm 0.7.1-2/debian/.git-dpm
--- 0.7-6/debian/.git-dpm	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/.git-dpm	1970-01-01 00:00:00.000000000 +0000
@@ -1,11 +0,0 @@
-# see git-dpm(1) from git-dpm package
-fafbc4296902b2259c23d2ce55996b0127726b4f
-fafbc4296902b2259c23d2ce55996b0127726b4f
-7f2bd926dd94814add6162a31ed051ed3b6b56f8
-7f2bd926dd94814add6162a31ed051ed3b6b56f8
-genshi_0.7.orig.tar.gz
-f34b762736d2814bcdea075f6b01b9de6c61aa61
-491579
-debianTag="debian/%e%v"
-patchedTag="patched/%e%v"
-upstreamTag="upstream/%e%u"
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajax.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajax.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajax.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajax.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,823 @@
+jQuery.fn.extend({
+
+	/**
+	 * Load HTML from a remote file and inject it into the DOM, only if it's
+	 * been modified by the server.
+	 *
+	 * @example $("#feeds").loadIfModified("feeds.html");
+	 * @before <div id="feeds"></div>
+	 * @result <div id="feeds"><b>45</b> feeds found.</div>
+	 *
+	 * @name loadIfModified
+	 * @type jQuery
+	 * @param String url The URL of the HTML file to load.
+	 * @param Map params (optional) Key/value pairs that will be sent to the server.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded (parameters: responseText, status and response itself).
+	 * @cat Ajax
+	 */
+	// DEPRECATED
+	loadIfModified: function( url, params, callback ) {
+		this.load( url, params, callback, 1 );
+	},
+
+	/**
+	 * Load HTML from a remote file and inject it into the DOM.
+	 *
+	 * Note: Avoid to use this to load scripts, instead use $.getScript.
+	 * IE strips script tags when there aren't any other characters in front of it.
+	 *
+	 * @example $("#feeds").load("feeds.html");
+	 * @before <div id="feeds"></div>
+	 * @result <div id="feeds"><b>45</b> feeds found.</div>
+	 *
+ 	 * @example $("#feeds").load("feeds.html",
+ 	 *   {limit: 25},
+ 	 *   function() { alert("The last 25 entries in the feed have been loaded"); }
+ 	 * );
+	 * @desc Same as above, but with an additional parameter
+	 * and a callback that is executed when the data was loaded.
+	 *
+	 * @name load
+	 * @type jQuery
+	 * @param String url The URL of the HTML file to load.
+	 * @param Object params (optional) A set of key/value pairs that will be sent as data to the server.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded (parameters: responseText, status and response itself).
+	 * @cat Ajax
+	 */
+	load: function( url, params, callback, ifModified ) {
+		if ( jQuery.isFunction( url ) )
+			return this.bind("load", url);
+
+		callback = callback || function(){};
+
+		// Default to a GET request
+		var type = "GET";
+
+		// If the second parameter was provided
+		if ( params )
+			// If it's a function
+			if ( jQuery.isFunction( params ) ) {
+				// We assume that it's the callback
+				callback = params;
+				params = null;
+
+			// Otherwise, build a param string
+			} else {
+				params = jQuery.param( params );
+				type = "POST";
+			}
+
+		var self = this;
+
+		// Request the remote document
+		jQuery.ajax({
+			url: url,
+			type: type,
+			data: params,
+			ifModified: ifModified,
+			complete: function(res, status){
+				// If successful, inject the HTML into all the matched elements
+				if ( status == "success" || !ifModified && status == "notmodified" )
+					self.html(res.responseText);
+
+				// Add delay to account for Safari's delay in globalEval
+				setTimeout(function(){
+					self.each( callback, [res.responseText, status, res] );
+				}, 13);
+			}
+		});
+		return this;
+	},
+
+	/**
+	 * Serializes a set of input elements into a string of data.
+	 * This will serialize all given elements.
+	 *
+	 * A serialization similar to the form submit of a browser is
+	 * provided by the [http://www.malsup.com/jquery/form/ Form Plugin].
+	 * It also takes multiple-selects 
+	 * into account, while this method recognizes only a single option.
+	 *
+	 * @example $("input[@type=text]").serialize();
+	 * @before <input type='text' name='name' value='John'/>
+	 * <input type='text' name='location' value='Boston'/>
+	 * @after name=John&amp;location=Boston
+	 * @desc Serialize a selection of input elements to a string
+	 *
+	 * @name serialize
+	 * @type String
+	 * @cat Ajax
+	 */
+	serialize: function() {
+		return jQuery.param( this );
+	},
+
+	// DEPRECATED
+	// This method no longer does anything - all script evaluation is
+	// taken care of within the HTML injection methods.
+	evalScripts: function(){}
+
+});
+
+// Attach a bunch of functions for handling common AJAX events
+
+/**
+ * Attach a function to be executed whenever an AJAX request begins
+ * and there is none already active.
+ *
+ * @example $("#loading").ajaxStart(function(){
+ *   $(this).show();
+ * });
+ * @desc Show a loading message whenever an AJAX request starts
+ * (and none is already active).
+ *
+ * @name ajaxStart
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+
+/**
+ * Attach a function to be executed whenever all AJAX requests have ended.
+ *
+ * @example $("#loading").ajaxStop(function(){
+ *   $(this).hide();
+ * });
+ * @desc Hide a loading message after all the AJAX requests have stopped.
+ *
+ * @name ajaxStop
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+
+/**
+ * Attach a function to be executed whenever an AJAX request completes.
+ *
+ * The XMLHttpRequest and settings used for that request are passed
+ * as arguments to the callback.
+ *
+ * @example $("#msg").ajaxComplete(function(request, settings){
+ *   $(this).append("<li>Request Complete.</li>");
+ * });
+ * @desc Show a message when an AJAX request completes.
+ *
+ * @name ajaxComplete
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+
+/**
+ * Attach a function to be executed whenever an AJAX request completes
+ * successfully.
+ *
+ * The XMLHttpRequest and settings used for that request are passed
+ * as arguments to the callback.
+ *
+ * @example $("#msg").ajaxSuccess(function(request, settings){
+ *   $(this).append("<li>Successful Request!</li>");
+ * });
+ * @desc Show a message when an AJAX request completes successfully.
+ *
+ * @name ajaxSuccess
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+
+/**
+ * Attach a function to be executed whenever an AJAX request fails.
+ *
+ * The XMLHttpRequest and settings used for that request are passed
+ * as arguments to the callback. A third argument, an exception object,
+ * is passed if an exception occured while processing the request.
+ *
+ * @example $("#msg").ajaxError(function(request, settings){
+ *   $(this).append("<li>Error requesting page " + settings.url + "</li>");
+ * });
+ * @desc Show a message when an AJAX request fails.
+ *
+ * @name ajaxError
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+ 
+/**
+ * Attach a function to be executed before an AJAX request is sent.
+ *
+ * The XMLHttpRequest and settings used for that request are passed
+ * as arguments to the callback.
+ *
+ * @example $("#msg").ajaxSend(function(request, settings){
+ *   $(this).append("<li>Starting request at " + settings.url + "</li>");
+ * });
+ * @desc Show a message before an AJAX request is sent.
+ *
+ * @name ajaxSend
+ * @type jQuery
+ * @param Function callback The function to execute.
+ * @cat Ajax
+ */
+jQuery.each( "ajaxStart,ajaxStop,ajaxComplete,ajaxError,ajaxSuccess,ajaxSend".split(","), function(i,o){
+	jQuery.fn[o] = function(f){
+		return this.bind(o, f);
+	};
+});
+
+jQuery.extend({
+
+	/**
+	 * Load a remote page using an HTTP GET request.
+	 *
+	 * This is an easy way to send a simple GET request to a server
+	 * without having to use the more complex $.ajax function. It
+	 * allows a single callback function to be specified that will
+	 * be executed when the request is complete (and only if the response
+	 * has a successful response code). If you need to have both error
+	 * and success callbacks, you may want to use $.ajax.
+	 *
+	 * @example $.get("test.cgi");
+	 *
+	 * @example $.get("test.cgi", { name: "John", time: "2pm" } );
+	 *
+	 * @example $.get("test.cgi", function(data){
+	 *   alert("Data Loaded: " + data);
+	 * });
+	 *
+	 * @example $.get("test.cgi",
+	 *   { name: "John", time: "2pm" },
+	 *   function(data){
+	 *     alert("Data Loaded: " + data);
+	 *   }
+	 * );
+	 *
+	 * @name $.get
+	 * @type XMLHttpRequest
+	 * @param String url The URL of the page to load.
+	 * @param Map params (optional) Key/value pairs that will be sent to the server.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded successfully.
+	 * @cat Ajax
+	 */
+	get: function( url, data, callback, type, ifModified ) {
+		// shift arguments if data argument was ommited
+		if ( jQuery.isFunction( data ) ) {
+			callback = data;
+			data = null;
+		}
+		
+		return jQuery.ajax({
+			type: "GET",
+			url: url,
+			data: data,
+			success: callback,
+			dataType: type,
+			ifModified: ifModified
+		});
+	},
+
+	/**
+	 * Load a remote page using an HTTP GET request, only if it hasn't
+	 * been modified since it was last retrieved.
+	 *
+	 * @example $.getIfModified("test.html");
+	 *
+	 * @example $.getIfModified("test.html", { name: "John", time: "2pm" } );
+	 *
+	 * @example $.getIfModified("test.cgi", function(data){
+	 *   alert("Data Loaded: " + data);
+	 * });
+	 *
+	 * @example $.getifModified("test.cgi",
+	 *   { name: "John", time: "2pm" },
+	 *   function(data){
+	 *     alert("Data Loaded: " + data);
+	 *   }
+	 * );
+	 *
+	 * @name $.getIfModified
+	 * @type XMLHttpRequest
+	 * @param String url The URL of the page to load.
+	 * @param Map params (optional) Key/value pairs that will be sent to the server.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded successfully.
+	 * @cat Ajax
+	 */
+	// DEPRECATED
+	getIfModified: function( url, data, callback, type ) {
+		return jQuery.get(url, data, callback, type, 1);
+	},
+
+	/**
+	 * Loads, and executes, a remote JavaScript file using an HTTP GET request.
+	 *
+	 * Warning: Safari <= 2.0.x is unable to evaluate scripts in a global
+	 * context synchronously. If you load functions via getScript, make sure
+	 * to call them after a delay.
+	 *
+	 * @example $.getScript("test.js");
+	 *
+	 * @example $.getScript("test.js", function(){
+	 *   alert("Script loaded and executed.");
+	 * });
+	 *
+	 * @name $.getScript
+	 * @type XMLHttpRequest
+	 * @param String url The URL of the page to load.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded successfully.
+	 * @cat Ajax
+	 */
+	getScript: function( url, callback ) {
+		return jQuery.get(url, null, callback, "script");
+	},
+
+	/**
+	 * Load JSON data using an HTTP GET request.
+	 *
+	 * @example $.getJSON("test.js", function(json){
+	 *   alert("JSON Data: " + json.users[3].name);
+	 * });
+	 *
+	 * @example $.getJSON("test.js",
+	 *   { name: "John", time: "2pm" },
+	 *   function(json){
+	 *     alert("JSON Data: " + json.users[3].name);
+	 *   }
+	 * );
+	 *
+	 * @name $.getJSON
+	 * @type XMLHttpRequest
+	 * @param String url The URL of the page to load.
+	 * @param Map params (optional) Key/value pairs that will be sent to the server.
+	 * @param Function callback A function to be executed whenever the data is loaded successfully.
+	 * @cat Ajax
+	 */
+	getJSON: function( url, data, callback ) {
+		return jQuery.get(url, data, callback, "json");
+	},
+
+	/**
+	 * Load a remote page using an HTTP POST request.
+	 *
+	 * @example $.post("test.cgi");
+	 *
+	 * @example $.post("test.cgi", { name: "John", time: "2pm" } );
+	 *
+	 * @example $.post("test.cgi", function(data){
+	 *   alert("Data Loaded: " + data);
+	 * });
+	 *
+	 * @example $.post("test.cgi",
+	 *   { name: "John", time: "2pm" },
+	 *   function(data){
+	 *     alert("Data Loaded: " + data);
+	 *   }
+	 * );
+	 *
+	 * @name $.post
+	 * @type XMLHttpRequest
+	 * @param String url The URL of the page to load.
+	 * @param Map params (optional) Key/value pairs that will be sent to the server.
+	 * @param Function callback (optional) A function to be executed whenever the data is loaded successfully.
+	 * @cat Ajax
+	 */
+	post: function( url, data, callback, type ) {
+		if ( jQuery.isFunction( data ) ) {
+			callback = data;
+			data = {};
+		}
+
+		return jQuery.ajax({
+			type: "POST",
+			url: url,
+			data: data,
+			success: callback,
+			dataType: type
+		});
+	},
+
+	/**
+	 * Set the timeout in milliseconds of all AJAX requests to a specific amount of time.
+	 * This will make all future AJAX requests timeout after a specified amount
+	 * of time.
+	 *
+	 * Set to null or 0 to disable timeouts (default).
+	 *
+	 * You can manually abort requests with the XMLHttpRequest's (returned by
+	 * all ajax functions) abort() method.
+	 *
+	 * Deprecated. Use $.ajaxSetup instead.
+	 *
+	 * @example $.ajaxTimeout( 5000 );
+	 * @desc Make all AJAX requests timeout after 5 seconds.
+	 *
+	 * @name $.ajaxTimeout
+	 * @type undefined
+	 * @param Number time How long before an AJAX request times out, in milliseconds.
+	 * @cat Ajax
+	 */
+	// DEPRECATED
+	ajaxTimeout: function( timeout ) {
+		jQuery.ajaxSettings.timeout = timeout;
+	},
+	
+	/**
+	 * Setup global settings for AJAX requests.
+	 *
+	 * See $.ajax for a description of all available options.
+	 *
+	 * @example $.ajaxSetup( {
+	 *   url: "/xmlhttp/",
+	 *   global: false,
+	 *   type: "POST"
+	 * } );
+	 * $.ajax({ data: myData });
+	 * @desc Sets the defaults for AJAX requests to the url "/xmlhttp/",
+	 * disables global handlers and uses POST instead of GET. The following
+	 * AJAX requests then sends some data without having to set anything else.
+	 *
+	 * @name $.ajaxSetup
+	 * @type undefined
+	 * @param Map settings Key/value pairs to use for all AJAX requests
+	 * @cat Ajax
+	 */
+	ajaxSetup: function( settings ) {
+		jQuery.extend( jQuery.ajaxSettings, settings );
+	},
+
+	ajaxSettings: {
+		global: true,
+		type: "GET",
+		timeout: 0,
+		contentType: "application/x-www-form-urlencoded",
+		processData: true,
+		async: true,
+		data: null
+	},
+	
+	// Last-Modified header cache for next request
+	lastModified: {},
+
+	/**
+	 * Load a remote page using an HTTP request.
+	 *
+	 * This is jQuery's low-level AJAX implementation. See $.get, $.post etc. for
+	 * higher-level abstractions that are often easier to understand and use,
+	 * but don't offer as much functionality (such as error callbacks).
+	 *
+	 * $.ajax() returns the XMLHttpRequest that it creates. In most cases you won't
+	 * need that object to manipulate directly, but it is available if you need to
+	 * abort the request manually.
+	 *
+	 * '''Note:''' If you specify the dataType option described below, make sure
+	 * the server sends the correct MIME type in the response (eg. xml as "text/xml").
+	 * Sending the wrong MIME type can lead to unexpected problems in your script.
+	 * See [[Specifying the Data Type for AJAX Requests]] for more information.
+	 *
+	 * Supported datatypes are (see dataType option):
+	 *
+	 * "xml": Returns a XML document that can be processed via jQuery.
+	 *
+	 * "html": Returns HTML as plain text, included script tags are evaluated.
+	 *
+	 * "script": Evaluates the response as Javascript and returns it as plain text.
+	 *
+	 * "json": Evaluates the response as JSON and returns a Javascript Object
+	 *
+	 * $.ajax() takes one argument, an object of key/value pairs, that are
+	 * used to initalize and handle the request. These are all the key/values that can
+	 * be used:
+	 *
+	 * (String) url - The URL to request.
+	 *
+	 * (String) type - The type of request to make ("POST" or "GET"), default is "GET".
+	 *
+	 * (String) dataType - The type of data that you're expecting back from
+	 * the server. No default: If the server sends xml, the responseXML, otherwise
+	 * the responseText is passed to the success callback.
+	 *
+	 * (Boolean) ifModified - Allow the request to be successful only if the
+	 * response has changed since the last request. This is done by checking the
+	 * Last-Modified header. Default value is false, ignoring the header.
+	 *
+	 * (Number) timeout - Local timeout in milliseconds to override global timeout, eg. to give a
+	 * single request a longer timeout while all others timeout after 1 second.
+	 * See $.ajaxTimeout() for global timeouts.
+	 *
+	 * (Boolean) global - Whether to trigger global AJAX event handlers for
+	 * this request, default is true. Set to false to prevent that global handlers
+	 * like ajaxStart or ajaxStop are triggered.
+	 *
+	 * (Function) error - A function to be called if the request fails. The
+	 * function gets passed tree arguments: The XMLHttpRequest object, a
+	 * string describing the type of error that occurred and an optional
+	 * exception object, if one occured.
+	 *
+	 * (Function) success - A function to be called if the request succeeds. The
+	 * function gets passed one argument: The data returned from the server,
+	 * formatted according to the 'dataType' parameter.
+	 *
+	 * (Function) complete - A function to be called when the request finishes. The
+	 * function gets passed two arguments: The XMLHttpRequest object and a
+	 * string describing the type of success of the request.
+	 *
+ 	 * (Object|String) data - Data to be sent to the server. Converted to a query
+	 * string, if not already a string. Is appended to the url for GET-requests.
+	 * See processData option to prevent this automatic processing.
+	 *
+	 * (String) contentType - When sending data to the server, use this content-type.
+	 * Default is "application/x-www-form-urlencoded", which is fine for most cases.
+	 *
+	 * (Boolean) processData - By default, data passed in to the data option as an object
+	 * other as string will be processed and transformed into a query string, fitting to
+	 * the default content-type "application/x-www-form-urlencoded". If you want to send
+	 * DOMDocuments, set this option to false.
+	 *
+	 * (Boolean) async - By default, all requests are sent asynchronous (set to true).
+	 * If you need synchronous requests, set this option to false.
+	 *
+	 * (Function) beforeSend - A pre-callback to set custom headers etc., the
+	 * XMLHttpRequest is passed as the only argument.
+	 *
+	 * @example $.ajax({
+	 *   type: "GET",
+	 *   url: "test.js",
+	 *   dataType: "script"
+	 * })
+	 * @desc Load and execute a JavaScript file.
+	 *
+	 * @example $.ajax({
+	 *   type: "POST",
+	 *   url: "some.php",
+	 *   data: "name=John&location=Boston",
+	 *   success: function(msg){
+	 *     alert( "Data Saved: " + msg );
+	 *   }
+	 * });
+	 * @desc Save some data to the server and notify the user once its complete.
+	 *
+	 * @example var html = $.ajax({
+	 *  url: "some.php",
+	 *  async: false
+	 * }).responseText;
+	 * @desc Loads data synchronously. Blocks the browser while the requests is active.
+	 * It is better to block user interaction by other means when synchronization is
+	 * necessary.
+	 *
+	 * @example var xmlDocument = [create xml document];
+	 * $.ajax({
+	 *   url: "page.php",
+	 *   processData: false,
+	 *   data: xmlDocument,
+	 *   success: handleResponse
+	 * });
+	 * @desc Sends an xml document as data to the server. By setting the processData
+	 * option to false, the automatic conversion of data to strings is prevented.
+	 * 
+	 * @name $.ajax
+	 * @type XMLHttpRequest
+	 * @param Map properties Key/value pairs to initialize the request with.
+	 * @cat Ajax
+	 * @see ajaxSetup(Map)
+	 */
+	ajax: function( s ) {
+		// Extend the settings, but re-extend 's' so that it can be
+		// checked again later (in the test suite, specifically)
+		s = jQuery.extend(true, s, jQuery.extend(true, {}, jQuery.ajaxSettings, s));
+
+		// if data available
+		if ( s.data ) {
+			// convert data if not already a string
+			if ( s.processData && typeof s.data != "string" )
+				s.data = jQuery.param(s.data);
+
+			// append data to url for get requests
+			if ( s.type.toLowerCase() == "get" ) {
+				// "?" + data or "&" + data (in case there are already params)
+				s.url += (s.url.indexOf("?") > -1 ? "&" : "?") + s.data;
+
+				// IE likes to send both get and post data, prevent this
+				s.data = null;
+			}
+		}
+
+		// Watch for a new set of requests
+		if ( s.global && ! jQuery.active++ )
+			jQuery.event.trigger( "ajaxStart" );
+
+		var requestDone = false;
+
+		// Create the request object; Microsoft failed to properly
+		// implement the XMLHttpRequest in IE7, so we use the ActiveXObject when it is available
+		var xml = window.ActiveXObject ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
+
+		// Open the socket
+		xml.open(s.type, s.url, s.async);
+
+		// Set the correct header, if data is being sent
+		if ( s.data )
+			xml.setRequestHeader("Content-Type", s.contentType);
+
+		// Set the If-Modified-Since header, if ifModified mode.
+		if ( s.ifModified )
+			xml.setRequestHeader("If-Modified-Since",
+				jQuery.lastModified[s.url] || "Thu, 01 Jan 1970 00:00:00 GMT" );
+
+		// Set header so the called script knows that it's an XMLHttpRequest
+		xml.setRequestHeader("X-Requested-With", "XMLHttpRequest");
+
+		// Allow custom headers/mimetypes
+		if( s.beforeSend )
+			s.beforeSend(xml);
+			
+		if ( s.global )
+		    jQuery.event.trigger("ajaxSend", [xml, s]);
+
+		// Wait for a response to come back
+		var onreadystatechange = function(isTimeout){
+			// The transfer is complete and the data is available, or the request timed out
+			if ( !requestDone && xml && (xml.readyState == 4 || isTimeout == "timeout") ) {
+				requestDone = true;
+				
+				// clear poll interval
+				if (ival) {
+					clearInterval(ival);
+					ival = null;
+				}
+				
+				var status = isTimeout == "timeout" && "timeout" ||
+					!jQuery.httpSuccess( xml ) && "error" ||
+					s.ifModified && jQuery.httpNotModified( xml, s.url ) && "notmodified" ||
+					"success";
+
+				if ( status == "success" ) {
+					// Watch for, and catch, XML document parse errors
+					try {
+						// process the data (runs the xml through httpData regardless of callback)
+						var data = jQuery.httpData( xml, s.dataType );
+					} catch(e) {
+						status = "parsererror";
+					}
+				}
+
+				// Make sure that the request was successful or notmodified
+				if ( status == "success" ) {
+					// Cache Last-Modified header, if ifModified mode.
+					var modRes;
+					try {
+						modRes = xml.getResponseHeader("Last-Modified");
+					} catch(e) {} // swallow exception thrown by FF if header is not available
+	
+					if ( s.ifModified && modRes )
+						jQuery.lastModified[s.url] = modRes;
+	
+					// If a local callback was specified, fire it and pass it the data
+					if ( s.success )
+						s.success( data, status );
+	
+					// Fire the global callback
+					if ( s.global )
+						jQuery.event.trigger( "ajaxSuccess", [xml, s] );
+				} else
+					jQuery.handleError(s, xml, status);
+
+				// The request was completed
+				if( s.global )
+					jQuery.event.trigger( "ajaxComplete", [xml, s] );
+
+				// Handle the global AJAX counter
+				if ( s.global && ! --jQuery.active )
+					jQuery.event.trigger( "ajaxStop" );
+
+				// Process result
+				if ( s.complete )
+					s.complete(xml, status);
+
+				// Stop memory leaks
+				if(s.async)
+					xml = null;
+			}
+		};
+		
+		if ( s.async ) {
+			// don't attach the handler to the request, just poll it instead
+			var ival = setInterval(onreadystatechange, 13); 
+
+			// Timeout checker
+			if ( s.timeout > 0 )
+				setTimeout(function(){
+					// Check to see if the request is still happening
+					if ( xml ) {
+						// Cancel the request
+						xml.abort();
+	
+						if( !requestDone )
+							onreadystatechange( "timeout" );
+					}
+				}, s.timeout);
+		}
+			
+		// Send the data
+		try {
+			xml.send(s.data);
+		} catch(e) {
+			jQuery.handleError(s, xml, null, e);
+		}
+		
+		// firefox 1.5 doesn't fire statechange for sync requests
+		if ( !s.async )
+			onreadystatechange();
+		
+		// return XMLHttpRequest to allow aborting the request etc.
+		return xml;
+	},
+
+	handleError: function( s, xml, status, e ) {
+		// If a local callback was specified, fire it
+		if ( s.error ) s.error( xml, status, e );
+
+		// Fire the global callback
+		if ( s.global )
+			jQuery.event.trigger( "ajaxError", [xml, s, e] );
+	},
+
+	// Counter for holding the number of active queries
+	active: 0,
+
+	// Determines if an XMLHttpRequest was successful or not
+	httpSuccess: function( r ) {
+		try {
+			return !r.status && location.protocol == "file:" ||
+				( r.status >= 200 && r.status < 300 ) || r.status == 304 ||
+				jQuery.browser.safari && r.status == undefined;
+		} catch(e){}
+		return false;
+	},
+
+	// Determines if an XMLHttpRequest returns NotModified
+	httpNotModified: function( xml, url ) {
+		try {
+			var xmlRes = xml.getResponseHeader("Last-Modified");
+
+			// Firefox always returns 200. check Last-Modified date
+			return xml.status == 304 || xmlRes == jQuery.lastModified[url] ||
+				jQuery.browser.safari && xml.status == undefined;
+		} catch(e){}
+		return false;
+	},
+
+	/* Get the data out of an XMLHttpRequest.
+	 * Return parsed XML if content-type header is "xml" and type is "xml" or omitted,
+	 * otherwise return plain text.
+	 * (String) data - The type of data that you're expecting back,
+	 * (e.g. "xml", "html", "script")
+	 */
+	httpData: function( r, type ) {
+		var ct = r.getResponseHeader("content-type");
+		var xml = type == "xml" || !type && ct && ct.indexOf("xml") >= 0;
+		data = xml ? r.responseXML : r.responseText;
+
+		if ( xml && data.documentElement.tagName == "parsererror" )
+			throw "parsererror";
+
+		// If the type is "script", eval it in global context
+		if ( type == "script" )
+			jQuery.globalEval( data );
+
+		// Get the JavaScript object, if JSON is used.
+		if ( type == "json" )
+			data = eval("(" + data + ")");
+
+		return data;
+	},
+
+	// Serialize an array of form elements or a set of
+	// key/values into a query string
+	param: function( a ) {
+		var s = [];
+
+		// If an array was passed in, assume that it is an array
+		// of form elements
+		if ( a.constructor == Array || a.jquery )
+			// Serialize the form elements
+			jQuery.each( a, function(){
+				s.push( encodeURIComponent(this.name) + "=" + encodeURIComponent( this.value ) );
+			});
+
+		// Otherwise, assume that it's an object of key/value pairs
+		else
+			// Serialize the key/values
+			for ( var j in a )
+				// If the value is an array then the key names need to be repeated
+				if ( a[j] && a[j].constructor == Array )
+					jQuery.each( a[j], function(){
+						s.push( encodeURIComponent(j) + "=" + encodeURIComponent( this ) );
+					});
+				else
+					s.push( encodeURIComponent(j) + "=" + encodeURIComponent( a[j] ) );
+
+		// Return the resulting serialization
+		return s.join("&");
+	}
+
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajaxTest.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajaxTest.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajaxTest.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/ajax/ajaxTest.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,448 @@
+module("ajax");
+
+// Safari 3 randomly crashes when running these tests,
+// but only in the full suite - you can run just the Ajax
+// tests and they'll pass
+if ( !jQuery.browser.safari ) {
+
+test("serialize()", function() {
+	expect(1);
+	// ignore button, IE takes text content as value, not relevant for this test
+	equals( $(':input').not('button').serialize(), 
+		'action=Test&text2=Test&radio1=on&radio2=on&check=on&=on&hidden=&foo%5Bbar%5D=&name=name&=foobar&select1=&select2=3&select3=1&test=&id=', 
+		'Check form serialization as query string');
+});
+
+test("$.param()", function() {
+	expect(4);
+	var params = {foo:"bar", baz:42, quux:"All your base are belong to us"};
+	equals( $.param(params), "foo=bar&baz=42&quux=All%20your%20base%20are%20belong%20to%20us", "simple" );
+	
+	params = {someName: [1, 2, 3], regularThing: "blah" };
+	equals( $.param(params), "someName=1&someName=2&someName=3&regularThing=blah", "with array" );
+	
+	params = {"foo[]":["baz", 42, "All your base are belong to us"]};
+	equals( $.param(params), "foo%5B%5D=baz&foo%5B%5D=42&foo%5B%5D=All%20your%20base%20are%20belong%20to%20us", "more array" );
+	
+	params = {"foo[bar]":"baz", "foo[beep]":42, "foo[quux]":"All your base are belong to us"};
+	equals( $.param(params), "foo%5Bbar%5D=baz&foo%5Bbeep%5D=42&foo%5Bquux%5D=All%20your%20base%20are%20belong%20to%20us", "even more arrays" );
+});
+
+test("synchronous request", function() {
+	expect(1);
+	ok( /^{ "data"/.test( $.ajax({url: url("data/json_obj.js"), async: false}).responseText ), "check returned text" );
+});
+
+test("synchronous request with callbacks", function() {
+	expect(2);
+	var result;
+	$.ajax({url: url("data/json_obj.js"), async: false, success: function(data) { ok(true, "sucess callback executed"); result = data; } });
+	ok( /^{ "data"/.test( result ), "check returned text" );
+});
+
+test("pass-through request object", function() {
+	expect(1);
+	stop(true);
+	
+	var target = "data/name.html";
+	var count = 0;
+	var success = function() {
+		// Disabled
+		//if(count++ == 5)
+		start();
+	};
+	
+	/* Test disabled, too many simultaneous requests
+	ok( $.get(url(target), success), "get" );
+	ok( $.getIfModified(url(target), success), "getIfModified" );
+	ok( $.post(url(target), success), "post" );
+	ok( $.getScript(url("data/test.js"), success), "script" );
+	ok( $.getJSON(url("data/json_obj.js"), success), "json" );
+	*/
+	ok( $.ajax({url: url(target), success: success}), "generic" );
+});
+
+test("global ajaxSettings", function() {
+	expect(3);
+
+	var tmp = jQuery.extend({}, jQuery.ajaxSettings);
+        var orig = { url: "data/with_fries.xml", data: null };
+	var t;
+
+	$.ajaxSetup({ data: {foo: 'bar', bar: 'BAR'} });
+
+        t = jQuery.extend({}, orig);
+        $.ajax(t);
+	ok( t.url.indexOf('foo') > -1 && t.url.indexOf('bar') > -1, "Check extending null" );
+
+        t = jQuery.extend({}, orig);
+	t.data = {};
+        $.ajax(t);
+	ok( t.url.indexOf('foo') > -1 && t.url.indexOf('bar') > -1, "Check extending {}" );
+
+        t = jQuery.extend({}, orig);
+	t.data = { zoo: 'a', ping: 'b' };
+        $.ajax(t);
+	ok( t.url.indexOf('ping') > -1 && t.url.indexOf('zoo') > -1 && t.url.indexOf('foo') > -1 && t.url.indexOf('bar') > -1, "Check extending { zoo: 'a', ping: 'b' }" );
+	
+	jQuery.ajaxSettings = tmp;
+});
+
+test("load(String)", function() {
+	expect(1);
+	stop(true); // check if load can be called with only url
+	$('#first').load("data/name.html", start);
+});
+
+test("load(String, Function) - simple: inject text into DOM", function() {
+	expect(2);
+	stop();
+	$('#first').load(url("data/name.html"), function() {
+		ok( /^ERROR/.test($('#first').text()), 'Check if content was injected into the DOM' );
+		start();
+	});
+});
+
+test("load(String, Function) - check scripts", function() {
+	expect(7);
+	stop();
+	window.testFoo = undefined;
+	window.foobar = null;
+	var verifyEvaluation = function() {
+	  equals( foobar, "bar", 'Check if script src was evaluated after load' );
+	  equals( $('#ap').html(), 'bar', 'Check if script evaluation has modified DOM');
+	  start();
+	};
+	$('#first').load(url('data/test.html'), function() {
+	  ok( $('#first').html().match(/^html text/), 'Check content after loading html' );
+	  equals( $('#foo').html(), 'foo', 'Check if script evaluation has modified DOM');
+	  equals( testFoo, "foo", 'Check if script was evaluated after load' );
+	  setTimeout(verifyEvaluation, 600);
+	});
+});
+
+test("load(String, Function) - check file with only a script tag", function() {
+	expect(3);
+	stop();
+	testFoo = undefined;
+	$('#first').load(url('data/test2.html'), function() {
+	  ok( $('#foo').html() == 'foo', 'Check if script evaluation has modified DOM');
+	  ok( testFoo == "foo", 'Check if script was evaluated after load' );
+	  start();
+	});
+});
+
+test("$.get(String, Hash, Function) - parse xml and use text() on nodes", function() {
+	expect(2);
+	stop();
+	$.get(url('data/dashboard.xml'), function(xml) {
+		var content = [];
+		$('tab', xml).each(function() {
+			content.push($(this).text());
+		});
+		equals( content[0], 'blabla', 'Check first tab');
+		equals( content[1], 'blublu', 'Check second tab');
+		start();
+	});
+});
+
+test("$.getIfModified(String, Hash, Function)", function() {
+	expect(1);
+	stop();
+	$.getIfModified(url("data/name.html"), function(msg) {
+	    ok( /^ERROR/.test(msg), 'Check ifModified' );
+	    start();
+	});
+});
+
+test("$.getScript(String, Function) - with callback", function() {
+	expect(2);
+	stop();
+	$.getScript(url("data/test.js"), function() {
+		equals( foobar, "bar", 'Check if script was evaluated' );
+		setTimeout(start, 100);
+	});
+});
+
+test("$.getScript(String, Function) - no callback", function() {
+	expect(1);
+	stop(true);
+	$.getScript(url("data/test.js"), start);
+});
+
+test("$.ajax - xml: non-namespace elements inside namespaced elements", function() {
+	expect(3);
+	stop();
+	$.ajax({
+	  url: url("data/with_fries.xml"),
+	  dataType: "xml",
+	  success: function(resp) {
+	    equals( $("properties", resp).length, 1, 'properties in responseXML' );
+	    equals( $("jsconf", resp).length, 1, 'jsconf in responseXML' );
+	    equals( $("thing", resp).length, 2, 'things in responseXML' );
+	    start();
+	  }
+	});
+});
+
+test("test global handlers - success", function() {
+	expect( isLocal ? 4 : 8 );
+	stop();
+	
+	var counter = { complete: 0, success: 0, error: 0, send: 0 },
+		success = function() { counter.success++ },
+		error = function() { counter.error++ },
+		complete = function() { counter.complete++ },
+		send = function() { counter.send++ };
+
+	$('#foo').ajaxStart(complete).ajaxStop(complete).ajaxSend(send).ajaxComplete(complete).ajaxError(error).ajaxSuccess(success);
+	
+	// start with successful test
+	$.ajax({url: url("data/name.html"), beforeSend: send, success: success, error: error, complete: function() {
+	  equals( counter.error, 0, 'Check succesful request, error callback' );
+	  equals( counter.success, 2, 'Check succesful request, success callback' );
+	  equals( counter.complete, 3, 'Check succesful request, complete callback' );
+	  equals( counter.send, 2, 'Check succesful request, send callback' );
+	  
+	  if ( !isLocal ) {
+		  counter.error = counter.success = counter.complete = counter.send = 0;
+		  $.ajaxTimeout(500);
+		  
+		  $.ajax({url: url("data/name.php?wait=5"), beforeSend: send, success: success, error: error, complete: function() {
+			equals( counter.error, 2, 'Check failed request, error callback' );
+			equals( counter.success, 0, 'Check failed request, success callback' );
+			equals( counter.complete, 3, 'Check failed request, failed callback' );
+			equals( counter.send, 2, 'Check failed request, send callback' );
+			start();
+		  }});
+	  } else
+	  	  start();
+	}});
+});
+
+test("test global handlers - failure", function() {
+	expect( isLocal ? 4 : 8 );
+	stop();
+	
+	var counter = { complete: 0, success: 0, error: 0, send: 0 },
+		success = function() { counter.success++ },
+		error = function() { counter.error++ },
+		complete = function() { counter.complete++ },
+		send = function() { counter.send++ };
+		
+	$.ajaxTimeout(0);
+	
+	$('#foo').ajaxStart(complete).ajaxStop(complete).ajaxSend(send).ajaxComplete(complete).ajaxError(error).ajaxSuccess(success);
+	
+	$.ajax({url: url("data/name.php"), global: false, beforeSend: send, success: success, error: error, complete: function() {
+	  ok( counter.error == 0, 'Check sucesful request without globals' );
+	  ok( counter.success == 1, 'Check sucesful request without globals' );
+	  ok( counter.complete == 0, 'Check sucesful request without globals' );
+	  ok( counter.send == 1, 'Check sucesful request without globals' );
+	  
+	  if ( !isLocal ) {
+		  counter.error = counter.success = counter.complete = counter.send = 0;
+		  $.ajaxTimeout(500);
+		  
+		  $.ajax({url: url("data/name.php?wait=5"), global: false, beforeSend: send, success: success, error: error, complete: function() {
+			 var x = counter;
+			 ok( counter.error == 1, 'Check failed request without globals' );
+			 ok( counter.success == 0, 'Check failed request without globals' );
+			 ok( counter.complete == 0, 'Check failed request without globals' );
+			 ok( counter.send == 1, 'Check failed request without globals' );
+			 start();
+		  }});
+	  } else
+	  	  start();
+	}});
+});
+
+test("$.ajax - beforeSend", function() {
+	expect(1);
+	stop();
+	
+	var check = false;
+	
+	$.ajaxSetup({ timeout: 0 });
+	
+	$.ajax({
+		url: url("data/name.html"), 
+		beforeSend: function(xml) {
+			check = true;
+		},
+		success: function(data) {
+			ok( check, "check beforeSend was executed" );
+			start();
+		}
+	});
+});
+
+test("$.ajax - dataType html", function() {
+	expect(5);
+	stop();
+	
+	foobar = null;
+	testFoo = undefined;
+	
+	var verifyEvaluation = function() {
+	  ok( testFoo == "foo", 'Check if script was evaluated for datatype html' );
+	  ok( foobar == "bar", 'Check if script src was evaluated for datatype html' );
+	  start();
+	};
+	
+	$.ajax({
+	  dataType: "html",
+	  url: url("data/test.html"),
+	  success: function(data) {
+	  	$("#ap").html(data);
+	    ok( data.match(/^html text/), 'Check content for datatype html' );
+	    setTimeout(verifyEvaluation, 600);
+	  }
+	});
+});
+
+if ( !isLocal ) {
+
+test("$.getJSON(String, Hash, Function) - JSON array", function() {
+	expect(4);
+	stop();
+	$.getJSON(url("data/json.php"), {json: "array"}, function(json) {
+	  ok( json[0].name == 'John', 'Check JSON: first, name' );
+	  ok( json[0].age == 21, 'Check JSON: first, age' );
+	  ok( json[1].name == 'Peter', 'Check JSON: second, name' );
+	  ok( json[1].age == 25, 'Check JSON: second, age' );
+	  start();
+	});
+});
+
+test("$.getJSON(String, Function) - JSON object", function() {
+	expect(2);
+	stop();
+	$.getJSON(url("data/json.php"), function(json) {
+	  ok( json.data.lang == 'en', 'Check JSON: lang' );
+	  ok( json.data.length == 25, 'Check JSON: length' );
+	  start();
+	});
+});
+
+test("$.post(String, Hash, Function) - simple with xml", function() {
+	expect(2);
+	stop();
+	$.post(url("data/name.php"), {xml: "5-2"}, function(xml){
+	  $('math', xml).each(function() {
+		    ok( $('calculation', this).text() == '5-2', 'Check for XML' );
+		    ok( $('result', this).text() == '3', 'Check for XML' );
+		 });
+	  start();
+	});
+});
+
+test("$.ajaxTimeout(Number) - with global timeout", function() {
+	stop();
+	
+	var passed = 0;
+
+	$.ajaxTimeout(1000);
+	
+	var pass = function() {
+		passed++;
+		if ( passed == 2 ) {
+			ok( true, 'Check local and global callbacks after timeout' );
+	     	$('#main').unbind("ajaxError");
+			start();
+		}
+	};
+	
+	var fail = function(a,b,c) {
+		ok( false, 'Check for timeout failed ' + a + ' ' + b );
+		start();
+	};
+	
+	$('#main').ajaxError(pass);
+	
+	$.ajax({
+	  type: "GET",
+	  url: url("data/name.php?wait=5"),
+	  error: pass,
+	  success: fail
+	});
+	
+	// reset timeout
+	$.ajaxTimeout(0);
+});
+
+test("$.ajaxTimeout(Number) with localtimeout", function() {
+	stop(); $.ajaxTimeout(50);
+	$.ajax({
+	  type: "GET",
+	  timeout: 5000,
+	  url: url("data/name.php?wait=1"),
+	  error: function() {
+		   ok( false, 'Check for local timeout failed' );
+		   start();
+	  },
+	  success: function() {
+	    ok( true, 'Check for local timeout' );
+	    start();
+	  }
+	});
+	// reset timeout
+	$.ajaxTimeout(0);
+});
+
+test("$.ajax - simple get", function() {
+	expect(1);
+	stop();
+	$.ajax({
+	  type: "GET",
+	  url: url("data/name.php?name=foo"),
+	  success: function(msg){
+	    ok( msg == 'bar', 'Check for GET' );
+	    start();
+	  }
+	});
+});
+
+test("$.ajax - simple post", function() {
+	expect(1);
+	stop();
+	$.ajax({
+	  type: "POST",
+	  url: url("data/name.php"),
+	  data: "name=peter",
+	  success: function(msg){
+	    ok( msg == 'pan', 'Check for POST' );
+	    start();
+	  }
+	});
+});
+
+test("ajaxSetup()", function() {
+	expect(1);
+	stop();
+	$.ajaxSetup({
+		url: url("data/name.php?name=foo"),
+		success: function(msg){
+	    	ok( msg == 'bar', 'Check for GET' );
+			start();
+		}
+	});
+	$.ajax();
+});
+
+test("custom timeout does not set error message when timeout occurs, see #970", function() {
+	stop();
+	$.ajax({
+		url: "data/name.php?wait=10",
+		timeout: 500,
+		error: function(request, status) {
+			ok( status != null, "status shouldn't be null in error handler" );
+			equals( "timeout", status );
+			start();
+		}
+	});
+});
+
+}
+
+}
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/event/event.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/event/event.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/event/event.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/event/event.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,986 @@
+/*
+ * A number of helper functions used for managing events.
+ * Many of the ideas behind this code orignated from 
+ * Dean Edwards' addEvent library.
+ */
+jQuery.event = {
+
+	// Bind an event to an element
+	// Original by Dean Edwards
+	add: function(element, type, handler, data) {
+		// For whatever reason, IE has trouble passing the window object
+		// around, causing it to be cloned in the process
+		if ( jQuery.browser.msie && element.setInterval != undefined )
+			element = window;
+		
+		// Make sure that the function being executed has a unique ID
+		if ( !handler.guid )
+			handler.guid = this.guid++;
+			
+		// if data is passed, bind to handler 
+		if( data != undefined ) { 
+        	// Create temporary function pointer to original handler 
+			var fn = handler; 
+
+			// Create unique handler function, wrapped around original handler 
+			handler = function() { 
+				// Pass arguments and context to original handler 
+				return fn.apply(this, arguments); 
+			};
+
+			// Store data in unique handler 
+			handler.data = data;
+
+			// Set the guid of unique handler to the same of original handler, so it can be removed 
+			handler.guid = fn.guid;
+		}
+
+		// Init the element's event structure
+		if (!element.$events)
+			element.$events = {};
+		
+		if (!element.$handle)
+			element.$handle = function() {
+				// returned undefined or false
+				var val;
+
+				// Handle the second event of a trigger and when
+				// an event is called after a page has unloaded
+				if ( typeof jQuery == "undefined" || jQuery.event.triggered )
+				  return val;
+				
+				val = jQuery.event.handle.apply(element, arguments);
+				
+				return val;
+			};
+
+		// Get the current list of functions bound to this event
+		var handlers = element.$events[type];
+
+		// Init the event handler queue
+		if (!handlers) {
+			handlers = element.$events[type] = {};	
+			
+			// And bind the global event handler to the element
+			if (element.addEventListener)
+				element.addEventListener(type, element.$handle, false);
+			else
+				element.attachEvent("on" + type, element.$handle);
+		}
+
+		// Add the function to the element's handler list
+		handlers[handler.guid] = handler;
+
+		// Keep track of which events have been used, for global triggering
+		this.global[type] = true;
+	},
+
+	guid: 1,
+	global: {},
+
+	// Detach an event or set of events from an element
+	remove: function(element, type, handler) {
+		var events = element.$events, ret, index;
+
+		if ( events ) {
+			// type is actually an event object here
+			if ( type && type.type ) {
+				handler = type.handler;
+				type = type.type;
+			}
+			
+			if ( !type ) {
+				for ( type in events )
+					this.remove( element, type );
+
+			} else if ( events[type] ) {
+				// remove the given handler for the given type
+				if ( handler )
+					delete events[type][handler.guid];
+				
+				// remove all handlers for the given type
+				else
+					for ( handler in element.$events[type] )
+						delete events[type][handler];
+
+				// remove generic event handler if no more handlers exist
+				for ( ret in events[type] ) break;
+				if ( !ret ) {
+					if (element.removeEventListener)
+						element.removeEventListener(type, element.$handle, false);
+					else
+						element.detachEvent("on" + type, element.$handle);
+					ret = null;
+					delete events[type];
+				}
+			}
+
+			// Remove the expando if it's no longer used
+			for ( ret in events ) break;
+			if ( !ret )
+				element.$handle = element.$events = null;
+		}
+	},
+
+	trigger: function(type, data, element) {
+		// Clone the incoming data, if any
+		data = jQuery.makeArray(data || []);
+
+		// Handle a global trigger
+		if ( !element ) {
+			// Only trigger if we've ever bound an event for it
+			if ( this.global[type] )
+				jQuery("*").add([window, document]).trigger(type, data);
+
+		// Handle triggering a single element
+		} else {
+			var val, ret, fn = jQuery.isFunction( element[ type ] || null );
+			
+			// Pass along a fake event
+			data.unshift( this.fix({ type: type, target: element }) );
+
+			// Trigger the event
+			if ( jQuery.isFunction( element.$handle ) )
+				val = element.$handle.apply( element, data );
+			if ( !fn && element["on"+type] && element["on"+type].apply( element, data ) === false )
+				val = false;
+
+			if ( fn && val !== false && !(jQuery.nodeName(element, 'a') && type == "click") ) {
+				this.triggered = true;
+				element[ type ]();
+			}
+
+			this.triggered = false;
+		}
+	},
+
+	handle: function(event) {
+		// returned undefined or false
+		var val;
+
+		// Empty object is for triggered events with no data
+		event = jQuery.event.fix( event || window.event || {} ); 
+
+		var c = this.$events && this.$events[event.type], args = Array.prototype.slice.call( arguments, 1 );
+		args.unshift( event );
+
+		for ( var j in c ) {
+			// Pass in a reference to the handler function itself
+			// So that we can later remove it
+			args[0].handler = c[j];
+			args[0].data = c[j].data;
+
+			if ( c[j].apply( this, args ) === false ) {
+				event.preventDefault();
+				event.stopPropagation();
+				val = false;
+			}
+		}
+
+		// Clean up added properties in IE to prevent memory leak
+		if (jQuery.browser.msie)
+			event.target = event.preventDefault = event.stopPropagation =
+				event.handler = event.data = null;
+
+		return val;
+	},
+
+	fix: function(event) {
+		// store a copy of the original event object 
+		// and clone to set read-only properties
+		var originalEvent = event;
+		event = jQuery.extend({}, originalEvent);
+		
+		// add preventDefault and stopPropagation since 
+		// they will not work on the clone
+		event.preventDefault = function() {
+			// if preventDefault exists run it on the original event
+			if (originalEvent.preventDefault)
+				originalEvent.preventDefault();
+			// otherwise set the returnValue property of the original event to false (IE)
+			originalEvent.returnValue = false;
+		};
+		event.stopPropagation = function() {
+			// if stopPropagation exists run it on the original event
+			if (originalEvent.stopPropagation)
+				originalEvent.stopPropagation();
+			// otherwise set the cancelBubble property of the original event to true (IE)
+			originalEvent.cancelBubble = true;
+		};
+		
+		// Fix target property, if necessary
+		if ( !event.target && event.srcElement )
+			event.target = event.srcElement;
+				
+		// check if target is a textnode (safari)
+		if (jQuery.browser.safari && event.target.nodeType == 3)
+			event.target = originalEvent.target.parentNode;
+
+		// Add relatedTarget, if necessary
+		if ( !event.relatedTarget && event.fromElement )
+			event.relatedTarget = event.fromElement == event.target ? event.toElement : event.fromElement;
+
+		// Calculate pageX/Y if missing and clientX/Y available
+		if ( event.pageX == null && event.clientX != null ) {
+			var e = document.documentElement, b = document.body;
+			event.pageX = event.clientX + (e && e.scrollLeft || b.scrollLeft || 0);
+			event.pageY = event.clientY + (e && e.scrollTop || b.scrollTop || 0);
+		}
+			
+		// Add which for key events
+		if ( !event.which && (event.charCode || event.keyCode) )
+			event.which = event.charCode || event.keyCode;
+		
+		// Add metaKey to non-Mac browsers (use ctrl for PC's and Meta for Macs)
+		if ( !event.metaKey && event.ctrlKey )
+			event.metaKey = event.ctrlKey;
+
+		// Add which for click: 1 == left; 2 == middle; 3 == right
+		// Note: button is not normalized, so don't use it
+		if ( !event.which && event.button )
+			event.which = (event.button & 1 ? 1 : ( event.button & 2 ? 3 : ( event.button & 4 ? 2 : 0 ) ));
+			
+		return event;
+	}
+};
+
+jQuery.fn.extend({
+
+	/**
+	 * Binds a handler to a particular event (like click) for each matched element.
+	 * The event handler is passed an event object that you can use to prevent
+	 * default behaviour. To stop both default action and event bubbling, your handler
+	 * has to return false.
+	 *
+	 * In most cases, you can define your event handlers as anonymous functions
+	 * (see first example). In cases where that is not possible, you can pass additional
+	 * data as the second parameter (and the handler function as the third), see 
+	 * second example.
+	 *
+	 * Calling bind with an event type of "unload" will automatically
+	 * use the one method instead of bind to prevent memory leaks.
+	 *
+	 * @example $("p").bind("click", function(){
+	 *   alert( $(this).text() );
+	 * });
+	 * @before <p>Hello</p>
+	 * @result alert("Hello")
+	 *
+	 * @example function handler(event) {
+	 *   alert(event.data.foo);
+	 * }
+	 * $("p").bind("click", {foo: "bar"}, handler)
+	 * @result alert("bar")
+	 * @desc Pass some additional data to the event handler.
+	 *
+	 * @example $("form").bind("submit", function() { return false; })
+	 * @desc Cancel a default action and prevent it from bubbling by returning false
+	 * from your function.
+	 *
+	 * @example $("form").bind("submit", function(event){
+	 *   event.preventDefault();
+	 * });
+	 * @desc Cancel only the default action by using the preventDefault method.
+	 *
+	 *
+	 * @example $("form").bind("submit", function(event){
+	 *   event.stopPropagation();
+	 * });
+	 * @desc Stop only an event from bubbling by using the stopPropagation method.
+	 *
+	 * @name bind
+	 * @type jQuery
+	 * @param String type An event type
+	 * @param Object data (optional) Additional data passed to the event handler as event.data
+	 * @param Function fn A function to bind to the event on each of the set of matched elements
+	 * @cat Events
+	 */
+	bind: function( type, data, fn ) {
+		return type == "unload" ? this.one(type, data, fn) : this.each(function(){
+			jQuery.event.add( this, type, fn || data, fn && data );
+		});
+	},
+	
+	/**
+	 * Binds a handler to a particular event (like click) for each matched element.
+	 * The handler is executed only once for each element. Otherwise, the same rules
+	 * as described in bind() apply.
+	 * The event handler is passed an event object that you can use to prevent
+	 * default behaviour. To stop both default action and event bubbling, your handler
+	 * has to return false.
+	 *
+	 * In most cases, you can define your event handlers as anonymous functions
+	 * (see first example). In cases where that is not possible, you can pass additional
+	 * data as the second paramter (and the handler function as the third), see 
+	 * second example.
+	 *
+	 * @example $("p").one("click", function(){
+	 *   alert( $(this).text() );
+	 * });
+	 * @before <p>Hello</p>
+	 * @result alert("Hello")
+	 *
+	 * @name one
+	 * @type jQuery
+	 * @param String type An event type
+	 * @param Object data (optional) Additional data passed to the event handler as event.data
+	 * @param Function fn A function to bind to the event on each of the set of matched elements
+	 * @cat Events
+	 */
+	one: function( type, data, fn ) {
+		return this.each(function(){
+			jQuery.event.add( this, type, function(event) {
+				jQuery(this).unbind(event);
+				return (fn || data).apply( this, arguments);
+			}, fn && data);
+		});
+	},
+
+	/**
+	 * The opposite of bind, removes a bound event from each of the matched
+	 * elements.
+	 *
+	 * Without any arguments, all bound events are removed.
+	 *
+	 * If the type is provided, all bound events of that type are removed.
+	 *
+	 * If the function that was passed to bind is provided as the second argument,
+	 * only that specific event handler is removed.
+	 *
+	 * @example $("p").unbind()
+	 * @before <p onclick="alert('Hello');">Hello</p>
+	 * @result [ <p>Hello</p> ]
+	 *
+	 * @example $("p").unbind( "click" )
+	 * @before <p onclick="alert('Hello');">Hello</p>
+	 * @result [ <p>Hello</p> ]
+	 *
+	 * @example $("p").unbind( "click", function() { alert("Hello"); } )
+	 * @before <p onclick="alert('Hello');">Hello</p>
+	 * @result [ <p>Hello</p> ]
+	 *
+	 * @name unbind
+	 * @type jQuery
+	 * @param String type (optional) An event type
+	 * @param Function fn (optional) A function to unbind from the event on each of the set of matched elements
+	 * @cat Events
+	 */
+	unbind: function( type, fn ) {
+		return this.each(function(){
+			jQuery.event.remove( this, type, fn );
+		});
+	},
+
+	/**
+	 * Trigger a type of event on every matched element. This will also cause
+	 * the default action of the browser with the same name (if one exists)
+	 * to be executed. For example, passing 'submit' to the trigger()
+	 * function will also cause the browser to submit the form. This
+	 * default action can be prevented by returning false from one of
+	 * the functions bound to the event.
+	 *
+	 * You can also trigger custom events registered with bind.
+	 *
+	 * @example $("p").trigger("click")
+	 * @before <p click="alert('hello')">Hello</p>
+	 * @result alert('hello')
+	 *
+	 * @example $("p").click(function(event, a, b) {
+	 *   // when a normal click fires, a and b are undefined
+	 *   // for a trigger like below a refers too "foo" and b refers to "bar"
+	 * }).trigger("click", ["foo", "bar"]);
+	 * @desc Example of how to pass arbitrary data to an event
+	 * 
+	 * @example $("p").bind("myEvent",function(event,message1,message2) {
+	 * 	alert(message1 + ' ' + message2);
+	 * });
+	 * $("p").trigger("myEvent",["Hello","World"]);
+	 * @result alert('Hello World') // One for each paragraph
+	 *
+	 * @name trigger
+	 * @type jQuery
+	 * @param String type An event type to trigger.
+	 * @param Array data (optional) Additional data to pass as arguments (after the event object) to the event handler
+	 * @cat Events
+	 */
+	trigger: function( type, data ) {
+		return this.each(function(){
+			jQuery.event.trigger( type, data, this );
+		});
+	},
+
+	/**
+	 * Toggle between two function calls every other click.
+	 * Whenever a matched element is clicked, the first specified function 
+	 * is fired, when clicked again, the second is fired. All subsequent 
+	 * clicks continue to rotate through the two functions.
+	 *
+	 * Use unbind("click") to remove.
+	 *
+	 * @example $("p").toggle(function(){
+	 *   $(this).addClass("selected");
+	 * },function(){
+	 *   $(this).removeClass("selected");
+	 * });
+	 * 
+	 * @name toggle
+	 * @type jQuery
+	 * @param Function even The function to execute on every even click.
+	 * @param Function odd The function to execute on every odd click.
+	 * @cat Events
+	 */
+	toggle: function() {
+		// Save reference to arguments for access in closure
+		var a = arguments;
+
+		return this.click(function(e) {
+			// Figure out which function to execute
+			this.lastToggle = 0 == this.lastToggle ? 1 : 0;
+			
+			// Make sure that clicks stop
+			e.preventDefault();
+			
+			// and execute the function
+			return a[this.lastToggle].apply( this, [e] ) || false;
+		});
+	},
+	
+	/**
+	 * A method for simulating hovering (moving the mouse on, and off,
+	 * an object). This is a custom method which provides an 'in' to a 
+	 * frequent task.
+	 *
+	 * Whenever the mouse cursor is moved over a matched 
+	 * element, the first specified function is fired. Whenever the mouse 
+	 * moves off of the element, the second specified function fires. 
+	 * Additionally, checks are in place to see if the mouse is still within 
+	 * the specified element itself (for example, an image inside of a div), 
+	 * and if it is, it will continue to 'hover', and not move out 
+	 * (a common error in using a mouseout event handler).
+	 *
+	 * @example $("p").hover(function(){
+	 *   $(this).addClass("hover");
+	 * },function(){
+	 *   $(this).removeClass("hover");
+	 * });
+	 *
+	 * @name hover
+	 * @type jQuery
+	 * @param Function over The function to fire whenever the mouse is moved over a matched element.
+	 * @param Function out The function to fire whenever the mouse is moved off of a matched element.
+	 * @cat Events
+	 */
+	hover: function(f,g) {
+		
+		// A private function for handling mouse 'hovering'
+		function handleHover(e) {
+			// Check if mouse(over|out) are still within the same parent element
+			var p = e.relatedTarget;
+	
+			// Traverse up the tree
+			while ( p && p != this ) try { p = p.parentNode; } catch(e) { p = this; };
+			
+			// If we actually just moused on to a sub-element, ignore it
+			if ( p == this ) return false;
+			
+			// Execute the right function
+			return (e.type == "mouseover" ? f : g).apply(this, [e]);
+		}
+		
+		// Bind the function to the two event listeners
+		return this.mouseover(handleHover).mouseout(handleHover);
+	},
+	
+	/**
+	 * Bind a function to be executed whenever the DOM is ready to be
+	 * traversed and manipulated. This is probably the most important 
+	 * function included in the event module, as it can greatly improve
+	 * the response times of your web applications.
+	 *
+	 * In a nutshell, this is a solid replacement for using window.onload, 
+	 * and attaching a function to that. By using this method, your bound function 
+	 * will be called the instant the DOM is ready to be read and manipulated, 
+	 * which is when what 99.99% of all JavaScript code needs to run.
+	 *
+	 * There is one argument passed to the ready event handler: A reference to
+	 * the jQuery function. You can name that argument whatever you like, and
+	 * can therefore stick with the $ alias without risk of naming collisions.
+	 * 
+	 * Please ensure you have no code in your &lt;body&gt; onload event handler, 
+	 * otherwise $(document).ready() may not fire.
+	 *
+	 * You can have as many $(document).ready events on your page as you like.
+	 * The functions are then executed in the order they were added.
+	 *
+	 * @example $(document).ready(function(){ Your code here... });
+	 *
+	 * @example jQuery(function($) {
+	 *   // Your code using failsafe $ alias here...
+	 * });
+	 * @desc Uses both the [[Core#.24.28_fn_.29|shortcut]] for $(document).ready() and the argument
+	 * to write failsafe jQuery code using the $ alias, without relying on the
+	 * global alias.
+	 *
+	 * @name ready
+	 * @type jQuery
+	 * @param Function fn The function to be executed when the DOM is ready.
+	 * @cat Events
+	 * @see $.noConflict()
+	 * @see $(Function)
+	 */
+	ready: function(f) {
+		// Attach the listeners
+		bindReady();
+
+		// If the DOM is already ready
+		if ( jQuery.isReady )
+			// Execute the function immediately
+			f.apply( document, [jQuery] );
+			
+		// Otherwise, remember the function for later
+		else
+			// Add the function to the wait list
+			jQuery.readyList.push( function() { return f.apply(this, [jQuery]); } );
+	
+		return this;
+	}
+});
+
+jQuery.extend({
+	/*
+	 * All the code that makes DOM Ready work nicely.
+	 */
+	isReady: false,
+	readyList: [],
+	
+	// Handle when the DOM is ready
+	ready: function() {
+		// Make sure that the DOM is not already loaded
+		if ( !jQuery.isReady ) {
+			// Remember that the DOM is ready
+			jQuery.isReady = true;
+			
+			// If there are functions bound, to execute
+			if ( jQuery.readyList ) {
+				// Execute all of them
+				jQuery.each( jQuery.readyList, function(){
+					this.apply( document );
+				});
+				
+				// Reset the list of functions
+				jQuery.readyList = null;
+			}
+			// Remove event listener to avoid memory leak
+			if ( jQuery.browser.mozilla || jQuery.browser.opera )
+				document.removeEventListener( "DOMContentLoaded", jQuery.ready, false );
+			
+			// Remove script element used by IE hack
+			if( !window.frames.length ) // don't remove if frames are present (#1187)
+				jQuery(window).load(function(){ jQuery("#__ie_init").remove(); });
+		}
+	}
+});
+
+	/**
+	 * Bind a function to the scroll event of each matched element.
+	 *
+	 * @example $("p").scroll( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onscroll="alert('Hello');">Hello</p>
+	 *
+	 * @name scroll
+	 * @type jQuery
+	 * @param Function fn A function to bind to the scroll event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the submit event of each matched element.
+	 *
+	 * @example $("#myform").submit( function() {
+	 *   return $("input", this).val().length > 0;
+	 * } );
+	 * @before <form id="myform"><input /></form>
+	 * @desc Prevents the form submission when the input has no value entered.
+	 *
+	 * @name submit
+	 * @type jQuery
+	 * @param Function fn A function to bind to the submit event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Trigger the submit event of each matched element. This causes all of the functions
+	 * that have been bound to that submit event to be executed, and calls the browser's
+	 * default submit action on the matching element(s). This default action can be prevented
+	 * by returning false from one of the functions bound to the submit event.
+	 *
+	 * Note: This does not execute the submit method of the form element! If you need to
+	 * submit the form via code, you have to use the DOM method, eg. $("form")[0].submit();
+	 *
+	 * @example $("form").submit();
+	 * @desc Triggers all submit events registered to the matched form(s), and submits them.
+	 *
+	 * @name submit
+	 * @type jQuery
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the focus event of each matched element.
+	 *
+	 * @example $("p").focus( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onfocus="alert('Hello');">Hello</p>
+	 *
+	 * @name focus
+	 * @type jQuery
+	 * @param Function fn A function to bind to the focus event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Trigger the focus event of each matched element. This causes all of the functions
+	 * that have been bound to thet focus event to be executed.
+	 *
+	 * Note: This does not execute the focus method of the underlying elements! If you need to
+	 * focus an element via code, you have to use the DOM method, eg. $("#myinput")[0].focus();
+	 *
+	 * @example $("p").focus();
+	 * @before <p onfocus="alert('Hello');">Hello</p>
+	 * @result alert('Hello');
+	 *
+	 * @name focus
+	 * @type jQuery
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the keydown event of each matched element.
+	 *
+	 * @example $("p").keydown( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onkeydown="alert('Hello');">Hello</p>
+	 *
+	 * @name keydown
+	 * @type jQuery
+	 * @param Function fn A function to bind to the keydown event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the dblclick event of each matched element.
+	 *
+	 * @example $("p").dblclick( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p ondblclick="alert('Hello');">Hello</p>
+	 *
+	 * @name dblclick
+	 * @type jQuery
+	 * @param Function fn A function to bind to the dblclick event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the keypress event of each matched element.
+	 *
+	 * @example $("p").keypress( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onkeypress="alert('Hello');">Hello</p>
+	 *
+	 * @name keypress
+	 * @type jQuery
+	 * @param Function fn A function to bind to the keypress event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the error event of each matched element.
+	 *
+	 * @example $("p").error( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onerror="alert('Hello');">Hello</p>
+	 *
+	 * @name error
+	 * @type jQuery
+	 * @param Function fn A function to bind to the error event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the blur event of each matched element.
+	 *
+	 * @example $("p").blur( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onblur="alert('Hello');">Hello</p>
+	 *
+	 * @name blur
+	 * @type jQuery
+	 * @param Function fn A function to bind to the blur event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Trigger the blur event of each matched element. This causes all of the functions
+	 * that have been bound to that blur event to be executed, and calls the browser's
+	 * default blur action on the matching element(s). This default action can be prevented
+	 * by returning false from one of the functions bound to the blur event.
+	 *
+	 * Note: This does not execute the blur method of the underlying elements! If you need to
+	 * blur an element via code, you have to use the DOM method, eg. $("#myinput")[0].blur();
+	 *
+	 * @example $("p").blur();
+	 * @before <p onblur="alert('Hello');">Hello</p>
+	 * @result alert('Hello');
+	 *
+	 * @name blur
+	 * @type jQuery
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the load event of each matched element.
+	 *
+	 * @example $("p").load( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onload="alert('Hello');">Hello</p>
+	 *
+	 * @name load
+	 * @type jQuery
+	 * @param Function fn A function to bind to the load event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the select event of each matched element.
+	 *
+	 * @example $("p").select( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onselect="alert('Hello');">Hello</p>
+	 *
+	 * @name select
+	 * @type jQuery
+	 * @param Function fn A function to bind to the select event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Trigger the select event of each matched element. This causes all of the functions
+	 * that have been bound to that select event to be executed, and calls the browser's
+	 * default select action on the matching element(s). This default action can be prevented
+	 * by returning false from one of the functions bound to the select event.
+	 *
+	 * @example $("p").select();
+	 * @before <p onselect="alert('Hello');">Hello</p>
+	 * @result alert('Hello');
+	 *
+	 * @name select
+	 * @type jQuery
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the mouseup event of each matched element.
+	 *
+	 * @example $("p").mouseup( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onmouseup="alert('Hello');">Hello</p>
+	 *
+	 * @name mouseup
+	 * @type jQuery
+	 * @param Function fn A function to bind to the mouseup event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the unload event of each matched element.
+	 *
+	 * @example $("p").unload( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onunload="alert('Hello');">Hello</p>
+	 *
+	 * @name unload
+	 * @type jQuery
+	 * @param Function fn A function to bind to the unload event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the change event of each matched element.
+	 *
+	 * @example $("p").change( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onchange="alert('Hello');">Hello</p>
+	 *
+	 * @name change
+	 * @type jQuery
+	 * @param Function fn A function to bind to the change event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the mouseout event of each matched element.
+	 *
+	 * @example $("p").mouseout( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onmouseout="alert('Hello');">Hello</p>
+	 *
+	 * @name mouseout
+	 * @type jQuery
+	 * @param Function fn A function to bind to the mouseout event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the keyup event of each matched element.
+	 *
+	 * @example $("p").keyup( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onkeyup="alert('Hello');">Hello</p>
+	 *
+	 * @name keyup
+	 * @type jQuery
+	 * @param Function fn A function to bind to the keyup event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the click event of each matched element.
+	 *
+	 * @example $("p").click( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onclick="alert('Hello');">Hello</p>
+	 *
+	 * @name click
+	 * @type jQuery
+	 * @param Function fn A function to bind to the click event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Trigger the click event of each matched element. This causes all of the functions
+	 * that have been bound to thet click event to be executed.
+	 *
+	 * @example $("p").click();
+	 * @before <p onclick="alert('Hello');">Hello</p>
+	 * @result alert('Hello');
+	 *
+	 * @name click
+	 * @type jQuery
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the resize event of each matched element.
+	 *
+	 * @example $("p").resize( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onresize="alert('Hello');">Hello</p>
+	 *
+	 * @name resize
+	 * @type jQuery
+	 * @param Function fn A function to bind to the resize event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the mousemove event of each matched element.
+	 *
+	 * @example $("p").mousemove( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onmousemove="alert('Hello');">Hello</p>
+	 *
+	 * @name mousemove
+	 * @type jQuery
+	 * @param Function fn A function to bind to the mousemove event on each of the matched elements.
+	 * @cat Events
+	 */
+
+	/**
+	 * Bind a function to the mousedown event of each matched element.
+	 *
+	 * @example $("p").mousedown( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onmousedown="alert('Hello');">Hello</p>
+	 *
+	 * @name mousedown
+	 * @type jQuery
+	 * @param Function fn A function to bind to the mousedown event on each of the matched elements.
+	 * @cat Events
+	 */
+	 
+	/**
+	 * Bind a function to the mouseover event of each matched element.
+	 *
+	 * @example $("p").mouseover( function() { alert("Hello"); } );
+	 * @before <p>Hello</p>
+	 * @result <p onmouseover="alert('Hello');">Hello</p>
+	 *
+	 * @name mouseover
+	 * @type jQuery
+	 * @param Function fn A function to bind to the mousedown event on each of the matched elements.
+	 * @cat Events
+	 */
+	jQuery.each( ("blur,focus,load,resize,scroll,unload,click,dblclick," +
+		"mousedown,mouseup,mousemove,mouseover,mouseout,change,select," + 
+		"submit,keydown,keypress,keyup,error").split(","), function(i,o){
+		
+		// Handle event binding
+		jQuery.fn[o] = function(f){
+			return f ? this.bind(o, f) : this.trigger(o);
+		};
+			
+	});
+
+var readyBound = false;
+
+function bindReady(){
+	if ( readyBound ) return;
+	readyBound = true;
+
+	// If Mozilla is used
+	if ( jQuery.browser.mozilla || jQuery.browser.opera )
+		// Use the handy event callback
+		document.addEventListener( "DOMContentLoaded", jQuery.ready, false );
+	
+	// If IE is used, use the excellent hack by Matthias Miller
+	// http://www.outofhanwell.com/blog/index.php?title=the_window_onload_problem_revisited
+	else if ( jQuery.browser.msie ) {
+	
+		// Only works if you document.write() it
+		document.write("<scr" + "ipt id=__ie_init defer=true " + 
+			"src=//:><\/script>");
+	
+		// Use the defer script hack
+		var script = document.getElementById("__ie_init");
+		
+		// script does not exist if jQuery is loaded dynamically
+		if ( script ) 
+			script.onreadystatechange = function() {
+				if ( document.readyState != "complete" ) return;
+				jQuery.ready();
+			};
+	
+		// Clear from memory
+		script = null;
+	
+	// If Safari  is used
+	} else if ( jQuery.browser.safari )
+		// Continually check to see if the document.readyState is valid
+		jQuery.safariTimer = setInterval(function(){
+			// loaded and complete are both valid states
+			if ( document.readyState == "loaded" || 
+				document.readyState == "complete" ) {
+	
+				// If either one are found, remove the timer
+				clearInterval( jQuery.safariTimer );
+				jQuery.safariTimer = null;
+	
+				// and execute any waiting functions
+				jQuery.ready();
+			}
+		}, 10); 
+
+	// A fallback to window.onload, that will always work
+	jQuery.event.add( window, "load", jQuery.ready );
+}
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/event/eventTest.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/event/eventTest.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/event/eventTest.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/event/eventTest.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,126 @@
+module("event");
+
+test("bind()", function() {
+	expect(11);
+
+	var handler = function(event) {
+		ok( event.data, "bind() with data, check passed data exists" );
+		ok( event.data.foo == "bar", "bind() with data, Check value of passed data" );
+	};
+	$("#firstp").bind("click", {foo: "bar"}, handler).click().unbind("click", handler);
+	
+	ok( !$("#firstp").get(0).$events, "Event handler unbound when using data." );
+	
+	reset();
+	var handler = function(event, data) {
+		ok( event.data, "check passed data exists" );
+		ok( event.data.foo == "bar", "Check value of passed data" );
+		ok( data, "Check trigger data" );
+		ok( data.bar == "foo", "Check value of trigger data" );
+	};
+	$("#firstp").bind("click", {foo: "bar"}, handler).trigger("click", [{bar: "foo"}]).unbind(handler);
+	
+	reset();
+	var handler = function(event) {
+		ok ( !event.data, "Check that no data is added to the event object" );
+	};
+	$("#firstp").bind("click", handler).trigger("click");
+	
+	
+	// events don't work with iframes, see #939 - this test fails in IE because of contentDocument
+	// var doc = document.getElementById("iframe").contentDocument;
+	// 
+	// doc.body.innerHTML = "<input type='text'/>";
+	//  
+	// var input = doc.getElementsByTagName("input")[0];
+	//  
+	// $(input).bind("click",function() {
+	// 	ok( true, "Binding to element inside iframe" );
+	// }).click();
+	
+	var counter = 0;
+	function selectOnChange(event) {
+		equals( event.data, counter++, "Event.data is not a global event object" );
+	};
+	$("select").each(function(i){
+		$(this).bind('change', i, selectOnChange);
+	}).trigger('change');
+});
+
+test("click()", function() {
+	expect(4);
+	$('<li><a href="#">Change location</a></li>').prependTo('#firstUL').find('a').bind('click', function() {
+	    var close = $('spanx', this); // same with $(this).find('span');
+	    ok( close.length == 0, "Context element does not exist, length must be zero" );
+	    ok( !close[0], "Context element does not exist, direct access to element must return undefined" );
+	    return false;
+	}).click();
+	
+	$("#check1").click(function() {
+		ok( true, "click event handler for checkbox gets fired twice, see #815" );
+	}).click();
+	
+	var counter = 0;
+	$('#firstp')[0].onclick = function(event) {
+		counter++;
+	};
+	$('#firstp').click();
+	ok( counter == 1, "Check that click, triggers onclick event handler also" );
+});
+
+test("unbind(event)", function() {
+	expect(6);
+	var el = $("#firstp");
+	el.click(function() {
+		ok( true, "Fake normal bind" );
+	});
+	el.click(function(event) {
+		el.unbind(event);
+		ok( true, "Fake onebind" );
+	});
+	el.click().click();
+	
+	el.click(function() { return; });
+	el.unbind('click');
+	ok( !el[0].onclick, "Handler is removed" ); // Bug #964
+
+	el.click(function() { return; });
+	el.unbind('change',function(){ return; });
+	for (var ret in el[0].$events['click']) break;
+	ok( ret, "Extra handlers weren't accidentally removed." );
+
+	el.unbind('click');
+	ok( !el[0].$events, "Removed the events expando after all handlers are unbound." );
+});
+
+test("trigger(event, [data]", function() {
+	expect(3);
+	var handler = function(event, a, b, c) {
+		ok( a == 1, "check passed data" );
+		ok( b == "2", "check passed data" );
+		ok( c == "abc", "check passed data" );
+	};
+	$("#firstp").bind("click", handler).trigger("click", [1, "2", "abc"]);
+});
+
+test("toggle(Function, Function)", function() {
+	expect(4);
+	var count = 0,
+		fn1 = function(e) { count++; },
+		fn2 = function(e) { count--; },
+		preventDefault = function(e) { e.preventDefault() },
+		link = $('#mark');
+	link.click(preventDefault).click().toggle(fn1, fn2).click().click().click().click().click();
+	ok( count == 1, "Check for toggle(fn, fn)" );
+	
+	var first = 0;
+	$("#simon1").one("click", function() {
+		ok( true, "Execute event only once" );
+		$(this).toggle(function() {
+			ok( first++ == 0, "toggle(Function,Function) assigned from within one('xxx'), see #1054" );
+		}, function() {
+			ok( first == 1, "toggle(Function,Function) assigned from within one('xxx'), see #1054" );
+		});
+		return false;
+	}).click().click().click();
+});
\ No newline at end of file
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/fx/fx.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/fx/fx.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/fx/fx.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/fx/fx.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,583 @@
+jQuery.fn.extend({
+
+	/**
+	 * Displays each of the set of matched elements if they are hidden.
+	 *
+	 * @example $("p").show()
+	 * @before <p style="display: none">Hello</p>
+	 * @result [ <p style="display: block">Hello</p> ]
+	 *
+	 * @name show
+	 * @type jQuery
+	 * @cat Effects
+	 */
+	
+	/**
+	 * Show all matched elements using a graceful animation and firing an
+	 * optional callback after completion.
+	 *
+	 * The height, width, and opacity of each of the matched elements 
+	 * are changed dynamically according to the specified speed.
+	 *
+	 * @example $("p").show("slow");
+	 *
+	 * @example $("p").show("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name show
+	 * @type jQuery
+	 * @param String|Number speed A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see hide(String|Number,Function)
+	 */
+	show: function(speed,callback){
+		return speed ?
+			this.animate({
+				height: "show", width: "show", opacity: "show"
+			}, speed, callback) :
+			
+			this.filter(":hidden").each(function(){
+				this.style.display = this.oldblock ? this.oldblock : "";
+				if ( jQuery.css(this,"display") == "none" )
+					this.style.display = "block";
+			}).end();
+	},
+	
+	/**
+	 * Hides each of the set of matched elements if they are shown.
+	 *
+	 * @example $("p").hide()
+	 * @before <p>Hello</p>
+	 * @result [ <p style="display: none">Hello</p> ]
+	 *
+	 * @name hide
+	 * @type jQuery
+	 * @cat Effects
+	 */
+	
+	/**
+	 * Hide all matched elements using a graceful animation and firing an
+	 * optional callback after completion.
+	 *
+	 * The height, width, and opacity of each of the matched elements 
+	 * are changed dynamically according to the specified speed.
+	 *
+	 * @example $("p").hide("slow");
+	 *
+	 * @example $("p").hide("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name hide
+	 * @type jQuery
+	 * @param String|Number speed A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see show(String|Number,Function)
+	 */
+	hide: function(speed,callback){
+		return speed ?
+			this.animate({
+				height: "hide", width: "hide", opacity: "hide"
+			}, speed, callback) :
+			
+			this.filter(":visible").each(function(){
+				this.oldblock = this.oldblock || jQuery.css(this,"display");
+				if ( this.oldblock == "none" )
+					this.oldblock = "block";
+				this.style.display = "none";
+			}).end();
+	},
+
+	// Save the old toggle function
+	_toggle: jQuery.fn.toggle,
+	
+	/**
+	 * Toggles each of the set of matched elements. If they are shown,
+	 * toggle makes them hidden. If they are hidden, toggle
+	 * makes them shown.
+	 *
+	 * @example $("p").toggle()
+	 * @before <p>Hello</p><p style="display: none">Hello Again</p>
+	 * @result [ <p style="display: none">Hello</p>, <p style="display: block">Hello Again</p> ]
+	 *
+	 * @name toggle
+	 * @type jQuery
+	 * @cat Effects
+	 */
+	toggle: function( fn, fn2 ){
+		return jQuery.isFunction(fn) && jQuery.isFunction(fn2) ?
+			this._toggle( fn, fn2 ) :
+			fn ?
+				this.animate({
+					height: "toggle", width: "toggle", opacity: "toggle"
+				}, fn, fn2) :
+				this.each(function(){
+					jQuery(this)[ jQuery(this).is(":hidden") ? "show" : "hide" ]();
+				});
+	},
+	
+	/**
+	 * Reveal all matched elements by adjusting their height and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the height is adjusted for this animation, causing all matched
+	 * elements to be revealed in a "sliding" manner.
+	 *
+	 * @example $("p").slideDown("slow");
+	 *
+	 * @example $("p").slideDown("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name slideDown
+	 * @type jQuery
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see slideUp(String|Number,Function)
+	 * @see slideToggle(String|Number,Function)
+	 */
+	slideDown: function(speed,callback){
+		return this.animate({height: "show"}, speed, callback);
+	},
+	
+	/**
+	 * Hide all matched elements by adjusting their height and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the height is adjusted for this animation, causing all matched
+	 * elements to be hidden in a "sliding" manner.
+	 *
+	 * @example $("p").slideUp("slow");
+	 *
+	 * @example $("p").slideUp("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name slideUp
+	 * @type jQuery
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see slideDown(String|Number,Function)
+	 * @see slideToggle(String|Number,Function)
+	 */
+	slideUp: function(speed,callback){
+		return this.animate({height: "hide"}, speed, callback);
+	},
+
+	/**
+	 * Toggle the visibility of all matched elements by adjusting their height and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the height is adjusted for this animation, causing all matched
+	 * elements to be hidden in a "sliding" manner.
+	 *
+	 * @example $("p").slideToggle("slow");
+	 *
+	 * @example $("p").slideToggle("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name slideToggle
+	 * @type jQuery
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see slideDown(String|Number,Function)
+	 * @see slideUp(String|Number,Function)
+	 */
+	slideToggle: function(speed, callback){
+		return this.animate({height: "toggle"}, speed, callback);
+	},
+	
+	/**
+	 * Fade in all matched elements by adjusting their opacity and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the opacity is adjusted for this animation, meaning that
+	 * all of the matched elements should already have some form of height
+	 * and width associated with them.
+	 *
+	 * @example $("p").fadeIn("slow");
+	 *
+	 * @example $("p").fadeIn("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name fadeIn
+	 * @type jQuery
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see fadeOut(String|Number,Function)
+	 * @see fadeTo(String|Number,Number,Function)
+	 */
+	fadeIn: function(speed, callback){
+		return this.animate({opacity: "show"}, speed, callback);
+	},
+	
+	/**
+	 * Fade out all matched elements by adjusting their opacity and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the opacity is adjusted for this animation, meaning that
+	 * all of the matched elements should already have some form of height
+	 * and width associated with them.
+	 *
+	 * @example $("p").fadeOut("slow");
+	 *
+	 * @example $("p").fadeOut("slow",function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name fadeOut
+	 * @type jQuery
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see fadeIn(String|Number,Function)
+	 * @see fadeTo(String|Number,Number,Function)
+	 */
+	fadeOut: function(speed, callback){
+		return this.animate({opacity: "hide"}, speed, callback);
+	},
+	
+	/**
+	 * Fade the opacity of all matched elements to a specified opacity and firing an
+	 * optional callback after completion.
+	 *
+	 * Only the opacity is adjusted for this animation, meaning that
+	 * all of the matched elements should already have some form of height
+	 * and width associated with them.
+	 *
+	 * @example $("p").fadeTo("slow", 0.5);
+	 *
+	 * @example $("p").fadeTo("slow", 0.5, function(){
+	 *   alert("Animation Done.");
+	 * });
+	 *
+	 * @name fadeTo
+	 * @type jQuery
+	 * @param String|Number speed A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param Number opacity The opacity to fade to (a number from 0 to 1).
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 * @see fadeIn(String|Number,Function)
+	 * @see fadeOut(String|Number,Function)
+	 */
+	fadeTo: function(speed,to,callback){
+		return this.animate({opacity: to}, speed, callback);
+	},
+	
+	/**
+	 * A function for making your own, custom animations. The key aspect of
+	 * this function is the object of style properties that will be animated,
+	 * and to what end. Each key within the object represents a style property
+	 * that will also be animated (for example: "height", "top", or "opacity").
+	 *
+	 * Note that properties should be specified using camel case
+	 * eg. marginLeft instead of margin-left.
+	 *
+	 * The value associated with the key represents to what end the property
+	 * will be animated. If a number is provided as the value, then the style
+	 * property will be transitioned from its current state to that new number.
+	 * Otherwise if the string "hide", "show", or "toggle" is provided, a default
+	 * animation will be constructed for that property.
+	 *
+	 * @example $("p").animate({
+	 *   height: 'toggle', opacity: 'toggle'
+	 * }, "slow");
+	 *
+	 * @example $("p").animate({
+	 *   left: 50, opacity: 'show'
+	 * }, 500);
+	 *
+	 * @example $("p").animate({
+	 *   opacity: 'show'
+	 * }, "slow", "easein");
+	 * @desc An example of using an 'easing' function to provide a different style of animation. This will only work if you have a plugin that provides this easing function (Only "swing" and "linear" are provided by default, with jQuery).
+	 *
+	 * @name animate
+	 * @type jQuery
+	 * @param Hash params A set of style attributes that you wish to animate, and to what end.
+	 * @param String|Number speed (optional) A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).
+	 * @param String easing (optional) The name of the easing effect that you want to use (e.g. "swing" or "linear"). Defaults to "swing".
+	 * @param Function callback (optional) A function to be executed whenever the animation completes.
+	 * @cat Effects
+	 */
+	animate: function( prop, speed, easing, callback ) {
+		return this.queue(function(){
+			var hidden = jQuery(this).is(":hidden"),
+				opt = jQuery.speed(speed, easing, callback),
+				self = this;
+			
+			for ( var p in prop ) {
+				if ( prop[p] == "hide" && hidden || prop[p] == "show" && !hidden )
+					return jQuery.isFunction(opt.complete) && opt.complete.apply(this);
+
+				if ( p == "height" || p == "width" ) {
+					// Store display property
+					opt.display = jQuery.css(this, "display");
+
+					// Make sure that nothing sneaks out
+					opt.overflow = this.style.overflow;
+				}
+			}
+
+			if ( opt.overflow != null )
+				this.style.overflow = "hidden";
+
+			this.curAnim = jQuery.extend({}, prop);
+			
+			jQuery.each( prop, function(name, val){
+				var e = new jQuery.fx( self, opt, name );
+				if ( val.constructor == Number )
+					e.custom( e.cur() || 0, val );
+				else
+					e[ val == "toggle" ? hidden ? "show" : "hide" : val ]( prop );
+			});
+
+			// For JS strict compliance
+			return true;
+		});
+	},
+	
+	/**
+	 *
+	 * @private
+	 */
+	queue: function(type,fn){
+		if ( !fn ) {
+			fn = type;
+			type = "fx";
+		}
+	
+		return this.each(function(){
+			if ( !this.queue )
+				this.queue = {};
+	
+			if ( !this.queue[type] )
+				this.queue[type] = [];
+	
+			this.queue[type].push( fn );
+		
+			if ( this.queue[type].length == 1 )
+				fn.apply(this);
+		});
+	}
+
+});
+
+jQuery.extend({
+	
+	speed: function(speed, easing, fn) {
+		var opt = speed && speed.constructor == Object ? speed : {
+			complete: fn || !fn && easing || 
+				jQuery.isFunction( speed ) && speed,
+			duration: speed,
+			easing: fn && easing || easing && easing.constructor != Function && easing
+		};
+
+		opt.duration = (opt.duration && opt.duration.constructor == Number ? 
+			opt.duration : 
+			{ slow: 600, fast: 200 }[opt.duration]) || 400;
+	
+		// Queueing
+		opt.old = opt.complete;
+		opt.complete = function(){
+			jQuery.dequeue(this, "fx");
+			if ( jQuery.isFunction( opt.old ) )
+				opt.old.apply( this );
+		};
+	
+		return opt;
+	},
+	
+	easing: {
+		linear: function( p, n, firstNum, diff ) {
+			return firstNum + diff * p;
+		},
+		swing: function( p, n, firstNum, diff ) {
+			return ((-Math.cos(p*Math.PI)/2) + 0.5) * diff + firstNum;
+		}
+	},
+	
+	queue: {},
+	
+	dequeue: function(elem,type){
+		type = type || "fx";
+	
+		if ( elem.queue && elem.queue[type] ) {
+			// Remove self
+			elem.queue[type].shift();
+	
+			// Get next function
+			var f = elem.queue[type][0];
+		
+			if ( f ) f.apply( elem );
+		}
+	},
+
+	timers: [],
+
+	/*
+	 * I originally wrote fx() as a clone of moo.fx and in the process
+	 * of making it small in size the code became illegible to sane
+	 * people. You've been warned.
+	 */
+	
+	fx: function( elem, options, prop ){
+
+		var z = this;
+
+		// The styles
+		var y = elem.style;
+		
+		// Simple function for setting a style value
+		z.a = function(){
+			if ( options.step )
+				options.step.apply( elem, [ z.now ] );
+
+			if ( prop == "opacity" )
+				jQuery.attr(y, "opacity", z.now); // Let attr handle opacity
+			else {
+				y[prop] = parseInt(z.now) + "px";
+
+				// Set display property to block for height/width animations
+				if ( prop == "height" || prop == "width" )
+					y.display = "block";
+			}
+		};
+
+		// Figure out the maximum number to run to
+		z.max = function(){
+			return parseFloat( jQuery.css(elem,prop) );
+		};
+
+		// Get the current size
+		z.cur = function(){
+			var r = parseFloat( jQuery.curCSS(elem, prop) );
+			return r && r > -10000 ? r : z.max();
+		};
+
+		// Start an animation from one number to another
+		z.custom = function(from,to){
+			z.startTime = (new Date()).getTime();
+			z.now = from;
+			z.a();
+
+			jQuery.timers.push(function(){
+				return z.step(from, to);
+			});
+
+			if ( jQuery.timers.length == 1 ) {
+				var timer = setInterval(function(){
+					var timers = jQuery.timers;
+					
+					for ( var i = 0; i < timers.length; i++ )
+						if ( !timers[i]() )
+							timers.splice(i--, 1);
+
+					if ( !timers.length )
+						clearInterval( timer );
+				}, 13);
+			}
+		};
+
+		// Simple 'show' function
+		z.show = function(){
+			if ( !elem.orig ) elem.orig = {};
+
+			// Remember where we started, so that we can go back to it later
+			elem.orig[prop] = jQuery.attr( elem.style, prop );
+
+			options.show = true;
+
+			// Begin the animation
+			z.custom(0, this.cur());
+
+			// Make sure that we start at a small width/height to avoid any
+			// flash of content
+			if ( prop != "opacity" )
+				y[prop] = "1px";
+			
+			// Start by showing the element
+			jQuery(elem).show();
+		};
+
+		// Simple 'hide' function
+		z.hide = function(){
+			if ( !elem.orig ) elem.orig = {};
+
+			// Remember where we started, so that we can go back to it later
+			elem.orig[prop] = jQuery.attr( elem.style, prop );
+
+			options.hide = true;
+
+			// Begin the animation
+			z.custom(this.cur(), 0);
+		};
+
+		// Each step of an animation
+		z.step = function(firstNum, lastNum){
+			var t = (new Date()).getTime();
+
+			if (t > options.duration + z.startTime) {
+				z.now = lastNum;
+				z.a();
+
+				if (elem.curAnim) elem.curAnim[ prop ] = true;
+
+				var done = true;
+				for ( var i in elem.curAnim )
+					if ( elem.curAnim[i] !== true )
+						done = false;
+
+				if ( done ) {
+					if ( options.display != null ) {
+						// Reset the overflow
+						y.overflow = options.overflow;
+					
+						// Reset the display
+						y.display = options.display;
+						if ( jQuery.css(elem, "display") == "none" )
+							y.display = "block";
+					}
+
+					// Hide the element if the "hide" operation was done
+					if ( options.hide )
+						y.display = "none";
+
+					// Reset the properties, if the item has been hidden or shown
+					if ( options.hide || options.show )
+						for ( var p in elem.curAnim )
+							jQuery.attr(y, p, elem.orig[p]);
+				}
+
+				// If a callback was provided, execute it
+				if ( done && jQuery.isFunction( options.complete ) )
+					// Execute the complete function
+					options.complete.apply( elem );
+
+				return false;
+			} else {
+				var n = t - this.startTime;
+				// Figure out where in the animation we are and set the number
+				var p = n / options.duration;
+				
+				// Perform the easing function, defaults to swing
+				z.now = jQuery.easing[options.easing || (jQuery.easing.swing ? "swing" : "linear")](p, n, firstNum, (lastNum-firstNum), options.duration);
+
+				// Perform the next step of the animation
+				z.a();
+			}
+
+			return true;
+		};
+	
+	}
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/fx/fxTest.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/fx/fxTest.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/fx/fxTest.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/fx/fxTest.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,284 @@
+module("fx");
+
+test("animate(Hash, Object, Function)", function() {
+	expect(1);
+	stop();
+	var hash = {opacity: 'show'};
+	var hashCopy = $.extend({}, hash);
+	$('#foo').animate(hash, 0, function() {
+		ok( hash.opacity == hashCopy.opacity, 'Check if animate changed the hash parameter' );
+		start();
+	});
+});
+
+test("toggle()", function() {
+	expect(3);
+	var x = $("#foo");
+	ok( x.is(":visible") );
+	x.toggle();
+	ok( x.is(":hidden") );
+	x.toggle();
+	ok( x.is(":visible") );
+});
+
+var visible = {
+	Normal: function(elem){},
+	"CSS Hidden": function(elem){
+		$(this).addClass("hidden");
+	},
+	"JS Hidden": function(elem){
+		$(this).hide();
+	}
+};
+
+var from = {
+	"CSS Auto": function(elem,prop){
+		$(elem).addClass("auto" + prop)
+			.text("This is a long string of text.");
+		return "";
+	},
+	"JS Auto": function(elem,prop){
+		$(elem).css(prop,"auto")
+			.text("This is a long string of text.");
+		return "";
+	},
+	"CSS 100": function(elem,prop){
+		$(elem).addClass("large" + prop);
+		return "";
+	},
+	"JS 100": function(elem,prop){
+		$(elem).css(prop,prop == "opacity" ? 1 : "100px");
+		return prop == "opacity" ? 1 : 100;
+	},
+	"CSS 50": function(elem,prop){
+		$(elem).addClass("med" + prop);
+		return "";
+	},
+	"JS 50": function(elem,prop){
+		$(elem).css(prop,prop == "opacity" ? 0.50 : "50px");
+		return prop == "opacity" ? 0.5 : 50;
+	},
+	"CSS 0": function(elem,prop){
+		$(elem).addClass("no" + prop);
+		return "";
+	},
+	"JS 0": function(elem,prop){
+		$(elem).css(prop,prop == "opacity" ? 0 : "0px");
+		return 0;
+	}
+};
+
+var to = {
+	"show": function(elem,prop){
+		$(elem).hide().addClass("wide"+prop);
+		return "show";
+	},
+	"hide": function(elem,prop){
+		$(elem).addClass("wide"+prop);
+		return "hide";
+	},
+	"100": function(elem,prop){
+		$(elem).addClass("wide"+prop);
+		return prop == "opacity" ? 1 : 100;
+	},
+	"50": function(elem,prop){
+		return prop == "opacity" ? 0.50 : 50;
+	},
+	"0": function(elem,prop){
+		$(elem).addClass("noback");
+		return 0;
+	}
+};
+
+function checkOverflowDisplay(){
+	var o = jQuery.css( this, "overflow" );
+
+	ok(o == "visible", "Overflow should be visible: " + o);
+	ok(jQuery.css( this, "display" ) == "inline", "Display shouldn't be tampered with.");
+
+	start();
+}
+
+test("JS Overflow and Display", function() {
+	expect(2);
+	stop();
+	makeTest( "JS Overflow and Display" )
+		.addClass("widewidth")
+		.css({ overflow: "visible", display: "inline" })
+		.addClass("widewidth")
+		.text("Some sample text.")
+		.before("text before")
+		.after("text after")
+		.animate({ opacity: 0.5 }, "slow", checkOverflowDisplay);
+});
+		
+test("CSS Overflow and Display", function() {
+	expect(2);
+	stop();
+	makeTest( "CSS Overflow and Display" )
+		.addClass("overflow inline")
+		.addClass("widewidth")
+		.text("Some sample text.")
+		.before("text before")
+		.after("text after")
+		.animate({ opacity: 0.5 }, "slow", checkOverflowDisplay);
+});
+
+jQuery.each( from, function(fn, f){
+	jQuery.each( to, function(tn, t){
+		test(fn + " to " + tn, function() {
+			var elem = makeTest( fn + " to " + tn );
+	
+			var t_w = t( elem, "width" );
+			var f_w = f( elem, "width" );
+			var t_h = t( elem, "height" );
+			var f_h = f( elem, "height" );
+			var t_o = t( elem, "opacity" );
+			var f_o = f( elem, "opacity" );
+			
+			var num = 0;
+			
+			if ( t_h == "show" ) num++;
+			if ( t_w == "show" ) num++;
+			if ( t_w == "hide"||t_w == "show" ) num++;
+			if ( t_h == "hide"||t_h == "show" ) num++;
+			if ( t_o == "hide"||t_o == "show" ) num++;
+			if ( t_w == "hide" ) num++;
+			if ( t_o.constructor == Number ) num += 2;
+			if ( t_w.constructor == Number ) num += 2;
+			if ( t_h.constructor == Number ) num +=2;
+			
+			expect(num);
+			stop();
+	
+			var anim = { width: t_w, height: t_h, opacity: t_o };
+	
+			elem.animate(anim, 50, function(){
+				if ( t_w == "show" )
+					ok( this.style.display == "block", "Showing, display should block: " + this.style.display);
+					
+				if ( t_w == "hide"||t_w == "show" )
+					ok(this.style.width.indexOf(f_w) == 0, "Width must be reset to " + f_w + ": " + this.style.width);
+					
+				if ( t_h == "hide"||t_h == "show" )
+					ok(this.style.height.indexOf(f_h) == 0, "Height must be reset to " + f_h + ": " + this.style.height);
+					
+				var cur_o = jQuery.attr(this.style, "opacity");
+				if ( cur_o !== "" ) cur_o = parseFloat( cur_o );
+	
+				if ( t_o == "hide"||t_o == "show" )
+					ok(cur_o == f_o, "Opacity must be reset to " + f_o + ": " + cur_o);
+					
+				if ( t_w == "hide" )
+					ok(this.style.display == "none", "Hiding, display should be none: " + this.style.display);
+					
+				if ( t_o.constructor == Number ) {
+					ok(cur_o == t_o, "Final opacity should be " + t_o + ": " + cur_o);
+					
+					ok(jQuery.curCSS(this, "opacity") != "" || cur_o == t_o, "Opacity should be explicitly set to " + t_o + ", is instead: " + cur_o);
+				}
+					
+				if ( t_w.constructor == Number ) {
+					ok(this.style.width == t_w + "px", "Final width should be " + t_w + ": " + this.style.width);
+					
+					var cur_w = jQuery.css(this,"width");
+
+					ok(this.style.width != "" || cur_w == t_w, "Width should be explicitly set to " + t_w + ", is instead: " + cur_w);
+				}
+					
+				if ( t_h.constructor == Number ) {
+					ok(this.style.height == t_h + "px", "Final height should be " + t_h + ": " + this.style.height);
+					
+					var cur_h = jQuery.css(this,"height");
+
+					ok(this.style.height != "" || cur_h == t_h, "Height should be explicitly set to " + t_h + ", is instead: " + cur_w);
+				}
+				
+				if ( t_h == "show" ) {
+					var old_h = jQuery.curCSS(this, "height");
+					$(elem).append("<br/>Some more text<br/>and some more...");
+					ok(old_h != jQuery.css(this, "height" ), "Make sure height is auto.");
+				}
+	
+				start();
+			});
+		});
+	});
+});
+
+var check = ['opacity','height','width','display','overflow'];
+
+jQuery.fn.saveState = function(){
+	expect(check.length);
+	stop();
+	return this.each(function(){
+		var self = this;
+		self.save = {};
+		jQuery.each(check, function(i,c){
+			self.save[c] = jQuery.css(self,c);
+		});
+	});
+};
+
+function checkState(){
+	var self = this;
+	jQuery.each(this.save, function(c,v){
+		var cur = jQuery.css(self,c);
+		ok( v == cur, "Make sure that " + c + " is reset (Old: " + v + " Cur: " + cur + ")");
+	});
+	start();
+}
+
+// Chaining Tests
+test("Chain fadeOut fadeIn", function() {
+	$('#fadein div').saveState().fadeOut('fast').fadeIn('fast',checkState);
+});
+test("Chain fadeIn fadeOut", function() {
+	$('#fadeout div').saveState().fadeIn('fast').fadeOut('fast',checkState);
+});
+
+test("Chain hide show", function() {
+	$('#show div').saveState().hide('fast').show('fast',checkState);
+});
+test("Chain show hide", function() {
+	$('#hide div').saveState().show('fast').hide('fast',checkState);
+});
+
+test("Chain toggle in", function() {
+	$('#togglein div').saveState().toggle('fast').toggle('fast',checkState);
+});
+test("Chain toggle out", function() {
+	$('#toggleout div').saveState().toggle('fast').toggle('fast',checkState);
+});
+
+test("Chain slideDown slideUp", function() {
+	$('#slidedown div').saveState().slideDown('fast').slideUp('fast',checkState);
+});
+test("Chain slideUp slideDown", function() {
+	$('#slideup div').saveState().slideUp('fast').slideDown('fast',checkState);
+});
+
+test("Chain slideToggle in", function() {
+	$('#slidetogglein div').saveState().slideToggle('fast').slideToggle('fast',checkState);
+});
+test("Chain slideToggle out", function() {
+	$('#slidetoggleout div').saveState().slideToggle('fast').slideToggle('fast',checkState);
+});
+
+function makeTest( text ){
+	var elem = $("<div></div>")
+		.attr("id", "test" + makeTest.id++)
+		.addClass("box");
+
+	$("<h4></h4>")
+		.text( text )
+		.appendTo("#fx-tests")
+		.click(function(){
+			$(this).next().toggle();
+		})
+		.after( elem );
+
+	return elem;
+}
+
+makeTest.id = 1;
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/intro.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/intro.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/intro.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/intro.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1 @@
+(function(){
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery/coreTest.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery/coreTest.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery/coreTest.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery/coreTest.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,930 @@
+module("core");
+
+test("Basic requirements", function() {
+	expect(7);
+	ok( Array.prototype.push, "Array.push()" );
+	ok( Function.prototype.apply, "Function.apply()" );
+	ok( document.getElementById, "getElementById" );
+	ok( document.getElementsByTagName, "getElementsByTagName" );
+	ok( RegExp, "RegExp" );
+	ok( jQuery, "jQuery" );
+	ok( $, "$()" );
+});
+
+test("$()", function() {
+	expect(2);
+	
+	var main = $("#main");
+	isSet( $("div p", main).get(), q("sndp", "en", "sap"), "Basic selector with jQuery object as context" );
+	
+	// make sure this is handled
+	$('<p>\r\n</p>');
+	ok( true, "Check for \\r and \\n in jQuery()" );
+	
+	/* // Disabled until we add this functionality in
+	var pass = true;
+	try {
+		$("<div>Testing</div>").appendTo(document.getElementById("iframe").contentDocument.body);
+	} catch(e){
+		pass = false;
+	}
+	ok( pass, "$('&lt;tag&gt;') needs optional document parameter to ease cross-frame DOM wrangling, see #968" );*/
+});
+
+test("isFunction", function() {
+	expect(21);
+
+	// Make sure that false values return false
+	ok( !jQuery.isFunction(), "No Value" );
+	ok( !jQuery.isFunction( null ), "null Value" );
+	ok( !jQuery.isFunction( undefined ), "undefined Value" );
+	ok( !jQuery.isFunction( "" ), "Empty String Value" );
+	ok( !jQuery.isFunction( 0 ), "0 Value" );
+
+	// Check built-ins
+	// Safari uses "(Internal Function)"
+	ok( jQuery.isFunction(String), "String Function" );
+	ok( jQuery.isFunction(Array), "Array Function" );
+	ok( jQuery.isFunction(Object), "Object Function" );
+	ok( jQuery.isFunction(Function), "Function Function" );
+
+	// When stringified, this could be misinterpreted
+	var mystr = "function";
+	ok( !jQuery.isFunction(mystr), "Function String" );
+
+	// When stringified, this could be misinterpreted
+	var myarr = [ "function" ];
+	ok( !jQuery.isFunction(myarr), "Function Array" );
+
+	// When stringified, this could be misinterpreted
+	var myfunction = { "function": "test" };
+	ok( !jQuery.isFunction(myfunction), "Function Object" );
+
+	// Make sure normal functions still work
+	var fn = function(){};
+	ok( jQuery.isFunction(fn), "Normal Function" );
+
+	var obj = document.createElement("object");
+
+	// Firefox says this is a function
+	ok( !jQuery.isFunction(obj), "Object Element" );
+
+	// IE says this is an object
+	ok( jQuery.isFunction(obj.getAttribute), "getAttribute Function" );
+
+	var nodes = document.body.childNodes;
+
+	// Safari says this is a function
+	ok( !jQuery.isFunction(nodes), "childNodes Property" );
+
+	var first = document.body.firstChild;
+	
+	// Normal elements are reported ok everywhere
+	ok( !jQuery.isFunction(first), "A normal DOM Element" );
+
+	var input = document.createElement("input");
+	input.type = "text";
+	document.body.appendChild( input );
+
+	// IE says this is an object
+	ok( jQuery.isFunction(input.focus), "A default function property" );
+
+	document.body.removeChild( input );
+
+	var a = document.createElement("a");
+	a.href = "some-function";
+	document.body.appendChild( a );
+
+	// This serializes with the word 'function' in it
+	ok( !jQuery.isFunction(a), "Anchor Element" );
+
+	document.body.removeChild( a );
+
+	// Recursive function calls have lengths and array-like properties
+	function callme(callback){
+		function fn(response){
+			callback(response);
+		}
+
+		ok( jQuery.isFunction(fn), "Recursive Function Call" );
+
+    	fn({ some: "data" });
+	};
+
+	callme(function(){
+    	callme(function(){});
+	});
+});
+
+test("$('html')", function() {
+	expect(2);
+	
+	reset();
+	ok( $("<script>var foo='test';</script>")[0], "Creating a script" );
+	
+	reset();
+	ok( $("<link rel='stylesheet'/>")[0], "Creating a link" );
+	
+	reset();
+});
+
+test("length", function() {
+	expect(1);
+	ok( $("p").length == 6, "Get Number of Elements Found" );
+});
+
+test("size()", function() {
+	expect(1);
+	ok( $("p").size() == 6, "Get Number of Elements Found" );
+});
+
+test("get()", function() {
+	expect(1);
+	isSet( $("p").get(), q("firstp","ap","sndp","en","sap","first"), "Get All Elements" );
+});
+
+test("get(Number)", function() {
+	expect(1);
+	ok( $("p").get(0) == document.getElementById("firstp"), "Get A Single Element" );
+});
+
+test("add(String|Element|Array)", function() {
+	expect(7);
+	isSet( $("#sndp").add("#en").add("#sap").get(), q("sndp", "en", "sap"), "Check elements from document" );
+	isSet( $("#sndp").add( $("#en")[0] ).add( $("#sap") ).get(), q("sndp", "en", "sap"), "Check elements from document" );
+	ok( $([]).add($("#form")[0].elements).length >= 13, "Check elements from array" );
+	
+	var x = $([]).add($("<p id='x1'>xxx</p>")).add($("<p id='x2'>xxx</p>"));
+	ok( x[0].id == "x1", "Check on-the-fly element1" );
+	ok( x[1].id == "x2", "Check on-the-fly element2" );
+	
+	var x = $([]).add("<p id='x1'>xxx</p>").add("<p id='x2'>xxx</p>");
+	ok( x[0].id == "x1", "Check on-the-fly element1" );
+	ok( x[1].id == "x2", "Check on-the-fly element2" );
+});
+
+test("each(Function)", function() {
+	expect(1);
+	var div = $("div");
+	div.each(function(){this.foo = 'zoo';});
+	var pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+	  if ( div.get(i).foo != "zoo" ) pass = false;
+	}
+	ok( pass, "Execute a function, Relative" );
+});
+
+test("index(Object)", function() {
+	expect(8);
+	ok( $([window, document]).index(window) == 0, "Check for index of elements" );
+	ok( $([window, document]).index(document) == 1, "Check for index of elements" );
+	var inputElements = $('#radio1,#radio2,#check1,#check2');
+	ok( inputElements.index(document.getElementById('radio1')) == 0, "Check for index of elements" );
+	ok( inputElements.index(document.getElementById('radio2')) == 1, "Check for index of elements" );
+	ok( inputElements.index(document.getElementById('check1')) == 2, "Check for index of elements" );
+	ok( inputElements.index(document.getElementById('check2')) == 3, "Check for index of elements" );
+	ok( inputElements.index(window) == -1, "Check for not found index" );
+	ok( inputElements.index(document) == -1, "Check for not found index" );
+});
+
+test("attr(String)", function() {
+	expect(13);
+	ok( $('#text1').attr('value') == "Test", 'Check for value attribute' );
+	ok( $('#text1').attr('type') == "text", 'Check for type attribute' );
+	ok( $('#radio1').attr('type') == "radio", 'Check for type attribute' );
+	ok( $('#check1').attr('type') == "checkbox", 'Check for type attribute' );
+	ok( $('#simon1').attr('rel') == "bookmark", 'Check for rel attribute' );
+	ok( $('#google').attr('title') == "Google!", 'Check for title attribute' );
+	ok( $('#mark').attr('hreflang') == "en", 'Check for hreflang attribute' );
+	ok( $('#en').attr('lang') == "en", 'Check for lang attribute' );
+	ok( $('#simon').attr('class') == "blog link", 'Check for class attribute' );
+	ok( $('#name').attr('name') == "name", 'Check for name attribute' );
+	ok( $('#text1').attr('name') == "action", 'Check for name attribute' );
+	ok( $('#form').attr('action').indexOf("formaction") >= 0, 'Check for action attribute' );
+	
+	$('<a id="tAnchor5"></a>').attr('href', '#5').appendTo('#main'); // using innerHTML in IE causes href attribute to be serialized to the full path
+	ok( $('#tAnchor5').attr('href') == "#5", 'Check for non-absolute href (an anchor)' );
+});
+
+test("attr(String) in XML Files", function() {
+	expect(2);
+	stop();
+	$.get("data/dashboard.xml", function(xml) {
+		ok( $("locations", xml).attr("class") == "foo", "Check class attribute in XML document" );
+		ok( $("location", xml).attr("for") == "bar", "Check for attribute in XML document" );
+		start();
+	});
+});
+
+test("attr(String, Function)", function() {
+	expect(2);
+	ok( $('#text1').attr('value', function() { return this.id })[0].value == "text1", "Set value from id" );
+	ok( $('#text1').attr('title', function(i) { return i }).attr('title') == "0", "Set value with an index");
+});
+
+test("attr(Hash)", function() {
+	expect(1);
+	var pass = true;
+	$("div").attr({foo: 'baz', zoo: 'ping'}).each(function(){
+	  if ( this.getAttribute('foo') != "baz" && this.getAttribute('zoo') != "ping" ) pass = false;
+	});
+	ok( pass, "Set Multiple Attributes" );
+});
+
+test("attr(String, Object)", function() {
+	expect(8);
+	var div = $("div");
+	div.attr("foo", "bar");
+	var pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+	  if ( div.get(i).getAttribute('foo') != "bar" ) pass = false;
+	}
+	ok( pass, "Set Attribute" );
+
+	ok( $("#foo").attr({"width": null}), "Try to set an attribute to nothing" );	
+	
+	$("#name").attr('name', 'something');
+	ok( $("#name").attr('name') == 'something', 'Set name attribute' );
+	$("#check2").attr('checked', true);
+	ok( document.getElementById('check2').checked == true, 'Set checked attribute' );
+	$("#check2").attr('checked', false);
+	ok( document.getElementById('check2').checked == false, 'Set checked attribute' );
+	$("#text1").attr('readonly', true);
+	ok( document.getElementById('text1').readOnly == true, 'Set readonly attribute' );
+	$("#text1").attr('readonly', false);
+	ok( document.getElementById('text1').readOnly == false, 'Set readonly attribute' );
+	$("#name").attr('maxlength', '5');
+	ok( document.getElementById('name').maxLength == '5', 'Set maxlength attribute' );
+});
+
+test("attr(String, Object) - Loaded via XML document", function() {
+	expect(2);
+	stop();
+	$.get('data/dashboard.xml', function(xml) { 
+  		var titles = [];
+  		$('tab', xml).each(function() {
+    			titles.push($(this).attr('title'));
+  		});
+  		ok( titles[0] == 'Location', 'attr() in XML context: Check first title' );
+  		ok( titles[1] == 'Users', 'attr() in XML context: Check second title' );
+  		start();
+	});
+});
+
+test("css(String|Hash)", function() {
+	expect(19);
+	
+	ok( $('#main').css("display") == 'none', 'Check for css property "display"');
+	
+	ok( $('#foo').is(':visible'), 'Modifying CSS display: Assert element is visible');
+	$('#foo').css({display: 'none'});
+	ok( !$('#foo').is(':visible'), 'Modified CSS display: Assert element is hidden');
+	$('#foo').css({display: 'block'});
+	ok( $('#foo').is(':visible'), 'Modified CSS display: Assert element is visible');
+	
+	$('#floatTest').css({styleFloat: 'right'});
+	ok( $('#floatTest').css('styleFloat') == 'right', 'Modified CSS float using "styleFloat": Assert float is right');
+	$('#floatTest').css({cssFloat: 'left'});
+	ok( $('#floatTest').css('cssFloat') == 'left', 'Modified CSS float using "cssFloat": Assert float is left');
+	$('#floatTest').css({'float': 'right'});
+	ok( $('#floatTest').css('float') == 'right', 'Modified CSS float using "float": Assert float is right');
+	$('#floatTest').css({'font-size': '30px'});
+	ok( $('#floatTest').css('font-size') == '30px', 'Modified CSS font-size: Assert font-size is 30px');
+	
+	$.each("0,0.25,0.5,0.75,1".split(','), function(i, n) {
+		$('#foo').css({opacity: n});
+		ok( $('#foo').css('opacity') == parseFloat(n), "Assert opacity is " + parseFloat(n) + " as a String" );
+		$('#foo').css({opacity: parseFloat(n)});
+		ok( $('#foo').css('opacity') == parseFloat(n), "Assert opacity is " + parseFloat(n) + " as a Number" );
+	});	
+	$('#foo').css({opacity: ''});
+	ok( $('#foo').css('opacity') == '1', "Assert opacity is 1 when set to an empty String" );
+});
+
+test("css(String, Object)", function() {
+	expect(18);
+	ok( $('#foo').is(':visible'), 'Modifying CSS display: Assert element is visible');
+	$('#foo').css('display', 'none');
+	ok( !$('#foo').is(':visible'), 'Modified CSS display: Assert element is hidden');
+	$('#foo').css('display', 'block');
+	ok( $('#foo').is(':visible'), 'Modified CSS display: Assert element is visible');
+	
+	$('#floatTest').css('styleFloat', 'left');
+	ok( $('#floatTest').css('styleFloat') == 'left', 'Modified CSS float using "styleFloat": Assert float is left');
+	$('#floatTest').css('cssFloat', 'right');
+	ok( $('#floatTest').css('cssFloat') == 'right', 'Modified CSS float using "cssFloat": Assert float is right');
+	$('#floatTest').css('float', 'left');
+	ok( $('#floatTest').css('float') == 'left', 'Modified CSS float using "float": Assert float is left');
+	$('#floatTest').css('font-size', '20px');
+	ok( $('#floatTest').css('font-size') == '20px', 'Modified CSS font-size: Assert font-size is 20px');
+	
+	$.each("0,0.25,0.5,0.75,1".split(','), function(i, n) {
+		$('#foo').css('opacity', n);
+		ok( $('#foo').css('opacity') == parseFloat(n), "Assert opacity is " + parseFloat(n) + " as a String" );
+		$('#foo').css('opacity', parseFloat(n));
+		ok( $('#foo').css('opacity') == parseFloat(n), "Assert opacity is " + parseFloat(n) + " as a Number" );
+	});
+	$('#foo').css('opacity', '');
+	ok( $('#foo').css('opacity') == '1', "Assert opacity is 1 when set to an empty String" );
+});
+
+test("text()", function() {
+	expect(1);
+	var expected = "This link has class=\"blog\": Simon Willison's Weblog";
+	ok( $('#sap').text() == expected, 'Check for merged text of more then one element.' );
+});
+
+test("wrap(String|Element)", function() {
+	expect(6);
+	var defaultText = 'Try them out:'
+	var result = $('#first').wrap('<div class="red"><span></span></div>').text();
+	ok( defaultText == result, 'Check for wrapping of on-the-fly html' );
+	ok( $('#first').parent().parent().is('.red'), 'Check if wrapper has class "red"' );
+
+	reset();
+	var defaultText = 'Try them out:'
+	var result = $('#first').wrap(document.getElementById('empty')).parent();
+	ok( result.is('ol'), 'Check for element wrapping' );
+	ok( result.text() == defaultText, 'Check for element wrapping' );
+	
+	reset();
+	//stop();
+	$('#check1').click(function() {		
+		var checkbox = this;		
+		ok( checkbox.checked, "Checkbox's state is erased after wrap() action, see #769" );
+		$(checkbox).wrap( '<div id="c1" style="display:none;"></div>' );
+		ok( checkbox.checked, "Checkbox's state is erased after wrap() action, see #769" );
+		// use a fade in to check state after this event handler has finished
+		/*setTimeout(function() {
+			ok( !checkbox.checked, "Checkbox's state is erased after wrap() action, see #769" );
+			start();
+		}, 100);*/
+	}).click();
+});
+
+test("append(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(18);
+	var defaultText = 'Try them out:'
+	var result = $('#first').append('<b>buga</b>');
+	ok( result.text() == defaultText + 'buga', 'Check if text appending works' );
+	ok( $('#select3').append('<option value="appendTest">Append Test</option>').find('option:last-child').attr('value') == 'appendTest', 'Appending html options to select element');
+	
+	reset();
+	var expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:";
+	$('#sap').append(document.getElementById('first'));
+	ok( expected == $('#sap').text(), "Check for appending of element" );
+	
+	reset();
+	expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:Yahoo";
+	$('#sap').append([document.getElementById('first'), document.getElementById('yahoo')]);
+	ok( expected == $('#sap').text(), "Check for appending of array of elements" );
+	
+	reset();
+	expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:Yahoo";
+	$('#sap').append($("#first, #yahoo"));
+	ok( expected == $('#sap').text(), "Check for appending of jQuery object" );
+
+	reset();
+	$("#sap").append( 5 );
+	ok( $("#sap")[0].innerHTML.match( /5$/ ), "Check for appending a number" );
+
+	reset();
+	$("#sap").append( " text with spaces " );
+	ok( $("#sap")[0].innerHTML.match(/ text with spaces $/), "Check for appending text with spaces" );
+
+	reset();
+	ok( $("#sap").append([]), "Check for appending an empty array." );
+	ok( $("#sap").append(""), "Check for appending an empty string." );
+	ok( $("#sap").append(document.getElementsByTagName("foo")), "Check for appending an empty nodelist." );
+	
+	reset();
+	$("#sap").append(document.getElementById('form'));
+	ok( $("#sap>form").size() == 1, "Check for appending a form" );  // Bug #910
+
+	reset();
+	var pass = true;
+	try {
+		$( $("iframe")[0].contentWindow.document.body ).append("<div>test</div>");
+	} catch(e) {
+		pass = false;
+	}
+
+	ok( pass, "Test for appending a DOM node to the contents of an IFrame" );
+	
+	reset();
+	$('<fieldset/>').appendTo('#form').append('<legend id="legend">test</legend>');
+	t( 'Append legend', '#legend', ['legend'] );
+	
+	reset();
+	$('#select1').append('<OPTION>Test</OPTION>');
+	ok( $('#select1 option:last').text() == "Test", "Appending &lt;OPTION&gt; (all caps)" );
+	
+	$('#table').append('<colgroup></colgroup>');
+	ok( $('#table colgroup').length, "Append colgroup" );
+	
+	$('#table colgroup').append('<col/>');
+	ok( $('#table colgroup col').length, "Append col" );
+	
+	reset();
+	$('#table').append('<caption></caption>');
+	ok( $('#table caption').length, "Append caption" );
+
+	reset();
+	$('form:last')
+		.append('<select id="appendSelect1"></select>')
+		.append('<select id="appendSelect2"><option>Test</option></select>');
+	
+	t( "Append Select", "#appendSelect1, #appendSelect2", ["appendSelect1", "appendSelect2"] );
+});
+
+test("appendTo(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(6);
+	var defaultText = 'Try them out:'
+	$('<b>buga</b>').appendTo('#first');
+	ok( $("#first").text() == defaultText + 'buga', 'Check if text appending works' );
+	ok( $('<option value="appendTest">Append Test</option>').appendTo('#select3').parent().find('option:last-child').attr('value') == 'appendTest', 'Appending html options to select element');
+	
+	reset();
+	var expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:";
+	$(document.getElementById('first')).appendTo('#sap');
+	ok( expected == $('#sap').text(), "Check for appending of element" );
+	
+	reset();
+	expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:Yahoo";
+	$([document.getElementById('first'), document.getElementById('yahoo')]).appendTo('#sap');
+	ok( expected == $('#sap').text(), "Check for appending of array of elements" );
+	
+	reset();
+	expected = "This link has class=\"blog\": Simon Willison's WeblogTry them out:Yahoo";
+	$("#first, #yahoo").appendTo('#sap');
+	ok( expected == $('#sap').text(), "Check for appending of jQuery object" );
+	
+	reset();
+	$('#select1').appendTo('#foo');
+	t( 'Append select', '#foo select', ['select1'] );
+});
+
+test("prepend(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(5);
+	var defaultText = 'Try them out:'
+	var result = $('#first').prepend('<b>buga</b>');
+	ok( result.text() == 'buga' + defaultText, 'Check if text prepending works' );
+	ok( $('#select3').prepend('<option value="prependTest">Prepend Test</option>').find('option:first-child').attr('value') == 'prependTest', 'Prepending html options to select element');
+	
+	reset();
+	var expected = "Try them out:This link has class=\"blog\": Simon Willison's Weblog";
+	$('#sap').prepend(document.getElementById('first'));
+	ok( expected == $('#sap').text(), "Check for prepending of element" );
+
+	reset();
+	expected = "Try them out:YahooThis link has class=\"blog\": Simon Willison's Weblog";
+	$('#sap').prepend([document.getElementById('first'), document.getElementById('yahoo')]);
+	ok( expected == $('#sap').text(), "Check for prepending of array of elements" );
+	
+	reset();
+	expected = "Try them out:YahooThis link has class=\"blog\": Simon Willison's Weblog";
+	$('#sap').prepend($("#first, #yahoo"));
+	ok( expected == $('#sap').text(), "Check for prepending of jQuery object" );
+});
+
+test("prependTo(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(6);
+	var defaultText = 'Try them out:'
+	$('<b>buga</b>').prependTo('#first');
+	ok( $('#first').text() == 'buga' + defaultText, 'Check if text prepending works' );
+	ok( $('<option value="prependTest">Prepend Test</option>').prependTo('#select3').parent().find('option:first-child').attr('value') == 'prependTest', 'Prepending html options to select element');
+	
+	reset();
+	var expected = "Try them out:This link has class=\"blog\": Simon Willison's Weblog";
+	$(document.getElementById('first')).prependTo('#sap');
+	ok( expected == $('#sap').text(), "Check for prepending of element" );
+
+	reset();
+	expected = "Try them out:YahooThis link has class=\"blog\": Simon Willison's Weblog";
+	$([document.getElementById('yahoo'), document.getElementById('first')]).prependTo('#sap');
+	ok( expected == $('#sap').text(), "Check for prepending of array of elements" );
+	
+	reset();
+	expected = "Try them out:YahooThis link has class=\"blog\": Simon Willison's Weblog";
+	$("#yahoo, #first").prependTo('#sap');
+	ok( expected == $('#sap').text(), "Check for prepending of jQuery object" );
+	
+	reset();
+	$('<select id="prependSelect1"></select>').prependTo('form:last');
+	$('<select id="prependSelect2"><option>Test</option></select>').prependTo('form:last');
+	
+	t( "Prepend Select", "#prependSelect1, #prependSelect2", ["prependSelect1", "prependSelect2"] );
+});
+
+test("before(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(4);
+	var expected = 'This is a normal link: bugaYahoo';
+	$('#yahoo').before('<b>buga</b>');
+	ok( expected == $('#en').text(), 'Insert String before' );
+	
+	reset();
+	expected = "This is a normal link: Try them out:Yahoo";
+	$('#yahoo').before(document.getElementById('first'));
+	ok( expected == $('#en').text(), "Insert element before" );
+	
+	reset();
+	expected = "This is a normal link: Try them out:diveintomarkYahoo";
+	$('#yahoo').before([document.getElementById('first'), document.getElementById('mark')]);
+	ok( expected == $('#en').text(), "Insert array of elements before" );
+	
+	reset();
+	expected = "This is a normal link: Try them out:diveintomarkYahoo";
+	$('#yahoo').before($("#first, #mark"));
+	ok( expected == $('#en').text(), "Insert jQuery before" );
+});
+
+test("insertBefore(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(4);
+	var expected = 'This is a normal link: bugaYahoo';
+	$('<b>buga</b>').insertBefore('#yahoo');
+	ok( expected == $('#en').text(), 'Insert String before' );
+	
+	reset();
+	expected = "This is a normal link: Try them out:Yahoo";
+	$(document.getElementById('first')).insertBefore('#yahoo');
+	ok( expected == $('#en').text(), "Insert element before" );
+	
+	reset();
+	expected = "This is a normal link: Try them out:diveintomarkYahoo";
+	$([document.getElementById('first'), document.getElementById('mark')]).insertBefore('#yahoo');
+	ok( expected == $('#en').text(), "Insert array of elements before" );
+	
+	reset();
+	expected = "This is a normal link: Try them out:diveintomarkYahoo";
+	$("#first, #mark").insertBefore('#yahoo');
+	ok( expected == $('#en').text(), "Insert jQuery before" );
+});
+
+test("after(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(4);
+	var expected = 'This is a normal link: Yahoobuga';
+	$('#yahoo').after('<b>buga</b>');
+	ok( expected == $('#en').text(), 'Insert String after' );
+	
+	reset();
+	expected = "This is a normal link: YahooTry them out:";
+	$('#yahoo').after(document.getElementById('first'));
+	ok( expected == $('#en').text(), "Insert element after" );
+
+	reset();
+	expected = "This is a normal link: YahooTry them out:diveintomark";
+	$('#yahoo').after([document.getElementById('first'), document.getElementById('mark')]);
+	ok( expected == $('#en').text(), "Insert array of elements after" );
+	
+	reset();
+	expected = "This is a normal link: YahooTry them out:diveintomark";
+	$('#yahoo').after($("#first, #mark"));
+	ok( expected == $('#en').text(), "Insert jQuery after" );
+});
+
+test("insertAfter(String|Element|Array&lt;Element&gt;|jQuery)", function() {
+	expect(4);
+	var expected = 'This is a normal link: Yahoobuga';
+	$('<b>buga</b>').insertAfter('#yahoo');
+	ok( expected == $('#en').text(), 'Insert String after' );
+	
+	reset();
+	expected = "This is a normal link: YahooTry them out:";
+	$(document.getElementById('first')).insertAfter('#yahoo');
+	ok( expected == $('#en').text(), "Insert element after" );
+
+	reset();
+	expected = "This is a normal link: YahooTry them out:diveintomark";
+	$([document.getElementById('mark'), document.getElementById('first')]).insertAfter('#yahoo');
+	ok( expected == $('#en').text(), "Insert array of elements after" );
+	
+	reset();
+	expected = "This is a normal link: YahooTry them out:diveintomark";
+	$("#mark, #first").insertAfter('#yahoo');
+	ok( expected == $('#en').text(), "Insert jQuery after" );
+});
+
+test("end()", function() {
+	expect(3);
+	ok( 'Yahoo' == $('#yahoo').parent().end().text(), 'Check for end' );
+	ok( $('#yahoo').end(), 'Check for end with nothing to end' );
+	
+	var x = $('#yahoo');
+	x.parent();
+	ok( 'Yahoo' == $('#yahoo').text(), 'Check for non-destructive behaviour' );
+});
+
+test("find(String)", function() {
+	expect(1);
+	ok( 'Yahoo' == $('#foo').find('.blogTest').text(), 'Check for find' );
+});
+
+test("clone()", function() {
+	expect(3);
+	ok( 'This is a normal link: Yahoo' == $('#en').text(), 'Assert text for #en' );
+	var clone = $('#yahoo').clone();
+	ok( 'Try them out:Yahoo' == $('#first').append(clone).text(), 'Check for clone' );
+	ok( 'This is a normal link: Yahoo' == $('#en').text(), 'Reassert text for #en' );
+});
+
+test("is(String)", function() {
+	expect(26);
+	ok( $('#form').is('form'), 'Check for element: A form must be a form' );
+	ok( !$('#form').is('div'), 'Check for element: A form is not a div' );
+	ok( $('#mark').is('.blog'), 'Check for class: Expected class "blog"' );
+	ok( !$('#mark').is('.link'), 'Check for class: Did not expect class "link"' );
+	ok( $('#simon').is('.blog.link'), 'Check for multiple classes: Expected classes "blog" and "link"' );
+	ok( !$('#simon').is('.blogTest'), 'Check for multiple classes: Expected classes "blog" and "link", but not "blogTest"' );
+	ok( $('#en').is('[@lang="en"]'), 'Check for attribute: Expected attribute lang to be "en"' );
+	ok( !$('#en').is('[@lang="de"]'), 'Check for attribute: Expected attribute lang to be "en", not "de"' );
+	ok( $('#text1').is('[@type="text"]'), 'Check for attribute: Expected attribute type to be "text"' );
+	ok( !$('#text1').is('[@type="radio"]'), 'Check for attribute: Expected attribute type to be "text", not "radio"' );
+	ok( $('#text2').is(':disabled'), 'Check for pseudoclass: Expected to be disabled' );
+	ok( !$('#text1').is(':disabled'), 'Check for pseudoclass: Expected not disabled' );
+	ok( $('#radio2').is(':checked'), 'Check for pseudoclass: Expected to be checked' );
+	ok( !$('#radio1').is(':checked'), 'Check for pseudoclass: Expected not checked' );
+	ok( $('#foo').is('[p]'), 'Check for child: Expected a child "p" element' );
+	ok( !$('#foo').is('[ul]'), 'Check for child: Did not expect "ul" element' );
+	ok( $('#foo').is('[p][a][code]'), 'Check for childs: Expected "p", "a" and "code" child elements' );
+	ok( !$('#foo').is('[p][a][code][ol]'), 'Check for childs: Expected "p", "a" and "code" child elements, but no "ol"' );
+	ok( !$('#foo').is(0), 'Expected false for an invalid expression - 0' );
+	ok( !$('#foo').is(null), 'Expected false for an invalid expression - null' );
+	ok( !$('#foo').is(''), 'Expected false for an invalid expression - ""' );
+	ok( !$('#foo').is(undefined), 'Expected false for an invalid expression - undefined' );
+	
+	// test is() with comma-seperated expressions
+	ok( $('#en').is('[@lang="en"],[@lang="de"]'), 'Comma-seperated; Check for lang attribute: Expect en or de' );
+	ok( $('#en').is('[@lang="de"],[@lang="en"]'), 'Comma-seperated; Check for lang attribute: Expect en or de' );
+	ok( $('#en').is('[@lang="en"] , [@lang="de"]'), 'Comma-seperated; Check for lang attribute: Expect en or de' );
+	ok( $('#en').is('[@lang="de"] , [@lang="en"]'), 'Comma-seperated; Check for lang attribute: Expect en or de' );
+});
+
+test("$.extend(Object, Object)", function() {
+	expect(10);
+
+	var settings = { xnumber1: 5, xnumber2: 7, xstring1: "peter", xstring2: "pan" },
+		options =     { xnumber2: 1, xstring2: "x", xxx: "newstring" },
+		optionsCopy = { xnumber2: 1, xstring2: "x", xxx: "newstring" },
+		merged = { xnumber1: 5, xnumber2: 1, xstring1: "peter", xstring2: "x", xxx: "newstring" },
+		deep1 = { foo: { bar: true } },
+		deep1copy = { foo: { bar: true } },
+		deep2 = { foo: { baz: true } },
+		deep2copy = { foo: { baz: true } },
+		deepmerged = { foo: { bar: true, baz: true } };
+
+	jQuery.extend(settings, options);
+	isObj( settings, merged, "Check if extended: settings must be extended" );
+	isObj( options, optionsCopy, "Check if not modified: options must not be modified" );
+
+	jQuery.extend(settings, null, options);
+	isObj( settings, merged, "Check if extended: settings must be extended" );
+	isObj( options, optionsCopy, "Check if not modified: options must not be modified" );
+
+	jQuery.extend(true, deep1, deep2);
+	isObj( deep1.foo, deepmerged.foo, "Check if foo: settings must be extended" );
+	isObj( deep2.foo, deep2copy.foo, "Check if not deep2: options must not be modified" );
+
+	var defaults = { xnumber1: 5, xnumber2: 7, xstring1: "peter", xstring2: "pan" },
+		defaultsCopy = { xnumber1: 5, xnumber2: 7, xstring1: "peter", xstring2: "pan" },
+		options1 =     { xnumber2: 1, xstring2: "x" },
+		options1Copy = { xnumber2: 1, xstring2: "x" },
+		options2 =     { xstring2: "xx", xxx: "newstringx" },
+		options2Copy = { xstring2: "xx", xxx: "newstringx" },
+		merged2 = { xnumber1: 5, xnumber2: 1, xstring1: "peter", xstring2: "xx", xxx: "newstringx" };
+
+	var settings = jQuery.extend({}, defaults, options1, options2);
+	isObj( settings, merged2, "Check if extended: settings must be extended" );
+	isObj( defaults, defaultsCopy, "Check if not modified: options1 must not be modified" );
+	isObj( options1, options1Copy, "Check if not modified: options1 must not be modified" );
+	isObj( options2, options2Copy, "Check if not modified: options2 must not be modified" );
+});
+
+test("val()", function() {
+	expect(2);
+	ok( $("#text1").val() == "Test", "Check for value of input element" );
+	ok( !$("#text1").val() == "", "Check for value of input element" );
+});
+
+test("val(String)", function() {
+	expect(2);
+	document.getElementById('text1').value = "bla";
+	ok( $("#text1").val() == "bla", "Check for modified value of input element" );
+	$("#text1").val('test');
+	ok ( document.getElementById('text1').value == "test", "Check for modified (via val(String)) value of input element" );
+});
+
+test("html(String)", function() {
+	expect(1);
+	var div = $("div");
+	div.html("<b>test</b>");
+	var pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+	  if ( div.get(i).childNodes.length == 0 ) pass = false;
+	}
+	ok( pass, "Set HTML" );
+
+	// Ccommented out until we can resolve it	
+	// $("#main").html('<script type="text/javascript">ok( true, "$().html().evalScripts() Evals Scripts Twice in Firefox, see #975" );</script>').evalScripts();
+});
+
+test("filter()", function() {
+	expect(4);
+	isSet( $("input").filter(":checked").get(), q("radio2", "check1"), "filter(String)" );
+	isSet( $("p").filter("#ap, #sndp").get(), q("ap", "sndp"), "filter('String, String')" );
+	isSet( $("p").filter("#ap,#sndp").get(), q("ap", "sndp"), "filter('String,String')" );
+	isSet( $("p").filter(function() { return !$("a", this).length }).get(), q("sndp", "first"), "filter(Function)" );
+});
+
+test("not()", function() {
+	expect(3);
+	ok( $("#main > p#ap > a").not("#google").length == 2, "not('selector')" );
+	isSet( $("p").not("#ap, #sndp, .result").get(), q("firstp", "en", "sap", "first"), "not('selector, selector')" );
+	isSet( $("p").not($("#ap, #sndp, .result")).get(), q("firstp", "en", "sap", "first"), "not(jQuery)" );
+});
+
+test("siblings([String])", function() {
+	expect(5);
+	isSet( $("#en").siblings().get(), q("sndp", "sap"), "Check for siblings" );
+	isSet( $("#sndp").siblings("[code]").get(), q("sap"), "Check for filtered siblings (has code child element)" ); 
+	isSet( $("#sndp").siblings("[a]").get(), q("en", "sap"), "Check for filtered siblings (has anchor child element)" );
+	isSet( $("#foo").siblings("form, b").get(), q("form", "lengthtest", "floatTest"), "Check for multiple filters" );
+	isSet( $("#en, #sndp").siblings().get(), q("sndp", "sap", "en"), "Check for unique results from siblings" );
+});
+
+test("children([String])", function() {
+	expect(3);
+	isSet( $("#foo").children().get(), q("sndp", "en", "sap"), "Check for children" );
+	isSet( $("#foo").children("[code]").get(), q("sndp", "sap"), "Check for filtered children" );
+	isSet( $("#foo").children("#en, #sap").get(), q("en", "sap"), "Check for multiple filters" );
+});
+
+test("parent([String])", function() {
+	expect(5);
+	ok( $("#groups").parent()[0].id == "ap", "Simple parent check" );
+	ok( $("#groups").parent("p")[0].id == "ap", "Filtered parent check" );
+	ok( $("#groups").parent("div").length == 0, "Filtered parent check, no match" );
+	ok( $("#groups").parent("div, p")[0].id == "ap", "Check for multiple filters" );
+	isSet( $("#en, #sndp").parent().get(), q("foo"), "Check for unique results from parent" );
+});
+	
+test("parents([String])", function() {
+	expect(5);
+	ok( $("#groups").parents()[0].id == "ap", "Simple parents check" );
+	ok( $("#groups").parents("p")[0].id == "ap", "Filtered parents check" );
+	ok( $("#groups").parents("div")[0].id == "main", "Filtered parents check2" );
+	isSet( $("#groups").parents("p, div").get(), q("ap", "main"), "Check for multiple filters" );
+	isSet( $("#en, #sndp").parents().get(), q("foo", "main", "dl", "body", "html"), "Check for unique results from parents" );
+});
+
+test("next([String])", function() {
+	expect(4);
+	ok( $("#ap").next()[0].id == "foo", "Simple next check" );
+	ok( $("#ap").next("div")[0].id == "foo", "Filtered next check" );
+	ok( $("#ap").next("p").length == 0, "Filtered next check, no match" );
+	ok( $("#ap").next("div, p")[0].id == "foo", "Multiple filters" );
+});
+	
+test("prev([String])", function() {
+	expect(4);
+	ok( $("#foo").prev()[0].id == "ap", "Simple prev check" );
+	ok( $("#foo").prev("p")[0].id == "ap", "Filtered prev check" );
+	ok( $("#foo").prev("div").length == 0, "Filtered prev check, no match" );
+	ok( $("#foo").prev("p, div")[0].id == "ap", "Multiple filters" );
+});
+
+test("show()", function() {
+	expect(1);
+	var pass = true, div = $("div");
+	div.show().each(function(){
+	  if ( this.style.display == "none" ) pass = false;
+	});
+	ok( pass, "Show" );
+});
+
+test("addClass(String)", function() {
+	expect(1);
+	var div = $("div");
+	div.addClass("test");
+	var pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+	 if ( div.get(i).className.indexOf("test") == -1 ) pass = false;
+	}
+	ok( pass, "Add Class" );
+});
+
+test("removeClass(String) - simple", function() {
+	expect(3);
+	var div = $("div").addClass("test").removeClass("test"),
+		pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+		if ( div.get(i).className.indexOf("test") != -1 ) pass = false;
+	}
+	ok( pass, "Remove Class" );
+	
+	reset();
+	var div = $("div").addClass("test").addClass("foo").addClass("bar");
+	div.removeClass("test").removeClass("bar").removeClass("foo");
+	var pass = true;
+	for ( var i = 0; i < div.size(); i++ ) {
+	 if ( div.get(i).className.match(/test|bar|foo/) ) pass = false;
+	}
+	ok( pass, "Remove multiple classes" );
+	
+	reset();
+	var div = $("div:eq(0)").addClass("test").removeClass("");
+	ok( div.is('.test'), "Empty string passed to removeClass" );
+	
+});
+
+test("toggleClass(String)", function() {
+	expect(3);
+	var e = $("#firstp");
+	ok( !e.is(".test"), "Assert class not present" );
+	e.toggleClass("test");
+	ok( e.is(".test"), "Assert class present" ); 
+	e.toggleClass("test");
+	ok( !e.is(".test"), "Assert class not present" );
+});
+
+test("removeAttr(String", function() {
+	expect(1);
+	ok( $('#mark').removeAttr("class")[0].className == "", "remove class" );
+});
+
+test("text(String)", function() {
+	expect(1);
+	ok( $("#foo").text("<div><b>Hello</b> cruel world!</div>")[0].innerHTML == "&lt;div&gt;&lt;b&gt;Hello&lt;/b&gt; cruel world!&lt;/div&gt;", "Check escaped text" );
+});
+
+test("$.each(Object,Function)", function() {
+	expect(8);
+	$.each( [0,1,2], function(i, n){
+		ok( i == n, "Check array iteration" );
+	});
+	
+	$.each( [5,6,7], function(i, n){
+		ok( i == n - 5, "Check array iteration" );
+	});
+	 
+	$.each( { name: "name", lang: "lang" }, function(i, n){
+		ok( i == n, "Check object iteration" );
+	});
+});
+
+test("$.prop", function() {
+	expect(2);
+	var handle = function() { return this.id };
+	ok( $.prop($("#ap")[0], handle) == "ap", "Check with Function argument" );
+	ok( $.prop($("#ap")[0], "value") == "value", "Check with value argument" );
+});
+
+test("$.className", function() {
+	expect(6);
+	var x = $("<p>Hi</p>")[0];
+	var c = $.className;
+	c.add(x, "hi");
+	ok( x.className == "hi", "Check single added class" );
+	c.add(x, "foo bar");
+	ok( x.className == "hi foo bar", "Check more added classes" );
+	c.remove(x);
+	ok( x.className == "", "Remove all classes" );
+	c.add(x, "hi foo bar");
+	c.remove(x, "foo");
+	ok( x.className == "hi bar", "Check removal of one class" );
+	ok( c.has(x, "hi"), "Check has1" );
+	ok( c.has(x, "bar"), "Check has2" );
+});
+
+test("remove()", function() {
+	expect(4);
+	$("#ap").children().remove();
+	ok( $("#ap").text().length > 10, "Check text is not removed" );
+	ok( $("#ap").children().length == 0, "Check remove" );
+	
+	reset();
+	$("#ap").children().remove("a");
+	ok( $("#ap").text().length > 10, "Check text is not removed" );
+	ok( $("#ap").children().length == 1, "Check filtered remove" );
+});
+
+test("empty()", function() {
+	expect(2);
+	ok( $("#ap").children().empty().text().length == 0, "Check text is removed" );
+	ok( $("#ap").children().length == 4, "Check elements are not removed" );
+});
+
+test("eq(), gt(), lt(), contains()", function() {
+	expect(4);
+	ok( $("#ap a").eq(1)[0].id == "groups", "eq()" );
+	isSet( $("#ap a").gt(0).get(), q("groups", "anchor1", "mark"), "gt()" );
+	isSet( $("#ap a").lt(3).get(), q("google", "groups", "anchor1"), "lt()" );
+	isSet( $("#foo a").contains("log").get(), q("anchor2", "simon"), "contains()" );
+});
+
+test("slice()", function() {
+	expect(4);
+	isSet( $("#ap a").slice(1,2), q("groups"), "slice(1,2)" );
+	isSet( $("#ap a").slice(1), q("groups", "anchor1", "mark"), "slice(1)" );
+	isSet( $("#ap a").slice(0,3), q("google", "groups", "anchor1"), "slice(0,3)" );
+	isSet( $("#ap a").slice(-1), q("mark"), "slice(-1)" );
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery/jquery.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery/jquery.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery/jquery.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery/jquery.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,2498 @@
+/*
+ * jQuery @VERSION - New Wave Javascript
+ *
+ * Copyright (c) 2007 John Resig (jquery.com)
+ * Dual licensed under the MIT (MIT-LICENSE.txt)
+ * and GPL (GPL-LICENSE.txt) licenses.
+ *
+ * $Date$
+ * $Rev$
+ */
+
+/**
+ * Create a new jQuery Object
+ *
+ * @constructor
+ * @private
+ * @name jQuery
+ * @param String|Function|Element|Array<Element>|jQuery a selector
+ * @param jQuery|Element|Array<Element> c context
+ * @cat Core
+ */
+
+// Map over jQuery in case of overwrite
+if ( typeof jQuery != "undefined" )
+	var _jQuery = jQuery;
+
+var jQuery = window.jQuery = function(a,c) {
+	// If the context is global, return a new object
+	if ( window == this || !this.init )
+		return new jQuery(a,c);
+	
+	return this.init(a,c);
+};
+
+// Map over the $ in case of overwrite
+if ( typeof $ != "undefined" )
+	var _$ = $;
+	
+// Map the jQuery namespace to the '$' one
+window.$ = jQuery;
+
+var quickExpr = /^[^<]*(<(.|\s)+>)[^>]*$|^#(\w+)$/;
+
+/**
+ * This function accepts a string containing a CSS or
+ * basic XPath selector which is then used to match a set of elements.
+ *
+ * The core functionality of jQuery centers around this function.
+ * Everything in jQuery is based upon this, or uses this in some way.
+ * The most basic use of this function is to pass in an expression
+ * (usually consisting of CSS or XPath), which then finds all matching
+ * elements.
+ *
+ * By default, if no context is specified, $() looks for DOM elements within the context of the
+ * current HTML document. If you do specify a context, such as a DOM
+ * element or jQuery object, the expression will be matched against
+ * the contents of that context.
+ *
+ * See [[DOM/Traversing/Selectors]] for the allowed CSS/XPath syntax for expressions.
+ *
+ * @example $("div > p")
+ * @desc Finds all p elements that are children of a div element.
+ * @before <p>one</p> <div><p>two</p></div> <p>three</p>
+ * @result [ <p>two</p> ]
+ *
+ * @example $("input:radio", document.forms[0])
+ * @desc Searches for all inputs of type radio within the first form in the document
+ *
+ * @example $("div", xml.responseXML)
+ * @desc This finds all div elements within the specified XML document.
+ *
+ * @name $
+ * @param String expr An expression to search with
+ * @param Element|jQuery context (optional) A DOM Element, Document or jQuery to use as context
+ * @cat Core
+ * @type jQuery
+ * @see $(Element)
+ * @see $(Element<Array>)
+ */
+ 
+/**
+ * Create DOM elements on-the-fly from the provided String of raw HTML.
+ *
+ * @example $("<div><p>Hello</p></div>").appendTo("body")
+ * @desc Creates a div element (and all of its contents) dynamically, 
+ * and appends it to the body element. Internally, an
+ * element is created and its innerHTML property set to the given markup.
+ * It is therefore both quite flexible and limited. 
+ *
+ * @name $
+ * @param String html A string of HTML to create on the fly.
+ * @cat Core
+ * @type jQuery
+ * @see appendTo(String)
+ */
+
+/**
+ * Wrap jQuery functionality around a single or multiple DOM Element(s).
+ *
+ * This function also accepts XML Documents and Window objects
+ * as valid arguments (even though they are not DOM Elements).
+ *
+ * @example $(document.body).css( "background", "black" );
+ * @desc Sets the background color of the page to black.
+ *
+ * @example $( myForm.elements ).hide()
+ * @desc Hides all the input elements within a form
+ *
+ * @name $
+ * @param Element|Array<Element> elems DOM element(s) to be encapsulated by a jQuery object.
+ * @cat Core
+ * @type jQuery
+ */
+
+/**
+ * A shorthand for $(document).ready(), allowing you to bind a function
+ * to be executed when the DOM document has finished loading. This function
+ * behaves just like $(document).ready(), in that it should be used to wrap
+ * other $() operations on your page that depend on the DOM being ready to be
+ * operated on. While this function is, technically, chainable - there really
+ * isn't much use for chaining against it.
+ *
+ * You can have as many $(document).ready events on your page as you like.
+ *
+ * See ready(Function) for details about the ready event. 
+ * 
+ * @example $(function(){
+ *   // Document is ready
+ * });
+ * @desc Executes the function when the DOM is ready to be used.
+ *
+ * @example jQuery(function($) {
+ *   // Your code using failsafe $ alias here...
+ * });
+ * @desc Uses both the shortcut for $(document).ready() and the argument
+ * to write failsafe jQuery code using the $ alias, without relying on the
+ * global alias.
+ *
+ * @name $
+ * @param Function fn The function to execute when the DOM is ready.
+ * @cat Core
+ * @type jQuery
+ * @see ready(Function)
+ */
+
+jQuery.fn = jQuery.prototype = {
+	/**
+	 * Initialize a new jQuery object
+	 *
+	 * @private
+	 * @name init
+	 * @param String|Function|Element|Array<Element>|jQuery a selector
+	 * @param jQuery|Element|Array<Element> c context
+	 * @cat Core
+	 */
+	init: function(a,c) {
+		// Make sure that a selection was provided
+		a = a || document;
+
+		// Handle HTML strings
+		if ( typeof a  == "string" ) {
+			var m = quickExpr.exec(a);
+			if ( m && (m[1] || !c) ) {
+				// HANDLE: $(html) -> $(array)
+				if ( m[1] )
+					a = jQuery.clean( [ m[1] ] );
+
+				// HANDLE: $("#id")
+				else {
+					var tmp = document.getElementById( m[3] );
+					if ( tmp )
+						// Handle the case where IE and Opera return items
+						// by name instead of ID
+						if ( tmp.id != m[3] )
+							return jQuery().find( a );
+						else {
+							this[0] = tmp;
+							this.length = 1;
+							return this;
+						}
+					else
+						a = [];
+				}
+
+			// HANDLE: $(expr)
+			} else
+				return new jQuery( c ).find( a );
+
+		// HANDLE: $(function)
+		// Shortcut for document ready
+		} else if ( jQuery.isFunction(a) )
+			return new jQuery(document)[ jQuery.fn.ready ? "ready" : "load" ]( a );
+
+		return this.setArray(
+			// HANDLE: $(array)
+			a.constructor == Array && a ||
+
+			// HANDLE: $(arraylike)
+			// Watch for when an array-like object is passed as the selector
+			(a.jquery || a.length && a != window && !a.nodeType && a[0] != undefined && a[0].nodeType) && jQuery.makeArray( a ) ||
+
+			// HANDLE: $(*)
+			[ a ] );
+	},
+	
+	/**
+	 * The current version of jQuery.
+	 *
+	 * @private
+	 * @property
+	 * @name jquery
+	 * @type String
+	 * @cat Core
+	 */
+	jquery: "@VERSION",
+
+	/**
+	 * The number of elements currently matched. The size function will return the same value.
+	 *
+	 * @example $("img").length;
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result 2
+	 *
+	 * @property
+	 * @name length
+	 * @type Number
+	 * @cat Core
+	 */
+
+	/**
+	 * Get the number of elements currently matched. This returns the same
+	 * number as the 'length' property of the jQuery object.
+	 *
+	 * @example $("img").size();
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result 2
+	 *
+	 * @name size
+	 * @type Number
+	 * @cat Core
+	 */
+	size: function() {
+		return this.length;
+	},
+	
+	length: 0,
+
+	/**
+	 * Access all matched DOM elements. This serves as a backwards-compatible
+	 * way of accessing all matched elements (other than the jQuery object
+	 * itself, which is, in fact, an array of elements).
+	 *
+	 * It is useful if you need to operate on the DOM elements themselves instead of using built-in jQuery functions.
+	 *
+	 * @example $("img").get();
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result [ <img src="test1.jpg"/> <img src="test2.jpg"/> ]
+	 * @desc Selects all images in the document and returns the DOM Elements as an Array
+	 *
+	 * @name get
+	 * @type Array<Element>
+	 * @cat Core
+	 */
+
+	/**
+	 * Access a single matched DOM element at a specified index in the matched set.
+	 * This allows you to extract the actual DOM element and operate on it
+	 * directly without necessarily using jQuery functionality on it.
+	 *
+	 * @example $("img").get(0);
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result <img src="test1.jpg"/>
+	 * @desc Selects all images in the document and returns the first one
+	 *
+	 * @name get
+	 * @type Element
+	 * @param Number num Access the element in the Nth position.
+	 * @cat Core
+	 */
+	get: function( num ) {
+		return num == undefined ?
+
+			// Return a 'clean' array
+			jQuery.makeArray( this ) :
+
+			// Return just the object
+			this[num];
+	},
+	
+	/**
+	 * Set the jQuery object to an array of elements, while maintaining
+	 * the stack.
+	 *
+	 * @example $("img").pushStack([ document.body ]);
+	 * @result $("img").pushStack() == [ document.body ]
+	 *
+	 * @private
+	 * @name pushStack
+	 * @type jQuery
+	 * @param Elements elems An array of elements
+	 * @cat Core
+	 */
+	pushStack: function( a ) {
+		var ret = jQuery(a);
+		ret.prevObject = this;
+		return ret;
+	},
+	
+	/**
+	 * Set the jQuery object to an array of elements. This operation is
+	 * completely destructive - be sure to use .pushStack() if you wish to maintain
+	 * the jQuery stack.
+	 *
+	 * @example $("img").setArray([ document.body ]);
+	 * @result $("img").setArray() == [ document.body ]
+	 *
+	 * @private
+	 * @name setArray
+	 * @type jQuery
+	 * @param Elements elems An array of elements
+	 * @cat Core
+	 */
+	setArray: function( a ) {
+		this.length = 0;
+		Array.prototype.push.apply( this, a );
+		return this;
+	},
+
+	/**
+	 * Execute a function within the context of every matched element.
+	 * This means that every time the passed-in function is executed
+	 * (which is once for every element matched) the 'this' keyword
+	 * points to the specific DOM element.
+	 *
+	 * Additionally, the function, when executed, is passed a single
+	 * argument representing the position of the element in the matched
+	 * set (integer, zero-index).
+	 *
+	 * @example $("img").each(function(i){
+	 *   this.src = "test" + i + ".jpg";
+	 * });
+	 * @before <img/><img/>
+	 * @result <img src="test0.jpg"/><img src="test1.jpg"/>
+	 * @desc Iterates over two images and sets their src property
+	 *
+	 * @name each
+	 * @type jQuery
+	 * @param Function fn A function to execute
+	 * @cat Core
+	 */
+	each: function( fn, args ) {
+		return jQuery.each( this, fn, args );
+	},
+
+	/**
+	 * Searches every matched element for the object and returns
+	 * the index of the element, if found, starting with zero. 
+	 * Returns -1 if the object wasn't found.
+	 *
+	 * @example $("*").index( $('#foobar')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result 0
+	 * @desc Returns the index for the element with ID foobar
+	 *
+	 * @example $("*").index( $('#foo')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result 2
+	 * @desc Returns the index for the element with ID foo within another element
+	 *
+	 * @example $("*").index( $('#bar')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result -1
+	 * @desc Returns -1, as there is no element with ID bar
+	 *
+	 * @name index
+	 * @type Number
+	 * @param Element subject Object to search for
+	 * @cat Core
+	 */
+	index: function( obj ) {
+		var pos = -1;
+		this.each(function(i){
+			if ( this == obj ) pos = i;
+		});
+		return pos;
+	},
+
+	/**
+	 * Access a property on the first matched element.
+	 * This method makes it easy to retrieve a property value
+	 * from the first matched element.
+	 *
+	 * If the element does not have an attribute with such a
+ 	 * name, undefined is returned.
+	 *
+	 * @example $("img").attr("src");
+	 * @before <img src="test.jpg"/>
+	 * @result test.jpg
+	 * @desc Returns the src attribute from the first image in the document.
+	 *
+	 * @name attr
+	 * @type Object
+	 * @param String name The name of the property to access.
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set a key/value object as properties to all matched elements.
+	 *
+	 * This serves as the best way to set a large number of properties
+	 * on all matched elements.
+	 *
+	 * @example $("img").attr({ src: "test.jpg", alt: "Test Image" });
+	 * @before <img/>
+	 * @result <img src="test.jpg" alt="Test Image"/>
+	 * @desc Sets src and alt attributes to all images.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param Map properties Key/value pairs to set as object properties.
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set a single property to a value, on all matched elements.
+	 *
+	 * Note that you can't set the name property of input elements in IE.
+	 * Use $(html) or .append(html) or .html(html) to create elements
+	 * on the fly including the name property.
+	 *
+	 * @example $("img").attr("src","test.jpg");
+	 * @before <img/>
+	 * @result <img src="test.jpg"/>
+	 * @desc Sets src attribute to all images.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param Object value The value to set the property to.
+	 * @cat DOM/Attributes
+	 */
+	 
+	/**
+	 * Set a single property to a computed value, on all matched elements.
+	 *
+	 * Instead of supplying a string value as described
+	 * [[DOM/Attributes#attr.28_key.2C_value_.29|above]],
+	 * a function is provided that computes the value.
+	 *
+	 * @example $("img").attr("title", function() { return this.src });
+	 * @before <img src="test.jpg" />
+	 * @result <img src="test.jpg" title="test.jpg" />
+	 * @desc Sets title attribute from src attribute.
+	 *
+	 * @example $("img").attr("title", function(index) { return this.title + (i + 1); });
+	 * @before <img title="pic" /><img title="pic" /><img title="pic" />
+	 * @result <img title="pic1" /><img title="pic2" /><img title="pic3" />
+	 * @desc Enumerate title attribute.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param Function value A function returning the value to set.
+	 * 	 	  Scope: Current element, argument: Index of current element
+	 * @cat DOM/Attributes
+	 */
+	attr: function( key, value, type ) {
+		var obj = key;
+		
+		// Look for the case where we're accessing a style value
+		if ( key.constructor == String )
+			if ( value == undefined )
+				return this.length && jQuery[ type || "attr" ]( this[0], key ) || undefined;
+			else {
+				obj = {};
+				obj[ key ] = value;
+			}
+		
+		// Check to see if we're setting style values
+		return this.each(function(index){
+			// Set all the styles
+			for ( var prop in obj )
+				jQuery.attr(
+					type ? this.style : this,
+					prop, jQuery.prop(this, obj[prop], type, index, prop)
+				);
+		});
+	},
+
+	/**
+	 * Access a style property on the first matched element.
+	 * This method makes it easy to retrieve a style property value
+	 * from the first matched element.
+	 *
+	 * @example $("p").css("color");
+	 * @before <p style="color:red;">Test Paragraph.</p>
+	 * @result "red"
+	 * @desc Retrieves the color style of the first paragraph
+	 *
+	 * @example $("p").css("font-weight");
+	 * @before <p style="font-weight: bold;">Test Paragraph.</p>
+	 * @result "bold"
+	 * @desc Retrieves the font-weight style of the first paragraph.
+	 *
+	 * @name css
+	 * @type String
+	 * @param String name The name of the property to access.
+	 * @cat CSS
+	 */
+
+	/**
+	 * Set a key/value object as style properties to all matched elements.
+	 *
+	 * This serves as the best way to set a large number of style properties
+	 * on all matched elements.
+	 *
+	 * @example $("p").css({ color: "red", background: "blue" });
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="color:red; background:blue;">Test Paragraph.</p>
+	 * @desc Sets color and background styles to all p elements.
+	 *
+	 * @name css
+	 * @type jQuery
+	 * @param Map properties Key/value pairs to set as style properties.
+	 * @cat CSS
+	 */
+
+	/**
+	 * Set a single style property to a value, on all matched elements.
+	 * If a number is provided, it is automatically converted into a pixel value.
+	 *
+	 * @example $("p").css("color","red");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="color:red;">Test Paragraph.</p>
+	 * @desc Changes the color of all paragraphs to red
+	 *
+	 * @example $("p").css("left",30);
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="left:30px;">Test Paragraph.</p>
+	 * @desc Changes the left of all paragraphs to "30px"
+	 *
+	 * @name css
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param String|Number value The value to set the property to.
+	 * @cat CSS
+	 */
+	css: function( key, value ) {
+		return this.attr( key, value, "curCSS" );
+	},
+
+	/**
+	 * Get the text contents of all matched elements. The result is
+	 * a string that contains the combined text contents of all matched
+	 * elements. This method works on both HTML and XML documents.
+	 *
+	 * @example $("p").text();
+	 * @before <p><b>Test</b> Paragraph.</p><p>Paraparagraph</p>
+	 * @result Test Paragraph.Paraparagraph
+	 * @desc Gets the concatenated text of all paragraphs
+	 *
+	 * @name text
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set the text contents of all matched elements.
+	 *
+	 * Similar to html(), but escapes HTML (replace "<" and ">" with their
+	 * HTML entities).
+	 *
+	 * @example $("p").text("<b>Some</b> new text.");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p>&lt;b&gt;Some&lt;/b&gt; new text.</p>
+	 * @desc Sets the text of all paragraphs.
+	 *
+	 * @example $("p").text("<b>Some</b> new text.", true);
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p>Some new text.</p>
+	 * @desc Sets the text of all paragraphs.
+	 *
+	 * @name text
+	 * @type String
+	 * @param String val The text value to set the contents of the element to.
+	 * @cat DOM/Attributes
+	 */
+	text: function(e) {
+		if ( typeof e != "object" && e != null )
+			return this.empty().append( document.createTextNode( e ) );
+
+		var t = "";
+		jQuery.each( e || this, function(){
+			jQuery.each( this.childNodes, function(){
+				if ( this.nodeType != 8 )
+					t += this.nodeType != 1 ?
+						this.nodeValue : jQuery.fn.text([ this ]);
+			});
+		});
+		return t;
+	},
+
+	/**
+	 * Wrap all matched elements with a structure of other elements.
+	 * This wrapping process is most useful for injecting additional
+	 * stucture into a document, without ruining the original semantic
+	 * qualities of a document.
+	 *
+	 * This works by going through the first element
+	 * provided (which is generated, on the fly, from the provided HTML)
+	 * and finds the deepest ancestor element within its
+	 * structure - it is that element that will en-wrap everything else.
+	 *
+	 * This does not work with elements that contain text. Any necessary text
+	 * must be added after the wrapping is done.
+	 *
+	 * @example $("p").wrap("<div class='wrap'></div>");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <div class='wrap'><p>Test Paragraph.</p></div>
+	 * 
+	 * @name wrap
+	 * @type jQuery
+	 * @param String html A string of HTML, that will be created on the fly and wrapped around the target.
+	 * @cat DOM/Manipulation
+	 */
+
+	/**
+	 * Wrap all matched elements with a structure of other elements.
+	 * This wrapping process is most useful for injecting additional
+	 * stucture into a document, without ruining the original semantic
+	 * qualities of a document.
+	 *
+	 * This works by going through the first element
+	 * provided and finding the deepest ancestor element within its
+	 * structure - it is that element that will en-wrap everything else.
+	 *
+ 	 * This does not work with elements that contain text. Any necessary text
+	 * must be added after the wrapping is done.
+	 *
+	 * @example $("p").wrap( document.getElementById('content') );
+	 * @before <p>Test Paragraph.</p><div id="content"></div>
+	 * @result <div id="content"><p>Test Paragraph.</p></div>
+	 *
+	 * @name wrap
+	 * @type jQuery
+	 * @param Element elem A DOM element that will be wrapped around the target.
+	 * @cat DOM/Manipulation
+	 */
+	wrap: function() {
+		// The elements to wrap the target around
+		var a, args = arguments;
+
+		// Wrap each of the matched elements individually
+		return this.each(function(){
+			if ( !a )
+				a = jQuery.clean(args, this.ownerDocument);
+
+			// Clone the structure that we're using to wrap
+			var b = a[0].cloneNode(true);
+
+			// Insert it before the element to be wrapped
+			this.parentNode.insertBefore( b, this );
+
+			// Find the deepest point in the wrap structure
+			while ( b.firstChild )
+				b = b.firstChild;
+
+			// Move the matched element to within the wrap structure
+			b.appendChild( this );
+		});
+	},
+
+	/**
+	 * Append content to the inside of every matched element.
+	 *
+	 * This operation is similar to doing an appendChild to all the
+	 * specified elements, adding them into the document.
+	 *
+	 * @example $("p").append("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p>I would like to say: <b>Hello</b></p>
+	 * @desc Appends some HTML to all paragraphs.
+	 *
+	 * @example $("p").append( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <p>I would like to say: <b id="foo">Hello</b></p>
+	 * @desc Appends an Element to all paragraphs.
+	 *
+	 * @example $("p").append( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <p>I would like to say: <b>Hello</b></p>
+	 * @desc Appends a jQuery object (similar to an Array of DOM Elements) to all paragraphs.
+	 *
+	 * @name append
+	 * @type jQuery
+	 * @param <Content> content Content to append to the target
+	 * @cat DOM/Manipulation
+	 * @see prepend(<Content>)
+	 * @see before(<Content>)
+	 * @see after(<Content>)
+	 */
+	append: function() {
+		return this.domManip(arguments, true, 1, function(a){
+			this.appendChild( a );
+		});
+	},
+
+	/**
+	 * Prepend content to the inside of every matched element.
+	 *
+	 * This operation is the best way to insert elements
+	 * inside, at the beginning, of all matched elements.
+	 *
+	 * @example $("p").prepend("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p><b>Hello</b>I would like to say: </p>
+	 * @desc Prepends some HTML to all paragraphs.
+	 *
+	 * @example $("p").prepend( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <p><b id="foo">Hello</b>I would like to say: </p>
+	 * @desc Prepends an Element to all paragraphs.
+	 *	
+	 * @example $("p").prepend( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <p><b>Hello</b>I would like to say: </p>
+	 * @desc Prepends a jQuery object (similar to an Array of DOM Elements) to all paragraphs.
+	 *
+	 * @name prepend
+	 * @type jQuery
+	 * @param <Content> content Content to prepend to the target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see before(<Content>)
+	 * @see after(<Content>)
+	 */
+	prepend: function() {
+		return this.domManip(arguments, true, -1, function(a){
+			this.insertBefore( a, this.firstChild );
+		});
+	},
+	
+	/**
+	 * Insert content before each of the matched elements.
+	 *
+	 * @example $("p").before("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <b>Hello</b><p>I would like to say: </p>
+	 * @desc Inserts some HTML before all paragraphs.
+	 *
+	 * @example $("p").before( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <b id="foo">Hello</b><p>I would like to say: </p>
+	 * @desc Inserts an Element before all paragraphs.
+	 *
+	 * @example $("p").before( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <b>Hello</b><p>I would like to say: </p>
+	 * @desc Inserts a jQuery object (similar to an Array of DOM Elements) before all paragraphs.
+	 *
+	 * @name before
+	 * @type jQuery
+	 * @param <Content> content Content to insert before each target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see prepend(<Content>)
+	 * @see after(<Content>)
+	 */
+	before: function() {
+		return this.domManip(arguments, false, 1, function(a){
+			this.parentNode.insertBefore( a, this );
+		});
+	},
+
+	/**
+	 * Insert content after each of the matched elements.
+	 *
+	 * @example $("p").after("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b>Hello</b>
+	 * @desc Inserts some HTML after all paragraphs.
+	 *
+	 * @example $("p").after( $("#foo")[0] );
+	 * @before <b id="foo">Hello</b><p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @desc Inserts an Element after all paragraphs.
+	 *
+	 * @example $("p").after( $("b") );
+	 * @before <b>Hello</b><p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b>Hello</b>
+	 * @desc Inserts a jQuery object (similar to an Array of DOM Elements) after all paragraphs.
+	 *
+	 * @name after
+	 * @type jQuery
+	 * @param <Content> content Content to insert after each target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see prepend(<Content>)
+	 * @see before(<Content>)
+	 */
+	after: function() {
+		return this.domManip(arguments, false, -1, function(a){
+			this.parentNode.insertBefore( a, this.nextSibling );
+		});
+	},
+
+	/**
+	 * Revert the most recent 'destructive' operation, changing the set of matched elements
+	 * to its previous state (right before the destructive operation).
+	 *
+	 * If there was no destructive operation before, an empty set is returned.
+	 *
+	 * A 'destructive' operation is any operation that changes the set of
+	 * matched jQuery elements. These functions are: <code>add</code>,
+	 * <code>children</code>, <code>clone</code>, <code>filter</code>,
+	 * <code>find</code>, <code>not</code>, <code>next</code>,
+	 * <code>parent</code>, <code>parents</code>, <code>prev</code> and <code>siblings</code>.
+	 *
+	 * @example $("p").find("span").end();
+	 * @before <p><span>Hello</span>, how are you?</p>
+	 * @result [ <p>...</p> ]
+	 * @desc Selects all paragraphs, finds span elements inside these, and reverts the
+	 * selection back to the paragraphs.
+	 *
+	 * @name end
+	 * @type jQuery
+	 * @cat DOM/Traversing
+	 */
+	end: function() {
+		return this.prevObject || jQuery([]);
+	},
+
+	/**
+	 * Searches for all elements that match the specified expression.
+	 * 
+	 * This method is a good way to find additional descendant
+	 * elements with which to process.
+	 *
+	 * All searching is done using a jQuery expression. The expression can be
+	 * written using CSS 1-3 Selector syntax, or basic XPath.
+	 *
+	 * @example $("p").find("span");
+	 * @before <p><span>Hello</span>, how are you?</p>
+	 * @result [ <span>Hello</span> ]
+	 * @desc Starts with all paragraphs and searches for descendant span
+	 * elements, same as $("p span")
+	 *
+	 * @name find
+	 * @type jQuery
+	 * @param String expr An expression to search with.
+	 * @cat DOM/Traversing
+	 */
+	find: function(t) {
+		var data = jQuery.map(this, function(a){ return jQuery.find(t,a); });
+		return this.pushStack( /[^+>] [^+>]/.test( t ) || t.indexOf("..") > -1 ?
+			jQuery.unique( data ) : data );
+	},
+
+	/**
+	 * Clone matched DOM Elements and select the clones. 
+	 *
+	 * This is useful for moving copies of the elements to another
+	 * location in the DOM.
+	 *
+	 * @example $("b").clone().prependTo("p");
+	 * @before <b>Hello</b><p>, how are you?</p>
+	 * @result <b>Hello</b><p><b>Hello</b>, how are you?</p>
+	 * @desc Clones all b elements (and selects the clones) and prepends them to all paragraphs.
+	 *
+	 * @name clone
+	 * @type jQuery
+	 * @param Boolean deep (Optional) Set to false if you don't want to clone all descendant nodes, in addition to the element itself.
+	 * @cat DOM/Manipulation
+	 */
+	clone: function(deep) {
+		deep = deep != undefined ? deep : true;
+		var $this = this.add(this.find("*"));
+		if (jQuery.browser.msie) {
+			// Need to remove events on the element and its descendants
+			$this.each(function() {
+				this._$events = {};
+				for (var type in this.$events)
+					this._$events[type] = jQuery.extend({},this.$events[type]);
+			}).unbind();
+		}
+
+		// Do the clone
+		var r = this.pushStack( jQuery.map( this, function(a){
+			return a.cloneNode( deep );
+		}) );
+
+		if (jQuery.browser.msie) {
+			$this.each(function() {
+				// Add the events back to the original and its descendants
+				var events = this._$events;
+				for (var type in events)
+					for (var handler in events[type])
+						jQuery.event.add(this, type, events[type][handler], events[type][handler].data);
+				this._$events = null;
+			});
+		}
+
+		// copy form values over
+		if (deep) {
+			var inputs = r.add(r.find('*')).filter('select,input[@type=checkbox]');
+			$this.filter('select,input[@type=checkbox]').each(function(i) {
+				if (this.selectedIndex)
+					inputs[i].selectedIndex = this.selectedIndex;
+				if (this.checked)
+					inputs[i].checked = true;
+			});
+		}
+
+		// Return the cloned set
+		return r;
+	},
+
+	/**
+	 * Removes all elements from the set of matched elements that do not
+	 * match the specified expression(s). This method is used to narrow down
+	 * the results of a search.
+	 *
+	 * Provide a comma-separated list of expressions to apply multiple filters at once.
+	 *
+	 * @example $("p").filter(".selected")
+	 * @before <p class="selected">Hello</p><p>How are you?</p>
+	 * @result [ <p class="selected">Hello</p> ]
+	 * @desc Selects all paragraphs and removes those without a class "selected".
+	 *
+	 * @example $("p").filter(".selected, :first")
+	 * @before <p>Hello</p><p>Hello Again</p><p class="selected">And Again</p>
+	 * @result [ <p>Hello</p>, <p class="selected">And Again</p> ]
+	 * @desc Selects all paragraphs and removes those without class "selected" and being the first one.
+	 *
+	 * @name filter
+	 * @type jQuery
+	 * @param String expression Expression(s) to search with.
+	 * @cat DOM/Traversing
+	 */
+	 
+	/**
+	 * Removes all elements from the set of matched elements that do not
+	 * pass the specified filter. This method is used to narrow down
+	 * the results of a search.
+	 *
+	 * @example $("p").filter(function(index) {
+	 *   return $("ol", this).length == 0;
+	 * })
+	 * @before <p><ol><li>Hello</li></ol></p><p>How are you?</p>
+	 * @result [ <p>How are you?</p> ]
+	 * @desc Remove all elements that have a child ol element
+	 *
+	 * @name filter
+	 * @type jQuery
+	 * @param Function filter A function to use for filtering
+	 * @cat DOM/Traversing
+	 */
+	filter: function(t) {
+		return this.pushStack(
+			jQuery.isFunction( t ) &&
+			jQuery.grep(this, function(el, index){
+				return t.apply(el, [index]);
+			}) ||
+
+			jQuery.multiFilter(t,this) );
+	},
+
+	/**
+	 * Removes the specified Element from the set of matched elements. This
+	 * method is used to remove a single Element from a jQuery object.
+	 *
+	 * @example $("p").not( $("#selected")[0] )
+	 * @before <p>Hello</p><p id="selected">Hello Again</p>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes the element with the ID "selected" from the set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param Element el An element to remove from the set
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Removes elements matching the specified expression from the set
+	 * of matched elements. This method is used to remove one or more
+	 * elements from a jQuery object.
+	 *
+	 * @example $("p").not("#selected")
+	 * @before <p>Hello</p><p id="selected">Hello Again</p>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes the element with the ID "selected" from the set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param String expr An expression with which to remove matching elements
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Removes any elements inside the array of elements from the set
+	 * of matched elements. This method is used to remove one or more
+	 * elements from a jQuery object.
+	 *
+	 * Please note: the expression cannot use a reference to the
+	 * element name. See the two examples below.
+	 *
+	 * @example $("p").not( $("div p.selected") )
+	 * @before <div><p>Hello</p><p class="selected">Hello Again</p></div>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes all elements that match "div p.selected" from the total set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param jQuery elems A set of elements to remove from the jQuery set of matched elements.
+	 * @cat DOM/Traversing
+	 */
+	not: function(t) {
+		return this.pushStack(
+			t.constructor == String &&
+			jQuery.multiFilter(t, this, true) ||
+
+			jQuery.grep(this, function(a) {
+				return ( t.constructor == Array || t.jquery )
+					? jQuery.inArray( a, t ) < 0
+					: a != t;
+			})
+		);
+	},
+
+	/**
+	 * Adds more elements, matched by the given expression,
+	 * to the set of matched elements.
+	 *
+	 * @example $("p").add("span")
+	 * @before (HTML) <p>Hello</p><span>Hello Again</span>
+	 * @result (jQuery object matching 2 elements) [ <p>Hello</p>, <span>Hello Again</span> ]
+	 * @desc Compare the above result to the result of <code>$('p')</code>,
+	 * which would just result in <code><nowiki>[ <p>Hello</p> ]</nowiki></code>.
+	 * Using add(), matched elements of <code>$('span')</code> are simply
+	 * added to the returned jQuery-object.
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param String expr An expression whose matched elements are added
+	 * @cat DOM/Traversing
+	 */
+	 
+	/**
+	 * Adds more elements, created on the fly, to the set of
+	 * matched elements.
+	 *
+	 * @example $("p").add("<span>Again</span>")
+	 * @before <p>Hello</p>
+	 * @result [ <p>Hello</p>, <span>Again</span> ]
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param String html A string of HTML to create on the fly.
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Adds one or more Elements to the set of matched elements.
+	 *
+	 * @example $("p").add( document.getElementById("a") )
+	 * @before <p>Hello</p><p><span id="a">Hello Again</span></p>
+	 * @result [ <p>Hello</p>, <span id="a">Hello Again</span> ]
+	 *
+	 * @example $("p").add( document.forms[0].elements )
+	 * @before <p>Hello</p><p><form><input/><button/></form>
+	 * @result [ <p>Hello</p>, <input/>, <button/> ]
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param Element|Array<Element> elements One or more Elements to add
+	 * @cat DOM/Traversing
+	 */
+	add: function(t) {
+		return this.pushStack( jQuery.merge(
+			this.get(),
+			t.constructor == String ?
+				jQuery(t).get() :
+				t.length != undefined && (!t.nodeName || t.nodeName == "FORM") ?
+					t : [t] )
+		);
+	},
+
+	/**
+	 * Checks the current selection against an expression and returns true,
+	 * if at least one element of the selection fits the given expression.
+	 *
+	 * Does return false, if no element fits or the expression is not valid.
+	 *
+	 * filter(String) is used internally, therefore all rules that apply there
+	 * apply here, too.
+	 *
+	 * @example $("input[@type='checkbox']").parent().is("form")
+	 * @before <form><input type="checkbox" /></form>
+	 * @result true
+	 * @desc Returns true, because the parent of the input is a form element
+	 * 
+	 * @example $("input[@type='checkbox']").parent().is("form")
+	 * @before <form><p><input type="checkbox" /></p></form>
+	 * @result false
+	 * @desc Returns false, because the parent of the input is a p element
+	 *
+	 * @name is
+	 * @type Boolean
+	 * @param String expr The expression with which to filter
+	 * @cat DOM/Traversing
+	 */
+	is: function(expr) {
+		return expr ? jQuery.multiFilter(expr,this).length > 0 : false;
+	},
+	
+	/**
+	 * Get the content of the value attribute of the first matched element.
+	 *
+	 * Use caution when relying on this function to check the value of
+	 * multiple-select elements and checkboxes in a form. While it will
+	 * still work as intended, it may not accurately represent the value
+	 * the server will receive because these elements may send an array
+	 * of values. For more robust handling of field values, see the
+	 * [http://www.malsup.com/jquery/form/#fields fieldValue function of the Form Plugin].
+	 *
+	 * @example $("input").val();
+	 * @before <input type="text" value="some text"/>
+	 * @result "some text"
+	 *
+	 * @name val
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+	
+	/**
+	 * 	Set the value attribute of every matched element.
+	 *
+	 * @example $("input").val("test");
+	 * @before <input type="text" value="some text"/>
+	 * @result <input type="text" value="test"/>
+	 *
+	 * @name val
+	 * @type jQuery
+	 * @param String val Set the property to the specified value.
+	 * @cat DOM/Attributes
+	 */
+	val: function( val ) {
+		return val == undefined ?
+			( this.length ? this[0].value : null ) :
+			this.attr( "value", val );
+	},
+	
+	/**
+	 * Get the html contents of the first matched element.
+	 * This property is not available on XML documents.
+	 *
+	 * @example $("div").html();
+	 * @before <div><input/></div>
+	 * @result <input/>
+	 *
+	 * @name html
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+	
+	/**
+	 * Set the html contents of every matched element.
+	 * This property is not available on XML documents.
+	 *
+	 * @example $("div").html("<b>new stuff</b>");
+	 * @before <div><input/></div>
+	 * @result <div><b>new stuff</b></div>
+	 *
+	 * @name html
+	 * @type jQuery
+	 * @param String val Set the html contents to the specified value.
+	 * @cat DOM/Attributes
+	 */
+	html: function( val ) {
+		return val == undefined ?
+			( this.length ? this[0].innerHTML : null ) :
+			this.empty().append( val );
+	},
+
+	slice: function() {
+		return this.pushStack( Array.prototype.slice.apply( this, arguments ) );
+	},
+	
+	/**
+	 * @private
+	 * @name domManip
+	 * @param Array args
+	 * @param Boolean table Insert TBODY in TABLEs if one is not found.
+	 * @param Number dir If dir<0, process args in reverse order.
+	 * @param Function fn The function doing the DOM manipulation.
+	 * @type jQuery
+	 * @cat Core
+	 */
+	domManip: function(args, table, dir, fn){
+		var clone = this.length > 1, a; 
+
+		return this.each(function(){
+			if ( !a ) {
+				a = jQuery.clean(args, this.ownerDocument);
+				if ( dir < 0 )
+					a.reverse();
+			}
+
+			var obj = this;
+
+			if ( table && jQuery.nodeName(this, "table") && jQuery.nodeName(a[0], "tr") )
+				obj = this.getElementsByTagName("tbody")[0] || this.appendChild(document.createElement("tbody"));
+
+			jQuery.each( a, function(){
+				if ( jQuery.nodeName(this, "script") ) {
+					if ( this.src )
+						jQuery.ajax({ url: this.src, async: false, dataType: "script" });
+					else
+						jQuery.globalEval( this.text || this.textContent || this.innerHTML || "" );
+				} else
+					fn.apply( obj, [ clone ? this.cloneNode(true) : this ] );
+			});
+		});
+	}
+};
+
+/**
+ * Extends the jQuery object itself. Can be used to add functions into
+ * the jQuery namespace and to [[Plugins/Authoring|add plugin methods]] (plugins).
+ * 
+ * @example jQuery.fn.extend({
+ *   check: function() {
+ *     return this.each(function() { this.checked = true; });
+ *   },
+ *   uncheck: function() {
+ *     return this.each(function() { this.checked = false; });
+ *   }
+ * });
+ * $("input[@type=checkbox]").check();
+ * $("input[@type=radio]").uncheck();
+ * @desc Adds two plugin methods.
+ *
+ * @example jQuery.extend({
+ *   min: function(a, b) { return a < b ? a : b; },
+ *   max: function(a, b) { return a > b ? a : b; }
+ * });
+ * @desc Adds two functions into the jQuery namespace
+ *
+ * @name $.extend
+ * @param Object prop The object that will be merged into the jQuery object
+ * @type Object
+ * @cat Core
+ */
+
+/**
+ * Extend one object with one or more others, returning the original,
+ * modified, object. This is a great utility for simple inheritance.
+ * 
+ * @example var settings = { validate: false, limit: 5, name: "foo" };
+ * var options = { validate: true, name: "bar" };
+ * jQuery.extend(settings, options);
+ * @result settings == { validate: true, limit: 5, name: "bar" }
+ * @desc Merge settings and options, modifying settings
+ *
+ * @example var defaults = { validate: false, limit: 5, name: "foo" };
+ * var options = { validate: true, name: "bar" };
+ * var settings = jQuery.extend({}, defaults, options);
+ * @result settings == { validate: true, limit: 5, name: "bar" }
+ * @desc Merge defaults and options, without modifying the defaults
+ *
+ * @name $.extend
+ * @param Object target The object to extend
+ * @param Object prop1 The object that will be merged into the first.
+ * @param Object propN (optional) More objects to merge into the first
+ * @type Object
+ * @cat JavaScript
+ */
+jQuery.extend = jQuery.fn.extend = function() {
+	// copy reference to target object
+	var target = arguments[0] || {}, a = 1, al = arguments.length, deep = false;
+
+	// Handle a deep copy situation
+	if ( target.constructor == Boolean ) {
+		deep = target;
+		target = arguments[1] || {};
+	}
+
+	// extend jQuery itself if only one argument is passed
+	if ( al == 1 ) {
+		target = this;
+		a = 0;
+	}
+
+	var prop;
+
+	for ( ; a < al; a++ )
+		// Only deal with non-null/undefined values
+		if ( (prop = arguments[a]) != null )
+			// Extend the base object
+			for ( var i in prop ) {
+				// Prevent never-ending loop
+				if ( target == prop[i] )
+					continue;
+
+				// Recurse if we're merging object values
+				if ( deep && typeof prop[i] == 'object' && target[i] )
+					jQuery.extend( target[i], prop[i] );
+
+				// Don't bring in undefined values
+				else if ( prop[i] != undefined )
+					target[i] = prop[i];
+			}
+
+	// Return the modified object
+	return target;
+};
+
+jQuery.extend({
+	/**
+	 * Run this function to give control of the $ variable back
+	 * to whichever library first implemented it. This helps to make 
+	 * sure that jQuery doesn't conflict with the $ object
+	 * of other libraries.
+	 *
+	 * By using this function, you will only be able to access jQuery
+	 * using the 'jQuery' variable. For example, where you used to do
+	 * $("div p"), you now must do jQuery("div p").
+	 *
+	 * @example jQuery.noConflict();
+	 * // Do something with jQuery
+	 * jQuery("div p").hide();
+	 * // Do something with another library's $()
+	 * $("content").style.display = 'none';
+	 * @desc Maps the original object that was referenced by $ back to $
+	 *
+	 * @example jQuery.noConflict();
+	 * (function($) { 
+	 *   $(function() {
+	 *     // more code using $ as alias to jQuery
+	 *   });
+	 * })(jQuery);
+	 * // other code using $ as an alias to the other library
+	 * @desc Reverts the $ alias and then creates and executes a
+	 * function to provide the $ as a jQuery alias inside the functions
+	 * scope. Inside the function the original $ object is not available.
+	 * This works well for most plugins that don't rely on any other library.
+	 * 
+	 *
+	 * @name $.noConflict
+	 * @type undefined
+	 * @cat Core 
+	 */
+	noConflict: function(deep) {
+		window.$ = _$;
+		if ( deep )
+			window.jQuery = _jQuery;
+		return jQuery;
+	},
+
+	// This may seem like some crazy code, but trust me when I say that this
+	// is the only cross-browser way to do this. --John
+	isFunction: function( fn ) {
+		return !!fn && typeof fn != "string" && !fn.nodeName && 
+			fn.constructor != Array && /function/i.test( fn + "" );
+	},
+	
+	// check if an element is in a XML document
+	isXMLDoc: function(elem) {
+		return elem.documentElement && !elem.body ||
+			elem.tagName && elem.ownerDocument && !elem.ownerDocument.body;
+	},
+
+	// Evalulates a script in a global context
+	// Evaluates Async. in Safari 2 :-(
+	globalEval: function( data ) {
+		data = jQuery.trim( data );
+		if ( data ) {
+			if ( window.execScript )
+				window.execScript( data );
+			else if ( jQuery.browser.safari )
+				// safari doesn't provide a synchronous global eval
+				window.setTimeout( data, 0 );
+			else
+				eval.call( window, data );
+		}
+	},
+
+	nodeName: function( elem, name ) {
+		return elem.nodeName && elem.nodeName.toUpperCase() == name.toUpperCase();
+	},
+
+	/**
+	 * A generic iterator function, which can be used to seamlessly
+	 * iterate over both objects and arrays. This function is not the same
+	 * as $().each() - which is used to iterate, exclusively, over a jQuery
+	 * object. This function can be used to iterate over anything.
+	 *
+	 * The callback has two arguments:the key (objects) or index (arrays) as first
+	 * the first, and the value as the second.
+	 *
+	 * @example $.each( [0,1,2], function(i, n){
+	 *   alert( "Item #" + i + ": " + n );
+	 * });
+	 * @desc This is an example of iterating over the items in an array,
+	 * accessing both the current item and its index.
+	 *
+	 * @example $.each( { name: "John", lang: "JS" }, function(i, n){
+	 *   alert( "Name: " + i + ", Value: " + n );
+	 * });
+	 *
+	 * @desc This is an example of iterating over the properties in an
+	 * Object, accessing both the current item and its key.
+	 *
+	 * @name $.each
+	 * @param Object obj The object, or array, to iterate over.
+	 * @param Function fn The function that will be executed on every object.
+	 * @type Object
+	 * @cat JavaScript
+	 */
+	// args is for internal usage only
+	each: function( obj, fn, args ) {
+		if ( args ) {
+			if ( obj.length == undefined )
+				for ( var i in obj )
+					fn.apply( obj[i], args );
+			else
+				for ( var i = 0, ol = obj.length; i < ol; i++ )
+					if ( fn.apply( obj[i], args ) === false ) break;
+
+		// A special, fast, case for the most common use of each
+		} else {
+			if ( obj.length == undefined )
+				for ( var i in obj )
+					fn.call( obj[i], i, obj[i] );
+			else
+				for ( var i = 0, ol = obj.length, val = obj[0]; 
+					i < ol && fn.call(val,i,val) !== false; val = obj[++i] ){}
+		}
+
+		return obj;
+	},
+	
+	prop: function(elem, value, type, index, prop){
+			// Handle executable functions
+			if ( jQuery.isFunction( value ) )
+				value = value.call( elem, [index] );
+				
+			// exclude the following css properties to add px
+			var exclude = /z-?index|font-?weight|opacity|zoom|line-?height/i;
+
+			// Handle passing in a number to a CSS property
+			return value && value.constructor == Number && type == "curCSS" && !exclude.test(prop) ?
+				value + "px" :
+				value;
+	},
+
+	className: {
+		// internal only, use addClass("class")
+		add: function( elem, c ){
+			jQuery.each( (c || "").split(/\s+/), function(i, cur){
+				if ( !jQuery.className.has( elem.className, cur ) )
+					elem.className += ( elem.className ? " " : "" ) + cur;
+			});
+		},
+
+		// internal only, use removeClass("class")
+		remove: function( elem, c ){
+			elem.className = c != undefined ?
+				jQuery.grep( elem.className.split(/\s+/), function(cur){
+					return !jQuery.className.has( c, cur );	
+				}).join(" ") : "";
+		},
+
+		// internal only, use is(".class")
+		has: function( t, c ) {
+			return jQuery.inArray( c, (t.className || t).toString().split(/\s+/) ) > -1;
+		}
+	},
+
+	/**
+	 * Swap in/out style options.
+	 * @private
+	 */
+	swap: function(e,o,f) {
+		for ( var i in o ) {
+			e.style["old"+i] = e.style[i];
+			e.style[i] = o[i];
+		}
+		f.apply( e, [] );
+		for ( var i in o )
+			e.style[i] = e.style["old"+i];
+	},
+
+	css: function(e,p) {
+		if ( p == "height" || p == "width" ) {
+			var old = {}, oHeight, oWidth, d = ["Top","Bottom","Right","Left"];
+
+			jQuery.each( d, function(){
+				old["padding" + this] = 0;
+				old["border" + this + "Width"] = 0;
+			});
+
+			jQuery.swap( e, old, function() {
+				if ( jQuery(e).is(':visible') ) {
+					oHeight = e.offsetHeight;
+					oWidth = e.offsetWidth;
+				} else {
+					e = jQuery(e.cloneNode(true))
+						.find(":radio").removeAttr("checked").end()
+						.css({
+							visibility: "hidden", position: "absolute", display: "block", right: "0", left: "0"
+						}).appendTo(e.parentNode)[0];
+
+					var parPos = jQuery.css(e.parentNode,"position") || "static";
+					if ( parPos == "static" )
+						e.parentNode.style.position = "relative";
+
+					oHeight = e.clientHeight;
+					oWidth = e.clientWidth;
+
+					if ( parPos == "static" )
+						e.parentNode.style.position = "static";
+
+					e.parentNode.removeChild(e);
+				}
+			});
+
+			return p == "height" ? oHeight : oWidth;
+		}
+
+		return jQuery.curCSS( e, p );
+	},
+
+	curCSS: function(elem, prop, force) {
+		var ret, stack = [], swap = [];
+
+		// A helper method for determining if an element's values are broken
+		function color(a){
+			if ( !jQuery.browser.safari )
+				return false;
+
+			var ret = document.defaultView.getComputedStyle(a,null);
+			return !ret || ret.getPropertyValue("color") == "";
+		}
+
+		if (prop == "opacity" && jQuery.browser.msie) {
+			ret = jQuery.attr(elem.style, "opacity");
+			return ret == "" ? "1" : ret;
+		}
+		
+		if (prop.match(/float/i))
+			prop = styleFloat;
+
+		if (!force && elem.style[prop])
+			ret = elem.style[prop];
+
+		else if (document.defaultView && document.defaultView.getComputedStyle) {
+
+			if (prop.match(/float/i))
+				prop = "float";
+
+			prop = prop.replace(/([A-Z])/g,"-$1").toLowerCase();
+			var cur = document.defaultView.getComputedStyle(elem, null);
+
+			if ( cur && !color(elem) )
+				ret = cur.getPropertyValue(prop);
+
+			// If the element isn't reporting its values properly in Safari
+			// then some display: none elements are involved
+			else {
+				// Locate all of the parent display: none elements
+				for ( var a = elem; a && color(a); a = a.parentNode )
+					stack.unshift(a);
+
+				// Go through and make them visible, but in reverse
+				// (It would be better if we knew the exact display type that they had)
+				for ( a = 0; a < stack.length; a++ )
+					if ( color(stack[a]) ) {
+						swap[a] = stack[a].style.display;
+						stack[a].style.display = "block";
+					}
+
+				// Since we flip the display style, we have to handle that
+				// one special, otherwise get the value
+				ret = prop == "display" && swap[stack.length-1] != null ?
+					"none" :
+					document.defaultView.getComputedStyle(elem,null).getPropertyValue(prop) || "";
+
+				// Finally, revert the display styles back
+				for ( a = 0; a < swap.length; a++ )
+					if ( swap[a] != null )
+						stack[a].style.display = swap[a];
+			}
+
+			if ( prop == "opacity" && ret == "" )
+				ret = "1";
+
+		} else if (elem.currentStyle) {
+			var newProp = prop.replace(/\-(\w)/g,function(m,c){return c.toUpperCase();});
+			ret = elem.currentStyle[prop] || elem.currentStyle[newProp];
+		}
+
+		return ret;
+	},
+	
+	clean: function(a, doc) {
+		var r = [];
+		doc = doc || document;
+
+		jQuery.each( a, function(i,arg){
+			if ( !arg ) return;
+
+			if ( arg.constructor == Number )
+				arg = arg.toString();
+			
+			// Convert html string into DOM nodes
+			if ( typeof arg == "string" ) {
+				// Trim whitespace, otherwise indexOf won't work as expected
+				var s = jQuery.trim(arg).toLowerCase(), div = doc.createElement("div"), tb = [];
+
+				var wrap =
+					// option or optgroup
+					!s.indexOf("<opt") &&
+					[1, "<select>", "</select>"] ||
+					
+					!s.indexOf("<leg") &&
+					[1, "<fieldset>", "</fieldset>"] ||
+					
+					s.match(/^<(thead|tbody|tfoot|colg|cap)/) &&
+					[1, "<table>", "</table>"] ||
+					
+					!s.indexOf("<tr") &&
+					[2, "<table><tbody>", "</tbody></table>"] ||
+					
+				 	// <thead> matched above
+					(!s.indexOf("<td") || !s.indexOf("<th")) &&
+					[3, "<table><tbody><tr>", "</tr></tbody></table>"] ||
+					
+					!s.indexOf("<col") &&
+					[2, "<table><tbody></tbody><colgroup>", "</colgroup></table>"] ||
+
+					// IE can't serialize <link> and <script> tags normally
+					jQuery.browser.msie &&
+					[1, "div<div>", "</div>"] ||
+					
+					[0,"",""];
+
+				// Go to html and back, then peel off extra wrappers
+				div.innerHTML = wrap[1] + arg + wrap[2];
+				
+				// Move to the right depth
+				while ( wrap[0]-- )
+					div = div.lastChild;
+				
+				// Remove IE's autoinserted <tbody> from table fragments
+				if ( jQuery.browser.msie ) {
+					
+					// String was a <table>, *may* have spurious <tbody>
+					if ( !s.indexOf("<table") && s.indexOf("<tbody") < 0 ) 
+						tb = div.firstChild && div.firstChild.childNodes;
+						
+					// String was a bare <thead> or <tfoot>
+					else if ( wrap[1] == "<table>" && s.indexOf("<tbody") < 0 )
+						tb = div.childNodes;
+
+					for ( var n = tb.length-1; n >= 0 ; --n )
+						if ( jQuery.nodeName(tb[n], "tbody") && !tb[n].childNodes.length )
+							tb[n].parentNode.removeChild(tb[n]);
+	
+					// IE completely kills leading whitespace when innerHTML is used	
+					if ( /^\s/.test(arg) )	
+						div.insertBefore( doc.createTextNode( arg.match(/^\s*/)[0] ), div.firstChild );
+
+				}
+				
+				arg = jQuery.makeArray( div.childNodes );
+			}
+
+			if ( 0 === arg.length && (!jQuery.nodeName(arg, "form") && !jQuery.nodeName(arg, "select")) )
+				return;
+
+			if ( arg[0] == undefined || jQuery.nodeName(arg, "form") || arg.options )
+				r.push( arg );
+			else
+				r = jQuery.merge( r, arg );
+
+		});
+
+		return r;
+	},
+	
+	attr: function(elem, name, value){
+		var fix = jQuery.isXMLDoc(elem) ? {} : jQuery.props;
+
+		// Safari mis-reports the default selected property of a hidden option
+		// Accessing the parent's selectedIndex property fixes it
+		if ( name == "selected" && jQuery.browser.safari )
+			elem.parentNode.selectedIndex;
+		
+		// Certain attributes only work when accessed via the old DOM 0 way
+		if ( fix[name] ) {
+			if ( value != undefined ) elem[fix[name]] = value;
+			return elem[fix[name]];
+		} else if ( jQuery.browser.msie && name == "style" )
+			return jQuery.attr( elem.style, "cssText", value );
+
+		else if ( value == undefined && jQuery.browser.msie && jQuery.nodeName(elem, "form") && (name == "action" || name == "method") )
+			return elem.getAttributeNode(name).nodeValue;
+
+		// IE elem.getAttribute passes even for style
+		else if ( elem.tagName ) {
+
+			if ( value != undefined ) elem.setAttribute( name, value );
+			if ( jQuery.browser.msie && /href|src/.test(name) && !jQuery.isXMLDoc(elem) ) 
+				return elem.getAttribute( name, 2 );
+			return elem.getAttribute( name );
+
+		// elem is actually elem.style ... set the style
+		} else {
+			// IE actually uses filters for opacity
+			if ( name == "opacity" && jQuery.browser.msie ) {
+				if ( value != undefined ) {
+					// IE has trouble with opacity if it does not have layout
+					// Force it by setting the zoom level
+					elem.zoom = 1; 
+	
+					// Set the alpha filter to set the opacity
+					elem.filter = (elem.filter || "").replace(/alpha\([^)]*\)/,"") +
+						(parseFloat(value).toString() == "NaN" ? "" : "alpha(opacity=" + value * 100 + ")");
+				}
+	
+				return elem.filter ? 
+					(parseFloat( elem.filter.match(/opacity=([^)]*)/)[1] ) / 100).toString() : "";
+			}
+			name = name.replace(/-([a-z])/ig,function(z,b){return b.toUpperCase();});
+			if ( value != undefined ) elem[name] = value;
+			return elem[name];
+		}
+	},
+	
+	/**
+	 * Remove the whitespace from the beginning and end of a string.
+	 *
+	 * @example $.trim("  hello, how are you?  ");
+	 * @result "hello, how are you?"
+	 *
+	 * @name $.trim
+	 * @type String
+	 * @param String str The string to trim.
+	 * @cat JavaScript
+	 */
+	trim: function(t){
+		return (t||"").replace(/^\s+|\s+$/g, "");
+	},
+
+	makeArray: function( a ) {
+		var r = [];
+
+		// Need to use typeof to fight Safari childNodes crashes
+		if ( typeof a != "array" )
+			for ( var i = 0, al = a.length; i < al; i++ )
+				r.push( a[i] );
+		else
+			r = a.slice( 0 );
+
+		return r;
+	},
+
+	inArray: function( b, a ) {
+		for ( var i = 0, al = a.length; i < al; i++ )
+			if ( a[i] == b )
+				return i;
+		return -1;
+	},
+
+	/**
+	 * Merge two arrays together by concatenating them.
+	 *
+	 * @example $.merge( [0,1,2], [2,3,4] )
+	 * @result [0,1,2,2,3,4]
+	 * @desc Merges two arrays.
+	 *
+	 * @name $.merge
+	 * @type Array
+	 * @param Array first The first array to merge, the elements of second are added.
+	 * @param Array second The second array to append to the first, unaltered.
+	 * @cat JavaScript
+	 */
+	merge: function(first, second) {
+		// We have to loop this way because IE & Opera overwrite the length
+		// expando of getElementsByTagName
+
+		// Also, we need to make sure that the correct elements are being returned
+		// (IE returns comment nodes in a '*' query)
+		if ( jQuery.browser.msie ) {
+			for ( var i = 0; second[i]; i++ )
+				if ( second[i].nodeType != 8 )
+					first.push(second[i]);
+		} else
+			for ( var i = 0; second[i]; i++ )
+				first.push(second[i]);
+
+		return first;
+	},
+
+	/**
+	 * Reduce an array (of jQuery objects only) to its unique elements.
+	 *
+	 * @example $.unique( [x1, x2, x3, x2, x3] )
+	 * @result [x1, x2, x3]
+	 * @desc Reduces the arrays of jQuery objects to unique elements by removing the duplicates of x2 and x3
+	 *
+	 * @name $.unique
+	 * @type Array
+	 * @param Array array The array to reduce to its unique jQuery objects.
+	 * @cat JavaScript
+	 */
+	unique: function(first) {
+		var r = [], num = jQuery.mergeNum++;
+
+		try {
+			for ( var i = 0, fl = first.length; i < fl; i++ )
+				if ( num != first[i].mergeNum ) {
+					first[i].mergeNum = num;
+					r.push(first[i]);
+				}
+		} catch(e) {
+			r = first;
+		}
+
+		return r;
+	},
+
+	mergeNum: 0,
+
+	/**
+	 * Filter items out of an array, by using a filter function.
+	 *
+	 * The specified function will be passed two arguments: The
+	 * current array item and the index of the item in the array. The
+	 * function must return 'true' to keep the item in the array, 
+	 * false to remove it.
+	 *
+	 * @example $.grep( [0,1,2], function(i){
+	 *   return i > 0;
+	 * });
+	 * @result [1, 2]
+	 *
+	 * @name $.grep
+	 * @type Array
+	 * @param Array array The Array to find items in.
+	 * @param Function fn The function to process each item against.
+	 * @param Boolean inv Invert the selection - select the opposite of the function.
+	 * @cat JavaScript
+	 */
+	grep: function(elems, fn, inv) {
+		// If a string is passed in for the function, make a function
+		// for it (a handy shortcut)
+		if ( typeof fn == "string" )
+			fn = eval("false||function(a,i){return " + fn + "}");
+
+		var result = [];
+
+		// Go through the array, only saving the items
+		// that pass the validator function
+		for ( var i = 0, el = elems.length; i < el; i++ )
+			if ( !inv && fn(elems[i],i) || inv && !fn(elems[i],i) )
+				result.push( elems[i] );
+
+		return result;
+	},
+
+	/**
+	 * Translate all items in an array to another array of items.
+	 *
+	 * The translation function that is provided to this method is 
+	 * called for each item in the array and is passed one argument: 
+	 * The item to be translated.
+	 *
+	 * The function can then return the translated value, 'null'
+	 * (to remove the item), or  an array of values - which will
+	 * be flattened into the full array.
+	 *
+	 * @example $.map( [0,1,2], function(i){
+	 *   return i + 4;
+	 * });
+	 * @result [4, 5, 6]
+	 * @desc Maps the original array to a new one and adds 4 to each value.
+	 *
+	 * @example $.map( [0,1,2], function(i){
+	 *   return i > 0 ? i + 1 : null;
+	 * });
+	 * @result [2, 3]
+	 * @desc Maps the original array to a new one and adds 1 to each
+	 * value if it is bigger then zero, otherwise it's removed-
+	 * 
+	 * @example $.map( [0,1,2], function(i){
+	 *   return [ i, i + 1 ];
+	 * });
+	 * @result [0, 1, 1, 2, 2, 3]
+	 * @desc Maps the original array to a new one, each element is added
+	 * with it's original value and the value plus one.
+	 *
+	 * @name $.map
+	 * @type Array
+	 * @param Array array The Array to translate.
+	 * @param Function fn The function to process each item against.
+	 * @cat JavaScript
+	 */
+	map: function(elems, fn) {
+		// If a string is passed in for the function, make a function
+		// for it (a handy shortcut)
+		if ( typeof fn == "string" )
+			fn = eval("false||function(a){return " + fn + "}");
+
+		var result = [];
+
+		// Go through the array, translating each of the items to their
+		// new value (or values).
+		for ( var i = 0, el = elems.length; i < el; i++ ) {
+			var val = fn(elems[i],i);
+
+			if ( val !== null && val != undefined ) {
+				if ( val.constructor != Array ) val = [val];
+				result = result.concat( val );
+			}
+		}
+
+		return result;
+	}
+});
+
+/**
+ * Contains flags for the useragent, read from navigator.userAgent.
+ * Available flags are: safari, opera, msie, mozilla
+ *
+ * This property is available before the DOM is ready, therefore you can
+ * use it to add ready events only for certain browsers.
+ *
+ * There are situations where object detections is not reliable enough, in that
+ * cases it makes sense to use browser detection. Simply try to avoid both!
+ *
+ * A combination of browser and object detection yields quite reliable results.
+ *
+ * @example $.browser.msie
+ * @desc Returns true if the current useragent is some version of microsoft's internet explorer
+ *
+ * @example if($.browser.safari) { $( function() { alert("this is safari!"); } ); }
+ * @desc Alerts "this is safari!" only for safari browsers
+ *
+ * @property
+ * @name $.browser
+ * @type Boolean
+ * @cat JavaScript
+ */
+ 
+/*
+ * Whether the W3C compliant box model is being used.
+ *
+ * @property
+ * @name $.boxModel
+ * @type Boolean
+ * @cat JavaScript
+ */
+var userAgent = navigator.userAgent.toLowerCase();
+
+// Figure out what browser is being used
+jQuery.browser = {
+	version: (userAgent.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/) || [])[1],
+	safari: /webkit/.test(userAgent),
+	opera: /opera/.test(userAgent),
+	msie: /msie/.test(userAgent) && !/opera/.test(userAgent),
+	mozilla: /mozilla/.test(userAgent) && !/(compatible|webkit)/.test(userAgent)
+};
+
+var styleFloat = jQuery.browser.msie ? "styleFloat" : "cssFloat";
+	
+jQuery.extend({
+	// Check to see if the W3C box model is being used
+	boxModel: !jQuery.browser.msie || document.compatMode == "CSS1Compat",
+	
+	styleFloat: jQuery.browser.msie ? "styleFloat" : "cssFloat",
+	
+	props: {
+		"for": "htmlFor",
+		"class": "className",
+		"float": styleFloat,
+		cssFloat: styleFloat,
+		styleFloat: styleFloat,
+		innerHTML: "innerHTML",
+		className: "className",
+		value: "value",
+		disabled: "disabled",
+		checked: "checked",
+		readonly: "readOnly",
+		selected: "selected",
+		maxlength: "maxLength"
+	}
+});
+
+/**
+ * Get a set of elements containing the unique parents of the matched
+ * set of elements.
+ *
+ * You may use an optional expression to filter the set of parent elements that will match.
+ *
+ * @example $("p").parent()
+ * @before <div><p>Hello</p><p>Hello</p></div>
+ * @result [ <div><p>Hello</p><p>Hello</p></div> ]
+ * @desc Find the parent element of each paragraph.
+ *
+ * @example $("p").parent(".selected")
+ * @before <div><p>Hello</p></div><div class="selected"><p>Hello Again</p></div>
+ * @result [ <div class="selected"><p>Hello Again</p></div> ]
+ * @desc Find the parent element of each paragraph with a class "selected".
+ *
+ * @name parent
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the parents with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique ancestors of the matched
+ * set of elements (except for the root element).
+ *
+ * The matched elements can be filtered with an optional expression.
+ *
+ * @example $("span").parents()
+ * @before <html><body><div><p><span>Hello</span></p><span>Hello Again</span></div></body></html>
+ * @result [ <body>...</body>, <div>...</div>, <p><span>Hello</span></p> ]
+ * @desc Find all parent elements of each span.
+ *
+ * @example $("span").parents("p")
+ * @before <html><body><div><p><span>Hello</span></p><span>Hello Again</span></div></body></html>
+ * @result [ <p><span>Hello</span></p> ]
+ * @desc Find all parent elements of each span that is a paragraph.
+ *
+ * @name parents
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the ancestors with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique next siblings of each of the
+ * matched set of elements.
+ *
+ * It only returns the very next sibling for each element, not all
+ * next siblings.
+ *
+ * You may provide an optional expression to filter the match.
+ *
+ * @example $("p").next()
+ * @before <p>Hello</p><p>Hello Again</p><div><span>And Again</span></div>
+ * @result [ <p>Hello Again</p>, <div><span>And Again</span></div> ]
+ * @desc Find the very next sibling of each paragraph.
+ *
+ * @example $("p").next(".selected")
+ * @before <p>Hello</p><p class="selected">Hello Again</p><div><span>And Again</span></div>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find the very next sibling of each paragraph that has a class "selected".
+ *
+ * @name next
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the next Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique previous siblings of each of the
+ * matched set of elements.
+ *
+ * Use an optional expression to filter the matched set.
+ *
+ * 	Only the immediately previous sibling is returned, not all previous siblings.
+ *
+ * @example $("p").prev()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <div><span>Hello Again</span></div> ]
+ * @desc Find the very previous sibling of each paragraph.
+ *
+ * @example $("p").prev(".selected")
+ * @before <div><span>Hello</span></div><p class="selected">Hello Again</p><p>And Again</p>
+ * @result [ <div><span>Hello</span></div> ]
+ * @desc Find the very previous sibling of each paragraph that has a class "selected".
+ *
+ * @name prev
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the previous Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing all of the unique siblings of each of the
+ * matched set of elements.
+ *
+ * Can be filtered with an optional expressions.
+ *
+ * @example $("div").siblings()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <p>Hello</p>, <p>And Again</p> ]
+ * @desc Find all siblings of each div.
+ *
+ * @example $("div").siblings(".selected")
+ * @before <div><span>Hello</span></div><p class="selected">Hello Again</p><p>And Again</p>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find all siblings with a class "selected" of each div.
+ *
+ * @name siblings
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the sibling Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing all of the unique children of each of the
+ * matched set of elements.
+ *
+ * This set can be filtered with an optional expression that will cause
+ * only elements matching the selector to be collected.
+ *
+ * @example $("div").children()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <span>Hello Again</span> ]
+ * @desc Find all children of each div.
+ *
+ * @example $("div").children(".selected")
+ * @before <div><span>Hello</span><p class="selected">Hello Again</p><p>And Again</p></div>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find all children with a class "selected" of each div.
+ *
+ * @name children
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the child Elements with
+ * @cat DOM/Traversing
+ */
+jQuery.each({
+	parent: "a.parentNode",
+	parents: "jQuery.parents(a)",
+	next: "jQuery.nth(a,2,'nextSibling')",
+	prev: "jQuery.nth(a,2,'previousSibling')",
+	siblings: "jQuery.sibling(a.parentNode.firstChild,a)",
+	children: "jQuery.sibling(a.firstChild)"
+}, function(i,n){
+	jQuery.fn[ i ] = function(a) {
+		var ret = jQuery.map(this,n);
+		if ( a && typeof a == "string" )
+			ret = jQuery.multiFilter(a,ret);
+		return this.pushStack( jQuery.unique(ret) );
+	};
+});
+
+/**
+ * Append all of the matched elements to another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).append(B), in that instead of appending B to A, you're appending
+ * A to B.
+ *
+ * @example $("p").appendTo("#foo");
+ * @before <p>I would like to say: </p><div id="foo"></div>
+ * @result <div id="foo"><p>I would like to say: </p></div>
+ * @desc Appends all paragraphs to the element with the ID "foo"
+ *
+ * @name appendTo
+ * @type jQuery
+ * @param <Content> content Content to append to the selected element to.
+ * @cat DOM/Manipulation
+ * @see append(<Content>)
+ */
+
+/**
+ * Prepend all of the matched elements to another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).prepend(B), in that instead of prepending B to A, you're prepending
+ * A to B.
+ *
+ * @example $("p").prependTo("#foo");
+ * @before <p>I would like to say: </p><div id="foo"><b>Hello</b></div>
+ * @result <div id="foo"><p>I would like to say: </p><b>Hello</b></div>
+ * @desc Prepends all paragraphs to the element with the ID "foo"
+ *
+ * @name prependTo
+ * @type jQuery
+ * @param <Content> content Content to prepend to the selected element to.
+ * @cat DOM/Manipulation
+ * @see prepend(<Content>)
+ */
+
+/**
+ * Insert all of the matched elements before another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).before(B), in that instead of inserting B before A, you're inserting
+ * A before B.
+ *
+ * @example $("p").insertBefore("#foo");
+ * @before <div id="foo">Hello</div><p>I would like to say: </p>
+ * @result <p>I would like to say: </p><div id="foo">Hello</div>
+ * @desc Same as $("#foo").before("p")
+ *
+ * @name insertBefore
+ * @type jQuery
+ * @param <Content> content Content to insert the selected element before.
+ * @cat DOM/Manipulation
+ * @see before(<Content>)
+ */
+
+/**
+ * Insert all of the matched elements after another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).after(B), in that instead of inserting B after A, you're inserting
+ * A after B.
+ *
+ * @example $("p").insertAfter("#foo");
+ * @before <p>I would like to say: </p><div id="foo">Hello</div>
+ * @result <div id="foo">Hello</div><p>I would like to say: </p>
+ * @desc Same as $("#foo").after("p")
+ *
+ * @name insertAfter
+ * @type jQuery
+ * @param <Content> content Content to insert the selected element after.
+ * @cat DOM/Manipulation
+ * @see after(<Content>)
+ */
+
+jQuery.each({
+	appendTo: "append",
+	prependTo: "prepend",
+	insertBefore: "before",
+	insertAfter: "after"
+}, function(i,n){
+	jQuery.fn[ i ] = function(){
+		var a = arguments;
+		return this.each(function(){
+			for ( var j = 0, al = a.length; j < al; j++ )
+				jQuery(a[j])[n]( this );
+		});
+	};
+});
+
+/**
+ * Remove an attribute from each of the matched elements.
+ *
+ * @example $("input").removeAttr("disabled")
+ * @before <input disabled="disabled"/>
+ * @result <input/>
+ *
+ * @name removeAttr
+ * @type jQuery
+ * @param String name The name of the attribute to remove.
+ * @cat DOM/Attributes
+ */
+
+/**
+ * Adds the specified class(es) to each of the set of matched elements.
+ *
+ * @example $("p").addClass("selected")
+ * @before <p>Hello</p>
+ * @result [ <p class="selected">Hello</p> ]
+ *
+ * @example $("p").addClass("selected highlight")
+ * @before <p>Hello</p>
+ * @result [ <p class="selected highlight">Hello</p> ]
+ *
+ * @name addClass
+ * @type jQuery
+ * @param String class One or more CSS classes to add to the elements
+ * @cat DOM/Attributes
+ * @see removeClass(String)
+ */
+
+/**
+ * Removes all or the specified class(es) from the set of matched elements.
+ *
+ * @example $("p").removeClass()
+ * @before <p class="selected">Hello</p>
+ * @result [ <p>Hello</p> ]
+ *
+ * @example $("p").removeClass("selected")
+ * @before <p class="selected first">Hello</p>
+ * @result [ <p class="first">Hello</p> ]
+ *
+ * @example $("p").removeClass("selected highlight")
+ * @before <p class="highlight selected first">Hello</p>
+ * @result [ <p class="first">Hello</p> ]
+ *
+ * @name removeClass
+ * @type jQuery
+ * @param String class (optional) One or more CSS classes to remove from the elements
+ * @cat DOM/Attributes
+ * @see addClass(String)
+ */
+
+/**
+ * Adds the specified class if it is not present, removes it if it is
+ * present.
+ *
+ * @example $("p").toggleClass("selected")
+ * @before <p>Hello</p><p class="selected">Hello Again</p>
+ * @result [ <p class="selected">Hello</p>, <p>Hello Again</p> ]
+ *
+ * @name toggleClass
+ * @type jQuery
+ * @param String class A CSS class with which to toggle the elements
+ * @cat DOM/Attributes
+ */
+
+/**
+ * Removes all matched elements from the DOM. This does NOT remove them from the
+ * jQuery object, allowing you to use the matched elements further.
+ *
+ * Can be filtered with an optional expressions.
+ *
+ * @example $("p").remove();
+ * @before <p>Hello</p> how are <p>you?</p>
+ * @result how are
+ *
+ * @example $("p").remove(".hello");
+ * @before <p class="hello">Hello</p> how are <p>you?</p>
+ * @result how are <p>you?</p>
+ *
+ * @name remove
+ * @type jQuery
+ * @param String expr (optional) A jQuery expression to filter elements by.
+ * @cat DOM/Manipulation
+ */
+
+/**
+ * Removes all child nodes from the set of matched elements.
+ *
+ * @example $("p").empty()
+ * @before <p>Hello, <span>Person</span> <a href="#">and person</a></p>
+ * @result [ <p></p> ]
+ *
+ * @name empty
+ * @type jQuery
+ * @cat DOM/Manipulation
+ */
+
+jQuery.each( {
+	removeAttr: function( key ) {
+		jQuery.attr( this, key, "" );
+		this.removeAttribute( key );
+	},
+	addClass: function(c){
+		jQuery.className.add(this,c);
+	},
+	removeClass: function(c){
+		jQuery.className.remove(this,c);
+	},
+	toggleClass: function( c ){
+		jQuery.className[ jQuery.className.has(this,c) ? "remove" : "add" ](this, c);
+	},
+	remove: function(a){
+		if ( !a || jQuery.filter( a, [this] ).r.length )
+			this.parentNode.removeChild( this );
+	},
+	empty: function() {
+		while ( this.firstChild )
+			this.removeChild( this.firstChild );
+	}
+}, function(i,n){
+	jQuery.fn[ i ] = function() {
+		return this.each( n, arguments );
+	};
+});
+
+/**
+ * Reduce the set of matched elements to a single element.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").eq(1)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>So is this</p> ]
+ *
+ * @name eq
+ * @type jQuery
+ * @param Number pos The index of the element that you wish to limit to.
+ * @cat Core
+ */
+
+/**
+ * Reduce the set of matched elements to all elements before a given position.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").lt(1)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>This is just a test.</p> ]
+ *
+ * @name lt
+ * @type jQuery
+ * @param Number pos Reduce the set to all elements below this position.
+ * @cat Core
+ */
+
+/**
+ * Reduce the set of matched elements to all elements after a given position.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").gt(0)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>So is this</p> ]
+ *
+ * @name gt
+ * @type jQuery
+ * @param Number pos Reduce the set to all elements after this position.
+ * @cat Core
+ */
+
+/**
+ * Filter the set of elements to those that contain the specified text.
+ *
+ * @example $("p").contains("test")
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>This is just a test.</p> ]
+ *
+ * @name contains
+ * @type jQuery
+ * @param String str The string that will be contained within the text of an element.
+ * @cat DOM/Traversing
+ */
+// DEPRECATED
+jQuery.each( [ "eq", "lt", "gt", "contains" ], function(i,n){
+	jQuery.fn[ n ] = function(num,fn) {
+		return this.filter( ":" + n + "(" + num + ")", fn );
+	};
+});
+
+/**
+ * Get the current computed, pixel, width of the first matched element.
+ *
+ * @example $("p").width();
+ * @before <p>This is just a test.</p>
+ * @result 300
+ *
+ * @name width
+ * @type String
+ * @cat CSS
+ */
+
+/**
+ * Set the CSS width of every matched element. If no explicit unit
+ * was specified (like 'em' or '%') then "px" is added to the width.
+ *
+ * @example $("p").width(20);
+ * @before <p>This is just a test.</p>
+ * @result <p style="width:20px;">This is just a test.</p>
+ *
+ * @example $("p").width("20em");
+ * @before <p>This is just a test.</p>
+ * @result <p style="width:20em;">This is just a test.</p>
+ *
+ * @name width
+ * @type jQuery
+ * @param String|Number val Set the CSS property to the specified value.
+ * @cat CSS
+ */
+ 
+/**
+ * Get the current computed, pixel, height of the first matched element.
+ *
+ * @example $("p").height();
+ * @before <p>This is just a test.</p>
+ * @result 300
+ *
+ * @name height
+ * @type String
+ * @cat CSS
+ */
+
+/**
+ * Set the CSS height of every matched element. If no explicit unit
+ * was specified (like 'em' or '%') then "px" is added to the width.
+ *
+ * @example $("p").height(20);
+ * @before <p>This is just a test.</p>
+ * @result <p style="height:20px;">This is just a test.</p>
+ *
+ * @example $("p").height("20em");
+ * @before <p>This is just a test.</p>
+ * @result <p style="height:20em;">This is just a test.</p>
+ *
+ * @name height
+ * @type jQuery
+ * @param String|Number val Set the CSS property to the specified value.
+ * @cat CSS
+ */
+
+jQuery.each( [ "height", "width" ], function(i,n){
+	jQuery.fn[ n ] = function(h) {
+		return h == undefined ?
+			( this.length ? jQuery.css( this[0], n ) : null ) :
+			this.css( n, h.constructor == String ? h : h + "px" );
+	};
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/jquery.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/jquery.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,2498 @@
+/*
+ * jQuery @VERSION - New Wave Javascript
+ *
+ * Copyright (c) 2007 John Resig (jquery.com)
+ * Dual licensed under the MIT (MIT-LICENSE.txt)
+ * and GPL (GPL-LICENSE.txt) licenses.
+ *
+ * $Date$
+ * $Rev$
+ */
+
+/**
+ * Create a new jQuery Object
+ *
+ * @constructor
+ * @private
+ * @name jQuery
+ * @param String|Function|Element|Array<Element>|jQuery a selector
+ * @param jQuery|Element|Array<Element> c context
+ * @cat Core
+ */
+
+// Map over jQuery in case of overwrite
+if ( typeof jQuery != "undefined" )
+	var _jQuery = jQuery;
+
+var jQuery = window.jQuery = function(a,c) {
+	// If the context is global, return a new object
+	if ( window == this || !this.init )
+		return new jQuery(a,c);
+	
+	return this.init(a,c);
+};
+
+// Map over the $ in case of overwrite
+if ( typeof $ != "undefined" )
+	var _$ = $;
+	
+// Map the jQuery namespace to the '$' one
+window.$ = jQuery;
+
+var quickExpr = /^[^<]*(<(.|\s)+>)[^>]*$|^#(\w+)$/;
+
+/**
+ * This function accepts a string containing a CSS or
+ * basic XPath selector which is then used to match a set of elements.
+ *
+ * The core functionality of jQuery centers around this function.
+ * Everything in jQuery is based upon this, or uses this in some way.
+ * The most basic use of this function is to pass in an expression
+ * (usually consisting of CSS or XPath), which then finds all matching
+ * elements.
+ *
+ * By default, if no context is specified, $() looks for DOM elements within the context of the
+ * current HTML document. If you do specify a context, such as a DOM
+ * element or jQuery object, the expression will be matched against
+ * the contents of that context.
+ *
+ * See [[DOM/Traversing/Selectors]] for the allowed CSS/XPath syntax for expressions.
+ *
+ * @example $("div > p")
+ * @desc Finds all p elements that are children of a div element.
+ * @before <p>one</p> <div><p>two</p></div> <p>three</p>
+ * @result [ <p>two</p> ]
+ *
+ * @example $("input:radio", document.forms[0])
+ * @desc Searches for all inputs of type radio within the first form in the document
+ *
+ * @example $("div", xml.responseXML)
+ * @desc This finds all div elements within the specified XML document.
+ *
+ * @name $
+ * @param String expr An expression to search with
+ * @param Element|jQuery context (optional) A DOM Element, Document or jQuery to use as context
+ * @cat Core
+ * @type jQuery
+ * @see $(Element)
+ * @see $(Element<Array>)
+ */
+ 
+/**
+ * Create DOM elements on-the-fly from the provided String of raw HTML.
+ *
+ * @example $("<div><p>Hello</p></div>").appendTo("body")
+ * @desc Creates a div element (and all of its contents) dynamically, 
+ * and appends it to the body element. Internally, an
+ * element is created and its innerHTML property set to the given markup.
+ * It is therefore both quite flexible and limited. 
+ *
+ * @name $
+ * @param String html A string of HTML to create on the fly.
+ * @cat Core
+ * @type jQuery
+ * @see appendTo(String)
+ */
+
+/**
+ * Wrap jQuery functionality around a single or multiple DOM Element(s).
+ *
+ * This function also accepts XML Documents and Window objects
+ * as valid arguments (even though they are not DOM Elements).
+ *
+ * @example $(document.body).css( "background", "black" );
+ * @desc Sets the background color of the page to black.
+ *
+ * @example $( myForm.elements ).hide()
+ * @desc Hides all the input elements within a form
+ *
+ * @name $
+ * @param Element|Array<Element> elems DOM element(s) to be encapsulated by a jQuery object.
+ * @cat Core
+ * @type jQuery
+ */
+
+/**
+ * A shorthand for $(document).ready(), allowing you to bind a function
+ * to be executed when the DOM document has finished loading. This function
+ * behaves just like $(document).ready(), in that it should be used to wrap
+ * other $() operations on your page that depend on the DOM being ready to be
+ * operated on. While this function is, technically, chainable - there really
+ * isn't much use for chaining against it.
+ *
+ * You can have as many $(document).ready events on your page as you like.
+ *
+ * See ready(Function) for details about the ready event. 
+ * 
+ * @example $(function(){
+ *   // Document is ready
+ * });
+ * @desc Executes the function when the DOM is ready to be used.
+ *
+ * @example jQuery(function($) {
+ *   // Your code using failsafe $ alias here...
+ * });
+ * @desc Uses both the shortcut for $(document).ready() and the argument
+ * to write failsafe jQuery code using the $ alias, without relying on the
+ * global alias.
+ *
+ * @name $
+ * @param Function fn The function to execute when the DOM is ready.
+ * @cat Core
+ * @type jQuery
+ * @see ready(Function)
+ */
+
+jQuery.fn = jQuery.prototype = {
+	/**
+	 * Initialize a new jQuery object
+	 *
+	 * @private
+	 * @name init
+	 * @param String|Function|Element|Array<Element>|jQuery a selector
+	 * @param jQuery|Element|Array<Element> c context
+	 * @cat Core
+	 */
+	init: function(a,c) {
+		// Make sure that a selection was provided
+		a = a || document;
+
+		// Handle HTML strings
+		if ( typeof a  == "string" ) {
+			var m = quickExpr.exec(a);
+			if ( m && (m[1] || !c) ) {
+				// HANDLE: $(html) -> $(array)
+				if ( m[1] )
+					a = jQuery.clean( [ m[1] ] );
+
+				// HANDLE: $("#id")
+				else {
+					var tmp = document.getElementById( m[3] );
+					if ( tmp )
+						// Handle the case where IE and Opera return items
+						// by name instead of ID
+						if ( tmp.id != m[3] )
+							return jQuery().find( a );
+						else {
+							this[0] = tmp;
+							this.length = 1;
+							return this;
+						}
+					else
+						a = [];
+				}
+
+			// HANDLE: $(expr)
+			} else
+				return new jQuery( c ).find( a );
+
+		// HANDLE: $(function)
+		// Shortcut for document ready
+		} else if ( jQuery.isFunction(a) )
+			return new jQuery(document)[ jQuery.fn.ready ? "ready" : "load" ]( a );
+
+		return this.setArray(
+			// HANDLE: $(array)
+			a.constructor == Array && a ||
+
+			// HANDLE: $(arraylike)
+			// Watch for when an array-like object is passed as the selector
+			(a.jquery || a.length && a != window && !a.nodeType && a[0] != undefined && a[0].nodeType) && jQuery.makeArray( a ) ||
+
+			// HANDLE: $(*)
+			[ a ] );
+	},
+	
+	/**
+	 * The current version of jQuery.
+	 *
+	 * @private
+	 * @property
+	 * @name jquery
+	 * @type String
+	 * @cat Core
+	 */
+	jquery: "@VERSION",
+
+	/**
+	 * The number of elements currently matched. The size function will return the same value.
+	 *
+	 * @example $("img").length;
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result 2
+	 *
+	 * @property
+	 * @name length
+	 * @type Number
+	 * @cat Core
+	 */
+
+	/**
+	 * Get the number of elements currently matched. This returns the same
+	 * number as the 'length' property of the jQuery object.
+	 *
+	 * @example $("img").size();
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result 2
+	 *
+	 * @name size
+	 * @type Number
+	 * @cat Core
+	 */
+	size: function() {
+		return this.length;
+	},
+	
+	length: 0,
+
+	/**
+	 * Access all matched DOM elements. This serves as a backwards-compatible
+	 * way of accessing all matched elements (other than the jQuery object
+	 * itself, which is, in fact, an array of elements).
+	 *
+	 * It is useful if you need to operate on the DOM elements themselves instead of using built-in jQuery functions.
+	 *
+	 * @example $("img").get();
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result [ <img src="test1.jpg"/> <img src="test2.jpg"/> ]
+	 * @desc Selects all images in the document and returns the DOM Elements as an Array
+	 *
+	 * @name get
+	 * @type Array<Element>
+	 * @cat Core
+	 */
+
+	/**
+	 * Access a single matched DOM element at a specified index in the matched set.
+	 * This allows you to extract the actual DOM element and operate on it
+	 * directly without necessarily using jQuery functionality on it.
+	 *
+	 * @example $("img").get(0);
+	 * @before <img src="test1.jpg"/> <img src="test2.jpg"/>
+	 * @result <img src="test1.jpg"/>
+	 * @desc Selects all images in the document and returns the first one
+	 *
+	 * @name get
+	 * @type Element
+	 * @param Number num Access the element in the Nth position.
+	 * @cat Core
+	 */
+	get: function( num ) {
+		return num == undefined ?
+
+			// Return a 'clean' array
+			jQuery.makeArray( this ) :
+
+			// Return just the object
+			this[num];
+	},
+	
+	/**
+	 * Set the jQuery object to an array of elements, while maintaining
+	 * the stack.
+	 *
+	 * @example $("img").pushStack([ document.body ]);
+	 * @result $("img").pushStack() == [ document.body ]
+	 *
+	 * @private
+	 * @name pushStack
+	 * @type jQuery
+	 * @param Elements elems An array of elements
+	 * @cat Core
+	 */
+	pushStack: function( a ) {
+		var ret = jQuery(a);
+		ret.prevObject = this;
+		return ret;
+	},
+	
+	/**
+	 * Set the jQuery object to an array of elements. This operation is
+	 * completely destructive - be sure to use .pushStack() if you wish to maintain
+	 * the jQuery stack.
+	 *
+	 * @example $("img").setArray([ document.body ]);
+	 * @result $("img").setArray() == [ document.body ]
+	 *
+	 * @private
+	 * @name setArray
+	 * @type jQuery
+	 * @param Elements elems An array of elements
+	 * @cat Core
+	 */
+	setArray: function( a ) {
+		this.length = 0;
+		Array.prototype.push.apply( this, a );
+		return this;
+	},
+
+	/**
+	 * Execute a function within the context of every matched element.
+	 * This means that every time the passed-in function is executed
+	 * (which is once for every element matched) the 'this' keyword
+	 * points to the specific DOM element.
+	 *
+	 * Additionally, the function, when executed, is passed a single
+	 * argument representing the position of the element in the matched
+	 * set (integer, zero-index).
+	 *
+	 * @example $("img").each(function(i){
+	 *   this.src = "test" + i + ".jpg";
+	 * });
+	 * @before <img/><img/>
+	 * @result <img src="test0.jpg"/><img src="test1.jpg"/>
+	 * @desc Iterates over two images and sets their src property
+	 *
+	 * @name each
+	 * @type jQuery
+	 * @param Function fn A function to execute
+	 * @cat Core
+	 */
+	each: function( fn, args ) {
+		return jQuery.each( this, fn, args );
+	},
+
+	/**
+	 * Searches every matched element for the object and returns
+	 * the index of the element, if found, starting with zero. 
+	 * Returns -1 if the object wasn't found.
+	 *
+	 * @example $("*").index( $('#foobar')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result 0
+	 * @desc Returns the index for the element with ID foobar
+	 *
+	 * @example $("*").index( $('#foo')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result 2
+	 * @desc Returns the index for the element with ID foo within another element
+	 *
+	 * @example $("*").index( $('#bar')[0] ) 
+	 * @before <div id="foobar"><b></b><span id="foo"></span></div>
+	 * @result -1
+	 * @desc Returns -1, as there is no element with ID bar
+	 *
+	 * @name index
+	 * @type Number
+	 * @param Element subject Object to search for
+	 * @cat Core
+	 */
+	index: function( obj ) {
+		var pos = -1;
+		this.each(function(i){
+			if ( this == obj ) pos = i;
+		});
+		return pos;
+	},
+
+	/**
+	 * Access a property on the first matched element.
+	 * This method makes it easy to retrieve a property value
+	 * from the first matched element.
+	 *
+	 * If the element does not have an attribute with such a
+ 	 * name, undefined is returned.
+	 *
+	 * @example $("img").attr("src");
+	 * @before <img src="test.jpg"/>
+	 * @result test.jpg
+	 * @desc Returns the src attribute from the first image in the document.
+	 *
+	 * @name attr
+	 * @type Object
+	 * @param String name The name of the property to access.
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set a key/value object as properties to all matched elements.
+	 *
+	 * This serves as the best way to set a large number of properties
+	 * on all matched elements.
+	 *
+	 * @example $("img").attr({ src: "test.jpg", alt: "Test Image" });
+	 * @before <img/>
+	 * @result <img src="test.jpg" alt="Test Image"/>
+	 * @desc Sets src and alt attributes to all images.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param Map properties Key/value pairs to set as object properties.
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set a single property to a value, on all matched elements.
+	 *
+	 * Note that you can't set the name property of input elements in IE.
+	 * Use $(html) or .append(html) or .html(html) to create elements
+	 * on the fly including the name property.
+	 *
+	 * @example $("img").attr("src","test.jpg");
+	 * @before <img/>
+	 * @result <img src="test.jpg"/>
+	 * @desc Sets src attribute to all images.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param Object value The value to set the property to.
+	 * @cat DOM/Attributes
+	 */
+	 
+	/**
+	 * Set a single property to a computed value, on all matched elements.
+	 *
+	 * Instead of supplying a string value as described
+	 * [[DOM/Attributes#attr.28_key.2C_value_.29|above]],
+	 * a function is provided that computes the value.
+	 *
+	 * @example $("img").attr("title", function() { return this.src });
+	 * @before <img src="test.jpg" />
+	 * @result <img src="test.jpg" title="test.jpg" />
+	 * @desc Sets title attribute from src attribute.
+	 *
+	 * @example $("img").attr("title", function(index) { return this.title + (i + 1); });
+	 * @before <img title="pic" /><img title="pic" /><img title="pic" />
+	 * @result <img title="pic1" /><img title="pic2" /><img title="pic3" />
+	 * @desc Enumerate title attribute.
+	 *
+	 * @name attr
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param Function value A function returning the value to set.
+	 * 	 	  Scope: Current element, argument: Index of current element
+	 * @cat DOM/Attributes
+	 */
+	attr: function( key, value, type ) {
+		var obj = key;
+		
+		// Look for the case where we're accessing a style value
+		if ( key.constructor == String )
+			if ( value == undefined )
+				return this.length && jQuery[ type || "attr" ]( this[0], key ) || undefined;
+			else {
+				obj = {};
+				obj[ key ] = value;
+			}
+		
+		// Check to see if we're setting style values
+		return this.each(function(index){
+			// Set all the styles
+			for ( var prop in obj )
+				jQuery.attr(
+					type ? this.style : this,
+					prop, jQuery.prop(this, obj[prop], type, index, prop)
+				);
+		});
+	},
+
+	/**
+	 * Access a style property on the first matched element.
+	 * This method makes it easy to retrieve a style property value
+	 * from the first matched element.
+	 *
+	 * @example $("p").css("color");
+	 * @before <p style="color:red;">Test Paragraph.</p>
+	 * @result "red"
+	 * @desc Retrieves the color style of the first paragraph
+	 *
+	 * @example $("p").css("font-weight");
+	 * @before <p style="font-weight: bold;">Test Paragraph.</p>
+	 * @result "bold"
+	 * @desc Retrieves the font-weight style of the first paragraph.
+	 *
+	 * @name css
+	 * @type String
+	 * @param String name The name of the property to access.
+	 * @cat CSS
+	 */
+
+	/**
+	 * Set a key/value object as style properties to all matched elements.
+	 *
+	 * This serves as the best way to set a large number of style properties
+	 * on all matched elements.
+	 *
+	 * @example $("p").css({ color: "red", background: "blue" });
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="color:red; background:blue;">Test Paragraph.</p>
+	 * @desc Sets color and background styles to all p elements.
+	 *
+	 * @name css
+	 * @type jQuery
+	 * @param Map properties Key/value pairs to set as style properties.
+	 * @cat CSS
+	 */
+
+	/**
+	 * Set a single style property to a value, on all matched elements.
+	 * If a number is provided, it is automatically converted into a pixel value.
+	 *
+	 * @example $("p").css("color","red");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="color:red;">Test Paragraph.</p>
+	 * @desc Changes the color of all paragraphs to red
+	 *
+	 * @example $("p").css("left",30);
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p style="left:30px;">Test Paragraph.</p>
+	 * @desc Changes the left of all paragraphs to "30px"
+	 *
+	 * @name css
+	 * @type jQuery
+	 * @param String key The name of the property to set.
+	 * @param String|Number value The value to set the property to.
+	 * @cat CSS
+	 */
+	css: function( key, value ) {
+		return this.attr( key, value, "curCSS" );
+	},
+
+	/**
+	 * Get the text contents of all matched elements. The result is
+	 * a string that contains the combined text contents of all matched
+	 * elements. This method works on both HTML and XML documents.
+	 *
+	 * @example $("p").text();
+	 * @before <p><b>Test</b> Paragraph.</p><p>Paraparagraph</p>
+	 * @result Test Paragraph.Paraparagraph
+	 * @desc Gets the concatenated text of all paragraphs
+	 *
+	 * @name text
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+
+	/**
+	 * Set the text contents of all matched elements.
+	 *
+	 * Similar to html(), but escapes HTML (replace "<" and ">" with their
+	 * HTML entities).
+	 *
+	 * @example $("p").text("<b>Some</b> new text.");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p>&lt;b&gt;Some&lt;/b&gt; new text.</p>
+	 * @desc Sets the text of all paragraphs.
+	 *
+	 * @example $("p").text("<b>Some</b> new text.", true);
+	 * @before <p>Test Paragraph.</p>
+	 * @result <p>Some new text.</p>
+	 * @desc Sets the text of all paragraphs.
+	 *
+	 * @name text
+	 * @type String
+	 * @param String val The text value to set the contents of the element to.
+	 * @cat DOM/Attributes
+	 */
+	text: function(e) {
+		if ( typeof e != "object" && e != null )
+			return this.empty().append( document.createTextNode( e ) );
+
+		var t = "";
+		jQuery.each( e || this, function(){
+			jQuery.each( this.childNodes, function(){
+				if ( this.nodeType != 8 )
+					t += this.nodeType != 1 ?
+						this.nodeValue : jQuery.fn.text([ this ]);
+			});
+		});
+		return t;
+	},
+
+	/**
+	 * Wrap all matched elements with a structure of other elements.
+	 * This wrapping process is most useful for injecting additional
+	 * stucture into a document, without ruining the original semantic
+	 * qualities of a document.
+	 *
+	 * This works by going through the first element
+	 * provided (which is generated, on the fly, from the provided HTML)
+	 * and finds the deepest ancestor element within its
+	 * structure - it is that element that will en-wrap everything else.
+	 *
+	 * This does not work with elements that contain text. Any necessary text
+	 * must be added after the wrapping is done.
+	 *
+	 * @example $("p").wrap("<div class='wrap'></div>");
+	 * @before <p>Test Paragraph.</p>
+	 * @result <div class='wrap'><p>Test Paragraph.</p></div>
+	 * 
+	 * @name wrap
+	 * @type jQuery
+	 * @param String html A string of HTML, that will be created on the fly and wrapped around the target.
+	 * @cat DOM/Manipulation
+	 */
+
+	/**
+	 * Wrap all matched elements with a structure of other elements.
+	 * This wrapping process is most useful for injecting additional
+	 * stucture into a document, without ruining the original semantic
+	 * qualities of a document.
+	 *
+	 * This works by going through the first element
+	 * provided and finding the deepest ancestor element within its
+	 * structure - it is that element that will en-wrap everything else.
+	 *
+ 	 * This does not work with elements that contain text. Any necessary text
+	 * must be added after the wrapping is done.
+	 *
+	 * @example $("p").wrap( document.getElementById('content') );
+	 * @before <p>Test Paragraph.</p><div id="content"></div>
+	 * @result <div id="content"><p>Test Paragraph.</p></div>
+	 *
+	 * @name wrap
+	 * @type jQuery
+	 * @param Element elem A DOM element that will be wrapped around the target.
+	 * @cat DOM/Manipulation
+	 */
+	wrap: function() {
+		// The elements to wrap the target around
+		var a, args = arguments;
+
+		// Wrap each of the matched elements individually
+		return this.each(function(){
+			if ( !a )
+				a = jQuery.clean(args, this.ownerDocument);
+
+			// Clone the structure that we're using to wrap
+			var b = a[0].cloneNode(true);
+
+			// Insert it before the element to be wrapped
+			this.parentNode.insertBefore( b, this );
+
+			// Find the deepest point in the wrap structure
+			while ( b.firstChild )
+				b = b.firstChild;
+
+			// Move the matched element to within the wrap structure
+			b.appendChild( this );
+		});
+	},
+
+	/**
+	 * Append content to the inside of every matched element.
+	 *
+	 * This operation is similar to doing an appendChild to all the
+	 * specified elements, adding them into the document.
+	 *
+	 * @example $("p").append("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p>I would like to say: <b>Hello</b></p>
+	 * @desc Appends some HTML to all paragraphs.
+	 *
+	 * @example $("p").append( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <p>I would like to say: <b id="foo">Hello</b></p>
+	 * @desc Appends an Element to all paragraphs.
+	 *
+	 * @example $("p").append( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <p>I would like to say: <b>Hello</b></p>
+	 * @desc Appends a jQuery object (similar to an Array of DOM Elements) to all paragraphs.
+	 *
+	 * @name append
+	 * @type jQuery
+	 * @param <Content> content Content to append to the target
+	 * @cat DOM/Manipulation
+	 * @see prepend(<Content>)
+	 * @see before(<Content>)
+	 * @see after(<Content>)
+	 */
+	append: function() {
+		return this.domManip(arguments, true, 1, function(a){
+			this.appendChild( a );
+		});
+	},
+
+	/**
+	 * Prepend content to the inside of every matched element.
+	 *
+	 * This operation is the best way to insert elements
+	 * inside, at the beginning, of all matched elements.
+	 *
+	 * @example $("p").prepend("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p><b>Hello</b>I would like to say: </p>
+	 * @desc Prepends some HTML to all paragraphs.
+	 *
+	 * @example $("p").prepend( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <p><b id="foo">Hello</b>I would like to say: </p>
+	 * @desc Prepends an Element to all paragraphs.
+	 *	
+	 * @example $("p").prepend( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <p><b>Hello</b>I would like to say: </p>
+	 * @desc Prepends a jQuery object (similar to an Array of DOM Elements) to all paragraphs.
+	 *
+	 * @name prepend
+	 * @type jQuery
+	 * @param <Content> content Content to prepend to the target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see before(<Content>)
+	 * @see after(<Content>)
+	 */
+	prepend: function() {
+		return this.domManip(arguments, true, -1, function(a){
+			this.insertBefore( a, this.firstChild );
+		});
+	},
+	
+	/**
+	 * Insert content before each of the matched elements.
+	 *
+	 * @example $("p").before("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <b>Hello</b><p>I would like to say: </p>
+	 * @desc Inserts some HTML before all paragraphs.
+	 *
+	 * @example $("p").before( $("#foo")[0] );
+	 * @before <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @result <b id="foo">Hello</b><p>I would like to say: </p>
+	 * @desc Inserts an Element before all paragraphs.
+	 *
+	 * @example $("p").before( $("b") );
+	 * @before <p>I would like to say: </p><b>Hello</b>
+	 * @result <b>Hello</b><p>I would like to say: </p>
+	 * @desc Inserts a jQuery object (similar to an Array of DOM Elements) before all paragraphs.
+	 *
+	 * @name before
+	 * @type jQuery
+	 * @param <Content> content Content to insert before each target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see prepend(<Content>)
+	 * @see after(<Content>)
+	 */
+	before: function() {
+		return this.domManip(arguments, false, 1, function(a){
+			this.parentNode.insertBefore( a, this );
+		});
+	},
+
+	/**
+	 * Insert content after each of the matched elements.
+	 *
+	 * @example $("p").after("<b>Hello</b>");
+	 * @before <p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b>Hello</b>
+	 * @desc Inserts some HTML after all paragraphs.
+	 *
+	 * @example $("p").after( $("#foo")[0] );
+	 * @before <b id="foo">Hello</b><p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b id="foo">Hello</b>
+	 * @desc Inserts an Element after all paragraphs.
+	 *
+	 * @example $("p").after( $("b") );
+	 * @before <b>Hello</b><p>I would like to say: </p>
+	 * @result <p>I would like to say: </p><b>Hello</b>
+	 * @desc Inserts a jQuery object (similar to an Array of DOM Elements) after all paragraphs.
+	 *
+	 * @name after
+	 * @type jQuery
+	 * @param <Content> content Content to insert after each target.
+	 * @cat DOM/Manipulation
+	 * @see append(<Content>)
+	 * @see prepend(<Content>)
+	 * @see before(<Content>)
+	 */
+	after: function() {
+		return this.domManip(arguments, false, -1, function(a){
+			this.parentNode.insertBefore( a, this.nextSibling );
+		});
+	},
+
+	/**
+	 * Revert the most recent 'destructive' operation, changing the set of matched elements
+	 * to its previous state (right before the destructive operation).
+	 *
+	 * If there was no destructive operation before, an empty set is returned.
+	 *
+	 * A 'destructive' operation is any operation that changes the set of
+	 * matched jQuery elements. These functions are: <code>add</code>,
+	 * <code>children</code>, <code>clone</code>, <code>filter</code>,
+	 * <code>find</code>, <code>not</code>, <code>next</code>,
+	 * <code>parent</code>, <code>parents</code>, <code>prev</code> and <code>siblings</code>.
+	 *
+	 * @example $("p").find("span").end();
+	 * @before <p><span>Hello</span>, how are you?</p>
+	 * @result [ <p>...</p> ]
+	 * @desc Selects all paragraphs, finds span elements inside these, and reverts the
+	 * selection back to the paragraphs.
+	 *
+	 * @name end
+	 * @type jQuery
+	 * @cat DOM/Traversing
+	 */
+	end: function() {
+		return this.prevObject || jQuery([]);
+	},
+
+	/**
+	 * Searches for all elements that match the specified expression.
+	 * 
+	 * This method is a good way to find additional descendant
+	 * elements with which to process.
+	 *
+	 * All searching is done using a jQuery expression. The expression can be
+	 * written using CSS 1-3 Selector syntax, or basic XPath.
+	 *
+	 * @example $("p").find("span");
+	 * @before <p><span>Hello</span>, how are you?</p>
+	 * @result [ <span>Hello</span> ]
+	 * @desc Starts with all paragraphs and searches for descendant span
+	 * elements, same as $("p span")
+	 *
+	 * @name find
+	 * @type jQuery
+	 * @param String expr An expression to search with.
+	 * @cat DOM/Traversing
+	 */
+	find: function(t) {
+		var data = jQuery.map(this, function(a){ return jQuery.find(t,a); });
+		return this.pushStack( /[^+>] [^+>]/.test( t ) || t.indexOf("..") > -1 ?
+			jQuery.unique( data ) : data );
+	},
+
+	/**
+	 * Clone matched DOM Elements and select the clones. 
+	 *
+	 * This is useful for moving copies of the elements to another
+	 * location in the DOM.
+	 *
+	 * @example $("b").clone().prependTo("p");
+	 * @before <b>Hello</b><p>, how are you?</p>
+	 * @result <b>Hello</b><p><b>Hello</b>, how are you?</p>
+	 * @desc Clones all b elements (and selects the clones) and prepends them to all paragraphs.
+	 *
+	 * @name clone
+	 * @type jQuery
+	 * @param Boolean deep (Optional) Set to false if you don't want to clone all descendant nodes, in addition to the element itself.
+	 * @cat DOM/Manipulation
+	 */
+	clone: function(deep) {
+		deep = deep != undefined ? deep : true;
+		var $this = this.add(this.find("*"));
+		if (jQuery.browser.msie) {
+			// Need to remove events on the element and its descendants
+			$this.each(function() {
+				this._$events = {};
+				for (var type in this.$events)
+					this._$events[type] = jQuery.extend({},this.$events[type]);
+			}).unbind();
+		}
+
+		// Do the clone
+		var r = this.pushStack( jQuery.map( this, function(a){
+			return a.cloneNode( deep );
+		}) );
+
+		if (jQuery.browser.msie) {
+			$this.each(function() {
+				// Add the events back to the original and its descendants
+				var events = this._$events;
+				for (var type in events)
+					for (var handler in events[type])
+						jQuery.event.add(this, type, events[type][handler], events[type][handler].data);
+				this._$events = null;
+			});
+		}
+
+		// copy form values over
+		if (deep) {
+			var inputs = r.add(r.find('*')).filter('select,input[@type=checkbox]');
+			$this.filter('select,input[@type=checkbox]').each(function(i) {
+				if (this.selectedIndex)
+					inputs[i].selectedIndex = this.selectedIndex;
+				if (this.checked)
+					inputs[i].checked = true;
+			});
+		}
+
+		// Return the cloned set
+		return r;
+	},
+
+	/**
+	 * Removes all elements from the set of matched elements that do not
+	 * match the specified expression(s). This method is used to narrow down
+	 * the results of a search.
+	 *
+	 * Provide a comma-separated list of expressions to apply multiple filters at once.
+	 *
+	 * @example $("p").filter(".selected")
+	 * @before <p class="selected">Hello</p><p>How are you?</p>
+	 * @result [ <p class="selected">Hello</p> ]
+	 * @desc Selects all paragraphs and removes those without a class "selected".
+	 *
+	 * @example $("p").filter(".selected, :first")
+	 * @before <p>Hello</p><p>Hello Again</p><p class="selected">And Again</p>
+	 * @result [ <p>Hello</p>, <p class="selected">And Again</p> ]
+	 * @desc Selects all paragraphs and removes those without class "selected" and being the first one.
+	 *
+	 * @name filter
+	 * @type jQuery
+	 * @param String expression Expression(s) to search with.
+	 * @cat DOM/Traversing
+	 */
+	 
+	/**
+	 * Removes all elements from the set of matched elements that do not
+	 * pass the specified filter. This method is used to narrow down
+	 * the results of a search.
+	 *
+	 * @example $("p").filter(function(index) {
+	 *   return $("ol", this).length == 0;
+	 * })
+	 * @before <p><ol><li>Hello</li></ol></p><p>How are you?</p>
+	 * @result [ <p>How are you?</p> ]
+	 * @desc Remove all elements that have a child ol element
+	 *
+	 * @name filter
+	 * @type jQuery
+	 * @param Function filter A function to use for filtering
+	 * @cat DOM/Traversing
+	 */
+	filter: function(t) {
+		return this.pushStack(
+			jQuery.isFunction( t ) &&
+			jQuery.grep(this, function(el, index){
+				return t.apply(el, [index]);
+			}) ||
+
+			jQuery.multiFilter(t,this) );
+	},
+
+	/**
+	 * Removes the specified Element from the set of matched elements. This
+	 * method is used to remove a single Element from a jQuery object.
+	 *
+	 * @example $("p").not( $("#selected")[0] )
+	 * @before <p>Hello</p><p id="selected">Hello Again</p>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes the element with the ID "selected" from the set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param Element el An element to remove from the set
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Removes elements matching the specified expression from the set
+	 * of matched elements. This method is used to remove one or more
+	 * elements from a jQuery object.
+	 *
+	 * @example $("p").not("#selected")
+	 * @before <p>Hello</p><p id="selected">Hello Again</p>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes the element with the ID "selected" from the set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param String expr An expression with which to remove matching elements
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Removes any elements inside the array of elements from the set
+	 * of matched elements. This method is used to remove one or more
+	 * elements from a jQuery object.
+	 *
+	 * Please note: the expression cannot use a reference to the
+	 * element name. See the two examples below.
+	 *
+	 * @example $("p").not( $("div p.selected") )
+	 * @before <div><p>Hello</p><p class="selected">Hello Again</p></div>
+	 * @result [ <p>Hello</p> ]
+	 * @desc Removes all elements that match "div p.selected" from the total set of all paragraphs.
+	 *
+	 * @name not
+	 * @type jQuery
+	 * @param jQuery elems A set of elements to remove from the jQuery set of matched elements.
+	 * @cat DOM/Traversing
+	 */
+	not: function(t) {
+		return this.pushStack(
+			t.constructor == String &&
+			jQuery.multiFilter(t, this, true) ||
+
+			jQuery.grep(this, function(a) {
+				return ( t.constructor == Array || t.jquery )
+					? jQuery.inArray( a, t ) < 0
+					: a != t;
+			})
+		);
+	},
+
+	/**
+	 * Adds more elements, matched by the given expression,
+	 * to the set of matched elements.
+	 *
+	 * @example $("p").add("span")
+	 * @before (HTML) <p>Hello</p><span>Hello Again</span>
+	 * @result (jQuery object matching 2 elements) [ <p>Hello</p>, <span>Hello Again</span> ]
+	 * @desc Compare the above result to the result of <code>$('p')</code>,
+	 * which would just result in <code><nowiki>[ <p>Hello</p> ]</nowiki></code>.
+	 * Using add(), matched elements of <code>$('span')</code> are simply
+	 * added to the returned jQuery-object.
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param String expr An expression whose matched elements are added
+	 * @cat DOM/Traversing
+	 */
+	 
+	/**
+	 * Adds more elements, created on the fly, to the set of
+	 * matched elements.
+	 *
+	 * @example $("p").add("<span>Again</span>")
+	 * @before <p>Hello</p>
+	 * @result [ <p>Hello</p>, <span>Again</span> ]
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param String html A string of HTML to create on the fly.
+	 * @cat DOM/Traversing
+	 */
+
+	/**
+	 * Adds one or more Elements to the set of matched elements.
+	 *
+	 * @example $("p").add( document.getElementById("a") )
+	 * @before <p>Hello</p><p><span id="a">Hello Again</span></p>
+	 * @result [ <p>Hello</p>, <span id="a">Hello Again</span> ]
+	 *
+	 * @example $("p").add( document.forms[0].elements )
+	 * @before <p>Hello</p><p><form><input/><button/></form>
+	 * @result [ <p>Hello</p>, <input/>, <button/> ]
+	 *
+	 * @name add
+	 * @type jQuery
+	 * @param Element|Array<Element> elements One or more Elements to add
+	 * @cat DOM/Traversing
+	 */
+	add: function(t) {
+		return this.pushStack( jQuery.merge(
+			this.get(),
+			t.constructor == String ?
+				jQuery(t).get() :
+				t.length != undefined && (!t.nodeName || t.nodeName == "FORM") ?
+					t : [t] )
+		);
+	},
+
+	/**
+	 * Checks the current selection against an expression and returns true,
+	 * if at least one element of the selection fits the given expression.
+	 *
+	 * Does return false, if no element fits or the expression is not valid.
+	 *
+	 * filter(String) is used internally, therefore all rules that apply there
+	 * apply here, too.
+	 *
+	 * @example $("input[@type='checkbox']").parent().is("form")
+	 * @before <form><input type="checkbox" /></form>
+	 * @result true
+	 * @desc Returns true, because the parent of the input is a form element
+	 * 
+	 * @example $("input[@type='checkbox']").parent().is("form")
+	 * @before <form><p><input type="checkbox" /></p></form>
+	 * @result false
+	 * @desc Returns false, because the parent of the input is a p element
+	 *
+	 * @name is
+	 * @type Boolean
+	 * @param String expr The expression with which to filter
+	 * @cat DOM/Traversing
+	 */
+	is: function(expr) {
+		return expr ? jQuery.multiFilter(expr,this).length > 0 : false;
+	},
+	
+	/**
+	 * Get the content of the value attribute of the first matched element.
+	 *
+	 * Use caution when relying on this function to check the value of
+	 * multiple-select elements and checkboxes in a form. While it will
+	 * still work as intended, it may not accurately represent the value
+	 * the server will receive because these elements may send an array
+	 * of values. For more robust handling of field values, see the
+	 * [http://www.malsup.com/jquery/form/#fields fieldValue function of the Form Plugin].
+	 *
+	 * @example $("input").val();
+	 * @before <input type="text" value="some text"/>
+	 * @result "some text"
+	 *
+	 * @name val
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+	
+	/**
+	 * 	Set the value attribute of every matched element.
+	 *
+	 * @example $("input").val("test");
+	 * @before <input type="text" value="some text"/>
+	 * @result <input type="text" value="test"/>
+	 *
+	 * @name val
+	 * @type jQuery
+	 * @param String val Set the property to the specified value.
+	 * @cat DOM/Attributes
+	 */
+	val: function( val ) {
+		return val == undefined ?
+			( this.length ? this[0].value : null ) :
+			this.attr( "value", val );
+	},
+	
+	/**
+	 * Get the html contents of the first matched element.
+	 * This property is not available on XML documents.
+	 *
+	 * @example $("div").html();
+	 * @before <div><input/></div>
+	 * @result <input/>
+	 *
+	 * @name html
+	 * @type String
+	 * @cat DOM/Attributes
+	 */
+	
+	/**
+	 * Set the html contents of every matched element.
+	 * This property is not available on XML documents.
+	 *
+	 * @example $("div").html("<b>new stuff</b>");
+	 * @before <div><input/></div>
+	 * @result <div><b>new stuff</b></div>
+	 *
+	 * @name html
+	 * @type jQuery
+	 * @param String val Set the html contents to the specified value.
+	 * @cat DOM/Attributes
+	 */
+	html: function( val ) {
+		return val == undefined ?
+			( this.length ? this[0].innerHTML : null ) :
+			this.empty().append( val );
+	},
+
+	slice: function() {
+		return this.pushStack( Array.prototype.slice.apply( this, arguments ) );
+	},
+	
+	/**
+	 * @private
+	 * @name domManip
+	 * @param Array args
+	 * @param Boolean table Insert TBODY in TABLEs if one is not found.
+	 * @param Number dir If dir<0, process args in reverse order.
+	 * @param Function fn The function doing the DOM manipulation.
+	 * @type jQuery
+	 * @cat Core
+	 */
+	domManip: function(args, table, dir, fn){
+		var clone = this.length > 1, a; 
+
+		return this.each(function(){
+			if ( !a ) {
+				a = jQuery.clean(args, this.ownerDocument);
+				if ( dir < 0 )
+					a.reverse();
+			}
+
+			var obj = this;
+
+			if ( table && jQuery.nodeName(this, "table") && jQuery.nodeName(a[0], "tr") )
+				obj = this.getElementsByTagName("tbody")[0] || this.appendChild(document.createElement("tbody"));
+
+			jQuery.each( a, function(){
+				if ( jQuery.nodeName(this, "script") ) {
+					if ( this.src )
+						jQuery.ajax({ url: this.src, async: false, dataType: "script" });
+					else
+						jQuery.globalEval( this.text || this.textContent || this.innerHTML || "" );
+				} else
+					fn.apply( obj, [ clone ? this.cloneNode(true) : this ] );
+			});
+		});
+	}
+};
+
+/**
+ * Extends the jQuery object itself. Can be used to add functions into
+ * the jQuery namespace and to [[Plugins/Authoring|add plugin methods]] (plugins).
+ * 
+ * @example jQuery.fn.extend({
+ *   check: function() {
+ *     return this.each(function() { this.checked = true; });
+ *   },
+ *   uncheck: function() {
+ *     return this.each(function() { this.checked = false; });
+ *   }
+ * });
+ * $("input[@type=checkbox]").check();
+ * $("input[@type=radio]").uncheck();
+ * @desc Adds two plugin methods.
+ *
+ * @example jQuery.extend({
+ *   min: function(a, b) { return a < b ? a : b; },
+ *   max: function(a, b) { return a > b ? a : b; }
+ * });
+ * @desc Adds two functions into the jQuery namespace
+ *
+ * @name $.extend
+ * @param Object prop The object that will be merged into the jQuery object
+ * @type Object
+ * @cat Core
+ */
+
+/**
+ * Extend one object with one or more others, returning the original,
+ * modified, object. This is a great utility for simple inheritance.
+ * 
+ * @example var settings = { validate: false, limit: 5, name: "foo" };
+ * var options = { validate: true, name: "bar" };
+ * jQuery.extend(settings, options);
+ * @result settings == { validate: true, limit: 5, name: "bar" }
+ * @desc Merge settings and options, modifying settings
+ *
+ * @example var defaults = { validate: false, limit: 5, name: "foo" };
+ * var options = { validate: true, name: "bar" };
+ * var settings = jQuery.extend({}, defaults, options);
+ * @result settings == { validate: true, limit: 5, name: "bar" }
+ * @desc Merge defaults and options, without modifying the defaults
+ *
+ * @name $.extend
+ * @param Object target The object to extend
+ * @param Object prop1 The object that will be merged into the first.
+ * @param Object propN (optional) More objects to merge into the first
+ * @type Object
+ * @cat JavaScript
+ */
+jQuery.extend = jQuery.fn.extend = function() {
+	// copy reference to target object
+	var target = arguments[0] || {}, a = 1, al = arguments.length, deep = false;
+
+	// Handle a deep copy situation
+	if ( target.constructor == Boolean ) {
+		deep = target;
+		target = arguments[1] || {};
+	}
+
+	// extend jQuery itself if only one argument is passed
+	if ( al == 1 ) {
+		target = this;
+		a = 0;
+	}
+
+	var prop;
+
+	for ( ; a < al; a++ )
+		// Only deal with non-null/undefined values
+		if ( (prop = arguments[a]) != null )
+			// Extend the base object
+			for ( var i in prop ) {
+				// Prevent never-ending loop
+				if ( target == prop[i] )
+					continue;
+
+				// Recurse if we're merging object values
+				if ( deep && typeof prop[i] == 'object' && target[i] )
+					jQuery.extend( target[i], prop[i] );
+
+				// Don't bring in undefined values
+				else if ( prop[i] != undefined )
+					target[i] = prop[i];
+			}
+
+	// Return the modified object
+	return target;
+};
+
+jQuery.extend({
+	/**
+	 * Run this function to give control of the $ variable back
+	 * to whichever library first implemented it. This helps to make 
+	 * sure that jQuery doesn't conflict with the $ object
+	 * of other libraries.
+	 *
+	 * By using this function, you will only be able to access jQuery
+	 * using the 'jQuery' variable. For example, where you used to do
+	 * $("div p"), you now must do jQuery("div p").
+	 *
+	 * @example jQuery.noConflict();
+	 * // Do something with jQuery
+	 * jQuery("div p").hide();
+	 * // Do something with another library's $()
+	 * $("content").style.display = 'none';
+	 * @desc Maps the original object that was referenced by $ back to $
+	 *
+	 * @example jQuery.noConflict();
+	 * (function($) { 
+	 *   $(function() {
+	 *     // more code using $ as alias to jQuery
+	 *   });
+	 * })(jQuery);
+	 * // other code using $ as an alias to the other library
+	 * @desc Reverts the $ alias and then creates and executes a
+	 * function to provide the $ as a jQuery alias inside the functions
+	 * scope. Inside the function the original $ object is not available.
+	 * This works well for most plugins that don't rely on any other library.
+	 * 
+	 *
+	 * @name $.noConflict
+	 * @type undefined
+	 * @cat Core 
+	 */
+	noConflict: function(deep) {
+		window.$ = _$;
+		if ( deep )
+			window.jQuery = _jQuery;
+		return jQuery;
+	},
+
+	// This may seem like some crazy code, but trust me when I say that this
+	// is the only cross-browser way to do this. --John
+	isFunction: function( fn ) {
+		return !!fn && typeof fn != "string" && !fn.nodeName && 
+			fn.constructor != Array && /function/i.test( fn + "" );
+	},
+	
+	// check if an element is in a XML document
+	isXMLDoc: function(elem) {
+		return elem.documentElement && !elem.body ||
+			elem.tagName && elem.ownerDocument && !elem.ownerDocument.body;
+	},
+
+	// Evalulates a script in a global context
+	// Evaluates Async. in Safari 2 :-(
+	globalEval: function( data ) {
+		data = jQuery.trim( data );
+		if ( data ) {
+			if ( window.execScript )
+				window.execScript( data );
+			else if ( jQuery.browser.safari )
+				// safari doesn't provide a synchronous global eval
+				window.setTimeout( data, 0 );
+			else
+				eval.call( window, data );
+		}
+	},
+
+	nodeName: function( elem, name ) {
+		return elem.nodeName && elem.nodeName.toUpperCase() == name.toUpperCase();
+	},
+
+	/**
+	 * A generic iterator function, which can be used to seamlessly
+	 * iterate over both objects and arrays. This function is not the same
+	 * as $().each() - which is used to iterate, exclusively, over a jQuery
+	 * object. This function can be used to iterate over anything.
+	 *
+	 * The callback has two arguments:the key (objects) or index (arrays) as first
+	 * the first, and the value as the second.
+	 *
+	 * @example $.each( [0,1,2], function(i, n){
+	 *   alert( "Item #" + i + ": " + n );
+	 * });
+	 * @desc This is an example of iterating over the items in an array,
+	 * accessing both the current item and its index.
+	 *
+	 * @example $.each( { name: "John", lang: "JS" }, function(i, n){
+	 *   alert( "Name: " + i + ", Value: " + n );
+	 * });
+	 *
+	 * @desc This is an example of iterating over the properties in an
+	 * Object, accessing both the current item and its key.
+	 *
+	 * @name $.each
+	 * @param Object obj The object, or array, to iterate over.
+	 * @param Function fn The function that will be executed on every object.
+	 * @type Object
+	 * @cat JavaScript
+	 */
+	// args is for internal usage only
+	each: function( obj, fn, args ) {
+		if ( args ) {
+			if ( obj.length == undefined )
+				for ( var i in obj )
+					fn.apply( obj[i], args );
+			else
+				for ( var i = 0, ol = obj.length; i < ol; i++ )
+					if ( fn.apply( obj[i], args ) === false ) break;
+
+		// A special, fast, case for the most common use of each
+		} else {
+			if ( obj.length == undefined )
+				for ( var i in obj )
+					fn.call( obj[i], i, obj[i] );
+			else
+				for ( var i = 0, ol = obj.length, val = obj[0]; 
+					i < ol && fn.call(val,i,val) !== false; val = obj[++i] ){}
+		}
+
+		return obj;
+	},
+	
+	prop: function(elem, value, type, index, prop){
+			// Handle executable functions
+			if ( jQuery.isFunction( value ) )
+				value = value.call( elem, [index] );
+				
+			// exclude the following css properties to add px
+			var exclude = /z-?index|font-?weight|opacity|zoom|line-?height/i;
+
+			// Handle passing in a number to a CSS property
+			return value && value.constructor == Number && type == "curCSS" && !exclude.test(prop) ?
+				value + "px" :
+				value;
+	},
+
+	className: {
+		// internal only, use addClass("class")
+		add: function( elem, c ){
+			jQuery.each( (c || "").split(/\s+/), function(i, cur){
+				if ( !jQuery.className.has( elem.className, cur ) )
+					elem.className += ( elem.className ? " " : "" ) + cur;
+			});
+		},
+
+		// internal only, use removeClass("class")
+		remove: function( elem, c ){
+			elem.className = c != undefined ?
+				jQuery.grep( elem.className.split(/\s+/), function(cur){
+					return !jQuery.className.has( c, cur );	
+				}).join(" ") : "";
+		},
+
+		// internal only, use is(".class")
+		has: function( t, c ) {
+			return jQuery.inArray( c, (t.className || t).toString().split(/\s+/) ) > -1;
+		}
+	},
+
+	/**
+	 * Swap in/out style options.
+	 * @private
+	 */
+	swap: function(e,o,f) {
+		for ( var i in o ) {
+			e.style["old"+i] = e.style[i];
+			e.style[i] = o[i];
+		}
+		f.apply( e, [] );
+		for ( var i in o )
+			e.style[i] = e.style["old"+i];
+	},
+
+	css: function(e,p) {
+		if ( p == "height" || p == "width" ) {
+			var old = {}, oHeight, oWidth, d = ["Top","Bottom","Right","Left"];
+
+			jQuery.each( d, function(){
+				old["padding" + this] = 0;
+				old["border" + this + "Width"] = 0;
+			});
+
+			jQuery.swap( e, old, function() {
+				if ( jQuery(e).is(':visible') ) {
+					oHeight = e.offsetHeight;
+					oWidth = e.offsetWidth;
+				} else {
+					e = jQuery(e.cloneNode(true))
+						.find(":radio").removeAttr("checked").end()
+						.css({
+							visibility: "hidden", position: "absolute", display: "block", right: "0", left: "0"
+						}).appendTo(e.parentNode)[0];
+
+					var parPos = jQuery.css(e.parentNode,"position") || "static";
+					if ( parPos == "static" )
+						e.parentNode.style.position = "relative";
+
+					oHeight = e.clientHeight;
+					oWidth = e.clientWidth;
+
+					if ( parPos == "static" )
+						e.parentNode.style.position = "static";
+
+					e.parentNode.removeChild(e);
+				}
+			});
+
+			return p == "height" ? oHeight : oWidth;
+		}
+
+		return jQuery.curCSS( e, p );
+	},
+
+	curCSS: function(elem, prop, force) {
+		var ret, stack = [], swap = [];
+
+		// A helper method for determining if an element's values are broken
+		function color(a){
+			if ( !jQuery.browser.safari )
+				return false;
+
+			var ret = document.defaultView.getComputedStyle(a,null);
+			return !ret || ret.getPropertyValue("color") == "";
+		}
+
+		if (prop == "opacity" && jQuery.browser.msie) {
+			ret = jQuery.attr(elem.style, "opacity");
+			return ret == "" ? "1" : ret;
+		}
+		
+		if (prop.match(/float/i))
+			prop = styleFloat;
+
+		if (!force && elem.style[prop])
+			ret = elem.style[prop];
+
+		else if (document.defaultView && document.defaultView.getComputedStyle) {
+
+			if (prop.match(/float/i))
+				prop = "float";
+
+			prop = prop.replace(/([A-Z])/g,"-$1").toLowerCase();
+			var cur = document.defaultView.getComputedStyle(elem, null);
+
+			if ( cur && !color(elem) )
+				ret = cur.getPropertyValue(prop);
+
+			// If the element isn't reporting its values properly in Safari
+			// then some display: none elements are involved
+			else {
+				// Locate all of the parent display: none elements
+				for ( var a = elem; a && color(a); a = a.parentNode )
+					stack.unshift(a);
+
+				// Go through and make them visible, but in reverse
+				// (It would be better if we knew the exact display type that they had)
+				for ( a = 0; a < stack.length; a++ )
+					if ( color(stack[a]) ) {
+						swap[a] = stack[a].style.display;
+						stack[a].style.display = "block";
+					}
+
+				// Since we flip the display style, we have to handle that
+				// one special, otherwise get the value
+				ret = prop == "display" && swap[stack.length-1] != null ?
+					"none" :
+					document.defaultView.getComputedStyle(elem,null).getPropertyValue(prop) || "";
+
+				// Finally, revert the display styles back
+				for ( a = 0; a < swap.length; a++ )
+					if ( swap[a] != null )
+						stack[a].style.display = swap[a];
+			}
+
+			if ( prop == "opacity" && ret == "" )
+				ret = "1";
+
+		} else if (elem.currentStyle) {
+			var newProp = prop.replace(/\-(\w)/g,function(m,c){return c.toUpperCase();});
+			ret = elem.currentStyle[prop] || elem.currentStyle[newProp];
+		}
+
+		return ret;
+	},
+	
+	clean: function(a, doc) {
+		var r = [];
+		doc = doc || document;
+
+		jQuery.each( a, function(i,arg){
+			if ( !arg ) return;
+
+			if ( arg.constructor == Number )
+				arg = arg.toString();
+			
+			// Convert html string into DOM nodes
+			if ( typeof arg == "string" ) {
+				// Trim whitespace, otherwise indexOf won't work as expected
+				var s = jQuery.trim(arg).toLowerCase(), div = doc.createElement("div"), tb = [];
+
+				var wrap =
+					// option or optgroup
+					!s.indexOf("<opt") &&
+					[1, "<select>", "</select>"] ||
+					
+					!s.indexOf("<leg") &&
+					[1, "<fieldset>", "</fieldset>"] ||
+					
+					s.match(/^<(thead|tbody|tfoot|colg|cap)/) &&
+					[1, "<table>", "</table>"] ||
+					
+					!s.indexOf("<tr") &&
+					[2, "<table><tbody>", "</tbody></table>"] ||
+					
+				 	// <thead> matched above
+					(!s.indexOf("<td") || !s.indexOf("<th")) &&
+					[3, "<table><tbody><tr>", "</tr></tbody></table>"] ||
+					
+					!s.indexOf("<col") &&
+					[2, "<table><tbody></tbody><colgroup>", "</colgroup></table>"] ||
+
+					// IE can't serialize <link> and <script> tags normally
+					jQuery.browser.msie &&
+					[1, "div<div>", "</div>"] ||
+					
+					[0,"",""];
+
+				// Go to html and back, then peel off extra wrappers
+				div.innerHTML = wrap[1] + arg + wrap[2];
+				
+				// Move to the right depth
+				while ( wrap[0]-- )
+					div = div.lastChild;
+				
+				// Remove IE's autoinserted <tbody> from table fragments
+				if ( jQuery.browser.msie ) {
+					
+					// String was a <table>, *may* have spurious <tbody>
+					if ( !s.indexOf("<table") && s.indexOf("<tbody") < 0 ) 
+						tb = div.firstChild && div.firstChild.childNodes;
+						
+					// String was a bare <thead> or <tfoot>
+					else if ( wrap[1] == "<table>" && s.indexOf("<tbody") < 0 )
+						tb = div.childNodes;
+
+					for ( var n = tb.length-1; n >= 0 ; --n )
+						if ( jQuery.nodeName(tb[n], "tbody") && !tb[n].childNodes.length )
+							tb[n].parentNode.removeChild(tb[n]);
+	
+					// IE completely kills leading whitespace when innerHTML is used	
+					if ( /^\s/.test(arg) )	
+						div.insertBefore( doc.createTextNode( arg.match(/^\s*/)[0] ), div.firstChild );
+
+				}
+				
+				arg = jQuery.makeArray( div.childNodes );
+			}
+
+			if ( 0 === arg.length && (!jQuery.nodeName(arg, "form") && !jQuery.nodeName(arg, "select")) )
+				return;
+
+			if ( arg[0] == undefined || jQuery.nodeName(arg, "form") || arg.options )
+				r.push( arg );
+			else
+				r = jQuery.merge( r, arg );
+
+		});
+
+		return r;
+	},
+	
+	attr: function(elem, name, value){
+		var fix = jQuery.isXMLDoc(elem) ? {} : jQuery.props;
+
+		// Safari mis-reports the default selected property of a hidden option
+		// Accessing the parent's selectedIndex property fixes it
+		if ( name == "selected" && jQuery.browser.safari )
+			elem.parentNode.selectedIndex;
+		
+		// Certain attributes only work when accessed via the old DOM 0 way
+		if ( fix[name] ) {
+			if ( value != undefined ) elem[fix[name]] = value;
+			return elem[fix[name]];
+		} else if ( jQuery.browser.msie && name == "style" )
+			return jQuery.attr( elem.style, "cssText", value );
+
+		else if ( value == undefined && jQuery.browser.msie && jQuery.nodeName(elem, "form") && (name == "action" || name == "method") )
+			return elem.getAttributeNode(name).nodeValue;
+
+		// IE elem.getAttribute passes even for style
+		else if ( elem.tagName ) {
+
+			if ( value != undefined ) elem.setAttribute( name, value );
+			if ( jQuery.browser.msie && /href|src/.test(name) && !jQuery.isXMLDoc(elem) ) 
+				return elem.getAttribute( name, 2 );
+			return elem.getAttribute( name );
+
+		// elem is actually elem.style ... set the style
+		} else {
+			// IE actually uses filters for opacity
+			if ( name == "opacity" && jQuery.browser.msie ) {
+				if ( value != undefined ) {
+					// IE has trouble with opacity if it does not have layout
+					// Force it by setting the zoom level
+					elem.zoom = 1; 
+	
+					// Set the alpha filter to set the opacity
+					elem.filter = (elem.filter || "").replace(/alpha\([^)]*\)/,"") +
+						(parseFloat(value).toString() == "NaN" ? "" : "alpha(opacity=" + value * 100 + ")");
+				}
+	
+				return elem.filter ? 
+					(parseFloat( elem.filter.match(/opacity=([^)]*)/)[1] ) / 100).toString() : "";
+			}
+			name = name.replace(/-([a-z])/ig,function(z,b){return b.toUpperCase();});
+			if ( value != undefined ) elem[name] = value;
+			return elem[name];
+		}
+	},
+	
+	/**
+	 * Remove the whitespace from the beginning and end of a string.
+	 *
+	 * @example $.trim("  hello, how are you?  ");
+	 * @result "hello, how are you?"
+	 *
+	 * @name $.trim
+	 * @type String
+	 * @param String str The string to trim.
+	 * @cat JavaScript
+	 */
+	trim: function(t){
+		return (t||"").replace(/^\s+|\s+$/g, "");
+	},
+
+	makeArray: function( a ) {
+		var r = [];
+
+		// Need to use typeof to fight Safari childNodes crashes
+		if ( typeof a != "array" )
+			for ( var i = 0, al = a.length; i < al; i++ )
+				r.push( a[i] );
+		else
+			r = a.slice( 0 );
+
+		return r;
+	},
+
+	inArray: function( b, a ) {
+		for ( var i = 0, al = a.length; i < al; i++ )
+			if ( a[i] == b )
+				return i;
+		return -1;
+	},
+
+	/**
+	 * Merge two arrays together by concatenating them.
+	 *
+	 * @example $.merge( [0,1,2], [2,3,4] )
+	 * @result [0,1,2,2,3,4]
+	 * @desc Merges two arrays.
+	 *
+	 * @name $.merge
+	 * @type Array
+	 * @param Array first The first array to merge, the elements of second are added.
+	 * @param Array second The second array to append to the first, unaltered.
+	 * @cat JavaScript
+	 */
+	merge: function(first, second) {
+		// We have to loop this way because IE & Opera overwrite the length
+		// expando of getElementsByTagName
+
+		// Also, we need to make sure that the correct elements are being returned
+		// (IE returns comment nodes in a '*' query)
+		if ( jQuery.browser.msie ) {
+			for ( var i = 0; second[i]; i++ )
+				if ( second[i].nodeType != 8 )
+					first.push(second[i]);
+		} else
+			for ( var i = 0; second[i]; i++ )
+				first.push(second[i]);
+
+		return first;
+	},
+
+	/**
+	 * Reduce an array (of jQuery objects only) to its unique elements.
+	 *
+	 * @example $.unique( [x1, x2, x3, x2, x3] )
+	 * @result [x1, x2, x3]
+	 * @desc Reduces the arrays of jQuery objects to unique elements by removing the duplicates of x2 and x3
+	 *
+	 * @name $.unique
+	 * @type Array
+	 * @param Array array The array to reduce to its unique jQuery objects.
+	 * @cat JavaScript
+	 */
+	unique: function(first) {
+		var r = [], num = jQuery.mergeNum++;
+
+		try {
+			for ( var i = 0, fl = first.length; i < fl; i++ )
+				if ( num != first[i].mergeNum ) {
+					first[i].mergeNum = num;
+					r.push(first[i]);
+				}
+		} catch(e) {
+			r = first;
+		}
+
+		return r;
+	},
+
+	mergeNum: 0,
+
+	/**
+	 * Filter items out of an array, by using a filter function.
+	 *
+	 * The specified function will be passed two arguments: The
+	 * current array item and the index of the item in the array. The
+	 * function must return 'true' to keep the item in the array, 
+	 * false to remove it.
+	 *
+	 * @example $.grep( [0,1,2], function(i){
+	 *   return i > 0;
+	 * });
+	 * @result [1, 2]
+	 *
+	 * @name $.grep
+	 * @type Array
+	 * @param Array array The Array to find items in.
+	 * @param Function fn The function to process each item against.
+	 * @param Boolean inv Invert the selection - select the opposite of the function.
+	 * @cat JavaScript
+	 */
+	grep: function(elems, fn, inv) {
+		// If a string is passed in for the function, make a function
+		// for it (a handy shortcut)
+		if ( typeof fn == "string" )
+			fn = eval("false||function(a,i){return " + fn + "}");
+
+		var result = [];
+
+		// Go through the array, only saving the items
+		// that pass the validator function
+		for ( var i = 0, el = elems.length; i < el; i++ )
+			if ( !inv && fn(elems[i],i) || inv && !fn(elems[i],i) )
+				result.push( elems[i] );
+
+		return result;
+	},
+
+	/**
+	 * Translate all items in an array to another array of items.
+	 *
+	 * The translation function that is provided to this method is 
+	 * called for each item in the array and is passed one argument: 
+	 * The item to be translated.
+	 *
+	 * The function can then return the translated value, 'null'
+	 * (to remove the item), or  an array of values - which will
+	 * be flattened into the full array.
+	 *
+	 * @example $.map( [0,1,2], function(i){
+	 *   return i + 4;
+	 * });
+	 * @result [4, 5, 6]
+	 * @desc Maps the original array to a new one and adds 4 to each value.
+	 *
+	 * @example $.map( [0,1,2], function(i){
+	 *   return i > 0 ? i + 1 : null;
+	 * });
+	 * @result [2, 3]
+	 * @desc Maps the original array to a new one and adds 1 to each
+	 * value if it is bigger then zero, otherwise it's removed-
+	 * 
+	 * @example $.map( [0,1,2], function(i){
+	 *   return [ i, i + 1 ];
+	 * });
+	 * @result [0, 1, 1, 2, 2, 3]
+	 * @desc Maps the original array to a new one, each element is added
+	 * with it's original value and the value plus one.
+	 *
+	 * @name $.map
+	 * @type Array
+	 * @param Array array The Array to translate.
+	 * @param Function fn The function to process each item against.
+	 * @cat JavaScript
+	 */
+	map: function(elems, fn) {
+		// If a string is passed in for the function, make a function
+		// for it (a handy shortcut)
+		if ( typeof fn == "string" )
+			fn = eval("false||function(a){return " + fn + "}");
+
+		var result = [];
+
+		// Go through the array, translating each of the items to their
+		// new value (or values).
+		for ( var i = 0, el = elems.length; i < el; i++ ) {
+			var val = fn(elems[i],i);
+
+			if ( val !== null && val != undefined ) {
+				if ( val.constructor != Array ) val = [val];
+				result = result.concat( val );
+			}
+		}
+
+		return result;
+	}
+});
+
+/**
+ * Contains flags for the useragent, read from navigator.userAgent.
+ * Available flags are: safari, opera, msie, mozilla
+ *
+ * This property is available before the DOM is ready, therefore you can
+ * use it to add ready events only for certain browsers.
+ *
+ * There are situations where object detections is not reliable enough, in that
+ * cases it makes sense to use browser detection. Simply try to avoid both!
+ *
+ * A combination of browser and object detection yields quite reliable results.
+ *
+ * @example $.browser.msie
+ * @desc Returns true if the current useragent is some version of microsoft's internet explorer
+ *
+ * @example if($.browser.safari) { $( function() { alert("this is safari!"); } ); }
+ * @desc Alerts "this is safari!" only for safari browsers
+ *
+ * @property
+ * @name $.browser
+ * @type Boolean
+ * @cat JavaScript
+ */
+ 
+/*
+ * Whether the W3C compliant box model is being used.
+ *
+ * @property
+ * @name $.boxModel
+ * @type Boolean
+ * @cat JavaScript
+ */
+var userAgent = navigator.userAgent.toLowerCase();
+
+// Figure out what browser is being used
+jQuery.browser = {
+	version: (userAgent.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/) || [])[1],
+	safari: /webkit/.test(userAgent),
+	opera: /opera/.test(userAgent),
+	msie: /msie/.test(userAgent) && !/opera/.test(userAgent),
+	mozilla: /mozilla/.test(userAgent) && !/(compatible|webkit)/.test(userAgent)
+};
+
+var styleFloat = jQuery.browser.msie ? "styleFloat" : "cssFloat";
+	
+jQuery.extend({
+	// Check to see if the W3C box model is being used
+	boxModel: !jQuery.browser.msie || document.compatMode == "CSS1Compat",
+	
+	styleFloat: jQuery.browser.msie ? "styleFloat" : "cssFloat",
+	
+	props: {
+		"for": "htmlFor",
+		"class": "className",
+		"float": styleFloat,
+		cssFloat: styleFloat,
+		styleFloat: styleFloat,
+		innerHTML: "innerHTML",
+		className: "className",
+		value: "value",
+		disabled: "disabled",
+		checked: "checked",
+		readonly: "readOnly",
+		selected: "selected",
+		maxlength: "maxLength"
+	}
+});
+
+/**
+ * Get a set of elements containing the unique parents of the matched
+ * set of elements.
+ *
+ * You may use an optional expression to filter the set of parent elements that will match.
+ *
+ * @example $("p").parent()
+ * @before <div><p>Hello</p><p>Hello</p></div>
+ * @result [ <div><p>Hello</p><p>Hello</p></div> ]
+ * @desc Find the parent element of each paragraph.
+ *
+ * @example $("p").parent(".selected")
+ * @before <div><p>Hello</p></div><div class="selected"><p>Hello Again</p></div>
+ * @result [ <div class="selected"><p>Hello Again</p></div> ]
+ * @desc Find the parent element of each paragraph with a class "selected".
+ *
+ * @name parent
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the parents with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique ancestors of the matched
+ * set of elements (except for the root element).
+ *
+ * The matched elements can be filtered with an optional expression.
+ *
+ * @example $("span").parents()
+ * @before <html><body><div><p><span>Hello</span></p><span>Hello Again</span></div></body></html>
+ * @result [ <body>...</body>, <div>...</div>, <p><span>Hello</span></p> ]
+ * @desc Find all parent elements of each span.
+ *
+ * @example $("span").parents("p")
+ * @before <html><body><div><p><span>Hello</span></p><span>Hello Again</span></div></body></html>
+ * @result [ <p><span>Hello</span></p> ]
+ * @desc Find all parent elements of each span that is a paragraph.
+ *
+ * @name parents
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the ancestors with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique next siblings of each of the
+ * matched set of elements.
+ *
+ * It only returns the very next sibling for each element, not all
+ * next siblings.
+ *
+ * You may provide an optional expression to filter the match.
+ *
+ * @example $("p").next()
+ * @before <p>Hello</p><p>Hello Again</p><div><span>And Again</span></div>
+ * @result [ <p>Hello Again</p>, <div><span>And Again</span></div> ]
+ * @desc Find the very next sibling of each paragraph.
+ *
+ * @example $("p").next(".selected")
+ * @before <p>Hello</p><p class="selected">Hello Again</p><div><span>And Again</span></div>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find the very next sibling of each paragraph that has a class "selected".
+ *
+ * @name next
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the next Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing the unique previous siblings of each of the
+ * matched set of elements.
+ *
+ * Use an optional expression to filter the matched set.
+ *
+ * 	Only the immediately previous sibling is returned, not all previous siblings.
+ *
+ * @example $("p").prev()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <div><span>Hello Again</span></div> ]
+ * @desc Find the very previous sibling of each paragraph.
+ *
+ * @example $("p").prev(".selected")
+ * @before <div><span>Hello</span></div><p class="selected">Hello Again</p><p>And Again</p>
+ * @result [ <div><span>Hello</span></div> ]
+ * @desc Find the very previous sibling of each paragraph that has a class "selected".
+ *
+ * @name prev
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the previous Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing all of the unique siblings of each of the
+ * matched set of elements.
+ *
+ * Can be filtered with an optional expressions.
+ *
+ * @example $("div").siblings()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <p>Hello</p>, <p>And Again</p> ]
+ * @desc Find all siblings of each div.
+ *
+ * @example $("div").siblings(".selected")
+ * @before <div><span>Hello</span></div><p class="selected">Hello Again</p><p>And Again</p>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find all siblings with a class "selected" of each div.
+ *
+ * @name siblings
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the sibling Elements with
+ * @cat DOM/Traversing
+ */
+
+/**
+ * Get a set of elements containing all of the unique children of each of the
+ * matched set of elements.
+ *
+ * This set can be filtered with an optional expression that will cause
+ * only elements matching the selector to be collected.
+ *
+ * @example $("div").children()
+ * @before <p>Hello</p><div><span>Hello Again</span></div><p>And Again</p>
+ * @result [ <span>Hello Again</span> ]
+ * @desc Find all children of each div.
+ *
+ * @example $("div").children(".selected")
+ * @before <div><span>Hello</span><p class="selected">Hello Again</p><p>And Again</p></div>
+ * @result [ <p class="selected">Hello Again</p> ]
+ * @desc Find all children with a class "selected" of each div.
+ *
+ * @name children
+ * @type jQuery
+ * @param String expr (optional) An expression to filter the child Elements with
+ * @cat DOM/Traversing
+ */
+jQuery.each({
+	parent: "a.parentNode",
+	parents: "jQuery.parents(a)",
+	next: "jQuery.nth(a,2,'nextSibling')",
+	prev: "jQuery.nth(a,2,'previousSibling')",
+	siblings: "jQuery.sibling(a.parentNode.firstChild,a)",
+	children: "jQuery.sibling(a.firstChild)"
+}, function(i,n){
+	jQuery.fn[ i ] = function(a) {
+		var ret = jQuery.map(this,n);
+		if ( a && typeof a == "string" )
+			ret = jQuery.multiFilter(a,ret);
+		return this.pushStack( jQuery.unique(ret) );
+	};
+});
+
+/**
+ * Append all of the matched elements to another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).append(B), in that instead of appending B to A, you're appending
+ * A to B.
+ *
+ * @example $("p").appendTo("#foo");
+ * @before <p>I would like to say: </p><div id="foo"></div>
+ * @result <div id="foo"><p>I would like to say: </p></div>
+ * @desc Appends all paragraphs to the element with the ID "foo"
+ *
+ * @name appendTo
+ * @type jQuery
+ * @param <Content> content Content to append to the selected element to.
+ * @cat DOM/Manipulation
+ * @see append(<Content>)
+ */
+
+/**
+ * Prepend all of the matched elements to another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).prepend(B), in that instead of prepending B to A, you're prepending
+ * A to B.
+ *
+ * @example $("p").prependTo("#foo");
+ * @before <p>I would like to say: </p><div id="foo"><b>Hello</b></div>
+ * @result <div id="foo"><p>I would like to say: </p><b>Hello</b></div>
+ * @desc Prepends all paragraphs to the element with the ID "foo"
+ *
+ * @name prependTo
+ * @type jQuery
+ * @param <Content> content Content to prepend to the selected element to.
+ * @cat DOM/Manipulation
+ * @see prepend(<Content>)
+ */
+
+/**
+ * Insert all of the matched elements before another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).before(B), in that instead of inserting B before A, you're inserting
+ * A before B.
+ *
+ * @example $("p").insertBefore("#foo");
+ * @before <div id="foo">Hello</div><p>I would like to say: </p>
+ * @result <p>I would like to say: </p><div id="foo">Hello</div>
+ * @desc Same as $("#foo").before("p")
+ *
+ * @name insertBefore
+ * @type jQuery
+ * @param <Content> content Content to insert the selected element before.
+ * @cat DOM/Manipulation
+ * @see before(<Content>)
+ */
+
+/**
+ * Insert all of the matched elements after another, specified, set of elements.
+ * This operation is, essentially, the reverse of doing a regular
+ * $(A).after(B), in that instead of inserting B after A, you're inserting
+ * A after B.
+ *
+ * @example $("p").insertAfter("#foo");
+ * @before <p>I would like to say: </p><div id="foo">Hello</div>
+ * @result <div id="foo">Hello</div><p>I would like to say: </p>
+ * @desc Same as $("#foo").after("p")
+ *
+ * @name insertAfter
+ * @type jQuery
+ * @param <Content> content Content to insert the selected element after.
+ * @cat DOM/Manipulation
+ * @see after(<Content>)
+ */
+
+jQuery.each({
+	appendTo: "append",
+	prependTo: "prepend",
+	insertBefore: "before",
+	insertAfter: "after"
+}, function(i,n){
+	jQuery.fn[ i ] = function(){
+		var a = arguments;
+		return this.each(function(){
+			for ( var j = 0, al = a.length; j < al; j++ )
+				jQuery(a[j])[n]( this );
+		});
+	};
+});
+
+/**
+ * Remove an attribute from each of the matched elements.
+ *
+ * @example $("input").removeAttr("disabled")
+ * @before <input disabled="disabled"/>
+ * @result <input/>
+ *
+ * @name removeAttr
+ * @type jQuery
+ * @param String name The name of the attribute to remove.
+ * @cat DOM/Attributes
+ */
+
+/**
+ * Adds the specified class(es) to each of the set of matched elements.
+ *
+ * @example $("p").addClass("selected")
+ * @before <p>Hello</p>
+ * @result [ <p class="selected">Hello</p> ]
+ *
+ * @example $("p").addClass("selected highlight")
+ * @before <p>Hello</p>
+ * @result [ <p class="selected highlight">Hello</p> ]
+ *
+ * @name addClass
+ * @type jQuery
+ * @param String class One or more CSS classes to add to the elements
+ * @cat DOM/Attributes
+ * @see removeClass(String)
+ */
+
+/**
+ * Removes all or the specified class(es) from the set of matched elements.
+ *
+ * @example $("p").removeClass()
+ * @before <p class="selected">Hello</p>
+ * @result [ <p>Hello</p> ]
+ *
+ * @example $("p").removeClass("selected")
+ * @before <p class="selected first">Hello</p>
+ * @result [ <p class="first">Hello</p> ]
+ *
+ * @example $("p").removeClass("selected highlight")
+ * @before <p class="highlight selected first">Hello</p>
+ * @result [ <p class="first">Hello</p> ]
+ *
+ * @name removeClass
+ * @type jQuery
+ * @param String class (optional) One or more CSS classes to remove from the elements
+ * @cat DOM/Attributes
+ * @see addClass(String)
+ */
+
+/**
+ * Adds the specified class if it is not present, removes it if it is
+ * present.
+ *
+ * @example $("p").toggleClass("selected")
+ * @before <p>Hello</p><p class="selected">Hello Again</p>
+ * @result [ <p class="selected">Hello</p>, <p>Hello Again</p> ]
+ *
+ * @name toggleClass
+ * @type jQuery
+ * @param String class A CSS class with which to toggle the elements
+ * @cat DOM/Attributes
+ */
+
+/**
+ * Removes all matched elements from the DOM. This does NOT remove them from the
+ * jQuery object, allowing you to use the matched elements further.
+ *
+ * Can be filtered with an optional expressions.
+ *
+ * @example $("p").remove();
+ * @before <p>Hello</p> how are <p>you?</p>
+ * @result how are
+ *
+ * @example $("p").remove(".hello");
+ * @before <p class="hello">Hello</p> how are <p>you?</p>
+ * @result how are <p>you?</p>
+ *
+ * @name remove
+ * @type jQuery
+ * @param String expr (optional) A jQuery expression to filter elements by.
+ * @cat DOM/Manipulation
+ */
+
+/**
+ * Removes all child nodes from the set of matched elements.
+ *
+ * @example $("p").empty()
+ * @before <p>Hello, <span>Person</span> <a href="#">and person</a></p>
+ * @result [ <p></p> ]
+ *
+ * @name empty
+ * @type jQuery
+ * @cat DOM/Manipulation
+ */
+
+jQuery.each( {
+	removeAttr: function( key ) {
+		jQuery.attr( this, key, "" );
+		this.removeAttribute( key );
+	},
+	addClass: function(c){
+		jQuery.className.add(this,c);
+	},
+	removeClass: function(c){
+		jQuery.className.remove(this,c);
+	},
+	toggleClass: function( c ){
+		jQuery.className[ jQuery.className.has(this,c) ? "remove" : "add" ](this, c);
+	},
+	remove: function(a){
+		if ( !a || jQuery.filter( a, [this] ).r.length )
+			this.parentNode.removeChild( this );
+	},
+	empty: function() {
+		while ( this.firstChild )
+			this.removeChild( this.firstChild );
+	}
+}, function(i,n){
+	jQuery.fn[ i ] = function() {
+		return this.each( n, arguments );
+	};
+});
+
+/**
+ * Reduce the set of matched elements to a single element.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").eq(1)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>So is this</p> ]
+ *
+ * @name eq
+ * @type jQuery
+ * @param Number pos The index of the element that you wish to limit to.
+ * @cat Core
+ */
+
+/**
+ * Reduce the set of matched elements to all elements before a given position.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").lt(1)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>This is just a test.</p> ]
+ *
+ * @name lt
+ * @type jQuery
+ * @param Number pos Reduce the set to all elements below this position.
+ * @cat Core
+ */
+
+/**
+ * Reduce the set of matched elements to all elements after a given position.
+ * The position of the element in the set of matched elements
+ * starts at 0 and goes to length - 1.
+ *
+ * @example $("p").gt(0)
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>So is this</p> ]
+ *
+ * @name gt
+ * @type jQuery
+ * @param Number pos Reduce the set to all elements after this position.
+ * @cat Core
+ */
+
+/**
+ * Filter the set of elements to those that contain the specified text.
+ *
+ * @example $("p").contains("test")
+ * @before <p>This is just a test.</p><p>So is this</p>
+ * @result [ <p>This is just a test.</p> ]
+ *
+ * @name contains
+ * @type jQuery
+ * @param String str The string that will be contained within the text of an element.
+ * @cat DOM/Traversing
+ */
+// DEPRECATED
+jQuery.each( [ "eq", "lt", "gt", "contains" ], function(i,n){
+	jQuery.fn[ n ] = function(num,fn) {
+		return this.filter( ":" + n + "(" + num + ")", fn );
+	};
+});
+
+/**
+ * Get the current computed, pixel, width of the first matched element.
+ *
+ * @example $("p").width();
+ * @before <p>This is just a test.</p>
+ * @result 300
+ *
+ * @name width
+ * @type String
+ * @cat CSS
+ */
+
+/**
+ * Set the CSS width of every matched element. If no explicit unit
+ * was specified (like 'em' or '%') then "px" is added to the width.
+ *
+ * @example $("p").width(20);
+ * @before <p>This is just a test.</p>
+ * @result <p style="width:20px;">This is just a test.</p>
+ *
+ * @example $("p").width("20em");
+ * @before <p>This is just a test.</p>
+ * @result <p style="width:20em;">This is just a test.</p>
+ *
+ * @name width
+ * @type jQuery
+ * @param String|Number val Set the CSS property to the specified value.
+ * @cat CSS
+ */
+ 
+/**
+ * Get the current computed, pixel, height of the first matched element.
+ *
+ * @example $("p").height();
+ * @before <p>This is just a test.</p>
+ * @result 300
+ *
+ * @name height
+ * @type String
+ * @cat CSS
+ */
+
+/**
+ * Set the CSS height of every matched element. If no explicit unit
+ * was specified (like 'em' or '%') then "px" is added to the width.
+ *
+ * @example $("p").height(20);
+ * @before <p>This is just a test.</p>
+ * @result <p style="height:20px;">This is just a test.</p>
+ *
+ * @example $("p").height("20em");
+ * @before <p>This is just a test.</p>
+ * @result <p style="height:20em;">This is just a test.</p>
+ *
+ * @name height
+ * @type jQuery
+ * @param String|Number val Set the CSS property to the specified value.
+ * @cat CSS
+ */
+
+jQuery.each( [ "height", "width" ], function(i,n){
+	jQuery.fn[ n ] = function(h) {
+		return h == undefined ?
+			( this.length ? jQuery.css( this[0], n ) : null ) :
+			this.css( n, h.constructor == String ? h : h + "px" );
+	};
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/outro.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/outro.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/outro.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/outro.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1 @@
+})();
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/selector/selector.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/selector/selector.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/selector/selector.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/selector/selector.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,488 @@
+
+var chars = jQuery.browser.safari && parseInt(jQuery.browser.version) < 417 ?
+		"(?:[\\w*_-]|\\\\.)" :
+		"(?:[\\w\u0128-\uFFFF*_-]|\\\\.)",
+	quickChild = new RegExp("^[/>]\\s*(" + chars + "+)"),
+	quickID = new RegExp("^(" + chars + "+)(#)(" + chars + "+)"),
+	quickClass = new RegExp("^([#.]?)(" + chars + "*)");
+
+jQuery.extend({
+	expr: {
+		"": "m[2]=='*'||jQuery.nodeName(a,m[2])",
+		"#": "a.getAttribute('id')==m[2]",
+		":": {
+			// Position Checks
+			lt: "i<m[3]-0",
+			gt: "i>m[3]-0",
+			nth: "m[3]-0==i",
+			eq: "m[3]-0==i",
+			first: "i==0",
+			last: "i==r.length-1",
+			even: "i%2==0",
+			odd: "i%2",
+
+			// Child Checks
+			"first-child": "a.parentNode.getElementsByTagName('*')[0]==a",
+			"last-child": "jQuery.nth(a.parentNode.lastChild,1,'previousSibling')==a",
+			"only-child": "!jQuery.nth(a.parentNode.lastChild,2,'previousSibling')",
+
+			// Parent Checks
+			parent: "a.firstChild",
+			empty: "!a.firstChild",
+
+			// Text Check
+			contains: "(a.textContent||a.innerText||'').indexOf(m[3])>=0",
+
+			// Visibility
+			visible: '"hidden"!=a.type&&jQuery.css(a,"display")!="none"&&jQuery.css(a,"visibility")!="hidden"',
+			hidden: '"hidden"==a.type||jQuery.css(a,"display")=="none"||jQuery.css(a,"visibility")=="hidden"',
+
+			// Form attributes
+			enabled: "!a.disabled",
+			disabled: "a.disabled",
+			checked: "a.checked",
+			selected: "a.selected||jQuery.attr(a,'selected')",
+
+			// Form elements
+			text: "'text'==a.type",
+			radio: "'radio'==a.type",
+			checkbox: "'checkbox'==a.type",
+			file: "'file'==a.type",
+			password: "'password'==a.type",
+			submit: "'submit'==a.type",
+			image: "'image'==a.type",
+			reset: "'reset'==a.type",
+			button: '"button"==a.type||jQuery.nodeName(a,"button")',
+			input: "/input|select|textarea|button/i.test(a.nodeName)",
+
+			// :has()
+			has: "jQuery.find(m[3],a).length"
+		},
+		// DEPRECATED
+		"[": "jQuery.find(m[2],a).length"
+	},
+	
+	// The regular expressions that power the parsing engine
+	parse: [
+		// Match: [@value='test'], [@foo]
+		/^\[ *(@)([\w-]+) *([!*$^~=]*) *('?"?)(.*?)\4 *\]/,
+
+		// DEPRECATED
+		// Match: [div], [div p]
+		/^(\[)\s*(.*?(\[.*?\])?[^[]*?)\s*\]/,
+
+		// Match: :contains('foo')
+		/^(:)([\w-]+)\("?'?(.*?(\(.*?\))?[^(]*?)"?'?\)/,
+
+		// Match: :even, :last-chlid, #id, .class
+		new RegExp("^([:.#]*)(" + chars + "+)")
+	],
+
+	multiFilter: function( expr, elems, not ) {
+		var old, cur = [];
+
+		while ( expr && expr != old ) {
+			old = expr;
+			var f = jQuery.filter( expr, elems, not );
+			expr = f.t.replace(/^\s*,\s*/, "" );
+			cur = not ? elems = f.r : jQuery.merge( cur, f.r );
+		}
+
+		return cur;
+	},
+
+	/**
+	 * @name $.find
+	 * @type Array<Element>
+	 * @private
+	 * @cat Core
+	 */
+	find: function( t, context ) {
+		// Quickly handle non-string expressions
+		if ( typeof t != "string" )
+			return [ t ];
+
+		// Make sure that the context is a DOM Element
+		if ( context && !context.nodeType )
+			context = null;
+
+		// Set the correct context (if none is provided)
+		context = context || document;
+
+		// DEPRECATED
+		// Handle the common XPath // expression
+		if ( !t.indexOf("//") ) {
+			//context = context.documentElement;
+			t = t.substr(2,t.length);
+
+		// DEPRECATED
+		// And the / root expression
+		} else if ( !t.indexOf("/") && !context.ownerDocument ) {
+			context = context.documentElement;
+			t = t.substr(1,t.length);
+			if ( t.indexOf("/") >= 1 )
+				t = t.substr(t.indexOf("/"),t.length);
+		}
+
+		// Initialize the search
+		var ret = [context], done = [], last;
+
+		// Continue while a selector expression exists, and while
+		// we're no longer looping upon ourselves
+		while ( t && last != t ) {
+			var r = [];
+			last = t;
+
+			// DEPRECATED
+			t = jQuery.trim(t).replace( /^\/\//, "" );
+
+			var foundToken = false;
+
+			// An attempt at speeding up child selectors that
+			// point to a specific element tag
+			var re = quickChild;
+			var m = re.exec(t);
+
+			if ( m ) {
+				var nodeName = m[1].toUpperCase();
+
+				// Perform our own iteration and filter
+				for ( var i = 0; ret[i]; i++ )
+					for ( var c = ret[i].firstChild; c; c = c.nextSibling )
+						if ( c.nodeType == 1 && (nodeName == "*" || c.nodeName.toUpperCase() == nodeName.toUpperCase()) )
+							r.push( c );
+
+				ret = r;
+				t = t.replace( re, "" );
+				if ( t.indexOf(" ") == 0 ) continue;
+				foundToken = true;
+			} else {
+				// (.. and /) DEPRECATED
+				re = /^((\/?\.\.)|([>\/+~]))\s*(\w*)/i;
+
+				if ( (m = re.exec(t)) != null ) {
+					r = [];
+
+					var nodeName = m[4], mergeNum = jQuery.mergeNum++;
+					m = m[1];
+
+					for ( var j = 0, rl = ret.length; j < rl; j++ )
+						if ( m.indexOf("..") < 0 ) {
+							var n = m == "~" || m == "+" ? ret[j].nextSibling : ret[j].firstChild;
+							for ( ; n; n = n.nextSibling )
+								if ( n.nodeType == 1 ) {
+									if ( m == "~" && n.mergeNum == mergeNum ) break;
+									
+									if (!nodeName || n.nodeName.toUpperCase() == nodeName.toUpperCase() ) {
+										if ( m == "~" ) n.mergeNum = mergeNum;
+										r.push( n );
+									}
+									
+									if ( m == "+" ) break;
+								}
+						// DEPRECATED
+						} else
+							r.push( ret[j].parentNode );
+
+					ret = r;
+
+					// And remove the token
+					t = jQuery.trim( t.replace( re, "" ) );
+					foundToken = true;
+				}
+			}
+
+			// See if there's still an expression, and that we haven't already
+			// matched a token
+			if ( t && !foundToken ) {
+				// Handle multiple expressions
+				if ( !t.indexOf(",") ) {
+					// Clean the result set
+					if ( context == ret[0] ) ret.shift();
+
+					// Merge the result sets
+					done = jQuery.merge( done, ret );
+
+					// Reset the context
+					r = ret = [context];
+
+					// Touch up the selector string
+					t = " " + t.substr(1,t.length);
+
+				} else {
+					// Optimize for the case nodeName#idName
+					var re2 = quickID;
+					var m = re2.exec(t);
+					
+					// Re-organize the results, so that they're consistent
+					if ( m ) {
+					   m = [ 0, m[2], m[3], m[1] ];
+
+					} else {
+						// Otherwise, do a traditional filter check for
+						// ID, class, and element selectors
+						re2 = quickClass;
+						m = re2.exec(t);
+					}
+
+					m[2] = m[2].replace(/\\/g, "");
+
+					var elem = ret[ret.length-1];
+
+					// Try to do a global search by ID, where we can
+					if ( m[1] == "#" && elem && elem.getElementById && !jQuery.isXMLDoc(elem) ) {
+						// Optimization for HTML document case
+						var oid = elem.getElementById(m[2]);
+						
+						// Do a quick check for the existence of the actual ID attribute
+						// to avoid selecting by the name attribute in IE
+						// also check to insure id is a string to avoid selecting an element with the name of 'id' inside a form
+						if ( (jQuery.browser.msie||jQuery.browser.opera) && oid && typeof oid.id == "string" && oid.id != m[2] )
+							oid = jQuery('[@id="'+m[2]+'"]', elem)[0];
+
+						// Do a quick check for node name (where applicable) so
+						// that div#foo searches will be really fast
+						ret = r = oid && (!m[3] || jQuery.nodeName(oid, m[3])) ? [oid] : [];
+					} else {
+						// We need to find all descendant elements
+						for ( var i = 0; ret[i]; i++ ) {
+							// Grab the tag name being searched for
+							var tag = m[1] != "" || m[0] == "" ? "*" : m[2];
+
+							// Handle IE7 being really dumb about <object>s
+							if ( tag == "*" && ret[i].nodeName.toLowerCase() == "object" )
+								tag = "param";
+
+							r = jQuery.merge( r, ret[i].getElementsByTagName( tag ));
+						}
+
+						// It's faster to filter by class and be done with it
+						if ( m[1] == "." )
+							r = jQuery.classFilter( r, m[2] );
+
+						// Same with ID filtering
+						if ( m[1] == "#" ) {
+							var tmp = [];
+
+							// Try to find the element with the ID
+							for ( var i = 0; r[i]; i++ )
+								if ( r[i].getAttribute("id") == m[2] ) {
+									tmp = [ r[i] ];
+									break;
+								}
+
+							r = tmp;
+						}
+
+						ret = r;
+					}
+
+					t = t.replace( re2, "" );
+				}
+
+			}
+
+			// If a selector string still exists
+			if ( t ) {
+				// Attempt to filter it
+				var val = jQuery.filter(t,r);
+				ret = r = val.r;
+				t = jQuery.trim(val.t);
+			}
+		}
+
+		// An error occurred with the selector;
+		// just return an empty set instead
+		if ( t )
+			ret = [];
+
+		// Remove the root context
+		if ( ret && context == ret[0] )
+			ret.shift();
+
+		// And combine the results
+		done = jQuery.merge( done, ret );
+
+		return done;
+	},
+
+	classFilter: function(r,m,not){
+		m = " " + m + " ";
+		var tmp = [];
+		for ( var i = 0; r[i]; i++ ) {
+			var pass = (" " + r[i].className + " ").indexOf( m ) >= 0;
+			if ( !not && pass || not && !pass )
+				tmp.push( r[i] );
+		}
+		return tmp;
+	},
+
+	filter: function(t,r,not) {
+		var last;
+
+		// Look for common filter expressions
+		while ( t  && t != last ) {
+			last = t;
+
+			var p = jQuery.parse, m;
+
+			for ( var i = 0; p[i]; i++ ) {
+				m = p[i].exec( t );
+
+				if ( m ) {
+					// Remove what we just matched
+					t = t.substring( m[0].length );
+
+					m[2] = m[2].replace(/\\/g, "");
+					break;
+				}
+			}
+
+			if ( !m )
+				break;
+
+			// :not() is a special case that can be optimized by
+			// keeping it out of the expression list
+			if ( m[1] == ":" && m[2] == "not" )
+				r = jQuery.filter(m[3], r, true).r;
+
+			// We can get a big speed boost by filtering by class here
+			else if ( m[1] == "." )
+				r = jQuery.classFilter(r, m[2], not);
+
+			else if ( m[1] == "@" ) {
+				var tmp = [], type = m[3];
+				
+				for ( var i = 0, rl = r.length; i < rl; i++ ) {
+					var a = r[i], z = a[ jQuery.props[m[2]] || m[2] ];
+					
+					if ( z == null || /href|src|selected/.test(m[2]) )
+						z = jQuery.attr(a,m[2]) || '';
+
+					if ( (type == "" && !!z ||
+						 type == "=" && z == m[5] ||
+						 type == "!=" && z != m[5] ||
+						 type == "^=" && z && !z.indexOf(m[5]) ||
+						 type == "$=" && z.substr(z.length - m[5].length) == m[5] ||
+						 (type == "*=" || type == "~=") && z.indexOf(m[5]) >= 0) ^ not )
+							tmp.push( a );
+				}
+				
+				r = tmp;
+
+			// We can get a speed boost by handling nth-child here
+			} else if ( m[1] == ":" && m[2] == "nth-child" ) {
+				var num = jQuery.mergeNum++, tmp = [],
+					test = /(\d*)n\+?(\d*)/.exec(
+						m[3] == "even" && "2n" || m[3] == "odd" && "2n+1" ||
+						!/\D/.test(m[3]) && "n+" + m[3] || m[3]),
+					first = (test[1] || 1) - 0, last = test[2] - 0;
+
+				for ( var i = 0, rl = r.length; i < rl; i++ ) {
+					var node = r[i], parentNode = node.parentNode;
+
+					if ( num != parentNode.mergeNum ) {
+						var c = 1;
+
+						for ( var n = parentNode.firstChild; n; n = n.nextSibling )
+							if ( n.nodeType == 1 )
+								n.nodeIndex = c++;
+
+						parentNode.mergeNum = num;
+					}
+
+					var add = false;
+
+					if ( first == 1 ) {
+						if ( last == 0 || node.nodeIndex == last )
+							add = true;
+					} else if ( (node.nodeIndex + last) % first == 0 )
+						add = true;
+
+					if ( add ^ not )
+						tmp.push( node );
+				}
+
+				r = tmp;
+
+			// Otherwise, find the expression to execute
+			} else {
+				var f = jQuery.expr[m[1]];
+				if ( typeof f != "string" )
+					f = jQuery.expr[m[1]][m[2]];
+
+				// Build a custom macro to enclose it
+				f = eval("false||function(a,i){return " + f + "}");
+
+				// Execute it against the current filter
+				r = jQuery.grep( r, f, not );
+			}
+		}
+
+		// Return an array of filtered elements (r)
+		// and the modified expression string (t)
+		return { r: r, t: t };
+	},
+
+	/**
+	 * All ancestors of a given element.
+	 *
+	 * @private
+	 * @name $.parents
+	 * @type Array<Element>
+	 * @param Element elem The element to find the ancestors of.
+	 * @cat DOM/Traversing
+	 */
+	parents: function( elem ){
+		var matched = [];
+		var cur = elem.parentNode;
+		while ( cur && cur != document ) {
+			matched.push( cur );
+			cur = cur.parentNode;
+		}
+		return matched;
+	},
+	
+	/**
+	 * A handy, and fast, way to traverse in a particular direction and find
+	 * a specific element.
+	 *
+	 * @private
+	 * @name $.nth
+	 * @type DOMElement
+	 * @param DOMElement cur The element to search from.
+	 * @param String|Number num The Nth result to match. Can be a number or a string (like 'even' or 'odd').
+	 * @param String dir The direction to move in (pass in something like 'previousSibling' or 'nextSibling').
+	 * @cat DOM/Traversing
+	 */
+	nth: function(cur,result,dir,elem){
+		result = result || 1;
+		var num = 0;
+
+		for ( ; cur; cur = cur[dir] )
+			if ( cur.nodeType == 1 && ++num == result )
+				break;
+
+		return cur;
+	},
+	
+	/**
+	 * All elements on a specified axis.
+	 *
+	 * @private
+	 * @name $.sibling
+	 * @type Array
+	 * @param Element elem The element to find all the siblings of (including itself).
+	 * @cat DOM/Traversing
+	 */
+	sibling: function( n, elem ) {
+		var r = [];
+
+		for ( ; n; n = n.nextSibling ) {
+			if ( n.nodeType == 1 && (!elem || n != elem) )
+				r.push( n );
+		}
+
+		return r;
+	}
+});
diff -pruN 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/selector/selectorTest.js 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/selector/selectorTest.js
--- 0.7-6/debian/missing-sources/examples/tutorial/geddit/static/selector/selectorTest.js	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/debian/missing-sources/examples/tutorial/geddit/static/selector/selectorTest.js	2019-02-04 20:59:29.000000000 +0000
@@ -0,0 +1,221 @@
+module("selector");
+
+test("element", function() {
+	expect(9);
+	ok( $("*").size() >= 30, "Select all" );
+	var all = $("*"), good = true;
+	for ( var i = 0; i < all.length; i++ )
+		if ( all[i].nodeType == 8 )
+			good = false;
+	ok( good, "Select all elements, no comment nodes" );
+	t( "Element Selector", "p", ["firstp","ap","sndp","en","sap","first"] );
+	t( "Element Selector", "body", ["body"] );
+	t( "Element Selector", "html", ["html"] );
+	t( "Parent Element", "div p", ["firstp","ap","sndp","en","sap","first"] );
+	ok( $("param", "#object1").length == 2, "Object/param as context" );
+	
+	ok( $("#length").length, '&lt;input name="length"&gt; cannot be found under IE, see #945' );
+	ok( $("#lengthtest input").length, '&lt;input name="length"&gt; cannot be found under IE, see #945' );
+});
+
+if ( location.protocol != "file:" ) {
+	test("Element Selector with underscore", function() {
+		expect(1);
+		stop();
+		$.get("data/with_fries.xml", function(xml) {
+			ok( $("foo_bar", xml).length == 1, "Element Selector with underscore" );
+			start();
+		});
+	});
+}
+
+test("broken", function() {
+	expect(7);
+	t( "Broken Selector", "[", [] );
+	t( "Broken Selector", "(", [] );
+	t( "Broken Selector", "{", [] );
+	t( "Broken Selector", "<", [] );
+	t( "Broken Selector", "()", [] );
+	t( "Broken Selector", "<>", [] );
+	t( "Broken Selector", "{}", [] );
+});
+
+test("id", function() {
+	expect(24);
+	t( "ID Selector", "#body", ["body"] );
+	t( "ID Selector w/ Element", "body#body", ["body"] );
+	t( "ID Selector w/ Element", "ul#first", [] );
+	t( "ID selector with existing ID descendant", "#firstp #simon1", ["simon1"] );
+	t( "ID selector with non-existant descendant", "#firstp #foobar", [] );
+	t( "ID selector using UTF8", "#台北Táiběi", ["台北Táiběi"] );
+	t( "Multiple ID selectors using UTF8", "#台北Táiběi, #台北", ["台北Táiběi","台北"] );
+	t( "Descendant ID selector using UTF8", "div #台北", ["台北"] );
+	t( "Child ID selector using UTF8", "form > #台北", ["台北"] );
+	
+	t( "Escaped ID", "#foo\\:bar", ["foo:bar"] );
+	t( "Escaped ID", "#test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+	t( "Descendant escaped ID", "div #foo\\:bar", ["foo:bar"] );
+	t( "Descendant escaped ID", "div #test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+	t( "Child escaped ID", "form > #foo\\:bar", ["foo:bar"] );
+	t( "Child escaped ID", "form > #test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+	
+	t( "ID Selector, child ID present", "#form > #radio1", ["radio1"] );  // bug #267
+	t( "ID Selector, not an ancestor ID", "#form  #first", [] );
+	t( "ID Selector, not a child ID", "#form > #option1a", [] );
+	
+	t( "All Children of ID", "#foo/*", ["sndp", "en", "sap"] );
+	t( "All Children of ID with no children", "#firstUL/*", [] );
+	
+	$('<a name="tName1">tName1 A</a><a name="tName2">tName2 A</a><div id="tName1">tName1 Div</div>').appendTo('#main');
+	ok( $("#tName1")[0].id == 'tName1', "ID selector with same value for a name attribute" );
+	ok( $("#tName2").length == 0, "ID selector non-existing but name attribute on an A tag" );
+	t( "ID Selector on Form with an input that has a name of 'id'", "#lengthtest", ["lengthtest"] );
+	
+	t( "ID selector with non-existant ancestor", "#asdfasdf #foobar", [] ); // bug #986
+});
+
+test("class", function() {
+	expect(16);
+	t( "Class Selector", ".blog", ["mark","simon"] );
+	t( "Class Selector", ".blog.link", ["simon"] );
+	t( "Class Selector w/ Element", "a.blog", ["mark","simon"] );
+	t( "Parent Class Selector", "p .blog", ["mark","simon"] );
+	
+	t( "Class selector using UTF8", ".台北Táiběi", ["utf8class1"] );
+	t( "Class selector using UTF8", ".台北", ["utf8class1","utf8class2"] );
+	t( "Class selector using UTF8", ".台北Táiběi.台北", ["utf8class1"] );
+	t( "Class selector using UTF8", ".台北Táiběi, .台北", ["utf8class1","utf8class2"] );
+	t( "Descendant class selector using UTF8", "div .台北Táiběi", ["utf8class1"] );
+	t( "Child class selector using UTF8", "form > .台北Táiběi", ["utf8class1"] );
+	
+	t( "Escaped Class", ".foo\\:bar", ["foo:bar"] );
+	t( "Escaped Class", ".test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+	t( "Descendant scaped Class", "div .foo\\:bar", ["foo:bar"] );
+	t( "Descendant scaped Class", "div .test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+	t( "Child escaped Class", "form > .foo\\:bar", ["foo:bar"] );
+	t( "Child escaped Class", "form > .test\\.foo\\[5\\]bar", ["test.foo[5]bar"] );
+});
+
+test("multiple", function() {
+	expect(4);
+	t( "Comma Support", "a.blog, p", ["mark","simon","firstp","ap","sndp","en","sap","first"] );
+	t( "Comma Support", "a.blog , p", ["mark","simon","firstp","ap","sndp","en","sap","first"] );
+	t( "Comma Support", "a.blog ,p", ["mark","simon","firstp","ap","sndp","en","sap","first"] );
+	t( "Comma Support", "a.blog,p", ["mark","simon","firstp","ap","sndp","en","sap","first"] );
+});
+
+test("child and adjacent", function() {
+	expect(19);
+	t( "Child", "p > a", ["simon1","google","groups","mark","yahoo","simon"] );
+	t( "Child", "p> a", ["simon1","google","groups","mark","yahoo","simon"] );
+	t( "Child", "p >a", ["simon1","google","groups","mark","yahoo","simon"] );
+	t( "Child", "p>a", ["simon1","google","groups","mark","yahoo","simon"] );
+	t( "Child w/ Class", "p > a.blog", ["mark","simon"] );
+	t( "All Children", "code > *", ["anchor1","anchor2"] );
+	t( "All Grandchildren", "p > * > *", ["anchor1","anchor2"] );
+	t( "Adjacent", "a + a", ["groups"] );
+	t( "Adjacent", "a +a", ["groups"] );
+	t( "Adjacent", "a+ a", ["groups"] );
+	t( "Adjacent", "a+a", ["groups"] );
+	t( "Adjacent", "p + p", ["ap","en","sap"] );
+	t( "Comma, Child, and Adjacent", "a + a, code > a", ["groups","anchor1","anchor2"] );
+	
+	t( "First Child", "p:first-child", ["firstp","sndp"] );
+	t( "Nth Child", "p:nth-child(1)", ["firstp","sndp"] );
+	
+	t( "Last Child", "p:last-child", ["sap"] );
+	t( "Last Child", "a:last-child", ["simon1","anchor1","mark","yahoo","anchor2","simon"] );
+	
+	t( "Nth-child", "#main form > *:nth-child(2)", ["text2","idTest"] );
+	t( "Nth-child", "#main form > :nth-child(2)", ["text2","idTest"] );
+});
+
+test("attributes", function() {
+	expect(20);
+	t( "Attribute Exists", "a[@title]", ["google"] );
+	t( "Attribute Exists", "*[@title]", ["google"] );
+	t( "Attribute Exists", "[@title]", ["google"] );
+	
+	t( "Attribute Equals", "a[@rel='bookmark']", ["simon1"] );
+	t( "Attribute Equals", 'a[@rel="bookmark"]', ["simon1"] );
+	t( "Attribute Equals", "a[@rel=bookmark]", ["simon1"] );
+	t( "Multiple Attribute Equals", "input[@type='hidden'],input[@type='radio']", ["hidden1","radio1","radio2"] );
+	t( "Multiple Attribute Equals", "input[@type=\"hidden\"],input[@type='radio']", ["hidden1","radio1","radio2"] );
+	t( "Multiple Attribute Equals", "input[@type=hidden],input[@type=radio]", ["hidden1","radio1","radio2"] );
+	
+	t( "Attribute selector using UTF8", "span[@lang=中文]", ["台北"] );
+	
+	t( "Attribute Begins With", "a[@href ^= 'http://www']", ["google","yahoo"] );
+	t( "Attribute Ends With", "a[@href $= 'org/']", ["mark"] );
+	t( "Attribute Contains", "a[@href *= 'google']", ["google","groups"] );
+	
+	t("Select options via [@selected]", "#select1 option[@selected]", ["option1a"] );
+	t("Select options via [@selected]", "#select2 option[@selected]", ["option2d"] );
+	t("Select options via [@selected]", "#select3 option[@selected]", ["option3b", "option3c"] );
+	
+	t( "Grouped Form Elements", "input[@name='foo[bar]']", ["hidden2"] );
+	
+	t( ":not() Existing attribute", "select:not([@multiple])", ["select1", "select2"]);
+	t( ":not() Equals attribute", "select:not([@name=select1])", ["select2", "select3"]);
+	t( ":not() Equals quoted attribute", "select:not([@name='select1'])", ["select2", "select3"]);
+});
+
+test("pseudo (:) selectors", function() {
+	expect(30);
+	t( "First Child", "p:first-child", ["firstp","sndp"] );
+	t( "Last Child", "p:last-child", ["sap"] );
+	t( "Only Child", "a:only-child", ["simon1","anchor1","yahoo","anchor2"] );
+	t( "Empty", "ul:empty", ["firstUL"] );
+	t( "Enabled UI Element", "input:enabled", ["text1","radio1","radio2","check1","check2","hidden1","hidden2","name","length","idTest"] );
+	t( "Disabled UI Element", "input:disabled", ["text2"] );
+	t( "Checked UI Element", "input:checked", ["radio2","check1"] );
+	t( "Selected Option Element", "option:selected", ["option1a","option2d","option3b","option3c"] );
+	t( "Text Contains", "a:contains('Google')", ["google","groups"] );
+	t( "Text Contains", "a:contains('Google Groups')", ["groups"] );
+	t( "Element Preceded By", "p ~ div", ["foo","fx-queue","fx-tests"] );
+	t( "Not", "a.blog:not(.link)", ["mark"] );
+	
+	t( "nth Element", "p:nth(1)", ["ap"] );
+	t( "First Element", "p:first", ["firstp"] );
+	t( "Last Element", "p:last", ["first"] );
+	t( "Even Elements", "p:even", ["firstp","sndp","sap"] );
+	t( "Odd Elements", "p:odd", ["ap","en","first"] );
+	t( "Position Equals", "p:eq(1)", ["ap"] );
+	t( "Position Greater Than", "p:gt(0)", ["ap","sndp","en","sap","first"] );
+	t( "Position Less Than", "p:lt(3)", ["firstp","ap","sndp"] );
+	t( "Is A Parent", "p:parent", ["firstp","ap","sndp","en","sap","first"] );
+	t( "Is Visible", "input:visible", ["text1","text2","radio1","radio2","check1","check2","name","length","idTest"] );
+	t( "Is Hidden", "input:hidden", ["hidden1","hidden2"] );
+	
+	t( "Form element :input", ":input", ["text1", "text2", "radio1", "radio2", "check1", "check2", "hidden1", "hidden2", "name", "button", "area1", "select1", "select2", "select3", "length", "idTest"] );
+	t( "Form element :radio", ":radio", ["radio1", "radio2"] );
+	t( "Form element :checkbox", ":checkbox", ["check1", "check2"] );
+	t( "Form element :text", ":text", ["text1", "text2", "hidden2", "name", "length", "idTest"] );
+	t( "Form element :radio:checked", ":radio:checked", ["radio2"] );
+	t( "Form element :checkbox:checked", ":checkbox:checked", ["check1"] );
+	t( "Form element :checkbox:checked, :radio:checked", ":checkbox:checked, :radio:checked", ["check1", "radio2"] );
+});
+
+test("basic xpath", function() {
+	expect(17);
+	ok( jQuery.find("//*").length >= 30, "All Elements (//*)" );
+	ok( jQuery.find("//div", q("main")[0])[0] = q("foo")[0], "All Relative (#main//div)" );
+	t( "All P Elements", "//p", ["firstp","ap","sndp","en","sap","first"] );
+	t( "Absolute Path", "/html/body", ["body"] );
+	t( "Absolute Path w/ *", "/* /body", ["body"] );
+	t( "Long Absolute Path", "/html/body/dl/div/div/p", ["sndp","en","sap"] );
+	t( "Absolute and Relative Paths", "/html//p", ["firstp","ap","sndp","en","sap","first"] );
+	t( "All Children, Explicit", "//code/*", ["anchor1","anchor2"] );
+	t( "All Children, Implicit", "//code/", ["anchor1","anchor2"] );
+	t( "Attribute Exists", "//a[@title]", ["google"] );
+	t( "Attribute Equals", "//a[@rel='bookmark']", ["simon1"] );
+	t( "Parent Axis", "//p/..", ["main","foo"] );
+	t( "Sibling Axis", "//p/../", ["firstp","ap","foo","first","firstUL","empty","form","floatTest","iframe","lengthtest","table","fx-queue","fx-tests","sndp","en","sap"] );
+	t( "Sibling Axis", "//p/../*", ["firstp","ap","foo","first","firstUL","empty","form","floatTest","iframe","lengthtest","table","fx-queue","fx-tests","sndp","en","sap"] );
+	t( "Has Children", "//p[a]", ["firstp","ap","en","sap"] );
+	t( "Has Children - :has()", "//p:has(a)", ["firstp","ap","en","sap"] );
+	
+	$("#foo").each(function() {
+		isSet( $("/p", this).get(), q("sndp", "en", "sap"), "Check XPath context" );
+	});
+});
diff -pruN 0.7-6/debian/patches/series 0.7.1-2/debian/patches/series
--- 0.7-6/debian/patches/series	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/patches/series	2019-02-02 12:53:58.000000000 +0000
@@ -1,4 +0,0 @@
-issue602.patch
-fix_tests_failure_with_python27.patch
-issue582.patch
-issue566.patch
diff -pruN 0.7-6/debian/python-genshi-doc.doc-base 0.7.1-2/debian/python-genshi-doc.doc-base
--- 0.7-6/debian/python-genshi-doc.doc-base	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/python-genshi-doc.doc-base	2019-02-02 13:24:20.000000000 +0000
@@ -4,10 +4,6 @@ Author: Edgewall Software <info@edgewall
 Abstract: This documentation describes genshi usage and its API
 Section: Programming/Python
 
-Format: HTML
-Index: /usr/share/doc/python-genshi-doc/html/index.html
-Files: /usr/share/doc/python-genshi-doc/html/*.html
-
 Format: Text
 Index: /usr/share/doc/python-genshi-doc/txt/index.txt
 Files: /usr/share/doc/python-genshi-doc/txt/*.txt
diff -pruN 0.7-6/debian/python-genshi-doc.examples 0.7.1-2/debian/python-genshi-doc.examples
--- 0.7-6/debian/python-genshi-doc.examples	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/python-genshi-doc.examples	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-examples/*
diff -pruN 0.7-6/debian/python-genshi-doc.install 0.7.1-2/debian/python-genshi-doc.install
--- 0.7-6/debian/python-genshi-doc.install	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/python-genshi-doc.install	2019-02-02 15:04:33.000000000 +0000
@@ -1,6 +1,7 @@
-doc/*.gif		usr/share/doc/python-genshi-doc/html
-doc/*.html		usr/share/doc/python-genshi-doc/html
-doc/*.png		usr/share/doc/python-genshi-doc/html
+#doc/*.gif		usr/share/doc/python-genshi-doc/html
+#doc/*.html		usr/share/doc/python-genshi-doc/html
+#doc/*.png		usr/share/doc/python-genshi-doc/html
 doc/*.txt		usr/share/doc/python-genshi-doc/txt
-doc/api			usr/share/doc/python-genshi-doc/html
-doc/common/style	usr/share/doc/python-genshi-doc/html/common
+#doc/api			usr/share/doc/python-genshi-doc/html
+#doc/common/style	usr/share/doc/python-genshi-doc/html/common
+examples/*		usr/share/doc/python-genshi-doc/examples
diff -pruN 0.7-6/debian/rules 0.7.1-2/debian/rules
--- 0.7-6/debian/rules	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/rules	2019-02-03 10:39:28.000000000 +0000
@@ -10,35 +10,4 @@ export PYBUILD_NAME=genshi
 override_dh_clean:
 	dh_clean -O--buildsystem=pybuild
 	rm -f genshi/_speedups.so
-
-## SVN snapshot (changelog entry with a version: a.b.c~svnREVISION-d)
-## Get the source  from the SVN upstream repository,  then generate the
-## documentation (which is  in the release tarballs but  not in the SVN
-## repository and requires  python-docutils and python-epydoc packages)
-## and finally create the tarball
-#SVN_URL := https://svn.edgewall.org/repos/genshi/trunk
-#SVN_REVISION := $(shell echo $(DEB_UPSTREAM_VERSION)|sed 's/.*~svn\([0-9]*\)/\1/')
-#SVN_DEB_TARBALL_DIR := $(CURDIR)/debian/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
-#SVN_DEB_TARBALL :=  $(CURDIR)/../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-#
-## Adapted to CDBS and Genshi from:
-##  http://wiki.debian.org/SandroTosi/Svn_get-orig-source
-#get-orig-source:
-#	-rm -rf $(SVN_DEB_TARBALL_DIR) $(SVN_DEB_TARBALL)
-#
-#	svn export -r $(SVN_REVISION) $(SVN_URL) $(SVN_DEB_TARBALL_DIR)
-#
-#	( cd $(SVN_DEB_TARBALL_DIR) && python setup.py build_doc )
-#
-#	# Get rid of byte-compile files created when building the
-#	# documentation
-#	find $(SVN_DEB_TARBALL_DIR) -name '*.pyc' -exec rm '{}' \;
-#
-#	GZIP='--best --no-name' tar czf $(SVN_DEB_TARBALL) -C $(SVN_DEB_TARBALL_DIR)/../ \
-#		$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
-#
-#	-rm -rf $(SVN_DEB_TARBALL_DIR)
-#
-#	echo "Created: $(SVN_DEB_TARBALL)"
-#
-#.PHONY: get-orig-source
+	rm -fr Genshi.egg-info/
diff -pruN 0.7-6/debian/tests/control 0.7.1-2/debian/tests/control
--- 0.7-6/debian/tests/control	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/tests/control	2019-02-08 12:24:25.000000000 +0000
@@ -1,4 +1,2 @@
-Test-Command: cd $ADTTMP; /usr/bin/python2 -c "import genshi"
-
-Test-Command: cd $ADTTMP; for py3 in `py3versions -s`; do $py3 -c "import genshi"; done
-Depends: @, python3-all
+Test-Command: tox -e py37
+Depends: tox
diff -pruN 0.7-6/debian/watch 0.7.1-2/debian/watch
--- 0.7-6/debian/watch	2017-06-29 18:20:11.000000000 +0000
+++ 0.7.1-2/debian/watch	2019-02-02 12:40:58.000000000 +0000
@@ -1,2 +1,5 @@
-version=3
-http://ftp.edgewall.com/pub/genshi/Genshi-(.*).tar.gz
+version=4
+# GitHub hosted projects
+opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
+   https://github.com/edgewall/genshi/tags \
+   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
diff -pruN 0.7-6/doc/2000ft.graffle 0.7.1-2/doc/2000ft.graffle
--- 0.7-6/doc/2000ft.graffle	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/doc/2000ft.graffle	2018-09-01 18:55:05.000000000 +0000
@@ -0,0 +1,1333 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>ActiveLayerIndex</key>
+	<integer>0</integer>
+	<key>AutoAdjust</key>
+	<false/>
+	<key>CanvasColor</key>
+	<dict>
+		<key>w</key>
+		<string>1</string>
+	</dict>
+	<key>CanvasOrigin</key>
+	<string>{0, 0}</string>
+	<key>CanvasScale</key>
+	<real>1</real>
+	<key>ColumnAlign</key>
+	<integer>1</integer>
+	<key>ColumnSpacing</key>
+	<real>36</real>
+	<key>CreationDate</key>
+	<string>2006-05-08 14:33:49 +0200</string>
+	<key>Creator</key>
+	<string>chris</string>
+	<key>DisplayScale</key>
+	<string>1 cm = 1 cm</string>
+	<key>GraphDocumentVersion</key>
+	<integer>5</integer>
+	<key>GraphicsList</key>
+	<array>
+		<dict>
+			<key>Bounds</key>
+			<string>{{58.1159, 157}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>54</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 Fragment}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{387.348, 157}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>53</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 TextTemplate}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{241.464, 376}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>52</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 Plain Text Serializer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{126, 376}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>51</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 XHTML Serializer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{241.464, 258}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>50</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 Transformer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Class</key>
+			<string>LineGraphic</string>
+			<key>Head</key>
+			<dict>
+				<key>ID</key>
+				<integer>29</integer>
+			</dict>
+			<key>ID</key>
+			<integer>48</integer>
+			<key>OrthogonalBarAutomatic</key>
+			<true/>
+			<key>OrthogonalBarPosition</key>
+			<real>-1</real>
+			<key>Points</key>
+			<array>
+				<string>{372, 148.88}</string>
+				<string>{317.768, 149.21}</string>
+			</array>
+			<key>Style</key>
+			<dict>
+				<key>stroke</key>
+				<dict>
+					<key>HeadArrow</key>
+					<string>FilledArrow</string>
+					<key>LineType</key>
+					<integer>2</integer>
+					<key>TailArrow</key>
+					<string>0</string>
+				</dict>
+			</dict>
+			<key>Tail</key>
+			<dict>
+				<key>ID</key>
+				<integer>46</integer>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{387.348, 119}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>47</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/wiki/Documentation/xml-templates.html</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 MarkupTemplate}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{372, 99}, {125.232, 99}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Color</key>
+				<dict>
+					<key>b</key>
+					<string>1</string>
+					<key>g</key>
+					<string>1</string>
+					<key>r</key>
+					<string>1</string>
+				</dict>
+				<key>Font</key>
+				<string>Helvetica-Bold</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>46</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>fill</key>
+				<dict>
+					<key>Color</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+					<key>GradientAngle</key>
+					<real>114</real>
+					<key>GradientColor</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+				</dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+				<key>stroke</key>
+				<dict>
+					<key>CornerRadius</key>
+					<real>5</real>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica-BoldOblique;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\i\b\fs24 \cf1 templating}</string>
+				<key>VerticalPad</key>
+				<integer>2</integer>
+			</dict>
+			<key>TextPlacement</key>
+			<integer>0</integer>
+		</dict>
+		<dict>
+			<key>Class</key>
+			<string>LineGraphic</string>
+			<key>Head</key>
+			<dict>
+				<key>ID</key>
+				<integer>29</integer>
+			</dict>
+			<key>ID</key>
+			<integer>45</integer>
+			<key>OrthogonalBarAutomatic</key>
+			<true/>
+			<key>OrthogonalBarPosition</key>
+			<real>-1</real>
+			<key>Points</key>
+			<array>
+				<string>{168, 149.5}</string>
+				<string>{222.232, 149.5}</string>
+			</array>
+			<key>Style</key>
+			<dict>
+				<key>stroke</key>
+				<dict>
+					<key>HeadArrow</key>
+					<string>FilledArrow</string>
+					<key>LineType</key>
+					<integer>2</integer>
+					<key>TailArrow</key>
+					<string>0</string>
+				</dict>
+			</dict>
+			<key>Tail</key>
+			<dict>
+				<key>ID</key>
+				<integer>44</integer>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{58.1159, 119}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>43</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 Element}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Class</key>
+			<string>LineGraphic</string>
+			<key>Head</key>
+			<dict>
+				<key>ID</key>
+				<integer>23</integer>
+			</dict>
+			<key>ID</key>
+			<integer>41</integer>
+			<key>OrthogonalBarAutomatic</key>
+			<true/>
+			<key>OrthogonalBarPosition</key>
+			<real>-1</real>
+			<key>Points</key>
+			<array>
+				<string>{270, 299}</string>
+				<string>{270, 328}</string>
+			</array>
+			<key>Style</key>
+			<dict>
+				<key>stroke</key>
+				<dict>
+					<key>HeadArrow</key>
+					<string>FilledArrow</string>
+					<key>LineType</key>
+					<integer>2</integer>
+					<key>TailArrow</key>
+					<string>0</string>
+				</dict>
+			</dict>
+			<key>Tail</key>
+			<dict>
+				<key>ID</key>
+				<integer>34</integer>
+			</dict>
+		</dict>
+		<dict>
+			<key>Class</key>
+			<string>LineGraphic</string>
+			<key>Head</key>
+			<dict>
+				<key>ID</key>
+				<integer>29</integer>
+			</dict>
+			<key>ID</key>
+			<integer>40</integer>
+			<key>OrthogonalBarAutomatic</key>
+			<true/>
+			<key>OrthogonalBarPosition</key>
+			<real>-1</real>
+			<key>Points</key>
+			<array>
+				<string>{270, 83}</string>
+				<string>{270, 133.5}</string>
+			</array>
+			<key>Style</key>
+			<dict>
+				<key>stroke</key>
+				<dict>
+					<key>HeadArrow</key>
+					<string>FilledArrow</string>
+					<key>LineType</key>
+					<integer>2</integer>
+					<key>TailArrow</key>
+					<string>0</string>
+				</dict>
+			</dict>
+			<key>Tail</key>
+			<dict>
+				<key>ID</key>
+				<integer>26</integer>
+			</dict>
+		</dict>
+		<dict>
+			<key>Class</key>
+			<string>LineGraphic</string>
+			<key>Head</key>
+			<dict>
+				<key>ID</key>
+				<integer>34</integer>
+			</dict>
+			<key>ID</key>
+			<integer>39</integer>
+			<key>OrthogonalBarAutomatic</key>
+			<true/>
+			<key>OrthogonalBarPosition</key>
+			<real>-1</real>
+			<key>Points</key>
+			<array>
+				<string>{270, 165.5}</string>
+				<string>{270, 210}</string>
+			</array>
+			<key>Style</key>
+			<dict>
+				<key>stroke</key>
+				<dict>
+					<key>HeadArrow</key>
+					<string>FilledArrow</string>
+					<key>LineType</key>
+					<integer>2</integer>
+					<key>TailArrow</key>
+					<string>0</string>
+				</dict>
+			</dict>
+			<key>Tail</key>
+			<dict>
+				<key>ID</key>
+				<integer>29</integer>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{241.464, 220}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>37</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 HTML Sanitizer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{126, 220}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>36</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 HTML Form Filler}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{126, 258}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>35</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 I18N Translator}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{116, 210}, {308, 89}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Color</key>
+				<dict>
+					<key>b</key>
+					<string>1</string>
+					<key>g</key>
+					<string>1</string>
+					<key>r</key>
+					<string>1</string>
+				</dict>
+				<key>Font</key>
+				<string>Helvetica-Bold</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>34</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/browser/trunk/markup/filters.py</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>fill</key>
+				<dict>
+					<key>Color</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+					<key>GradientAngle</key>
+					<real>114</real>
+					<key>GradientColor</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+				</dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+				<key>stroke</key>
+				<dict>
+					<key>CornerRadius</key>
+					<real>5</real>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Align</key>
+				<integer>2</integer>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica-BoldOblique;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qr\pardirnatural
+
+\f0\i\b\fs24 \cf1 filtering}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{222.732, 134}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>11</real>
+			</dict>
+			<key>ID</key>
+			<integer>29</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/wiki/Documentation/streams.html</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 Stream}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{240.464, 42}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>28</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 XML Parser}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{126, 42}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>27</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 HTML Parser}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{116, 32}, {308, 51}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Color</key>
+				<dict>
+					<key>b</key>
+					<string>1</string>
+					<key>g</key>
+					<string>1</string>
+					<key>r</key>
+					<string>1</string>
+				</dict>
+				<key>Font</key>
+				<string>Helvetica-Bold</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>26</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/browser/trunk/markup/input.py</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>fill</key>
+				<dict>
+					<key>Color</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+					<key>GradientAngle</key>
+					<real>114</real>
+					<key>GradientColor</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+				</dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+				<key>stroke</key>
+				<dict>
+					<key>CornerRadius</key>
+					<real>5</real>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Align</key>
+				<integer>2</integer>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica-BoldOblique;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qr\pardirnatural
+
+\f0\i\b\fs24 \cf1 parsing}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{241.464, 338}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>25</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 XML Serializer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{126, 338}, {94.5364, 31}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Font</key>
+				<string>Helvetica</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>24</integer>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\fs22 \cf0 HTML Serializer}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{116, 328}, {308, 89}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Color</key>
+				<dict>
+					<key>b</key>
+					<string>1</string>
+					<key>g</key>
+					<string>1</string>
+					<key>r</key>
+					<string>1</string>
+				</dict>
+				<key>Font</key>
+				<string>Helvetica-Bold</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>23</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/browser/trunk/markup/output.py</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>fill</key>
+				<dict>
+					<key>Color</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+					<key>GradientAngle</key>
+					<real>114</real>
+					<key>GradientColor</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+				</dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+				<key>stroke</key>
+				<dict>
+					<key>CornerRadius</key>
+					<real>5</real>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Align</key>
+				<integer>2</integer>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica-BoldOblique;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qr\pardirnatural
+
+\f0\i\b\fs24 \cf1 serialization}</string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Bounds</key>
+			<string>{{42.7682, 100}, {125.232, 99}}</string>
+			<key>Class</key>
+			<string>ShapedGraphic</string>
+			<key>FontInfo</key>
+			<dict>
+				<key>Color</key>
+				<dict>
+					<key>b</key>
+					<string>1</string>
+					<key>g</key>
+					<string>1</string>
+					<key>r</key>
+					<string>1</string>
+				</dict>
+				<key>Font</key>
+				<string>Helvetica-Bold</string>
+				<key>Size</key>
+				<real>12</real>
+			</dict>
+			<key>ID</key>
+			<integer>44</integer>
+			<key>Link</key>
+			<dict>
+				<key>url</key>
+				<string>/wiki/Documentation/builder.html</string>
+			</dict>
+			<key>Shape</key>
+			<string>Rectangle</string>
+			<key>Style</key>
+			<dict>
+				<key>fill</key>
+				<dict>
+					<key>Color</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+					<key>GradientAngle</key>
+					<real>114</real>
+					<key>GradientColor</key>
+					<dict>
+						<key>b</key>
+						<string>0.701961</string>
+						<key>g</key>
+						<string>0.701961</string>
+						<key>r</key>
+						<string>0.701961</string>
+					</dict>
+				</dict>
+				<key>shadow</key>
+				<dict>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+				<key>stroke</key>
+				<dict>
+					<key>CornerRadius</key>
+					<real>5</real>
+					<key>Draws</key>
+					<string>NO</string>
+				</dict>
+			</dict>
+			<key>Text</key>
+			<dict>
+				<key>Text</key>
+				<string>{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
+{\fonttbl\f0\fswiss\fcharset77 Helvetica-BoldOblique;}
+{\colortbl;\red255\green255\blue255;}
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\qc\pardirnatural
+
+\f0\i\b\fs24 \cf1 building}</string>
+				<key>VerticalPad</key>
+				<integer>2</integer>
+			</dict>
+			<key>TextPlacement</key>
+			<integer>0</integer>
+		</dict>
+	</array>
+	<key>GridInfo</key>
+	<dict/>
+	<key>GuidesLocked</key>
+	<string>NO</string>
+	<key>GuidesVisible</key>
+	<string>YES</string>
+	<key>HPages</key>
+	<integer>1</integer>
+	<key>ImageCounter</key>
+	<integer>1</integer>
+	<key>IsPalette</key>
+	<string>NO</string>
+	<key>KeepToScale</key>
+	<false/>
+	<key>Layers</key>
+	<array>
+		<dict>
+			<key>Lock</key>
+			<string>NO</string>
+			<key>Name</key>
+			<string>Ebene 1</string>
+			<key>Print</key>
+			<string>YES</string>
+			<key>View</key>
+			<string>YES</string>
+		</dict>
+	</array>
+	<key>LayoutInfo</key>
+	<dict/>
+	<key>LinksVisible</key>
+	<string>NO</string>
+	<key>MagnetsVisible</key>
+	<string>NO</string>
+	<key>MasterSheets</key>
+	<array>
+		<dict>
+			<key>ActiveLayerIndex</key>
+			<integer>0</integer>
+			<key>AutoAdjust</key>
+			<false/>
+			<key>CanvasColor</key>
+			<dict>
+				<key>w</key>
+				<string>1</string>
+			</dict>
+			<key>CanvasOrigin</key>
+			<string>{0, 0}</string>
+			<key>CanvasScale</key>
+			<real>1</real>
+			<key>ColumnAlign</key>
+			<integer>1</integer>
+			<key>ColumnSpacing</key>
+			<real>36</real>
+			<key>DisplayScale</key>
+			<string>1 cm = 1 cm</string>
+			<key>GraphicsList</key>
+			<array/>
+			<key>GridInfo</key>
+			<dict/>
+			<key>HPages</key>
+			<integer>1</integer>
+			<key>IsPalette</key>
+			<string>NO</string>
+			<key>KeepToScale</key>
+			<false/>
+			<key>Layers</key>
+			<array>
+				<dict>
+					<key>Lock</key>
+					<string>NO</string>
+					<key>Name</key>
+					<string>Ebene 1</string>
+					<key>Print</key>
+					<string>YES</string>
+					<key>View</key>
+					<string>YES</string>
+				</dict>
+			</array>
+			<key>LayoutInfo</key>
+			<dict/>
+			<key>Orientation</key>
+			<integer>2</integer>
+			<key>RowAlign</key>
+			<integer>1</integer>
+			<key>RowSpacing</key>
+			<real>36</real>
+			<key>SheetTitle</key>
+			<string>Master 1</string>
+			<key>UniqueID</key>
+			<integer>1</integer>
+			<key>VPages</key>
+			<integer>1</integer>
+		</dict>
+	</array>
+	<key>ModificationDate</key>
+	<string>2007-06-17 13:12:07 +0200</string>
+	<key>Modifier</key>
+	<string>Christopher Lenz</string>
+	<key>NotesVisible</key>
+	<string>NO</string>
+	<key>Orientation</key>
+	<integer>2</integer>
+	<key>OriginVisible</key>
+	<string>NO</string>
+	<key>PageBreaks</key>
+	<string>YES</string>
+	<key>PrintInfo</key>
+	<dict>
+		<key>NSBottomMargin</key>
+		<array>
+			<string>float</string>
+			<string>36</string>
+		</array>
+		<key>NSLeftMargin</key>
+		<array>
+			<string>float</string>
+			<string>36</string>
+		</array>
+		<key>NSPaperSize</key>
+		<array>
+			<string>size</string>
+			<string>{595, 842}</string>
+		</array>
+		<key>NSRightMargin</key>
+		<array>
+			<string>float</string>
+			<string>36</string>
+		</array>
+		<key>NSTopMargin</key>
+		<array>
+			<string>float</string>
+			<string>36</string>
+		</array>
+	</dict>
+	<key>ReadOnly</key>
+	<string>NO</string>
+	<key>RowAlign</key>
+	<integer>1</integer>
+	<key>RowSpacing</key>
+	<real>36</real>
+	<key>SheetTitle</key>
+	<string>Arbeitsfläche 1</string>
+	<key>SmartAlignmentGuidesActive</key>
+	<string>YES</string>
+	<key>SmartDistanceGuidesActive</key>
+	<string>NO</string>
+	<key>UniqueID</key>
+	<integer>1</integer>
+	<key>UseEntirePage</key>
+	<false/>
+	<key>VPages</key>
+	<integer>1</integer>
+	<key>WindowInfo</key>
+	<dict>
+		<key>CurrentSheet</key>
+		<string>0</string>
+		<key>DrawerOpen</key>
+		<false/>
+		<key>DrawerTab</key>
+		<string>Outline</string>
+		<key>DrawerWidth</key>
+		<real>209</real>
+		<key>FitInWindow</key>
+		<false/>
+		<key>Frame</key>
+		<string>{{64, 119}, {780, 560}}</string>
+		<key>ShowRuler</key>
+		<false/>
+		<key>ShowStatusBar</key>
+		<true/>
+		<key>VisibleRegion</key>
+		<string>{{-121, 0}, {765, 446}}</string>
+		<key>Zoom</key>
+		<string>1</string>
+	</dict>
+</dict>
+</plist>
diff -pruN 0.7-6/doc/api/api-objects.txt 0.7.1-2/doc/api/api-objects.txt
--- 0.7-6/doc/api/api-objects.txt	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/api-objects.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,1236 +0,0 @@
-genshi	genshi-module.html
-genshi.XML	genshi.input-module.html#XML
-genshi.unescape	genshi.core-module.html#unescape
-genshi.HTML	genshi.input-module.html#HTML
-genshi.escape	genshi.output-module.html#escape
-genshi.__package__	genshi-module.html#__package__
-genshi.builder	genshi.builder-module.html
-genshi.builder._kwargs_to_attrs	genshi.builder-module.html#_kwargs_to_attrs
-genshi.builder.tag	genshi.builder-module.html#tag
-genshi.builder.__package__	genshi.builder-module.html#__package__
-genshi.compat	genshi.compat-module.html
-genshi.compat.get_code_params	genshi.compat-module.html#get_code_params
-genshi.compat.build_code_chunk	genshi.compat-module.html#build_code_chunk
-genshi.compat.IS_PYTHON2	genshi.compat-module.html#IS_PYTHON2
-genshi.compat.wrapped_bytes	genshi.compat-module.html#wrapped_bytes
-genshi.compat.__package__	genshi.compat-module.html#__package__
-genshi.compat.stringrepr	genshi.compat-module.html#stringrepr
-genshi.core	genshi.core-module.html
-genshi.core.plaintext	genshi.util-module.html#plaintext
-genshi.core.TEXT	genshi.core-module.html#TEXT
-genshi.core.DOCTYPE	genshi.core-module.html#DOCTYPE
-genshi.core.XML_DECL	genshi.core-module.html#XML_DECL
-genshi.core.escape	genshi.core-module.html#escape
-genshi.core.COMMENT	genshi.core-module.html#COMMENT
-genshi.core.START_NS	genshi.core-module.html#START_NS
-genshi.core.__package__	genshi.core-module.html#__package__
-genshi.core._ensure	genshi.core-module.html#_ensure
-genshi.core.PI	genshi.core-module.html#PI
-genshi.core.START_CDATA	genshi.core-module.html#START_CDATA
-genshi.core.END	genshi.core-module.html#END
-genshi.core.striptags	genshi.util-module.html#striptags
-genshi.core.stripentities	genshi.util-module.html#stripentities
-genshi.core.START	genshi.core-module.html#START
-genshi.core.stringrepr	genshi.compat-module.html#stringrepr
-genshi.core.XML_NAMESPACE	genshi.core-module.html#XML_NAMESPACE
-genshi.core.unescape	genshi.core-module.html#unescape
-genshi.core.END_NS	genshi.core-module.html#END_NS
-genshi.core.END_CDATA	genshi.core-module.html#END_CDATA
-genshi.filters	genshi.filters-module.html
-genshi.filters.__package__	genshi.filters-module.html#__package__
-genshi.filters.html	genshi.filters.html-module.html
-genshi.filters.html.stripentities	genshi.util-module.html#stripentities
-genshi.filters.html.__package__	genshi.filters.html-module.html#__package__
-genshi.filters.i18n	genshi.filters.i18n-module.html
-genshi.filters.i18n.MSGBUF	genshi.filters.i18n-module.html#MSGBUF
-genshi.filters.i18n._apply_directives	genshi.template.base-module.html#_apply_directives
-genshi.filters.i18n.extract	genshi.filters.i18n-module.html#extract
-genshi.filters.i18n._ensure	genshi.core-module.html#_ensure
-genshi.filters.i18n.__package__	genshi.filters.i18n-module.html#__package__
-genshi.filters.i18n.I18N_NAMESPACE	genshi.filters.i18n-module.html#I18N_NAMESPACE
-genshi.filters.i18n.parse_msg	genshi.filters.i18n-module.html#parse_msg
-genshi.filters.i18n.SUB_START	genshi.filters.i18n-module.html#SUB_START
-genshi.filters.i18n.extract_from_code	genshi.filters.i18n-module.html#extract_from_code
-genshi.filters.i18n.GETTEXT_FUNCTIONS	genshi.filters.i18n-module.html#GETTEXT_FUNCTIONS
-genshi.filters.i18n.SUB_END	genshi.filters.i18n-module.html#SUB_END
-genshi.filters.transform	genshi.filters.transform-module.html
-genshi.filters.transform.OUTSIDE	genshi.filters.transform-module.html#OUTSIDE
-genshi.filters.transform.__package__	genshi.filters.transform-module.html#__package__
-genshi.filters.transform.ATTR	genshi.filters.transform-module.html#ATTR
-genshi.filters.transform.ENTER	genshi.filters.transform-module.html#ENTER
-genshi.filters.transform.INSIDE	genshi.filters.transform-module.html#INSIDE
-genshi.filters.transform.BREAK	genshi.filters.transform-module.html#BREAK
-genshi.filters.transform._ensure	genshi.core-module.html#_ensure
-genshi.filters.transform.EXIT	genshi.filters.transform-module.html#EXIT
-genshi.input	genshi.input-module.html
-genshi.input._coalesce	genshi.input-module.html#_coalesce
-genshi.input.__package__	genshi.input-module.html#__package__
-genshi.input.HTML	genshi.input-module.html#HTML
-genshi.input.BytesIO	genshi.compat-module.html#BytesIO
-genshi.input.XML	genshi.input-module.html#XML
-genshi.input.stripentities	genshi.util-module.html#stripentities
-genshi.input.ET	genshi.input-module.html#ET
-genshi.output	genshi.output-module.html
-genshi.output._prepare_cache	genshi.output-module.html#_prepare_cache
-genshi.output.escape	genshi.output-module.html#escape
-genshi.output.__package__	genshi.output-module.html#__package__
-genshi.output.EMPTY	genshi.output-module.html#EMPTY
-genshi.output.get_serializer	genshi.output-module.html#get_serializer
-genshi.output.encode	genshi.output-module.html#encode
-genshi.path	genshi.path-module.html
-genshi.path.__package__	genshi.path-module.html#__package__
-genshi.path._operator_map	genshi.path-module.html#_operator_map
-genshi.path.DESCENDANT_OR_SELF	genshi.path-module.html#DESCENDANT_OR_SELF
-genshi.path.as_string	genshi.path-module.html#as_string
-genshi.path.as_long	genshi.path-module.html#as_long
-genshi.path._DOTSLASH	genshi.path-module.html#_DOTSLASH
-genshi.path.as_float	genshi.path-module.html#as_float
-genshi.path._DOTSLASHSLASH	genshi.path-module.html#_DOTSLASHSLASH
-genshi.path._nodetest_map	genshi.path-module.html#_nodetest_map
-genshi.path.DESCENDANT	genshi.path-module.html#DESCENDANT
-genshi.path._function_map	genshi.path-module.html#_function_map
-genshi.path.ATTRIBUTE	genshi.path-module.html#ATTRIBUTE
-genshi.path.SELF	genshi.path-module.html#SELF
-genshi.path.as_bool	genshi.path-module.html#as_bool
-genshi.path.CHILD	genshi.path-module.html#CHILD
-genshi.path.as_scalar	genshi.path-module.html#as_scalar
-genshi.template	genshi.template-module.html
-genshi.template.__package__	genshi.template-module.html#__package__
-genshi.template._ast24	genshi.template._ast24-module.html
-genshi.template._ast24.__package__	genshi.template._ast24-module.html#__package__
-genshi.template.ast24	genshi.template.ast24-module.html
-genshi.template.ast24.__warningregistry__	genshi.template.ast24-module.html#__warningregistry__
-genshi.template.ast24._new	genshi.template.ast24-module.html#_new
-genshi.template.ast24.__package__	genshi.template.ast24-module.html#__package__
-genshi.template.ast24.parse	genshi.template.ast24-module.html#parse
-genshi.template.astutil	genshi.template.astutil-module.html
-genshi.template.astutil.__package__	genshi.template.astutil-module.html#__package__
-genshi.template.astutil.parse	genshi.template.astutil-module.html#parse
-genshi.template.base	genshi.template.base-module.html
-genshi.template.base.SUB	genshi.template.base-module.html#SUB
-genshi.template.base._exec_suite	genshi.template.base-module.html#_exec_suite
-genshi.template.base._apply_directives	genshi.template.base-module.html#_apply_directives
-genshi.template.base._eval_expr	genshi.template.base-module.html#_eval_expr
-genshi.template.base.EXPR	genshi.template.base-module.html#EXPR
-genshi.template.base.EXEC	genshi.template.base-module.html#EXEC
-genshi.template.base.__package__	genshi.template.base-module.html#__package__
-genshi.template.base._ensure	genshi.core-module.html#_ensure
-genshi.template.base.BytesIO	genshi.compat-module.html#BytesIO
-genshi.template.base.INCLUDE	genshi.template.base-module.html#INCLUDE
-genshi.template.directives	genshi.template.directives-module.html
-genshi.template.directives._assignment	genshi.template.directives-module.html#_assignment
-genshi.template.directives._apply_directives	genshi.template.base-module.html#_apply_directives
-genshi.template.directives._eval_expr	genshi.template.base-module.html#_eval_expr
-genshi.template.directives.__package__	genshi.template.directives-module.html#__package__
-genshi.template.directives._parse	genshi.template.eval-module.html#_parse
-genshi.template.eval	genshi.template.eval-module.html
-genshi.template.eval.UNDEFINED	genshi.template.eval-module.html#UNDEFINED
-genshi.template.eval.parse	genshi.template.astutil-module.html#parse
-genshi.template.eval._star_import_patch	genshi.template.eval-module.html#_star_import_patch
-genshi.template.eval.BUILTINS	genshi.template.eval-module.html#BUILTINS
-genshi.template.eval.has_star_import_bug	genshi.template.eval-module.html#has_star_import_bug
-genshi.template.eval.build_code_chunk	genshi.compat-module.html#build_code_chunk
-genshi.template.eval.__package__	genshi.template.eval-module.html#__package__
-genshi.template.eval._compile	genshi.template.eval-module.html#_compile
-genshi.template.eval._new	genshi.template.eval-module.html#_new
-genshi.template.eval.get_code_params	genshi.compat-module.html#get_code_params
-genshi.template.eval._parse	genshi.template.eval-module.html#_parse
-genshi.template.eval.CONSTANTS	genshi.template.eval-module.html#CONSTANTS
-genshi.template.eval.flatten	genshi.util-module.html#flatten
-genshi.template.interpolation	genshi.template.interpolation-module.html
-genshi.template.interpolation.NAMESTART	genshi.template.interpolation-module.html#NAMESTART
-genshi.template.interpolation.interpolate	genshi.template.interpolation-module.html#interpolate
-genshi.template.interpolation.__package__	genshi.template.interpolation-module.html#__package__
-genshi.template.interpolation.NAMECHARS	genshi.template.interpolation-module.html#NAMECHARS
-genshi.template.interpolation.PREFIX	genshi.template.interpolation-module.html#PREFIX
-genshi.template.interpolation.lex	genshi.template.interpolation-module.html#lex
-genshi.template.interpolation.token_re	genshi.template.interpolation-module.html#token_re
-genshi.template.loader	genshi.template.loader-module.html
-genshi.template.loader.package	genshi.template.loader-module.html#package
-genshi.template.loader.prefixed	genshi.template.loader-module.html#prefixed
-genshi.template.loader.__package__	genshi.template.loader-module.html#__package__
-genshi.template.loader.directory	genshi.template.loader-module.html#directory
-genshi.template.markup	genshi.template.markup-module.html
-genshi.template.markup._apply_directives	genshi.template.base-module.html#_apply_directives
-genshi.template.markup.__package__	genshi.template.markup-module.html#__package__
-genshi.template.markup.interpolate	genshi.template.interpolation-module.html#interpolate
-genshi.template.plugin	genshi.template.plugin-module.html
-genshi.template.plugin.XML	genshi.input-module.html#XML
-genshi.template.plugin.HTML	genshi.input-module.html#HTML
-genshi.template.plugin.ET	genshi.input-module.html#ET
-genshi.template.plugin.__package__	genshi.template.plugin-module.html#__package__
-genshi.template.text	genshi.template.text-module.html
-genshi.template.text.__package__	genshi.template.text-module.html#__package__
-genshi.template.text.interpolate	genshi.template.interpolation-module.html#interpolate
-genshi.util	genshi.util-module.html
-genshi.util.all	genshi.compat-module.html#all
-genshi.util.plaintext	genshi.util-module.html#plaintext
-genshi.util.striptags	genshi.util-module.html#striptags
-genshi.util.stripentities	genshi.util-module.html#stripentities
-genshi.util._STRIPENTITIES_RE	genshi.util-module.html#_STRIPENTITIES_RE
-genshi.util._STRIPTAGS_RE	genshi.util-module.html#_STRIPTAGS_RE
-genshi.util.flatten	genshi.util-module.html#flatten
-genshi.util.__package__	genshi.util-module.html#__package__
-genshi.util.stringrepr	genshi.compat-module.html#stringrepr
-genshi.util.any	genshi.compat-module.html#any
-genshi.builder.Element	genshi.builder.Element-class.html
-genshi.builder.Fragment.__str__	genshi.builder.Fragment-class.html#__str__
-genshi.builder.Element.tag	genshi.builder.Element-class.html#tag
-genshi.builder.Element._generate	genshi.builder.Element-class.html#_generate
-genshi.builder.Fragment.children	genshi.builder.Fragment-class.html#children
-genshi.builder.Fragment.append	genshi.builder.Fragment-class.html#append
-genshi.builder.Element.__init__	genshi.builder.Element-class.html#__init__
-genshi.builder.Element.__call__	genshi.builder.Element-class.html#__call__
-genshi.builder.Fragment.__iter__	genshi.builder.Fragment-class.html#__iter__
-genshi.builder.Fragment.__add__	genshi.builder.Fragment-class.html#__add__
-genshi.builder.Element.generate	genshi.builder.Element-class.html#generate
-genshi.builder.Fragment.__unicode__	genshi.builder.Fragment-class.html#__unicode__
-genshi.builder.Element.__repr__	genshi.builder.Element-class.html#__repr__
-genshi.builder.Element.attrib	genshi.builder.Element-class.html#attrib
-genshi.builder.Fragment.__html__	genshi.builder.Fragment-class.html#__html__
-genshi.builder.ElementFactory	genshi.builder.ElementFactory-class.html
-genshi.builder.ElementFactory.__getitem__	genshi.builder.ElementFactory-class.html#__getitem__
-genshi.builder.ElementFactory.__getattr__	genshi.builder.ElementFactory-class.html#__getattr__
-genshi.builder.ElementFactory.__call__	genshi.builder.ElementFactory-class.html#__call__
-genshi.builder.ElementFactory.__init__	genshi.builder.ElementFactory-class.html#__init__
-genshi.builder.Fragment	genshi.builder.Fragment-class.html
-genshi.builder.Fragment.__str__	genshi.builder.Fragment-class.html#__str__
-genshi.builder.Fragment._generate	genshi.builder.Fragment-class.html#_generate
-genshi.builder.Fragment.children	genshi.builder.Fragment-class.html#children
-genshi.builder.Fragment.append	genshi.builder.Fragment-class.html#append
-genshi.builder.Fragment.__init__	genshi.builder.Fragment-class.html#__init__
-genshi.builder.Fragment.__call__	genshi.builder.Fragment-class.html#__call__
-genshi.builder.Fragment.__iter__	genshi.builder.Fragment-class.html#__iter__
-genshi.builder.Fragment.__add__	genshi.builder.Fragment-class.html#__add__
-genshi.builder.Fragment.generate	genshi.builder.Fragment-class.html#generate
-genshi.builder.Fragment.__unicode__	genshi.builder.Fragment-class.html#__unicode__
-genshi.builder.Fragment.__repr__	genshi.builder.Fragment-class.html#__repr__
-genshi.builder.Fragment.__html__	genshi.builder.Fragment-class.html#__html__
-genshi.core.Attrs	genshi.core.Attrs-class.html
-genshi.core.Attrs.__getslice__	genshi.core.Attrs-class.html#__getslice__
-genshi.core.Attrs.__contains__	genshi.core.Attrs-class.html#__contains__
-genshi.core.Attrs.__getitem__	genshi.core.Attrs-class.html#__getitem__
-genshi.core.Attrs.get	genshi.core.Attrs-class.html#get
-genshi.core.Attrs.__or__	genshi.core.Attrs-class.html#__or__
-genshi.core.Attrs.__repr__	genshi.core.Attrs-class.html#__repr__
-genshi.core.Attrs.totuple	genshi.core.Attrs-class.html#totuple
-genshi.core.Attrs.__sub__	genshi.core.Attrs-class.html#__sub__
-genshi.core.Markup	genshi.core.Markup-class.html
-genshi.core.Markup.__radd__	genshi.core.Markup-class.html#__radd__
-genshi.core.Markup.__rmul__	genshi.core.Markup-class.html#__rmul__
-genshi.core.Markup.escape	genshi.core.Markup-class.html#escape
-genshi.core.Markup.__repr__	genshi.core.Markup-class.html#__repr__
-genshi.core.Markup.striptags	genshi.core.Markup-class.html#striptags
-genshi.core.Markup.stripentities	genshi.core.Markup-class.html#stripentities
-genshi.core.Markup.__add__	genshi.core.Markup-class.html#__add__
-genshi.core.Markup.unescape	genshi.core.Markup-class.html#unescape
-genshi.core.Markup.join	genshi.core.Markup-class.html#join
-genshi.core.Markup.__mod__	genshi.core.Markup-class.html#__mod__
-genshi.core.Markup.__mul__	genshi.core.Markup-class.html#__mul__
-genshi.core.Namespace	genshi.core.Namespace-class.html
-genshi.core.Namespace.__str__	genshi.core.Namespace-class.html#__str__
-genshi.core.Namespace.__getnewargs__	genshi.core.Namespace-class.html#__getnewargs__
-genshi.core.Namespace.__init__	genshi.core.Namespace-class.html#__init__
-genshi.core.Namespace.__new__	genshi.core.Namespace-class.html#__new__
-genshi.core.Namespace.__contains__	genshi.core.Namespace-class.html#__contains__
-genshi.core.Namespace.__getattr__	genshi.core.Namespace-class.html#__getattr__
-genshi.core.Namespace.__getstate__	genshi.core.Namespace-class.html#__getstate__
-genshi.core.Namespace.__ne__	genshi.core.Namespace-class.html#__ne__
-genshi.core.Namespace.__getitem__	genshi.core.Namespace-class.html#__getitem__
-genshi.core.Namespace.__setstate__	genshi.core.Namespace-class.html#__setstate__
-genshi.core.Namespace.__eq__	genshi.core.Namespace-class.html#__eq__
-genshi.core.Namespace.__unicode__	genshi.core.Namespace-class.html#__unicode__
-genshi.core.Namespace.__repr__	genshi.core.Namespace-class.html#__repr__
-genshi.core.Namespace.__hash__	genshi.core.Namespace-class.html#__hash__
-genshi.core.QName	genshi.core.QName-class.html
-genshi.core.QName.localname	genshi.core.QName-class.html#localname
-genshi.core.QName.__getnewargs__	genshi.core.QName-class.html#__getnewargs__
-genshi.core.QName.__new__	genshi.core.QName-class.html#__new__
-genshi.core.QName.namespace	genshi.core.QName-class.html#namespace
-genshi.core.QName.__repr__	genshi.core.QName-class.html#__repr__
-genshi.core.Stream	genshi.core.Stream-class.html
-genshi.core.Stream.render	genshi.core.Stream-class.html#render
-genshi.core.Stream.TEXT	genshi.core.Stream-class.html#TEXT
-genshi.core.Stream.__str__	genshi.core.Stream-class.html#__str__
-genshi.core.Stream.serialize	genshi.core.Stream-class.html#serialize
-genshi.core.Stream.DOCTYPE	genshi.core.Stream-class.html#DOCTYPE
-genshi.core.Stream.XML_DECL	genshi.core.Stream-class.html#XML_DECL
-genshi.core.Stream.__init__	genshi.core.Stream-class.html#__init__
-genshi.core.Stream.COMMENT	genshi.core.Stream-class.html#COMMENT
-genshi.core.Stream.START_NS	genshi.core.Stream-class.html#START_NS
-genshi.core.Stream.select	genshi.core.Stream-class.html#select
-genshi.core.Stream.PI	genshi.core.Stream-class.html#PI
-genshi.core.Stream.events	genshi.core.Stream-class.html#events
-genshi.core.Stream.START_CDATA	genshi.core.Stream-class.html#START_CDATA
-genshi.core.Stream.END	genshi.core.Stream-class.html#END
-genshi.core.Stream.START	genshi.core.Stream-class.html#START
-genshi.core.Stream.__iter__	genshi.core.Stream-class.html#__iter__
-genshi.core.Stream.__or__	genshi.core.Stream-class.html#__or__
-genshi.core.Stream.__unicode__	genshi.core.Stream-class.html#__unicode__
-genshi.core.Stream.END_NS	genshi.core.Stream-class.html#END_NS
-genshi.core.Stream.filter	genshi.core.Stream-class.html#filter
-genshi.core.Stream.__html__	genshi.core.Stream-class.html#__html__
-genshi.core.Stream.END_CDATA	genshi.core.Stream-class.html#END_CDATA
-genshi.core.Stream.serializer	genshi.core.Stream-class.html#serializer
-genshi.filters.html.HTMLFormFiller	genshi.filters.html.HTMLFormFiller-class.html
-genshi.filters.html.HTMLFormFiller.__call__	genshi.filters.html.HTMLFormFiller-class.html#__call__
-genshi.filters.html.HTMLFormFiller.__init__	genshi.filters.html.HTMLFormFiller-class.html#__init__
-genshi.filters.html.HTMLSanitizer	genshi.filters.html.HTMLSanitizer-class.html
-genshi.filters.html.HTMLSanitizer.is_safe_elem	genshi.filters.html.HTMLSanitizer-class.html#is_safe_elem
-genshi.filters.html.HTMLSanitizer._replace_unicode_escapes	genshi.filters.html.HTMLSanitizer-class.html#_replace_unicode_escapes
-genshi.filters.html.HTMLSanitizer.__init__	genshi.filters.html.HTMLSanitizer-class.html#__init__
-genshi.filters.html.HTMLSanitizer._URL_FINDITER	genshi.filters.html.HTMLSanitizer-class.html#_URL_FINDITER
-genshi.filters.html.HTMLSanitizer.URI_ATTRS	genshi.filters.html.HTMLSanitizer-class.html#URI_ATTRS
-genshi.filters.html.HTMLSanitizer.SAFE_TAGS	genshi.filters.html.HTMLSanitizer-class.html#SAFE_TAGS
-genshi.filters.html.HTMLSanitizer.__call__	genshi.filters.html.HTMLSanitizer-class.html#__call__
-genshi.filters.html.HTMLSanitizer._NORMALIZE_NEWLINES	genshi.filters.html.HTMLSanitizer-class.html#_NORMALIZE_NEWLINES
-genshi.filters.html.HTMLSanitizer._strip_css_comments	genshi.filters.html.HTMLSanitizer-class.html#_strip_css_comments
-genshi.filters.html.HTMLSanitizer._CSS_COMMENTS	genshi.filters.html.HTMLSanitizer-class.html#_CSS_COMMENTS
-genshi.filters.html.HTMLSanitizer.SAFE_SCHEMES	genshi.filters.html.HTMLSanitizer-class.html#SAFE_SCHEMES
-genshi.filters.html.HTMLSanitizer.sanitize_css	genshi.filters.html.HTMLSanitizer-class.html#sanitize_css
-genshi.filters.html.HTMLSanitizer.is_safe_css	genshi.filters.html.HTMLSanitizer-class.html#is_safe_css
-genshi.filters.html.HTMLSanitizer.SAFE_CSS	genshi.filters.html.HTMLSanitizer-class.html#SAFE_CSS
-genshi.filters.html.HTMLSanitizer.is_safe_uri	genshi.filters.html.HTMLSanitizer-class.html#is_safe_uri
-genshi.filters.html.HTMLSanitizer.SAFE_ATTRS	genshi.filters.html.HTMLSanitizer-class.html#SAFE_ATTRS
-genshi.filters.html.HTMLSanitizer._EXPRESSION_SEARCH	genshi.filters.html.HTMLSanitizer-class.html#_EXPRESSION_SEARCH
-genshi.filters.html.HTMLSanitizer._UNICODE_ESCAPE	genshi.filters.html.HTMLSanitizer-class.html#_UNICODE_ESCAPE
-genshi.filters.i18n.Translator	genshi.filters.i18n.Translator-class.html
-genshi.filters.i18n.Translator.INCLUDE_ATTRS	genshi.filters.i18n.Translator-class.html#INCLUDE_ATTRS
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.filters.i18n.Translator.extract	genshi.filters.i18n.Translator-class.html#extract
-genshi.filters.i18n.Translator.__init__	genshi.filters.i18n.Translator-class.html#__init__
-genshi.filters.i18n.Translator.get_directive_index	genshi.filters.i18n.Translator-class.html#get_directive_index
-genshi.filters.i18n.Translator._dir_by_name	genshi.filters.i18n.Translator-class.html#_dir_by_name
-genshi.filters.i18n.Translator.directives	genshi.filters.i18n.Translator-class.html#directives
-genshi.filters.i18n.Translator.__call__	genshi.filters.i18n.Translator-class.html#__call__
-genshi.filters.i18n.Translator.NAMESPACE	genshi.filters.i18n.Translator-class.html#NAMESPACE
-genshi.filters.i18n.Translator._dir_order	genshi.filters.i18n.Translator-class.html#_dir_order
-genshi.filters.i18n.Translator.IGNORE_TAGS	genshi.filters.i18n.Translator-class.html#IGNORE_TAGS
-genshi.filters.i18n.Translator.setup	genshi.filters.i18n.Translator-class.html#setup
-genshi.filters.i18n.Translator._extract_attrs	genshi.filters.i18n.Translator-class.html#_extract_attrs
-genshi.filters.transform.InjectorTransformation	genshi.filters.transform.InjectorTransformation-class.html
-genshi.filters.transform.InjectorTransformation._inject	genshi.filters.transform.InjectorTransformation-class.html#_inject
-genshi.filters.transform.InjectorTransformation.__init__	genshi.filters.transform.InjectorTransformation-class.html#__init__
-genshi.filters.transform.StreamBuffer	genshi.filters.transform.StreamBuffer-class.html
-genshi.core.Stream.render	genshi.core.Stream-class.html#render
-genshi.core.Stream.TEXT	genshi.core.Stream-class.html#TEXT
-genshi.core.Stream.__str__	genshi.core.Stream-class.html#__str__
-genshi.core.Stream.serialize	genshi.core.Stream-class.html#serialize
-genshi.core.Stream.DOCTYPE	genshi.core.Stream-class.html#DOCTYPE
-genshi.core.Stream.XML_DECL	genshi.core.Stream-class.html#XML_DECL
-genshi.core.Stream.select	genshi.core.Stream-class.html#select
-genshi.core.Stream.COMMENT	genshi.core.Stream-class.html#COMMENT
-genshi.core.Stream.START_NS	genshi.core.Stream-class.html#START_NS
-genshi.filters.transform.StreamBuffer.append	genshi.filters.transform.StreamBuffer-class.html#append
-genshi.core.Stream.PI	genshi.core.Stream-class.html#PI
-genshi.core.Stream.events	genshi.core.Stream-class.html#events
-genshi.core.Stream.START_CDATA	genshi.core.Stream-class.html#START_CDATA
-genshi.core.Stream.END	genshi.core.Stream-class.html#END
-genshi.core.Stream.START	genshi.core.Stream-class.html#START
-genshi.core.Stream.__iter__	genshi.core.Stream-class.html#__iter__
-genshi.core.Stream.__or__	genshi.core.Stream-class.html#__or__
-genshi.core.Stream.__unicode__	genshi.core.Stream-class.html#__unicode__
-genshi.filters.transform.StreamBuffer.reset	genshi.filters.transform.StreamBuffer-class.html#reset
-genshi.core.Stream.END_NS	genshi.core.Stream-class.html#END_NS
-genshi.core.Stream.filter	genshi.core.Stream-class.html#filter
-genshi.filters.transform.StreamBuffer.__init__	genshi.filters.transform.StreamBuffer-class.html#__init__
-genshi.core.Stream.__html__	genshi.core.Stream-class.html#__html__
-genshi.core.Stream.END_CDATA	genshi.core.Stream-class.html#END_CDATA
-genshi.core.Stream.serializer	genshi.core.Stream-class.html#serializer
-genshi.filters.transform.Transformer	genshi.filters.transform.Transformer-class.html
-genshi.filters.transform.Transformer.rename	genshi.filters.transform.Transformer-class.html#rename
-genshi.filters.transform.Transformer._mark	genshi.filters.transform.Transformer-class.html#_mark
-genshi.filters.transform.Transformer._unmark	genshi.filters.transform.Transformer-class.html#_unmark
-genshi.filters.transform.Transformer.replace	genshi.filters.transform.Transformer-class.html#replace
-genshi.filters.transform.Transformer.select	genshi.filters.transform.Transformer-class.html#select
-genshi.filters.transform.Transformer.transforms	genshi.filters.transform.Transformer-class.html#transforms
-genshi.filters.transform.Transformer.wrap	genshi.filters.transform.Transformer-class.html#wrap
-genshi.filters.transform.Transformer.apply	genshi.filters.transform.Transformer-class.html#apply
-genshi.filters.transform.Transformer.append	genshi.filters.transform.Transformer-class.html#append
-genshi.filters.transform.Transformer.before	genshi.filters.transform.Transformer-class.html#before
-genshi.filters.transform.Transformer.cut	genshi.filters.transform.Transformer-class.html#cut
-genshi.filters.transform.Transformer.end	genshi.filters.transform.Transformer-class.html#end
-genshi.filters.transform.Transformer.invert	genshi.filters.transform.Transformer-class.html#invert
-genshi.filters.transform.Transformer.prepend	genshi.filters.transform.Transformer-class.html#prepend
-genshi.filters.transform.Transformer.substitute	genshi.filters.transform.Transformer-class.html#substitute
-genshi.filters.transform.Transformer.__call__	genshi.filters.transform.Transformer-class.html#__call__
-genshi.filters.transform.Transformer.empty	genshi.filters.transform.Transformer-class.html#empty
-genshi.filters.transform.Transformer.map	genshi.filters.transform.Transformer-class.html#map
-genshi.filters.transform.Transformer.trace	genshi.filters.transform.Transformer-class.html#trace
-genshi.filters.transform.Transformer.unwrap	genshi.filters.transform.Transformer-class.html#unwrap
-genshi.filters.transform.Transformer.buffer	genshi.filters.transform.Transformer-class.html#buffer
-genshi.filters.transform.Transformer.after	genshi.filters.transform.Transformer-class.html#after
-genshi.filters.transform.Transformer.copy	genshi.filters.transform.Transformer-class.html#copy
-genshi.filters.transform.Transformer.attr	genshi.filters.transform.Transformer-class.html#attr
-genshi.filters.transform.Transformer.remove	genshi.filters.transform.Transformer-class.html#remove
-genshi.filters.transform.Transformer.filter	genshi.filters.transform.Transformer-class.html#filter
-genshi.filters.transform.Transformer.__init__	genshi.filters.transform.Transformer-class.html#__init__
-genshi.input.HTMLParser	genshi.input.HTMLParser-class.html
-genshi.input.HTMLParser.parse	genshi.input.HTMLParser-class.html#parse
-genshi.input.HTMLParser.handle_entityref	genshi.input.HTMLParser-class.html#handle_entityref
-genshi.input.HTMLParser.handle_starttag	genshi.input.HTMLParser-class.html#handle_starttag
-genshi.input.HTMLParser.handle_comment	genshi.input.HTMLParser-class.html#handle_comment
-genshi.input.HTMLParser._EMPTY_ELEMS	genshi.input.HTMLParser-class.html#_EMPTY_ELEMS
-genshi.input.HTMLParser._getpos	genshi.input.HTMLParser-class.html#_getpos
-genshi.input.HTMLParser.__init__	genshi.input.HTMLParser-class.html#__init__
-genshi.input.HTMLParser.handle_endtag	genshi.input.HTMLParser-class.html#handle_endtag
-genshi.input.HTMLParser.handle_charref	genshi.input.HTMLParser-class.html#handle_charref
-genshi.input.HTMLParser.handle_pi	genshi.input.HTMLParser-class.html#handle_pi
-genshi.input.HTMLParser.__iter__	genshi.input.HTMLParser-class.html#__iter__
-genshi.input.HTMLParser._enqueue	genshi.input.HTMLParser-class.html#_enqueue
-genshi.input.HTMLParser.handle_data	genshi.input.HTMLParser-class.html#handle_data
-genshi.input.ParseError	genshi.input.ParseError-class.html
-genshi.input.ParseError.__init__	genshi.input.ParseError-class.html#__init__
-genshi.input.XMLParser	genshi.input.XMLParser-class.html
-genshi.input.XMLParser.parse	genshi.input.XMLParser-class.html#parse
-genshi.input.XMLParser._entitydefs	genshi.input.XMLParser-class.html#_entitydefs
-genshi.input.XMLParser._build_foreign	genshi.input.XMLParser-class.html#_build_foreign
-genshi.input.XMLParser._handle_pi	genshi.input.XMLParser-class.html#_handle_pi
-genshi.input.XMLParser._handle_start_ns	genshi.input.XMLParser-class.html#_handle_start_ns
-genshi.input.XMLParser._handle_end	genshi.input.XMLParser-class.html#_handle_end
-genshi.input.XMLParser.__init__	genshi.input.XMLParser-class.html#__init__
-genshi.input.XMLParser._getpos_unknown	genshi.input.XMLParser-class.html#_getpos_unknown
-genshi.input.XMLParser._handle_start	genshi.input.XMLParser-class.html#_handle_start
-genshi.input.XMLParser._external_dtd	genshi.input.XMLParser-class.html#_external_dtd
-genshi.input.XMLParser._handle_end_cdata	genshi.input.XMLParser-class.html#_handle_end_cdata
-genshi.input.XMLParser._getpos	genshi.input.XMLParser-class.html#_getpos
-genshi.input.XMLParser._handle_comment	genshi.input.XMLParser-class.html#_handle_comment
-genshi.input.XMLParser.__iter__	genshi.input.XMLParser-class.html#__iter__
-genshi.input.XMLParser._handle_start_cdata	genshi.input.XMLParser-class.html#_handle_start_cdata
-genshi.input.XMLParser._enqueue	genshi.input.XMLParser-class.html#_enqueue
-genshi.input.XMLParser._handle_data	genshi.input.XMLParser-class.html#_handle_data
-genshi.input.XMLParser._handle_xml_decl	genshi.input.XMLParser-class.html#_handle_xml_decl
-genshi.input.XMLParser.name	genshi.input.XMLParser-class.html#name
-genshi.input.XMLParser.value	genshi.input.XMLParser-class.html#value
-genshi.input.XMLParser._handle_end_ns	genshi.input.XMLParser-class.html#_handle_end_ns
-genshi.input.XMLParser._handle_other	genshi.input.XMLParser-class.html#_handle_other
-genshi.input.XMLParser._handle_doctype	genshi.input.XMLParser-class.html#_handle_doctype
-genshi.output.DocType	genshi.output.DocType-class.html
-genshi.output.DocType.HTML_FRAMESET	genshi.output.DocType-class.html#HTML_FRAMESET
-genshi.output.DocType.XHTML_STRICT	genshi.output.DocType-class.html#XHTML_STRICT
-genshi.output.DocType.SVG_BASIC	genshi.output.DocType-class.html#SVG_BASIC
-genshi.output.DocType.XHTML_TRANSITIONAL	genshi.output.DocType-class.html#XHTML_TRANSITIONAL
-genshi.output.DocType.get	genshi.output.DocType-class.html#get
-genshi.output.DocType.SVG_TINY	genshi.output.DocType-class.html#SVG_TINY
-genshi.output.DocType.HTML	genshi.output.DocType-class.html#HTML
-genshi.output.DocType.SVG_FULL	genshi.output.DocType-class.html#SVG_FULL
-genshi.output.DocType.HTML_TRANSITIONAL	genshi.output.DocType-class.html#HTML_TRANSITIONAL
-genshi.output.DocType.SVG	genshi.output.DocType-class.html#SVG
-genshi.output.DocType.HTML5	genshi.output.DocType-class.html#HTML5
-genshi.output.DocType.HTML_STRICT	genshi.output.DocType-class.html#HTML_STRICT
-genshi.output.DocType.XHTML_FRAMESET	genshi.output.DocType-class.html#XHTML_FRAMESET
-genshi.output.DocType.XHTML11	genshi.output.DocType-class.html#XHTML11
-genshi.output.DocType.XHTML	genshi.output.DocType-class.html#XHTML
-genshi.output.HTMLSerializer	genshi.output.HTMLSerializer-class.html
-genshi.output.XHTMLSerializer._PRESERVE_SPACE	genshi.output.XHTMLSerializer-class.html#_PRESERVE_SPACE
-genshi.output.XMLSerializer._prepare_cache	genshi.output.XMLSerializer-class.html#_prepare_cache
-genshi.output.XHTMLSerializer._BOOLEAN_ATTRS	genshi.output.XHTMLSerializer-class.html#_BOOLEAN_ATTRS
-genshi.output.XHTMLSerializer._EMPTY_ELEMS	genshi.output.XHTMLSerializer-class.html#_EMPTY_ELEMS
-genshi.output.HTMLSerializer.__call__	genshi.output.HTMLSerializer-class.html#__call__
-genshi.output.HTMLSerializer._NOESCAPE_ELEMS	genshi.output.HTMLSerializer-class.html#_NOESCAPE_ELEMS
-genshi.output.HTMLSerializer.__init__	genshi.output.HTMLSerializer-class.html#__init__
-genshi.output.TextSerializer	genshi.output.TextSerializer-class.html
-genshi.output.TextSerializer.__call__	genshi.output.TextSerializer-class.html#__call__
-genshi.output.TextSerializer.__init__	genshi.output.TextSerializer-class.html#__init__
-genshi.output.XHTMLSerializer	genshi.output.XHTMLSerializer-class.html
-genshi.output.XHTMLSerializer._PRESERVE_SPACE	genshi.output.XHTMLSerializer-class.html#_PRESERVE_SPACE
-genshi.output.XMLSerializer._prepare_cache	genshi.output.XMLSerializer-class.html#_prepare_cache
-genshi.output.XHTMLSerializer._BOOLEAN_ATTRS	genshi.output.XHTMLSerializer-class.html#_BOOLEAN_ATTRS
-genshi.output.XHTMLSerializer._EMPTY_ELEMS	genshi.output.XHTMLSerializer-class.html#_EMPTY_ELEMS
-genshi.output.XHTMLSerializer.__call__	genshi.output.XHTMLSerializer-class.html#__call__
-genshi.output.XHTMLSerializer.__init__	genshi.output.XHTMLSerializer-class.html#__init__
-genshi.output.XMLSerializer	genshi.output.XMLSerializer-class.html
-genshi.output.XMLSerializer._PRESERVE_SPACE	genshi.output.XMLSerializer-class.html#_PRESERVE_SPACE
-genshi.output.XMLSerializer._prepare_cache	genshi.output.XMLSerializer-class.html#_prepare_cache
-genshi.output.XMLSerializer.__call__	genshi.output.XMLSerializer-class.html#__call__
-genshi.output.XMLSerializer.__init__	genshi.output.XMLSerializer-class.html#__init__
-genshi.path.Path	genshi.path.Path-class.html
-genshi.path.Path.select	genshi.path.Path-class.html#select
-genshi.path.Path.test	genshi.path.Path-class.html#test
-genshi.path.Path.STRATEGIES	genshi.path.Path-class.html#STRATEGIES
-genshi.path.Path.__init__	genshi.path.Path-class.html#__init__
-genshi.path.Path.__repr__	genshi.path.Path-class.html#__repr__
-genshi.path.PathSyntaxError	genshi.path.PathSyntaxError-class.html
-genshi.path.PathSyntaxError.__init__	genshi.path.PathSyntaxError-class.html#__init__
-genshi.template._ast24.AST	genshi.template._ast24.AST-class.html
-genshi.template._ast24.AST._fields	genshi.template._ast24.AST-class.html#_fields
-genshi.template._ast24.AST.__doc__	genshi.template._ast24.AST-class.html#__doc__
-genshi.template._ast24.Add	genshi.template._ast24.Add-class.html
-genshi.template._ast24.Add._fields	genshi.template._ast24.Add-class.html#_fields
-genshi.template._ast24.Add.__doc__	genshi.template._ast24.Add-class.html#__doc__
-genshi.template._ast24.And	genshi.template._ast24.And-class.html
-genshi.template._ast24.And._fields	genshi.template._ast24.And-class.html#_fields
-genshi.template._ast24.And.__doc__	genshi.template._ast24.And-class.html#__doc__
-genshi.template._ast24.Assert	genshi.template._ast24.Assert-class.html
-genshi.template._ast24.Assert._fields	genshi.template._ast24.Assert-class.html#_fields
-genshi.template._ast24.Assert.__doc__	genshi.template._ast24.Assert-class.html#__doc__
-genshi.template._ast24.Assign	genshi.template._ast24.Assign-class.html
-genshi.template._ast24.Assign._fields	genshi.template._ast24.Assign-class.html#_fields
-genshi.template._ast24.Assign.__doc__	genshi.template._ast24.Assign-class.html#__doc__
-genshi.template._ast24.Attribute	genshi.template._ast24.Attribute-class.html
-genshi.template._ast24.Attribute._fields	genshi.template._ast24.Attribute-class.html#_fields
-genshi.template._ast24.Attribute.__doc__	genshi.template._ast24.Attribute-class.html#__doc__
-genshi.template._ast24.AugAssign	genshi.template._ast24.AugAssign-class.html
-genshi.template._ast24.AugAssign._fields	genshi.template._ast24.AugAssign-class.html#_fields
-genshi.template._ast24.AugAssign.__doc__	genshi.template._ast24.AugAssign-class.html#__doc__
-genshi.template._ast24.AugLoad	genshi.template._ast24.AugLoad-class.html
-genshi.template._ast24.AugLoad._fields	genshi.template._ast24.AugLoad-class.html#_fields
-genshi.template._ast24.AugLoad.__doc__	genshi.template._ast24.AugLoad-class.html#__doc__
-genshi.template._ast24.AugStore	genshi.template._ast24.AugStore-class.html
-genshi.template._ast24.AugStore._fields	genshi.template._ast24.AugStore-class.html#_fields
-genshi.template._ast24.AugStore.__doc__	genshi.template._ast24.AugStore-class.html#__doc__
-genshi.template._ast24.BinOp	genshi.template._ast24.BinOp-class.html
-genshi.template._ast24.BinOp._fields	genshi.template._ast24.BinOp-class.html#_fields
-genshi.template._ast24.BinOp.__doc__	genshi.template._ast24.BinOp-class.html#__doc__
-genshi.template._ast24.BitAnd	genshi.template._ast24.BitAnd-class.html
-genshi.template._ast24.BitAnd._fields	genshi.template._ast24.BitAnd-class.html#_fields
-genshi.template._ast24.BitAnd.__doc__	genshi.template._ast24.BitAnd-class.html#__doc__
-genshi.template._ast24.BitOr	genshi.template._ast24.BitOr-class.html
-genshi.template._ast24.BitOr._fields	genshi.template._ast24.BitOr-class.html#_fields
-genshi.template._ast24.BitOr.__doc__	genshi.template._ast24.BitOr-class.html#__doc__
-genshi.template._ast24.BitXor	genshi.template._ast24.BitXor-class.html
-genshi.template._ast24.BitXor._fields	genshi.template._ast24.BitXor-class.html#_fields
-genshi.template._ast24.BitXor.__doc__	genshi.template._ast24.BitXor-class.html#__doc__
-genshi.template._ast24.BoolOp	genshi.template._ast24.BoolOp-class.html
-genshi.template._ast24.BoolOp._fields	genshi.template._ast24.BoolOp-class.html#_fields
-genshi.template._ast24.BoolOp.__doc__	genshi.template._ast24.BoolOp-class.html#__doc__
-genshi.template._ast24.Break	genshi.template._ast24.Break-class.html
-genshi.template._ast24.Break._fields	genshi.template._ast24.Break-class.html#_fields
-genshi.template._ast24.Break.__doc__	genshi.template._ast24.Break-class.html#__doc__
-genshi.template._ast24.Call	genshi.template._ast24.Call-class.html
-genshi.template._ast24.Call._fields	genshi.template._ast24.Call-class.html#_fields
-genshi.template._ast24.Call.__doc__	genshi.template._ast24.Call-class.html#__doc__
-genshi.template._ast24.ClassDef	genshi.template._ast24.ClassDef-class.html
-genshi.template._ast24.ClassDef._fields	genshi.template._ast24.ClassDef-class.html#_fields
-genshi.template._ast24.ClassDef.__doc__	genshi.template._ast24.ClassDef-class.html#__doc__
-genshi.template._ast24.Compare	genshi.template._ast24.Compare-class.html
-genshi.template._ast24.Compare._fields	genshi.template._ast24.Compare-class.html#_fields
-genshi.template._ast24.Compare.__doc__	genshi.template._ast24.Compare-class.html#__doc__
-genshi.template._ast24.Continue	genshi.template._ast24.Continue-class.html
-genshi.template._ast24.Continue._fields	genshi.template._ast24.Continue-class.html#_fields
-genshi.template._ast24.Continue.__doc__	genshi.template._ast24.Continue-class.html#__doc__
-genshi.template._ast24.Del	genshi.template._ast24.Del-class.html
-genshi.template._ast24.Del._fields	genshi.template._ast24.Del-class.html#_fields
-genshi.template._ast24.Del.__doc__	genshi.template._ast24.Del-class.html#__doc__
-genshi.template._ast24.Delete	genshi.template._ast24.Delete-class.html
-genshi.template._ast24.Delete._fields	genshi.template._ast24.Delete-class.html#_fields
-genshi.template._ast24.Delete.__doc__	genshi.template._ast24.Delete-class.html#__doc__
-genshi.template._ast24.Dict	genshi.template._ast24.Dict-class.html
-genshi.template._ast24.Dict._fields	genshi.template._ast24.Dict-class.html#_fields
-genshi.template._ast24.Dict.__doc__	genshi.template._ast24.Dict-class.html#__doc__
-genshi.template._ast24.Div	genshi.template._ast24.Div-class.html
-genshi.template._ast24.Div._fields	genshi.template._ast24.Div-class.html#_fields
-genshi.template._ast24.Div.__doc__	genshi.template._ast24.Div-class.html#__doc__
-genshi.template._ast24.Ellipsis	genshi.template._ast24.Ellipsis-class.html
-genshi.template._ast24.Ellipsis._fields	genshi.template._ast24.Ellipsis-class.html#_fields
-genshi.template._ast24.Ellipsis.__doc__	genshi.template._ast24.Ellipsis-class.html#__doc__
-genshi.template._ast24.Eq	genshi.template._ast24.Eq-class.html
-genshi.template._ast24.Eq._fields	genshi.template._ast24.Eq-class.html#_fields
-genshi.template._ast24.Eq.__doc__	genshi.template._ast24.Eq-class.html#__doc__
-genshi.template._ast24.Exec	genshi.template._ast24.Exec-class.html
-genshi.template._ast24.Exec._fields	genshi.template._ast24.Exec-class.html#_fields
-genshi.template._ast24.Exec.__doc__	genshi.template._ast24.Exec-class.html#__doc__
-genshi.template._ast24.Expr	genshi.template._ast24.Expr-class.html
-genshi.template._ast24.Expr._fields	genshi.template._ast24.Expr-class.html#_fields
-genshi.template._ast24.Expr.__doc__	genshi.template._ast24.Expr-class.html#__doc__
-genshi.template._ast24.Expression	genshi.template._ast24.Expression-class.html
-genshi.template._ast24.Expression._fields	genshi.template._ast24.Expression-class.html#_fields
-genshi.template._ast24.Expression.__doc__	genshi.template._ast24.Expression-class.html#__doc__
-genshi.template._ast24.ExtSlice	genshi.template._ast24.ExtSlice-class.html
-genshi.template._ast24.ExtSlice._fields	genshi.template._ast24.ExtSlice-class.html#_fields
-genshi.template._ast24.ExtSlice.__doc__	genshi.template._ast24.ExtSlice-class.html#__doc__
-genshi.template._ast24.FloorDiv	genshi.template._ast24.FloorDiv-class.html
-genshi.template._ast24.FloorDiv._fields	genshi.template._ast24.FloorDiv-class.html#_fields
-genshi.template._ast24.FloorDiv.__doc__	genshi.template._ast24.FloorDiv-class.html#__doc__
-genshi.template._ast24.For	genshi.template._ast24.For-class.html
-genshi.template._ast24.For._fields	genshi.template._ast24.For-class.html#_fields
-genshi.template._ast24.For.__doc__	genshi.template._ast24.For-class.html#__doc__
-genshi.template._ast24.FunctionDef	genshi.template._ast24.FunctionDef-class.html
-genshi.template._ast24.FunctionDef._fields	genshi.template._ast24.FunctionDef-class.html#_fields
-genshi.template._ast24.FunctionDef.__doc__	genshi.template._ast24.FunctionDef-class.html#__doc__
-genshi.template._ast24.GeneratorExp	genshi.template._ast24.GeneratorExp-class.html
-genshi.template._ast24.GeneratorExp._fields	genshi.template._ast24.GeneratorExp-class.html#_fields
-genshi.template._ast24.GeneratorExp.__doc__	genshi.template._ast24.GeneratorExp-class.html#__doc__
-genshi.template._ast24.Global	genshi.template._ast24.Global-class.html
-genshi.template._ast24.Global._fields	genshi.template._ast24.Global-class.html#_fields
-genshi.template._ast24.Global.__doc__	genshi.template._ast24.Global-class.html#__doc__
-genshi.template._ast24.Gt	genshi.template._ast24.Gt-class.html
-genshi.template._ast24.Gt._fields	genshi.template._ast24.Gt-class.html#_fields
-genshi.template._ast24.Gt.__doc__	genshi.template._ast24.Gt-class.html#__doc__
-genshi.template._ast24.GtE	genshi.template._ast24.GtE-class.html
-genshi.template._ast24.GtE._fields	genshi.template._ast24.GtE-class.html#_fields
-genshi.template._ast24.GtE.__doc__	genshi.template._ast24.GtE-class.html#__doc__
-genshi.template._ast24.If	genshi.template._ast24.If-class.html
-genshi.template._ast24.If._fields	genshi.template._ast24.If-class.html#_fields
-genshi.template._ast24.If.__doc__	genshi.template._ast24.If-class.html#__doc__
-genshi.template._ast24.IfExp	genshi.template._ast24.IfExp-class.html
-genshi.template._ast24.IfExp._fields	genshi.template._ast24.IfExp-class.html#_fields
-genshi.template._ast24.IfExp.__doc__	genshi.template._ast24.IfExp-class.html#__doc__
-genshi.template._ast24.Import	genshi.template._ast24.Import-class.html
-genshi.template._ast24.Import._fields	genshi.template._ast24.Import-class.html#_fields
-genshi.template._ast24.Import.__doc__	genshi.template._ast24.Import-class.html#__doc__
-genshi.template._ast24.ImportFrom	genshi.template._ast24.ImportFrom-class.html
-genshi.template._ast24.ImportFrom._fields	genshi.template._ast24.ImportFrom-class.html#_fields
-genshi.template._ast24.ImportFrom.__doc__	genshi.template._ast24.ImportFrom-class.html#__doc__
-genshi.template._ast24.In	genshi.template._ast24.In-class.html
-genshi.template._ast24.In._fields	genshi.template._ast24.In-class.html#_fields
-genshi.template._ast24.In.__doc__	genshi.template._ast24.In-class.html#__doc__
-genshi.template._ast24.Index	genshi.template._ast24.Index-class.html
-genshi.template._ast24.Index._fields	genshi.template._ast24.Index-class.html#_fields
-genshi.template._ast24.Index.__doc__	genshi.template._ast24.Index-class.html#__doc__
-genshi.template._ast24.Interactive	genshi.template._ast24.Interactive-class.html
-genshi.template._ast24.Interactive._fields	genshi.template._ast24.Interactive-class.html#_fields
-genshi.template._ast24.Interactive.__doc__	genshi.template._ast24.Interactive-class.html#__doc__
-genshi.template._ast24.Invert	genshi.template._ast24.Invert-class.html
-genshi.template._ast24.Invert._fields	genshi.template._ast24.Invert-class.html#_fields
-genshi.template._ast24.Invert.__doc__	genshi.template._ast24.Invert-class.html#__doc__
-genshi.template._ast24.Is	genshi.template._ast24.Is-class.html
-genshi.template._ast24.Is._fields	genshi.template._ast24.Is-class.html#_fields
-genshi.template._ast24.Is.__doc__	genshi.template._ast24.Is-class.html#__doc__
-genshi.template._ast24.IsNot	genshi.template._ast24.IsNot-class.html
-genshi.template._ast24.IsNot._fields	genshi.template._ast24.IsNot-class.html#_fields
-genshi.template._ast24.IsNot.__doc__	genshi.template._ast24.IsNot-class.html#__doc__
-genshi.template._ast24.LShift	genshi.template._ast24.LShift-class.html
-genshi.template._ast24.LShift._fields	genshi.template._ast24.LShift-class.html#_fields
-genshi.template._ast24.LShift.__doc__	genshi.template._ast24.LShift-class.html#__doc__
-genshi.template._ast24.Lambda	genshi.template._ast24.Lambda-class.html
-genshi.template._ast24.Lambda._fields	genshi.template._ast24.Lambda-class.html#_fields
-genshi.template._ast24.Lambda.__doc__	genshi.template._ast24.Lambda-class.html#__doc__
-genshi.template._ast24.List	genshi.template._ast24.List-class.html
-genshi.template._ast24.List._fields	genshi.template._ast24.List-class.html#_fields
-genshi.template._ast24.List.__doc__	genshi.template._ast24.List-class.html#__doc__
-genshi.template._ast24.ListComp	genshi.template._ast24.ListComp-class.html
-genshi.template._ast24.ListComp._fields	genshi.template._ast24.ListComp-class.html#_fields
-genshi.template._ast24.ListComp.__doc__	genshi.template._ast24.ListComp-class.html#__doc__
-genshi.template._ast24.Load	genshi.template._ast24.Load-class.html
-genshi.template._ast24.Load._fields	genshi.template._ast24.Load-class.html#_fields
-genshi.template._ast24.Load.__doc__	genshi.template._ast24.Load-class.html#__doc__
-genshi.template._ast24.Lt	genshi.template._ast24.Lt-class.html
-genshi.template._ast24.Lt._fields	genshi.template._ast24.Lt-class.html#_fields
-genshi.template._ast24.Lt.__doc__	genshi.template._ast24.Lt-class.html#__doc__
-genshi.template._ast24.LtE	genshi.template._ast24.LtE-class.html
-genshi.template._ast24.LtE._fields	genshi.template._ast24.LtE-class.html#_fields
-genshi.template._ast24.LtE.__doc__	genshi.template._ast24.LtE-class.html#__doc__
-genshi.template._ast24.Mod	genshi.template._ast24.Mod-class.html
-genshi.template._ast24.Mod._fields	genshi.template._ast24.Mod-class.html#_fields
-genshi.template._ast24.Mod.__doc__	genshi.template._ast24.Mod-class.html#__doc__
-genshi.template._ast24.Module	genshi.template._ast24.Module-class.html
-genshi.template._ast24.Module._fields	genshi.template._ast24.Module-class.html#_fields
-genshi.template._ast24.Module.__doc__	genshi.template._ast24.Module-class.html#__doc__
-genshi.template._ast24.Mult	genshi.template._ast24.Mult-class.html
-genshi.template._ast24.Mult._fields	genshi.template._ast24.Mult-class.html#_fields
-genshi.template._ast24.Mult.__doc__	genshi.template._ast24.Mult-class.html#__doc__
-genshi.template._ast24.Name	genshi.template._ast24.Name-class.html
-genshi.template._ast24.Name._fields	genshi.template._ast24.Name-class.html#_fields
-genshi.template._ast24.Name.__doc__	genshi.template._ast24.Name-class.html#__doc__
-genshi.template._ast24.Not	genshi.template._ast24.Not-class.html
-genshi.template._ast24.Not._fields	genshi.template._ast24.Not-class.html#_fields
-genshi.template._ast24.Not.__doc__	genshi.template._ast24.Not-class.html#__doc__
-genshi.template._ast24.NotEq	genshi.template._ast24.NotEq-class.html
-genshi.template._ast24.NotEq._fields	genshi.template._ast24.NotEq-class.html#_fields
-genshi.template._ast24.NotEq.__doc__	genshi.template._ast24.NotEq-class.html#__doc__
-genshi.template._ast24.NotIn	genshi.template._ast24.NotIn-class.html
-genshi.template._ast24.NotIn._fields	genshi.template._ast24.NotIn-class.html#_fields
-genshi.template._ast24.NotIn.__doc__	genshi.template._ast24.NotIn-class.html#__doc__
-genshi.template._ast24.Num	genshi.template._ast24.Num-class.html
-genshi.template._ast24.Num._fields	genshi.template._ast24.Num-class.html#_fields
-genshi.template._ast24.Num.__doc__	genshi.template._ast24.Num-class.html#__doc__
-genshi.template._ast24.Or	genshi.template._ast24.Or-class.html
-genshi.template._ast24.Or._fields	genshi.template._ast24.Or-class.html#_fields
-genshi.template._ast24.Or.__doc__	genshi.template._ast24.Or-class.html#__doc__
-genshi.template._ast24.Param	genshi.template._ast24.Param-class.html
-genshi.template._ast24.Param._fields	genshi.template._ast24.Param-class.html#_fields
-genshi.template._ast24.Param.__doc__	genshi.template._ast24.Param-class.html#__doc__
-genshi.template._ast24.Pass	genshi.template._ast24.Pass-class.html
-genshi.template._ast24.Pass._fields	genshi.template._ast24.Pass-class.html#_fields
-genshi.template._ast24.Pass.__doc__	genshi.template._ast24.Pass-class.html#__doc__
-genshi.template._ast24.Pow	genshi.template._ast24.Pow-class.html
-genshi.template._ast24.Pow._fields	genshi.template._ast24.Pow-class.html#_fields
-genshi.template._ast24.Pow.__doc__	genshi.template._ast24.Pow-class.html#__doc__
-genshi.template._ast24.Print	genshi.template._ast24.Print-class.html
-genshi.template._ast24.Print._fields	genshi.template._ast24.Print-class.html#_fields
-genshi.template._ast24.Print.__doc__	genshi.template._ast24.Print-class.html#__doc__
-genshi.template._ast24.RShift	genshi.template._ast24.RShift-class.html
-genshi.template._ast24.RShift._fields	genshi.template._ast24.RShift-class.html#_fields
-genshi.template._ast24.RShift.__doc__	genshi.template._ast24.RShift-class.html#__doc__
-genshi.template._ast24.Raise	genshi.template._ast24.Raise-class.html
-genshi.template._ast24.Raise._fields	genshi.template._ast24.Raise-class.html#_fields
-genshi.template._ast24.Raise.__doc__	genshi.template._ast24.Raise-class.html#__doc__
-genshi.template._ast24.Repr	genshi.template._ast24.Repr-class.html
-genshi.template._ast24.Repr._fields	genshi.template._ast24.Repr-class.html#_fields
-genshi.template._ast24.Repr.__doc__	genshi.template._ast24.Repr-class.html#__doc__
-genshi.template._ast24.Return	genshi.template._ast24.Return-class.html
-genshi.template._ast24.Return._fields	genshi.template._ast24.Return-class.html#_fields
-genshi.template._ast24.Return.__doc__	genshi.template._ast24.Return-class.html#__doc__
-genshi.template._ast24.Slice	genshi.template._ast24.Slice-class.html
-genshi.template._ast24.Slice._fields	genshi.template._ast24.Slice-class.html#_fields
-genshi.template._ast24.Slice.__doc__	genshi.template._ast24.Slice-class.html#__doc__
-genshi.template._ast24.Store	genshi.template._ast24.Store-class.html
-genshi.template._ast24.Store._fields	genshi.template._ast24.Store-class.html#_fields
-genshi.template._ast24.Store.__doc__	genshi.template._ast24.Store-class.html#__doc__
-genshi.template._ast24.Str	genshi.template._ast24.Str-class.html
-genshi.template._ast24.Str._fields	genshi.template._ast24.Str-class.html#_fields
-genshi.template._ast24.Str.__doc__	genshi.template._ast24.Str-class.html#__doc__
-genshi.template._ast24.Sub	genshi.template._ast24.Sub-class.html
-genshi.template._ast24.Sub._fields	genshi.template._ast24.Sub-class.html#_fields
-genshi.template._ast24.Sub.__doc__	genshi.template._ast24.Sub-class.html#__doc__
-genshi.template._ast24.Subscript	genshi.template._ast24.Subscript-class.html
-genshi.template._ast24.Subscript._fields	genshi.template._ast24.Subscript-class.html#_fields
-genshi.template._ast24.Subscript.__doc__	genshi.template._ast24.Subscript-class.html#__doc__
-genshi.template._ast24.Suite	genshi.template._ast24.Suite-class.html
-genshi.template._ast24.Suite._fields	genshi.template._ast24.Suite-class.html#_fields
-genshi.template._ast24.Suite.__doc__	genshi.template._ast24.Suite-class.html#__doc__
-genshi.template._ast24.TryExcept	genshi.template._ast24.TryExcept-class.html
-genshi.template._ast24.TryExcept._fields	genshi.template._ast24.TryExcept-class.html#_fields
-genshi.template._ast24.TryExcept.__doc__	genshi.template._ast24.TryExcept-class.html#__doc__
-genshi.template._ast24.TryFinally	genshi.template._ast24.TryFinally-class.html
-genshi.template._ast24.TryFinally._fields	genshi.template._ast24.TryFinally-class.html#_fields
-genshi.template._ast24.TryFinally.__doc__	genshi.template._ast24.TryFinally-class.html#__doc__
-genshi.template._ast24.Tuple	genshi.template._ast24.Tuple-class.html
-genshi.template._ast24.Tuple._fields	genshi.template._ast24.Tuple-class.html#_fields
-genshi.template._ast24.Tuple.__doc__	genshi.template._ast24.Tuple-class.html#__doc__
-genshi.template._ast24.UAdd	genshi.template._ast24.UAdd-class.html
-genshi.template._ast24.UAdd._fields	genshi.template._ast24.UAdd-class.html#_fields
-genshi.template._ast24.UAdd.__doc__	genshi.template._ast24.UAdd-class.html#__doc__
-genshi.template._ast24.USub	genshi.template._ast24.USub-class.html
-genshi.template._ast24.USub._fields	genshi.template._ast24.USub-class.html#_fields
-genshi.template._ast24.USub.__doc__	genshi.template._ast24.USub-class.html#__doc__
-genshi.template._ast24.UnaryOp	genshi.template._ast24.UnaryOp-class.html
-genshi.template._ast24.UnaryOp._fields	genshi.template._ast24.UnaryOp-class.html#_fields
-genshi.template._ast24.UnaryOp.__doc__	genshi.template._ast24.UnaryOp-class.html#__doc__
-genshi.template._ast24.While	genshi.template._ast24.While-class.html
-genshi.template._ast24.While._fields	genshi.template._ast24.While-class.html#_fields
-genshi.template._ast24.While.__doc__	genshi.template._ast24.While-class.html#__doc__
-genshi.template._ast24.With	genshi.template._ast24.With-class.html
-genshi.template._ast24.With._fields	genshi.template._ast24.With-class.html#_fields
-genshi.template._ast24.With.__doc__	genshi.template._ast24.With-class.html#__doc__
-genshi.template._ast24.Yield	genshi.template._ast24.Yield-class.html
-genshi.template._ast24.Yield._fields	genshi.template._ast24.Yield-class.html#_fields
-genshi.template._ast24.Yield.__doc__	genshi.template._ast24.Yield-class.html#__doc__
-genshi.template._ast24.alias	genshi.template._ast24.alias-class.html
-genshi.template._ast24.alias._fields	genshi.template._ast24.alias-class.html#_fields
-genshi.template._ast24.alias.__doc__	genshi.template._ast24.alias-class.html#__doc__
-genshi.template._ast24.arguments	genshi.template._ast24.arguments-class.html
-genshi.template._ast24.arguments._fields	genshi.template._ast24.arguments-class.html#_fields
-genshi.template._ast24.arguments.__doc__	genshi.template._ast24.arguments-class.html#__doc__
-genshi.template._ast24.boolop	genshi.template._ast24.boolop-class.html
-genshi.template._ast24.boolop._attributes	genshi.template._ast24.boolop-class.html#_attributes
-genshi.template._ast24.boolop._fields	genshi.template._ast24.boolop-class.html#_fields
-genshi.template._ast24.boolop.__doc__	genshi.template._ast24.boolop-class.html#__doc__
-genshi.template._ast24.cmpop	genshi.template._ast24.cmpop-class.html
-genshi.template._ast24.cmpop._attributes	genshi.template._ast24.cmpop-class.html#_attributes
-genshi.template._ast24.cmpop._fields	genshi.template._ast24.cmpop-class.html#_fields
-genshi.template._ast24.cmpop.__doc__	genshi.template._ast24.cmpop-class.html#__doc__
-genshi.template._ast24.comprehension	genshi.template._ast24.comprehension-class.html
-genshi.template._ast24.comprehension._fields	genshi.template._ast24.comprehension-class.html#_fields
-genshi.template._ast24.comprehension.__doc__	genshi.template._ast24.comprehension-class.html#__doc__
-genshi.template._ast24.excepthandler	genshi.template._ast24.excepthandler-class.html
-genshi.template._ast24.excepthandler._fields	genshi.template._ast24.excepthandler-class.html#_fields
-genshi.template._ast24.excepthandler.__doc__	genshi.template._ast24.excepthandler-class.html#__doc__
-genshi.template._ast24.expr	genshi.template._ast24.expr-class.html
-genshi.template._ast24.expr._attributes	genshi.template._ast24.expr-class.html#_attributes
-genshi.template._ast24.expr._fields	genshi.template._ast24.expr-class.html#_fields
-genshi.template._ast24.expr.__doc__	genshi.template._ast24.expr-class.html#__doc__
-genshi.template._ast24.expr_context	genshi.template._ast24.expr_context-class.html
-genshi.template._ast24.expr_context._attributes	genshi.template._ast24.expr_context-class.html#_attributes
-genshi.template._ast24.expr_context._fields	genshi.template._ast24.expr_context-class.html#_fields
-genshi.template._ast24.expr_context.__doc__	genshi.template._ast24.expr_context-class.html#__doc__
-genshi.template._ast24.keyword	genshi.template._ast24.keyword-class.html
-genshi.template._ast24.keyword._fields	genshi.template._ast24.keyword-class.html#_fields
-genshi.template._ast24.keyword.__doc__	genshi.template._ast24.keyword-class.html#__doc__
-genshi.template._ast24.mod	genshi.template._ast24.mod-class.html
-genshi.template._ast24.mod._attributes	genshi.template._ast24.mod-class.html#_attributes
-genshi.template._ast24.mod._fields	genshi.template._ast24.mod-class.html#_fields
-genshi.template._ast24.mod.__doc__	genshi.template._ast24.mod-class.html#__doc__
-genshi.template._ast24.operator	genshi.template._ast24.operator-class.html
-genshi.template._ast24.operator._attributes	genshi.template._ast24.operator-class.html#_attributes
-genshi.template._ast24.operator._fields	genshi.template._ast24.operator-class.html#_fields
-genshi.template._ast24.operator.__doc__	genshi.template._ast24.operator-class.html#__doc__
-genshi.template._ast24.slice	genshi.template._ast24.slice-class.html
-genshi.template._ast24.slice._attributes	genshi.template._ast24.slice-class.html#_attributes
-genshi.template._ast24.slice._fields	genshi.template._ast24.slice-class.html#_fields
-genshi.template._ast24.slice.__doc__	genshi.template._ast24.slice-class.html#__doc__
-genshi.template._ast24.stmt	genshi.template._ast24.stmt-class.html
-genshi.template._ast24.stmt._attributes	genshi.template._ast24.stmt-class.html#_attributes
-genshi.template._ast24.stmt._fields	genshi.template._ast24.stmt-class.html#_fields
-genshi.template._ast24.stmt.__doc__	genshi.template._ast24.stmt-class.html#__doc__
-genshi.template._ast24.unaryop	genshi.template._ast24.unaryop-class.html
-genshi.template._ast24.unaryop._attributes	genshi.template._ast24.unaryop-class.html#_attributes
-genshi.template._ast24.unaryop._fields	genshi.template._ast24.unaryop-class.html#_fields
-genshi.template._ast24.unaryop.__doc__	genshi.template._ast24.unaryop-class.html#__doc__
-genshi.template.astutil.ASTCodeGenerator	genshi.template.astutil.ASTCodeGenerator-class.html
-genshi.template.astutil.ASTCodeGenerator.visit_If	genshi.template.astutil.ASTCodeGenerator-class.html#visit_If
-genshi.template.astutil.ASTCodeGenerator.visit_Assign	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Assign
-genshi.template.astutil.ASTCodeGenerator.visit_Yield	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Yield
-genshi.template.astutil.ASTCodeGenerator.visit_ClassDef	genshi.template.astutil.ASTCodeGenerator-class.html#visit_ClassDef
-genshi.template.astutil.ASTCodeGenerator.visit_UnaryOp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_UnaryOp
-genshi.template.astutil.ASTCodeGenerator.binary_operators	genshi.template.astutil.ASTCodeGenerator-class.html#binary_operators
-genshi.template.astutil.ASTCodeGenerator.visit_Dict	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Dict
-genshi.template.astutil.ASTCodeGenerator.visit_Global	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Global
-genshi.template.astutil.ASTCodeGenerator.visit_alias	genshi.template.astutil.ASTCodeGenerator-class.html#visit_alias
-genshi.template.astutil.ASTCodeGenerator.comparision_operators	genshi.template.astutil.ASTCodeGenerator-class.html#comparision_operators
-genshi.template.astutil.ASTCodeGenerator.visit_With	genshi.template.astutil.ASTCodeGenerator-class.html#visit_With
-genshi.template.astutil.ASTCodeGenerator.visit_ListComp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_ListComp
-genshi.template.astutil.ASTCodeGenerator.visit_Expression	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Expression
-genshi.template.astutil.ASTCodeGenerator.visit_IfExp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_IfExp
-genshi.template.astutil.ASTCodeGenerator.__init__	genshi.template.astutil.ASTCodeGenerator-class.html#__init__
-genshi.template.astutil.ASTCodeGenerator.visit_Subscript	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Subscript
-genshi.template.astutil.ASTCodeGenerator.visit_Print	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Print
-genshi.template.astutil.ASTCodeGenerator.visit_AugAssign	genshi.template.astutil.ASTCodeGenerator-class.html#visit_AugAssign
-genshi.template.astutil.ASTCodeGenerator.visit_Import	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Import
-genshi.template.astutil.ASTCodeGenerator.visit	genshi.template.astutil.ASTCodeGenerator-class.html#visit
-genshi.template.astutil.ASTCodeGenerator.visit_excepthandler	genshi.template.astutil.ASTCodeGenerator-class.html#visit_excepthandler
-genshi.template.astutil.ASTCodeGenerator.visit_TryExcept	genshi.template.astutil.ASTCodeGenerator-class.html#visit_TryExcept
-genshi.template.astutil.ASTCodeGenerator.visit_Module	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Module
-genshi.template.astutil.ASTCodeGenerator.visit_Delete	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Delete
-genshi.template.astutil.ASTCodeGenerator.visit_ExceptHandler	genshi.template.astutil.ASTCodeGenerator-class.html#visit_ExceptHandler
-genshi.template.astutil.ASTCodeGenerator.with_parens	genshi.template.astutil.ASTCodeGenerator-class.html#with_parens
-genshi.template.astutil.ASTCodeGenerator.visit_Expr	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Expr
-genshi.template.astutil.ASTCodeGenerator.visit_Call	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Call
-genshi.template.astutil.ASTCodeGenerator.visit_FunctionDef	genshi.template.astutil.ASTCodeGenerator-class.html#visit_FunctionDef
-genshi.template.astutil.ASTCodeGenerator.visit_Lambda	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Lambda
-genshi.template.astutil.ASTCodeGenerator._change_indent	genshi.template.astutil.ASTCodeGenerator-class.html#_change_indent
-genshi.template.astutil.ASTCodeGenerator.visit_Try	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Try
-genshi.template.astutil.ASTCodeGenerator.visit_Interactive	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Interactive
-genshi.template.astutil.ASTCodeGenerator.visit_List	genshi.template.astutil.ASTCodeGenerator-class.html#visit_List
-genshi.template.astutil.ASTCodeGenerator.visit_For	genshi.template.astutil.ASTCodeGenerator-class.html#visit_For
-genshi.template.astutil.ASTCodeGenerator.visit_arg	genshi.template.astutil.ASTCodeGenerator-class.html#visit_arg
-genshi.template.astutil.ASTCodeGenerator.visit_Name	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Name
-genshi.template.astutil.ASTCodeGenerator.visit_GeneratorExp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_GeneratorExp
-genshi.template.astutil.ASTCodeGenerator.visit_arguments	genshi.template.astutil.ASTCodeGenerator-class.html#visit_arguments
-genshi.template.astutil.ASTCodeGenerator._write	genshi.template.astutil.ASTCodeGenerator-class.html#_write
-genshi.template.astutil.ASTCodeGenerator.visit_Suite	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Suite
-genshi.template.astutil.ASTCodeGenerator.visit_BoolOp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_BoolOp
-genshi.template.astutil.ASTCodeGenerator.visit_Str	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Str
-genshi.template.astutil.ASTCodeGenerator.visit_Compare	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Compare
-genshi.template.astutil.ASTCodeGenerator.visit_Tuple	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Tuple
-genshi.template.astutil.ASTCodeGenerator.visit_Assert	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Assert
-genshi.template.astutil.ASTCodeGenerator.visit_Break	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Break
-genshi.template.astutil.ASTCodeGenerator.visit_TryFinally	genshi.template.astutil.ASTCodeGenerator-class.html#visit_TryFinally
-genshi.template.astutil.ASTCodeGenerator.visit_Return	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Return
-genshi.template.astutil.ASTCodeGenerator.visit_Attribute	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Attribute
-genshi.template.astutil.ASTCodeGenerator.unary_operators	genshi.template.astutil.ASTCodeGenerator-class.html#unary_operators
-genshi.template.astutil.ASTCodeGenerator.visit_Exec	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Exec
-genshi.template.astutil.ASTCodeGenerator.visit_While	genshi.template.astutil.ASTCodeGenerator-class.html#visit_While
-genshi.template.astutil.ASTCodeGenerator.visit_Num	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Num
-genshi.template.astutil.ASTCodeGenerator.visit_ImportFrom	genshi.template.astutil.ASTCodeGenerator-class.html#visit_ImportFrom
-genshi.template.astutil.ASTCodeGenerator.visit_BinOp	genshi.template.astutil.ASTCodeGenerator-class.html#visit_BinOp
-genshi.template.astutil.ASTCodeGenerator.bool_operators	genshi.template.astutil.ASTCodeGenerator-class.html#bool_operators
-genshi.template.astutil.ASTCodeGenerator._new_line	genshi.template.astutil.ASTCodeGenerator-class.html#_new_line
-genshi.template.astutil.ASTCodeGenerator.visit_Bytes	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Bytes
-genshi.template.astutil.ASTCodeGenerator.visit_Repr	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Repr
-genshi.template.astutil.ASTCodeGenerator.visit_Pass	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Pass
-genshi.template.astutil.ASTCodeGenerator.visit_Continue	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Continue
-genshi.template.astutil.ASTCodeGenerator.visit_Raise	genshi.template.astutil.ASTCodeGenerator-class.html#visit_Raise
-genshi.template.astutil.ASTTransformer	genshi.template.astutil.ASTTransformer-class.html
-genshi.template.astutil.ASTTransformer.visit_If	genshi.template.astutil.ASTTransformer-class.html#visit_If
-genshi.template.astutil.ASTTransformer.visit_Assign	genshi.template.astutil.ASTTransformer-class.html#visit_Assign
-genshi.template.astutil.ASTTransformer.visit_Yield	genshi.template.astutil.ASTTransformer-class.html#visit_Yield
-genshi.template.astutil.ASTTransformer.visit_ClassDef	genshi.template.astutil.ASTTransformer-class.html#visit_ClassDef
-genshi.template.astutil.ASTTransformer.visit_UnaryOp	genshi.template.astutil.ASTTransformer-class.html#visit_UnaryOp
-genshi.template.astutil.ASTTransformer.visit_Dict	genshi.template.astutil.ASTTransformer-class.html#visit_Dict
-genshi.template.astutil.ASTTransformer.visit_Global	genshi.template.astutil.ASTTransformer-class.html#visit_Global
-genshi.template.astutil.ASTTransformer.visit_keyword	genshi.template.astutil.ASTTransformer-class.html#visit_keyword
-genshi.template.astutil.ASTTransformer.visit_ImportFrom	genshi.template.astutil.ASTTransformer-class.html#visit_ImportFrom
-genshi.template.astutil.ASTTransformer.visit_alias	genshi.template.astutil.ASTTransformer-class.html#visit_alias
-genshi.template.astutil.ASTTransformer.visit_With	genshi.template.astutil.ASTTransformer-class.html#visit_With
-genshi.template.astutil.ASTTransformer.visit_ListComp	genshi.template.astutil.ASTTransformer-class.html#visit_ListComp
-genshi.template.astutil.ASTTransformer.visit_Expression	genshi.template.astutil.ASTTransformer-class.html#visit_Expression
-genshi.template.astutil.ASTTransformer.visit_IfExp	genshi.template.astutil.ASTTransformer-class.html#visit_IfExp
-genshi.template.astutil.ASTTransformer.visit_Call	genshi.template.astutil.ASTTransformer-class.html#visit_Call
-genshi.template.astutil.ASTTransformer.visit_comprehension	genshi.template.astutil.ASTTransformer-class.html#visit_comprehension
-genshi.template.astutil.ASTTransformer.visit_Subscript	genshi.template.astutil.ASTTransformer-class.html#visit_Subscript
-genshi.template.astutil.ASTTransformer.visit_Print	genshi.template.astutil.ASTTransformer-class.html#visit_Print
-genshi.template.astutil.ASTTransformer.visit_ExtSlice	genshi.template.astutil.ASTTransformer-class.html#visit_ExtSlice
-genshi.template.astutil.ASTTransformer.visit_AugAssign	genshi.template.astutil.ASTTransformer-class.html#visit_AugAssign
-genshi.template.astutil.ASTTransformer.visit_Import	genshi.template.astutil.ASTTransformer-class.html#visit_Import
-genshi.template.astutil.ASTTransformer.visit	genshi.template.astutil.ASTTransformer-class.html#visit
-genshi.template.astutil.ASTTransformer.visit_excepthandler	genshi.template.astutil.ASTTransformer-class.html#visit_excepthandler
-genshi.template.astutil.ASTTransformer.visit_TryExcept	genshi.template.astutil.ASTTransformer-class.html#visit_TryExcept
-genshi.template.astutil.ASTTransformer.visit_Module	genshi.template.astutil.ASTTransformer-class.html#visit_Module
-genshi.template.astutil.ASTTransformer.visit_Delete	genshi.template.astutil.ASTTransformer-class.html#visit_Delete
-genshi.template.astutil.ASTTransformer.visit_ExceptHandler	genshi.template.astutil.ASTTransformer-class.html#visit_ExceptHandler
-genshi.template.astutil.ASTTransformer.visit_FunctionDef	genshi.template.astutil.ASTTransformer-class.html#visit_FunctionDef
-genshi.template.astutil.ASTTransformer.visit_Lambda	genshi.template.astutil.ASTTransformer-class.html#visit_Lambda
-genshi.template.astutil.ASTTransformer.visit_Try	genshi.template.astutil.ASTTransformer-class.html#visit_Try
-genshi.template.astutil.ASTTransformer.visit_Interactive	genshi.template.astutil.ASTTransformer-class.html#visit_Interactive
-genshi.template.astutil.ASTTransformer.visit_List	genshi.template.astutil.ASTTransformer-class.html#visit_List
-genshi.template.astutil.ASTTransformer.visit_For	genshi.template.astutil.ASTTransformer-class.html#visit_For
-genshi.template.astutil.ASTTransformer.visit_Name	genshi.template.astutil.ASTTransformer-class.html#visit_Name
-genshi.template.astutil.ASTTransformer.visit_GeneratorExp	genshi.template.astutil.ASTTransformer-class.html#visit_GeneratorExp
-genshi.template.astutil.ASTTransformer.visit_arguments	genshi.template.astutil.ASTTransformer-class.html#visit_arguments
-genshi.template.astutil.ASTTransformer.visit_Suite	genshi.template.astutil.ASTTransformer-class.html#visit_Suite
-genshi.template.astutil.ASTTransformer.visit_BoolOp	genshi.template.astutil.ASTTransformer-class.html#visit_BoolOp
-genshi.template.astutil.ASTTransformer.visit_Index	genshi.template.astutil.ASTTransformer-class.html#visit_Index
-genshi.template.astutil.ASTTransformer.visit_Compare	genshi.template.astutil.ASTTransformer-class.html#visit_Compare
-genshi.template.astutil.ASTTransformer.visit_Tuple	genshi.template.astutil.ASTTransformer-class.html#visit_Tuple
-genshi.template.astutil.ASTTransformer.visit_Assert	genshi.template.astutil.ASTTransformer-class.html#visit_Assert
-genshi.template.astutil.ASTTransformer.visit_TryFinally	genshi.template.astutil.ASTTransformer-class.html#visit_TryFinally
-genshi.template.astutil.ASTTransformer.visit_Slice	genshi.template.astutil.ASTTransformer-class.html#visit_Slice
-genshi.template.astutil.ASTTransformer.visit_Return	genshi.template.astutil.ASTTransformer-class.html#visit_Return
-genshi.template.astutil.ASTTransformer.visit_Attribute	genshi.template.astutil.ASTTransformer-class.html#visit_Attribute
-genshi.template.astutil.ASTTransformer.visit_Exec	genshi.template.astutil.ASTTransformer-class.html#visit_Exec
-genshi.template.astutil.ASTTransformer.visit_While	genshi.template.astutil.ASTTransformer-class.html#visit_While
-genshi.template.astutil.ASTTransformer.visit_Expr	genshi.template.astutil.ASTTransformer-class.html#visit_Expr
-genshi.template.astutil.ASTTransformer.visit_BinOp	genshi.template.astutil.ASTTransformer-class.html#visit_BinOp
-genshi.template.astutil.ASTTransformer.visit_Repr	genshi.template.astutil.ASTTransformer-class.html#visit_Repr
-genshi.template.astutil.ASTTransformer.visit_Raise	genshi.template.astutil.ASTTransformer-class.html#visit_Raise
-genshi.template.base.BadDirectiveError	genshi.template.base.BadDirectiveError-class.html
-genshi.template.base.BadDirectiveError.__init__	genshi.template.base.BadDirectiveError-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.base.Context	genshi.template.base.Context-class.html
-genshi.template.base.Context.pop	genshi.template.base.Context-class.html#pop
-genshi.template.base.Context.has_key	genshi.template.base.Context-class.html#has_key
-genshi.template.base.Context.__init__	genshi.template.base.Context-class.html#__init__
-genshi.template.base.Context.__contains__	genshi.template.base.Context-class.html#__contains__
-genshi.template.base.Context.__len__	genshi.template.base.Context-class.html#__len__
-genshi.template.base.Context.__getitem__	genshi.template.base.Context-class.html#__getitem__
-genshi.template.base.Context.get	genshi.template.base.Context-class.html#get
-genshi.template.base.Context.keys	genshi.template.base.Context-class.html#keys
-genshi.template.base.Context.update	genshi.template.base.Context-class.html#update
-genshi.template.base.Context.__setitem__	genshi.template.base.Context-class.html#__setitem__
-genshi.template.base.Context.copy	genshi.template.base.Context-class.html#copy
-genshi.template.base.Context.__delitem__	genshi.template.base.Context-class.html#__delitem__
-genshi.template.base.Context.items	genshi.template.base.Context-class.html#items
-genshi.template.base.Context._find	genshi.template.base.Context-class.html#_find
-genshi.template.base.Context.__repr__	genshi.template.base.Context-class.html#__repr__
-genshi.template.base.Context.push	genshi.template.base.Context-class.html#push
-genshi.template.base.DirectiveFactory	genshi.template.base.DirectiveFactory-class.html
-genshi.template.base.DirectiveFactory.get_directive_index	genshi.template.base.DirectiveFactory-class.html#get_directive_index
-genshi.template.base.DirectiveFactory._dir_order	genshi.template.base.DirectiveFactory-class.html#_dir_order
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.template.base.DirectiveFactory._dir_by_name	genshi.template.base.DirectiveFactory-class.html#_dir_by_name
-genshi.template.base.DirectiveFactory.directives	genshi.template.base.DirectiveFactory-class.html#directives
-genshi.template.base.DirectiveFactoryMeta	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.DirectiveFactoryMeta.__new__	genshi.template.base.DirectiveFactoryMeta-class.html#__new__
-genshi.template.base.Template	genshi.template.base.Template-class.html
-genshi.template.base.Template._init_filters	genshi.template.base.Template-class.html#_init_filters
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.Template.SUB	genshi.template.base.Template-class.html#SUB
-genshi.template.base.Template.stream	genshi.template.base.Template-class.html#stream
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.template.base.Template._init_loader	genshi.template.base.Template-class.html#_init_loader
-genshi.template.base.Template.__init__	genshi.template.base.Template-class.html#__init__
-genshi.template.base.DirectiveFactory.get_directive_index	genshi.template.base.DirectiveFactory-class.html#get_directive_index
-genshi.template.base.Template.EXPR	genshi.template.base.Template-class.html#EXPR
-genshi.template.base.Template.__setstate__	genshi.template.base.Template-class.html#__setstate__
-genshi.template.base.DirectiveFactory._dir_by_name	genshi.template.base.DirectiveFactory-class.html#_dir_by_name
-genshi.template.base.DirectiveFactory.directives	genshi.template.base.DirectiveFactory-class.html#directives
-genshi.template.base.Template.__getstate__	genshi.template.base.Template-class.html#__getstate__
-genshi.template.base.Template.EXEC	genshi.template.base.Template-class.html#EXEC
-genshi.template.base.Template._include	genshi.template.base.Template-class.html#_include
-genshi.template.base.Template.INCLUDE	genshi.template.base.Template-class.html#INCLUDE
-genshi.template.base.Template.generate	genshi.template.base.Template-class.html#generate
-genshi.template.base.DirectiveFactory._dir_order	genshi.template.base.DirectiveFactory-class.html#_dir_order
-genshi.template.base.Template._prepare	genshi.template.base.Template-class.html#_prepare
-genshi.template.base.Template._flatten	genshi.template.base.Template-class.html#_flatten
-genshi.template.base.Template.__repr__	genshi.template.base.Template-class.html#__repr__
-genshi.template.base.Template._parse	genshi.template.base.Template-class.html#_parse
-genshi.template.base.Template.serializer	genshi.template.base.Template-class.html#serializer
-genshi.template.base.TemplateError	genshi.template.base.TemplateError-class.html
-genshi.template.base.TemplateError.__init__	genshi.template.base.TemplateError-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.base.TemplateRuntimeError	genshi.template.base.TemplateRuntimeError-class.html
-genshi.template.base.TemplateError.__init__	genshi.template.base.TemplateError-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.base.TemplateSyntaxError	genshi.template.base.TemplateSyntaxError-class.html
-genshi.template.base.TemplateSyntaxError.__init__	genshi.template.base.TemplateSyntaxError-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.directives.AttrsDirective	genshi.template.directives.AttrsDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.AttrsDirective.tagname	genshi.template.directives.AttrsDirective-class.html#tagname
-genshi.template.directives.AttrsDirective.__call__	genshi.template.directives.AttrsDirective-class.html#__call__
-genshi.template.directives.ChooseDirective	genshi.template.directives.ChooseDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.ChooseDirective.attach	genshi.template.directives.ChooseDirective-class.html#attach
-genshi.template.directives.ChooseDirective.__call__	genshi.template.directives.ChooseDirective-class.html#__call__
-genshi.template.directives.ChooseDirective.matched	genshi.template.directives.ChooseDirective-class.html#matched
-genshi.template.directives.ChooseDirective.value	genshi.template.directives.ChooseDirective-class.html#value
-genshi.template.directives.ChooseDirective.tagname	genshi.template.directives.ChooseDirective-class.html#tagname
-genshi.template.directives.ContentDirective	genshi.template.directives.ContentDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.ContentDirective.attach	genshi.template.directives.ContentDirective-class.html#attach
-genshi.template.directives.ContentDirective.tagname	genshi.template.directives.ContentDirective-class.html#tagname
-genshi.template.directives.DefDirective	genshi.template.directives.DefDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.DefDirective.__init__	genshi.template.directives.DefDirective-class.html#__init__
-genshi.template.directives.DefDirective.attach	genshi.template.directives.DefDirective-class.html#attach
-genshi.template.directives.DefDirective.__call__	genshi.template.directives.DefDirective-class.html#__call__
-genshi.template.directives.DefDirective.tagname	genshi.template.directives.DefDirective-class.html#tagname
-genshi.template.directives.DefDirective.dstar_args	genshi.template.directives.DefDirective-class.html#dstar_args
-genshi.template.directives.DefDirective.args	genshi.template.directives.DefDirective-class.html#args
-genshi.template.directives.DefDirective.name	genshi.template.directives.DefDirective-class.html#name
-genshi.template.directives.DefDirective.star_args	genshi.template.directives.DefDirective-class.html#star_args
-genshi.template.directives.DefDirective.__repr__	genshi.template.directives.DefDirective-class.html#__repr__
-genshi.template.directives.DefDirective.defaults	genshi.template.directives.DefDirective-class.html#defaults
-genshi.template.directives.DirectiveMeta	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.DirectiveMeta.__new__	genshi.template.directives.DirectiveMeta-class.html#__new__
-genshi.template.directives.ForDirective	genshi.template.directives.ForDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.ForDirective.__init__	genshi.template.directives.ForDirective-class.html#__init__
-genshi.template.directives.ForDirective.filename	genshi.template.directives.ForDirective-class.html#filename
-genshi.template.directives.ForDirective.attach	genshi.template.directives.ForDirective-class.html#attach
-genshi.template.directives.ForDirective.__call__	genshi.template.directives.ForDirective-class.html#__call__
-genshi.template.directives.ForDirective.__repr__	genshi.template.directives.ForDirective-class.html#__repr__
-genshi.template.directives.ForDirective.tagname	genshi.template.directives.ForDirective-class.html#tagname
-genshi.template.directives.ForDirective.assign	genshi.template.directives.ForDirective-class.html#assign
-genshi.template.directives.IfDirective	genshi.template.directives.IfDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.IfDirective.attach	genshi.template.directives.IfDirective-class.html#attach
-genshi.template.directives.IfDirective.tagname	genshi.template.directives.IfDirective-class.html#tagname
-genshi.template.directives.IfDirective.__call__	genshi.template.directives.IfDirective-class.html#__call__
-genshi.template.directives.MatchDirective	genshi.template.directives.MatchDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.MatchDirective.__init__	genshi.template.directives.MatchDirective-class.html#__init__
-genshi.template.directives.MatchDirective.attach	genshi.template.directives.MatchDirective-class.html#attach
-genshi.template.directives.MatchDirective.__call__	genshi.template.directives.MatchDirective-class.html#__call__
-genshi.template.directives.MatchDirective.namespaces	genshi.template.directives.MatchDirective-class.html#namespaces
-genshi.template.directives.MatchDirective.path	genshi.template.directives.MatchDirective-class.html#path
-genshi.template.directives.MatchDirective.hints	genshi.template.directives.MatchDirective-class.html#hints
-genshi.template.directives.MatchDirective.__repr__	genshi.template.directives.MatchDirective-class.html#__repr__
-genshi.template.directives.MatchDirective.tagname	genshi.template.directives.MatchDirective-class.html#tagname
-genshi.template.directives.OtherwiseDirective	genshi.template.directives.OtherwiseDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.OtherwiseDirective.filename	genshi.template.directives.OtherwiseDirective-class.html#filename
-genshi.template.directives.OtherwiseDirective.tagname	genshi.template.directives.OtherwiseDirective-class.html#tagname
-genshi.template.directives.OtherwiseDirective.__call__	genshi.template.directives.OtherwiseDirective-class.html#__call__
-genshi.template.directives.OtherwiseDirective.__init__	genshi.template.directives.OtherwiseDirective-class.html#__init__
-genshi.template.directives.ReplaceDirective	genshi.template.directives.ReplaceDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.ReplaceDirective.attach	genshi.template.directives.ReplaceDirective-class.html#attach
-genshi.template.directives.ReplaceDirective.tagname	genshi.template.directives.ReplaceDirective-class.html#tagname
-genshi.template.directives.StripDirective	genshi.template.directives.StripDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.StripDirective.tagname	genshi.template.directives.StripDirective-class.html#tagname
-genshi.template.directives.StripDirective.__call__	genshi.template.directives.StripDirective-class.html#__call__
-genshi.template.directives.WhenDirective	genshi.template.directives.WhenDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.WhenDirective.filename	genshi.template.directives.WhenDirective-class.html#filename
-genshi.template.directives.WhenDirective.attach	genshi.template.directives.WhenDirective-class.html#attach
-genshi.template.directives.WhenDirective.tagname	genshi.template.directives.WhenDirective-class.html#tagname
-genshi.template.directives.WhenDirective.__call__	genshi.template.directives.WhenDirective-class.html#__call__
-genshi.template.directives.WhenDirective.__init__	genshi.template.directives.WhenDirective-class.html#__init__
-genshi.template.directives.WithDirective	genshi.template.directives.WithDirective-class.html
-genshi.template.directives.Directive.__metaclass__	genshi.template.directives.DirectiveMeta-class.html
-genshi.template.directives.WithDirective.vars	genshi.template.directives.WithDirective-class.html#vars
-genshi.template.directives.WithDirective.attach	genshi.template.directives.WithDirective-class.html#attach
-genshi.template.directives.WithDirective.__repr__	genshi.template.directives.WithDirective-class.html#__repr__
-genshi.template.directives.WithDirective.tagname	genshi.template.directives.WithDirective-class.html#tagname
-genshi.template.directives.WithDirective.__call__	genshi.template.directives.WithDirective-class.html#__call__
-genshi.template.directives.WithDirective.__init__	genshi.template.directives.WithDirective-class.html#__init__
-genshi.template.eval.Code	genshi.template.eval.Code-class.html
-genshi.template.eval.Code.code	genshi.template.eval.Code-class.html#code
-genshi.template.eval.Code.__init__	genshi.template.eval.Code-class.html#__init__
-genshi.template.eval.Code.__setstate__	genshi.template.eval.Code-class.html#__setstate__
-genshi.template.eval.Code.source	genshi.template.eval.Code-class.html#source
-genshi.template.eval.Code.__getstate__	genshi.template.eval.Code-class.html#__getstate__
-genshi.template.eval.Code.__ne__	genshi.template.eval.Code-class.html#__ne__
-genshi.template.eval.Code.ast	genshi.template.eval.Code-class.html#ast
-genshi.template.eval.Code._globals	genshi.template.eval.Code-class.html#_globals
-genshi.template.eval.Code.__eq__	genshi.template.eval.Code-class.html#__eq__
-genshi.template.eval.Code.__repr__	genshi.template.eval.Code-class.html#__repr__
-genshi.template.eval.Code.__hash__	genshi.template.eval.Code-class.html#__hash__
-genshi.template.eval.Expression	genshi.template.eval.Expression-class.html
-genshi.template.eval.Code.code	genshi.template.eval.Code-class.html#code
-genshi.template.eval.Code.__init__	genshi.template.eval.Code-class.html#__init__
-genshi.template.eval.Code.ast	genshi.template.eval.Code-class.html#ast
-genshi.template.eval.Code.source	genshi.template.eval.Code-class.html#source
-genshi.template.eval.Code.__getstate__	genshi.template.eval.Code-class.html#__getstate__
-genshi.template.eval.Code.__repr__	genshi.template.eval.Code-class.html#__repr__
-genshi.template.eval.Code.__ne__	genshi.template.eval.Code-class.html#__ne__
-genshi.template.eval.Code.__setstate__	genshi.template.eval.Code-class.html#__setstate__
-genshi.template.eval.Expression.evaluate	genshi.template.eval.Expression-class.html#evaluate
-genshi.template.eval.Code._globals	genshi.template.eval.Code-class.html#_globals
-genshi.template.eval.Code.__eq__	genshi.template.eval.Code-class.html#__eq__
-genshi.template.eval.Expression.mode	genshi.template.eval.Expression-class.html#mode
-genshi.template.eval.Code.__hash__	genshi.template.eval.Code-class.html#__hash__
-genshi.template.eval.LenientLookup	genshi.template.eval.LenientLookup-class.html
-genshi.template.eval.LenientLookup.undefined	genshi.template.eval.LenientLookup-class.html#undefined
-genshi.template.eval.StrictLookup	genshi.template.eval.StrictLookup-class.html
-genshi.template.eval.StrictLookup.undefined	genshi.template.eval.StrictLookup-class.html#undefined
-genshi.template.eval.Suite	genshi.template.eval.Suite-class.html
-genshi.template.eval.Code.code	genshi.template.eval.Code-class.html#code
-genshi.template.eval.Code.__init__	genshi.template.eval.Code-class.html#__init__
-genshi.template.eval.Code.ast	genshi.template.eval.Code-class.html#ast
-genshi.template.eval.Code.source	genshi.template.eval.Code-class.html#source
-genshi.template.eval.Code.__getstate__	genshi.template.eval.Code-class.html#__getstate__
-genshi.template.eval.Code.__repr__	genshi.template.eval.Code-class.html#__repr__
-genshi.template.eval.Code.__ne__	genshi.template.eval.Code-class.html#__ne__
-genshi.template.eval.Code.__setstate__	genshi.template.eval.Code-class.html#__setstate__
-genshi.template.eval.Code._globals	genshi.template.eval.Code-class.html#_globals
-genshi.template.eval.Code.__eq__	genshi.template.eval.Code-class.html#__eq__
-genshi.template.eval.Suite.execute	genshi.template.eval.Suite-class.html#execute
-genshi.template.eval.Suite.mode	genshi.template.eval.Suite-class.html#mode
-genshi.template.eval.Code.__hash__	genshi.template.eval.Code-class.html#__hash__
-genshi.template.eval.Undefined	genshi.template.eval.Undefined-class.html
-genshi.template.eval.Undefined.__str__	genshi.template.eval.Undefined-class.html#__str__
-genshi.template.eval.Undefined.__init__	genshi.template.eval.Undefined-class.html#__init__
-genshi.template.eval.Undefined.__getattr__	genshi.template.eval.Undefined-class.html#__getattr__
-genshi.template.eval.Undefined.__call__	genshi.template.eval.Undefined-class.html#__call__
-genshi.template.eval.Undefined.__getitem__	genshi.template.eval.Undefined-class.html#__getitem__
-genshi.template.eval.Undefined.__iter__	genshi.template.eval.Undefined-class.html#__iter__
-genshi.template.eval.Undefined.__nonzero__	genshi.template.eval.Undefined-class.html#__nonzero__
-genshi.template.eval.Undefined._die	genshi.template.eval.Undefined-class.html#_die
-genshi.template.eval.Undefined.__length_hint__	genshi.template.eval.Undefined-class.html#__length_hint__
-genshi.template.eval.Undefined._name	genshi.template.eval.Undefined-class.html#_name
-genshi.template.eval.Undefined._owner	genshi.template.eval.Undefined-class.html#_owner
-genshi.template.eval.Undefined.__repr__	genshi.template.eval.Undefined-class.html#__repr__
-genshi.template.eval.UndefinedError	genshi.template.eval.UndefinedError-class.html
-genshi.template.eval.UndefinedError.__init__	genshi.template.eval.UndefinedError-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.loader.TemplateLoader	genshi.template.loader.TemplateLoader-class.html
-genshi.template.loader.TemplateLoader.load	genshi.template.loader.TemplateLoader-class.html#load
-genshi.template.loader.TemplateLoader._instantiate	genshi.template.loader.TemplateLoader-class.html#_instantiate
-genshi.template.loader.TemplateLoader.__init__	genshi.template.loader.TemplateLoader-class.html#__init__
-genshi.template.loader.TemplateLoader.prefixed	genshi.template.loader.TemplateLoader-class.html#prefixed
-genshi.template.loader.TemplateLoader.__getstate__	genshi.template.loader.TemplateLoader-class.html#__getstate__
-genshi.template.loader.TemplateLoader.__setstate__	genshi.template.loader.TemplateLoader-class.html#__setstate__
-genshi.template.loader.TemplateLoader.directory	genshi.template.loader.TemplateLoader-class.html#directory
-genshi.template.loader.TemplateLoader.auto_reload	genshi.template.loader.TemplateLoader-class.html#auto_reload
-genshi.template.loader.TemplateLoader.package	genshi.template.loader.TemplateLoader-class.html#package
-genshi.template.loader.TemplateNotFound	genshi.template.loader.TemplateNotFound-class.html
-genshi.template.loader.TemplateNotFound.__init__	genshi.template.loader.TemplateNotFound-class.html#__init__
-genshi.template.base.TemplateError.filename	genshi.template.base.TemplateError-class.html#filename
-genshi.template.base.TemplateError.lineno	genshi.template.base.TemplateError-class.html#lineno
-genshi.template.base.TemplateError.msg	genshi.template.base.TemplateError-class.html#msg
-genshi.template.base.TemplateError.offset	genshi.template.base.TemplateError-class.html#offset
-genshi.template.markup.MarkupTemplate	genshi.template.markup.MarkupTemplate-class.html
-genshi.template.markup.MarkupTemplate._init_filters	genshi.template.markup.MarkupTemplate-class.html#_init_filters
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.Template.SUB	genshi.template.base.Template-class.html#SUB
-genshi.template.base.Template.stream	genshi.template.base.Template-class.html#stream
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.template.base.Template._init_loader	genshi.template.base.Template-class.html#_init_loader
-genshi.template.markup.MarkupTemplate.DIRECTIVE_NAMESPACE	genshi.template.markup.MarkupTemplate-class.html#DIRECTIVE_NAMESPACE
-genshi.template.markup.MarkupTemplate.__init__	genshi.template.markup.MarkupTemplate-class.html#__init__
-genshi.template.base.DirectiveFactory.get_directive_index	genshi.template.base.DirectiveFactory-class.html#get_directive_index
-genshi.template.base.Template.EXPR	genshi.template.base.Template-class.html#EXPR
-genshi.template.base.Template.EXEC	genshi.template.base.Template-class.html#EXEC
-genshi.template.markup.MarkupTemplate._match	genshi.template.markup.MarkupTemplate-class.html#_match
-genshi.template.markup.MarkupTemplate._dir_by_name	genshi.template.markup.MarkupTemplate-class.html#_dir_by_name
-genshi.template.base.Template._flatten	genshi.template.base.Template-class.html#_flatten
-genshi.template.markup.MarkupTemplate.directives	genshi.template.markup.MarkupTemplate-class.html#directives
-genshi.template.base.Template.__getstate__	genshi.template.base.Template-class.html#__getstate__
-genshi.template.markup.MarkupTemplate.XINCLUDE_NAMESPACE	genshi.template.markup.MarkupTemplate-class.html#XINCLUDE_NAMESPACE
-genshi.template.base.Template.__setstate__	genshi.template.base.Template-class.html#__setstate__
-genshi.template.markup.MarkupTemplate.add_directives	genshi.template.markup.MarkupTemplate-class.html#add_directives
-genshi.template.base.Template._include	genshi.template.base.Template-class.html#_include
-genshi.template.base.Template.INCLUDE	genshi.template.base.Template-class.html#INCLUDE
-genshi.template.base.Template.generate	genshi.template.base.Template-class.html#generate
-genshi.template.markup.MarkupTemplate._dir_order	genshi.template.markup.MarkupTemplate-class.html#_dir_order
-genshi.template.markup.MarkupTemplate._prepare	genshi.template.markup.MarkupTemplate-class.html#_prepare
-genshi.template.markup.MarkupTemplate._extract_directives	genshi.template.markup.MarkupTemplate-class.html#_extract_directives
-genshi.template.markup.MarkupTemplate._extract_includes	genshi.template.markup.MarkupTemplate-class.html#_extract_includes
-genshi.template.markup.MarkupTemplate._number_conv	genshi.core.Markup-class.html
-genshi.template.markup.MarkupTemplate._interpolate_attrs	genshi.template.markup.MarkupTemplate-class.html#_interpolate_attrs
-genshi.template.base.Template.__repr__	genshi.template.base.Template-class.html#__repr__
-genshi.template.markup.MarkupTemplate._parse	genshi.template.markup.MarkupTemplate-class.html#_parse
-genshi.template.markup.MarkupTemplate.serializer	genshi.template.markup.MarkupTemplate-class.html#serializer
-genshi.template.plugin.AbstractTemplateEnginePlugin	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html
-genshi.template.plugin.AbstractTemplateEnginePlugin.extension	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#extension
-genshi.template.plugin.AbstractTemplateEnginePlugin.render	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render
-genshi.template.plugin.AbstractTemplateEnginePlugin.load_template	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template
-genshi.template.plugin.AbstractTemplateEnginePlugin.transform	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#transform
-genshi.template.plugin.AbstractTemplateEnginePlugin.template_class	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#template_class
-genshi.template.plugin.AbstractTemplateEnginePlugin._get_render_options	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#_get_render_options
-genshi.template.plugin.AbstractTemplateEnginePlugin.__init__	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#__init__
-genshi.template.plugin.ConfigurationError	genshi.template.plugin.ConfigurationError-class.html
-genshi.template.plugin.MarkupTemplateEnginePlugin	genshi.template.plugin.MarkupTemplateEnginePlugin-class.html
-genshi.template.plugin.MarkupTemplateEnginePlugin.extension	genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#extension
-genshi.template.plugin.AbstractTemplateEnginePlugin.render	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render
-genshi.template.plugin.AbstractTemplateEnginePlugin.load_template	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template
-genshi.template.plugin.MarkupTemplateEnginePlugin.transform	genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#transform
-genshi.template.plugin.MarkupTemplateEnginePlugin.template_class	genshi.template.markup.MarkupTemplate-class.html
-genshi.template.plugin.MarkupTemplateEnginePlugin._get_render_options	genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#_get_render_options
-genshi.template.plugin.MarkupTemplateEnginePlugin.__init__	genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#__init__
-genshi.template.plugin.TextTemplateEnginePlugin	genshi.template.plugin.TextTemplateEnginePlugin-class.html
-genshi.template.plugin.TextTemplateEnginePlugin.extension	genshi.template.plugin.TextTemplateEnginePlugin-class.html#extension
-genshi.template.plugin.AbstractTemplateEnginePlugin.render	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render
-genshi.template.plugin.AbstractTemplateEnginePlugin.load_template	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template
-genshi.template.plugin.AbstractTemplateEnginePlugin.transform	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#transform
-genshi.template.plugin.TextTemplateEnginePlugin.template_class	genshi.template.text.OldTextTemplate-class.html
-genshi.template.plugin.TextTemplateEnginePlugin.default_format	genshi.template.plugin.TextTemplateEnginePlugin-class.html#default_format
-genshi.template.plugin.AbstractTemplateEnginePlugin._get_render_options	genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#_get_render_options
-genshi.template.plugin.TextTemplateEnginePlugin.__init__	genshi.template.plugin.TextTemplateEnginePlugin-class.html#__init__
-genshi.template.text.NewTextTemplate	genshi.template.text.NewTextTemplate-class.html
-genshi.template.base.Template._init_filters	genshi.template.base.Template-class.html#_init_filters
-genshi.template.text.NewTextTemplate._get_delims	genshi.template.text.NewTextTemplate-class.html#_get_delims
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.Template.SUB	genshi.template.base.Template-class.html#SUB
-genshi.template.base.Template.stream	genshi.template.base.Template-class.html#stream
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.template.base.Template._init_loader	genshi.template.base.Template-class.html#_init_loader
-genshi.template.text.NewTextTemplate.__init__	genshi.template.text.NewTextTemplate-class.html#__init__
-genshi.template.base.DirectiveFactory.get_directive_index	genshi.template.base.DirectiveFactory-class.html#get_directive_index
-genshi.template.text.NewTextTemplate._set_delims	genshi.template.text.NewTextTemplate-class.html#_set_delims
-genshi.template.base.Template.EXPR	genshi.template.base.Template-class.html#EXPR
-genshi.template.text.NewTextTemplate._DIRECTIVE_RE	genshi.template.text.NewTextTemplate-class.html#_DIRECTIVE_RE
-genshi.template.text.NewTextTemplate._dir_by_name	genshi.template.text.NewTextTemplate-class.html#_dir_by_name
-genshi.template.base.Template.generate	genshi.template.base.Template-class.html#generate
-genshi.template.text.NewTextTemplate.directives	genshi.template.text.NewTextTemplate-class.html#directives
-genshi.template.base.Template.__getstate__	genshi.template.base.Template-class.html#__getstate__
-genshi.template.base.Template.__setstate__	genshi.template.base.Template-class.html#__setstate__
-genshi.template.text.NewTextTemplate.delimiters	genshi.template.text.NewTextTemplate-class.html#delimiters
-genshi.template.base.Template._include	genshi.template.base.Template-class.html#_include
-genshi.template.base.Template.INCLUDE	genshi.template.base.Template-class.html#INCLUDE
-genshi.template.text.NewTextTemplate._parse	genshi.template.text.NewTextTemplate-class.html#_parse
-genshi.template.text.NewTextTemplate._dir_order	genshi.template.text.NewTextTemplate-class.html#_dir_order
-genshi.template.base.Template._prepare	genshi.template.base.Template-class.html#_prepare
-genshi.template.text.NewTextTemplate._ESCAPE_RE	genshi.template.text.NewTextTemplate-class.html#_ESCAPE_RE
-genshi.template.base.Template._flatten	genshi.template.base.Template-class.html#_flatten
-genshi.template.base.Template.__repr__	genshi.template.base.Template-class.html#__repr__
-genshi.template.base.Template.EXEC	genshi.template.base.Template-class.html#EXEC
-genshi.template.text.NewTextTemplate.serializer	genshi.template.text.NewTextTemplate-class.html#serializer
-genshi.template.text.OldTextTemplate	genshi.template.text.OldTextTemplate-class.html
-genshi.template.base.Template._init_filters	genshi.template.base.Template-class.html#_init_filters
-genshi.template.base.DirectiveFactory.__metaclass__	genshi.template.base.DirectiveFactoryMeta-class.html
-genshi.template.base.Template.SUB	genshi.template.base.Template-class.html#SUB
-genshi.template.base.Template.stream	genshi.template.base.Template-class.html#stream
-genshi.template.base.DirectiveFactory.get_directive	genshi.template.base.DirectiveFactory-class.html#get_directive
-genshi.template.base.Template._init_loader	genshi.template.base.Template-class.html#_init_loader
-genshi.template.base.Template.__init__	genshi.template.base.Template-class.html#__init__
-genshi.template.base.DirectiveFactory.get_directive_index	genshi.template.base.DirectiveFactory-class.html#get_directive_index
-genshi.template.base.Template.EXPR	genshi.template.base.Template-class.html#EXPR
-genshi.template.base.Template.__setstate__	genshi.template.base.Template-class.html#__setstate__
-genshi.template.text.OldTextTemplate._dir_by_name	genshi.template.text.OldTextTemplate-class.html#_dir_by_name
-genshi.template.base.Template.generate	genshi.template.base.Template-class.html#generate
-genshi.template.text.OldTextTemplate.directives	genshi.template.text.OldTextTemplate-class.html#directives
-genshi.template.base.Template.__getstate__	genshi.template.base.Template-class.html#__getstate__
-genshi.template.text.OldTextTemplate._DIRECTIVE_RE	genshi.template.text.OldTextTemplate-class.html#_DIRECTIVE_RE
-genshi.template.base.Template._include	genshi.template.base.Template-class.html#_include
-genshi.template.base.Template.INCLUDE	genshi.template.base.Template-class.html#INCLUDE
-genshi.template.text.OldTextTemplate._parse	genshi.template.text.OldTextTemplate-class.html#_parse
-genshi.template.text.OldTextTemplate._dir_order	genshi.template.text.OldTextTemplate-class.html#_dir_order
-genshi.template.base.Template._prepare	genshi.template.base.Template-class.html#_prepare
-genshi.template.base.Template._flatten	genshi.template.base.Template-class.html#_flatten
-genshi.template.base.Template.__repr__	genshi.template.base.Template-class.html#__repr__
-genshi.template.base.Template.EXEC	genshi.template.base.Template-class.html#EXEC
-genshi.template.text.OldTextTemplate.serializer	genshi.template.text.OldTextTemplate-class.html#serializer
-genshi.util.LRUCache	genshi.util.LRUCache-class.html
-genshi.util.LRUCache._insert_item	genshi.util.LRUCache-class.html#_insert_item
-genshi.util.LRUCache._manage_size	genshi.util.LRUCache-class.html#_manage_size
-genshi.util.LRUCache.__init__	genshi.util.LRUCache-class.html#__init__
-genshi.util.LRUCache._update_item	genshi.util.LRUCache-class.html#_update_item
-genshi.util.LRUCache.__contains__	genshi.util.LRUCache-class.html#__contains__
-genshi.util.LRUCache.__len__	genshi.util.LRUCache-class.html#__len__
-genshi.util.LRUCache.__getitem__	genshi.util.LRUCache-class.html#__getitem__
-genshi.util.LRUCache.__iter__	genshi.util.LRUCache-class.html#__iter__
-genshi.util.LRUCache.__setitem__	genshi.util.LRUCache-class.html#__setitem__
-genshi.util.LRUCache.__repr__	genshi.util.LRUCache-class.html#__repr__
diff -pruN 0.7-6/doc/api/class-tree.html 0.7.1-2/doc/api/class-tree.html
--- 0.7-6/doc/api/class-tree.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/class-tree.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,670 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>Class Hierarchy</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">&nbsp;</td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<center><b>
- [ <a href="module-tree.html">Module Hierarchy</a>
- | <a href="class-tree.html">Class Hierarchy</a> ]
-</b></center><br />
-<h1 class="epydoc">Class Hierarchy</h1>
-<ul class="nomargin-top">
-    <li> <strong class="uidlink">markupbase.ParserBase</strong>:
-      <em class="summary">Parser base class which provides some common support methods used
-by the SGML/HTML and XHTML parsers.</em>
-    <ul>
-    <li> <strong class="uidlink">HTMLParser.HTMLParser</strong>:
-      <em class="summary">Find tags and other markup and call handler functions.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.input.HTMLParser-class.html">genshi.input.HTMLParser</a></strong>:
-      <em class="summary">Parser for HTML input based on the Python <a href="genshi.input.HTMLParser-class.html" class="link">HTMLParser</a> module.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">object</strong>:
-      <em class="summary">The most base type</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.AST-class.html">genshi.template._ast24.AST</a></strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.alias-class.html">genshi.template._ast24.alias</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.arguments-class.html">genshi.template._ast24.arguments</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.boolop-class.html">genshi.template._ast24.boolop</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.boolop</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.And-class.html">genshi.template._ast24.And</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Or-class.html">genshi.template._ast24.Or</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.cmpop</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Eq-class.html">genshi.template._ast24.Eq</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Gt-class.html">genshi.template._ast24.Gt</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.GtE-class.html">genshi.template._ast24.GtE</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.In-class.html">genshi.template._ast24.In</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Is-class.html">genshi.template._ast24.Is</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.IsNot-class.html">genshi.template._ast24.IsNot</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Lt-class.html">genshi.template._ast24.Lt</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.LtE-class.html">genshi.template._ast24.LtE</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.NotEq-class.html">genshi.template._ast24.NotEq</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.NotIn-class.html">genshi.template._ast24.NotIn</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.cmpop-class.html">genshi.template._ast24.cmpop</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.comprehension-class.html">genshi.template._ast24.comprehension</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.excepthandler-class.html">genshi.template._ast24.excepthandler</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.expr-class.html">genshi.template._ast24.expr</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.expr</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Attribute-class.html">genshi.template._ast24.Attribute</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.BinOp-class.html">genshi.template._ast24.BinOp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.BoolOp-class.html">genshi.template._ast24.BoolOp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Call-class.html">genshi.template._ast24.Call</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Compare-class.html">genshi.template._ast24.Compare</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Dict-class.html">genshi.template._ast24.Dict</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.GeneratorExp-class.html">genshi.template._ast24.GeneratorExp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.IfExp-class.html">genshi.template._ast24.IfExp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Lambda-class.html">genshi.template._ast24.Lambda</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.List-class.html">genshi.template._ast24.List</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.ListComp-class.html">genshi.template._ast24.ListComp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Name-class.html">genshi.template._ast24.Name</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Num-class.html">genshi.template._ast24.Num</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Repr-class.html">genshi.template._ast24.Repr</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Str-class.html">genshi.template._ast24.Str</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Subscript-class.html">genshi.template._ast24.Subscript</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Tuple-class.html">genshi.template._ast24.Tuple</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.UnaryOp-class.html">genshi.template._ast24.UnaryOp</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Yield-class.html">genshi.template._ast24.Yield</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.expr_context-class.html">genshi.template._ast24.expr_context</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.expr_context</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.AugLoad-class.html">genshi.template._ast24.AugLoad</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.AugStore-class.html">genshi.template._ast24.AugStore</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Del-class.html">genshi.template._ast24.Del</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Load-class.html">genshi.template._ast24.Load</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Param-class.html">genshi.template._ast24.Param</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Store-class.html">genshi.template._ast24.Store</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.keyword-class.html">genshi.template._ast24.keyword</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.mod-class.html">genshi.template._ast24.mod</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.mod</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Expression-class.html">genshi.template._ast24.Expression</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Interactive-class.html">genshi.template._ast24.Interactive</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Module-class.html">genshi.template._ast24.Module</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Suite-class.html">genshi.template._ast24.Suite</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.operator</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Add-class.html">genshi.template._ast24.Add</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.BitAnd-class.html">genshi.template._ast24.BitAnd</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.BitOr-class.html">genshi.template._ast24.BitOr</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.BitXor-class.html">genshi.template._ast24.BitXor</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Div-class.html">genshi.template._ast24.Div</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.FloorDiv-class.html">genshi.template._ast24.FloorDiv</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.LShift-class.html">genshi.template._ast24.LShift</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Mod-class.html">genshi.template._ast24.Mod</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Mult-class.html">genshi.template._ast24.Mult</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Pow-class.html">genshi.template._ast24.Pow</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.RShift-class.html">genshi.template._ast24.RShift</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Sub-class.html">genshi.template._ast24.Sub</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.operator-class.html">genshi.template._ast24.operator</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.slice-class.html">genshi.template._ast24.slice</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.slice</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Ellipsis-class.html">genshi.template._ast24.Ellipsis</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.ExtSlice-class.html">genshi.template._ast24.ExtSlice</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Index-class.html">genshi.template._ast24.Index</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Slice-class.html">genshi.template._ast24.Slice</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.stmt-class.html">genshi.template._ast24.stmt</a></strong>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.stmt</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Assert-class.html">genshi.template._ast24.Assert</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Assign-class.html">genshi.template._ast24.Assign</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.AugAssign-class.html">genshi.template._ast24.AugAssign</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Break-class.html">genshi.template._ast24.Break</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.ClassDef-class.html">genshi.template._ast24.ClassDef</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Continue-class.html">genshi.template._ast24.Continue</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Delete-class.html">genshi.template._ast24.Delete</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Exec-class.html">genshi.template._ast24.Exec</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Expr-class.html">genshi.template._ast24.Expr</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.For-class.html">genshi.template._ast24.For</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.FunctionDef-class.html">genshi.template._ast24.FunctionDef</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Global-class.html">genshi.template._ast24.Global</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.If-class.html">genshi.template._ast24.If</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Import-class.html">genshi.template._ast24.Import</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.ImportFrom-class.html">genshi.template._ast24.ImportFrom</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Pass-class.html">genshi.template._ast24.Pass</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Print-class.html">genshi.template._ast24.Print</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Raise-class.html">genshi.template._ast24.Raise</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Return-class.html">genshi.template._ast24.Return</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.TryExcept-class.html">genshi.template._ast24.TryExcept</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.TryFinally-class.html">genshi.template._ast24.TryFinally</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.While-class.html">genshi.template._ast24.While</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.With-class.html">genshi.template._ast24.With</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><i>unreachable</i>.unaryop</strong>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Invert-class.html">genshi.template._ast24.Invert</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.Not-class.html">genshi.template._ast24.Not</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.UAdd-class.html">genshi.template._ast24.UAdd</a></strong>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.USub-class.html">genshi.template._ast24.USub</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template._ast24.unaryop-class.html">genshi.template._ast24.unaryop</a></strong>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil.ASTCodeGenerator-class.html">genshi.template.astutil.ASTCodeGenerator</a></strong>:
-      <em class="summary">General purpose base class for AST transformations.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil.ASTTransformer-class.html">genshi.template.astutil.ASTTransformer</a></strong>:
-      <em class="summary">General purpose base class for AST transformations.</em>
-    <ul>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">genshi.template.plugin.AbstractTemplateEnginePlugin</a></strong>:
-      <em class="summary">Implementation of the plugin API.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">genshi.template.plugin.MarkupTemplateEnginePlugin</a></strong>:
-      <em class="summary">Implementation of the plugin API for markup templates.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">genshi.template.plugin.TextTemplateEnginePlugin</a></strong>:
-      <em class="summary">Implementation of the plugin API for text templates.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">exceptions.BaseException</strong>:
-      <em class="summary">Common base class for all exceptions</em>
-    <ul>
-    <li> <strong class="uidlink">exceptions.Exception</strong>:
-      <em class="summary">Common base class for all non-exit exceptions.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.input.ParseError-class.html">genshi.input.ParseError</a></strong>:
-      <em class="summary">Exception raised when fatal syntax errors are found in the input being
-parsed.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.path.PathSyntaxError-class.html">genshi.path.PathSyntaxError</a></strong>:
-      <em class="summary">Exception raised when an XPath expression is syntactically incorrect.</em>
-    </li>
-    <li> <strong class="uidlink">exceptions.StandardError</strong>:
-      <em class="summary">Base class for all standard Python exceptions that do not represent
-interpreter exiting.</em>
-    <ul>
-    <li> <strong class="uidlink">exceptions.ValueError</strong>:
-      <em class="summary">Inappropriate argument value (of correct type).</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin.ConfigurationError-class.html">genshi.template.plugin.ConfigurationError</a></strong>:
-      <em class="summary">Exception raised when invalid plugin options are encountered.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base.TemplateError-class.html">genshi.template.base.TemplateError</a></strong>:
-      <em class="summary">Base exception class for errors related to template processing.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.loader.TemplateNotFound-class.html">genshi.template.loader.TemplateNotFound</a></strong>:
-      <em class="summary">Exception raised when a specific template file could not be found.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base.TemplateRuntimeError-class.html">genshi.template.base.TemplateRuntimeError</a></strong>:
-      <em class="summary">Exception raised when an the evaluation of a Python expression in a
-template causes an error.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.UndefinedError-class.html">genshi.template.eval.UndefinedError</a></strong>:
-      <em class="summary">Exception thrown when a template expression attempts to access a variable
-not defined in the context.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base.TemplateSyntaxError-class.html">genshi.template.base.TemplateSyntaxError</a></strong>:
-      <em class="summary">Exception raised when an expression in a template causes a Python syntax
-error, or the template is not well-formed.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.base.BadDirectiveError-class.html">genshi.template.base.BadDirectiveError</a></strong>:
-      <em class="summary">Exception raised when an unknown directive is encountered when parsing
-a template.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.Code-class.html">genshi.template.eval.Code</a></strong>:
-      <em class="summary">Abstract base class for the <a href="genshi.template.eval.Expression-class.html" class="link">Expression</a> and <a href="genshi.template.eval.Suite-class.html" class="link">Suite</a> classes.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.Expression-class.html">genshi.template.eval.Expression</a></strong>:
-      <em class="summary">Evaluates Python expressions used in templates.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.Suite-class.html">genshi.template.eval.Suite</a></strong>:
-      <em class="summary">Executes Python statements used in templates.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base.Context-class.html">genshi.template.base.Context</a></strong>:
-      <em class="summary">Container for template input data.</em>
-    </li>
-    <li> <strong class="uidlink">genshi.template.directives.Directive</strong>:
-      <em class="summary">Abstract base class for template directives.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.AttrsDirective-class.html">genshi.template.directives.AttrsDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:attrs</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.ChooseDirective-class.html">genshi.template.directives.ChooseDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:choose</tt> directive for conditionally selecting
-one of several body elements to display.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.ContentDirective-class.html">genshi.template.directives.ContentDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:content</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.DefDirective-class.html">genshi.template.directives.DefDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:def</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.ForDirective-class.html">genshi.template.directives.ForDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:for</tt> template directive for repeating an
-element based on an iterable in the context data.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.IfDirective-class.html">genshi.template.directives.IfDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:if</tt> template directive for conditionally
-excluding elements from being output.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.MatchDirective-class.html">genshi.template.directives.MatchDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:match</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.OtherwiseDirective-class.html">genshi.template.directives.OtherwiseDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:otherwise</tt> directive for nesting in a parent
-with the <tt class="rst-docutils literal">py:choose</tt> directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.ReplaceDirective-class.html">genshi.template.directives.ReplaceDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:replace</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.StripDirective-class.html">genshi.template.directives.StripDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:strip</tt> template directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.WhenDirective-class.html">genshi.template.directives.WhenDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:when</tt> directive for nesting in a parent with
-the <tt class="rst-docutils literal">py:choose</tt> directive.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.WithDirective-class.html">genshi.template.directives.WithDirective</a></strong>:
-      <em class="summary">Implementation of the <tt class="rst-docutils literal">py:with</tt> template directive, which allows
-shorthand access to variables and expressions.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base.DirectiveFactory-class.html">genshi.template.base.DirectiveFactory</a></strong>:
-      <em class="summary">Base for classes that provide a set of template directives.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.base.Template-class.html">genshi.template.base.Template</a></strong>:
-      <em class="summary">Abstract template base class.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.markup.MarkupTemplate-class.html">genshi.template.markup.MarkupTemplate</a></strong>:
-      <em class="summary">Implementation of the template language for XML-based templates.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text.NewTextTemplate-class.html">genshi.template.text.NewTextTemplate</a></strong>:
-      <em class="summary">Implementation of a simple text-based template engine. This class will
-replace <a href="genshi.template.text.OldTextTemplate-class.html" class="link">OldTextTemplate</a> in a future release.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text.OldTextTemplate-class.html">genshi.template.text.OldTextTemplate</a></strong>:
-      <em class="summary">Legacy implementation of the old syntax text-based templates. This class
-is provided in a transition phase for backwards compatibility. New code
-should use the <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> class and the improved syntax it provides.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.i18n.Translator-class.html">genshi.filters.i18n.Translator</a></strong>:
-      <em class="summary">Can extract and translate localizable strings from markup streams and
-templates.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.output.DocType-class.html">genshi.output.DocType</a></strong>:
-      <em class="summary">Defines a number of commonly used DOCTYPE declarations as constants.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.builder.ElementFactory-class.html">genshi.builder.ElementFactory</a></strong>:
-      <em class="summary">Factory for <a href="genshi.builder.Element-class.html" class="link">Element</a> objects.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.builder.Fragment-class.html">genshi.builder.Fragment</a></strong>:
-      <em class="summary">Represents a markup fragment, which is basically just a list of element
-or text nodes.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.builder.Element-class.html">genshi.builder.Element</a></strong>:
-      <em class="summary">Simple XML output generator based on the builder pattern.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.html.HTMLFormFiller-class.html">genshi.filters.html.HTMLFormFiller</a></strong>:
-      <em class="summary">A stream filter that can populate HTML forms from a dictionary of values.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.input.HTMLParser-class.html">genshi.input.HTMLParser</a></strong>:
-      <em class="summary">Parser for HTML input based on the Python <a href="genshi.input.HTMLParser-class.html" class="link">HTMLParser</a> module.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.html.HTMLSanitizer-class.html">genshi.filters.html.HTMLSanitizer</a></strong>:
-      <em class="summary">A filter that removes potentially dangerous HTML tags and attributes
-from the stream.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform.InjectorTransformation-class.html">genshi.filters.transform.InjectorTransformation</a></strong>:
-      <em class="summary">Abstract base class for transformations that inject content into a
-stream.</em>
-    <ul>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">genshi.template.eval.LookupBase</strong>:
-      <em class="summary">Abstract base class for variable lookup implementations.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.LenientLookup-class.html">genshi.template.eval.LenientLookup</a></strong>:
-      <em class="summary">Default variable lookup mechanism for expressions.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.StrictLookup-class.html">genshi.template.eval.StrictLookup</a></strong>:
-      <em class="summary">Strict variable lookup mechanism for expressions.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.core.Namespace-class.html">genshi.core.Namespace</a></strong>:
-      <em class="summary">Utility class creating and testing elements with a namespace.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.path.Path-class.html">genshi.path.Path</a></strong>:
-      <em class="summary">Implements basic XPath support on streams.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.core.Stream-class.html">genshi.core.Stream</a></strong>:
-      <em class="summary">Represents a stream of markup events.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform.StreamBuffer-class.html">genshi.filters.transform.StreamBuffer</a></strong>:
-      <em class="summary">Stream event buffer used for cut and copy transformations.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.loader.TemplateLoader-class.html">genshi.template.loader.TemplateLoader</a></strong>:
-      <em class="summary">Responsible for loading templates from files on the specified search
-path.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.output.TextSerializer-class.html">genshi.output.TextSerializer</a></strong>:
-      <em class="summary">Produces plain text from an event stream.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform.Transformer-class.html">genshi.filters.transform.Transformer</a></strong>:
-      <em class="summary">Stream filter that can apply a variety of different transformations to
-a stream.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval.Undefined-class.html">genshi.template.eval.Undefined</a></strong>:
-      <em class="summary">Represents a reference to an undefined variable.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.input.XMLParser-class.html">genshi.input.XMLParser</a></strong>:
-      <em class="summary">Generator-based XML parser based on roughly equivalent code in
-Kid/ElementTree.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.output.XMLSerializer-class.html">genshi.output.XMLSerializer</a></strong>:
-      <em class="summary">Produces XML text from an event stream.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.output.XHTMLSerializer-class.html">genshi.output.XHTMLSerializer</a></strong>:
-      <em class="summary">Produces XHTML text from an event stream.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.output.HTMLSerializer-class.html">genshi.output.HTMLSerializer</a></strong>:
-      <em class="summary">Produces HTML text from an event stream.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">basestring</strong>:
-      <em class="summary">Type basestring cannot be instantiated; it is the base for str and unicode.</em>
-    <ul>
-    <li> <strong class="uidlink">unicode</strong>:
-      <em class="summary">unicode(string [, encoding[, errors]]) -&gt; object</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.core.Markup-class.html">genshi.core.Markup</a></strong>:
-      <em class="summary">Marks a string as being safe for inclusion in HTML/XML output without
-needing to be escaped.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.core.QName-class.html">genshi.core.QName</a></strong>:
-      <em class="summary">A qualified element or attribute name.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">dict</strong>:
-      <em class="summary">dict() -&gt; new empty dictionary
-dict(mapping) -&gt; new dictionary initialized from a mapping object's
-    (key, value) pairs
-dict(iterable) -&gt; new dictionary initialized as if via:
-    d = {}
-    for k, v in iterable:
-        d[k] = v
-dict(**kwargs) -&gt; new dictionary initialized with the name=value pairs
-    in the keyword argument list.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.util.LRUCache-class.html">genshi.util.LRUCache</a></strong>:
-      <em class="summary">A dictionary-like object that stores only a certain number of items, and
-discards its least recently used item when full.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">tuple</strong>:
-      <em class="summary">tuple() -&gt; empty tuple
-tuple(iterable) -&gt; tuple initialized from iterable's items</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.core.Attrs-class.html">genshi.core.Attrs</a></strong>:
-      <em class="summary">Immutable sequence type that stores the attributes of an element.</em>
-    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink">type</strong>:
-      <em class="summary">type(object) -&gt; the object's type
-type(name, bases, dict) -&gt; a new type</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.template.base.DirectiveFactoryMeta-class.html" onclick="show_private();">genshi.template.base.DirectiveFactoryMeta</a></strong>:
-      <em class="summary">Meta class for directive factories.</em>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives.DirectiveMeta-class.html">genshi.template.directives.DirectiveMeta</a></strong>:
-      <em class="summary">Meta class for template directives.</em>
-    </li>
-    </ul>
-    </li>
-    </ul>
-    </li>
-</ul>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
Binary files 0.7-6/doc/api/crarr.png and 0.7.1-2/doc/api/crarr.png differ
diff -pruN 0.7-6/doc/api/epydoc.css 0.7.1-2/doc/api/epydoc.css
--- 0.7-6/doc/api/epydoc.css	2013-01-27 16:17:19.000000000 +0000
+++ 0.7.1-2/doc/api/epydoc.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,136 +0,0 @@
-html { background: #4b4d4d url(../style/bkgnd_pattern.png); margin: 0;
-  padding: 1em 1em 3em;
-}
-body { background: #fff url(../style/vertbars.png) repeat-x;
-  border: 1px solid #000; color: #000; margin: 1em 0; padding: 0 1em 1em;
-}
-body, th, td {
-  font: normal small Verdana,Arial,'Bitstream Vera Sans',Helvetica,sans-serif;
-}
-h1, h2, h3, h4 {
-  font-family: Arial,Verdana,'Bitstream Vera Sans',Helvetica,sans-serif;
-  font-weight: bold; letter-spacing: -0.018em;
-}
-h1 { font-size: 19px; margin: 2em 0 .5em; }
-h2 { font-size: 16px; margin: 1.5em 0 .5em; }
-h3 { font-size: 14px; margin: 1.2em 0 .5em; }
-hr { border: none;  border-top: 1px solid #ccb; margin: 2em 0; }
-p { margin: 0 0 1em; }
-:link, :visited { text-decoration: none; border-bottom: 1px dotted #bbb;
-  color: #b00;
-}
-:link:hover, :visited:hover { background-color: #eee; color: #555; }
-
-table { border: none; border-collapse: collapse; }
-
-table.navbar { background: #000; color: #fff; margin: 2em 0 .33em; }
-table.navbar th { border: 1px solid #000; font-weight: bold; padding: 1px; }
-table.navbar :link, table.navbar :visited { border: none; color: #fff; }
-table.navbar :link:hover, table.navbar :visited:hover { background: none;
-  text-decoration: underline overline;
-}
-table.navbar th.navbar-select { background: #fff; color: #000; }
-span.breadcrumbs { color: #666; font-size: 95%; }
-h1.epydoc { border: none; color: #666;
-  font-size: x-large; margin: 1em 0 0; padding: 0;
-}
-pre.base-tree { color: #666; margin: 0; padding: 0; }
-pre.base-tree :link, pre.base-tree :visited { border: none; }
-pre.py-doctest, pre.variable, pre.rst-literal-block { background: #eee;
-  border: 1px solid #e6e6e6; color: #000; margin: 1em; padding: .25em;
-  overflow: auto;
-}
-pre.variable { margin: 0; }
-
-/* Summary tables */
-
-table.summary { margin: .5em 0; }
-table.summary tr.table-header { background: #f7f7f0; }
-table.summary td.table-header { color: #666; font-weight: bold; }
-table.summary th.group-header { background: #f7f7f0; color: #666;
-  font-size: 90%; font-weight: bold; text-align: left;
-}
-table.summary th, table.summary td { border: 1px solid #d7d7d7; }
-table.summary th th, table.summary td td { border: none; }
-table.summary td.summary table td { color: #666; font-size: 90%; }
-table.summary td.summary table br { display: none; }
-table.summary td.summary span.summary-type { font-family: monospace; 
-  font-size: 90%;
-}
-table.summary td.summary span.summary-type code { font-size: 110%; }
-p.indent-wrapped-lines { color: #999; font-size: 85%; margin: 0;
-  padding: 0 0 0 7em; text-indent: -7em;
-}
-p.indent-wrapped-lines code { color: #999; font-size: 115%; }
-p.indent-wrapped-lines :link, p.indent-wrapped-lines :visited { border: none; }
-.summary-sig { display: block; font-family: monospace; font-size: 120%;
-  margin-bottom: .5em;
-}
-.summary-sig-name { font-weight: bold; }
-.summary-sig-arg { color: #333; }
-.summary-sig :link, .summary-sig :visited { border: none; }
-.summary-name { font-family: monospace; font-weight: bold; }
-
-/* Details tables */
-
-table.details { margin: 2em 0 0; }
-div table.details { margin-top: 0; }
-table.details tr.table-header { background: transparent; }
-table.details td.table-header { border-bottom: 1px solid #ccc; padding: 2em 0 0; }
-table.details span.table-header {
-  font: bold 140% Arial,Verdana,'Bitstream Vera Sans',Helvetica,sans-serif;
-  letter-spacing: -0.018em;
-}
-table.details th, table.details td { border: none; }
-table.details th th, table.details td td { border: none; }
-table.details td { padding-left: 2em; }
-table.details td td { padding-left: 0; }
-table.details h3.epydoc { margin-left: -2em; }
-table.details h3.epydoc .sig { color: #999; font-family: monospace; }
-table.details h3.epydoc .sig-name { color: #000; }
-table.details h3.epydoc .sig-arg { color: #666; }
-table.details h3.epydoc .sig-default { font-size: 95%; font-weight: normal; }
-table.details h3.epydoc .sig-default code { font-weight: normal; }
-table.details h3.epydoc .fname { color: #999; font-size: 90%;
-  font-style: italic; font-weight: normal; line-height: 1.6em;
-}
-
-dl dt { color: #666; margin-top: 1em; }
-dl dd { margin: 0; padding-left: 2em; }
-dl.fields { margin: 1em 0; padding: 0; }
-dl.fields dt { color: #666; margin-top: 1em; }
-dl.fields dd ul { margin: 0; padding: 0; }
-div.fields { font-size: 90%; margin: 0 0 2em 2em; }
-div.fields p { margin-bottom: 0.5em; }
-
-table td.footer { color: #999; font-size: 85%; margin-top: 3em;
-  padding: 0 3em 1em; position: absolute; width: 80%; }
-table td.footer :link, table td.footer :visited { border: none; color: #999; }
-table td.footer :link:hover, table td.footer :visited:hover {
-  background: transparent; text-decoration: underline;
-}
-
-/* Syntax highlighting */
-
-.py-prompt, .py-more, .variable-ellipsis, .variable-op { color: #999; }
-.variable-group { color: #666; font-weight: bold; }
-.py-string, .variable-string, .variable-quote { color: #093; }
-.py-comment { color: #06f; font-style: italic; }
-.py-keyword { color: #00f; }
-.py-output { background: #f6f6f0; color: #666; font-weight: bold; }
-
-/* Index */
-
-table.link-index { background: #f6f6f0; border: none; margin-top: 1em; }
-table.link-index td.link-index { border: none; font-family: monospace;
-  font-weight: bold; padding: .5em 1em;
-}
-table.link-index td table, table.link-index td td { border: none; }
-table.link-index .index-where { color: #999;
-  font-family: Verdana,Arial,'Bitstream Vera Sans',Helvetica,sans-serif;
-  font-size: 90%; font-weight: normal; line-height: 1.6em;
-}
-table.link-index .index-where :link, table.link-index .index-where :visited {
-  border: none; color: #666;
-}
-h2.epydoc { color: #999; font-size: 200%; line-height: 10px; }
diff -pruN 0.7-6/doc/api/genshi.builder.Element-class.html 0.7.1-2/doc/api/genshi.builder.Element-class.html
--- 0.7-6/doc/api/genshi.builder.Element-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.builder.Element-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,438 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.builder.Element</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.builder-module.html">Module&nbsp;builder</a> ::
-        Class&nbsp;Element
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Element</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-  <a href="genshi.builder.Fragment-class.html">Fragment</a> --+
-             |
-            <strong class="uidshort">Element</strong>
-</pre>
-
-<hr />
-<p>Simple XML output generator based on the builder pattern.</p>
-<p>Construct XML elements by passing the tag name to the constructor:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'strong'</span>))
-<span class="py-output">&lt;strong/&gt;</span></pre>
-<p>Attributes can be specified using keyword arguments. The values of the
-arguments will be converted to strings and any special XML characters
-escaped:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'textarea'</span>, rows=10))
-<span class="py-output">&lt;textarea rows=&quot;10&quot;/&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'span'</span>, title=<span class="py-string">'1 &lt; 2'</span>))
-<span class="py-output">&lt;span title=&quot;1 &amp;lt; 2&quot;/&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'span'</span>, title=<span class="py-string">'&quot;baz&quot;'</span>))
-<span class="py-output">&lt;span title=&quot;&amp;#34;baz&amp;#34;&quot;/&gt;</span></pre>
-<p>The &quot; character is escaped using a numerical entity.
-The order in which attributes are rendered is undefined.</p>
-<p>If an attribute value evaluates to <code class="link">None</code>, that attribute is not included
-in the output:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'a'</span>, name=None))
-<span class="py-output">&lt;a/&gt;</span></pre>
-<p>Attribute names that conflict with Python keywords can be specified by
-appending an underscore:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'div'</span>, class_=<span class="py-string">'warning'</span>))
-<span class="py-output">&lt;div class=&quot;warning&quot;/&gt;</span></pre>
-<p>Nested elements can be added to an element using item access notation.
-The call notation can also be used for this and for adding attributes
-using keyword arguments, as one would do in the constructor.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'ul'</span>)(Element(<span class="py-string">'li'</span>), Element(<span class="py-string">'li'</span>)))
-<span class="py-output">&lt;ul&gt;&lt;li/&gt;&lt;li/&gt;&lt;/ul&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'a'</span>)(<span class="py-string">'Label'</span>))
-<span class="py-output">&lt;a&gt;Label&lt;/a&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'a'</span>)(<span class="py-string">'Label'</span>, href=<span class="py-string">&quot;target&quot;</span>))
-<span class="py-output">&lt;a href=&quot;target&quot;&gt;Label&lt;/a&gt;</span></pre>
-<p>Text nodes can be nested in an element by adding strings instead of
-elements. Any special characters in the strings are escaped automatically:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'em'</span>)(<span class="py-string">'Hello world'</span>))
-<span class="py-output">&lt;em&gt;Hello world&lt;/em&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'em'</span>)(42))
-<span class="py-output">&lt;em&gt;42&lt;/em&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'em'</span>)(<span class="py-string">'1 &lt; 2'</span>))
-<span class="py-output">&lt;em&gt;1 &amp;lt; 2&lt;/em&gt;</span></pre>
-<p>This technique also allows mixed content:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'p'</span>)(<span class="py-string">'Hello '</span>, Element(<span class="py-string">'b'</span>)(<span class="py-string">'world'</span>)))
-<span class="py-output">&lt;p&gt;Hello &lt;b&gt;world&lt;/b&gt;&lt;/p&gt;</span></pre>
-<p>Quotes are not escaped inside text nodes:
-&gt;&gt;&gt; print(Element('p')('&quot;Hello&quot;'))
-&lt;p&gt;&quot;Hello&quot;&lt;/p&gt;</p>
-<p>Elements can also be combined with other elements or strings using the
-addition operator, which results in a <a href="genshi.builder.Fragment-class.html" class="link">Fragment</a> object that contains the
-operands:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(<span class="py-string">'br'</span>) + <span class="py-string">'some text'</span> + Element(<span class="py-string">'br'</span>))
-<span class="py-output">&lt;br/&gt;some text&lt;br/&gt;</span></pre>
-<p>Elements with a namespace can be generated using the <a href="genshi.core.Namespace-class.html" class="link">Namespace</a> and/or
-<a href="genshi.core.QName-class.html" class="link">QName</a> classes:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.core <span class="py-keyword">import</span> Namespace
-<span class="py-prompt">&gt;&gt;&gt; </span>xhtml = Namespace(<span class="py-string">'http://www.w3.org/1999/xhtml'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Element(xhtml.html, lang=<span class="py-string">'en'</span>))
-<span class="py-output">&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; lang=&quot;en&quot;/&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Element-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">tag_</span>,
-        <span class="summary-sig-arg">**attrib</span>)</span><br />
-      Create a new fragment.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.builder.Element-class.html" class="link">Element</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Element-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Append any positional arguments as child nodes, and keyword arguments
-as attributes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Element-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Element-class.html#generate" class="summary-sig-name">generate</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return a markup event stream for the fragment.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.builder.Fragment-class.html">Fragment</a></code></b>:
-      <code><a href="genshi.builder.Fragment-class.html#__add__">__add__</a></code>,
-      <code><a href="genshi.builder.Fragment-class.html#__html__">__html__</a></code>,
-      <code><a href="genshi.builder.Fragment-class.html#__iter__">__iter__</a></code>,
-      <code><a href="genshi.builder.Fragment-class.html#__str__">__str__</a></code>,
-      <code><a href="genshi.builder.Fragment-class.html#__unicode__">__unicode__</a></code>,
-      <code><a href="genshi.builder.Fragment-class.html#append">append</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="attrib"></a><span class="summary-name">attrib</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tag"></a><span class="summary-name">tag</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.builder.Fragment-class.html">Fragment</a></code></b>:
-      <code><a href="genshi.builder.Fragment-class.html#children">children</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">tag_</span>,
-        <span class="sig-arg">**attrib</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create a new fragment.
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">*args</span>,
-        <span class="sig-arg">**kwargs</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Append any positional arguments as child nodes, and keyword arguments
-as attributes.
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.builder.Element-class.html" class="link">Element</a></dt>
-        <dd>the element itself so that calls can be chained</dd>
-    <dt>Overrides:
-        <a href="genshi.builder.Fragment-class.html#__call__">Fragment.__call__</a>
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.builder.Fragment-class.html#append" class="link">Fragment.append</a>
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="generate"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">generate</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a markup event stream for the fragment.
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-    <dt>Overrides:
-        <a href="genshi.builder.Fragment-class.html#generate">Fragment.generate</a>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.builder.ElementFactory-class.html 0.7.1-2/doc/api/genshi.builder.ElementFactory-class.html
--- 0.7-6/doc/api/genshi.builder.ElementFactory-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.builder.ElementFactory-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,378 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.builder.ElementFactory</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.builder-module.html">Module&nbsp;builder</a> ::
-        Class&nbsp;ElementFactory
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ElementFactory</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">ElementFactory</strong>
-</pre>
-
-<hr />
-<p>Factory for <a href="genshi.builder.Element-class.html" class="link">Element</a> objects.</p>
-<p>A new element is created simply by accessing a correspondingly named
-attribute of the factory object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>factory = ElementFactory()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(factory.foo)
-<span class="py-output">&lt;foo/&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(factory.foo(id=2))
-<span class="py-output">&lt;foo id=&quot;2&quot;/&gt;</span></pre>
-<p>Markup fragments (lists of nodes without a parent element) can be created
-by calling the factory:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(factory(<span class="py-string">'Hello, '</span>, factory.em(<span class="py-string">'world'</span>), <span class="py-string">'!'</span>))
-<span class="py-output">Hello, &lt;em&gt;world&lt;/em&gt;!</span></pre>
-<p>A factory can also be bound to a specific namespace:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>factory = ElementFactory(<span class="py-string">'http://www.w3.org/1999/xhtml'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(factory.html(lang=<span class="py-string">&quot;en&quot;</span>))
-<span class="py-output">&lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; lang=&quot;en&quot;/&gt;</span></pre>
-<p>The namespace for a specific element can be altered on an existing factory
-by specifying the new namespace using item access:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>factory = ElementFactory()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(factory.html(factory[<span class="py-string">'http://www.w3.org/2000/svg'</span>].g(id=3)))
-<span class="py-output">&lt;html&gt;&lt;g xmlns=&quot;http://www.w3.org/2000/svg&quot; id=&quot;3&quot;/&gt;&lt;/html&gt;</span></pre>
-<p>Usually, the <a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a> class is not be used directly. Rather, the
-<a href="genshi.builder-module.html#tag" class="link">tag</a> instance should be used to create elements.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.ElementFactory-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">namespace</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Create the factory, optionally bound to the given namespace.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.builder.Fragment-class.html" class="link">Fragment</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.ElementFactory-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>)</span><br />
-      Create a fragment that has the given positional arguments as child
-nodes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.ElementFactory-class.html#__getitem__" class="summary-sig-name">__getitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">namespace</span>)</span><br />
-      Return a new factory that is bound to the specified namespace.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.builder.Element-class.html" class="link">Element</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.ElementFactory-class.html#__getattr__" class="summary-sig-name">__getattr__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span><br />
-      Create an <a href="genshi.builder.Element-class.html" class="link">Element</a> with the given name.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">namespace</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the factory, optionally bound to the given namespace.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>namespace</code></strong> - the namespace URI for any created elements, or <code class="link">None</code>
-for no namespace</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">*args</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create a fragment that has the given positional arguments as child
-nodes.
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.builder.Fragment-class.html" class="link">Fragment</a></dt>
-        <dd>the created <a href="genshi.builder.Fragment-class.html" class="link">Fragment</a></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">namespace</span>)</span>
-    <br /><em class="fname">(Indexing operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a new factory that is bound to the specified namespace.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>namespace</code></strong> - the namespace URI or <a href="genshi.core.Namespace-class.html" class="link">Namespace</a> object</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a></dt>
-        <dd>an <a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a> that produces elements bound to the given
-namespace</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getattr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getattr__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>)</span>
-    <br /><em class="fname">(Qualification operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create an <a href="genshi.builder.Element-class.html" class="link">Element</a> with the given name.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the tag name of the element to create</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.builder.Element-class.html" class="link">Element</a></dt>
-        <dd>an <a href="genshi.builder.Element-class.html" class="link">Element</a> with the specified name</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.builder.Fragment-class.html 0.7.1-2/doc/api/genshi.builder.Fragment-class.html
--- 0.7-6/doc/api/genshi.builder.Fragment-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.builder.Fragment-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,472 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.builder.Fragment</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.builder-module.html">Module&nbsp;builder</a> ::
-        Class&nbsp;Fragment
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Fragment</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Fragment</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.builder.Element-class.html">Element</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Represents a markup fragment, which is basically just a list of element
-or text nodes.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Fragment-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Create a new fragment.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__add__"></a><span class="summary-sig-name">__add__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Fragment-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>)</span><br />
-      Append any positional arguments as child nodes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__iter__"></a><span class="summary-sig-name">__iter__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Fragment-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Fragment-class.html#__str__" class="summary-sig-name">__str__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      str(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__unicode__"></a><span class="summary-sig-name">__unicode__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__html__"></a><span class="summary-sig-name">__html__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.builder.Fragment-class.html#append" class="summary-sig-name">append</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span><br />
-      Append an element or string as child node.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="generate"></a><span class="summary-sig-name">generate</span>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return a markup event stream for the fragment.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="children"></a><span class="summary-name">children</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create a new fragment.
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">*args</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Append any positional arguments as child nodes.
-  <dl class="fields">
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.builder.Fragment-class.html#append" class="link">append</a>
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__str__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__str__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Informal representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  str(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__str__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="append"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">append</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Append an element or string as child node.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>node</code></strong> - the node to append; can be an <a href="genshi.builder.Element-class.html" class="link">Element</a>, <a href="genshi.builder.Fragment-class.html" class="link">Fragment</a>, or a
-<a href="genshi.core.Stream-class.html" class="link">Stream</a>, or a Python string or number</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.builder-module.html 0.7.1-2/doc/api/genshi.builder-module.html
--- 0.7-6/doc/api/genshi.builder-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.builder-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,209 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.builder</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;builder
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module builder</h1><p class="nomargin-top"></p>
-<p>Support for programmatically generating markup streams from Python code using
-a very simple syntax. The main entry point to this module is the <a href="genshi.builder-module.html#tag" class="link">tag</a> object
-(which is actually an instance of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">ElementFactory</tt> class). You should
-rarely (if ever) need to directly import and use any of the other classes in
-this module.</p>
-<p>Elements can be created using the <a href="genshi.builder-module.html#tag" class="link">tag</a> object using attribute access. For
-example:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>doc = tag.p(<span class="py-string">'Some text and '</span>, tag.a(<span class="py-string">'a link'</span>, href=<span class="py-string">'http://example.org/'</span>), <span class="py-string">'.'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>doc
-<span class="py-output">&lt;Element &quot;p&quot;&gt;</span></pre>
-<p>This produces an <a href="genshi.builder.Element-class.html" class="link">Element</a> instance which can be further modified to add child
-nodes and attributes. This is done by &quot;calling&quot; the element: positional
-arguments are added as child nodes (alternatively, the <a href="genshi.builder.Fragment-class.html#append" class="link">Element.append</a> method
-can be used for that purpose), whereas keywords arguments are added as
-attributes:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>doc(tag.br)
-<span class="py-output">&lt;Element &quot;p&quot;&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(doc)
-<span class="py-output">&lt;p&gt;Some text and &lt;a href=&quot;http://example.org/&quot;&gt;a link&lt;/a&gt;.&lt;br/&gt;&lt;/p&gt;</span></pre>
-<p>If an attribute name collides with a Python keyword, simply append an underscore
-to the name:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>doc(class_=<span class="py-string">'intro'</span>)
-<span class="py-output">&lt;Element &quot;p&quot;&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(doc)
-<span class="py-output">&lt;p class=&quot;intro&quot;&gt;Some text and &lt;a href=&quot;http://example.org/&quot;&gt;a link&lt;/a&gt;.&lt;br/&gt;&lt;/p&gt;</span></pre>
-<p>As shown above, an <a href="genshi.builder.Element-class.html" class="link">Element</a> can easily be directly rendered to XML text by
-printing it or using the Python <tt class="rst-docutils literal">str()</tt> function. This is basically a
-shortcut for converting the <a href="genshi.builder.Element-class.html" class="link">Element</a> to a stream and serializing that
-stream:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>stream = doc.generate()
-<span class="py-prompt">&gt;&gt;&gt; </span>stream <span class="py-comment">#doctest: +ELLIPSIS</span>
-<span class="py-output">&lt;genshi.core.Stream object at ...&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(stream)
-<span class="py-output">&lt;p class=&quot;intro&quot;&gt;Some text and &lt;a href=&quot;http://example.org/&quot;&gt;a link&lt;/a&gt;.&lt;br/&gt;&lt;/p&gt;</span></pre>
-<p>The <a href="genshi.builder-module.html#tag" class="link">tag</a> object also allows creating &quot;fragments&quot;, which are basically lists
-of nodes (elements or text) that don't have a parent element. This can be useful
-for creating snippets of markup that are attached to a parent element later (for
-example in a template). Fragments are created by calling the <a href="genshi.builder-module.html#tag" class="link">tag</a> object, which
-returns an object of type <a href="genshi.builder.Fragment-class.html" class="link">Fragment</a>:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>fragment = tag(<span class="py-string">'Hello, '</span>, tag.em(<span class="py-string">'world'</span>), <span class="py-string">'!'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>fragment
-<span class="py-output">&lt;Fragment&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(fragment)
-<span class="py-output">Hello, &lt;em&gt;world&lt;/em&gt;!</span></pre>
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.builder.Fragment-class.html" class="summary-name">Fragment</a><br />
-      Represents a markup fragment, which is basically just a list of element
-or text nodes.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.builder.Element-class.html" class="summary-name">Element</a><br />
-      Simple XML output generator based on the builder pattern.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.builder.ElementFactory-class.html" class="summary-name">ElementFactory</a><br />
-      Factory for <a href="genshi.builder.Element-class.html" class="link">Element</a> objects.
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a></span>
-    </td><td class="summary">
-        <a name="tag"></a><span class="summary-name">tag</span> = <code title="ElementFactory()">ElementFactory()</code><br />
-      Global <a href="genshi.builder.ElementFactory-class.html" class="link">ElementFactory</a> bound to the default namespace.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.compat-module.html 0.7.1-2/doc/api/genshi.compat-module.html
--- 0.7-6/doc/api/genshi.compat-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.compat-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,209 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.compat</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;compat
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module compat</h1><p class="nomargin-top"></p>
-Various Python version compatibility classes and functions.
-
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="stringrepr"></a><span class="summary-sig-name">stringrepr</span>(<span class="summary-sig-arg">string</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="wrapped_bytes"></a><span class="summary-sig-name">wrapped_bytes</span>(<span class="summary-sig-arg">bstr</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="get_code_params"></a><span class="summary-sig-name">get_code_params</span>(<span class="summary-sig-arg">code</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="build_code_chunk"></a><span class="summary-sig-name">build_code_chunk</span>(<span class="summary-sig-arg">code</span>,
-        <span class="summary-sig-arg">filename</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">lineno</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="IS_PYTHON2"></a><span class="summary-name">IS_PYTHON2</span> = <code title="True">True</code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi'"><code class="variable-quote">'</code><code class="variable-string">genshi</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core.Attrs-class.html 0.7.1-2/doc/api/genshi.core.Attrs-class.html
--- 0.7-6/doc/api/genshi.core.Attrs-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core.Attrs-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,600 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core.Attrs</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.core-module.html">Module&nbsp;core</a> ::
-        Class&nbsp;Attrs
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Attrs</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-     tuple --+
-             |
-            <strong class="uidshort">Attrs</strong>
-</pre>
-
-<hr />
-<p>Immutable sequence type that stores the attributes of an element.</p>
-<p>Ordering of the attributes is preserved, while access by name is also
-supported.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs = Attrs([(<span class="py-string">'href'</span>, <span class="py-string">'#'</span>), (<span class="py-string">'title'</span>, <span class="py-string">'Foo'</span>)])
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs
-<span class="py-output">Attrs([('href', '#'), ('title', 'Foo')])</span></pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-string">'href'</span> <span class="py-keyword">in</span> attrs
-<span class="py-output">True</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-string">'tabindex'</span> <span class="py-keyword">in</span> attrs
-<span class="py-output">False</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>attrs.get(<span class="py-string">'title'</span>)
-<span class="py-output">'Foo'</span></pre>
-<p>Instances may not be manipulated directly. Instead, the operators <tt class="rst-docutils literal">|</tt> and
-<tt class="rst-docutils literal">-</tt> can be used to produce new instances that have specific attributes
-added, replaced or removed.</p>
-<p>To remove an attribute, use the <tt class="rst-docutils literal">-</tt> operator. The right hand side can be
-either a string or a set/sequence of strings, identifying the name(s) of
-the attribute(s) to remove:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs - <span class="py-string">'title'</span>
-<span class="py-output">Attrs([('href', '#')])</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>attrs - (<span class="py-string">'title'</span>, <span class="py-string">'href'</span>)
-<span class="py-output">Attrs()</span></pre>
-<p>The original instance is not modified, but the operator can of course be
-used with an assignment:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs
-<span class="py-output">Attrs([('href', '#'), ('title', 'Foo')])</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>attrs -= <span class="py-string">'title'</span>
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs
-<span class="py-output">Attrs([('href', '#')])</span></pre>
-<p>To add a new attribute, use the <tt class="rst-docutils literal">|</tt> operator, where the right hand value
-is a sequence of <tt class="rst-docutils literal">(name, value)</tt> tuples (which includes <a href="genshi.core.Attrs-class.html" class="link">Attrs</a>
-instances):</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs | [(<span class="py-string">'title'</span>, <span class="py-string">'Bar'</span>)]
-<span class="py-output">Attrs([('href', '#'), ('title', 'Bar')])</span></pre>
-<p>If the attributes already contain an attribute with a given name, the value
-of that attribute is replaced:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs | [(<span class="py-string">'href'</span>, <span class="py-string">'http://example.org/'</span>)]
-<span class="py-output">Attrs([('href', 'http://example.org/')])</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">bool</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__contains__" class="summary-sig-name">__contains__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span><br />
-      Return whether the list includes an attribute with the specified
-name.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__getitem__" class="summary-sig-name">__getitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">i</span>)</span><br />
-      Return an item or slice of the attributes list.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__getslice__" class="summary-sig-name">__getslice__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">i</span>,
-        <span class="summary-sig-arg">j</span>)</span><br />
-      Return a slice of the attributes list.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Attrs-class.html" class="link">Attrs</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__or__" class="summary-sig-name">__or__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">attrs</span>)</span><br />
-      Return a new instance that contains the attributes in <code class="link">attrs</code> in
-addition to any already existing attributes. Any attributes in the new
-set that have a value of <code class="link">None</code> are removed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Attrs-class.html" class="link">Attrs</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#__sub__" class="summary-sig-name">__sub__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">names</span>)</span><br />
-      Return a new instance with all attributes with a name in <code class="link">names</code> are
-removed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">object</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#get" class="summary-sig-name">get</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">default</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Return the value of the attribute with the specified name, or the
-value of the <code class="link">default</code> parameter if no such attribute is found.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">tuple</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Attrs-class.html#totuple" class="summary-sig-name">totuple</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return the attributes as a markup event.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>tuple</code></b>:
-      <code>__add__</code>,
-      <code>__eq__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__getnewargs__</code>,
-      <code>__gt__</code>,
-      <code>__hash__</code>,
-      <code>__iter__</code>,
-      <code>__le__</code>,
-      <code>__len__</code>,
-      <code>__lt__</code>,
-      <code>__mul__</code>,
-      <code>__ne__</code>,
-      <code>__new__</code>,
-      <code>__rmul__</code>,
-      <code>__sizeof__</code>,
-      <code>count</code>,
-      <code>index</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__init__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__contains__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__contains__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>)</span>
-    <br /><em class="fname">(In operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return whether the list includes an attribute with the specified
-name.
-  <dl class="fields">
-    <dt>Returns: <code class="link">bool</code></dt>
-        <dd><code class="link">True</code> if the list includes the attribute</dd>
-    <dt>Overrides:
-        tuple.__contains__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">i</span>)</span>
-    <br /><em class="fname">(Indexing operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return an item or slice of the attributes list.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs = Attrs([(<span class="py-string">'href'</span>, <span class="py-string">'#'</span>), (<span class="py-string">'title'</span>, <span class="py-string">'Foo'</span>)])
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs[1]
-<span class="py-output">('title', 'Foo')</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>attrs[1:]
-<span class="py-output">Attrs([('title', 'Foo')])</span></pre>
-  <dl class="fields">
-    <dt>Overrides:
-        tuple.__getitem__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getslice__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getslice__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">i</span>,
-        <span class="sig-arg">j</span>)</span>
-    <br /><em class="fname">(Slicling operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a slice of the attributes list.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs = Attrs([(<span class="py-string">'href'</span>, <span class="py-string">'#'</span>), (<span class="py-string">'title'</span>, <span class="py-string">'Foo'</span>)])
-<span class="py-prompt">&gt;&gt;&gt; </span>attrs[1:]
-<span class="py-output">Attrs([('title', 'Foo')])</span></pre>
-  <dl class="fields">
-    <dt>Overrides:
-        tuple.__getslice__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__or__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__or__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">attrs</span>)</span>
-    <br /><em class="fname">(Or operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a new instance that contains the attributes in <code class="link">attrs</code> in
-addition to any already existing attributes. Any attributes in the new
-set that have a value of <code class="link">None</code> are removed.
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.core.Attrs-class.html" class="link">Attrs</a></dt>
-        <dd>a new instance with the merged attributes</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__sub__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__sub__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">names</span>)</span>
-    <br /><em class="fname">(Subtraction operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a new instance with all attributes with a name in <code class="link">names</code> are
-removed.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>names</code></strong> - the names of the attributes to remove</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Attrs-class.html" class="link">Attrs</a></dt>
-        <dd>a new instance with the attribute removed</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="get"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">default</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return the value of the attribute with the specified name, or the
-value of the <code class="link">default</code> parameter if no such attribute is found.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the attribute</li>
-        <li><strong class="pname"><code>default</code></strong> - the value to return when the attribute does not exist</li>
-    </ul></dd>
-    <dt>Returns: <code class="link">object</code></dt>
-        <dd>the attribute value, or the <code class="link">default</code> value if that attribute
-does not exist</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="totuple"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">totuple</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return the attributes as a markup event.</p>
-<p>The returned event is a <a href="genshi.core-module.html#TEXT" class="link" onclick="show_private();">TEXT</a> event, the data is the value of all
-attributes joined together.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>Attrs([(<span class="py-string">'href'</span>, <span class="py-string">'#'</span>), (<span class="py-string">'title'</span>, <span class="py-string">'Foo'</span>)]).totuple()
-<span class="py-output">('TEXT', '#Foo', (None, -1, -1))</span></pre>
-  <dl class="fields">
-    <dt>Returns: <code class="link">tuple</code></dt>
-        <dd>a <a href="genshi.core-module.html#TEXT" class="link" onclick="show_private();">TEXT</a> event</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core.Markup-class.html 0.7.1-2/doc/api/genshi.core.Markup-class.html
--- 0.7-6/doc/api/genshi.core.Markup-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core.Markup-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,718 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core.Markup</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.core-module.html">Module&nbsp;core</a> ::
-        Class&nbsp;Markup
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Markup</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-basestring --+    
-             |    
-       unicode --+
-                 |
-                <strong class="uidshort">Markup</strong>
-</pre>
-
-<hr />
-Marks a string as being safe for inclusion in HTML/XML output without
-needing to be escaped.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#__add__" class="summary-sig-name">__add__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span><br />
-      x+y</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#__mod__" class="summary-sig-name">__mod__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">args</span>)</span><br />
-      x%y</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#__mul__" class="summary-sig-name">__mul__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">num</span>)</span><br />
-      n*x</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__radd__"></a><span class="summary-sig-name">__radd__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#__rmul__" class="summary-sig-name">__rmul__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">num</span>)</span><br />
-      n*x</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Markup-class.html" class="link">Markup</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#join" class="summary-sig-name">join</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">seq</span>,
-        <span class="summary-sig-arg">escape_quotes</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Return a <a href="genshi.core.Markup-class.html" class="link">Markup</a> object which is the concatenation of the strings
-in the given sequence, where this <a href="genshi.core.Markup-class.html" class="link">Markup</a> object is the separator
-between the joined elements.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Markup-class.html" class="link">Markup</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#stripentities" class="summary-sig-name">stripentities</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">keepxmlentities</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Return a copy of the text with any character or numeric entities
-replaced by the equivalent UTF-8 characters.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Markup-class.html" class="link">Markup</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#striptags" class="summary-sig-name">striptags</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return a copy of the text with all XML/HTML tags removed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">unicode</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#unescape" class="summary-sig-name">unescape</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Reverse-escapes &amp;, &lt;, &gt;, and &quot; and returns a <code class="link">unicode</code> object.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>unicode</code></b>:
-      <code>__contains__</code>,
-      <code>__eq__</code>,
-      <code>__format__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getnewargs__</code>,
-      <code>__getslice__</code>,
-      <code>__gt__</code>,
-      <code>__hash__</code>,
-      <code>__le__</code>,
-      <code>__len__</code>,
-      <code>__lt__</code>,
-      <code>__ne__</code>,
-      <code>__new__</code>,
-      <code>__rmod__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>capitalize</code>,
-      <code>center</code>,
-      <code>count</code>,
-      <code>decode</code>,
-      <code>encode</code>,
-      <code>endswith</code>,
-      <code>expandtabs</code>,
-      <code>find</code>,
-      <code>format</code>,
-      <code>index</code>,
-      <code>isalnum</code>,
-      <code>isalpha</code>,
-      <code>isdecimal</code>,
-      <code>isdigit</code>,
-      <code>islower</code>,
-      <code>isnumeric</code>,
-      <code>isspace</code>,
-      <code>istitle</code>,
-      <code>isupper</code>,
-      <code>ljust</code>,
-      <code>lower</code>,
-      <code>lstrip</code>,
-      <code>partition</code>,
-      <code>replace</code>,
-      <code>rfind</code>,
-      <code>rindex</code>,
-      <code>rjust</code>,
-      <code>rpartition</code>,
-      <code>rsplit</code>,
-      <code>rstrip</code>,
-      <code>split</code>,
-      <code>splitlines</code>,
-      <code>startswith</code>,
-      <code>strip</code>,
-      <code>swapcase</code>,
-      <code>title</code>,
-      <code>translate</code>,
-      <code>upper</code>,
-      <code>zfill</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__init__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Markup-class.html" class="link">Markup</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Markup-class.html#escape" class="summary-sig-name">escape</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">quotes</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Create a Markup instance from a string and escape special characters
-it may contain (&lt;, &gt;, &amp; and &quot;).</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__add__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__add__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">other</span>)</span>
-    <br /><em class="fname">(Addition operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x+y
-  <dl class="fields">
-    <dt>Overrides:
-        unicode.__add__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__mod__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__mod__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">args</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x%y
-  <dl class="fields">
-    <dt>Overrides:
-        unicode.__mod__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__mul__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__mul__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">num</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  n*x
-  <dl class="fields">
-    <dt>Overrides:
-        unicode.__mul__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__rmul__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__rmul__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">num</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  n*x
-  <dl class="fields">
-    <dt>Overrides:
-        unicode.__rmul__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="escape"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">escape</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">text</span>,
-        <span class="sig-arg">quotes</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Create a Markup instance from a string and escape special characters
-it may contain (&lt;, &gt;, &amp; and &quot;).</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>escape(<span class="py-string">'&quot;1 &lt; 2&quot;'</span>)
-<span class="py-output">&lt;Markup u'&amp;#34;1 &amp;lt; 2&amp;#34;'&gt;</span></pre>
-<p>If the <code class="link">quotes</code> parameter is set to <code class="link">False</code>, the &quot; character is left
-as is. Escaping quotes is generally only required for strings that are
-to be used in attribute values.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>escape(<span class="py-string">'&quot;1 &lt; 2&quot;'</span>, quotes=False)
-<span class="py-output">&lt;Markup u'&quot;1 &amp;lt; 2&quot;'&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the text to escape</li>
-        <li><strong class="pname"><code>quotes</code></strong> - if <tt class="rst-docutils literal">True</tt>, double quote characters are escaped in
-addition to the other special characters</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Markup-class.html" class="link">Markup</a></dt>
-        <dd>the escaped <a href="genshi.core.Markup-class.html" class="link">Markup</a> string</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="join"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">join</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">seq</span>,
-        <span class="sig-arg">escape_quotes</span>=<span class="sig-default">True</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a <a href="genshi.core.Markup-class.html" class="link">Markup</a> object which is the concatenation of the strings
-in the given sequence, where this <a href="genshi.core.Markup-class.html" class="link">Markup</a> object is the separator
-between the joined elements.</p>
-<p>Any element in the sequence that is not a <a href="genshi.core.Markup-class.html" class="link">Markup</a> instance is
-automatically escaped.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>seq</code></strong> - the sequence of strings to join</li>
-        <li><strong class="pname"><code>escape_quotes</code></strong> - whether double quote characters in the elements
-should be escaped</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Markup-class.html" class="link">Markup</a></dt>
-        <dd>the joined <a href="genshi.core.Markup-class.html" class="link">Markup</a> object</dd>
-    <dt>Overrides:
-        unicode.join
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.core.Markup-class.html#escape" class="link">escape</a>
-      </p>
-</div></td></tr></table>
-</div>
-<a name="stripentities"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">stripentities</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">keepxmlentities</span>=<span class="sig-default">False</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a copy of the text with any character or numeric entities
-replaced by the equivalent UTF-8 characters.</p>
-<p>If the <code class="link">keepxmlentities</code> parameter is provided and evaluates to <code class="link">True</code>,
-the core XML entities (<tt class="rst-docutils literal">&amp;amp;</tt>, <tt class="rst-docutils literal">&amp;apos;</tt>, <tt class="rst-docutils literal">&amp;gt;</tt>, <tt class="rst-docutils literal">&amp;lt;</tt> and
-<tt class="rst-docutils literal">&amp;quot;</tt>) are not stripped.</p>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.core.Markup-class.html" class="link">Markup</a></dt>
-        <dd>a <a href="genshi.core.Markup-class.html" class="link">Markup</a> instance with entities removed</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.util-module.html#stripentities" class="link">genshi.util.stripentities</a>
-      </p>
-</div></td></tr></table>
-</div>
-<a name="striptags"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">striptags</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a copy of the text with all XML/HTML tags removed.
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.core.Markup-class.html" class="link">Markup</a></dt>
-        <dd>a <a href="genshi.core.Markup-class.html" class="link">Markup</a> instance with all tags removed</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.util-module.html#striptags" class="link">genshi.util.striptags</a>
-      </p>
-</div></td></tr></table>
-</div>
-<a name="unescape"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">unescape</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Reverse-escapes &amp;, &lt;, &gt;, and &quot; and returns a <code class="link">unicode</code> object.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>Markup(<span class="py-string">'1 &amp;lt; 2'</span>).unescape()
-<span class="py-output">u'1 &lt; 2'</span></pre>
-  <dl class="fields">
-    <dt>Returns: <code class="link">unicode</code></dt>
-        <dd>the unescaped string</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.core-module.html#unescape" class="link">genshi.core.unescape</a>
-      </p>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core-module.html 0.7.1-2/doc/api/genshi.core-module.html
--- 0.7-6/doc/api/genshi.core-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,286 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;core
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module core</h1><p class="nomargin-top"></p>
-Core classes for markup processing.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.core.Stream-class.html" class="summary-name">Stream</a><br />
-      Represents a stream of markup events.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.core.Attrs-class.html" class="summary-name">Attrs</a><br />
-      Immutable sequence type that stores the attributes of an element.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.core.Markup-class.html" class="summary-name">Markup</a><br />
-      Marks a string as being safe for inclusion in HTML/XML output without
-needing to be escaped.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.core.Namespace-class.html" class="summary-name">Namespace</a><br />
-      Utility class creating and testing elements with a namespace.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.core.QName-class.html" class="summary-name">QName</a><br />
-      A qualified element or attribute name.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Markup-class.html" class="link">Markup</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core-module.html#escape" class="summary-sig-name">escape</a>(<span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">quotes</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Create a Markup instance from a string and escape special characters
-it may contain (&lt;, &gt;, &amp; and &quot;).</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">unicode</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core-module.html#unescape" class="summary-sig-name">unescape</a>(<span class="summary-sig-arg">text</span>)</span><br />
-      Reverse-escapes &amp;, &lt;, &gt;, and &quot; and returns a <code class="link">unicode</code> object.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="escape"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">escape</span>(<span class="sig-arg">text</span>,
-        <span class="sig-arg">quotes</span>=<span class="sig-default">True</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Create a Markup instance from a string and escape special characters
-it may contain (&lt;, &gt;, &amp; and &quot;).</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>escape(<span class="py-string">'&quot;1 &lt; 2&quot;'</span>)
-<span class="py-output">&lt;Markup u'&amp;#34;1 &amp;lt; 2&amp;#34;'&gt;</span></pre>
-<p>If the <code class="link">quotes</code> parameter is set to <code class="link">False</code>, the &quot; character is left
-as is. Escaping quotes is generally only required for strings that are
-to be used in attribute values.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>escape(<span class="py-string">'&quot;1 &lt; 2&quot;'</span>, quotes=False)
-<span class="py-output">&lt;Markup u'&quot;1 &amp;lt; 2&quot;'&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the text to escape</li>
-        <li><strong class="pname"><code>quotes</code></strong> - if <tt class="rst-docutils literal">True</tt>, double quote characters are escaped in
-addition to the other special characters</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Markup-class.html" class="link">Markup</a></dt>
-        <dd>the escaped <a href="genshi.core.Markup-class.html" class="link">Markup</a> string</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="unescape"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">unescape</span>(<span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Reverse-escapes &amp;, &lt;, &gt;, and &quot; and returns a <code class="link">unicode</code> object.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>unescape(Markup(<span class="py-string">'1 &amp;lt; 2'</span>))
-<span class="py-output">u'1 &lt; 2'</span></pre>
-<p>If the provided <code class="link">text</code> object is not a <a href="genshi.core.Markup-class.html" class="link">Markup</a> instance, it is returned
-unchanged.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>unescape(<span class="py-string">'1 &amp;lt; 2'</span>)
-<span class="py-output">'1 &amp;lt; 2'</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the text to unescape</li>
-    </ul></dd>
-    <dt>Returns: <code class="link">unicode</code></dt>
-        <dd>the unescsaped string</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core.Namespace-class.html 0.7.1-2/doc/api/genshi.core.Namespace-class.html
--- 0.7-6/doc/api/genshi.core.Namespace-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core.Namespace-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,567 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core.Namespace</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.core-module.html">Module&nbsp;core</a> ::
-        Class&nbsp;Namespace
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Namespace</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Namespace</strong>
-</pre>
-
-<hr />
-<p>Utility class creating and testing elements with a namespace.</p>
-<p>Internally, namespace URIs are encoded in the <a href="genshi.core.QName-class.html" class="link">QName</a> of any element or
-attribute, the namespace URI being enclosed in curly braces. This class
-helps create and test these strings.</p>
-<p>A <a href="genshi.core.Namespace-class.html" class="link">Namespace</a> object is instantiated with the namespace URI.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = Namespace(<span class="py-string">'http://www.w3.org/1999/xhtml'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>html
-<span class="py-output">Namespace('http://www.w3.org/1999/xhtml')</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>html.uri
-<span class="py-output">u'http://www.w3.org/1999/xhtml'</span></pre>
-<p>The <a href="genshi.core.Namespace-class.html" class="link">Namespace</a> object can than be used to generate <a href="genshi.core.QName-class.html" class="link">QName</a> objects with
-that namespace:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html.body
-<span class="py-output">QName('http://www.w3.org/1999/xhtml}body')</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>html.body.localname
-<span class="py-output">u'body'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>html.body.namespace
-<span class="py-output">u'http://www.w3.org/1999/xhtml'</span></pre>
-<p>The same works using item access notation, which is useful for element or
-attribute names that are not valid Python identifiers:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html[<span class="py-string">'body'</span>]
-<span class="py-output">QName('http://www.w3.org/1999/xhtml}body')</span></pre>
-<p>A <a href="genshi.core.Namespace-class.html" class="link">Namespace</a> object can also be used to test whether a specific <a href="genshi.core.QName-class.html" class="link">QName</a>
-belongs to that namespace using the <tt class="rst-docutils literal">in</tt> operator:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>qname = html.body
-<span class="py-prompt">&gt;&gt;&gt; </span>qname <span class="py-keyword">in</span> html
-<span class="py-output">True</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>qname <span class="py-keyword">in</span> Namespace(<span class="py-string">'http://www.w3.org/2002/06/xhtml2'</span>)
-<span class="py-output">False</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getnewargs__"></a><span class="summary-sig-name">__getnewargs__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getstate__"></a><span class="summary-sig-name">__getstate__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__setstate__"></a><span class="summary-sig-name">__setstate__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">uri</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Namespace-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">uri</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__contains__"></a><span class="summary-sig-name">__contains__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">qname</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__ne__"></a><span class="summary-sig-name">__ne__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__eq__"></a><span class="summary-sig-name">__eq__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getitem__"></a><span class="summary-sig-name">__getitem__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getattr__"></a><span class="summary-sig-name">__getattr__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Namespace-class.html#__hash__" class="summary-sig-name">__hash__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      hash(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Namespace-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Namespace-class.html#__str__" class="summary-sig-name">__str__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      str(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__unicode__"></a><span class="summary-sig-name">__unicode__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== STATIC METHODS ==================== -->
-<a name="section-StaticMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Static Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">a new object with type S, a subtype of T</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Namespace-class.html#__new__" class="summary-sig-name">__new__</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">uri</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__new__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__new__</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">uri</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Returns: a new object with type S, a subtype of T</dt>
-    <dt>Overrides:
-        object.__new__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">uri</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__hash__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__hash__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Hashing function)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  hash(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__hash__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__str__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__str__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Informal representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  str(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__str__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core.QName-class.html 0.7.1-2/doc/api/genshi.core.QName-class.html
--- 0.7-6/doc/api/genshi.core.QName-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core.QName-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,401 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core.QName</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.core-module.html">Module&nbsp;core</a> ::
-        Class&nbsp;QName
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class QName</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-basestring --+    
-             |    
-       unicode --+
-                 |
-                <strong class="uidshort">QName</strong>
-</pre>
-
-<hr />
-<p>A qualified element or attribute name.</p>
-<p>The unicode value of instances of this class contains the qualified name of
-the element or attribute, in the form <tt class="rst-docutils literal"><span class="pre">{namespace-uri}local-name</span></tt>. The
-namespace URI can be obtained through the additional <a href="genshi.core.QName-class.html#namespace" class="link">namespace</a> attribute,
-while the local name can be accessed through the <a href="genshi.core.QName-class.html#localname" class="link">localname</a> attribute.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>qname = QName(<span class="py-string">'foo'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>qname
-<span class="py-output">QName('foo')</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>qname.localname
-<span class="py-output">u'foo'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>qname.namespace</pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>qname = QName(<span class="py-string">'http://www.w3.org/1999/xhtml}body'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>qname
-<span class="py-output">QName('http://www.w3.org/1999/xhtml}body')</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>qname.localname
-<span class="py-output">u'body'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>qname.namespace
-<span class="py-output">u'http://www.w3.org/1999/xhtml'</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.QName-class.html#__getnewargs__" class="summary-sig-name">__getnewargs__</a>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.QName-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>unicode</code></b>:
-      <code>__add__</code>,
-      <code>__contains__</code>,
-      <code>__eq__</code>,
-      <code>__format__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__gt__</code>,
-      <code>__hash__</code>,
-      <code>__le__</code>,
-      <code>__len__</code>,
-      <code>__lt__</code>,
-      <code>__mod__</code>,
-      <code>__mul__</code>,
-      <code>__ne__</code>,
-      <code>__rmod__</code>,
-      <code>__rmul__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>capitalize</code>,
-      <code>center</code>,
-      <code>count</code>,
-      <code>decode</code>,
-      <code>encode</code>,
-      <code>endswith</code>,
-      <code>expandtabs</code>,
-      <code>find</code>,
-      <code>format</code>,
-      <code>index</code>,
-      <code>isalnum</code>,
-      <code>isalpha</code>,
-      <code>isdecimal</code>,
-      <code>isdigit</code>,
-      <code>islower</code>,
-      <code>isnumeric</code>,
-      <code>isspace</code>,
-      <code>istitle</code>,
-      <code>isupper</code>,
-      <code>join</code>,
-      <code>ljust</code>,
-      <code>lower</code>,
-      <code>lstrip</code>,
-      <code>partition</code>,
-      <code>replace</code>,
-      <code>rfind</code>,
-      <code>rindex</code>,
-      <code>rjust</code>,
-      <code>rpartition</code>,
-      <code>rsplit</code>,
-      <code>rstrip</code>,
-      <code>split</code>,
-      <code>splitlines</code>,
-      <code>startswith</code>,
-      <code>strip</code>,
-      <code>swapcase</code>,
-      <code>title</code>,
-      <code>translate</code>,
-      <code>upper</code>,
-      <code>zfill</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__init__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== STATIC METHODS ==================== -->
-<a name="section-StaticMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Static Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">a new object with type S, a subtype of T</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.QName-class.html#__new__" class="summary-sig-name">__new__</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">qname</span>)</span><br />
-      Create the <a href="genshi.core.QName-class.html" class="link">QName</a> instance.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="localname"></a><span class="summary-name">localname</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="namespace"></a><span class="summary-name">namespace</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__new__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__new__</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">qname</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the <a href="genshi.core.QName-class.html" class="link">QName</a> instance.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>qname</code></strong> - the qualified name as a string of the form
-<tt class="rst-docutils literal"><span class="pre">{namespace-uri}local-name</span></tt>, where the leading curly
-brace is optional</li>
-    </ul></dd>
-    <dt>Returns: a new object with type S, a subtype of T</dt>
-    <dt>Overrides:
-        object.__new__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getnewargs__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getnewargs__</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        unicode.__getnewargs__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.core.Stream-class.html 0.7.1-2/doc/api/genshi.core.Stream-class.html
--- 0.7-6/doc/api/genshi.core.Stream-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.core.Stream-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,792 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.core.Stream</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.core-module.html">Module&nbsp;core</a> ::
-        Class&nbsp;Stream
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Stream</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Stream</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.filters.transform.StreamBuffer-class.html">filters.transform.StreamBuffer</a></li>  </ul>
-</dd></dl>
-
-<hr />
-<p>Represents a stream of markup events.</p>
-<p>This class is basically an iterator over the events.</p>
-<p>Stream events are tuples of the form:</p>
-<pre class="rst-literal-block">
-(kind, data, position)
-</pre>
-<p>where <tt class="rst-docutils literal">kind</tt> is the event kind (such as <a href="genshi.core.Stream-class.html#START" class="link">START</a>, <a href="genshi.core.Stream-class.html#END" class="link">END</a>, <a href="genshi.core.Stream-class.html#TEXT" class="link">TEXT</a>, etc),
-<tt class="rst-docutils literal">data</tt> depends on the kind of event, and <tt class="rst-docutils literal">position</tt> is a
-<tt class="rst-docutils literal">(filename, line, offset)</tt> tuple that contains the location of the
-original element or text in the input. If the original location is unknown,
-<tt class="rst-docutils literal">position</tt> is <tt class="rst-docutils literal">(None, <span class="pre">-1,</span> <span class="pre">-1)</span></tt>.</p>
-<p>Also provided are ways to serialize the stream to text. The <a href="genshi.core.Stream-class.html#serialize" class="link">serialize()</a>
-method will return an iterator over generated strings, while <a href="genshi.core.Stream-class.html#render" class="link">render()</a>
-returns the complete generated text at once. Both accept various parameters
-that impact the way the stream is serialized.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">events</span>,
-        <span class="summary-sig-arg">serializer</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Initialize the stream with a sequence of markup events.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__iter__"></a><span class="summary-sig-name">__iter__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#__or__" class="summary-sig-name">__or__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">function</span>)</span><br />
-      Override the &quot;bitwise or&quot; operator to apply filters or serializers
-to the stream, providing a syntax similar to pipes on Unix shells.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#filter" class="summary-sig-name">filter</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*filters</span>)</span><br />
-      Apply filters to the stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">basestring</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#render" class="summary-sig-name">render</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">method</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">out</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Return a string representation of the stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#select" class="summary-sig-name">select</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">path</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">variables</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Return a new stream that contains the events matching the given
-XPath expression.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">iterator</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#serialize" class="summary-sig-name">serialize</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">method</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Generate strings corresponding to a specific serialization of the
-stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.core.Stream-class.html#__str__" class="summary-sig-name">__str__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      str(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__unicode__"></a><span class="summary-sig-name">__unicode__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__html__"></a><span class="summary-sig-name">__html__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="START"></a><span class="summary-name">START</span> = <code title="'START'">'START'</code><br />
-      a start tag
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="END"></a><span class="summary-name">END</span> = <code title="'END'">'END'</code><br />
-      an end tag
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="TEXT"></a><span class="summary-name">TEXT</span> = <code title="'TEXT'">'TEXT'</code><br />
-      literal text
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="XML_DECL"></a><span class="summary-name">XML_DECL</span> = <code title="'XML_DECL'">'XML_DECL'</code><br />
-      XML declaration
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="DOCTYPE"></a><span class="summary-name">DOCTYPE</span> = <code title="'DOCTYPE'">'DOCTYPE'</code><br />
-      doctype declaration
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="START_NS"></a><span class="summary-name">START_NS</span> = <code title="'START_NS'">'START_NS'</code><br />
-      start namespace mapping
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="END_NS"></a><span class="summary-name">END_NS</span> = <code title="'END_NS'">'END_NS'</code><br />
-      end namespace mapping
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="START_CDATA"></a><span class="summary-name">START_CDATA</span> = <code title="'START_CDATA'">'START_CDATA'</code><br />
-      start CDATA section
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="END_CDATA"></a><span class="summary-name">END_CDATA</span> = <code title="'END_CDATA'">'END_CDATA'</code><br />
-      end CDATA section
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="PI"></a><span class="summary-name">PI</span> = <code title="'PI'">'PI'</code><br />
-      processing instruction
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="COMMENT"></a><span class="summary-name">COMMENT</span> = <code title="'COMMENT'">'COMMENT'</code><br />
-      comment
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="events"></a><span class="summary-name">events</span><br />
-      The underlying iterable producing the events
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="serializer"></a><span class="summary-name">serializer</span><br />
-      The default serializion method
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">events</span>,
-        <span class="sig-arg">serializer</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the stream with a sequence of markup events.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>events</code></strong> - a sequence or iterable providing the events</li>
-        <li><strong class="pname"><code>serializer</code></strong> - the default serialization method to use for this
-stream</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Changed in 0.5: added the <a href="genshi.core.Stream-class.html#serializer" class="link">serializer</a> argument
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__or__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__or__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">function</span>)</span>
-    <br /><em class="fname">(Or operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Override the &quot;bitwise or&quot; operator to apply filters or serializers
-to the stream, providing a syntax similar to pipes on Unix shells.</p>
-<p>Assume the following stream produced by the <a href="genshi.input-module.html#HTML" class="link">HTML</a> function:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.input <span class="py-keyword">import</span> HTML
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'''&lt;p onclick=&quot;alert('Whoa')&quot;&gt;Hello, world!&lt;/p&gt;'''</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html)
-<span class="py-output">&lt;p onclick=&quot;alert('Whoa')&quot;&gt;Hello, world!&lt;/p&gt;</span></pre>
-<p>A filter such as the HTML sanitizer can be applied to that stream using
-the pipe notation as follows:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.filters <span class="py-keyword">import</span> HTMLSanitizer
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer = HTMLSanitizer()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | sanitizer)
-<span class="py-output">&lt;p&gt;Hello, world!&lt;/p&gt;</span></pre>
-<p>Filters can be any function that accepts and produces a stream (where
-a stream is anything that iterates over events):</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">def</span> <span class="py-defname">uppercase</span>(stream):
-<span class="py-more">... </span>    <span class="py-keyword">for</span> kind, data, pos <span class="py-keyword">in</span> stream:
-<span class="py-more">... </span>        <span class="py-keyword">if</span> kind <span class="py-keyword">is</span> TEXT:
-<span class="py-more">... </span>            data = data.upper()
-<span class="py-more">... </span>        yield kind, data, pos
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | sanitizer | uppercase)
-<span class="py-output">&lt;p&gt;HELLO, WORLD!&lt;/p&gt;</span></pre>
-<p>Serializers can also be used with this notation:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.output <span class="py-keyword">import</span> TextSerializer
-<span class="py-prompt">&gt;&gt;&gt; </span>output = TextSerializer()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | sanitizer | uppercase | output)
-<span class="py-output">HELLO, WORLD!</span></pre>
-<p>Commonly, serializers should be used at the end of the &quot;pipeline&quot;;
-using them somewhere in the middle may produce unexpected results.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>function</code></strong> - the callable object that should be applied as a filter</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-        <dd>the filtered stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="filter"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">filter</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">*filters</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Apply filters to the stream.</p>
-<p>This method returns a new stream with the given filters applied. The
-filters must be callables that accept the stream object as parameter,
-and return the filtered stream.</p>
-<p>The call:</p>
-<pre class="rst-literal-block">
-stream.filter(filter1, filter2)
-</pre>
-<p>is equivalent to:</p>
-<pre class="rst-literal-block">
-stream | filter1 | filter2
-</pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>filters</code></strong> - one or more callable objects that should be applied as
-filters</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-        <dd>the filtered stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="render"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">render</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">method</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">out</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">**kwargs</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a string representation of the stream.</p>
-<p>Any additional keyword arguments are passed to the serializer, and thus
-depend on the <code class="link">method</code> parameter value.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>method</code></strong> - determines how the stream is serialized; can be either
-&quot;xml&quot;, &quot;xhtml&quot;, &quot;html&quot;, &quot;text&quot;, or a custom serializer
-class; if <code class="link">None</code>, the default serialization method of
-the stream is used</li>
-        <li><strong class="pname"><code>encoding</code></strong> - how the output string should be encoded; if set to
-<code class="link">None</code>, this method returns a <code class="link">unicode</code> object</li>
-        <li><strong class="pname"><code>out</code></strong> - a file-like object that the output should be written to
-instead of being returned as one big string; note that if
-this is a file or socket (or similar), the <code class="link">encoding</code> must
-not be <code class="link">None</code> (that is, the output must be encoded)</li>
-    </ul></dd>
-    <dt>Returns: <code class="link">basestring</code></dt>
-        <dd>a <code class="link">str</code> or <code class="link">unicode</code> object (depending on the <code class="link">encoding</code>
-parameter), or <code class="link">None</code> if the <code class="link">out</code> parameter is provided</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        XMLSerializer, XHTMLSerializer, HTMLSerializer, TextSerializer
-      </p>
-      <p><strong>Note:</strong>
-        Changed in 0.5: added the <code class="link">out</code> parameter
-      </p>
-</div></td></tr></table>
-</div>
-<a name="select"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">select</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">path</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">variables</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a new stream that contains the events matching the given
-XPath expression.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi <span class="py-keyword">import</span> HTML
-<span class="py-prompt">&gt;&gt;&gt; </span>stream = HTML(<span class="py-string">'&lt;doc&gt;&lt;elem&gt;foo&lt;/elem&gt;&lt;elem&gt;bar&lt;/elem&gt;&lt;/doc&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(stream.select(<span class="py-string">'elem'</span>))
-<span class="py-output">&lt;elem&gt;foo&lt;/elem&gt;&lt;elem&gt;bar&lt;/elem&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(stream.select(<span class="py-string">'elem/text()'</span>))
-<span class="py-output">foobar</span></pre>
-<p>Note that the outermost element of the stream becomes the <em>context
-node</em> for the XPath test. That means that the expression &quot;doc&quot; would
-not match anything in the example above, because it only tests against
-child elements of the outermost element:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(stream.select(<span class="py-string">'doc'</span>))
-<span class="py-output">&lt;BLANKLINE&gt;</span></pre>
-<p>You can use the &quot;.&quot; expression to match the context node itself
-(although that usually makes little sense):</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(stream.select(<span class="py-string">'.'</span>))
-<span class="py-output">&lt;doc&gt;&lt;elem&gt;foo&lt;/elem&gt;&lt;elem&gt;bar&lt;/elem&gt;&lt;/doc&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>path</code></strong> - a string containing the XPath expression</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - mapping of namespace prefixes used in the path</li>
-        <li><strong class="pname"><code>variables</code></strong> - mapping of variable names to values</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-        <dd>the selected substream</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.path.PathSyntaxError-class.html">PathSyntaxError</a></strong></code> - if the given path expression is invalid or not
-supported</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="serialize"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">serialize</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">method</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">**kwargs</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Generate strings corresponding to a specific serialization of the
-stream.</p>
-<p>Unlike the <a href="genshi.core.Stream-class.html#render" class="link">render()</a> method, this method is a generator that returns
-the serialized output incrementally, as opposed to returning a single
-string.</p>
-<p>Any additional keyword arguments are passed to the serializer, and thus
-depend on the <code class="link">method</code> parameter value.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>method</code></strong> - determines how the stream is serialized; can be either
-&quot;xml&quot;, &quot;xhtml&quot;, &quot;html&quot;, &quot;text&quot;, or a custom serializer
-class; if <code class="link">None</code>, the default serialization method of
-the stream is used</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">iterator</tt></dt>
-        <dd>an iterator over the serialization results (<a href="genshi.core.Markup-class.html" class="link">Markup</a> or
-<code class="link">unicode</code> objects, depending on the serialization method)</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        XMLSerializer, XHTMLSerializer, HTMLSerializer, TextSerializer
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__str__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__str__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Informal representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  str(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__str__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.html.HTMLFormFiller-class.html 0.7.1-2/doc/api/genshi.filters.html.HTMLFormFiller-class.html
--- 0.7-6/doc/api/genshi.filters.html.HTMLFormFiller-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.html.HTMLFormFiller-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,291 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.html.HTMLFormFiller</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.html-module.html">Module&nbsp;html</a> ::
-        Class&nbsp;HTMLFormFiller
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class HTMLFormFiller</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">HTMLFormFiller</strong>
-</pre>
-
-<hr />
-<p>A stream filter that can populate HTML forms from a dictionary of values.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.input <span class="py-keyword">import</span> HTML
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'''&lt;form&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;p&gt;&lt;input type=&quot;text&quot; name=&quot;foo&quot; /&gt;&lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/form&gt;'''</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>filler = HTMLFormFiller(data={<span class="py-string">'foo'</span>: <span class="py-string">'bar'</span>})
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | filler)
-<span class="py-output">&lt;form&gt;</span>
-<span class="py-output">  &lt;p&gt;&lt;input type=&quot;text&quot; name=&quot;foo&quot; value=&quot;bar&quot;/&gt;&lt;/p&gt;</span>
-<span class="py-output">&lt;/form&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLFormFiller-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">id</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">data</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">passwords</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Create the filter.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLFormFiller-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span><br />
-      Apply the filter to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">id</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">data</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">passwords</span>=<span class="sig-default">False</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the filter.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - The name of the form that should be populated. If this
-parameter is given, only forms where the <tt class="rst-docutils literal">name</tt> attribute
-value matches the parameter are processed.</li>
-        <li><strong class="pname"><code>id</code></strong> - The ID of the form that should be populated. If this
-parameter is given, only forms where the <tt class="rst-docutils literal">id</tt> attribute
-value matches the parameter are processed.</li>
-        <li><strong class="pname"><code>data</code></strong> - The dictionary of form values, where the keys are the names
-of the form fields, and the values are the values to fill
-in.</li>
-        <li><strong class="pname"><code>passwords</code></strong> - Whether password input fields should be populated.
-This is off by default for security reasons (for
-example, a password may end up in the browser cache)</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Changed in 0.5.2: added the <code class="link">passwords</code> option
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the filter to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the markup event stream to filter</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.html.HTMLSanitizer-class.html 0.7.1-2/doc/api/genshi.filters.html.HTMLSanitizer-class.html
--- 0.7-6/doc/api/genshi.filters.html.HTMLSanitizer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.html.HTMLSanitizer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,724 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.html.HTMLSanitizer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.html-module.html">Module&nbsp;html</a> ::
-        Class&nbsp;HTMLSanitizer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class HTMLSanitizer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">HTMLSanitizer</strong>
-</pre>
-
-<hr />
-<p>A filter that removes potentially dangerous HTML tags and attributes
-from the stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi <span class="py-keyword">import</span> HTML
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;div&gt;&lt;script&gt;alert(document.cookie)&lt;/script&gt;&lt;/div&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | HTMLSanitizer())
-<span class="py-output">&lt;div/&gt;</span></pre>
-<p>The default set of safe tags and attributes can be modified when the filter
-is instantiated. For example, to allow inline <tt class="rst-docutils literal">style</tt> attributes, the
-following instantation would work:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;div style=&quot;background: #000&quot;&gt;&lt;/div&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer = HTMLSanitizer(safe_attrs=HTMLSanitizer.SAFE_ATTRS | set([<span class="py-string">'style'</span>]))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | sanitizer)
-<span class="py-output">&lt;div style=&quot;background: #000&quot;/&gt;</span></pre>
-<p>Note that even in this case, the filter <em>does</em> attempt to remove dangerous
-constructs from style attributes:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;div style=&quot;background: url(javascript:void); color: #000&quot;&gt;&lt;/div&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | sanitizer)
-<span class="py-output">&lt;div style=&quot;color: #000&quot;/&gt;</span></pre>
-<p>This handles HTML entities, unicode escapes in CSS and Javascript text, as
-well as a lot of other things. However, the style tag is still excluded by
-default because it is very hard for such sanitizing to be completely safe,
-especially considering how much error recovery current web browsers perform.</p>
-<p>It also does some basic filtering of CSS properties that may be used for
-typical phishing attacks. For more sophisticated filtering, this class
-provides a couple of hooks that can be overridden in sub-classes.</p>
-
-<hr />
-<div class="fields">      <p><strong>Warning:</strong>
-        Note that this special processing of CSS is currently only applied to
-style attributes, <strong>not</strong> style elements.
-      </p>
-</div><!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">safe_tags</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">acronym</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">address</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">area</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">b</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">bi</code><code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">safe_attrs</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept-charset</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accesskey</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">safe_schemes</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code>None<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">file</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ftp</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">https</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">mailto</code><code class="variable-quote">'</code><code class="variable-group">])</code></span>,
-        <span class="summary-sig-arg">uri_attrs</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">action</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dynsrc</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">href</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">lowsrc</code><code class="variable-quote">'</code><code class="variable-op">,</code><code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">safe_css</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background-attachment</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background-</code><code class="variable-ellipsis">...</code></span>)</span><br />
-      Create the sanitizer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span><br />
-      Apply the filter to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">bool</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_css" class="summary-sig-name">is_safe_css</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">propname</span>,
-        <span class="summary-sig-arg">value</span>)</span><br />
-      Determine whether the given css property declaration is to be
-considered safe for inclusion in the output.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">bool</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_elem" class="summary-sig-name">is_safe_elem</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">tag</span>,
-        <span class="summary-sig-arg">attrs</span>)</span><br />
-      Determine whether the given element should be considered safe for
-inclusion in the output.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">bool</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_uri" class="summary-sig-name">is_safe_uri</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">uri</span>)</span><br />
-      Determine whether the given URI is to be considered safe for
-inclusion in the output.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><code class="link">list</code></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.html.HTMLSanitizer-class.html#sanitize_css" class="summary-sig-name">sanitize_css</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">text</span>)</span><br />
-      Remove potentially dangerous property declarations from CSS code.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_TAGS" class="summary-name">SAFE_TAGS</a> = <code title="frozenset(['a',
-           'abbr',
-           'acronym',
-           'address',
-           'area',
-           'b',
-           'big',
-           'blockquote',
-..."><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">acronym</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">address</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">are</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_ATTRS" class="summary-name">SAFE_ATTRS</a> = <code title="frozenset(['abbr',
-           'accept',
-           'accept-charset',
-           'accesskey',
-           'action',
-           'align',
-           'alt',
-           'axis',
-..."><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept-charset</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_CSS" class="summary-name">SAFE_CSS</a> = <code title="frozenset(['background',
-           'background-attachment',
-           'background-color',
-           'background-image',
-           'background-position',
-           'background-repeat',
-           'border',
-           'border-bottom',
-..."><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background-attachment</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_SCHEMES" class="summary-name">SAFE_SCHEMES</a> = <code title="frozenset([None, 'file', 'ftp', 'http', 'https', 'mailto'])"><code class="variable-group">frozenset([</code>None<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">file</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ftp</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">https</code><code class="variable-quote">'</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html#URI_ATTRS" class="summary-name">URI_ATTRS</a> = <code title="frozenset(['action', 'background', 'dynsrc', 'href', 'lowsrc', 'src'])"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">action</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dynsrc</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">href</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">safe_tags</span>=<span class="sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">acronym</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">address</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">area</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">b</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">bi</code><code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">safe_attrs</span>=<span class="sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accept-charset</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">accesskey</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">safe_schemes</span>=<span class="sig-default"><code class="variable-group">frozenset([</code>None<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">file</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ftp</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">https</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">mailto</code><code class="variable-quote">'</code><code class="variable-group">])</code></span>,
-        <span class="sig-arg">uri_attrs</span>=<span class="sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">action</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dynsrc</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">href</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">lowsrc</code><code class="variable-quote">'</code><code class="variable-op">,</code><code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">safe_css</span>=<span class="sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background-attachment</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background-</code><code class="variable-ellipsis">...</code></span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Create the sanitizer.</p>
-<p>The exact set of allowed elements and attributes can be configured.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>safe_tags</code></strong> - a set of tag names that are considered safe</li>
-        <li><strong class="pname"><code>safe_attrs</code></strong> - a set of attribute names that are considered safe</li>
-        <li><strong class="pname"><code>safe_schemes</code></strong> - a set of URI schemes that are considered safe</li>
-        <li><strong class="pname"><code>uri_attrs</code></strong> - a set of names of attributes that contain URIs</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the filter to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the markup event stream to filter</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="is_safe_css"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">is_safe_css</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">propname</span>,
-        <span class="sig-arg">value</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Determine whether the given css property declaration is to be
-considered safe for inclusion in the output.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>propname</code></strong> - the CSS property name</li>
-        <li><strong class="pname"><code>value</code></strong> - the value of the property</li>
-    </ul></dd>
-    <dt>Returns: bool</dt>
-        <dd>whether the property value should be considered safe</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.6
-      </p>
-</div></td></tr></table>
-</div>
-<a name="is_safe_elem"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">is_safe_elem</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">tag</span>,
-        <span class="sig-arg">attrs</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Determine whether the given element should be considered safe for
-inclusion in the output.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>tag</code></strong> (QName) - the tag name of the element</li>
-        <li><strong class="pname"><code>attrs</code></strong> (Attrs) - the element attributes</li>
-    </ul></dd>
-    <dt>Returns: bool</dt>
-        <dd>whether the element should be considered safe</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.6
-      </p>
-</div></td></tr></table>
-</div>
-<a name="is_safe_uri"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">is_safe_uri</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">uri</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Determine whether the given URI is to be considered safe for
-inclusion in the output.</p>
-<p>The default implementation checks whether the scheme of the URI is in
-the set of allowed URIs (<code class="link">safe_schemes</code>).</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer = HTMLSanitizer()
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer.is_safe_uri(<span class="py-string">'http://example.org/'</span>)
-<span class="py-output">True</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>sanitizer.is_safe_uri(<span class="py-string">'javascript:alert(document.cookie)'</span>)
-<span class="py-output">False</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>uri</code></strong> - the URI to check</li>
-    </ul></dd>
-    <dt>Returns: <code class="link">bool</code></dt>
-        <dd><code class="link">True</code> if the URI can be considered safe, <code class="link">False</code> otherwise</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.4.3
-      </p>
-</div></td></tr></table>
-</div>
-<a name="sanitize_css"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">sanitize_css</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Remove potentially dangerous property declarations from CSS code.</p>
-<p>In particular, properties using the CSS <tt class="rst-docutils literal">url()</tt> function with a scheme
-that is not considered safe are removed:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer = HTMLSanitizer()
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer.sanitize_css(u<span class="py-string">'''</span>
-<span class="py-more">... </span><span class="py-string">  background: url(javascript:alert(&quot;foo&quot;));</span>
-<span class="py-more">... </span><span class="py-string">  color: #000;</span>
-<span class="py-more">... </span><span class="py-string">'''</span>)
-<span class="py-output">[u'color: #000']</span></pre>
-<p>Also, the proprietary Internet Explorer function <tt class="rst-docutils literal">expression()</tt> is
-always stripped:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>sanitizer.sanitize_css(u<span class="py-string">'''</span>
-<span class="py-more">... </span><span class="py-string">  background: #fff;</span>
-<span class="py-more">... </span><span class="py-string">  color: #000;</span>
-<span class="py-more">... </span><span class="py-string">  width: e/**/xpression(alert(&quot;foo&quot;));</span>
-<span class="py-more">... </span><span class="py-string">'''</span>)
-<span class="py-output">[u'background: #fff', u'color: #000']</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the CSS text; this is expected to be <code class="link">unicode</code> and to not
-contain any character or numeric references</li>
-    </ul></dd>
-    <dt>Returns: <code class="link">list</code></dt>
-        <dd>a list of declarations that are considered safe</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.4.3
-      </p>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="SAFE_TAGS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SAFE_TAGS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">a</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">acronym</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">address</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">area</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">b</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">big</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">blockquote</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SAFE_ATTRS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SAFE_ATTRS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">accept</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">accept-charset</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">accesskey</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">action</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">align</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">alt</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">axis</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SAFE_CSS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SAFE_CSS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">background-attachment</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">background-color</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">background-image</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">background-position</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">background-repeat</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">border</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">border-bottom</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SAFE_SCHEMES"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SAFE_SCHEMES</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code>None<code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">file</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ftp</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">https</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">mailto</code><code class="variable-quote">'</code><code class="variable-group">])</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="URI_ATTRS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">URI_ATTRS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">action</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">background</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dynsrc</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">href</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">lowsrc</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">src</code><code class="variable-quote">'</code><code class="variable-group">])</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.html-module.html 0.7.1-2/doc/api/genshi.filters.html-module.html
--- 0.7-6/doc/api/genshi.filters.html-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.html-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,137 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.html</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        Module&nbsp;html
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module html</h1><p class="nomargin-top"></p>
-Implementation of a number of stream filters.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLFormFiller-class.html" class="summary-name">HTMLFormFiller</a><br />
-      A stream filter that can populate HTML forms from a dictionary of values.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.html.HTMLSanitizer-class.html" class="summary-name">HTMLSanitizer</a><br />
-      A filter that removes potentially dangerous HTML tags and attributes
-from the stream.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.i18n-module.html 0.7.1-2/doc/api/genshi.filters.i18n-module.html
--- 0.7-6/doc/api/genshi.filters.i18n-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.i18n-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,209 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.i18n</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        Module&nbsp;i18n
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module i18n</h1><p class="nomargin-top"></p>
-Directives and utilities for internationalization and localization of
-templates.
-
-<hr />
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.4
-      </p>
-      <p><strong>Note:</strong>
-        Directives support added since version 0.6
-      </p>
-</div><!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.i18n.Translator-class.html" class="summary-name">Translator</a><br />
-      Can extract and translate localizable strings from markup streams and
-templates.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">iterator</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n-module.html#extract" class="summary-sig-name">extract</a>(<span class="summary-sig-arg">fileobj</span>,
-        <span class="summary-sig-arg">keywords</span>,
-        <span class="summary-sig-arg">comment_tags</span>,
-        <span class="summary-sig-arg">options</span>)</span><br />
-      Babel extraction method for Genshi templates.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="extract"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">extract</span>(<span class="sig-arg">fileobj</span>,
-        <span class="sig-arg">keywords</span>,
-        <span class="sig-arg">comment_tags</span>,
-        <span class="sig-arg">options</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Babel extraction method for Genshi templates.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>fileobj</code></strong> - the file-like object the messages should be extracted from</li>
-        <li><strong class="pname"><code>keywords</code></strong> - a list of keywords (i.e. function names) that should be
-recognized as translation functions</li>
-        <li><strong class="pname"><code>comment_tags</code></strong> - a list of translator tags to search for and include
-in the results</li>
-        <li><strong class="pname"><code>options</code></strong> - a dictionary of additional options (optional)</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">iterator</tt></dt>
-        <dd>an iterator over <tt class="rst-docutils literal">(lineno, funcname, message, comments)</tt> tuples</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.i18n.Translator-class.html 0.7.1-2/doc/api/genshi.filters.i18n.Translator-class.html
--- 0.7-6/doc/api/genshi.filters.i18n.Translator-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.i18n.Translator-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,681 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.i18n.Translator</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.i18n-module.html">Module&nbsp;i18n</a> ::
-        Class&nbsp;Translator
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Translator</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-                    object --+    
-                             |    
-<a href="genshi.template.base.DirectiveFactory-class.html">template.base.DirectiveFactory</a> --+
-                                 |
-                                <strong class="uidshort">Translator</strong>
-</pre>
-
-<hr />
-<p>Can extract and translate localizable strings from markup streams and
-templates.</p>
-<p>For example, assume the following template:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;html xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;head&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;title&gt;Example&lt;/title&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/head&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;body&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;h1&gt;Example&lt;/h1&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;p&gt;${_(&quot;Hello, %(name)s&quot;) % dict(name=username)}&lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/body&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/html&gt;'''</span>, filename=<span class="py-string">'example.html'</span>)</pre>
-<p>For demonstration, we define a dummy <tt class="rst-docutils literal">gettext</tt>-style function with a
-hard-coded translation table, and pass that to the <a href="genshi.filters.i18n.Translator-class.html" class="link">Translator</a> initializer:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">def</span> <span class="py-defname">pseudo_gettext</span>(string):
-<span class="py-more">... </span>    return {
-<span class="py-more">... </span>        <span class="py-string">'Example'</span>: <span class="py-string">'Beispiel'</span>,
-<span class="py-more">... </span>        <span class="py-string">'Hello, %(name)s'</span>: <span class="py-string">'Hallo, %(name)s'</span>
-<span class="py-more">... </span>    }[string]
-<span class="py-prompt">&gt;&gt;&gt; </span>translator = Translator(pseudo_gettext)</pre>
-<p>Next, the translator needs to be prepended to any already defined filters
-on the template:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl.filters.insert(0, translator)</pre>
-<p>When generating the template output, our hard-coded translations should be
-applied as expected:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(username=<span class="py-string">'Hans'</span>, _=pseudo_gettext))
-<span class="py-output">&lt;html&gt;</span>
-<span class="py-output">  &lt;head&gt;</span>
-<span class="py-output">    &lt;title&gt;Beispiel&lt;/title&gt;</span>
-<span class="py-output">  &lt;/head&gt;</span>
-<span class="py-output">  &lt;body&gt;</span>
-<span class="py-output">    &lt;h1&gt;Beispiel&lt;/h1&gt;</span>
-<span class="py-output">    &lt;p&gt;Hallo, Hans&lt;/p&gt;</span>
-<span class="py-output">  &lt;/body&gt;</span>
-<span class="py-output">&lt;/html&gt;</span></pre>
-<p>Note that elements defining <tt class="rst-docutils literal">xml:lang</tt> attributes that do not contain
-variable expressions are ignored by this filter. That can be used to
-exclude specific parts of a template from being extracted and translated.</p>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">template.base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactoryMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n.Translator-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">translate</span>=<span class="summary-sig-default">NullTranslations()</span>,
-        <span class="summary-sig-arg">ignore_tags</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code>QName('script')<code class="variable-op">, </code>QName('style')<code class="variable-op">, </code>QName('http://www.<code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">include_attrs</span>=<span class="summary-sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">alt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">label</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">prompt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">standby</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">summa</code><code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">extract_text</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize the translator.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n.Translator-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">ctxt</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">translate_text</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">translate_attrs</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Translate any localizable strings in the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n.Translator-class.html#extract" class="summary-sig-name">extract</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">gettext_functions</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">_</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">gettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ngettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dgettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dngettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ugettex</code><code class="variable-ellipsis">...</code></span>,
-        <span class="summary-sig-arg">search_text</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">comment_stack</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Extract localizable strings from the given template stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n.Translator-class.html#get_directive_index" class="summary-sig-name">get_directive_index</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">dir_cls</span>)</span><br />
-      Return a key for the given directive class that should be used to
-sort it among other directives on the same SUB event.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.i18n.Translator-class.html#setup" class="summary-sig-name">setup</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">template</span>)</span><br />
-      Convenience function to register the <a href="genshi.filters.i18n.Translator-class.html" class="link">Translator</a> filter and the
-related directives with the given template.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">template.base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.i18n.Translator-class.html#directives" class="summary-name">directives</a> = <code title="[('domain', &lt;class 'genshi.filters.i18n.DomainDirective'&gt;),
- ('comment', &lt;class 'genshi.filters.i18n.CommentDirective'&gt;),
- ('msg', &lt;class 'genshi.filters.i18n.MsgDirective'&gt;),
- ('choose', &lt;class 'genshi.filters.i18n.ChooseDirective'&gt;),
- ('singular', &lt;class 'genshi.filters.i18n.SingularDirective'&gt;),
- ('plural', &lt;class 'genshi.filters.i18n.PluralDirective'&gt;)]"><code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">domain</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.DomainDir<code class="variable-ellipsis">...</code></code><br />
-      A list of <tt class="rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.i18n.Translator-class.html#IGNORE_TAGS" class="summary-name">IGNORE_TAGS</a> = <code title="frozenset([QName('script'),
-           QName('style'),
-           QName('http://www.w3.org/1999/xhtml}script'),
-           QName('http://www.w3.org/1999/xhtml}style')])"><code class="variable-group">frozenset([</code>QName('script')<code class="variable-op">, </code>QName('style')<code class="variable-op">, </code>QNam<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.i18n.Translator-class.html#INCLUDE_ATTRS" class="summary-name">INCLUDE_ATTRS</a> = <code title="frozenset(['abbr',
-           'alt',
-           'label',
-           'prompt',
-           'standby',
-           'summary',
-           'title'])"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">alt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">label</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">prompt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="NAMESPACE"></a><span class="summary-name">NAMESPACE</span> = <code title="Namespace('http://genshi.edgewall.org/i18n')">Namespace('http://genshi.edgewall.org/i18n')</code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">translate</span>=<span class="sig-default">NullTranslations()</span>,
-        <span class="sig-arg">ignore_tags</span>=<span class="sig-default"><code class="variable-group">frozenset([</code>QName('script')<code class="variable-op">, </code>QName('style')<code class="variable-op">, </code>QName('http://www.<code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">include_attrs</span>=<span class="sig-default"><code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">alt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">label</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">prompt</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">standby</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">summa</code><code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">extract_text</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the translator.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>translate</code></strong> - the translation function, for example <tt class="rst-docutils literal">gettext</tt> or
-<tt class="rst-docutils literal">ugettext</tt>.</li>
-        <li><strong class="pname"><code>ignore_tags</code></strong> - a set of tag names that should not be localized</li>
-        <li><strong class="pname"><code>include_attrs</code></strong> - a set of attribute names should be localized</li>
-        <li><strong class="pname"><code>extract_text</code></strong> - whether the content of text nodes should be
-extracted, or only text in explicit <tt class="rst-docutils literal">gettext</tt>
-function calls</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Changed in 0.6: the <code class="link">translate</code> parameter can now be either
-a <tt class="rst-docutils literal">gettext</tt>-style function, or an object compatible with the
-<tt class="rst-docutils literal">NullTransalations</tt> or <tt class="rst-docutils literal">GNUTranslations</tt> interface
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">ctxt</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">translate_text</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">translate_attrs</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Translate any localizable strings in the given stream.</p>
-<p>This function shouldn't be called directly. Instead, an instance of
-the <a href="genshi.filters.i18n.Translator-class.html" class="link">Translator</a> class should be registered as a filter with the
-<a href="genshi.template.base.Template-class.html" class="link">Template</a> or the <a href="genshi.template.loader.TemplateLoader-class.html" class="link">TemplateLoader</a>, or applied as a regular stream
-filter. If used as a template filter, it should be inserted in front of
-all the default filters.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the markup event stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the template context (not used)</li>
-        <li><strong class="pname"><code>translate_text</code></strong> - whether text nodes should be translated (used
-internally)</li>
-        <li><strong class="pname"><code>translate_attrs</code></strong> - whether attribute values should be translated
-(used internally)</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the localized stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="extract"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">extract</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">gettext_functions</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">_</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">gettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ngettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dgettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">dngettext</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">ugettex</code><code class="variable-ellipsis">...</code></span>,
-        <span class="sig-arg">search_text</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">comment_stack</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Extract localizable strings from the given template stream.</p>
-<p>For every string found, this function yields a <tt class="rst-docutils literal">(lineno, function,
-message, comments)</tt> tuple, where:</p>
-<ul class="rst-simple">
-<li><tt class="rst-docutils literal">lineno</tt> is the number of the line on which the string was found,</li>
-<li><tt class="rst-docutils literal">function</tt> is the name of the <tt class="rst-docutils literal">gettext</tt> function used (if the
-string was extracted from embedded Python code), and</li>
-<li><tt class="rst-docutils literal">message</tt> is the string itself (a <tt class="rst-docutils literal">unicode</tt> object, or a tuple
-of <tt class="rst-docutils literal">unicode</tt> objects for functions with multiple string
-arguments).</li>
-<li><tt class="rst-docutils literal">comments</tt> is a list of comments related to the message, extracted
-from <tt class="rst-docutils literal">i18n:comment</tt> attributes found in the markup</li>
-</ul>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;html xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;head&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;title&gt;Example&lt;/title&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/head&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;body&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;h1&gt;Example&lt;/h1&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;p&gt;${_(&quot;Hello, %(name)s&quot;) % dict(name=username)}&lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;p&gt;${ngettext(&quot;You have %d item&quot;, &quot;You have %d items&quot;, num)}&lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/body&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/html&gt;'''</span>, filename=<span class="py-string">'example.html'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> line, func, msg, comments <span class="py-keyword">in</span> Translator().extract(tmpl.stream):
-<span class="py-more">... </span>   <span class="py-keyword">print</span>(<span class="py-string">'%d, %r, %r'</span> % (line, func, msg))
-<span class="py-output">3, None, u'Example'</span>
-<span class="py-output">6, None, u'Example'</span>
-<span class="py-output">7, '_', u'Hello, %(name)s'</span>
-<span class="py-output">8, 'ngettext', (u'You have %d item', u'You have %d items', None)</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream to extract strings from; can be a
-regular stream or a template stream</li>
-        <li><strong class="pname"><code>gettext_functions</code></strong> - a sequence of function names that should be
-treated as gettext-style localization
-functions</li>
-        <li><strong class="pname"><code>search_text</code></strong> - whether the content of text nodes should be
-extracted (used internally)</li>
-    </ul></dd>
-  </dl>
-<div class="fields">      <strong>Notes:</strong>
-      <ul class="nomargin-top">
-        <li>
-        Changed in 0.4.1: For a function with multiple string arguments
-(such as <tt class="rst-docutils literal">ngettext</tt>), a single item with a tuple of strings is
-yielded, instead an item for each string argument.
-        </li>
-        <li>
-        Changed in 0.6: The returned tuples now include a fourth
-element, which is a list of comments for the translator.
-        </li>
-      </ul>
-</div></td></tr></table>
-</div>
-<a name="get_directive_index"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_directive_index</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">dir_cls</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a key for the given directive class that should be used to
-sort it among other directives on the same SUB event.</p>
-<p>The default implementation simply returns the index of the directive in
-the <a href="genshi.filters.i18n.Translator-class.html#directives" class="link">directives</a> list.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>dir_cls</code></strong> - the directive class</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the sort key</dd>
-    <dt>Overrides:
-        <a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">template.base.DirectiveFactory.get_directive_index</a>
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="setup"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">setup</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">template</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Convenience function to register the <a href="genshi.filters.i18n.Translator-class.html" class="link">Translator</a> filter and the
-related directives with the given template.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - a <a href="genshi.template.base.Template-class.html" class="link">Template</a> instance</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="directives"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">directives</h3>
-  A list of <tt class="rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">domain</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.DomainDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">comment</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.CommentDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">msg</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.MsgDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">choose</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.ChooseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">singular</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.SingularDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">plural</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.filters.i18n.PluralDirective'&gt;<code class="variable-group">)</code><code class="variable-group">]</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="IGNORE_TAGS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">IGNORE_TAGS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code>QName('script')<code class="variable-op">,</code>
-           QName('style')<code class="variable-op">,</code>
-           QName('http://www.w3.org/1999/xhtml}script')<code class="variable-op">,</code>
-           QName('http://www.w3.org/1999/xhtml}style')<code class="variable-group">])</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="INCLUDE_ATTRS"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">INCLUDE_ATTRS</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">frozenset([</code><code class="variable-quote">'</code><code class="variable-string">abbr</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">alt</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">label</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">prompt</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">standby</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">summary</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-           <code class="variable-quote">'</code><code class="variable-string">title</code><code class="variable-quote">'</code><code class="variable-group">])</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters-module.html 0.7.1-2/doc/api/genshi.filters-module.html
--- 0.7-6/doc/api/genshi.filters-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,144 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Package&nbsp;filters
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PACKAGE DESCRIPTION ==================== -->
-<h1 class="epydoc">Package filters</h1><p class="nomargin-top"></p>
-Implementation of a number of stream filters.
-
-<!-- ==================== SUBMODULES ==================== -->
-<a name="section-Submodules"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Submodules</span></td>
-</tr>
-  <tr><td class="summary">
-  <ul class="nomargin">
-    <li> <strong class="uidlink"><a href="genshi.filters.html-module.html">genshi.filters.html</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a></strong>: <em class="summary">Directives and utilities for internationalization and localization of
-templates.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform-module.html">genshi.filters.transform</a></strong>: <em class="summary">A filter for functional-style transformations of markup streams.</em>    </li>
-  </ul></td></tr>
-</table>
-
-<br />
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi.filters'"><code class="variable-quote">'</code><code class="variable-string">genshi.filters</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.transform.InjectorTransformation-class.html 0.7.1-2/doc/api/genshi.filters.transform.InjectorTransformation-class.html
--- 0.7-6/doc/api/genshi.filters.transform.InjectorTransformation-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.transform.InjectorTransformation-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,236 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.transform.InjectorTransformation</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.transform-module.html">Module&nbsp;transform</a> ::
-        Class&nbsp;InjectorTransformation
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class InjectorTransformation</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">InjectorTransformation</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li class="private">AfterTransformation</li><li class="private">, AppendTransformation</li><li class="private">, BeforeTransformation</li><li class="private">, PrependTransformation</li><li class="private">, ReplaceTransformation</li>  </ul>
-</dd></dl>
-
-<hr />
-<p>Abstract base class for transformations that inject content into a
-stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">class</span> <span class="py-defname">Top</span>(InjectorTransformation):
-<span class="py-more">... </span>    <span class="py-keyword">def</span> <span class="py-defname">__call__</span>(self, stream):
-<span class="py-more">... </span>        <span class="py-keyword">for</span> event <span class="py-keyword">in</span> self._inject():
-<span class="py-more">... </span>            yield event
-<span class="py-more">... </span>        <span class="py-keyword">for</span> event <span class="py-keyword">in</span> stream:
-<span class="py-more">... </span>            yield event
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).apply(Top(<span class="py-string">'Prefix '</span>)))
-<span class="py-output">Prefix &lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.InjectorTransformation-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Create a new injector.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create a new injector.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - An iterable of Genshi stream events, or a string to be
-injected.</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.transform-module.html 0.7.1-2/doc/api/genshi.filters.transform-module.html
--- 0.7-6/doc/api/genshi.filters.transform-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.transform-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,264 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.transform</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        Module&nbsp;transform
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module transform</h1><p class="nomargin-top"></p>
-<p>A filter for functional-style transformations of markup streams.</p>
-<p>The <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a> filter provides a variety of transformations that can be
-applied to parts of streams that match given XPath expressions. These
-transformations can be chained to achieve results that would be comparitively
-tedious to achieve by writing stream filters by hand. The approach of chaining
-node selection and transformation has been inspired by the <a class="rst-reference external" href="http://jquery.com/" target="_top">jQuery</a> Javascript
-library.</p>
-<blockquote>
-</blockquote>
-<p>For example, the following transformation removes the <tt class="rst-docutils literal">&lt;title&gt;</tt> element from
-the <tt class="rst-docutils literal">&lt;head&gt;</tt> of the input document:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'''&lt;html&gt;</span>
-<span class="py-more">... </span><span class="py-string"> &lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;</span>
-<span class="py-more">... </span><span class="py-string"> &lt;body&gt;</span>
-<span class="py-more">... </span><span class="py-string">   Some &lt;em&gt;body&lt;/em&gt; text.</span>
-<span class="py-more">... </span><span class="py-string"> &lt;/body&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/html&gt;'''</span>,
-<span class="py-more">... </span>encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/em'</span>).map(unicode.upper, TEXT)
-<span class="py-more">... </span>                                   .unwrap().wrap(tag.u))
-<span class="py-output">&lt;html&gt;</span>
-<span class="py-output">  &lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;</span>
-<span class="py-output">  &lt;body&gt;</span>
-<span class="py-output">    Some &lt;u&gt;BODY&lt;/u&gt; text.</span>
-<span class="py-output">  &lt;/body&gt;</span>
-<span class="py-output">&lt;/html&gt;</span></pre>
-<p>The <tt class="rst-docutils literal">Transformer</tt> support a large number of useful transformations out of the
-box, but custom transformations can be added easily.</p>
-
-<hr />
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.5
-      </p>
-</div><!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.transform.Transformer-class.html" class="summary-name">Transformer</a><br />
-      Stream filter that can apply a variety of different transformations to
-a stream.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.transform.InjectorTransformation-class.html" class="summary-name">InjectorTransformation</a><br />
-      Abstract base class for transformations that inject content into a
-stream.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.transform.StreamBuffer-class.html" class="summary-name">StreamBuffer</a><br />
-      Stream event buffer used for cut and copy transformations.
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="ENTER"></a><span class="summary-name">ENTER</span> = <code title="'ENTER'">'ENTER'</code><br />
-      Stream augmentation mark indicating that a selected element is being
-entered.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="INSIDE"></a><span class="summary-name">INSIDE</span> = <code title="'INSIDE'">'INSIDE'</code><br />
-      Stream augmentation mark indicating that processing is currently inside a
-selected element.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="OUTSIDE"></a><span class="summary-name">OUTSIDE</span> = <code title="'OUTSIDE'">'OUTSIDE'</code><br />
-      Stream augmentation mark indicating that a match occurred outside a selected
-element.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="EXIT"></a><span class="summary-name">EXIT</span> = <code title="'EXIT'">'EXIT'</code><br />
-      Stream augmentation mark indicating that a selected element is being
-exited.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.filters.transform-module.html#BREAK" class="summary-name">BREAK</a> = <code title="'BREAK'">'BREAK'</code><br />
-      Stream augmentation mark indicating a break between two otherwise contiguous
-blocks of marked events.
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES DETAILS ==================== -->
-<a name="section-VariablesDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables Details</span></td>
-</tr>
-</table>
-<a name="BREAK"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">BREAK</h3>
-  <p>Stream augmentation mark indicating a break between two otherwise contiguous
-blocks of marked events.</p>
-<p>This is used primarily by the cut() transform to provide later transforms with
-an opportunity to operate on the cut buffer.</p>
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-'BREAK'
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.transform.StreamBuffer-class.html 0.7.1-2/doc/api/genshi.filters.transform.StreamBuffer-class.html
--- 0.7-6/doc/api/genshi.filters.transform.StreamBuffer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.transform.StreamBuffer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,332 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.transform.StreamBuffer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.transform-module.html">Module&nbsp;transform</a> ::
-        Class&nbsp;StreamBuffer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class StreamBuffer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+    
-          |    
-<a href="genshi.core.Stream-class.html">core.Stream</a> --+
-              |
-             <strong class="uidshort">StreamBuffer</strong>
-</pre>
-
-<hr />
-Stream event buffer used for cut and copy transformations.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.StreamBuffer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Create the buffer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.StreamBuffer-class.html#append" class="summary-sig-name">append</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">event</span>)</span><br />
-      Add an event to the buffer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="reset"></a><span class="summary-sig-name">reset</span>(<span class="summary-sig-arg">self</span>)</span><br />
-      Empty the buffer of events.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.core.Stream-class.html">core.Stream</a></code></b>:
-      <code><a href="genshi.core.Stream-class.html#__html__">__html__</a></code>,
-      <code><a href="genshi.core.Stream-class.html#__iter__">__iter__</a></code>,
-      <code><a href="genshi.core.Stream-class.html#__or__">__or__</a></code>,
-      <code><a href="genshi.core.Stream-class.html#__str__">__str__</a></code>,
-      <code><a href="genshi.core.Stream-class.html#__unicode__">__unicode__</a></code>,
-      <code><a href="genshi.core.Stream-class.html#filter">filter</a></code>,
-      <code><a href="genshi.core.Stream-class.html#render">render</a></code>,
-      <code><a href="genshi.core.Stream-class.html#select">select</a></code>,
-      <code><a href="genshi.core.Stream-class.html#serialize">serialize</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.core.Stream-class.html">core.Stream</a></code></b>:
-      <code><a href="genshi.core.Stream-class.html#COMMENT">COMMENT</a></code>,
-      <code><a href="genshi.core.Stream-class.html#DOCTYPE">DOCTYPE</a></code>,
-      <code><a href="genshi.core.Stream-class.html#END">END</a></code>,
-      <code><a href="genshi.core.Stream-class.html#END_CDATA">END_CDATA</a></code>,
-      <code><a href="genshi.core.Stream-class.html#END_NS">END_NS</a></code>,
-      <code><a href="genshi.core.Stream-class.html#PI">PI</a></code>,
-      <code><a href="genshi.core.Stream-class.html#START">START</a></code>,
-      <code><a href="genshi.core.Stream-class.html#START_CDATA">START_CDATA</a></code>,
-      <code><a href="genshi.core.Stream-class.html#START_NS">START_NS</a></code>,
-      <code><a href="genshi.core.Stream-class.html#TEXT">TEXT</a></code>,
-      <code><a href="genshi.core.Stream-class.html#XML_DECL">XML_DECL</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.core.Stream-class.html">core.Stream</a></code></b>:
-      <code><a href="genshi.core.Stream-class.html#events">events</a></code>,
-      <code><a href="genshi.core.Stream-class.html#serializer">serializer</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the buffer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>events</code></strong> - a sequence or iterable providing the events</li>
-        <li><strong class="pname"><code>serializer</code></strong> - the default serialization method to use for this
-stream</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="append"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">append</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">event</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Add an event to the buffer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>event</code></strong> - the markup event to add</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.filters.transform.Transformer-class.html 0.7.1-2/doc/api/genshi.filters.transform.Transformer-class.html
--- 0.7-6/doc/api/genshi.filters.transform.Transformer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.filters.transform.Transformer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,1524 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.filters.transform.Transformer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.filters-module.html">Package&nbsp;filters</a> ::
-        <a href="genshi.filters.transform-module.html">Module&nbsp;transform</a> ::
-        Class&nbsp;Transformer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Transformer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Transformer</strong>
-</pre>
-
-<hr />
-<p>Stream filter that can apply a variety of different transformations to
-a stream.</p>
-<p>This is achieved by selecting the events to be transformed using XPath,
-then applying the transformations to the events matched by the path
-expression. Each marked event is in the form (mark, (kind, data, pos)),
-where mark can be any of <a href="genshi.filters.transform-module.html#ENTER" class="link">ENTER</a>, <a href="genshi.filters.transform-module.html#INSIDE" class="link">INSIDE</a>, <a href="genshi.filters.transform-module.html#EXIT" class="link">EXIT</a>, <a href="genshi.filters.transform-module.html#OUTSIDE" class="link">OUTSIDE</a>, or <code class="link">None</code>.</p>
-<p>The first three marks match START and END events, and any events
-contained <a href="genshi.filters.transform-module.html#INSIDE" class="link">INSIDE</a> any selected XML/HTML element. A non-element match
-outside a START/END container (e.g. <tt class="rst-docutils literal">text()</tt>) will yield an <a href="genshi.filters.transform-module.html#OUTSIDE" class="link">OUTSIDE</a>
-mark.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)</pre>
-<p>Transformations act on selected stream events matching an XPath expression.
-Here's an example of removing some markup (the title, in this case)
-selected by an expression:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'head/title'</span>).remove())
-<span class="py-output">&lt;html&gt;&lt;head/&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>Inserted content can be passed in the form of a string, or a markup event
-stream, which includes streams generated programmatically via the
-<a href="genshi.builder-module.html" class="link">builder</a> module:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body'</span>).prepend(tag.h1(<span class="py-string">'Document Title'</span>)))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;h1&gt;Document</span>
-<span class="py-output">Title&lt;/h1&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>Each XPath expression determines the set of tags that will be acted upon by
-subsequent transformations. In this example we select the <tt class="rst-docutils literal">&lt;title&gt;</tt> text,
-copy it into a buffer, then select the <tt class="rst-docutils literal">&lt;body&gt;</tt> element and paste the
-copied text into the body as <tt class="rst-docutils literal">&lt;h1&gt;</tt> enclosed text:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>buffer = StreamBuffer()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'head/title/text()'</span>).copy(buffer)
-<span class="py-more">... </span>    .end().select(<span class="py-string">'body'</span>).prepend(tag.h1(buffer)))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;h1&gt;Some Title&lt;/h1&gt;Some</span>
-<span class="py-output">&lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>Transformations can also be assigned and reused, although care must be
-taken when using buffers, to ensure that buffers are cleared between
-transforms:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>emphasis = Transformer(<span class="py-string">'body//em'</span>).attr(<span class="py-string">'class'</span>, <span class="py-string">'emphasis'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | emphasis)
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em</span>
-<span class="py-output">class=&quot;emphasis&quot;&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">path</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>)</span><br />
-      Construct a new transformation filter.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">keep_marks</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Apply the transform filter to the marked stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#apply" class="summary-sig-name">apply</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">function</span>)</span><br />
-      Apply a transformation to the stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Selection operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#select" class="summary-sig-name">select</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">path</span>)</span><br />
-      Mark events matching the given XPath expression, within the current
-selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#invert" class="summary-sig-name">invert</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Invert selection so that marked events become unmarked, and vice
-versa.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#end" class="summary-sig-name">end</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      End current selection, allowing all events to be selected.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Deletion operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#empty" class="summary-sig-name">empty</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Empty selected elements of all content.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#remove" class="summary-sig-name">remove</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Remove selection from the stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Direct element operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#unwrap" class="summary-sig-name">unwrap</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Remove outermost enclosing elements from selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#wrap" class="summary-sig-name">wrap</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">element</span>)</span><br />
-      Wrap selection in an element.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Content insertion operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#replace" class="summary-sig-name">replace</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Replace selection with content.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#before" class="summary-sig-name">before</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Insert content before selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#after" class="summary-sig-name">after</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Insert content after selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#prepend" class="summary-sig-name">prepend</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Insert content after the ENTER event of the selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#append" class="summary-sig-name">append</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">content</span>)</span><br />
-      Insert content before the END event of the selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Attribute manipulation</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#attr" class="summary-sig-name">attr</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">value</span>)</span><br />
-      Add, replace or delete an attribute on selected elements.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Buffer operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#copy" class="summary-sig-name">copy</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">buffer</span>,
-        <span class="summary-sig-arg">accumulate</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Copy selection into buffer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#cut" class="summary-sig-name">cut</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">buffer</span>,
-        <span class="summary-sig-arg">accumulate</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Copy selection into buffer and remove the selection from the stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#buffer" class="summary-sig-name">buffer</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Buffer the entire stream (can consume a considerable amount of
-memory).</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr bgcolor="#e8f0f8" >
-  <th colspan="2" class="group-header"
-    >&nbsp;&nbsp;&nbsp;&nbsp;Miscellaneous operations</th></tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#filter" class="summary-sig-name">filter</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">filter</span>)</span><br />
-      Apply a normal stream filter to the selection. The filter is called
-once for each contiguous block of marked events.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#map" class="summary-sig-name">map</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">function</span>,
-        <span class="summary-sig-arg">kind</span>)</span><br />
-      Applies a function to the <tt class="rst-docutils literal">data</tt> element of events of <tt class="rst-docutils literal">kind</tt> in
-the selection.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#substitute" class="summary-sig-name">substitute</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">pattern</span>,
-        <span class="summary-sig-arg">replace</span>,
-        <span class="summary-sig-arg">count</span>=<span class="summary-sig-default">1</span>)</span><br />
-      Replace text matching a regular expression.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="rename"></a><span class="summary-sig-name">rename</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span><br />
-      Rename matching elements.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.filters.transform.Transformer-class.html#trace" class="summary-sig-name">trace</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">prefix</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">fileobj</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Print events as they pass through the transform.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="transforms"></a><span class="summary-name">transforms</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">path</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">.</code><code class="variable-quote">'</code></span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Construct a new transformation filter.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>path</code></strong> - an XPath expression (as string) or a <a href="genshi.path.Path-class.html" class="link">Path</a> instance</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">keep_marks</span>=<span class="sig-default">False</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the transform filter to the marked stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the marked event stream to filter</li>
-        <li><strong class="pname"><code>keep_marks</code></strong> - Do not strip transformer selection marks from the
-stream. Useful for testing.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-        <dd>the transformed stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="apply"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">apply</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">function</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Apply a transformation to the stream.</p>
-<p>Transformations can be chained, similar to stream filters. Any callable
-accepting a marked stream can be used as a transform.</p>
-<p>As an example, here is a simple TEXT event upper-casing transform:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">def</span> <span class="py-defname">upper</span>(stream):
-<span class="py-more">... </span>    <span class="py-keyword">for</span> mark, (kind, data, pos) <span class="py-keyword">in</span> stream:
-<span class="py-more">... </span>        <span class="py-keyword">if</span> mark <span class="py-keyword">and</span> kind <span class="py-keyword">is</span> TEXT:
-<span class="py-more">... </span>            yield mark, (kind, data.upper(), pos)
-<span class="py-more">... </span>        <span class="py-keyword">else</span>:
-<span class="py-more">... </span>            yield mark, (kind, data, pos)
-<span class="py-prompt">&gt;&gt;&gt; </span>short_stream = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>,
-<span class="py-more">... </span>                     encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(short_stream | Transformer(<span class="py-string">'.//em/text()'</span>).apply(upper))
-<span class="py-output">&lt;body&gt;Some &lt;em&gt;TEST&lt;/em&gt; text&lt;/body&gt;</span></pre>
-  <dl class="fields">
-  </dl>
-</td></tr></table>
-</div>
-<a name="select"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">select</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">path</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Mark events matching the given XPath expression, within the current
-selection.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer().select(<span class="py-string">'.//em'</span>).trace())
-<span class="py-output">(None, ('START', (QName('body'), Attrs()), (None, 1, 0)))</span>
-<span class="py-output">(None, ('TEXT', u'Some ', (None, 1, 6)))</span>
-<span class="py-output">('ENTER', ('START', (QName('em'), Attrs()), (None, 1, 11)))</span>
-<span class="py-output">('INSIDE', ('TEXT', u'test', (None, 1, 15)))</span>
-<span class="py-output">('EXIT', ('END', QName('em'), (None, 1, 19)))</span>
-<span class="py-output">(None, ('TEXT', u' text', (None, 1, 24)))</span>
-<span class="py-output">(None, ('END', QName('body'), (None, 1, 29)))</span>
-<span class="py-output">&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>path</code></strong> - an XPath expression (as string) or a <a href="genshi.path.Path-class.html" class="link">Path</a> instance</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-        <dd>the stream augmented by transformation marks</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="invert"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">invert</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Invert selection so that marked events become unmarked, and vice
-versa.</p>
-<p>Specificaly, all marks are converted to null marks, and all null marks
-are converted to OUTSIDE marks.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'//em'</span>).invert().trace())
-<span class="py-output">('OUTSIDE', ('START', (QName('body'), Attrs()), (None, 1, 0)))</span>
-<span class="py-output">('OUTSIDE', ('TEXT', u'Some ', (None, 1, 6)))</span>
-<span class="py-output">(None, ('START', (QName('em'), Attrs()), (None, 1, 11)))</span>
-<span class="py-output">(None, ('TEXT', u'test', (None, 1, 15)))</span>
-<span class="py-output">(None, ('END', QName('em'), (None, 1, 19)))</span>
-<span class="py-output">('OUTSIDE', ('TEXT', u' text', (None, 1, 24)))</span>
-<span class="py-output">('OUTSIDE', ('END', QName('body'), (None, 1, 29)))</span>
-<span class="py-output">&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;</span></pre>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="end"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">end</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>End current selection, allowing all events to be selected.</p>
-<p>Example:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'//em'</span>).end().trace())
-<span class="py-output">('OUTSIDE', ('START', (QName('body'), Attrs()), (None, 1, 0)))</span>
-<span class="py-output">('OUTSIDE', ('TEXT', u'Some ', (None, 1, 6)))</span>
-<span class="py-output">('OUTSIDE', ('START', (QName('em'), Attrs()), (None, 1, 11)))</span>
-<span class="py-output">('OUTSIDE', ('TEXT', u'test', (None, 1, 15)))</span>
-<span class="py-output">('OUTSIDE', ('END', QName('em'), (None, 1, 19)))</span>
-<span class="py-output">('OUTSIDE', ('TEXT', u' text', (None, 1, 24)))</span>
-<span class="py-output">('OUTSIDE', ('END', QName('body'), (None, 1, 29)))</span>
-<span class="py-output">&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;</span></pre>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-        <dd>the stream augmented by transformation marks</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="empty"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">empty</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Empty selected elements of all content.</p>
-<p>Example:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).empty())
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em/&gt;</span>
-<span class="py-output">text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="remove"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">remove</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Remove selection from the stream.</p>
-<p>Example:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).remove())
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some</span>
-<span class="py-output">text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="unwrap"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">unwrap</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Remove outermost enclosing elements from selection.</p>
-<p>Example:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).unwrap())
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some body</span>
-<span class="py-output">text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="wrap"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">wrap</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">element</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Wrap selection in an element.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).wrap(<span class="py-string">'strong'</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some</span>
-<span class="py-output">&lt;strong&gt;&lt;em&gt;body&lt;/em&gt;&lt;/strong&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>element</code></strong> - either a tag name (as string) or an <a href="genshi.builder.Element-class.html" class="link">Element</a> object</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="replace"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">replace</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Replace selection with content.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//title/text()'</span>).replace(<span class="py-string">'New Title'</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;New Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt;</span>
-<span class="py-output">text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - Either a callable, an iterable of events, or a string
-to insert.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="before"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">before</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Insert content before selection.</p>
-<p>In this example we insert the word 'emphasised' before the &lt;em&gt; opening
-tag:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).before(<span class="py-string">'emphasised '</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some emphasised</span>
-<span class="py-output">&lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - Either a callable, an iterable of events, or a string
-to insert.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="after"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">after</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Insert content after selection.</p>
-<p>Here, we insert some text after the &lt;/em&gt; closing tag:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em'</span>).after(<span class="py-string">' rock'</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt;</span>
-<span class="py-output">rock text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - Either a callable, an iterable of events, or a string
-to insert.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="prepend"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">prepend</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Insert content after the ENTER event of the selection.</p>
-<p>Inserting some new text at the start of the &lt;body&gt;:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//body'</span>).prepend(<span class="py-string">'Some new body text. '</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some new body text.</span>
-<span class="py-output">Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - Either a callable, an iterable of events, or a string
-to insert.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="append"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">append</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">content</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Insert content before the END event of the selection.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//body'</span>).append(<span class="py-string">' Some new body text.'</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt;</span>
-<span class="py-output">text. Some new body text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>content</code></strong> - Either a callable, an iterable of events, or a string
-to insert.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attr"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attr</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">value</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Add, replace or delete an attribute on selected elements.</p>
-<p>If <code class="link">value</code> evaulates to <code class="link">None</code> the attribute will be deleted from the
-element:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em class=&quot;before&quot;&gt;body&lt;/em&gt; &lt;em&gt;text&lt;/em&gt;.&lt;/body&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;/html&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/em'</span>).attr(<span class="py-string">'class'</span>, None))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt;</span>
-<span class="py-output">&lt;em&gt;text&lt;/em&gt;.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>Otherwise the attribute will be set to <code class="link">value</code>:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/em'</span>).attr(<span class="py-string">'class'</span>, <span class="py-string">'emphasis'</span>))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em</span>
-<span class="py-output">class=&quot;emphasis&quot;&gt;body&lt;/em&gt; &lt;em class=&quot;emphasis&quot;&gt;text&lt;/em&gt;.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>If <code class="link">value</code> is a callable it will be called with the attribute name and
-the START event for the matching element. Its return value will then
-be used to set the attribute:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">def</span> <span class="py-defname">print_attr</span>(name, event):
-<span class="py-more">... </span>    attrs = event[1][1]
-<span class="py-more">... </span>    <span class="py-keyword">print</span>(attrs)
-<span class="py-more">... </span>    return attrs.get(name)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/em'</span>).attr(<span class="py-string">'class'</span>, print_attr))
-<span class="py-output">Attrs([(QName('class'), u'before')])</span>
-<span class="py-output">Attrs()</span>
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em</span>
-<span class="py-output">class=&quot;before&quot;&gt;body&lt;/em&gt; &lt;em&gt;text&lt;/em&gt;.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the attribute</li>
-        <li><strong class="pname"><code>value</code></strong> - the value that should be set for the attribute.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="copy"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">copy</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">buffer</span>,
-        <span class="sig-arg">accumulate</span>=<span class="sig-default">False</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Copy selection into buffer.</p>
-<p>The buffer is replaced by each <em>contiguous</em> selection before being passed
-to the next transformation. If accumulate=True, further selections will
-be appended to the buffer rather than replacing it.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>buffer = StreamBuffer()
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'head/title/text()'</span>).copy(buffer)
-<span class="py-more">... </span>    .end().select(<span class="py-string">'body'</span>).prepend(tag.h1(buffer)))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;h1&gt;Some</span>
-<span class="py-output">Title&lt;/h1&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>This example illustrates that only a single contiguous selection will
-be buffered:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'head/title/text()'</span>).copy(buffer)
-<span class="py-more">... </span>    .end().select(<span class="py-string">'body/em'</span>).copy(buffer).end().select(<span class="py-string">'body'</span>)
-<span class="py-more">... </span>    .prepend(tag.h1(buffer)))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;h1&gt;Some</span>
-<span class="py-output">Title&lt;/h1&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(buffer)
-<span class="py-output">&lt;em&gt;body&lt;/em&gt;</span></pre>
-<p>Element attributes can also be copied for later use:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;&lt;em&gt;Some&lt;/em&gt; &lt;em class=&quot;before&quot;&gt;body&lt;/em&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;em&gt;text&lt;/em&gt;.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>buffer = StreamBuffer()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">def</span> <span class="py-defname">apply_attr</span>(name, entry):
-<span class="py-more">... </span>    return list(buffer)[0][1][1].get(<span class="py-string">'class'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/em[@class]/@class'</span>).copy(buffer)
-<span class="py-more">... </span>    .end().buffer().select(<span class="py-string">'body/em[not(@class)]'</span>)
-<span class="py-more">... </span>    .attr(<span class="py-string">'class'</span>, apply_attr))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;&lt;em</span>
-<span class="py-output">class=&quot;before&quot;&gt;Some&lt;/em&gt; &lt;em class=&quot;before&quot;&gt;body&lt;/em&gt;&lt;em</span>
-<span class="py-output">class=&quot;before&quot;&gt;text&lt;/em&gt;.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>buffer</code></strong> - the <a href="genshi.filters.transform.StreamBuffer-class.html" class="link">StreamBuffer</a> in which the selection should be
-stored</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Copy (and cut) copy each individual selected object into the
-buffer before passing to the next transform. For example, the
-XPath <tt class="rst-docutils literal">*|text()</tt> will select all elements and text, each
-instance of which will be copied to the buffer individually
-before passing to the next transform. This has implications for
-how <tt class="rst-docutils literal">StreamBuffer</tt> objects can be used, so some
-experimentation may be required.
-      </p>
-</div></td></tr></table>
-</div>
-<a name="cut"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">cut</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">buffer</span>,
-        <span class="sig-arg">accumulate</span>=<span class="sig-default">False</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Copy selection into buffer and remove the selection from the stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>buffer = StreamBuffer()
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'.//em/text()'</span>).cut(buffer)
-<span class="py-more">... </span>    .end().select(<span class="py-string">'.//em'</span>).after(tag.h1(buffer)))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some</span>
-<span class="py-output">&lt;em/&gt;&lt;h1&gt;body&lt;/h1&gt; text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-<p>Specifying accumulate=True, appends all selected intervals onto the
-buffer. Combining this with the .buffer() operation allows us operate
-on all copied events rather than per-segment. See the documentation on
-buffer() for more information.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>buffer</code></strong> - the <a href="genshi.filters.transform.StreamBuffer-class.html" class="link">StreamBuffer</a> in which the selection should be
-stored</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        this transformation will buffer the entire input stream
-      </p>
-</div></td></tr></table>
-</div>
-<a name="buffer"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">buffer</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Buffer the entire stream (can consume a considerable amount of
-memory).</p>
-<p>Useful in conjunction with copy(accumulate=True) and
-cut(accumulate=True) to ensure that all marked events in the entire
-stream are copied to the buffer before further transformations are
-applied.</p>
-<p>For example, to move all &lt;note&gt; elements inside a &lt;notes&gt; tag at the
-top of the document:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>doc = HTML(<span class="py-string">'&lt;doc&gt;&lt;notes&gt;&lt;/notes&gt;&lt;body&gt;Some &lt;note&gt;one&lt;/note&gt; '</span>
-<span class="py-more">... </span>           <span class="py-string">'text &lt;note&gt;two&lt;/note&gt;.&lt;/body&gt;&lt;/doc&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>buffer = StreamBuffer()
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(doc | Transformer(<span class="py-string">'body/note'</span>).cut(buffer, accumulate=True)
-<span class="py-more">... </span>    .end().buffer().select(<span class="py-string">'notes'</span>).prepend(buffer))
-<span class="py-output">&lt;doc&gt;&lt;notes&gt;&lt;note&gt;one&lt;/note&gt;&lt;note&gt;two&lt;/note&gt;&lt;/notes&gt;&lt;body&gt;Some  text</span>
-<span class="py-output">.&lt;/body&gt;&lt;/doc&gt;</span></pre>
-  <dl class="fields">
-  </dl>
-</td></tr></table>
-</div>
-<a name="filter"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">filter</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">filter</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Apply a normal stream filter to the selection. The filter is called
-once for each contiguous block of marked events.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.filters.html <span class="py-keyword">import</span> HTMLSanitizer
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;body&gt;Some text&lt;script&gt;alert(document.cookie)'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;/script&gt; and some more text&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/*'</span>).filter(HTMLSanitizer()))
-<span class="py-output">&lt;html&gt;&lt;body&gt;Some text and some more text&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>filter</code></strong> - The stream filter to apply.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="map"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">map</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">function</span>,
-        <span class="sig-arg">kind</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Applies a function to the <tt class="rst-rst-docutils literal rst-docutils literal">data</tt> element of events of <tt class="rst-rst-docutils literal rst-docutils literal">kind</tt> in
-the selection.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;'</span>
-<span class="py-more">... </span>              <span class="py-string">'&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt; text.&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'head/title'</span>).map(unicode.upper, TEXT))
-<span class="py-output">&lt;html&gt;&lt;head&gt;&lt;title&gt;SOME TITLE&lt;/title&gt;&lt;/head&gt;&lt;body&gt;Some &lt;em&gt;body&lt;/em&gt;</span>
-<span class="py-output">text.&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>function</code></strong> - the function to apply</li>
-        <li><strong class="pname"><code>kind</code></strong> - the kind of event the function should be applied to</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="substitute"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">substitute</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">pattern</span>,
-        <span class="sig-arg">replace</span>,
-        <span class="sig-arg">count</span>=<span class="sig-default">1</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Replace text matching a regular expression.</p>
-<p>Refer to the documentation for <tt class="rst-docutils literal">re.sub()</tt> for details.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;html&gt;&lt;body&gt;Some text, some more text and '</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;b&gt;some bold text&lt;/b&gt;\n'</span>
-<span class="py-more">... </span>            <span class="py-string">'&lt;i&gt;some italicised text&lt;/i&gt;&lt;/body&gt;&lt;/html&gt;'</span>,
-<span class="py-more">... </span>            encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'body/b'</span>).substitute(<span class="py-string">'(?i)some'</span>, <span class="py-string">'SOME'</span>))
-<span class="py-output">&lt;html&gt;&lt;body&gt;Some text, some more text and &lt;b&gt;SOME bold text&lt;/b&gt;</span>
-<span class="py-output">&lt;i&gt;some italicised text&lt;/i&gt;&lt;/body&gt;&lt;/html&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>tags = tag.html(tag.body(<span class="py-string">'Some text, some more text and\n'</span>,
-<span class="py-more">... </span>     Markup(<span class="py-string">'&lt;b&gt;some bold text&lt;/b&gt;'</span>)))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tags.generate() | Transformer(<span class="py-string">'body'</span>).substitute(
-<span class="py-more">... </span>    <span class="py-string">'(?i)some'</span>, <span class="py-string">'SOME'</span>))
-<span class="py-output">&lt;html&gt;&lt;body&gt;SOME text, some more text and</span>
-<span class="py-output">&lt;b&gt;SOME bold text&lt;/b&gt;&lt;/body&gt;&lt;/html&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>pattern</code></strong> - A regular expression object or string.</li>
-        <li><strong class="pname"><code>replace</code></strong> - Replacement pattern.</li>
-        <li><strong class="pname"><code>count</code></strong> - Number of replacements to make in each text fragment.</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="trace"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">trace</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">prefix</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">fileobj</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Print events as they pass through the transform.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html | Transformer(<span class="py-string">'em'</span>).trace())
-<span class="py-output">(None, ('START', (QName('body'), Attrs()), (None, 1, 0)))</span>
-<span class="py-output">(None, ('TEXT', u'Some ', (None, 1, 6)))</span>
-<span class="py-output">('ENTER', ('START', (QName('em'), Attrs()), (None, 1, 11)))</span>
-<span class="py-output">('INSIDE', ('TEXT', u'test', (None, 1, 15)))</span>
-<span class="py-output">('EXIT', ('END', QName('em'), (None, 1, 19)))</span>
-<span class="py-output">(None, ('TEXT', u' text', (None, 1, 24)))</span>
-<span class="py-output">(None, ('END', QName('body'), (None, 1, 29)))</span>
-<span class="py-output">&lt;body&gt;Some &lt;em&gt;test&lt;/em&gt; text&lt;/body&gt;</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>prefix</code></strong> - a string to prefix each event with in the output</li>
-        <li><strong class="pname"><code>fileobj</code></strong> - the writable file-like object to write to; defaults to
-the standard output stream</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.filters.transform.Transformer-class.html" class="link">Transformer</a></dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.input.HTMLParser-class.html 0.7.1-2/doc/api/genshi.input.HTMLParser-class.html
--- 0.7-6/doc/api/genshi.input.HTMLParser-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.input.HTMLParser-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,623 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.input.HTMLParser</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.input-module.html">Module&nbsp;input</a> ::
-        Class&nbsp;HTMLParser
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class HTMLParser</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-markupbase.ParserBase --+    
-                        |    
-    HTMLParser.HTMLParser --+
-                            |
-                   object --+
-                            |
-                           <strong class="uidshort">HTMLParser</strong>
-</pre>
-
-<hr />
-<p>Parser for HTML input based on the Python <a href="genshi.input.HTMLParser-class.html" class="link">HTMLParser</a> module.</p>
-<p>This class provides the same interface for generating stream events as
-<a href="genshi.input.XMLParser-class.html" class="link">XMLParser</a>, and attempts to automatically balance tags.</p>
-<p>The parsing is initiated by iterating over the parser object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>parser = HTMLParser(BytesIO(u<span class="py-string">'&lt;UL compact&gt;&lt;LI&gt;Foo&lt;/UL&gt;'</span>.encode(<span class="py-string">'utf-8'</span>)), encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> kind, data, pos <span class="py-keyword">in</span> parser:
-<span class="py-more">... </span>    <span class="py-keyword">print</span>(<span class="py-string">'%s %s'</span> % (kind, data))
-<span class="py-output">START (QName('ul'), Attrs([(QName('compact'), u'compact')]))</span>
-<span class="py-output">START (QName('li'), Attrs())</span>
-<span class="py-output">TEXT Foo</span>
-<span class="py-output">END li</span>
-<span class="py-output">END ul</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Initialize the parser for the given HTML input.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#parse" class="summary-sig-name">parse</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Generator that parses the HTML source, yielding markup events.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__iter__"></a><span class="summary-sig-name">__iter__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_starttag" class="summary-sig-name">handle_starttag</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">tag</span>,
-        <span class="summary-sig-arg">attrib</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_endtag" class="summary-sig-name">handle_endtag</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">tag</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_data" class="summary-sig-name">handle_data</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">text</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_charref" class="summary-sig-name">handle_charref</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_entityref" class="summary-sig-name">handle_entityref</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_pi" class="summary-sig-name">handle_pi</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">data</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.HTMLParser-class.html#handle_comment" class="summary-sig-name">handle_comment</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">text</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>HTMLParser.HTMLParser</code></b>:
-      <code>check_for_whole_start_tag</code>,
-      <code>clear_cdata_mode</code>,
-      <code>close</code>,
-      <code>error</code>,
-      <code>feed</code>,
-      <code>get_starttag_text</code>,
-      <code>goahead</code>,
-      <code>handle_decl</code>,
-      <code>handle_startendtag</code>,
-      <code>parse_bogus_comment</code>,
-      <code>parse_endtag</code>,
-      <code>parse_html_declaration</code>,
-      <code>parse_pi</code>,
-      <code>parse_starttag</code>,
-      <code>reset</code>,
-      <code>set_cdata_mode</code>,
-      <code>unescape</code>,
-      <code>unknown_decl</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>markupbase.ParserBase</code></b>:
-      <code>getpos</code>,
-      <code>parse_comment</code>,
-      <code>parse_declaration</code>,
-      <code>parse_marked_section</code>,
-      <code>updatepos</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>HTMLParser.HTMLParser</code></b>:
-      <code>CDATA_CONTENT_ELEMENTS</code>,
-      <code>entitydefs</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the parser for the given HTML input.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - the HTML text as a file-like object</li>
-        <li><strong class="pname"><code>filename</code></strong> - the name of the file, if known</li>
-        <li><strong class="pname"><code>filename</code></strong> - encoding of the file; ignored if the input is unicode</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="parse"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">parse</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Generator that parses the HTML source, yielding markup events.
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>a markup event stream</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.input.ParseError-class.html">ParseError</a></strong></code> - if the HTML text is not well formed</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_starttag"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_starttag</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">tag</span>,
-        <span class="sig-arg">attrib</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_starttag
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_endtag"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_endtag</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">tag</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_endtag
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_data"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_data</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_data
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_charref"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_charref</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_charref
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_entityref"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_entityref</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_entityref
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_pi"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_pi</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">data</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_pi
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="handle_comment"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">handle_comment</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        HTMLParser.HTMLParser.handle_comment
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.input-module.html 0.7.1-2/doc/api/genshi.input-module.html
--- 0.7-6/doc/api/genshi.input-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.input-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,322 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.input</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;input
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module input</h1><p class="nomargin-top"></p>
-Support for constructing markup streams from files, strings, or other
-sources.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.input.ParseError-class.html" class="summary-name">ParseError</a><br />
-      Exception raised when fatal syntax errors are found in the input being
-parsed.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.input.XMLParser-class.html" class="summary-name">XMLParser</a><br />
-      Generator-based XML parser based on roughly equivalent code in
-Kid/ElementTree.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.input.HTMLParser-class.html" class="summary-name">HTMLParser</a><br />
-      Parser for HTML input based on the Python <a href="genshi.input.HTMLParser-class.html" class="link">HTMLParser</a> module.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input-module.html#ET" class="summary-sig-name">ET</a>(<span class="summary-sig-arg">element</span>)</span><br />
-      Convert a given ElementTree element to a markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input-module.html#XML" class="summary-sig-name">XML</a>(<span class="summary-sig-arg">text</span>)</span><br />
-      Parse the given XML source and return a markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input-module.html#HTML" class="summary-sig-name">HTML</a>(<span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Parse the given HTML source and return a markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="ET"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">ET</span>(<span class="sig-arg">element</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Convert a given ElementTree element to a markup stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>element</code></strong> - an ElementTree element</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>a markup stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XML"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">XML</span>(<span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Parse the given XML source and return a markup stream.</p>
-<p>Unlike with <a href="genshi.input.XMLParser-class.html" class="link">XMLParser</a>, the returned stream is reusable, meaning it can be
-iterated over multiple times:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>xml = XML(<span class="py-string">'&lt;doc&gt;&lt;elem&gt;Foo&lt;/elem&gt;&lt;elem&gt;Bar&lt;/elem&gt;&lt;/doc&gt;'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(xml)
-<span class="py-output">&lt;doc&gt;&lt;elem&gt;Foo&lt;/elem&gt;&lt;elem&gt;Bar&lt;/elem&gt;&lt;/doc&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(xml.select(<span class="py-string">'elem'</span>))
-<span class="py-output">&lt;elem&gt;Foo&lt;/elem&gt;&lt;elem&gt;Bar&lt;/elem&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(xml.select(<span class="py-string">'elem/text()'</span>))
-<span class="py-output">FooBar</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the XML source</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the parsed XML event stream</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.input.ParseError-class.html">ParseError</a></strong></code> - if the XML text is not well-formed</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="HTML"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">HTML</span>(<span class="sig-arg">text</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Parse the given HTML source and return a markup stream.</p>
-<p>Unlike with <a href="genshi.input.HTMLParser-class.html" class="link">HTMLParser</a>, the returned stream is reusable, meaning it can be
-iterated over multiple times:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>html = HTML(<span class="py-string">'&lt;body&gt;&lt;h1&gt;Foo&lt;/h1&gt;&lt;/body&gt;'</span>, encoding=<span class="py-string">'utf-8'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html)
-<span class="py-output">&lt;body&gt;&lt;h1&gt;Foo&lt;/h1&gt;&lt;/body&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html.select(<span class="py-string">'h1'</span>))
-<span class="py-output">&lt;h1&gt;Foo&lt;/h1&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(html.select(<span class="py-string">'h1/text()'</span>))
-<span class="py-output">Foo</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the HTML source</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the parsed XML event stream</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.input.ParseError-class.html">ParseError</a></strong></code> - if the HTML text is not well-formed, and error recovery
-fails</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.input.ParseError-class.html 0.7.1-2/doc/api/genshi.input.ParseError-class.html
--- 0.7-6/doc/api/genshi.input.ParseError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.input.ParseError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,243 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.input.ParseError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.input-module.html">Module&nbsp;input</a> ::
-        Class&nbsp;ParseError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ParseError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+        
-                       |        
-exceptions.BaseException --+    
-                           |    
-        exceptions.Exception --+
-                               |
-                              <strong class="uidshort">ParseError</strong>
-</pre>
-
-<hr />
-Exception raised when fatal syntax errors are found in the input being
-parsed.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.ParseError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">message</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      Exception initializer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">message</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Exception initializer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>message</code></strong> - the error message from the parser</li>
-        <li><strong class="pname"><code>filename</code></strong> - the path to the file that was parsed</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of the line on which the error was encountered</li>
-        <li><strong class="pname"><code>offset</code></strong> - the column number where the error was encountered</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.input.XMLParser-class.html 0.7.1-2/doc/api/genshi.input.XMLParser-class.html
--- 0.7-6/doc/api/genshi.input.XMLParser-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.input.XMLParser-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,318 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.input.XMLParser</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.input-module.html">Module&nbsp;input</a> ::
-        Class&nbsp;XMLParser
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class XMLParser</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">XMLParser</strong>
-</pre>
-
-<hr />
-<p>Generator-based XML parser based on roughly equivalent code in
-Kid/ElementTree.</p>
-<p>The parsing is initiated by iterating over the parser object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>parser = XMLParser(StringIO(<span class="py-string">'&lt;root id=&quot;2&quot;&gt;&lt;child&gt;Foo&lt;/child&gt;&lt;/root&gt;'</span>))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> kind, data, pos <span class="py-keyword">in</span> parser:
-<span class="py-more">... </span>    <span class="py-keyword">print</span>(<span class="py-string">'%s %s'</span> % (kind, data))
-<span class="py-output">START (QName('root'), Attrs([(QName('id'), u'2')]))</span>
-<span class="py-output">START (QName('child'), Attrs())</span>
-<span class="py-output">TEXT Foo</span>
-<span class="py-output">END child</span>
-<span class="py-output">END root</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.XMLParser-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Initialize the parser for the given XML input.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.input.XMLParser-class.html#parse" class="summary-sig-name">parse</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Generator that parses the XML source, yielding markup events.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__iter__"></a><span class="summary-sig-name">__iter__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="name"></a><span class="summary-name">name</span> = <code title="'sigma'"><code class="variable-quote">'</code><code class="variable-string">sigma</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="value"></a><span class="summary-name">value</span> = <code title="963">963</code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the parser for the given XML input.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - the XML text as a file-like object</li>
-        <li><strong class="pname"><code>filename</code></strong> - the name of the file, if appropriate</li>
-        <li><strong class="pname"><code>encoding</code></strong> - the encoding of the file; if not specified, the
-encoding is assumed to be ASCII, UTF-8, or UTF-16, or
-whatever the encoding specified in the XML declaration
-(if any)</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="parse"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">parse</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Generator that parses the XML source, yielding markup events.
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>a markup event stream</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.input.ParseError-class.html">ParseError</a></strong></code> - if the XML text is not well formed</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi-module.html 0.7.1-2/doc/api/genshi-module.html
--- 0.7-6/doc/api/genshi-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,185 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        Package&nbsp;genshi
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PACKAGE DESCRIPTION ==================== -->
-<h1 class="epydoc">Package genshi</h1><p class="nomargin-top"></p>
-<p>This package provides various means for generating and processing web markup
-(XML or HTML).</p>
-<p>The design is centered around the concept of streams of markup events (similar
-in concept to SAX parsing events) which can be processed in a uniform manner
-independently of where or how they are produced.</p>
-
-<hr />
-<div class="fields">      <p><strong>Version:</strong>
-        0.7
-      </p>
-</div><!-- ==================== SUBMODULES ==================== -->
-<a name="section-Submodules"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Submodules</span></td>
-</tr>
-  <tr><td class="summary">
-  <ul class="nomargin">
-    <li> <strong class="uidlink"><a href="genshi.builder-module.html">genshi.builder</a></strong>: <em class="summary">Support for programmatically generating markup streams from Python code using
-a very simple syntax. The main entry point to this module is the <a href="genshi.builder-module.html#tag" class="link">tag</a> object
-(which is actually an instance of the <tt class="rst-rst-docutils literal rst-docutils literal">ElementFactory</tt> class). You should
-rarely (if ever) need to directly import and use any of the other classes in
-this module.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.compat-module.html">genshi.compat</a></strong>: <em class="summary">Various Python version compatibility classes and functions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.core-module.html">genshi.core</a></strong>: <em class="summary">Core classes for markup processing.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters-module.html">genshi.filters</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.filters.html-module.html">genshi.filters.html</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a></strong>: <em class="summary">Directives and utilities for internationalization and localization of
-templates.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform-module.html">genshi.filters.transform</a></strong>: <em class="summary">A filter for functional-style transformations of markup streams.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.input-module.html">genshi.input</a></strong>: <em class="summary">Support for constructing markup streams from files, strings, or other
-sources.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.output-module.html">genshi.output</a></strong>: <em class="summary">This module provides different kinds of serialization methods for XML event
-streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.path-module.html">genshi.path</a></strong>: <em class="summary">Basic support for evaluating XPath expressions against streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template-module.html">genshi.template</a></strong>: <em class="summary">Implementation of the template engine.</em>
-    <ul>
-    <li class="private"> <strong class="uidlink"><a href="genshi.template._ast24-module.html">genshi.template._ast24</a></strong>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.ast24-module.html">genshi.template.ast24</a></strong>: <em class="summary">Emulation of the proper abstract syntax tree API for Python 2.4.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil-module.html">genshi.template.astutil</a></strong>: <em class="summary">Support classes for generating code from abstract syntax trees.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base-module.html">genshi.template.base</a></strong>: <em class="summary">Basic templating functionality.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives-module.html">genshi.template.directives</a></strong>: <em class="summary">Implementation of the various template directives.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval-module.html">genshi.template.eval</a></strong>: <em class="summary">Support for &quot;safe&quot; evaluation of Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a></strong>: <em class="summary">String interpolation routines, i.e. the splitting up a given text into some
-parts that are literal strings, and others that are Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.loader-module.html">genshi.template.loader</a></strong>: <em class="summary">Template loading and caching.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.markup-module.html">genshi.template.markup</a></strong>: <em class="summary">Markup templating engine.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin-module.html">genshi.template.plugin</a></strong>: <em class="summary">Basic support for the template engine plugin API used by TurboGears and
-CherryPy/Buffet.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text-module.html">genshi.template.text</a></strong>: <em class="summary">Plain text templating engine.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.util-module.html">genshi.util</a></strong>: <em class="summary">Various utility classes and functions.</em>    </li>
-  </ul></td></tr>
-</table>
-
-<br />
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi'"><code class="variable-quote">'</code><code class="variable-string">genshi</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output.DocType-class.html 0.7.1-2/doc/api/genshi.output.DocType-class.html
--- 0.7-6/doc/api/genshi.output.DocType-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output.DocType-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,652 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output.DocType</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.output-module.html">Module&nbsp;output</a> ::
-        Class&nbsp;DocType
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class DocType</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">DocType</strong>
-</pre>
-
-<hr />
-Defines a number of commonly used DOCTYPE declarations as constants.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.DocType-class.html#get" class="summary-sig-name">get</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">name</span>)</span><br />
-      Return the <tt class="rst-docutils literal">(name, pubid, sysid)</tt> tuple of the <tt class="rst-docutils literal">DOCTYPE</tt>
-declaration for the specified name.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#HTML_STRICT" class="summary-name">HTML_STRICT</a> = <code title="('html',
- '-//W3C//DTD HTML 4.01//EN',
- 'http://www.w3.org/TR/html4/strict.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://ww</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#HTML_TRANSITIONAL" class="summary-name">HTML_TRANSITIONAL</a> = <code title="('html',
- '-//W3C//DTD HTML 4.01 Transitional//EN',
- 'http://www.w3.org/TR/html4/loose.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01 Transition</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#HTML_FRAMESET" class="summary-name">HTML_FRAMESET</a> = <code title="('html',
- '-//W3C//DTD HTML 4.01 Frameset//EN',
- 'http://www.w3.org/TR/html4/frameset.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01 Frameset//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#HTML" class="summary-name">HTML</a> = <code title="('html',
- '-//W3C//DTD HTML 4.01//EN',
- 'http://www.w3.org/TR/html4/strict.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://www.w3.or</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="HTML5"></a><span class="summary-name">HTML5</span> = <code title="('html', None, None)"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code>None<code class="variable-op">, </code>None<code class="variable-group">)</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#XHTML_STRICT" class="summary-name">XHTML_STRICT</a> = <code title="('html',
- '-//W3C//DTD XHTML 1.0 Strict//EN',
- 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Strict//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">h</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#XHTML_TRANSITIONAL" class="summary-name">XHTML_TRANSITIONAL</a> = <code title="('html',
- '-//W3C//DTD XHTML 1.0 Transitional//EN',
- 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Transitio</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#XHTML_FRAMESET" class="summary-name">XHTML_FRAMESET</a> = <code title="('html',
- '-//W3C//DTD XHTML 1.0 Frameset//EN',
- 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Frameset//EN</code><code class="variable-quote">'</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#XHTML" class="summary-name">XHTML</a> = <code title="('html',
- '-//W3C//DTD XHTML 1.0 Strict//EN',
- 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Strict//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://w</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#XHTML11" class="summary-name">XHTML11</a> = <code title="('html',
- '-//W3C//DTD XHTML 1.1//EN',
- 'http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://www.w3</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#SVG_FULL" class="summary-name">SVG_FULL</a> = <code title="('svg',
- '-//W3C//DTD SVG 1.1//EN',
- 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://www.w3.o</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#SVG_BASIC" class="summary-name">SVG_BASIC</a> = <code title="('svg',
- '-//W3C//DTD SVG Basic 1.1//EN',
- 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11-basic.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG Basic 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://w</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#SVG_TINY" class="summary-name">SVG_TINY</a> = <code title="('svg',
- '-//W3C//DTD SVG Tiny 1.1//EN',
- 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11-tiny.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG Tiny 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://www</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html#SVG" class="summary-name">SVG</a> = <code title="('svg',
- '-//W3C//DTD SVG 1.1//EN',
- 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/Gr</code><code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="get"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">name</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return the <tt class="rst-rst-docutils literal rst-docutils literal">(name, pubid, sysid)</tt> tuple of the <tt class="rst-rst-docutils literal rst-docutils literal">DOCTYPE</tt>
-declaration for the specified name.</p>
-<dl class="rst-docutils">
-<dt>The following names are recognized in this version:</dt>
-<dd><ul class="rst-first rst-last rst-simple">
-<li>&quot;html&quot; or &quot;html-strict&quot; for the HTML 4.01 strict DTD</li>
-<li>&quot;html-transitional&quot; for the HTML 4.01 transitional DTD</li>
-<li>&quot;html-frameset&quot; for the HTML 4.01 frameset DTD</li>
-<li>&quot;html5&quot; for the <tt class="rst-docutils literal">DOCTYPE</tt> proposed for HTML5</li>
-<li>&quot;xhtml&quot; or &quot;xhtml-strict&quot; for the XHTML 1.0 strict DTD</li>
-<li>&quot;xhtml-transitional&quot; for the XHTML 1.0 transitional DTD</li>
-<li>&quot;xhtml-frameset&quot; for the XHTML 1.0 frameset DTD</li>
-<li>&quot;xhtml11&quot; for the XHTML 1.1 DTD</li>
-<li>&quot;svg&quot; or &quot;svg-full&quot; for the SVG 1.1 DTD</li>
-<li>&quot;svg-basic&quot; for the SVG Basic 1.1 DTD</li>
-<li>&quot;svg-tiny&quot; for the SVG Tiny 1.1 DTD</li>
-</ul>
-</dd>
-</dl>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the <tt class="rst-docutils literal">DOCTYPE</tt></li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the <tt class="rst-docutils literal">(name, pubid, sysid)</tt> tuple for the requested
-<tt class="rst-docutils literal">DOCTYPE</tt>, or <tt class="rst-docutils literal">None</tt> if the name is not recognized</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.4.1
-      </p>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="HTML_STRICT"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">HTML_STRICT</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/html4/strict.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="HTML_TRANSITIONAL"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">HTML_TRANSITIONAL</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01 Transitional//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/html4/loose.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="HTML_FRAMESET"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">HTML_FRAMESET</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01 Frameset//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/html4/frameset.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="HTML"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">HTML</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD HTML 4.01//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/html4/strict.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XHTML_STRICT"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">XHTML_STRICT</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Strict//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XHTML_TRANSITIONAL"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">XHTML_TRANSITIONAL</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Transitional//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XHTML_FRAMESET"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">XHTML_FRAMESET</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Frameset//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XHTML"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">XHTML</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.0 Strict//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="XHTML11"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">XHTML11</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">html</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD XHTML 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SVG_FULL"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SVG_FULL</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SVG_BASIC"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SVG_BASIC</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG Basic 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/Graphics/SVG/1.1/DTD/svg11-basic.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SVG_TINY"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SVG_TINY</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG Tiny 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/Graphics/SVG/1.1/DTD/svg11-tiny.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="SVG"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">SVG</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">svg</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">-//W3C//DTD SVG 1.1//EN</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- <code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd</code><code class="variable-quote">'</code><code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output.HTMLSerializer-class.html 0.7.1-2/doc/api/genshi.output.HTMLSerializer-class.html
--- 0.7-6/doc/api/genshi.output.HTMLSerializer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output.HTMLSerializer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,280 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output.HTMLSerializer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.output-module.html">Module&nbsp;output</a> ::
-        Class&nbsp;HTMLSerializer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class HTMLSerializer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-   object --+        
-            |        
-<a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a> --+    
-                |    
-  <a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a> --+
-                    |
-                   <strong class="uidshort">HTMLSerializer</strong>
-</pre>
-
-<hr />
-<p>Produces HTML text from an event stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>elem = tag.div(tag.a(href=<span class="py-string">'foo'</span>), tag.br, tag.hr(noshade=True))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(<span class="py-string">''</span>.join(HTMLSerializer()(elem.generate())))
-<span class="py-output">&lt;div&gt;&lt;a href=&quot;foo&quot;&gt;&lt;/a&gt;&lt;br&gt;&lt;hr noshade&gt;&lt;/div&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.HTMLSerializer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">doctype</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">strip_whitespace</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">cache</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize the HTML serializer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.HTMLSerializer-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">doctype</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">strip_whitespace</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">cache</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the HTML serializer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>doctype</code></strong> - a <tt class="rst-docutils literal">(name, pubid, sysid)</tt> tuple that represents the
-DOCTYPE declaration that should be included at the top
-of the generated output</li>
-        <li><strong class="pname"><code>strip_whitespace</code></strong> - whether extraneous whitespace should be
-stripped from the output</li>
-        <li><strong class="pname"><code>cache</code></strong> - whether to cache the text output per event, which
-improves performance for repetitive markup</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Changed in 0.6: The <code class="link">cache</code> parameter was added
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        <a href="genshi.output.XMLSerializer-class.html#__call__">XMLSerializer.__call__</a>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output-module.html 0.7.1-2/doc/api/genshi.output-module.html
--- 0.7-6/doc/api/genshi.output-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,294 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;output
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module output</h1><p class="nomargin-top"></p>
-This module provides different kinds of serialization methods for XML event
-streams.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.DocType-class.html" class="summary-name">DocType</a><br />
-      Defines a number of commonly used DOCTYPE declarations as constants.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.XMLSerializer-class.html" class="summary-name">XMLSerializer</a><br />
-      Produces XML text from an event stream.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.XHTMLSerializer-class.html" class="summary-name">XHTMLSerializer</a><br />
-      Produces XHTML text from an event stream.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.HTMLSerializer-class.html" class="summary-name">HTMLSerializer</a><br />
-      Produces HTML text from an event stream.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.output.TextSerializer-class.html" class="summary-name">TextSerializer</a><br />
-      Produces plain text from an event stream.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output-module.html#encode" class="summary-sig-name">encode</a>(<span class="summary-sig-arg">iterator</span>,
-        <span class="summary-sig-arg">method</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">out</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Encode serializer output into a string.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output-module.html#get_serializer" class="summary-sig-name">get_serializer</a>(<span class="summary-sig-arg">method</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Return a serializer object for the given method.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="encode"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">encode</span>(<span class="sig-arg">iterator</span>,
-        <span class="sig-arg">method</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">out</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Encode serializer output into a string.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>iterator</code></strong> - the iterator returned from serializing a stream (basically
-any iterator that yields unicode objects)</li>
-        <li><strong class="pname"><code>method</code></strong> - the serialization method; determines how characters not
-representable in the specified encoding are treated</li>
-        <li><strong class="pname"><code>encoding</code></strong> - how the output string should be encoded; if set to <code class="link">None</code>,
-this method returns a <code class="link">unicode</code> object</li>
-        <li><strong class="pname"><code>out</code></strong> - a file-like object that the output should be written to
-instead of being returned as one big string; note that if
-this is a file or socket (or similar), the <code class="link">encoding</code> must
-not be <code class="link">None</code> (that is, the output must be encoded)</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>a <code class="link">str</code> or <code class="link">unicode</code> object (depending on the <code class="link">encoding</code>
-parameter), or <code class="link">None</code> if the <code class="link">out</code> parameter is provided</dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.4.1
-      </p>
-      <p><strong>Note:</strong>
-        Changed in 0.5: added the <code class="link">out</code> parameter
-      </p>
-</div></td></tr></table>
-</div>
-<a name="get_serializer"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_serializer</span>(<span class="sig-arg">method</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">**kwargs</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a serializer object for the given method.</p>
-<p>Any additional keyword arguments are passed to the serializer, and thus
-depend on the <code class="link">method</code> parameter value.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>method</code></strong> - the serialization method; can be either &quot;xml&quot;, &quot;xhtml&quot;,
-&quot;html&quot;, &quot;text&quot;, or a custom serializer class</li>
-    </ul></dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.output.XMLSerializer-class.html" class="link">XMLSerializer</a>, <a href="genshi.output.XHTMLSerializer-class.html" class="link">XHTMLSerializer</a>, <a href="genshi.output.HTMLSerializer-class.html" class="link">HTMLSerializer</a>, <a href="genshi.output.TextSerializer-class.html" class="link">TextSerializer</a>
-      </p>
-      <p><strong>Since:</strong>
-        version 0.4.1
-      </p>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output.TextSerializer-class.html 0.7.1-2/doc/api/genshi.output.TextSerializer-class.html
--- 0.7-6/doc/api/genshi.output.TextSerializer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output.TextSerializer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,257 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output.TextSerializer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.output-module.html">Module&nbsp;output</a> ::
-        Class&nbsp;TextSerializer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TextSerializer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">TextSerializer</strong>
-</pre>
-
-<hr />
-<p>Produces plain text from an event stream.</p>
-<p>Only text events are included in the output. Unlike the other serializer,
-special XML characters are not escaped:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>elem = tag.div(tag.a(<span class="py-string">'&lt;Hello!&gt;'</span>, href=<span class="py-string">'foo'</span>), tag.br)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(elem)
-<span class="py-output">&lt;div&gt;&lt;a href=&quot;foo&quot;&gt;&amp;lt;Hello!&amp;gt;&lt;/a&gt;&lt;br/&gt;&lt;/div&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(<span class="py-string">''</span>.join(TextSerializer()(elem.generate())))
-<span class="py-output">&lt;Hello!&gt;</span></pre>
-<p>If text events contain literal markup (instances of the <a href="genshi.core.Markup-class.html" class="link">Markup</a> class),
-that markup is by default passed through unchanged:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>elem = tag.div(Markup(<span class="py-string">'&lt;a href=&quot;foo&quot;&gt;Hello &amp;amp; Bye!&lt;/a&gt;&lt;br/&gt;'</span>))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(elem.generate().render(TextSerializer, encoding=None))
-<span class="py-output">&lt;a href=&quot;foo&quot;&gt;Hello &amp;amp; Bye!&lt;/a&gt;&lt;br/&gt;</span></pre>
-<p>You can use the <tt class="rst-docutils literal">strip_markup</tt> to change this behavior, so that tags and
-entities are stripped from the output (or in the case of entities,
-replaced with the equivalent character):</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(elem.generate().render(TextSerializer, strip_markup=True,
-<span class="py-more">... </span>                             encoding=None))
-<span class="py-output">Hello &amp; Bye!</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.TextSerializer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">strip_markup</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Create the serializer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__call__"></a><span class="summary-sig-name">__call__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">strip_markup</span>=<span class="sig-default">False</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the serializer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>strip_markup</code></strong> - whether markup (tags and encoded characters) found
-in the text should be removed</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output.XHTMLSerializer-class.html 0.7.1-2/doc/api/genshi.output.XHTMLSerializer-class.html
--- 0.7-6/doc/api/genshi.output.XHTMLSerializer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output.XHTMLSerializer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,287 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output.XHTMLSerializer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.output-module.html">Module&nbsp;output</a> ::
-        Class&nbsp;XHTMLSerializer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class XHTMLSerializer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-   object --+    
-            |    
-<a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a> --+
-                |
-               <strong class="uidshort">XHTMLSerializer</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.output.HTMLSerializer-class.html">HTMLSerializer</a></li>  </ul>
-</dd></dl>
-
-<hr />
-<p>Produces XHTML text from an event stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>elem = tag.div(tag.a(href=<span class="py-string">'foo'</span>), tag.br, tag.hr(noshade=True))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(<span class="py-string">''</span>.join(XHTMLSerializer()(elem.generate())))
-<span class="py-output">&lt;div&gt;&lt;a href=&quot;foo&quot;&gt;&lt;/a&gt;&lt;br /&gt;&lt;hr noshade=&quot;noshade&quot; /&gt;&lt;/div&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.XHTMLSerializer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">doctype</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">strip_whitespace</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">namespace_prefixes</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">drop_xml_decl</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">cache</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize the XML serializer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.XHTMLSerializer-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">doctype</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">strip_whitespace</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">namespace_prefixes</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">drop_xml_decl</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">cache</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the XML serializer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>doctype</code></strong> - a <tt class="rst-docutils literal">(name, pubid, sysid)</tt> tuple that represents the
-DOCTYPE declaration that should be included at the top
-of the generated output, or the name of a DOCTYPE as
-defined in <a href="genshi.output.DocType-class.html#get" class="link">DocType.get</a></li>
-        <li><strong class="pname"><code>strip_whitespace</code></strong> - whether extraneous whitespace should be
-stripped from the output</li>
-        <li><strong class="pname"><code>cache</code></strong> - whether to cache the text output per event, which
-improves performance for repetitive markup</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Overrides:
-        <a href="genshi.output.XMLSerializer-class.html#__call__">XMLSerializer.__call__</a>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.output.XMLSerializer-class.html 0.7.1-2/doc/api/genshi.output.XMLSerializer-class.html
--- 0.7-6/doc/api/genshi.output.XMLSerializer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.output.XMLSerializer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,267 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.output.XMLSerializer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.output-module.html">Module&nbsp;output</a> ::
-        Class&nbsp;XMLSerializer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class XMLSerializer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">XMLSerializer</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a></li>  </ul>
-</dd></dl>
-
-<hr />
-<p>Produces XML text from an event stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.builder <span class="py-keyword">import</span> tag
-<span class="py-prompt">&gt;&gt;&gt; </span>elem = tag.div(tag.a(href=<span class="py-string">'foo'</span>), tag.br, tag.hr(noshade=True))
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(<span class="py-string">''</span>.join(XMLSerializer()(elem.generate())))
-<span class="py-output">&lt;div&gt;&lt;a href=&quot;foo&quot;/&gt;&lt;br/&gt;&lt;hr noshade=&quot;True&quot;/&gt;&lt;/div&gt;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.output.XMLSerializer-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">doctype</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">strip_whitespace</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">namespace_prefixes</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">cache</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize the XML serializer.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__call__"></a><span class="summary-sig-name">__call__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">doctype</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">strip_whitespace</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">namespace_prefixes</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">cache</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the XML serializer.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>doctype</code></strong> - a <tt class="rst-rst-docutils literal rst-docutils literal">(name, pubid, sysid)</tt> tuple that represents the
-DOCTYPE declaration that should be included at the top
-of the generated output, or the name of a DOCTYPE as
-defined in <a href="genshi.output.DocType-class.html#get" class="link">DocType.get</a></li>
-        <li><strong class="pname"><code>strip_whitespace</code></strong> - whether extraneous whitespace should be
-stripped from the output</li>
-        <li><strong class="pname"><code>cache</code></strong> - whether to cache the text output per event, which
-improves performance for repetitive markup</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <strong>Notes:</strong>
-      <ul class="nomargin-top">
-        <li>
-        Changed in 0.4.2: The  <code class="link">doctype</code> parameter can now be a string.
-        </li>
-        <li>
-        Changed in 0.6: The <code class="link">cache</code> parameter was added
-        </li>
-      </ul>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.path-module.html 0.7.1-2/doc/api/genshi.path-module.html
--- 0.7-6/doc/api/genshi.path-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.path-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,158 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.path</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;path
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module path</h1><p class="nomargin-top"></p>
-<p>Basic support for evaluating XPath expressions against streams.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.input <span class="py-keyword">import</span> XML
-<span class="py-prompt">&gt;&gt;&gt; </span>doc = XML(<span class="py-string">'''&lt;doc&gt;</span>
-<span class="py-more">... </span><span class="py-string"> &lt;items count=&quot;4&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;item status=&quot;new&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">        &lt;summary&gt;Foo&lt;/summary&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;/item&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;item status=&quot;closed&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">        &lt;summary&gt;Bar&lt;/summary&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;/item&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;item status=&quot;closed&quot; resolution=&quot;invalid&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">        &lt;summary&gt;Baz&lt;/summary&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;/item&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;item status=&quot;closed&quot; resolution=&quot;fixed&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">        &lt;summary&gt;Waz&lt;/summary&gt;</span>
-<span class="py-more">... </span><span class="py-string">      &lt;/item&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/items&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/doc&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(doc.select(<span class="py-string">'items/item[@status=&quot;closed&quot; and '</span>
-<span class="py-more">... </span>    <span class="py-string">'(@resolution=&quot;invalid&quot; or not(@resolution))]/summary/text()'</span>))
-<span class="py-output">BarBaz</span></pre>
-<p>Because the XPath engine operates on markup streams (as opposed to tree
-structures), it only implements a subset of the full XPath 1.0 language.</p>
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.path.Path-class.html" class="summary-name">Path</a><br />
-      Implements basic XPath support on streams.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.path.PathSyntaxError-class.html" class="summary-name">PathSyntaxError</a><br />
-      Exception raised when an XPath expression is syntactically incorrect.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.path.Path-class.html 0.7.1-2/doc/api/genshi.path.Path-class.html
--- 0.7-6/doc/api/genshi.path.Path-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.path.Path-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,442 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.path.Path</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.path-module.html">Module&nbsp;path</a> ::
-        Class&nbsp;Path
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Path</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Path</strong>
-</pre>
-
-<hr />
-<p>Implements basic XPath support on streams.</p>
-<p>Instances of this class represent a &quot;compiled&quot; XPath expression, and
-provide methods for testing the path against a stream, as well as
-extracting a substream matching that path.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.path.Path-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      Create the path object from a string.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.path.Path-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><a href="genshi.core.Stream-class.html" class="link">Stream</a></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.path.Path-class.html#select" class="summary-sig-name">select</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">variables</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Returns a substream of the given stream that matches the path.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.path.Path-class.html#test" class="summary-sig-name">test</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">ignore_context</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Returns a function that can be used to track whether the path matches
-a specific stream event.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.path.Path-class.html#STRATEGIES" class="summary-name">STRATEGIES</a> = <code title="(&lt;class 'genshi.path.SingleStepStrategy'&gt;,
- &lt;class 'genshi.path.SimplePathStrategy'&gt;,
- &lt;class 'genshi.path.GenericStrategy'&gt;)"><code class="variable-group">(</code>&lt;class 'genshi.path.SingleStepStrategy'&gt;<code class="variable-op">, </code>&lt;class<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">text</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the path object from a string.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the path expression</li>
-        <li><strong class="pname"><code>filename</code></strong> - the name of the file in which the path expression was
-found (used in error messages)</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the line on which the expression was found</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="select"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">select</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">variables</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Returns a substream of the given stream that matches the path.</p>
-<p>If there are no matches, this method returns an empty stream.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.input <span class="py-keyword">import</span> XML
-<span class="py-prompt">&gt;&gt;&gt; </span>xml = XML(<span class="py-string">'&lt;root&gt;&lt;elem&gt;&lt;child&gt;Text&lt;/child&gt;&lt;/elem&gt;&lt;/root&gt;'</span>)</pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Path(<span class="py-string">'.//child'</span>).select(xml))
-<span class="py-output">&lt;child&gt;Text&lt;/child&gt;</span></pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(Path(<span class="py-string">'.//child/text()'</span>).select(xml))
-<span class="py-output">Text</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the stream to select from</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - (optional) a mapping of namespace prefixes to URIs</li>
-        <li><strong class="pname"><code>variables</code></strong> - (optional) a mapping of variable names to values</li>
-    </ul></dd>
-    <dt>Returns: <a href="genshi.core.Stream-class.html" class="link">Stream</a></dt>
-        <dd>the substream matching the path, or an empty stream</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="test"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">test</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">ignore_context</span>=<span class="sig-default">False</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Returns a function that can be used to track whether the path matches
-a specific stream event.</p>
-<p>The function returned expects the positional arguments <tt class="rst-docutils literal">event</tt>,
-<tt class="rst-docutils literal">namespaces</tt> and <tt class="rst-docutils literal">variables</tt>. The first is a stream event, while the
-latter two are a mapping of namespace prefixes to URIs, and a mapping
-of variable names to values, respectively. In addition, the function
-accepts an <tt class="rst-docutils literal">updateonly</tt> keyword argument that default to <tt class="rst-docutils literal">False</tt>. If
-it is set to <tt class="rst-docutils literal">True</tt>, the function only updates its internal state,
-but does not perform any tests or return a result.</p>
-<p>If the path matches the event, the function returns the match (for
-example, a START or TEXT event.) Otherwise, it returns <tt class="rst-docutils literal">None</tt>.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.input <span class="py-keyword">import</span> XML
-<span class="py-prompt">&gt;&gt;&gt; </span>xml = XML(<span class="py-string">'&lt;root&gt;&lt;elem&gt;&lt;child id=&quot;1&quot;/&gt;&lt;/elem&gt;&lt;child id=&quot;2&quot;/&gt;&lt;/root&gt;'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>test = Path(<span class="py-string">'child'</span>).test()
-<span class="py-prompt">&gt;&gt;&gt; </span>namespaces, variables = {}, {}
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> event <span class="py-keyword">in</span> xml:
-<span class="py-more">... </span>    <span class="py-keyword">if</span> test(event, namespaces, variables):
-<span class="py-more">... </span>        <span class="py-keyword">print</span>(<span class="py-string">'%s %r'</span> % (event[0], event[1]))
-<span class="py-output">START (QName('child'), Attrs([(QName('id'), u'2')]))</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>ignore_context</code></strong> - if <code class="link">True</code>, the path is interpreted like a pattern
-in XSLT, meaning for example that it will match
-at any depth</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>a function that can be used to test individual events in a
-stream against the path</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="STRATEGIES"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">STRATEGIES</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">(</code>&lt;class 'genshi.path.SingleStepStrategy'&gt;<code class="variable-op">,</code>
- &lt;class 'genshi.path.SimplePathStrategy'&gt;<code class="variable-op">,</code>
- &lt;class 'genshi.path.GenericStrategy'&gt;<code class="variable-group">)</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.path.PathSyntaxError-class.html 0.7.1-2/doc/api/genshi.path.PathSyntaxError-class.html
--- 0.7-6/doc/api/genshi.path.PathSyntaxError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.path.PathSyntaxError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,236 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.path.PathSyntaxError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.path-module.html">Module&nbsp;path</a> ::
-        Class&nbsp;PathSyntaxError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class PathSyntaxError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+        
-                       |        
-exceptions.BaseException --+    
-                           |    
-        exceptions.Exception --+
-                               |
-                              <strong class="uidshort">PathSyntaxError</strong>
-</pre>
-
-<hr />
-Exception raised when an XPath expression is syntactically incorrect.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.path.PathSyntaxError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">message</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">message</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Add-class.html 0.7.1-2/doc/api/genshi.template._ast24.Add-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Add-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Add-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Add</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Add
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Add</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Add</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.alias-class.html 0.7.1-2/doc/api/genshi.template._ast24.alias-class.html
--- 0.7-6/doc/api/genshi.template._ast24.alias-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.alias-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.alias</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;alias
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class alias</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">alias</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.And-class.html 0.7.1-2/doc/api/genshi.template._ast24.And-class.html
--- 0.7-6/doc/api/genshi.template._ast24.And-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.And-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.And</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;And
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class And</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-     ??.boolop --+
-                 |
-                <strong class="uidshort">And</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.arguments-class.html 0.7.1-2/doc/api/genshi.template._ast24.arguments-class.html
--- 0.7-6/doc/api/genshi.template._ast24.arguments-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.arguments-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.arguments</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;arguments
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class arguments</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">arguments</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Assert-class.html 0.7.1-2/doc/api/genshi.template._ast24.Assert-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Assert-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Assert-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Assert</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Assert
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Assert</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Assert</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Assign-class.html 0.7.1-2/doc/api/genshi.template._ast24.Assign-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Assign-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Assign-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Assign</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Assign
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Assign</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Assign</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.AST-class.html 0.7.1-2/doc/api/genshi.template._ast24.AST-class.html
--- 0.7-6/doc/api/genshi.template._ast24.AST-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.AST-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,184 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.AST</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;AST
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AST</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">AST</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><i>unreachable</i>.operator</li><li>, <i>unreachable</i>.boolop</li><li>, <i>unreachable</i>.stmt</li><li>, <i>unreachable</i>.expr</li><li>, <i>unreachable</i>.expr_context</li><li>, <i>unreachable</i>.slice</li><li>, <i>unreachable</i>.cmpop</li><li>, <i>unreachable</i>.mod</li><li>, <i>unreachable</i>.unaryop</li><li>, <a href="genshi.template._ast24.alias-class.html">alias</a></li><li>, <a href="genshi.template._ast24.arguments-class.html">arguments</a></li><li>, <a href="genshi.template._ast24.boolop-class.html">boolop</a></li><li>, <a href="genshi.template._ast24.cmpop-class.html">cmpop</a></li><li>, <a href="genshi.template._ast24.comprehension-class.html">comprehension</a></li><li>, <a href="genshi.template._ast24.excepthandler-class.html">excepthandler</a></li><li>, <a href="genshi.template._ast24.expr-class.html">expr</a></li><li>, <a href="genshi.template._ast24.expr_context-class.html">expr_context</a></li><li>, <a href="genshi.template._ast24.keyword-class.html">keyword</a></li><li>, <a href="genshi.template._ast24.mod-class.html">mod</a></li><li>, <a href="genshi.template._ast24.operator-class.html">operator</a></li><li>, <a href="genshi.template._ast24.slice-class.html">slice</a></li><li>, <a href="genshi.template._ast24.stmt-class.html">stmt</a></li><li>, <a href="genshi.template._ast24.unaryop-class.html">unaryop</a></li>  </ul>
-</dd></dl>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Attribute-class.html 0.7.1-2/doc/api/genshi.template._ast24.Attribute-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Attribute-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Attribute-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Attribute</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Attribute
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Attribute</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Attribute</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.AugAssign-class.html 0.7.1-2/doc/api/genshi.template._ast24.AugAssign-class.html
--- 0.7-6/doc/api/genshi.template._ast24.AugAssign-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.AugAssign-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.AugAssign</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;AugAssign
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AugAssign</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">AugAssign</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.AugLoad-class.html 0.7.1-2/doc/api/genshi.template._ast24.AugLoad-class.html
--- 0.7-6/doc/api/genshi.template._ast24.AugLoad-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.AugLoad-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.AugLoad</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;AugLoad
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AugLoad</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">AugLoad</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.AugStore-class.html 0.7.1-2/doc/api/genshi.template._ast24.AugStore-class.html
--- 0.7-6/doc/api/genshi.template._ast24.AugStore-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.AugStore-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.AugStore</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;AugStore
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AugStore</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">AugStore</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.BinOp-class.html 0.7.1-2/doc/api/genshi.template._ast24.BinOp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.BinOp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.BinOp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.BinOp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;BinOp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BinOp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">BinOp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.BitAnd-class.html 0.7.1-2/doc/api/genshi.template._ast24.BitAnd-class.html
--- 0.7-6/doc/api/genshi.template._ast24.BitAnd-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.BitAnd-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.BitAnd</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;BitAnd
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BitAnd</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">BitAnd</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.BitOr-class.html 0.7.1-2/doc/api/genshi.template._ast24.BitOr-class.html
--- 0.7-6/doc/api/genshi.template._ast24.BitOr-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.BitOr-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.BitOr</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;BitOr
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BitOr</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">BitOr</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.BitXor-class.html 0.7.1-2/doc/api/genshi.template._ast24.BitXor-class.html
--- 0.7-6/doc/api/genshi.template._ast24.BitXor-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.BitXor-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.BitXor</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;BitXor
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BitXor</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">BitXor</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.boolop-class.html 0.7.1-2/doc/api/genshi.template._ast24.boolop-class.html
--- 0.7-6/doc/api/genshi.template._ast24.boolop-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.boolop-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.boolop</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;boolop
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class boolop</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">boolop</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.BoolOp-class.html 0.7.1-2/doc/api/genshi.template._ast24.BoolOp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.BoolOp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.BoolOp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.BoolOp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;BoolOp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BoolOp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">BoolOp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Break-class.html 0.7.1-2/doc/api/genshi.template._ast24.Break-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Break-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Break-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Break</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Break
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Break</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Break</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Call-class.html 0.7.1-2/doc/api/genshi.template._ast24.Call-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Call-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Call-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Call</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Call
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Call</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Call</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.ClassDef-class.html 0.7.1-2/doc/api/genshi.template._ast24.ClassDef-class.html
--- 0.7-6/doc/api/genshi.template._ast24.ClassDef-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.ClassDef-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.ClassDef</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;ClassDef
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ClassDef</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">ClassDef</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.cmpop-class.html 0.7.1-2/doc/api/genshi.template._ast24.cmpop-class.html
--- 0.7-6/doc/api/genshi.template._ast24.cmpop-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.cmpop-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.cmpop</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;cmpop
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class cmpop</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">cmpop</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Compare-class.html 0.7.1-2/doc/api/genshi.template._ast24.Compare-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Compare-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Compare-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Compare</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Compare
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Compare</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Compare</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.comprehension-class.html 0.7.1-2/doc/api/genshi.template._ast24.comprehension-class.html
--- 0.7-6/doc/api/genshi.template._ast24.comprehension-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.comprehension-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.comprehension</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;comprehension
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class comprehension</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">comprehension</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Continue-class.html 0.7.1-2/doc/api/genshi.template._ast24.Continue-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Continue-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Continue-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Continue</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Continue
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Continue</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Continue</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Del-class.html 0.7.1-2/doc/api/genshi.template._ast24.Del-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Del-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Del-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Del</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Del
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Del</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">Del</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Delete-class.html 0.7.1-2/doc/api/genshi.template._ast24.Delete-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Delete-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Delete-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Delete</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Delete
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Delete</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Delete</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Dict-class.html 0.7.1-2/doc/api/genshi.template._ast24.Dict-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Dict-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Dict-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Dict</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Dict
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Dict</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Dict</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Div-class.html 0.7.1-2/doc/api/genshi.template._ast24.Div-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Div-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Div-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Div</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Div
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Div</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Div</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Ellipsis-class.html 0.7.1-2/doc/api/genshi.template._ast24.Ellipsis-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Ellipsis-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Ellipsis-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Ellipsis</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Ellipsis
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Ellipsis</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.slice-1 --+
-                 |
-                <strong class="uidshort">Ellipsis</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Eq-class.html 0.7.1-2/doc/api/genshi.template._ast24.Eq-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Eq-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Eq-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Eq</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Eq
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Eq</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">Eq</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.excepthandler-class.html 0.7.1-2/doc/api/genshi.template._ast24.excepthandler-class.html
--- 0.7-6/doc/api/genshi.template._ast24.excepthandler-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.excepthandler-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.excepthandler</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;excepthandler
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class excepthandler</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">excepthandler</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Exec-class.html 0.7.1-2/doc/api/genshi.template._ast24.Exec-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Exec-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Exec-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Exec</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Exec
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Exec</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Exec</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.expr-class.html 0.7.1-2/doc/api/genshi.template._ast24.expr-class.html
--- 0.7-6/doc/api/genshi.template._ast24.expr-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.expr-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.expr</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;expr
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class expr</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">expr</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Expr-class.html 0.7.1-2/doc/api/genshi.template._ast24.Expr-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Expr-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Expr-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Expr</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Expr
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Expr</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Expr</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.expr_context-class.html 0.7.1-2/doc/api/genshi.template._ast24.expr_context-class.html
--- 0.7-6/doc/api/genshi.template._ast24.expr_context-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.expr_context-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.expr_context</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;expr_context
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class expr_context</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">expr_context</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Expression-class.html 0.7.1-2/doc/api/genshi.template._ast24.Expression-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Expression-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Expression-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Expression</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Expression
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Expression</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-        ??.mod --+
-                 |
-                <strong class="uidshort">Expression</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.ExtSlice-class.html 0.7.1-2/doc/api/genshi.template._ast24.ExtSlice-class.html
--- 0.7-6/doc/api/genshi.template._ast24.ExtSlice-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.ExtSlice-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.ExtSlice</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;ExtSlice
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ExtSlice</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.slice-1 --+
-                 |
-                <strong class="uidshort">ExtSlice</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.FloorDiv-class.html 0.7.1-2/doc/api/genshi.template._ast24.FloorDiv-class.html
--- 0.7-6/doc/api/genshi.template._ast24.FloorDiv-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.FloorDiv-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.FloorDiv</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;FloorDiv
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class FloorDiv</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">FloorDiv</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.For-class.html 0.7.1-2/doc/api/genshi.template._ast24.For-class.html
--- 0.7-6/doc/api/genshi.template._ast24.For-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.For-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.For</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;For
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class For</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">For</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.FunctionDef-class.html 0.7.1-2/doc/api/genshi.template._ast24.FunctionDef-class.html
--- 0.7-6/doc/api/genshi.template._ast24.FunctionDef-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.FunctionDef-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.FunctionDef</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;FunctionDef
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class FunctionDef</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">FunctionDef</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.GeneratorExp-class.html 0.7.1-2/doc/api/genshi.template._ast24.GeneratorExp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.GeneratorExp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.GeneratorExp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.GeneratorExp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;GeneratorExp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class GeneratorExp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">GeneratorExp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Global-class.html 0.7.1-2/doc/api/genshi.template._ast24.Global-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Global-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Global-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Global</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Global
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Global</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Global</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Gt-class.html 0.7.1-2/doc/api/genshi.template._ast24.Gt-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Gt-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Gt-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Gt</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Gt
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Gt</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">Gt</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.GtE-class.html 0.7.1-2/doc/api/genshi.template._ast24.GtE-class.html
--- 0.7-6/doc/api/genshi.template._ast24.GtE-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.GtE-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.GtE</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;GtE
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class GtE</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">GtE</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.If-class.html 0.7.1-2/doc/api/genshi.template._ast24.If-class.html
--- 0.7-6/doc/api/genshi.template._ast24.If-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.If-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.If</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;If
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class If</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">If</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.IfExp-class.html 0.7.1-2/doc/api/genshi.template._ast24.IfExp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.IfExp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.IfExp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.IfExp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;IfExp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class IfExp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">IfExp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Import-class.html 0.7.1-2/doc/api/genshi.template._ast24.Import-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Import-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Import-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Import</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Import
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Import</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Import</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.ImportFrom-class.html 0.7.1-2/doc/api/genshi.template._ast24.ImportFrom-class.html
--- 0.7-6/doc/api/genshi.template._ast24.ImportFrom-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.ImportFrom-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.ImportFrom</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;ImportFrom
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ImportFrom</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">ImportFrom</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.In-class.html 0.7.1-2/doc/api/genshi.template._ast24.In-class.html
--- 0.7-6/doc/api/genshi.template._ast24.In-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.In-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.In</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;In
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class In</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">In</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Index-class.html 0.7.1-2/doc/api/genshi.template._ast24.Index-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Index-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Index-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Index</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Index
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Index</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.slice-1 --+
-                 |
-                <strong class="uidshort">Index</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Interactive-class.html 0.7.1-2/doc/api/genshi.template._ast24.Interactive-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Interactive-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Interactive-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Interactive</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Interactive
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Interactive</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-        ??.mod --+
-                 |
-                <strong class="uidshort">Interactive</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Invert-class.html 0.7.1-2/doc/api/genshi.template._ast24.Invert-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Invert-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Invert-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Invert</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Invert
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Invert</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.unaryop --+
-                 |
-                <strong class="uidshort">Invert</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Is-class.html 0.7.1-2/doc/api/genshi.template._ast24.Is-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Is-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Is-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Is</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Is
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Is</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">Is</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.IsNot-class.html 0.7.1-2/doc/api/genshi.template._ast24.IsNot-class.html
--- 0.7-6/doc/api/genshi.template._ast24.IsNot-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.IsNot-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.IsNot</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;IsNot
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class IsNot</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">IsNot</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.keyword-class.html 0.7.1-2/doc/api/genshi.template._ast24.keyword-class.html
--- 0.7-6/doc/api/genshi.template._ast24.keyword-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.keyword-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.keyword</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;keyword
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class keyword</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">keyword</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Lambda-class.html 0.7.1-2/doc/api/genshi.template._ast24.Lambda-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Lambda-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Lambda-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Lambda</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Lambda
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Lambda</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Lambda</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.List-class.html 0.7.1-2/doc/api/genshi.template._ast24.List-class.html
--- 0.7-6/doc/api/genshi.template._ast24.List-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.List-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.List</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;List
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class List</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">List</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.ListComp-class.html 0.7.1-2/doc/api/genshi.template._ast24.ListComp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.ListComp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.ListComp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.ListComp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;ListComp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ListComp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">ListComp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Load-class.html 0.7.1-2/doc/api/genshi.template._ast24.Load-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Load-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Load-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Load</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Load
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Load</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">Load</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.LShift-class.html 0.7.1-2/doc/api/genshi.template._ast24.LShift-class.html
--- 0.7-6/doc/api/genshi.template._ast24.LShift-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.LShift-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.LShift</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;LShift
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class LShift</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">LShift</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Lt-class.html 0.7.1-2/doc/api/genshi.template._ast24.Lt-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Lt-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Lt-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Lt</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Lt
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Lt</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">Lt</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.LtE-class.html 0.7.1-2/doc/api/genshi.template._ast24.LtE-class.html
--- 0.7-6/doc/api/genshi.template._ast24.LtE-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.LtE-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.LtE</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;LtE
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class LtE</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">LtE</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.mod-class.html 0.7.1-2/doc/api/genshi.template._ast24.mod-class.html
--- 0.7-6/doc/api/genshi.template._ast24.mod-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.mod-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.mod</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;mod
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class mod</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">mod</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Mod-class.html 0.7.1-2/doc/api/genshi.template._ast24.Mod-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Mod-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Mod-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Mod</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Mod
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Mod</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Mod</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Module-class.html 0.7.1-2/doc/api/genshi.template._ast24.Module-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Module-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Module-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Module</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Module
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Module</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-        ??.mod --+
-                 |
-                <strong class="uidshort">Module</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24-module.html 0.7.1-2/doc/api/genshi.template._ast24-module.html
--- 0.7-6/doc/api/genshi.template._ast24-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,832 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;_ast24
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module _ast24</h1><p class="nomargin-top"></p>
-<hr />
-<div class="fields">      <p><strong>Version:</strong>
-        43614
-      </p>
-</div><!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.AST-class.html" class="summary-name">AST</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Add-class.html" class="summary-name">Add</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.And-class.html" class="summary-name">And</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Assert-class.html" class="summary-name">Assert</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Assign-class.html" class="summary-name">Assign</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Attribute-class.html" class="summary-name">Attribute</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.AugAssign-class.html" class="summary-name">AugAssign</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.AugLoad-class.html" class="summary-name">AugLoad</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.AugStore-class.html" class="summary-name">AugStore</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.BinOp-class.html" class="summary-name">BinOp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.BitAnd-class.html" class="summary-name">BitAnd</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.BitOr-class.html" class="summary-name">BitOr</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.BitXor-class.html" class="summary-name">BitXor</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.BoolOp-class.html" class="summary-name">BoolOp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Break-class.html" class="summary-name">Break</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Call-class.html" class="summary-name">Call</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.ClassDef-class.html" class="summary-name">ClassDef</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Compare-class.html" class="summary-name">Compare</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Continue-class.html" class="summary-name">Continue</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Del-class.html" class="summary-name">Del</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Delete-class.html" class="summary-name">Delete</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Dict-class.html" class="summary-name">Dict</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Div-class.html" class="summary-name">Div</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Ellipsis-class.html" class="summary-name">Ellipsis</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Eq-class.html" class="summary-name">Eq</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Exec-class.html" class="summary-name">Exec</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Expr-class.html" class="summary-name">Expr</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Expression-class.html" class="summary-name">Expression</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.ExtSlice-class.html" class="summary-name">ExtSlice</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.FloorDiv-class.html" class="summary-name">FloorDiv</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.For-class.html" class="summary-name">For</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.FunctionDef-class.html" class="summary-name">FunctionDef</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.GeneratorExp-class.html" class="summary-name">GeneratorExp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Global-class.html" class="summary-name">Global</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Gt-class.html" class="summary-name">Gt</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.GtE-class.html" class="summary-name">GtE</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.If-class.html" class="summary-name">If</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.IfExp-class.html" class="summary-name">IfExp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Import-class.html" class="summary-name">Import</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.ImportFrom-class.html" class="summary-name">ImportFrom</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.In-class.html" class="summary-name">In</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Index-class.html" class="summary-name">Index</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Interactive-class.html" class="summary-name">Interactive</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Invert-class.html" class="summary-name">Invert</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Is-class.html" class="summary-name">Is</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.IsNot-class.html" class="summary-name">IsNot</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.LShift-class.html" class="summary-name">LShift</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Lambda-class.html" class="summary-name">Lambda</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.List-class.html" class="summary-name">List</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.ListComp-class.html" class="summary-name">ListComp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Load-class.html" class="summary-name">Load</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Lt-class.html" class="summary-name">Lt</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.LtE-class.html" class="summary-name">LtE</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Mod-class.html" class="summary-name">Mod</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Module-class.html" class="summary-name">Module</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Mult-class.html" class="summary-name">Mult</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Name-class.html" class="summary-name">Name</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Not-class.html" class="summary-name">Not</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.NotEq-class.html" class="summary-name">NotEq</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.NotIn-class.html" class="summary-name">NotIn</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Num-class.html" class="summary-name">Num</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Or-class.html" class="summary-name">Or</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Param-class.html" class="summary-name">Param</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Pass-class.html" class="summary-name">Pass</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Pow-class.html" class="summary-name">Pow</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Print-class.html" class="summary-name">Print</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.RShift-class.html" class="summary-name">RShift</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Raise-class.html" class="summary-name">Raise</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Repr-class.html" class="summary-name">Repr</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Return-class.html" class="summary-name">Return</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Slice-class.html" class="summary-name">Slice</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Store-class.html" class="summary-name">Store</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Str-class.html" class="summary-name">Str</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Sub-class.html" class="summary-name">Sub</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Subscript-class.html" class="summary-name">Subscript</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Suite-class.html" class="summary-name">Suite</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.TryExcept-class.html" class="summary-name">TryExcept</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.TryFinally-class.html" class="summary-name">TryFinally</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Tuple-class.html" class="summary-name">Tuple</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.UAdd-class.html" class="summary-name">UAdd</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.USub-class.html" class="summary-name">USub</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.UnaryOp-class.html" class="summary-name">UnaryOp</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.While-class.html" class="summary-name">While</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.With-class.html" class="summary-name">With</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.Yield-class.html" class="summary-name">Yield</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.alias-class.html" class="summary-name">alias</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.arguments-class.html" class="summary-name">arguments</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.boolop-class.html" class="summary-name">boolop</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.cmpop-class.html" class="summary-name">cmpop</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.comprehension-class.html" class="summary-name">comprehension</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.excepthandler-class.html" class="summary-name">excepthandler</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.expr-class.html" class="summary-name">expr</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.expr_context-class.html" class="summary-name">expr_context</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.keyword-class.html" class="summary-name">keyword</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.mod-class.html" class="summary-name">mod</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.operator-class.html" class="summary-name">operator</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.slice-class.html" class="summary-name">slice</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.stmt-class.html" class="summary-name">stmt</a>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template._ast24.unaryop-class.html" class="summary-name">unaryop</a>
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.ast24-module.html 0.7.1-2/doc/api/genshi.template.ast24-module.html
--- 0.7-6/doc/api/genshi.template.ast24-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.ast24-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,137 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.ast24</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;ast24
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module ast24</h1><p class="nomargin-top"></p>
-Emulation of the proper abstract syntax tree API for Python 2.4.
-
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="parse"></a><span class="summary-sig-name">parse</span>(<span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">mode</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Mult-class.html 0.7.1-2/doc/api/genshi.template._ast24.Mult-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Mult-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Mult-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Mult</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Mult
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Mult</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Mult</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Name-class.html 0.7.1-2/doc/api/genshi.template._ast24.Name-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Name-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Name-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Name</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Name
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Name</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Name</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Not-class.html 0.7.1-2/doc/api/genshi.template._ast24.Not-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Not-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Not-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Not</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Not
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Not</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.unaryop --+
-                 |
-                <strong class="uidshort">Not</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.NotEq-class.html 0.7.1-2/doc/api/genshi.template._ast24.NotEq-class.html
--- 0.7-6/doc/api/genshi.template._ast24.NotEq-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.NotEq-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.NotEq</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;NotEq
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class NotEq</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">NotEq</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.NotIn-class.html 0.7.1-2/doc/api/genshi.template._ast24.NotIn-class.html
--- 0.7-6/doc/api/genshi.template._ast24.NotIn-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.NotIn-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.NotIn</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;NotIn
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class NotIn</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-      ??.cmpop --+
-                 |
-                <strong class="uidshort">NotIn</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Num-class.html 0.7.1-2/doc/api/genshi.template._ast24.Num-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Num-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Num-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Num</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Num
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Num</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Num</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.operator-class.html 0.7.1-2/doc/api/genshi.template._ast24.operator-class.html
--- 0.7-6/doc/api/genshi.template._ast24.operator-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.operator-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.operator</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;operator
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class operator</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">operator</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Or-class.html 0.7.1-2/doc/api/genshi.template._ast24.Or-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Or-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Or-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Or</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Or
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Or</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-     ??.boolop --+
-                 |
-                <strong class="uidshort">Or</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Param-class.html 0.7.1-2/doc/api/genshi.template._ast24.Param-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Param-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Param-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Param</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Param
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Param</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">Param</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Pass-class.html 0.7.1-2/doc/api/genshi.template._ast24.Pass-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Pass-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Pass-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Pass</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Pass
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Pass</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Pass</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Pow-class.html 0.7.1-2/doc/api/genshi.template._ast24.Pow-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Pow-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Pow-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Pow</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Pow
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Pow</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Pow</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Print-class.html 0.7.1-2/doc/api/genshi.template._ast24.Print-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Print-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Print-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Print</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Print
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Print</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Print</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Raise-class.html 0.7.1-2/doc/api/genshi.template._ast24.Raise-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Raise-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Raise-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Raise</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Raise
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Raise</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Raise</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Repr-class.html 0.7.1-2/doc/api/genshi.template._ast24.Repr-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Repr-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Repr-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Repr</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Repr
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Repr</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Repr</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Return-class.html 0.7.1-2/doc/api/genshi.template._ast24.Return-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Return-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Return-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Return</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Return
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Return</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">Return</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.RShift-class.html 0.7.1-2/doc/api/genshi.template._ast24.RShift-class.html
--- 0.7-6/doc/api/genshi.template._ast24.RShift-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.RShift-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.RShift</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;RShift
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class RShift</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">RShift</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.slice-class.html 0.7.1-2/doc/api/genshi.template._ast24.slice-class.html
--- 0.7-6/doc/api/genshi.template._ast24.slice-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.slice-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.slice</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;slice
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class slice</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">slice</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Slice-class.html 0.7.1-2/doc/api/genshi.template._ast24.Slice-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Slice-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Slice-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Slice</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Slice
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Slice</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.slice-1 --+
-                 |
-                <strong class="uidshort">Slice</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.stmt-class.html 0.7.1-2/doc/api/genshi.template._ast24.stmt-class.html
--- 0.7-6/doc/api/genshi.template._ast24.stmt-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.stmt-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.stmt</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;stmt
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class stmt</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">stmt</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Store-class.html 0.7.1-2/doc/api/genshi.template._ast24.Store-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Store-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Store-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Store</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Store
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Store</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
- object --+        
-          |        
-        <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-              |    
-??.expr_context --+
-                  |
-                 <strong class="uidshort">Store</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Str-class.html 0.7.1-2/doc/api/genshi.template._ast24.Str-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Str-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Str-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Str</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Str
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Str</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Str</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Sub-class.html 0.7.1-2/doc/api/genshi.template._ast24.Sub-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Sub-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Sub-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Sub</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Sub
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Sub</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-   ??.operator --+
-                 |
-                <strong class="uidshort">Sub</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Subscript-class.html 0.7.1-2/doc/api/genshi.template._ast24.Subscript-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Subscript-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Subscript-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Subscript</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Subscript
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Subscript</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Subscript</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Suite-class.html 0.7.1-2/doc/api/genshi.template._ast24.Suite-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Suite-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Suite-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Suite</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Suite
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Suite</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-        ??.mod --+
-                 |
-                <strong class="uidshort">Suite</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.TryExcept-class.html 0.7.1-2/doc/api/genshi.template._ast24.TryExcept-class.html
--- 0.7-6/doc/api/genshi.template._ast24.TryExcept-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.TryExcept-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.TryExcept</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;TryExcept
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TryExcept</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">TryExcept</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.TryFinally-class.html 0.7.1-2/doc/api/genshi.template._ast24.TryFinally-class.html
--- 0.7-6/doc/api/genshi.template._ast24.TryFinally-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.TryFinally-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.TryFinally</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;TryFinally
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TryFinally</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">TryFinally</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Tuple-class.html 0.7.1-2/doc/api/genshi.template._ast24.Tuple-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Tuple-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Tuple-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Tuple</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Tuple
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Tuple</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Tuple</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.UAdd-class.html 0.7.1-2/doc/api/genshi.template._ast24.UAdd-class.html
--- 0.7-6/doc/api/genshi.template._ast24.UAdd-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.UAdd-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.UAdd</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;UAdd
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class UAdd</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.unaryop --+
-                 |
-                <strong class="uidshort">UAdd</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.unaryop-class.html 0.7.1-2/doc/api/genshi.template._ast24.unaryop-class.html
--- 0.7-6/doc/api/genshi.template._ast24.unaryop-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.unaryop-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,180 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.unaryop</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;unaryop
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class unaryop</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+
-             |
-            <strong class="uidshort">unaryop</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.UnaryOp-class.html 0.7.1-2/doc/api/genshi.template._ast24.UnaryOp-class.html
--- 0.7-6/doc/api/genshi.template._ast24.UnaryOp-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.UnaryOp-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.UnaryOp</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;UnaryOp
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class UnaryOp</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">UnaryOp</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.USub-class.html 0.7.1-2/doc/api/genshi.template._ast24.USub-class.html
--- 0.7-6/doc/api/genshi.template._ast24.USub-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.USub-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.USub</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;USub
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class USub</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-    ??.unaryop --+
-                 |
-                <strong class="uidshort">USub</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.While-class.html 0.7.1-2/doc/api/genshi.template._ast24.While-class.html
--- 0.7-6/doc/api/genshi.template._ast24.While-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.While-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.While</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;While
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class While</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">While</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.With-class.html 0.7.1-2/doc/api/genshi.template._ast24.With-class.html
--- 0.7-6/doc/api/genshi.template._ast24.With-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.With-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.With</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;With
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class With</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.stmt --+
-                 |
-                <strong class="uidshort">With</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template._ast24.Yield-class.html 0.7.1-2/doc/api/genshi.template._ast24.Yield-class.html
--- 0.7-6/doc/api/genshi.template._ast24.Yield-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template._ast24.Yield-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,182 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template._ast24.Yield</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template._ast24-module.html">Module&nbsp;_ast24</a> ::
-        Class&nbsp;Yield
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Yield</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+        
-         |        
-       <a href="genshi.template._ast24.AST-class.html">AST</a> --+    
-             |    
-       ??.expr --+
-                 |
-                <strong class="uidshort">Yield</strong>
-</pre>
-
-<hr />
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__doc__"></a><span class="summary-name">__doc__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.astutil.ASTCodeGenerator-class.html 0.7.1-2/doc/api/genshi.template.astutil.ASTCodeGenerator-class.html
--- 0.7-6/doc/api/genshi.template.astutil.ASTCodeGenerator-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.astutil.ASTCodeGenerator-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,1428 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.astutil.ASTCodeGenerator</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.astutil-module.html">Module&nbsp;astutil</a> ::
-        Class&nbsp;ASTCodeGenerator
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ASTCodeGenerator</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">ASTCodeGenerator</strong>
-</pre>
-
-<hr />
-<p>General purpose base class for AST transformations.</p>
-<p>Every visitor method can be overridden to return an AST node that has been
-altered or replaced in some way.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">tree</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit"></a><span class="summary-sig-name">visit</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Module"></a><span class="summary-sig-name">visit_Module</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Interactive"></a><span class="summary-sig-name">visit_Interactive</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Suite"></a><span class="summary-sig-name">visit_Suite</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Expression"></a><span class="summary-sig-name">visit_Expression</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_arguments"></a><span class="summary-sig-name">visit_arguments</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_arg"></a><span class="summary-sig-name">visit_arg</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_FunctionDef"></a><span class="summary-sig-name">visit_FunctionDef</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ClassDef"></a><span class="summary-sig-name">visit_ClassDef</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Return"></a><span class="summary-sig-name">visit_Return</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Delete"></a><span class="summary-sig-name">visit_Delete</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Assign"></a><span class="summary-sig-name">visit_Assign</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_AugAssign"></a><span class="summary-sig-name">visit_AugAssign</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Print"></a><span class="summary-sig-name">visit_Print</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_For"></a><span class="summary-sig-name">visit_For</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_While"></a><span class="summary-sig-name">visit_While</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_If"></a><span class="summary-sig-name">visit_If</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_With"></a><span class="summary-sig-name">visit_With</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Raise"></a><span class="summary-sig-name">visit_Raise</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_TryExcept"></a><span class="summary-sig-name">visit_TryExcept</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ExceptHandler"></a><span class="summary-sig-name">visit_ExceptHandler</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_excepthandler"></a><span class="summary-sig-name">visit_excepthandler</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_TryFinally"></a><span class="summary-sig-name">visit_TryFinally</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Try"></a><span class="summary-sig-name">visit_Try</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Assert"></a><span class="summary-sig-name">visit_Assert</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_alias"></a><span class="summary-sig-name">visit_alias</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Import"></a><span class="summary-sig-name">visit_Import</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ImportFrom"></a><span class="summary-sig-name">visit_ImportFrom</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Exec"></a><span class="summary-sig-name">visit_Exec</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Global"></a><span class="summary-sig-name">visit_Global</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Expr"></a><span class="summary-sig-name">visit_Expr</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Pass"></a><span class="summary-sig-name">visit_Pass</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Break"></a><span class="summary-sig-name">visit_Break</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Continue"></a><span class="summary-sig-name">visit_Continue</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="with_parens"></a><span class="summary-sig-name">with_parens</span>(<span class="summary-sig-arg">f</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_BoolOp" class="summary-sig-name">visit_BoolOp</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_BinOp" class="summary-sig-name">visit_BinOp</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_UnaryOp"></a><span class="summary-sig-name">visit_UnaryOp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Lambda" class="summary-sig-name">visit_Lambda</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_IfExp" class="summary-sig-name">visit_IfExp</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Dict"></a><span class="summary-sig-name">visit_Dict</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ListComp"></a><span class="summary-sig-name">visit_ListComp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_GeneratorExp"></a><span class="summary-sig-name">visit_GeneratorExp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Yield"></a><span class="summary-sig-name">visit_Yield</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Compare" class="summary-sig-name">visit_Compare</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Call"></a><span class="summary-sig-name">visit_Call</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Repr"></a><span class="summary-sig-name">visit_Repr</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Num"></a><span class="summary-sig-name">visit_Num</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Str"></a><span class="summary-sig-name">visit_Str</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Bytes"></a><span class="summary-sig-name">visit_Bytes</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Attribute"></a><span class="summary-sig-name">visit_Attribute</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Subscript"></a><span class="summary-sig-name">visit_Subscript</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Name"></a><span class="summary-sig-name">visit_Name</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_List"></a><span class="summary-sig-name">visit_List</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Tuple"></a><span class="summary-sig-name">visit_Tuple</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTCodeGenerator-class.html#bool_operators" class="summary-name">bool_operators</a> = <code title="{&lt;class '_ast.And'&gt;: 'and', &lt;class '_ast.Or'&gt;: 'or'}"><code class="variable-group">{</code>&lt;class '_ast.And'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">and</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class '_ast.Or'&gt;<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTCodeGenerator-class.html#binary_operators" class="summary-name">binary_operators</a> = <code title="{&lt;class '_ast.Add'&gt;: '+',
- &lt;class '_ast.Sub'&gt;: '-',
- &lt;class '_ast.Mult'&gt;: '*',
- &lt;class '_ast.Div'&gt;: '/',
- &lt;class '_ast.Mod'&gt;: '%',
- &lt;class '_ast.Pow'&gt;: '**',
- &lt;class '_ast.LShift'&gt;: '&lt;&lt;',
- &lt;class '_ast.RShift'&gt;: '&gt;&gt;',
-..."><code class="variable-group">{</code>&lt;class '_ast.Add'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">+</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class '_ast.Sub'<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTCodeGenerator-class.html#unary_operators" class="summary-name">unary_operators</a> = <code title="{&lt;class '_ast.Invert'&gt;: '~',
- &lt;class '_ast.Not'&gt;: 'not',
- &lt;class '_ast.UAdd'&gt;: '+',
- &lt;class '_ast.USub'&gt;: '-'}"><code class="variable-group">{</code>&lt;class '_ast.Invert'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">~</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class '_ast.No<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTCodeGenerator-class.html#comparision_operators" class="summary-name">comparision_operators</a> = <code title="{&lt;class '_ast.NotIn'&gt;: 'not in',
- &lt;class '_ast.Eq'&gt;: '==',
- &lt;class '_ast.NotEq'&gt;: '!=',
- &lt;class '_ast.Lt'&gt;: '&lt;',
- &lt;class '_ast.LtE'&gt;: '&lt;=',
- &lt;class '_ast.Gt'&gt;: '&gt;',
- &lt;class '_ast.GtE'&gt;: '&gt;=',
- &lt;class '_ast.Is'&gt;: 'is',
-..."><code class="variable-group">{</code>&lt;class '_ast.NotIn'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not in</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;clas<code class="variable-ellipsis">...</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">tree</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="visit_BoolOp"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">visit_BoolOp</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Decorators:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code>@with_parens</code></li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="visit_BinOp"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">visit_BinOp</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Decorators:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code>@with_parens</code></li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="visit_Lambda"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">visit_Lambda</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Decorators:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code>@with_parens</code></li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="visit_IfExp"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">visit_IfExp</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Decorators:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code>@with_parens</code></li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="visit_Compare"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">visit_Compare</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">node</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Decorators:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code>@with_parens</code></li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="bool_operators"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">bool_operators</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">{</code>&lt;class '_ast.And'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">and</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class '_ast.Or'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">or</code><code class="variable-quote">'</code><code class="variable-group">}</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="binary_operators"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">binary_operators</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">{</code>&lt;class '_ast.Add'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">+</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Sub'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">-</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Mult'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">*</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Div'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">/</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Mod'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">%</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Pow'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">**</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.LShift'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&lt;&lt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.RShift'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&gt;&gt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="unary_operators"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">unary_operators</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">{</code>&lt;class '_ast.Invert'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">~</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Not'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.UAdd'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">+</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.USub'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">-</code><code class="variable-quote">'</code><code class="variable-group">}</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="comparision_operators"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">comparision_operators</h3>
-  
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">{</code>&lt;class '_ast.NotIn'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">not in</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Eq'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">==</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.NotEq'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">!=</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Lt'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&lt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.LtE'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&lt;=</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Gt'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&gt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.GtE'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">&gt;=</code><code class="variable-quote">'</code><code class="variable-op">,</code>
- &lt;class '_ast.Is'&gt;<code class="variable-op">: </code><code class="variable-quote">'</code><code class="variable-string">is</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.astutil.ASTTransformer-class.html 0.7.1-2/doc/api/genshi.template.astutil.ASTTransformer-class.html
--- 0.7-6/doc/api/genshi.template.astutil.ASTTransformer-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.astutil.ASTTransformer-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,1055 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.astutil.ASTTransformer</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.astutil-module.html">Module&nbsp;astutil</a> ::
-        Class&nbsp;ASTTransformer
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ASTTransformer</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">ASTTransformer</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li class="private">eval.TemplateASTTransformer</li>  </ul>
-</dd></dl>
-
-<hr />
-<p>General purpose base class for AST transformations.</p>
-<p>Every visitor method can be overridden to return an AST node that has been
-altered or replaced in some way.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit"></a><span class="summary-sig-name">visit</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Module"></a><span class="summary-sig-name">visit_Module</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Interactive"></a><span class="summary-sig-name">visit_Interactive</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Expression"></a><span class="summary-sig-name">visit_Expression</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Suite"></a><span class="summary-sig-name">visit_Suite</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_FunctionDef"></a><span class="summary-sig-name">visit_FunctionDef</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ClassDef"></a><span class="summary-sig-name">visit_ClassDef</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Return"></a><span class="summary-sig-name">visit_Return</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Delete"></a><span class="summary-sig-name">visit_Delete</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Assign"></a><span class="summary-sig-name">visit_Assign</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_AugAssign"></a><span class="summary-sig-name">visit_AugAssign</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Print"></a><span class="summary-sig-name">visit_Print</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_For"></a><span class="summary-sig-name">visit_For</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_While"></a><span class="summary-sig-name">visit_While</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_If"></a><span class="summary-sig-name">visit_If</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_With"></a><span class="summary-sig-name">visit_With</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Raise"></a><span class="summary-sig-name">visit_Raise</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_TryExcept"></a><span class="summary-sig-name">visit_TryExcept</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_TryFinally"></a><span class="summary-sig-name">visit_TryFinally</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Try"></a><span class="summary-sig-name">visit_Try</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Assert"></a><span class="summary-sig-name">visit_Assert</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ExceptHandler"></a><span class="summary-sig-name">visit_ExceptHandler</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Import"></a><span class="summary-sig-name">visit_Import</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ImportFrom"></a><span class="summary-sig-name">visit_ImportFrom</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Exec"></a><span class="summary-sig-name">visit_Exec</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Global"></a><span class="summary-sig-name">visit_Global</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Expr"></a><span class="summary-sig-name">visit_Expr</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_BoolOp"></a><span class="summary-sig-name">visit_BoolOp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_BinOp"></a><span class="summary-sig-name">visit_BinOp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_UnaryOp"></a><span class="summary-sig-name">visit_UnaryOp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Lambda"></a><span class="summary-sig-name">visit_Lambda</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_IfExp"></a><span class="summary-sig-name">visit_IfExp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Dict"></a><span class="summary-sig-name">visit_Dict</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ListComp"></a><span class="summary-sig-name">visit_ListComp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_GeneratorExp"></a><span class="summary-sig-name">visit_GeneratorExp</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Yield"></a><span class="summary-sig-name">visit_Yield</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Compare"></a><span class="summary-sig-name">visit_Compare</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Call"></a><span class="summary-sig-name">visit_Call</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Repr"></a><span class="summary-sig-name">visit_Repr</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Attribute"></a><span class="summary-sig-name">visit_Attribute</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Subscript"></a><span class="summary-sig-name">visit_Subscript</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Name"></a><span class="summary-sig-name">visit_Name</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_List"></a><span class="summary-sig-name">visit_List</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Tuple"></a><span class="summary-sig-name">visit_Tuple</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_comprehension"></a><span class="summary-sig-name">visit_comprehension</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_excepthandler"></a><span class="summary-sig-name">visit_excepthandler</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_arguments"></a><span class="summary-sig-name">visit_arguments</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_keyword"></a><span class="summary-sig-name">visit_keyword</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_alias"></a><span class="summary-sig-name">visit_alias</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Slice"></a><span class="summary-sig-name">visit_Slice</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_ExtSlice"></a><span class="summary-sig-name">visit_ExtSlice</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="visit_Index"></a><span class="summary-sig-name">visit_Index</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">node</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.astutil-module.html 0.7.1-2/doc/api/genshi.template.astutil-module.html
--- 0.7-6/doc/api/genshi.template.astutil-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.astutil-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,178 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.astutil</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;astutil
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module astutil</h1><p class="nomargin-top"></p>
-Support classes for generating code from abstract syntax trees.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTCodeGenerator-class.html" class="summary-name">ASTCodeGenerator</a><br />
-      General purpose base class for AST transformations.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.astutil.ASTTransformer-class.html" class="summary-name">ASTTransformer</a><br />
-      General purpose base class for AST transformations.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="parse"></a><span class="summary-sig-name">parse</span>(<span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">mode</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi.template'"><code class="variable-quote">'</code><code class="variable-string">genshi.template</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.BadDirectiveError-class.html 0.7.1-2/doc/api/genshi.template.base.BadDirectiveError-class.html
--- 0.7-6/doc/api/genshi.template.base.BadDirectiveError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.BadDirectiveError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,267 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.BadDirectiveError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;BadDirectiveError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class BadDirectiveError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+                
-                       |                
-exceptions.BaseException --+            
-                           |            
-        exceptions.Exception --+        
-                               |        
-                   <a href="genshi.template.base.TemplateError-class.html">TemplateError</a> --+    
-                                   |    
-                 <a href="genshi.template.base.TemplateSyntaxError-class.html">TemplateSyntaxError</a> --+
-                                       |
-                                      <strong class="uidshort">BadDirectiveError</strong>
-</pre>
-
-<hr />
-<p>Exception raised when an unknown directive is encountered when parsing
-a template.</p>
-<p>An unknown directive is any attribute using the namespace for directives,
-with a local name that doesn't match any registered directive.</p>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.BadDirectiveError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      Create the exception</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#filename">filename</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#lineno">lineno</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#msg">msg</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#offset">offset</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the exception
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the directive</li>
-        <li><strong class="pname"><code>filename</code></strong> - the filename of the template</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of line in the template at which the error
-occurred</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.Context-class.html 0.7.1-2/doc/api/genshi.template.base.Context-class.html
--- 0.7-6/doc/api/genshi.template.base.Context-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.Context-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,759 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.Context</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;Context
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Context</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Context</strong>
-</pre>
-
-<hr />
-<p>Container for template input data.</p>
-<p>A context provides a stack of scopes (represented by dictionaries).</p>
-<p>Template directives such as loops can push a new scope on the stack with
-data that should only be available inside the loop. When the loop
-terminates, that scope can get popped off the stack again.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>ctxt = Context(one=<span class="py-string">'foo'</span>, other=1)
-<span class="py-prompt">&gt;&gt;&gt; </span>ctxt.get(<span class="py-string">'one'</span>)
-<span class="py-output">'foo'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>ctxt.get(<span class="py-string">'other'</span>)
-<span class="py-output">1</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>ctxt.push(dict(one=<span class="py-string">'frost'</span>))
-<span class="py-prompt">&gt;&gt;&gt; </span>ctxt.get(<span class="py-string">'one'</span>)
-<span class="py-output">'frost'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>ctxt.get(<span class="py-string">'other'</span>)
-<span class="py-output">1</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>ctxt.pop()
-<span class="py-output">{'one': 'frost'}</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>ctxt.get(<span class="py-string">'one'</span>)
-<span class="py-output">'foo'</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">**data</span>)</span><br />
-      Initialize the template context with the given keyword arguments as
-data.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__contains__" class="summary-sig-name">__contains__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span><br />
-      Return whether a variable exists in any of the scopes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#has_key" class="summary-sig-name">has_key</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span><br />
-      Return whether a variable exists in any of the scopes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__delitem__" class="summary-sig-name">__delitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span><br />
-      Remove a variable from all scopes.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__getitem__" class="summary-sig-name">__getitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span><br />
-      Get a variables's value, starting at the current scope and going
-upward.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__len__" class="summary-sig-name">__len__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return the number of distinctly named variables in the context.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#__setitem__" class="summary-sig-name">__setitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>,
-        <span class="summary-sig-arg">value</span>)</span><br />
-      Set a variable in the current scope.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#get" class="summary-sig-name">get</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>,
-        <span class="summary-sig-arg">default</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Get a variable's value, starting at the current scope and going
-upward.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#keys" class="summary-sig-name">keys</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return the name of all variables in the context.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#items" class="summary-sig-name">items</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      Return a list of <tt class="rst-docutils literal">(name, value)</tt> tuples for all variables in the
-context.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="update"></a><span class="summary-sig-name">update</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">mapping</span>)</span><br />
-      Update the context from the mapping provided.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Context-class.html#push" class="summary-sig-name">push</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">data</span>)</span><br />
-      Push a new scope on the stack.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="pop"></a><span class="summary-sig-name">pop</span>(<span class="summary-sig-arg">self</span>)</span><br />
-      Pop the top-most scope from the stack.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="copy"></a><span class="summary-sig-name">copy</span>(<span class="summary-sig-arg">self</span>)</span><br />
-      Create a copy of this Context object.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">**data</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the template context with the given keyword arguments as
-data.
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__contains__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__contains__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-    <br /><em class="fname">(In operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return whether a variable exists in any of the scopes.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="has_key"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">has_key</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return whether a variable exists in any of the scopes.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__delitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__delitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-    <br /><em class="fname">(Index deletion operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Remove a variable from all scopes.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-    <br /><em class="fname">(Indexing operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Get a variables's value, starting at the current scope and going
-upward.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the variable value</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'>KeyError</strong></code> - if the requested variable wasn't found in any scope</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__len__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__len__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Length operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return the number of distinctly named variables in the context.
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>the number of variables in the context</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__setitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__setitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>,
-        <span class="sig-arg">value</span>)</span>
-    <br /><em class="fname">(Index assignment operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Set a variable in the current scope.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-        <li><strong class="pname"><code>value</code></strong> - the variable value</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="get"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>,
-        <span class="sig-arg">default</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Get a variable's value, starting at the current scope and going
-upward.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-        <li><strong class="pname"><code>default</code></strong> - the default value to return when the variable is not
-found</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="keys"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">keys</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return the name of all variables in the context.
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>a list of variable names</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="items"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">items</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return a list of <tt class="rst-rst-docutils literal rst-docutils literal">(name, value)</tt> tuples for all variables in the
-context.
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>a list of variables</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="push"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">push</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">data</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Push a new scope on the stack.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>data</code></strong> - the data dictionary to push on the context stack.</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.DirectiveFactory-class.html 0.7.1-2/doc/api/genshi.template.base.DirectiveFactory-class.html
--- 0.7-6/doc/api/genshi.template.base.DirectiveFactory-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.DirectiveFactory-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,313 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.DirectiveFactory</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;DirectiveFactory
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class DirectiveFactory</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">DirectiveFactory</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.base.Template-class.html">Template</a></li><li>, <a href="genshi.filters.i18n.Translator-class.html">filters.i18n.Translator</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Base for classes that provide a set of template directives.
-
-<hr />
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.6
-      </p>
-</div><!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.DirectiveFactoryMeta-class.html" class="summary-name">__metaclass__</a><br />
-      Meta class for directive factories.
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.DirectiveFactory-class.html#get_directive" class="summary-sig-name">get_directive</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>)</span><br />
-      Return the directive class for the given name.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index" class="summary-sig-name">get_directive_index</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">dir_cls</span>)</span><br />
-      Return a key for the given directive class that should be used to
-sort it among other directives on the same <a href="genshi.template.base-module.html#SUB" class="link" onclick="show_private();">SUB</a> event.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="directives"></a><span class="summary-name">directives</span> = <code title="[]"><code class="variable-group">[</code><code class="variable-group">]</code></code><br />
-      A list of <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="get_directive"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_directive</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return the directive class for the given name.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the directive name as used in the template</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the directive class</dd>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        Directive
-      </p>
-</div></td></tr></table>
-</div>
-<a name="get_directive_index"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_directive_index</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">dir_cls</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a key for the given directive class that should be used to
-sort it among other directives on the same <a href="genshi.template.base-module.html#SUB" class="link" onclick="show_private();">SUB</a> event.</p>
-<p>The default implementation simply returns the index of the directive in
-the <a href="genshi.template.base.DirectiveFactory-class.html#directives" class="link">directives</a> list.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>dir_cls</code></strong> - the directive class</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the sort key</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.DirectiveFactoryMeta-class.html 0.7.1-2/doc/api/genshi.template.base.DirectiveFactoryMeta-class.html
--- 0.7-6/doc/api/genshi.template.base.DirectiveFactoryMeta-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.DirectiveFactoryMeta-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,255 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.DirectiveFactoryMeta</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;DirectiveFactoryMeta
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== TYPE DESCRIPTION ==================== -->
-<h1 class="epydoc">Type DirectiveFactoryMeta</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-      type --+
-             |
-            <strong class="uidshort">DirectiveFactoryMeta</strong>
-</pre>
-
-<hr />
-Meta class for directive factories.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>type</code></b>:
-      <code>__call__</code>,
-      <code>__delattr__</code>,
-      <code>__eq__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__gt__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__instancecheck__</code>,
-      <code>__le__</code>,
-      <code>__lt__</code>,
-      <code>__ne__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__subclasscheck__</code>,
-      <code>__subclasses__</code>,
-      <code>mro</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== STATIC METHODS ==================== -->
-<a name="section-StaticMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Static Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">a new object with type S, a subtype of T</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.DirectiveFactoryMeta-class.html#__new__" class="summary-sig-name">__new__</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">bases</span>,
-        <span class="summary-sig-arg">d</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>type</code></b>:
-      <code>__abstractmethods__</code>,
-      <code>__base__</code>,
-      <code>__bases__</code>,
-      <code>__basicsize__</code>,
-      <code>__dictoffset__</code>,
-      <code>__flags__</code>,
-      <code>__itemsize__</code>,
-      <code>__mro__</code>,
-      <code>__name__</code>,
-      <code>__weakrefoffset__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__new__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__new__</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">bases</span>,
-        <span class="sig-arg">d</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Returns: a new object with type S, a subtype of T</dt>
-    <dt>Overrides:
-        object.__new__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base-module.html 0.7.1-2/doc/api/genshi.template.base-module.html
--- 0.7-6/doc/api/genshi.template.base-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,179 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;base
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module base</h1><p class="nomargin-top"></p>
-Basic templating functionality.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.TemplateError-class.html" class="summary-name">TemplateError</a><br />
-      Base exception class for errors related to template processing.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.TemplateSyntaxError-class.html" class="summary-name">TemplateSyntaxError</a><br />
-      Exception raised when an expression in a template causes a Python syntax
-error, or the template is not well-formed.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.BadDirectiveError-class.html" class="summary-name">BadDirectiveError</a><br />
-      Exception raised when an unknown directive is encountered when parsing
-a template.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.TemplateRuntimeError-class.html" class="summary-name">TemplateRuntimeError</a><br />
-      Exception raised when an the evaluation of a Python expression in a
-template causes an error.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.Context-class.html" class="summary-name">Context</a><br />
-      Container for template input data.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.DirectiveFactory-class.html" class="summary-name">DirectiveFactory</a><br />
-      Base for classes that provide a set of template directives.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.Template-class.html" class="summary-name">Template</a><br />
-      Abstract template base class.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.Template-class.html 0.7.1-2/doc/api/genshi.template.base.Template-class.html
--- 0.7-6/doc/api/genshi.template.base.Template-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.Template-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,485 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.Template</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;Template
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Template</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-      object --+    
-               |    
-<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a> --+
-                   |
-                  <strong class="uidshort">Template</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.text.NewTextTemplate-class.html">text.NewTextTemplate</a></li><li>, <a href="genshi.template.text.OldTextTemplate-class.html">text.OldTextTemplate</a></li><li>, <a href="genshi.template.markup.MarkupTemplate-class.html">markup.MarkupTemplate</a></li>  </ul>
-</dd></dl>
-
-<hr />
-<p>Abstract template base class.</p>
-<p>This class implements most of the template processing model, but does not
-specify the syntax of templates.</p>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactoryMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Template-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filepath</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">loader</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">allow_exec</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getstate__"></a><span class="summary-sig-name">__getstate__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__setstate__"></a><span class="summary-sig-name">__setstate__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">state</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Template-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.Template-class.html#generate" class="summary-sig-name">generate</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Apply the template to the given context data.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive</a></code>,
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">get_directive_index</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="EXEC"></a><span class="summary-name">EXEC</span> = <code title="'EXEC'">'EXEC'</code><br />
-      Stream event kind representing a Python code suite to execute.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="EXPR"></a><span class="summary-name">EXPR</span> = <code title="'EXPR'">'EXPR'</code><br />
-      Stream event kind representing a Python expression.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="INCLUDE"></a><span class="summary-name">INCLUDE</span> = <code title="'INCLUDE'">'INCLUDE'</code><br />
-      Stream event kind representing the inclusion of another template.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="SUB"></a><span class="summary-name">SUB</span> = <code title="'SUB'">'SUB'</code><br />
-      Stream event kind representing a nested stream to which one or more
-directives should be applied.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="serializer"></a><span class="summary-name">serializer</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#directives">directives</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.base.Template-class.html#stream" class="summary-name">stream</a>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filepath</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">loader</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">allow_exec</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - a string, file-like object, or markup stream to read the
-template from</li>
-        <li><strong class="pname"><code>filepath</code></strong> - the absolute path to the template file</li>
-        <li><strong class="pname"><code>filename</code></strong> - the path to the template file relative to the search
-path</li>
-        <li><strong class="pname"><code>loader</code></strong> - the <a href="genshi.template.loader.TemplateLoader-class.html" class="link">TemplateLoader</a> to use for loading included
-templates</li>
-        <li><strong class="pname"><code>encoding</code></strong> - the encoding of the <code class="link">source</code></li>
-        <li><strong class="pname"><code>lookup</code></strong> - the variable lookup mechanism; either &quot;strict&quot; (the
-default), &quot;lenient&quot;, or a custom lookup class</li>
-        <li><strong class="pname"><code>allow_exec</code></strong> - whether Python code blocks in templates should be
-allowed</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>Note:</strong>
-        Changed in 0.5: Added the <code class="link">allow_exec</code> argument
-      </p>
-</div></td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="generate"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">generate</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">*args</span>,
-        <span class="sig-arg">**kwargs</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Apply the template to the given context data.</p>
-<p>Any keyword arguments are made available to the template as context
-data.</p>
-<p>Only one positional argument is accepted: if it is provided, it must be
-an instance of the <a href="genshi.template.base.Context-class.html" class="link">Context</a> class, and keyword arguments are ignored.
-This calling style is used for internal processing.</p>
-  <dl class="fields">
-    <dt>Returns:</dt>
-        <dd>a markup event stream representing the result of applying
-the template to the context data.</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== PROPERTY DETAILS ==================== -->
-<a name="section-PropertyDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Property Details</span></td>
-</tr>
-</table>
-<a name="stream"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">stream</h3>
-  
-  <dl class="fields">
-    <dt>Get Method:</dt>
-    <dd class="value"><span class="summary-sig"><i>unreachable</i>.stream(<span class="summary-sig-arg">self</span>)</span>
-    </dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.TemplateError-class.html 0.7.1-2/doc/api/genshi.template.base.TemplateError-class.html
--- 0.7-6/doc/api/genshi.template.base.TemplateError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.TemplateError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,291 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.TemplateError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;TemplateError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TemplateError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+        
-                       |        
-exceptions.BaseException --+    
-                           |    
-        exceptions.Exception --+
-                               |
-                              <strong class="uidshort">TemplateError</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.loader.TemplateNotFound-class.html">loader.TemplateNotFound</a></li><li>, <a href="genshi.template.base.TemplateRuntimeError-class.html">TemplateRuntimeError</a></li><li>, <a href="genshi.template.base.TemplateSyntaxError-class.html">TemplateSyntaxError</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Base exception class for errors related to template processing.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.TemplateError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">message</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      Create the exception.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="msg"></a><span class="summary-name">msg</span><br />
-      the error message string
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="filename"></a><span class="summary-name">filename</span><br />
-      the name of the template file
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="lineno"></a><span class="summary-name">lineno</span><br />
-      the number of the line containing the error
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="offset"></a><span class="summary-name">offset</span><br />
-      the offset on the line
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">message</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the exception.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>message</code></strong> - the error message</li>
-        <li><strong class="pname"><code>filename</code></strong> - the filename of the template</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of line in the template at which the error
-occurred</li>
-        <li><strong class="pname"><code>offset</code></strong> - the column number at which the error occurred</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.TemplateRuntimeError-class.html 0.7.1-2/doc/api/genshi.template.base.TemplateRuntimeError-class.html
--- 0.7-6/doc/api/genshi.template.base.TemplateRuntimeError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.TemplateRuntimeError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,209 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.TemplateRuntimeError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;TemplateRuntimeError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TemplateRuntimeError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+            
-                       |            
-exceptions.BaseException --+        
-                           |        
-        exceptions.Exception --+    
-                               |    
-                   <a href="genshi.template.base.TemplateError-class.html">TemplateError</a> --+
-                                   |
-                                  <strong class="uidshort">TemplateRuntimeError</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.eval.UndefinedError-class.html">eval.UndefinedError</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Exception raised when an the evaluation of a Python expression in a
-template causes an error.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#__init__">__init__</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#filename">filename</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#lineno">lineno</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#msg">msg</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#offset">offset</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.base.TemplateSyntaxError-class.html 0.7.1-2/doc/api/genshi.template.base.TemplateSyntaxError-class.html
--- 0.7-6/doc/api/genshi.template.base.TemplateSyntaxError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.base.TemplateSyntaxError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,272 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.base.TemplateSyntaxError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.base-module.html">Module&nbsp;base</a> ::
-        Class&nbsp;TemplateSyntaxError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TemplateSyntaxError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+            
-                       |            
-exceptions.BaseException --+        
-                           |        
-        exceptions.Exception --+    
-                               |    
-                   <a href="genshi.template.base.TemplateError-class.html">TemplateError</a> --+
-                                   |
-                                  <strong class="uidshort">TemplateSyntaxError</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.base.BadDirectiveError-class.html">BadDirectiveError</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Exception raised when an expression in a template causes a Python syntax
-error, or the template is not well-formed.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.base.TemplateSyntaxError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">message</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      Create the exception</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#filename">filename</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#lineno">lineno</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#msg">msg</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#offset">offset</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">message</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the exception
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>message</code></strong> - the error message</li>
-        <li><strong class="pname"><code>filename</code></strong> - the filename of the template</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of line in the template at which the error
-occurred</li>
-        <li><strong class="pname"><code>offset</code></strong> - the column number at which the error occurred</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.AttrsDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.AttrsDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.AttrsDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.AttrsDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,309 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.AttrsDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;AttrsDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AttrsDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">AttrsDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:attrs</tt> template directive.</p>
-<p>The value of the <tt class="rst-docutils literal">py:attrs</tt> attribute should be a dictionary or a sequence
-of <tt class="rst-docutils literal">(name, value)</tt> tuples. The items in that dictionary or sequence are
-added as attributes to the element:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;ul xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;li py:attrs=&quot;foo&quot;&gt;Bar&lt;/li&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/ul&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(foo={<span class="py-string">'class'</span>: <span class="py-string">'collapse'</span>}))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li class=&quot;collapse&quot;&gt;Bar&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(foo=[(<span class="py-string">'class'</span>, <span class="py-string">'collapse'</span>)]))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li class=&quot;collapse&quot;&gt;Bar&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span></pre>
-<p>If the value evaluates to <tt class="rst-docutils literal">None</tt> (or any other non-truth value), no
-attributes are added:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(foo=None))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li&gt;Bar&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.AttrsDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>attach</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'attrs'"><code class="variable-quote">'</code><code class="variable-string">attrs</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.ChooseDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.ChooseDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.ChooseDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.ChooseDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,394 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.ChooseDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;ChooseDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ChooseDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">ChooseDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive for conditionally selecting
-one of several body elements to display.</p>
-<p>If the <tt class="rst-docutils literal">py:choose</tt> expression is empty the expressions of nested
-<tt class="rst-docutils literal">py:when</tt> directives are tested for truth.  The first true <tt class="rst-docutils literal">py:when</tt>
-body is output. If no <tt class="rst-docutils literal">py:when</tt> directive is matched then the fallback
-directive <tt class="rst-docutils literal">py:otherwise</tt> will be used.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;</span>
-<span class="py-more">... </span><span class="py-string">  py:choose=&quot;&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:when=&quot;0 == 1&quot;&gt;0&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:when=&quot;1 == 1&quot;&gt;1&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:otherwise=&quot;&quot;&gt;2&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate())
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;span&gt;1&lt;/span&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-<p>If the <tt class="rst-docutils literal">py:choose</tt> directive contains an expression, the nested
-<tt class="rst-docutils literal">py:when</tt> directives are tested for equality to the <tt class="rst-docutils literal">py:choose</tt>
-expression:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;</span>
-<span class="py-more">... </span><span class="py-string">  py:choose=&quot;2&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:when=&quot;1&quot;&gt;1&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:when=&quot;2&quot;&gt;2&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate())
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;span&gt;2&lt;/span&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-<p>Behavior is undefined if a <tt class="rst-docutils literal">py:choose</tt> block contains content outside a
-<tt class="rst-docutils literal">py:when</tt> or <tt class="rst-docutils literal">py:otherwise</tt> block.  Behavior is also undefined if a
-<tt class="rst-docutils literal">py:otherwise</tt> occurs before <tt class="rst-docutils literal">py:when</tt> blocks.</p>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ChooseDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ChooseDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'choose'"><code class="variable-quote">'</code><code class="variable-string">choose</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="matched"></a><span class="summary-name">matched</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="value"></a><span class="summary-name">value</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-docutils literal">directive</tt> is not <tt class="rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.ContentDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.ContentDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.ContentDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.ContentDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,301 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.ContentDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;ContentDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ContentDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">ContentDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:content</tt> template directive.</p>
-<p>This directive replaces the content of the element with the result of
-evaluating the value of the <tt class="rst-docutils literal">py:content</tt> attribute:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;ul xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;li py:content=&quot;bar&quot;&gt;Hello&lt;/li&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/ul&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(bar=<span class="py-string">'Bye'</span>))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li&gt;Bye&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__call__</code>,
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ContentDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'content'"><code class="variable-quote">'</code><code class="variable-string">content</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.DefDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.DefDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.DefDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.DefDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,505 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.DefDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;DefDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class DefDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">DefDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:def</tt> template directive.</p>
-<p>This directive can be used to create &quot;Named Template Functions&quot;, which
-are template snippets that are not actually output during normal
-processing, but rather can be expanded from expressions in other places
-in the template.</p>
-<p>A named template function can be used just like a normal Python function
-from template expressions:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;p py:def=&quot;echo(greeting, name='world')&quot; class=&quot;message&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">    ${greeting}, ${name}!</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">  ${echo('Hi', name='you')}</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(bar=<span class="py-string">'Bye'</span>))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;p class=&quot;message&quot;&gt;</span>
-<span class="py-output">    Hi, you!</span>
-<span class="py-output">  &lt;/p&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-<p>If a function does not require parameters, the parenthesis can be omitted
-in the definition:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;p py:def=&quot;helloworld&quot; class=&quot;message&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">    Hello, world!</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/p&gt;</span>
-<span class="py-more">... </span><span class="py-string">  ${helloworld()}</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(bar=<span class="py-string">'Bye'</span>))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;p class=&quot;message&quot;&gt;</span>
-<span class="py-output">    Hello, world!</span>
-<span class="py-output">  &lt;/p&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.DefDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">args</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.DefDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.DefDirective-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.DefDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'def'"><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="args"></a><span class="summary-name">args</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="defaults"></a><span class="summary-name">defaults</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="dstar_args"></a><span class="summary-name">dstar_args</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="name"></a><span class="summary-name">name</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="star_args"></a><span class="summary-name">star_args</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">args</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.DirectiveMeta-class.html 0.7.1-2/doc/api/genshi.template.directives.DirectiveMeta-class.html
--- 0.7-6/doc/api/genshi.template.directives.DirectiveMeta-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.DirectiveMeta-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,255 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.DirectiveMeta</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;DirectiveMeta
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== TYPE DESCRIPTION ==================== -->
-<h1 class="epydoc">Type DirectiveMeta</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-      type --+
-             |
-            <strong class="uidshort">DirectiveMeta</strong>
-</pre>
-
-<hr />
-Meta class for template directives.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>type</code></b>:
-      <code>__call__</code>,
-      <code>__delattr__</code>,
-      <code>__eq__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__gt__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__instancecheck__</code>,
-      <code>__le__</code>,
-      <code>__lt__</code>,
-      <code>__ne__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__subclasscheck__</code>,
-      <code>__subclasses__</code>,
-      <code>mro</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== STATIC METHODS ==================== -->
-<a name="section-StaticMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Static Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">a new object with type S, a subtype of T</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.DirectiveMeta-class.html#__new__" class="summary-sig-name">__new__</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">bases</span>,
-        <span class="summary-sig-arg">d</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>type</code></b>:
-      <code>__abstractmethods__</code>,
-      <code>__base__</code>,
-      <code>__bases__</code>,
-      <code>__basicsize__</code>,
-      <code>__dictoffset__</code>,
-      <code>__flags__</code>,
-      <code>__itemsize__</code>,
-      <code>__mro__</code>,
-      <code>__name__</code>,
-      <code>__weakrefoffset__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__new__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__new__</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">bases</span>,
-        <span class="sig-arg">d</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Returns: a new object with type S, a subtype of T</dt>
-    <dt>Overrides:
-        object.__new__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.ForDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.ForDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.ForDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.ForDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,459 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.ForDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;ForDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ForDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">ForDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:for</tt> template directive for repeating an
-element based on an iterable in the context data.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;ul xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;li py:for=&quot;item in items&quot;&gt;${item}&lt;/li&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/ul&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(<span class="py-builtin">items</span>=[1, 2, 3]))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li&gt;1&lt;/li&gt;&lt;li&gt;2&lt;/li&gt;&lt;li&gt;3&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ForDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ForDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ForDirective-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ForDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'for'"><code class="variable-quote">'</code><code class="variable-string">for</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="assign"></a><span class="summary-name">assign</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="filename"></a><span class="summary-name">filename</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.IfDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.IfDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.IfDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.IfDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,357 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.IfDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;IfDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class IfDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">IfDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:if</tt> template directive for conditionally
-excluding elements from being output.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;b py:if=&quot;foo&quot;&gt;${bar}&lt;/b&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(foo=True, bar=<span class="py-string">'Hello'</span>))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;b&gt;Hello&lt;/b&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.IfDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.IfDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'if'"><code class="variable-quote">'</code><code class="variable-string">if</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.MatchDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.MatchDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.MatchDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.MatchDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,472 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.MatchDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;MatchDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class MatchDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">MatchDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:match</tt> template directive.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:match=&quot;greeting&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">    Hello ${select('@name')}</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;greeting name=&quot;Dude&quot; /&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate())
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;span&gt;</span>
-<span class="py-output">    Hello Dude</span>
-<span class="py-output">  &lt;/span&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.MatchDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">hints</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.MatchDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.MatchDirective-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.MatchDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'match'"><code class="variable-quote">'</code><code class="variable-string">match</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="hints"></a><span class="summary-name">hints</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="namespaces"></a><span class="summary-name">namespaces</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="path"></a><span class="summary-name">path</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">hints</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives-module.html 0.7.1-2/doc/api/genshi.template.directives-module.html
--- 0.7-6/doc/api/genshi.template.directives-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,222 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;directives
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module directives</h1><p class="nomargin-top"></p>
-Implementation of the various template directives.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.AttrsDirective-class.html" class="summary-name">AttrsDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:attrs</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.ContentDirective-class.html" class="summary-name">ContentDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:content</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.DefDirective-class.html" class="summary-name">DefDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:def</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.ForDirective-class.html" class="summary-name">ForDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:for</tt> template directive for repeating an
-element based on an iterable in the context data.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.IfDirective-class.html" class="summary-name">IfDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:if</tt> template directive for conditionally
-excluding elements from being output.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.MatchDirective-class.html" class="summary-name">MatchDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:match</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.ReplaceDirective-class.html" class="summary-name">ReplaceDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:replace</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.StripDirective-class.html" class="summary-name">StripDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:strip</tt> template directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.ChooseDirective-class.html" class="summary-name">ChooseDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive for conditionally selecting
-one of several body elements to display.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.WhenDirective-class.html" class="summary-name">WhenDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:when</tt> directive for nesting in a parent with
-the <tt class="rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.OtherwiseDirective-class.html" class="summary-name">OtherwiseDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:otherwise</tt> directive for nesting in a parent
-with the <tt class="rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.directives.WithDirective-class.html" class="summary-name">WithDirective</a><br />
-      Implementation of the <tt class="rst-rst-docutils literal rst-docutils literal">py:with</tt> template directive, which allows
-shorthand access to variables and expressions.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.OtherwiseDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.OtherwiseDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.OtherwiseDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.OtherwiseDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,345 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.OtherwiseDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;OtherwiseDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class OtherwiseDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">OtherwiseDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:otherwise</tt> directive for nesting in a parent
-with the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive.</p>
-<p>See the documentation of <a href="genshi.template.directives.ChooseDirective-class.html" class="link">ChooseDirective</a> for usage.</p>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.OtherwiseDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.OtherwiseDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>attach</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'otherwise'"><code class="variable-quote">'</code><code class="variable-string">otherwise</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="filename"></a><span class="summary-name">filename</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.ReplaceDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.ReplaceDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.ReplaceDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.ReplaceDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,311 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.ReplaceDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;ReplaceDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ReplaceDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">ReplaceDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:replace</tt> template directive.</p>
-<p>This directive replaces the element with the result of evaluating the
-value of the <tt class="rst-docutils literal">py:replace</tt> attribute:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:replace=&quot;bar&quot;&gt;Hello&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(bar=<span class="py-string">'Bye'</span>))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  Bye</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-<p>This directive is equivalent to <tt class="rst-docutils literal">py:content</tt> combined with <tt class="rst-docutils literal">py:strip</tt>,
-providing a less verbose way to achieve the same effect:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:content=&quot;bar&quot; py:strip=&quot;&quot;&gt;Hello&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(bar=<span class="py-string">'Bye'</span>))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  Bye</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__call__</code>,
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.ReplaceDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'replace'"><code class="variable-quote">'</code><code class="variable-string">replace</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.StripDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.StripDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.StripDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.StripDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,311 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.StripDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;StripDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class StripDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">StripDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:strip</tt> template directive.</p>
-<p>When the value of the <tt class="rst-docutils literal">py:strip</tt> attribute evaluates to <tt class="rst-docutils literal">True</tt>, the
-element is stripped from the output</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;div py:strip=&quot;True&quot;&gt;&lt;b&gt;foo&lt;/b&gt;&lt;/div&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate())
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;b&gt;foo&lt;/b&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-<p>Leaving the attribute value empty is equivalent to a truth value.</p>
-<p>This directive is particulary interesting for named template functions or
-match templates that do not generate a top-level element:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;div py:def=&quot;echo(what)&quot; py:strip=&quot;&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">    &lt;b&gt;${what}&lt;/b&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;/div&gt;</span>
-<span class="py-more">... </span><span class="py-string">  ${echo('foo')}</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate())
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">    &lt;b&gt;foo&lt;/b&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.StripDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__init__</code>,
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>attach</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'strip'"><code class="variable-quote">'</code><code class="variable-string">strip</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.WhenDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.WhenDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.WhenDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.WhenDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,406 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.WhenDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;WhenDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class WhenDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">WhenDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:when</tt> directive for nesting in a parent with
-the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:choose</tt> directive.</p>
-<p>See the documentation of the <a href="genshi.template.directives.ChooseDirective-class.html" class="link">ChooseDirective</a> for usage.</p>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WhenDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WhenDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>__repr__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WhenDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'when'"><code class="variable-quote">'</code><code class="variable-string">when</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="filename"></a><span class="summary-name">filename</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.directives.WithDirective-class.html 0.7.1-2/doc/api/genshi.template.directives.WithDirective-class.html
--- 0.7-6/doc/api/genshi.template.directives.WithDirective-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.directives.WithDirective-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,452 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.directives.WithDirective</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.directives-module.html">Module&nbsp;directives</a> ::
-        Class&nbsp;WithDirective
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class WithDirective</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
- Directive --+
-             |
-            <strong class="uidshort">WithDirective</strong>
-</pre>
-
-<hr />
-<p>Implementation of the <tt class="rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">py:with</tt> template directive, which allows
-shorthand access to variables and expressions.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;div xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;span py:with=&quot;y=7; z=x+10&quot;&gt;$x $y $z&lt;/span&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/div&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(x=42))
-<span class="py-output">&lt;div&gt;</span>
-<span class="py-output">  &lt;span&gt;42 7 52&lt;/span&gt;</span>
-<span class="py-output">&lt;/div&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code><a href="genshi.template.directives.DirectiveMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WithDirective-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">-1</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WithDirective-class.html#__call__" class="summary-sig-name">__call__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">directives</span>,
-        <span class="summary-sig-arg">ctxt</span>,
-        <span class="summary-sig-arg">**vars</span>)</span><br />
-      Apply the directive to the given stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WithDirective-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.directives.WithDirective-class.html#attach" class="summary-sig-name">attach</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">template</span>,
-        <span class="summary-sig-arg">stream</span>,
-        <span class="summary-sig-arg">value</span>,
-        <span class="summary-sig-arg">namespaces</span>,
-        <span class="summary-sig-arg">pos</span>)</span><br />
-      Called after the template stream has been completely parsed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="tagname"></a><span class="summary-name">tagname</span> = <code title="'with'"><code class="variable-quote">'</code><code class="variable-string">with</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="vars"></a><span class="summary-name">vars</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>Directive</code></b>:
-      <code>expr</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">-1</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="attach"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">attach</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">template</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">value</span>,
-        <span class="sig-arg">namespaces</span>,
-        <span class="sig-arg">pos</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Called after the template stream has been completely parsed.</p>
-<p>This class method should return a <tt class="rst-rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(directive, stream)</tt> tuple. If
-<tt class="rst-rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">directive</tt> is not <tt class="rst-rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">None</tt>, it should be an instance of the Directive
-class, and gets added to the list of directives applied to the substream
-at runtime. <code class="link">stream</code> is an event stream that replaces the original
-stream associated with the directive.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>template</code></strong> - the <a href="genshi.template.base.Template-class.html" class="link">Template</a> object</li>
-        <li><strong class="pname"><code>stream</code></strong> - the event stream associated with the directive</li>
-        <li><strong class="pname"><code>value</code></strong> - the argument value for the directive; if the directive was
-specified as an element, this will be an <a href="genshi.core.Attrs-class.html" class="link">Attrs</a> instance
-with all specified attributes, otherwise it will be a
-<code class="link">unicode</code> object with just the attribute value</li>
-        <li><strong class="pname"><code>namespaces</code></strong> - a mapping of namespace URIs to prefixes</li>
-        <li><strong class="pname"><code>pos</code></strong> - a <tt class="rst-rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(filename, lineno, offset)</tt> tuple describing the
-location where the directive was found in the source</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.attach
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__call__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__call__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">stream</span>,
-        <span class="sig-arg">directives</span>,
-        <span class="sig-arg">ctxt</span>,
-        <span class="sig-arg">**vars</span>)</span>
-    <br /><em class="fname">(Call operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Apply the directive to the given stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>stream</code></strong> - the event stream</li>
-        <li><strong class="pname"><code>directives</code></strong> - a list of the remaining directives that should
-process the stream</li>
-        <li><strong class="pname"><code>ctxt</code></strong> - the context data</li>
-        <li><strong class="pname"><code>vars</code></strong> - additional variables that should be made available when
-Python code is executed</li>
-    </ul></dd>
-    <dt>Overrides:
-        Directive.__call__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.Code-class.html 0.7.1-2/doc/api/genshi.template.eval.Code-class.html
--- 0.7-6/doc/api/genshi.template.eval.Code-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.Code-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,410 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.Code</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;Code
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Code</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Code</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.eval.Expression-class.html">Expression</a></li><li>, <a href="genshi.template.eval.Suite-class.html">Suite</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Abstract base class for the <a href="genshi.template.eval.Expression-class.html" class="link">Expression</a> and <a href="genshi.template.eval.Suite-class.html" class="link">Suite</a> classes.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Code-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">xform</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Create the code object, either from a string, or from an AST node.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getstate__"></a><span class="summary-sig-name">__getstate__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__setstate__"></a><span class="summary-sig-name">__setstate__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">state</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__eq__"></a><span class="summary-sig-name">__eq__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Code-class.html#__hash__" class="summary-sig-name">__hash__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      hash(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__ne__"></a><span class="summary-sig-name">__ne__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">other</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Code-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="ast"></a><span class="summary-name">ast</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="code"></a><span class="summary-name">code</span>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="source"></a><span class="summary-name">source</span>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">xform</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the code object, either from a string, or from an AST node.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - either a string containing the source code, or an AST
-node</li>
-        <li><strong class="pname"><code>filename</code></strong> - the (preferably absolute) name of the file containing
-the code</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of the line on which the code was found</li>
-        <li><strong class="pname"><code>lookup</code></strong> - the lookup class that defines how variables are looked
-up in the context; can be either &quot;strict&quot; (the default),
-&quot;lenient&quot;, or a custom lookup class</li>
-        <li><strong class="pname"><code>xform</code></strong> - the AST transformer that should be applied to the code;
-if <code class="link">None</code>, the appropriate transformation is chosen
-depending on the mode</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__hash__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__hash__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Hashing function)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  hash(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__hash__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.Expression-class.html 0.7.1-2/doc/api/genshi.template.eval.Expression-class.html
--- 0.7-6/doc/api/genshi.template.eval.Expression-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.Expression-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,281 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.Expression</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;Expression
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Expression</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-      <a href="genshi.template.eval.Code-class.html">Code</a> --+
-             |
-            <strong class="uidshort">Expression</strong>
-</pre>
-
-<hr />
-<p>Evaluates Python expressions used in templates.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>data = dict(test=<span class="py-string">'Foo'</span>, <span class="py-builtin">items</span>=[1, 2, 3], dict={<span class="py-string">'some'</span>: <span class="py-string">'thing'</span>})
-<span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'test'</span>).evaluate(data)
-<span class="py-output">'Foo'</span></pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'items[0]'</span>).evaluate(data)
-<span class="py-output">1</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'items[-1]'</span>).evaluate(data)
-<span class="py-output">3</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'dict[&quot;some&quot;]'</span>).evaluate(data)
-<span class="py-output">'thing'</span></pre>
-<p>Similar to e.g. Javascript, expressions in templates can use the dot
-notation for attribute access to access items in mappings:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'dict.some'</span>).evaluate(data)
-<span class="py-output">'thing'</span></pre>
-<p>This also works the other way around: item access can be used to access
-any object attribute:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">class</span> <span class="py-defname">MyClass</span>(object):
-<span class="py-more">... </span>    myattr = <span class="py-string">'Bar'</span>
-<span class="py-prompt">&gt;&gt;&gt; </span>data = dict(mine=MyClass(), key=<span class="py-string">'myattr'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'mine.myattr'</span>).evaluate(data)
-<span class="py-output">'Bar'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'mine[&quot;myattr&quot;]'</span>).evaluate(data)
-<span class="py-output">'Bar'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'mine[key]'</span>).evaluate(data)
-<span class="py-output">'Bar'</span></pre>
-<p>All of the standard Python operators are available to template expressions.
-Built-in functions such as <tt class="rst-docutils literal">len()</tt> are also available in template
-expressions:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>data = dict(<span class="py-builtin">items</span>=[1, 2, 3])
-<span class="py-prompt">&gt;&gt;&gt; </span>Expression(<span class="py-string">'len(items)'</span>).evaluate(data)
-<span class="py-output">3</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Expression-class.html#evaluate" class="summary-sig-name">evaluate</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">data</span>)</span><br />
-      Evaluate the expression against the given data dictionary.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.eval.Code-class.html">Code</a></code></b>:
-      <code><a href="genshi.template.eval.Code-class.html#__eq__">__eq__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__getstate__">__getstate__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__hash__">__hash__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__init__">__init__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__ne__">__ne__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__repr__">__repr__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__setstate__">__setstate__</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="mode"></a><span class="summary-name">mode</span> = <code title="'eval'"><code class="variable-quote">'</code><code class="variable-string">eval</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.eval.Code-class.html">Code</a></code></b>:
-      <code><a href="genshi.template.eval.Code-class.html#ast">ast</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#code">code</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#source">source</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="evaluate"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">evaluate</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">data</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Evaluate the expression against the given data dictionary.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>data</code></strong> - a mapping containing the data to evaluate against</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the result of the evaluation</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.LenientLookup-class.html 0.7.1-2/doc/api/genshi.template.eval.LenientLookup-class.html
--- 0.7-6/doc/api/genshi.template.eval.LenientLookup-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.LenientLookup-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,262 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.LenientLookup</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;LenientLookup
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class LenientLookup</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-LookupBase --+
-             |
-            <strong class="uidshort">LenientLookup</strong>
-</pre>
-
-<hr />
-<p>Default variable lookup mechanism for expressions.</p>
-<p>When an undefined variable is referenced using this lookup style, the
-reference evaluates to an instance of the <a href="genshi.template.eval.Undefined-class.html" class="link">Undefined</a> class:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>expr = Expression(<span class="py-string">'nothing'</span>, lookup=<span class="py-string">'lenient'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>undef = expr.evaluate({})
-<span class="py-prompt">&gt;&gt;&gt; </span>undef
-<span class="py-output">&lt;Undefined 'nothing'&gt;</span></pre>
-<p>The same will happen when a non-existing attribute or item is accessed on
-an existing object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>expr = Expression(<span class="py-string">'something.nil'</span>, lookup=<span class="py-string">'lenient'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>expr.evaluate({<span class="py-string">'something'</span>: dict()})
-<span class="py-output">&lt;Undefined 'nil'&gt;</span></pre>
-<p>See the documentation of the <a href="genshi.template.eval.Undefined-class.html" class="link">Undefined</a> class for details on the behavior
-of such objects.</p>
-
-<hr />
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.template.eval.StrictLookup-class.html" class="link">StrictLookup</a>
-      </p>
-</div><!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.LenientLookup-class.html#undefined" class="summary-sig-name">undefined</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">key</span>,
-        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">UNDEFINED</span>)</span><br />
-      Return an <tt class="rst-docutils literal">Undefined</tt> object.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>LookupBase</code></b>:
-      <code>globals</code>,
-      <code>lookup_attr</code>,
-      <code>lookup_item</code>,
-      <code>lookup_name</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="undefined"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">undefined</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">key</span>,
-        <span class="sig-arg">owner</span>=<span class="sig-default">UNDEFINED</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Return an <tt class="rst-rst-docutils literal rst-docutils literal">Undefined</tt> object.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-        <li><strong class="pname"><code>owner</code></strong> - the owning object, if the variable is accessed as a member</li>
-    </ul></dd>
-    <dt>Overrides:
-        LookupBase.undefined
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval-module.html 0.7.1-2/doc/api/genshi.template.eval-module.html
--- 0.7-6/doc/api/genshi.template.eval-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,177 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;eval
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module eval</h1><p class="nomargin-top"></p>
-Support for &quot;safe&quot; evaluation of Python expressions.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.Code-class.html" class="summary-name">Code</a><br />
-      Abstract base class for the <a href="genshi.template.eval.Expression-class.html" class="link">Expression</a> and <a href="genshi.template.eval.Suite-class.html" class="link">Suite</a> classes.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.Expression-class.html" class="summary-name">Expression</a><br />
-      Evaluates Python expressions used in templates.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.Suite-class.html" class="summary-name">Suite</a><br />
-      Executes Python statements used in templates.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.UndefinedError-class.html" class="summary-name">UndefinedError</a><br />
-      Exception thrown when a template expression attempts to access a variable
-not defined in the context.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.Undefined-class.html" class="summary-name">Undefined</a><br />
-      Represents a reference to an undefined variable.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.LenientLookup-class.html" class="summary-name">LenientLookup</a><br />
-      Default variable lookup mechanism for expressions.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.eval.StrictLookup-class.html" class="summary-name">StrictLookup</a><br />
-      Strict variable lookup mechanism for expressions.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.StrictLookup-class.html 0.7.1-2/doc/api/genshi.template.eval.StrictLookup-class.html
--- 0.7-6/doc/api/genshi.template.eval.StrictLookup-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.StrictLookup-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,261 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.StrictLookup</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;StrictLookup
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class StrictLookup</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-LookupBase --+
-             |
-            <strong class="uidshort">StrictLookup</strong>
-</pre>
-
-<hr />
-<p>Strict variable lookup mechanism for expressions.</p>
-<p>Referencing an undefined variable using this lookup style will immediately
-raise an <tt class="rst-docutils literal">UndefinedError</tt>:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>expr = Expression(<span class="py-string">'nothing'</span>, lookup=<span class="py-string">'strict'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>try:
-<span class="py-more">... </span>    expr.evaluate({})
-<span class="py-more">... </span><span class="py-keyword">except</span> UndefinedError, e:
-<span class="py-more">... </span>    <span class="py-keyword">print</span> e.msg
-<span class="py-output">&quot;nothing&quot; not defined</span></pre>
-<p>The same happens when a non-existing attribute or item is accessed on an
-existing object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>expr = Expression(<span class="py-string">'something.nil'</span>, lookup=<span class="py-string">'strict'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>try:
-<span class="py-more">... </span>    expr.evaluate({<span class="py-string">'something'</span>: dict()})
-<span class="py-more">... </span><span class="py-keyword">except</span> UndefinedError, e:
-<span class="py-more">... </span>    <span class="py-keyword">print</span> e.msg
-<span class="py-output">{} has no member named &quot;nil&quot;</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__init__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS METHODS ==================== -->
-<a name="section-ClassMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.StrictLookup-class.html#undefined" class="summary-sig-name">undefined</a>(<span class="summary-sig-arg">cls</span>,
-        <span class="summary-sig-arg">key</span>,
-        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">UNDEFINED</span>)</span><br />
-      Raise an <tt class="rst-docutils literal">UndefinedError</tt> immediately.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>LookupBase</code></b>:
-      <code>globals</code>,
-      <code>lookup_attr</code>,
-      <code>lookup_item</code>,
-      <code>lookup_name</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="undefined"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">undefined</span>(<span class="sig-arg">cls</span>,
-        <span class="sig-arg">key</span>,
-        <span class="sig-arg">owner</span>=<span class="sig-default">UNDEFINED</span>)</span>
-    <br /><em class="fname">Class Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Raise an <tt class="rst-rst-docutils literal rst-docutils literal">UndefinedError</tt> immediately.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>key</code></strong> - the name of the variable</li>
-        <li><strong class="pname"><code>owner</code></strong> - the owning object, if the variable is accessed as a member</li>
-    </ul></dd>
-    <dt>Overrides:
-        LookupBase.undefined
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.Suite-class.html 0.7.1-2/doc/api/genshi.template.eval.Suite-class.html
--- 0.7-6/doc/api/genshi.template.eval.Suite-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.Suite-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,249 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.Suite</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;Suite
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Suite</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-      <a href="genshi.template.eval.Code-class.html">Code</a> --+
-             |
-            <strong class="uidshort">Suite</strong>
-</pre>
-
-<hr />
-<p>Executes Python statements used in templates.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>data = dict(test=<span class="py-string">'Foo'</span>, <span class="py-builtin">items</span>=[1, 2, 3], dict={<span class="py-string">'some'</span>: <span class="py-string">'thing'</span>})
-<span class="py-prompt">&gt;&gt;&gt; </span>Suite(<span class="py-string">&quot;foo = dict['some']&quot;</span>).execute(data)
-<span class="py-prompt">&gt;&gt;&gt; </span>data[<span class="py-string">'foo'</span>]
-<span class="py-output">'thing'</span></pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Suite-class.html#execute" class="summary-sig-name">execute</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">data</span>)</span><br />
-      Execute the suite in the given data dictionary.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.eval.Code-class.html">Code</a></code></b>:
-      <code><a href="genshi.template.eval.Code-class.html#__eq__">__eq__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__getstate__">__getstate__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__hash__">__hash__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__init__">__init__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__ne__">__ne__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__repr__">__repr__</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#__setstate__">__setstate__</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="mode"></a><span class="summary-name">mode</span> = <code title="'exec'"><code class="variable-quote">'</code><code class="variable-string">exec</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.eval.Code-class.html">Code</a></code></b>:
-      <code><a href="genshi.template.eval.Code-class.html#ast">ast</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#code">code</a></code>,
-      <code><a href="genshi.template.eval.Code-class.html#source">source</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="execute"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">execute</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">data</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Execute the suite in the given data dictionary.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>data</code></strong> - a mapping containing the data to execute in</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.Undefined-class.html 0.7.1-2/doc/api/genshi.template.eval.Undefined-class.html
--- 0.7-6/doc/api/genshi.template.eval.Undefined-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.Undefined-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,438 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.Undefined</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;Undefined
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class Undefined</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">Undefined</strong>
-</pre>
-
-<hr />
-<p>Represents a reference to an undefined variable.</p>
-<p>Unlike the Python runtime, template expressions can refer to an undefined
-variable without causing a <code class="link">NameError</code> to be raised. The result will be an
-instance of the <a href="genshi.template.eval.Undefined-class.html" class="link">Undefined</a> class, which is treated the same as <tt class="rst-docutils literal">False</tt> in
-conditions, but raise an exception on any other operation:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>foo = Undefined(<span class="py-string">'foo'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>bool(foo)
-<span class="py-output">False</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>list(foo)
-<span class="py-output">[]</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(foo)
-<span class="py-output">undefined</span></pre>
-<p>However, calling an undefined variable, or trying to access an attribute
-of that variable, will raise an exception that includes the name used to
-reference that undefined variable.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>try:
-<span class="py-more">... </span>    foo(<span class="py-string">'bar'</span>)
-<span class="py-more">... </span><span class="py-keyword">except</span> UndefinedError, e:
-<span class="py-more">... </span>    <span class="py-keyword">print</span> e.msg
-<span class="py-output">&quot;foo&quot; not defined</span></pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>try:
-<span class="py-more">... </span>    foo.bar
-<span class="py-more">... </span><span class="py-keyword">except</span> UndefinedError, e:
-<span class="py-more">... </span>    <span class="py-keyword">print</span> e.msg
-<span class="py-output">&quot;foo&quot; not defined</span></pre>
-
-<hr />
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.template.eval.LenientLookup-class.html" class="link">LenientLookup</a>
-      </p>
-</div><!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Undefined-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">UNDEFINED</span>)</span><br />
-      Initialize the object.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__iter__"></a><span class="summary-sig-name">__iter__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__nonzero__"></a><span class="summary-sig-name">__nonzero__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Undefined-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.Undefined-class.html#__str__" class="summary-sig-name">__str__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      str(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getitem__"></a><span class="summary-sig-name">__getitem__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Raise an <a href="genshi.template.eval.UndefinedError-class.html" class="link">UndefinedError</a>.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getattr__"></a><span class="summary-sig-name">__getattr__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Raise an <a href="genshi.template.eval.UndefinedError-class.html" class="link">UndefinedError</a>.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__call__"></a><span class="summary-sig-name">__call__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">*args</span>,
-        <span class="summary-sig-arg">**kwargs</span>)</span><br />
-      Raise an <a href="genshi.template.eval.UndefinedError-class.html" class="link">UndefinedError</a>.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__length_hint__"></a><span class="summary-name">__length_hint__</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">owner</span>=<span class="sig-default">UNDEFINED</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize the object.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the reference</li>
-        <li><strong class="pname"><code>owner</code></strong> - the owning object, if the variable is accessed as a member</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__str__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__str__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Informal representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  str(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__str__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.eval.UndefinedError-class.html 0.7.1-2/doc/api/genshi.template.eval.UndefinedError-class.html
--- 0.7-6/doc/api/genshi.template.eval.UndefinedError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.eval.UndefinedError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,269 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.eval.UndefinedError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.eval-module.html">Module&nbsp;eval</a> ::
-        Class&nbsp;UndefinedError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class UndefinedError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+                
-                       |                
-exceptions.BaseException --+            
-                           |            
-        exceptions.Exception --+        
-                               |        
-              <a href="genshi.template.base.TemplateError-class.html">base.TemplateError</a> --+    
-                                   |    
-           <a href="genshi.template.base.TemplateRuntimeError-class.html">base.TemplateRuntimeError</a> --+
-                                       |
-                                      <strong class="uidshort">UndefinedError</strong>
-</pre>
-
-<hr />
-Exception thrown when a template expression attempts to access a variable
-not defined in the context.
-
-<hr />
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.template.eval.LenientLookup-class.html" class="link">LenientLookup</a>, <a href="genshi.template.eval.StrictLookup-class.html" class="link">StrictLookup</a>
-      </p>
-</div><!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.eval.UndefinedError-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">owner</span>=<span class="summary-sig-default">UNDEFINED</span>)</span><br />
-      Create the exception.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">base.TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#filename">filename</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#lineno">lineno</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#msg">msg</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#offset">offset</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">owner</span>=<span class="sig-default">UNDEFINED</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the exception.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>message</code></strong> - the error message</li>
-        <li><strong class="pname"><code>filename</code></strong> - the filename of the template</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the number of line in the template at which the error
-occurred</li>
-        <li><strong class="pname"><code>offset</code></strong> - the column number at which the error occurred</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.interpolation-module.html 0.7.1-2/doc/api/genshi.template.interpolation-module.html
--- 0.7-6/doc/api/genshi.template.interpolation-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.interpolation-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,202 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.interpolation</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;interpolation
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module interpolation</h1><p class="nomargin-top"></p>
-String interpolation routines, i.e. the splitting up a given text into some
-parts that are literal strings, and others that are Python expressions.
-
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.interpolation-module.html#interpolate" class="summary-sig-name">interpolate</a>(<span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">filepath</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lineno</span>=<span class="summary-sig-default">-1</span>,
-        <span class="summary-sig-arg">offset</span>=<span class="summary-sig-default">0</span>,
-        <span class="summary-sig-arg">lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>)</span><br />
-      Parse the given string and extract expressions.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="interpolate"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">interpolate</span>(<span class="sig-arg">text</span>,
-        <span class="sig-arg">filepath</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lineno</span>=<span class="sig-default">-1</span>,
-        <span class="sig-arg">offset</span>=<span class="sig-default">0</span>,
-        <span class="sig-arg">lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Parse the given string and extract expressions.</p>
-<p>This function is a generator that yields TEXT events for literal strings,
-and EXPR events for expressions, depending on the results of parsing the
-string.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> kind, data, pos <span class="py-keyword">in</span> interpolate(<span class="py-string">&quot;hey ${foo}bar&quot;</span>):
-<span class="py-more">... </span>    <span class="py-keyword">print</span>(<span class="py-string">'%s %r'</span> % (kind, data))
-<span class="py-output">TEXT 'hey '</span>
-<span class="py-output">EXPR Expression('foo')</span>
-<span class="py-output">TEXT 'bar'</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the text to parse</li>
-        <li><strong class="pname"><code>filepath</code></strong> - absolute path to the file in which the text was found
-(optional)</li>
-        <li><strong class="pname"><code>lineno</code></strong> - the line number at which the text was found (optional)</li>
-        <li><strong class="pname"><code>offset</code></strong> - the column number at which the text starts in the source
-(optional)</li>
-        <li><strong class="pname"><code>lookup</code></strong> - the variable lookup mechanism; either &quot;lenient&quot; (the
-default), &quot;strict&quot;, or a custom lookup class</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>a list of TEXT and EXPR events</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.template.base.TemplateSyntaxError-class.html">TemplateSyntaxError</a></strong></code> - when a syntax error in an expression is
-encountered</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.loader-module.html 0.7.1-2/doc/api/genshi.template.loader-module.html
--- 0.7-6/doc/api/genshi.template.loader-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.loader-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,298 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.loader</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;loader
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module loader</h1><p class="nomargin-top"></p>
-Template loading and caching.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.loader.TemplateNotFound-class.html" class="summary-name">TemplateNotFound</a><br />
-      Exception raised when a specific template file could not be found.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.loader.TemplateLoader-class.html" class="summary-name">TemplateLoader</a><br />
-      Responsible for loading templates from files on the specified search
-path.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader-module.html#directory" class="summary-sig-name">directory</a>(<span class="summary-sig-arg">path</span>)</span><br />
-      Loader factory for loading templates from a local directory.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader-module.html#package" class="summary-sig-name">package</a>(<span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">path</span>)</span><br />
-      Loader factory for loading templates from egg package data.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader-module.html#prefixed" class="summary-sig-name">prefixed</a>(<span class="summary-sig-arg">**delegates</span>)</span><br />
-      Factory for a load function that delegates to other loaders
-depending on the prefix of the requested template path.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="directory"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">directory</span>(<span class="sig-arg">path</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Loader factory for loading templates from a local directory.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>path</code></strong> - the path to the local directory containing the templates</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function to load templates from the given directory</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="package"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">package</span>(<span class="sig-arg">name</span>,
-        <span class="sig-arg">path</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Loader factory for loading templates from egg package data.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the package containing the resources</li>
-        <li><strong class="pname"><code>path</code></strong> - the path inside the package data</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function to load templates from the given package</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="prefixed"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">prefixed</span>(<span class="sig-arg">**delegates</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Factory for a load function that delegates to other loaders
-depending on the prefix of the requested template path.</p>
-<p>The prefix is stripped from the filename when passing on the load
-request to the delegate.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>load = prefixed(
-<span class="py-more">... </span>    app1 = <span class="py-keyword">lambda</span> filename: (<span class="py-string">'app1'</span>, filename, None, None),
-<span class="py-more">... </span>    app2 = <span class="py-keyword">lambda</span> filename: (<span class="py-string">'app2'</span>, filename, None, None)
-<span class="py-more">... </span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(load(<span class="py-string">'app1/foo.html'</span>))
-<span class="py-output">('app1', 'app1/foo.html', None, None)</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(load(<span class="py-string">'app2/bar.html'</span>))
-<span class="py-output">('app2', 'app2/bar.html', None, None)</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>delegates</code></strong> - mapping of path prefixes to loader functions</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.loader.TemplateLoader-class.html 0.7.1-2/doc/api/genshi.template.loader.TemplateLoader-class.html
--- 0.7-6/doc/api/genshi.template.loader.TemplateLoader-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.loader.TemplateLoader-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,568 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.loader.TemplateLoader</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.loader-module.html">Module&nbsp;loader</a> ::
-        Class&nbsp;TemplateLoader
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TemplateLoader</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">TemplateLoader</strong>
-</pre>
-
-<hr />
-<p>Responsible for loading templates from files on the specified search
-path.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">import</span> tempfile
-<span class="py-prompt">&gt;&gt;&gt; </span>fd, path = tempfile.mkstemp(suffix=<span class="py-string">'.html'</span>, prefix=<span class="py-string">'template'</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span>os.write(fd, u<span class="py-string">'&lt;p&gt;$var&lt;/p&gt;'</span>.encode(<span class="py-string">'utf-8'</span>))
-<span class="py-output">11</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>os.close(fd)</pre>
-<p>The template loader accepts a list of directory paths that are then used
-when searching for template files, in the given order:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>loader = TemplateLoader([os.path.dirname(path)])</pre>
-<p>The <a href="genshi.template.loader.TemplateLoader-class.html#load" class="link">load()</a> method first checks the template cache whether the requested
-template has already been loaded. If not, it attempts to locate the
-template file, and returns the corresponding <a href="genshi.template.base.Template-class.html" class="link">Template</a> object:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">from</span> genshi.template <span class="py-keyword">import</span> MarkupTemplate
-<span class="py-prompt">&gt;&gt;&gt; </span>template = loader.load(os.path.basename(path))
-<span class="py-prompt">&gt;&gt;&gt; </span>isinstance(template, MarkupTemplate)
-<span class="py-output">True</span></pre>
-<p>Template instances are cached: requesting a template with the same name
-results in the same instance being returned:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>loader.load(os.path.basename(path)) <span class="py-keyword">is</span> template
-<span class="py-output">True</span></pre>
-<p>The <a href="genshi.template.loader.TemplateLoader-class.html#auto_reload" class="link">auto_reload</a> option can be used to control whether a template should
-be automatically reloaded when the file it was loaded from has been
-changed. Disable this automatic reloading to improve performance.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>os.remove(path)</pre>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateLoader-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">search_path</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">auto_reload</span>=<span class="summary-sig-default">False</span>,
-        <span class="summary-sig-arg">default_encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">max_cache_size</span>=<span class="summary-sig-default">25</span>,
-        <span class="summary-sig-arg">default_class</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">variable_lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">allow_exec</span>=<span class="summary-sig-default">True</span>,
-        <span class="summary-sig-arg">callback</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Create the template laoder.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__getstate__"></a><span class="summary-sig-name">__getstate__</span>(<span class="summary-sig-arg">self</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="__setstate__"></a><span class="summary-sig-name">__setstate__</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">state</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateLoader-class.html#load" class="summary-sig-name">load</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">filename</span>,
-        <span class="summary-sig-arg">relative_to</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">cls</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Load the template with the given name.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== STATIC METHODS ==================== -->
-<a name="section-StaticMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Static Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateLoader-class.html#directory" class="summary-sig-name">directory</a>(<span class="summary-sig-arg">path</span>)</span><br />
-      Loader factory for loading templates from a local directory.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateLoader-class.html#package" class="summary-sig-name">package</a>(<span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">path</span>)</span><br />
-      Loader factory for loading templates from egg package data.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><tt class="rst-docutils literal">function</tt></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateLoader-class.html#prefixed" class="summary-sig-name">prefixed</a>(<span class="summary-sig-arg">**delegates</span>)</span><br />
-      Factory for a load function that delegates to other loaders
-depending on the prefix of the requested template path.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="auto_reload"></a><span class="summary-name">auto_reload</span><br />
-      Whether templates should be reloaded when the underlying file is
-changed
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">search_path</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">auto_reload</span>=<span class="sig-default">False</span>,
-        <span class="sig-arg">default_encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">max_cache_size</span>=<span class="sig-default">25</span>,
-        <span class="sig-arg">default_class</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">variable_lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">allow_exec</span>=<span class="sig-default">True</span>,
-        <span class="sig-arg">callback</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the template laoder.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>search_path</code></strong> - a list of absolute path names that should be
-searched for template files, or a string containing
-a single absolute path; alternatively, any item on
-the list may be a ''load function'' that is passed
-a filename and returns a file-like object and some
-metadata</li>
-        <li><strong class="pname"><code>auto_reload</code></strong> - whether to check the last modification time of
-template files, and reload them if they have changed</li>
-        <li><strong class="pname"><code>default_encoding</code></strong> - the default encoding to assume when loading
-templates; defaults to UTF-8</li>
-        <li><strong class="pname"><code>max_cache_size</code></strong> - the maximum number of templates to keep in the
-cache</li>
-        <li><strong class="pname"><code>default_class</code></strong> - the default <a href="genshi.template.base.Template-class.html" class="link">Template</a> subclass to use when
-instantiating templates</li>
-        <li><strong class="pname"><code>variable_lookup</code></strong> - the variable lookup mechanism; either &quot;strict&quot;
-(the default), &quot;lenient&quot;, or a custom lookup
-class</li>
-        <li><strong class="pname"><code>allow_exec</code></strong> - whether to allow Python code blocks in templates</li>
-        <li><strong class="pname"><code>callback</code></strong> - (optional) a callback function that is invoked after a
-template was initialized by this loader; the function
-is passed the template object as only argument. This
-callback can be used for example to add any desired
-filters to the template</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-<div class="fields">      <p><strong>See Also:</strong>
-        <a href="genshi.template.eval.LenientLookup-class.html" class="link">LenientLookup</a>, <a href="genshi.template.eval.StrictLookup-class.html" class="link">StrictLookup</a>
-      </p>
-      <p><strong>Note:</strong>
-        Changed in 0.5: Added the <code class="link">allow_exec</code> argument
-      </p>
-</div></td></tr></table>
-</div>
-<a name="load"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">load</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">filename</span>,
-        <span class="sig-arg">relative_to</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">cls</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Load the template with the given name.</p>
-<p>If the <code class="link">filename</code> parameter is relative, this method searches the
-search path trying to locate a template matching the given name. If the
-file name is an absolute path, the search path is ignored.</p>
-<p>If the requested template is not found, a <a href="genshi.template.loader.TemplateNotFound-class.html" class="link">TemplateNotFound</a> exception
-is raised. Otherwise, a <a href="genshi.template.base.Template-class.html" class="link">Template</a> object is returned that represents
-the parsed template.</p>
-<p>Template instances are cached to avoid having to parse the same
-template file more than once. Thus, subsequent calls of this method
-with the same template file name will return the same <a href="genshi.template.base.Template-class.html" class="link">Template</a>
-object (unless the <tt class="rst-docutils literal">auto_reload</tt> option is enabled and the file was
-changed since the last parse.)</p>
-<p>If the <code class="link">relative_to</code> parameter is provided, the <code class="link">filename</code> is
-interpreted as being relative to that path.</p>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>filename</code></strong> - the relative path of the template file to load</li>
-        <li><strong class="pname"><code>relative_to</code></strong> - the filename of the template from which the new
-template is being loaded, or <tt class="rst-docutils literal">None</tt> if the
-template is being loaded directly</li>
-        <li><strong class="pname"><code>cls</code></strong> - the class of the template object to instantiate</li>
-        <li><strong class="pname"><code>encoding</code></strong> - the encoding of the template to load; defaults to the
-<tt class="rst-docutils literal">default_encoding</tt> of the loader instance</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the loaded <a href="genshi.template.base.Template-class.html" class="link">Template</a> instance</dd>
-    <dt>Raises:</dt>
-    <dd><ul class="nomargin-top">
-        <li><code><strong class='fraise'><a href="genshi.template.loader.TemplateNotFound-class.html">TemplateNotFound</a></strong></code> - if a template with the given name could not
-be found</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="directory"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">directory</span>(<span class="sig-arg">path</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Loader factory for loading templates from a local directory.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>path</code></strong> - the path to the local directory containing the templates</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function to load templates from the given directory</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="package"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">package</span>(<span class="sig-arg">name</span>,
-        <span class="sig-arg">path</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Loader factory for loading templates from egg package data.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the name of the package containing the resources</li>
-        <li><strong class="pname"><code>path</code></strong> - the path inside the package data</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function to load templates from the given package</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="prefixed"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">prefixed</span>(<span class="sig-arg">**delegates</span>)</span>
-    <br /><em class="fname">Static Method</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Factory for a load function that delegates to other loaders
-depending on the prefix of the requested template path.</p>
-<p>The prefix is stripped from the filename when passing on the load
-request to the delegate.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>load = prefixed(
-<span class="py-more">... </span>    app1 = <span class="py-keyword">lambda</span> filename: (<span class="py-string">'app1'</span>, filename, None, None),
-<span class="py-more">... </span>    app2 = <span class="py-keyword">lambda</span> filename: (<span class="py-string">'app2'</span>, filename, None, None)
-<span class="py-more">... </span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(load(<span class="py-string">'app1/foo.html'</span>))
-<span class="py-output">('app1', 'app1/foo.html', None, None)</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(load(<span class="py-string">'app2/bar.html'</span>))
-<span class="py-output">('app2', 'app2/bar.html', None, None)</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>delegates</code></strong> - mapping of path prefixes to loader functions</li>
-    </ul></dd>
-    <dt>Returns: <tt class="rst-rst-docutils literal rst-docutils literal">function</tt></dt>
-        <dd>the loader function</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.loader.TemplateNotFound-class.html 0.7.1-2/doc/api/genshi.template.loader.TemplateNotFound-class.html
--- 0.7-6/doc/api/genshi.template.loader.TemplateNotFound-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.loader.TemplateNotFound-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,258 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.loader.TemplateNotFound</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.loader-module.html">Module&nbsp;loader</a> ::
-        Class&nbsp;TemplateNotFound
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TemplateNotFound</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+            
-                       |            
-exceptions.BaseException --+        
-                           |        
-        exceptions.Exception --+    
-                               |    
-              <a href="genshi.template.base.TemplateError-class.html">base.TemplateError</a> --+
-                                   |
-                                  <strong class="uidshort">TemplateNotFound</strong>
-</pre>
-
-<hr />
-Exception raised when a specific template file could not be found.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.loader.TemplateNotFound-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">name</span>,
-        <span class="summary-sig-arg">search_path</span>)</span><br />
-      Create the exception.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.Exception</code></b>:
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE VARIABLES ==================== -->
-<a name="section-InstanceVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.TemplateError-class.html">base.TemplateError</a></code></b>:
-      <code><a href="genshi.template.base.TemplateError-class.html#filename">filename</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#lineno">lineno</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#msg">msg</a></code>,
-      <code><a href="genshi.template.base.TemplateError-class.html#offset">offset</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">name</span>,
-        <span class="sig-arg">search_path</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Create the exception.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>name</code></strong> - the filename of the template</li>
-        <li><strong class="pname"><code>search_path</code></strong> - the search path used to lookup the template</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.markup.MarkupTemplate-class.html 0.7.1-2/doc/api/genshi.template.markup.MarkupTemplate-class.html
--- 0.7-6/doc/api/genshi.template.markup.MarkupTemplate-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.markup.MarkupTemplate-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,427 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.markup.MarkupTemplate</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.markup-module.html">Module&nbsp;markup</a> ::
-        Class&nbsp;MarkupTemplate
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class MarkupTemplate</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-           object --+        
-                    |        
-<a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a> --+    
-                        |    
-            <a href="genshi.template.base.Template-class.html">base.Template</a> --+
-                            |
-                           <strong class="uidshort">MarkupTemplate</strong>
-</pre>
-
-<hr />
-<p>Implementation of the template language for XML-based templates.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = MarkupTemplate(<span class="py-string">'''&lt;ul xmlns:py=&quot;http://genshi.edgewall.org/&quot;&gt;</span>
-<span class="py-more">... </span><span class="py-string">  &lt;li py:for=&quot;item in items&quot;&gt;${item}&lt;/li&gt;</span>
-<span class="py-more">... </span><span class="py-string">&lt;/ul&gt;'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(<span class="py-builtin">items</span>=[1, 2, 3]))
-<span class="py-output">&lt;ul&gt;</span>
-<span class="py-output">  &lt;li&gt;1&lt;/li&gt;&lt;li&gt;2&lt;/li&gt;&lt;li&gt;3&lt;/li&gt;</span>
-<span class="py-output">&lt;/ul&gt;</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactoryMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.markup.MarkupTemplate-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filepath</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">loader</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">allow_exec</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.markup.MarkupTemplate-class.html#add_directives" class="summary-sig-name">add_directives</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">namespace</span>,
-        <span class="summary-sig-arg">factory</span>)</span><br />
-      Register a custom <a href="genshi.template.base.DirectiveFactory-class.html" class="link">DirectiveFactory</a> for a given namespace.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#__getstate__">__getstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__repr__">__repr__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__setstate__">__setstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#generate">generate</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive</a></code>,
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">get_directive_index</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="DIRECTIVE_NAMESPACE"></a><span class="summary-name">DIRECTIVE_NAMESPACE</span> = <code title="'http://genshi.edgewall.org/'"><code class="variable-quote">'</code><code class="variable-string">http://genshi.edgewall.org/</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="XINCLUDE_NAMESPACE"></a><span class="summary-name">XINCLUDE_NAMESPACE</span> = <code title="'http://www.w3.org/2001/XInclude'"><code class="variable-quote">'</code><code class="variable-string">http://www.w3.org/2001/XInclude</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.markup.MarkupTemplate-class.html#directives" class="summary-name">directives</a> = <code title="[('def', &lt;class 'genshi.template.directives.DefDirective'&gt;),
- ('match', &lt;class 'genshi.template.directives.MatchDirective'&gt;),
- ('when', &lt;class 'genshi.template.directives.WhenDirective'&gt;),
- ('otherwise',
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;),
- ('for', &lt;class 'genshi.template.directives.ForDirective'&gt;),
- ('if', &lt;class 'genshi.template.directives.IfDirective'&gt;),
- ('choose', &lt;class 'genshi.template.directives.ChooseDirective'&gt;),
-..."><code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDi<code class="variable-ellipsis">...</code></code><br />
-      A list of <tt class="rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="serializer"></a><span class="summary-name">serializer</span> = <code title="'xml'"><code class="variable-quote">'</code><code class="variable-string">xml</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#EXEC">EXEC</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#EXPR">EXPR</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#INCLUDE">INCLUDE</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#SUB">SUB</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#stream">stream</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filepath</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">loader</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">allow_exec</span>=<span class="sig-default">True</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - a string, file-like object, or markup stream to read the
-template from</li>
-        <li><strong class="pname"><code>filepath</code></strong> - the absolute path to the template file</li>
-        <li><strong class="pname"><code>filename</code></strong> - the path to the template file relative to the search
-path</li>
-        <li><strong class="pname"><code>loader</code></strong> - the <a href="genshi.template.loader.TemplateLoader-class.html" class="link">TemplateLoader</a> to use for loading included
-templates</li>
-        <li><strong class="pname"><code>encoding</code></strong> - the encoding of the <code class="link">source</code></li>
-        <li><strong class="pname"><code>lookup</code></strong> - the variable lookup mechanism; either &quot;strict&quot; (the
-default), &quot;lenient&quot;, or a custom lookup class</li>
-        <li><strong class="pname"><code>allow_exec</code></strong> - whether Python code blocks in templates should be
-allowed</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="add_directives"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_directives</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">namespace</span>,
-        <span class="sig-arg">factory</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Register a custom <a href="genshi.template.base.DirectiveFactory-class.html" class="link">DirectiveFactory</a> for a given namespace.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>namespace</code></strong> (<code class="link">basestring</code>) - the namespace URI</li>
-        <li><strong class="pname"><code>factory</code></strong> (<a href="genshi.template.base.DirectiveFactory-class.html" class="link">DirectiveFactory</a>) - the directive factory to register</li>
-    </ul></dd>
-  </dl>
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.6
-      </p>
-</div></td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="directives"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">directives</h3>
-  A list of <tt class="rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">match</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.MatchDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">when</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.WhenDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">otherwise</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">for</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ForDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">if</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.IfDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">choose</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ChooseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
-<code class="variable-ellipsis">...</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.markup-module.html 0.7.1-2/doc/api/genshi.template.markup-module.html
--- 0.7-6/doc/api/genshi.template.markup-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.markup-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,128 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.markup</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;markup
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module markup</h1><p class="nomargin-top"></p>
-Markup templating engine.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.markup.MarkupTemplate-class.html" class="summary-name">MarkupTemplate</a><br />
-      Implementation of the template language for XML-based templates.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template-module.html 0.7.1-2/doc/api/genshi.template-module.html
--- 0.7-6/doc/api/genshi.template-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,153 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Package&nbsp;template
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PACKAGE DESCRIPTION ==================== -->
-<h1 class="epydoc">Package template</h1><p class="nomargin-top"></p>
-Implementation of the template engine.
-
-<!-- ==================== SUBMODULES ==================== -->
-<a name="section-Submodules"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Submodules</span></td>
-</tr>
-  <tr><td class="summary">
-  <ul class="nomargin">
-    <li class="private"> <strong class="uidlink"><a href="genshi.template._ast24-module.html">genshi.template._ast24</a></strong>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.ast24-module.html">genshi.template.ast24</a></strong>: <em class="summary">Emulation of the proper abstract syntax tree API for Python 2.4.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil-module.html">genshi.template.astutil</a></strong>: <em class="summary">Support classes for generating code from abstract syntax trees.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base-module.html">genshi.template.base</a></strong>: <em class="summary">Basic templating functionality.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives-module.html">genshi.template.directives</a></strong>: <em class="summary">Implementation of the various template directives.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval-module.html">genshi.template.eval</a></strong>: <em class="summary">Support for &quot;safe&quot; evaluation of Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a></strong>: <em class="summary">String interpolation routines, i.e. the splitting up a given text into some
-parts that are literal strings, and others that are Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.loader-module.html">genshi.template.loader</a></strong>: <em class="summary">Template loading and caching.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.markup-module.html">genshi.template.markup</a></strong>: <em class="summary">Markup templating engine.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin-module.html">genshi.template.plugin</a></strong>: <em class="summary">Basic support for the template engine plugin API used by TurboGears and
-CherryPy/Buffet.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text-module.html">genshi.template.text</a></strong>: <em class="summary">Plain text templating engine.</em>    </li>
-  </ul></td></tr>
-</table>
-
-<br />
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi.template'"><code class="variable-quote">'</code><code class="variable-string">genshi.template</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.plugin.AbstractTemplateEnginePlugin-class.html 0.7.1-2/doc/api/genshi.template.plugin.AbstractTemplateEnginePlugin-class.html
--- 0.7-6/doc/api/genshi.template.plugin.AbstractTemplateEnginePlugin-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.plugin.AbstractTemplateEnginePlugin-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,308 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.plugin.AbstractTemplateEnginePlugin</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.plugin-module.html">Module&nbsp;plugin</a> ::
-        Class&nbsp;AbstractTemplateEnginePlugin
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class AbstractTemplateEnginePlugin</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+
-         |
-        <strong class="uidshort">AbstractTemplateEnginePlugin</strong>
-</pre>
-
-<dl><dt>Known Subclasses:</dt>
-<dd>
-      <ul class="subclass-list">
-<li><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">MarkupTemplateEnginePlugin</a></li><li>, <a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">TextTemplateEnginePlugin</a></li>  </ul>
-</dd></dl>
-
-<hr />
-Implementation of the plugin API.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">extra_vars_func</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">options</span>=<span class="summary-sig-default">None</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="load_template"></a><span class="summary-sig-name">load_template</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">templatename</span>,
-        <span class="summary-sig-arg">template_string</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Find a template specified in python 'dot' notation, or load one from
-a string.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="render"></a><span class="summary-sig-name">render</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">info</span>,
-        <span class="summary-sig-arg">format</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">fragment</span>=<span class="summary-sig-default">False</span>,
-        <span class="summary-sig-arg">template</span>=<span class="summary-sig-default">None</span>)</span><br />
-      Render the template to a string using the provided info.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a name="transform"></a><span class="summary-sig-name">transform</span>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">info</span>,
-        <span class="summary-sig-arg">template</span>)</span><br />
-      Render the output to an event stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="template_class"></a><span class="summary-name">template_class</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="extension"></a><span class="summary-name">extension</span> = <code title="None">None</code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">extra_vars_func</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">options</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.plugin.ConfigurationError-class.html 0.7.1-2/doc/api/genshi.template.plugin.ConfigurationError-class.html
--- 0.7-6/doc/api/genshi.template.plugin.ConfigurationError-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.plugin.ConfigurationError-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,183 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.plugin.ConfigurationError</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.plugin-module.html">Module&nbsp;plugin</a> ::
-        Class&nbsp;ConfigurationError
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class ConfigurationError</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-              object --+                
-                       |                
-exceptions.BaseException --+            
-                           |            
-        exceptions.Exception --+        
-                               |        
-        exceptions.StandardError --+    
-                                   |    
-               exceptions.ValueError --+
-                                       |
-                                      <strong class="uidshort">ConfigurationError</strong>
-</pre>
-
-<hr />
-Exception raised when invalid plugin options are encountered.
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.ValueError</code></b>:
-      <code>__init__</code>,
-      <code>__new__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>__delattr__</code>,
-      <code>__getattribute__</code>,
-      <code>__getitem__</code>,
-      <code>__getslice__</code>,
-      <code>__reduce__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__setstate__</code>,
-      <code>__str__</code>,
-      <code>__unicode__</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__format__</code>,
-      <code>__hash__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__sizeof__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>exceptions.BaseException</code></b>:
-      <code>args</code>,
-      <code>message</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.plugin.MarkupTemplateEnginePlugin-class.html 0.7.1-2/doc/api/genshi.template.plugin.MarkupTemplateEnginePlugin-class.html
--- 0.7-6/doc/api/genshi.template.plugin.MarkupTemplateEnginePlugin-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.plugin.MarkupTemplateEnginePlugin-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,300 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.plugin.MarkupTemplateEnginePlugin</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.plugin-module.html">Module&nbsp;plugin</a> ::
-        Class&nbsp;MarkupTemplateEnginePlugin
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class MarkupTemplateEnginePlugin</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-                  object --+    
-                           |    
-<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a> --+
-                               |
-                              <strong class="uidshort">MarkupTemplateEnginePlugin</strong>
-</pre>
-
-<hr />
-Implementation of the plugin API for markup templates.
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.markup.MarkupTemplate-class.html" class="summary-name">template_class</a><br />
-      Implementation of the template language for XML-based templates.
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">extra_vars_func</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">options</span>=<span class="summary-sig-default">None</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#transform" class="summary-sig-name">transform</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">info</span>,
-        <span class="summary-sig-arg">template</span>)</span><br />
-      Render the output to an event stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a></code></b>:
-      <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template">load_template</a></code>,
-      <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render">render</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="extension"></a><span class="summary-name">extension</span> = <code title="'.html'"><code class="variable-quote">'</code><code class="variable-string">.html</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">extra_vars_func</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">options</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="transform"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">transform</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">info</span>,
-        <span class="sig-arg">template</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Render the output to an event stream.
-  <dl class="fields">
-    <dt>Overrides:
-        <a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#transform">AbstractTemplateEnginePlugin.transform</a>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.plugin-module.html 0.7.1-2/doc/api/genshi.template.plugin-module.html
--- 0.7-6/doc/api/genshi.template.plugin-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.plugin-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,153 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.plugin</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;plugin
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module plugin</h1><p class="nomargin-top"></p>
-Basic support for the template engine plugin API used by TurboGears and
-CherryPy/Buffet.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.plugin.ConfigurationError-class.html" class="summary-name">ConfigurationError</a><br />
-      Exception raised when invalid plugin options are encountered.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html" class="summary-name">AbstractTemplateEnginePlugin</a><br />
-      Implementation of the plugin API.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html" class="summary-name">MarkupTemplateEnginePlugin</a><br />
-      Implementation of the plugin API for markup templates.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html" class="summary-name">TextTemplateEnginePlugin</a><br />
-      Implementation of the plugin API for text templates.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.plugin.TextTemplateEnginePlugin-class.html 0.7.1-2/doc/api/genshi.template.plugin.TextTemplateEnginePlugin-class.html
--- 0.7-6/doc/api/genshi.template.plugin.TextTemplateEnginePlugin-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.plugin.TextTemplateEnginePlugin-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,268 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.plugin.TextTemplateEnginePlugin</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.plugin-module.html">Module&nbsp;plugin</a> ::
-        Class&nbsp;TextTemplateEnginePlugin
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class TextTemplateEnginePlugin</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-                  object --+    
-                           |    
-<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a> --+
-                               |
-                              <strong class="uidshort">TextTemplateEnginePlugin</strong>
-</pre>
-
-<hr />
-Implementation of the plugin API for text templates.
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.OldTextTemplate-class.html" class="summary-name">template_class</a><br />
-      Legacy implementation of the old syntax text-based templates. This class
-is provided in a transition phase for backwards compatibility. New code
-should use the <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> class and the improved syntax it provides.
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">extra_vars_func</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">options</span>=<span class="summary-sig-default">None</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a></code></b>:
-      <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template">load_template</a></code>,
-      <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render">render</a></code>,
-      <code><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#transform">transform</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__repr__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="extension"></a><span class="summary-name">extension</span> = <code title="'.txt'"><code class="variable-quote">'</code><code class="variable-string">.txt</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="default_format"></a><span class="summary-name">default_format</span> = <code title="'text'"><code class="variable-quote">'</code><code class="variable-string">text</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">extra_vars_func</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">options</span>=<span class="sig-default">None</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.text-module.html 0.7.1-2/doc/api/genshi.template.text-module.html
--- 0.7-6/doc/api/genshi.template.text-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.text-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,159 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.text</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        Module&nbsp;text
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module text</h1><p class="nomargin-top"></p>
-<p>Plain text templating engine.</p>
-<p>This module implements two template language syntaxes, at least for a certain
-transitional period. <a href="genshi.template.text.OldTextTemplate-class.html" class="link">OldTextTemplate</a> (aliased to just <a href="genshi.template.text.OldTextTemplate-class.html" class="link">TextTemplate</a>) defines
-a syntax that was inspired by Cheetah/Velocity. <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> on the other
-hand is inspired by the syntax of the Django template language, which has more
-explicit delimiting of directives, and is more flexible with regards to
-white space and line breaks.</p>
-<p>In a future release, <a href="genshi.template.text.OldTextTemplate-class.html" class="link">OldTextTemplate</a> will be phased out in favor of
-<a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a>, as the names imply. Therefore the new syntax is strongly
-recommended for new projects, and existing projects may want to migrate to the
-new syntax to remain compatible with future Genshi releases.</p>
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.NewTextTemplate-class.html" class="summary-name">NewTextTemplate</a><br />
-      Implementation of a simple text-based template engine. This class will
-replace <a href="genshi.template.text.OldTextTemplate-class.html" class="link">OldTextTemplate</a> in a future release.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.OldTextTemplate-class.html" class="summary-name">OldTextTemplate</a><br />
-      Legacy implementation of the old syntax text-based templates. This class
-is provided in a transition phase for backwards compatibility. New code
-should use the <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> class and the improved syntax it provides.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.OldTextTemplate-class.html" class="summary-name">TextTemplate</a><br />
-      Legacy implementation of the old syntax text-based templates. This class
-is provided in a transition phase for backwards compatibility. New code
-should use the <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> class and the improved syntax it provides.
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.text.NewTextTemplate-class.html 0.7.1-2/doc/api/genshi.template.text.NewTextTemplate-class.html
--- 0.7-6/doc/api/genshi.template.text.NewTextTemplate-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.text.NewTextTemplate-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,475 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.text.NewTextTemplate</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.text-module.html">Module&nbsp;text</a> ::
-        Class&nbsp;NewTextTemplate
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class NewTextTemplate</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-           object --+        
-                    |        
-<a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a> --+    
-                        |    
-            <a href="genshi.template.base.Template-class.html">base.Template</a> --+
-                            |
-                           <strong class="uidshort">NewTextTemplate</strong>
-</pre>
-
-<hr />
-<p>Implementation of a simple text-based template engine. This class will
-replace <a href="genshi.template.text.OldTextTemplate-class.html" class="link">OldTextTemplate</a> in a future release.</p>
-<p>It uses a more explicit delimiting style for directives: instead of the old
-style which required putting directives on separate lines that were prefixed
-with a <tt class="rst-docutils literal">#</tt> sign, directives and commenbtsr are enclosed in delimiter pairs
-(by default <tt class="rst-docutils literal">{% ... %}</tt> and <tt class="rst-docutils literal">{# ... #}</tt>, respectively).</p>
-<p>Variable substitution uses the same interpolation syntax as for markup
-languages: simple references are prefixed with a dollar sign, more complex
-expression enclosed in curly braces.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = NewTextTemplate(<span class="py-string">'''Dear $name,</span>
-<span class="py-more">...</span>
-<span class="py-more">... </span><span class="py-string">{# This is a comment #}</span>
-<span class="py-more">... </span><span class="py-string">We have the following items for you:</span>
-<span class="py-more">... </span><span class="py-string">{% for item in items %}</span>
-<span class="py-more">... </span><span class="py-string"> * ${'Item %d' % item}</span>
-<span class="py-more">... </span><span class="py-string">{% end %}</span>
-<span class="py-more">... </span><span class="py-string">'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(name=<span class="py-string">'Joe'</span>, <span class="py-builtin">items</span>=[1, 2, 3]).render(encoding=None))
-<span class="py-output">Dear Joe,</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">We have the following items for you:</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output"> * Item 1</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output"> * Item 2</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output"> * Item 3</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span></pre>
-<p>By default, no spaces or line breaks are removed. If a line break should
-not be included in the output, prefix it with a backslash:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = NewTextTemplate(<span class="py-string">'''Dear $name,</span>
-<span class="py-more">...</span>
-<span class="py-more">... </span><span class="py-string">{# This is a comment #}\</span>
-<span class="py-more">... </span><span class="py-string">We have the following items for you:</span>
-<span class="py-more">... </span><span class="py-string">{% for item in items %}\</span>
-<span class="py-more">... </span><span class="py-string"> * $item</span>
-<span class="py-more">... </span><span class="py-string">{% end %}\</span>
-<span class="py-more">... </span><span class="py-string">'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(name=<span class="py-string">'Joe'</span>, <span class="py-builtin">items</span>=[1, 2, 3]).render(encoding=None))
-<span class="py-output">Dear Joe,</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">We have the following items for you:</span>
-<span class="py-output"> * 1</span>
-<span class="py-output"> * 2</span>
-<span class="py-output"> * 3</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span></pre>
-<p>Backslashes are also used to escape the start delimiter of directives and
-comments:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = NewTextTemplate(<span class="py-string">'''Dear $name,</span>
-<span class="py-more">...</span>
-<span class="py-more">... </span><span class="py-string">\{# This is a comment #}</span>
-<span class="py-more">... </span><span class="py-string">We have the following items for you:</span>
-<span class="py-more">... </span><span class="py-string">{% for item in items %}\</span>
-<span class="py-more">... </span><span class="py-string"> * $item</span>
-<span class="py-more">... </span><span class="py-string">{% end %}\</span>
-<span class="py-more">... </span><span class="py-string">'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(name=<span class="py-string">'Joe'</span>, <span class="py-builtin">items</span>=[1, 2, 3]).render(encoding=None))
-<span class="py-output">Dear Joe,</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">{# This is a comment #}</span>
-<span class="py-output">We have the following items for you:</span>
-<span class="py-output"> * 1</span>
-<span class="py-output"> * 2</span>
-<span class="py-output"> * 3</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span></pre>
-
-<hr />
-<div class="fields">      <p><strong>Since:</strong>
-        version 0.5
-      </p>
-</div><!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactoryMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.template.text.NewTextTemplate-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">source</span>,
-        <span class="summary-sig-arg">filepath</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">filename</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">loader</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">encoding</span>=<span class="summary-sig-default">None</span>,
-        <span class="summary-sig-arg">lookup</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="summary-sig-arg">allow_exec</span>=<span class="summary-sig-default">False</span>,
-        <span class="summary-sig-arg">delims</span>=<span class="summary-sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">{%</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">%}</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">{#</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">#}</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>)</span><br />
-      Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#__getstate__">__getstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__repr__">__repr__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__setstate__">__setstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#generate">generate</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive</a></code>,
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">get_directive_index</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.NewTextTemplate-class.html#directives" class="summary-name">directives</a> = <code title="[('def', &lt;class 'genshi.template.directives.DefDirective'&gt;),
- ('when', &lt;class 'genshi.template.directives.WhenDirective'&gt;),
- ('otherwise',
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;),
- ('for', &lt;class 'genshi.template.directives.ForDirective'&gt;),
- ('if', &lt;class 'genshi.template.directives.IfDirective'&gt;),
- ('choose', &lt;class 'genshi.template.directives.ChooseDirective'&gt;),
- ('with', &lt;class 'genshi.template.directives.WithDirective'&gt;)]"><code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDi<code class="variable-ellipsis">...</code></code><br />
-      A list of <tt class="rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="serializer"></a><span class="summary-name">serializer</span> = <code title="'text'"><code class="variable-quote">'</code><code class="variable-string">text</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#EXEC">EXEC</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#EXPR">EXPR</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#INCLUDE">INCLUDE</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#SUB">SUB</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.NewTextTemplate-class.html#delimiters" class="summary-name">delimiters</a>
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#stream">stream</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">source</span>,
-        <span class="sig-arg">filepath</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">filename</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">loader</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">encoding</span>=<span class="sig-default">None</span>,
-        <span class="sig-arg">lookup</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">strict</code><code class="variable-quote">'</code></span>,
-        <span class="sig-arg">allow_exec</span>=<span class="sig-default">False</span>,
-        <span class="sig-arg">delims</span>=<span class="sig-default"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">{%</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">%}</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">{#</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">#}</code><code class="variable-quote">'</code><code class="variable-group">)</code></span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  Initialize a template from either a string, a file-like object, or
-an already parsed markup stream.
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>source</code></strong> - a string, file-like object, or markup stream to read the
-template from</li>
-        <li><strong class="pname"><code>filepath</code></strong> - the absolute path to the template file</li>
-        <li><strong class="pname"><code>filename</code></strong> - the path to the template file relative to the search
-path</li>
-        <li><strong class="pname"><code>loader</code></strong> - the <a href="genshi.template.loader.TemplateLoader-class.html" class="link">TemplateLoader</a> to use for loading included
-templates</li>
-        <li><strong class="pname"><code>encoding</code></strong> - the encoding of the <code class="link">source</code></li>
-        <li><strong class="pname"><code>lookup</code></strong> - the variable lookup mechanism; either &quot;strict&quot; (the
-default), &quot;lenient&quot;, or a custom lookup class</li>
-        <li><strong class="pname"><code>allow_exec</code></strong> - whether Python code blocks in templates should be
-allowed</li>
-    </ul></dd>
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="directives"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">directives</h3>
-  A list of <tt class="rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">when</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.WhenDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">otherwise</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">for</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ForDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">if</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.IfDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">choose</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ChooseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">with</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.WithDirective'&gt;<code class="variable-group">)</code><code class="variable-group">]</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== PROPERTY DETAILS ==================== -->
-<a name="section-PropertyDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Property Details</span></td>
-</tr>
-</table>
-<a name="delimiters"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">delimiters</h3>
-  
-  <dl class="fields">
-    <dt>Get Method:</dt>
-    <dd class="value"><span class="summary-sig"><a href="genshi.template.text.NewTextTemplate-class.html#_get_delims" class="summary-sig-name" onclick="show_private();">_get_delims</a>(<span class="summary-sig-arg">self</span>)</span>
-    </dd>
-    <dt>Set Method:</dt>
-    <dd class="value"><span class="summary-sig"><a href="genshi.template.text.NewTextTemplate-class.html#_set_delims" class="summary-sig-name" onclick="show_private();">_set_delims</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">delims</span>)</span>
-    </dd>
-    <dt>Delete Method:</dt>
-    <dd class="value"><table><tr><td><pre class="variable">
-<code class="variable-quote">'''</code><code class="variable-string">    The delimiters for directives and comments. This should be a fo</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
-<code class="variable-string">ur item tuple</code>
-<code class="variable-string">    of the form ``(directive_start, directive_end, comment_start,</code>
-<code class="variable-string">    comment_end)``, where each item is a string.</code>
-<code class="variable-string">    </code><code class="variable-quote">'''</code>
-</pre></td></tr></table>
-
-    </dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.template.text.OldTextTemplate-class.html 0.7.1-2/doc/api/genshi.template.text.OldTextTemplate-class.html
--- 0.7-6/doc/api/genshi.template.text.OldTextTemplate-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.template.text.OldTextTemplate-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,296 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.template.text.OldTextTemplate</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.template-module.html">Package&nbsp;template</a> ::
-        <a href="genshi.template.text-module.html">Module&nbsp;text</a> ::
-        Class&nbsp;OldTextTemplate
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class OldTextTemplate</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-           object --+        
-                    |        
-<a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a> --+    
-                        |    
-            <a href="genshi.template.base.Template-class.html">base.Template</a> --+
-                            |
-                           <strong class="uidshort">OldTextTemplate</strong>
-</pre>
-
-<hr />
-<p>Legacy implementation of the old syntax text-based templates. This class
-is provided in a transition phase for backwards compatibility. New code
-should use the <a href="genshi.template.text.NewTextTemplate-class.html" class="link">NewTextTemplate</a> class and the improved syntax it provides.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>tmpl = OldTextTemplate(<span class="py-string">'''Dear $name,</span>
-<span class="py-more">...</span>
-<span class="py-more">... </span><span class="py-string">We have the following items for you:</span>
-<span class="py-more">... </span><span class="py-string">#for item in items</span>
-<span class="py-more">... </span><span class="py-string"> * $item</span>
-<span class="py-more">... </span><span class="py-string">#end</span>
-<span class="py-more">...</span>
-<span class="py-more">... </span><span class="py-string">All the best,</span>
-<span class="py-more">... </span><span class="py-string">Foobar'''</span>)
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">print</span>(tmpl.generate(name=<span class="py-string">'Joe'</span>, <span class="py-builtin">items</span>=[1, 2, 3]).render(encoding=None))
-<span class="py-output">Dear Joe,</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">We have the following items for you:</span>
-<span class="py-output"> * 1</span>
-<span class="py-output"> * 2</span>
-<span class="py-output"> * 3</span>
-<span class="py-output">&lt;BLANKLINE&gt;</span>
-<span class="py-output">All the best,</span>
-<span class="py-output">Foobar</span></pre>
-
-<!-- ==================== NESTED CLASSES ==================== -->
-<a name="section-NestedClasses"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Nested Classes</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactoryMeta-class.html">__metaclass__</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#__getstate__">__getstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__init__">__init__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__repr__">__repr__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#__setstate__">__setstate__</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#generate">generate</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.DirectiveFactory-class.html">base.DirectiveFactory</a></code></b>:
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive</a></code>,
-      <code><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">get_directive_index</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__getattribute__</code>,
-      <code>__hash__</code>,
-      <code>__new__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__sizeof__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.template.text.OldTextTemplate-class.html#directives" class="summary-name">directives</a> = <code title="[('def', &lt;class 'genshi.template.directives.DefDirective'&gt;),
- ('when', &lt;class 'genshi.template.directives.WhenDirective'&gt;),
- ('otherwise',
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;),
- ('for', &lt;class 'genshi.template.directives.ForDirective'&gt;),
- ('if', &lt;class 'genshi.template.directives.IfDirective'&gt;),
- ('choose', &lt;class 'genshi.template.directives.ChooseDirective'&gt;),
- ('with', &lt;class 'genshi.template.directives.WithDirective'&gt;)]"><code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDi<code class="variable-ellipsis">...</code></code><br />
-      A list of <tt class="rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="serializer"></a><span class="summary-name">serializer</span> = <code title="'text'"><code class="variable-quote">'</code><code class="variable-string">text</code><code class="variable-quote">'</code></code><br />
-      hash(x)
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#EXEC">EXEC</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#EXPR">EXPR</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#INCLUDE">INCLUDE</a></code>,
-      <code><a href="genshi.template.base.Template-class.html#SUB">SUB</a></code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="genshi.template.base.Template-class.html">base.Template</a></code></b>:
-      <code><a href="genshi.template.base.Template-class.html#stream">stream</a></code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
-<a name="section-ClassVariableDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variable Details</span></td>
-</tr>
-</table>
-<a name="directives"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <h3 class="epydoc">directives</h3>
-  A list of <tt class="rst-rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-rst-docutils literal rst-rst-rst-rst-docutils literal rst-rst-rst-docutils literal rst-rst-docutils literal rst-docutils literal">(name, cls)</tt> tuples that define the set of directives
-provided by this factory.
-  <dl class="fields">
-  </dl>
-  <dl class="fields">
-    <dt>Value:</dt>
-      <dd><table><tr><td><pre class="variable">
-<code class="variable-group">[</code><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">def</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.DefDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">when</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.WhenDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">otherwise</code><code class="variable-quote">'</code><code class="variable-op">,</code>
-  &lt;class 'genshi.template.directives.OtherwiseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">for</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ForDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">if</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.IfDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">choose</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.ChooseDirective'&gt;<code class="variable-group">)</code><code class="variable-op">,</code>
- <code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">with</code><code class="variable-quote">'</code><code class="variable-op">, </code>&lt;class 'genshi.template.directives.WithDirective'&gt;<code class="variable-group">)</code><code class="variable-group">]</code>
-</pre></td></tr></table>
-</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.util.LRUCache-class.html 0.7.1-2/doc/api/genshi.util.LRUCache-class.html
--- 0.7-6/doc/api/genshi.util.LRUCache-class.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.util.LRUCache-class.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,549 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.util.LRUCache</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        <a href="genshi.util-module.html">Module&nbsp;util</a> ::
-        Class&nbsp;LRUCache
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS DESCRIPTION ==================== -->
-<h1 class="epydoc">Class LRUCache</h1><p class="nomargin-top"></p>
-<pre class="base-tree">
-object --+    
-         |    
-      dict --+
-             |
-            <strong class="uidshort">LRUCache</strong>
-</pre>
-
-<hr />
-<p>A dictionary-like object that stores only a certain number of items, and
-discards its least recently used item when full.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>cache = LRUCache(3)
-<span class="py-prompt">&gt;&gt;&gt; </span>cache[<span class="py-string">'A'</span>] = 0
-<span class="py-prompt">&gt;&gt;&gt; </span>cache[<span class="py-string">'B'</span>] = 1
-<span class="py-prompt">&gt;&gt;&gt; </span>cache[<span class="py-string">'C'</span>] = 2
-<span class="py-prompt">&gt;&gt;&gt; </span>len(cache)
-<span class="py-output">3</span></pre>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>cache[<span class="py-string">'A'</span>]
-<span class="py-output">0</span></pre>
-<p>Adding new items to the cache does not increase its size. Instead, the least
-recently used item is dropped:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>cache[<span class="py-string">'D'</span>] = 3
-<span class="py-prompt">&gt;&gt;&gt; </span>len(cache)
-<span class="py-output">3</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span><span class="py-string">'B'</span> <span class="py-keyword">in</span> cache
-<span class="py-output">False</span></pre>
-<p>Iterating over the cache returns the keys, starting with the most recently
-used:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span><span class="py-keyword">for</span> key <span class="py-keyword">in</span> cache:
-<span class="py-more">... </span>    <span class="py-keyword">print</span>(key)
-<span class="py-output">D</span>
-<span class="py-output">A</span>
-<span class="py-output">C</span></pre>
-<p>This code is based on the LRUCache class from <tt class="rst-docutils literal">myghtyutils.util</tt>, written
-by Mike Bayer and released under the MIT license. See:</p>
-<blockquote>
-<a class="rst-reference external" href="http://svn.myghty.org/myghtyutils/trunk/lib/myghtyutils/util.py" target="_top">http://svn.myghty.org/myghtyutils/trunk/lib/myghtyutils/util.py</a></blockquote>
-
-<!-- ==================== INSTANCE METHODS ==================== -->
-<a name="section-InstanceMethods"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Instance Methods</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type"><pre class="literalblock">
-new empty dictionary
-
-</pre></span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">capacity</span>)</span><br />
-      x.__init__(...) initializes x; see help(type(x)) for signature</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">True if D has a key k, else False</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__contains__" class="summary-sig-name">__contains__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span></td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__iter__" class="summary-sig-name">__iter__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      iter(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__len__" class="summary-sig-name">__len__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      len(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__getitem__" class="summary-sig-name">__getitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>)</span><br />
-      x[y]</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__setitem__" class="summary-sig-name">__setitem__</a>(<span class="summary-sig-arg">self</span>,
-        <span class="summary-sig-arg">key</span>,
-        <span class="summary-sig-arg">value</span>)</span><br />
-      x[i]=y</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util.LRUCache-class.html#__repr__" class="summary-sig-name">__repr__</a>(<span class="summary-sig-arg">self</span>)</span><br />
-      repr(x)</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>dict</code></b>:
-      <code>__cmp__</code>,
-      <code>__delitem__</code>,
-      <code>__eq__</code>,
-      <code>__ge__</code>,
-      <code>__getattribute__</code>,
-      <code>__gt__</code>,
-      <code>__le__</code>,
-      <code>__lt__</code>,
-      <code>__ne__</code>,
-      <code>__new__</code>,
-      <code>__sizeof__</code>,
-      <code>clear</code>,
-      <code>copy</code>,
-      <code>fromkeys</code>,
-      <code>get</code>,
-      <code>has_key</code>,
-      <code>items</code>,
-      <code>iteritems</code>,
-      <code>iterkeys</code>,
-      <code>itervalues</code>,
-      <code>keys</code>,
-      <code>pop</code>,
-      <code>popitem</code>,
-      <code>setdefault</code>,
-      <code>update</code>,
-      <code>values</code>,
-      <code>viewitems</code>,
-      <code>viewkeys</code>,
-      <code>viewvalues</code>
-      </p>
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__delattr__</code>,
-      <code>__format__</code>,
-      <code>__reduce__</code>,
-      <code>__reduce_ex__</code>,
-      <code>__setattr__</code>,
-      <code>__str__</code>,
-      <code>__subclasshook__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== CLASS VARIABLES ==================== -->
-<a name="section-ClassVariables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Class Variables</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>dict</code></b>:
-      <code>__hash__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PROPERTIES ==================== -->
-<a name="section-Properties"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Properties</span></td>
-</tr>
-  <tr>
-    <td colspan="2" class="summary">
-    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
-      <code>__class__</code>
-      </p>
-    </td>
-  </tr>
-</table>
-<!-- ==================== METHOD DETAILS ==================== -->
-<a name="section-MethodDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Method Details</span></td>
-</tr>
-</table>
-<a name="__init__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">capacity</span>)</span>
-    <br /><em class="fname">(Constructor)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x.__init__(...) initializes x; see help(type(x)) for signature
-  <dl class="fields">
-    <dt>Returns: <pre class="literalblock">
-new empty dictionary
-
-</pre></dt>
-    <dt>Overrides:
-        object.__init__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__contains__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__contains__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-    <br /><em class="fname">(In operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  
-  <dl class="fields">
-    <dt>Returns: True if D has a key k, else False</dt>
-    <dt>Overrides:
-        dict.__contains__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__iter__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__iter__</span>(<span class="sig-arg">self</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  iter(x)
-  <dl class="fields">
-    <dt>Overrides:
-        dict.__iter__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__len__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__len__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Length operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  len(x)
-  <dl class="fields">
-    <dt>Overrides:
-        dict.__len__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__getitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__getitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>)</span>
-    <br /><em class="fname">(Indexing operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x[y]
-  <dl class="fields">
-    <dt>Overrides:
-        dict.__getitem__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__setitem__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__setitem__</span>(<span class="sig-arg">self</span>,
-        <span class="sig-arg">key</span>,
-        <span class="sig-arg">value</span>)</span>
-    <br /><em class="fname">(Index assignment operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  x[i]=y
-  <dl class="fields">
-    <dt>Overrides:
-        dict.__setitem__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<a name="__repr__"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">__repr__</span>(<span class="sig-arg">self</span>)</span>
-    <br /><em class="fname">(Representation operator)</em>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  repr(x)
-  <dl class="fields">
-    <dt>Overrides:
-        object.__repr__
-        <dd><em class="note">(inherited documentation)</em></dd>
-    </dt>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/genshi.util-module.html 0.7.1-2/doc/api/genshi.util-module.html
--- 0.7-6/doc/api/genshi.util-module.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/genshi.util-module.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,372 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi.util</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        <a href="genshi-module.html">Package&nbsp;genshi</a> ::
-        Module&nbsp;util
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== MODULE DESCRIPTION ==================== -->
-<h1 class="epydoc">Module util</h1><p class="nomargin-top"></p>
-Various utility classes and functions.
-
-<!-- ==================== CLASSES ==================== -->
-<a name="section-Classes"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Classes</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a href="genshi.util.LRUCache-class.html" class="summary-name">LRUCache</a><br />
-      A dictionary-like object that stores only a certain number of items, and
-discards its least recently used item when full.
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTIONS ==================== -->
-<a name="section-Functions"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Functions</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util-module.html#flatten" class="summary-sig-name">flatten</a>(<span class="summary-sig-arg">items</span>)</span><br />
-      Flattens a potentially nested sequence into a flat list.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util-module.html#plaintext" class="summary-sig-name">plaintext</a>(<span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">keeplinebreaks</span>=<span class="summary-sig-default">True</span>)</span><br />
-      Return the text with all entities and tags removed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util-module.html#stripentities" class="summary-sig-name">stripentities</a>(<span class="summary-sig-arg">text</span>,
-        <span class="summary-sig-arg">keepxmlentities</span>=<span class="summary-sig-default">False</span>)</span><br />
-      Return a copy of the given text with any character or numeric entities
-replaced by the equivalent UTF-8 characters.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-      <table width="100%" cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td><span class="summary-sig"><a href="genshi.util-module.html#striptags" class="summary-sig-name">striptags</a>(<span class="summary-sig-arg">text</span>)</span><br />
-      Return a copy of the text with any XML/HTML tags removed.</td>
-          <td align="right" valign="top">
-            
-            
-          </td>
-        </tr>
-      </table>
-      
-    </td>
-  </tr>
-</table>
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi'"><code class="variable-quote">'</code><code class="variable-string">genshi</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== FUNCTION DETAILS ==================== -->
-<a name="section-FunctionDetails"></a>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Function Details</span></td>
-</tr>
-</table>
-<a name="flatten"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">flatten</span>(<span class="sig-arg">items</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Flattens a potentially nested sequence into a flat list.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>flatten((1, 2))
-<span class="py-output">[1, 2]</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>flatten([1, (2, 3), 4])
-<span class="py-output">[1, 2, 3, 4]</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>flatten([1, (2, [3, 4]), 5])
-<span class="py-output">[1, 2, 3, 4, 5]</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>items</code></strong> - the sequence to flatten</li>
-    </ul></dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="plaintext"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">plaintext</span>(<span class="sig-arg">text</span>,
-        <span class="sig-arg">keeplinebreaks</span>=<span class="sig-default">True</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return the text with all entities and tags removed.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>plaintext(<span class="py-string">'&lt;b&gt;1 &amp;lt; 2&lt;/b&gt;'</span>)
-<span class="py-output">u'1 &lt; 2'</span></pre>
-<p>The <code class="link">keeplinebreaks</code> parameter can be set to <tt class="rst-docutils literal">False</tt> to replace any line
-breaks by simple spaces:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>plaintext(<span class="py-string">'''&lt;b&gt;1</span>
-<span class="py-more">... </span><span class="py-string">&amp;lt;</span>
-<span class="py-more">... </span><span class="py-string">2&lt;/b&gt;'''</span>, keeplinebreaks=False)
-<span class="py-output">u'1 &lt; 2'</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the text to convert to plain text</li>
-        <li><strong class="pname"><code>keeplinebreaks</code></strong> - whether line breaks in the text should be kept intact</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the text with tags and entities removed</dd>
-  </dl>
-</td></tr></table>
-</div>
-<a name="stripentities"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">stripentities</span>(<span class="sig-arg">text</span>,
-        <span class="sig-arg">keepxmlentities</span>=<span class="sig-default">False</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a copy of the given text with any character or numeric entities
-replaced by the equivalent UTF-8 characters.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>stripentities(<span class="py-string">'1 &amp;lt; 2'</span>)
-<span class="py-output">u'1 &lt; 2'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>stripentities(<span class="py-string">'more &amp;hellip;'</span>)
-<span class="py-output">u'more \u2026'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>stripentities(<span class="py-string">'&amp;#8230;'</span>)
-<span class="py-output">u'\u2026'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>stripentities(<span class="py-string">'&amp;#x2026;'</span>)
-<span class="py-output">u'\u2026'</span></pre>
-<p>If the <code class="link">keepxmlentities</code> parameter is provided and is a truth value, the
-core XML entities (&amp;amp;, &amp;apos;, &amp;gt;, &amp;lt; and &amp;quot;) are left intact.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>stripentities(<span class="py-string">'1 &amp;lt; 2 &amp;hellip;'</span>, keepxmlentities=True)
-<span class="py-output">u'1 &amp;lt; 2 \u2026'</span></pre>
-  <dl class="fields">
-  </dl>
-</td></tr></table>
-</div>
-<a name="striptags"></a>
-<div>
-<table class="details" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr><td>
-  <table width="100%" cellpadding="0" cellspacing="0" border="0">
-  <tr valign="top"><td>
-  <h3 class="epydoc"><span class="sig"><span class="sig-name">striptags</span>(<span class="sig-arg">text</span>)</span>
-  </h3>
-  </td><td align="right" valign="top"
-    >&nbsp;
-    </td>
-  </tr></table>
-  
-  <p>Return a copy of the text with any XML/HTML tags removed.</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>striptags(<span class="py-string">'&lt;span&gt;Foo&lt;/span&gt; bar'</span>)
-<span class="py-output">'Foo bar'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>striptags(<span class="py-string">'&lt;span class=&quot;bar&quot;&gt;Foo&lt;/span&gt;'</span>)
-<span class="py-output">'Foo'</span>
-<span class="py-output"></span><span class="py-prompt">&gt;&gt;&gt; </span>striptags(<span class="py-string">'Foo&lt;br /&gt;'</span>)
-<span class="py-output">'Foo'</span></pre>
-<p>HTML/XML comments are stripped, too:</p>
-<pre class="py-doctest">
-<span class="py-prompt">&gt;&gt;&gt; </span>striptags(<span class="py-string">'&lt;!-- &lt;blub&gt;hehe&lt;/blah&gt; --&gt;test'</span>)
-<span class="py-output">'test'</span></pre>
-  <dl class="fields">
-    <dt>Parameters:</dt>
-    <dd><ul class="nomargin-top">
-        <li><strong class="pname"><code>text</code></strong> - the string to remove tags from</li>
-    </ul></dd>
-    <dt>Returns:</dt>
-        <dd>the text with tags removed</dd>
-  </dl>
-</td></tr></table>
-</div>
-<br />
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/help.html 0.7.1-2/doc/api/help.html
--- 0.7-6/doc/api/help.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/help.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,272 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>Help</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Help&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">&nbsp;</td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-
-<h1 class="epydoc"> API Documentation </h1>
-
-<p> This document contains the API (Application Programming Interface)
-documentation for Documentation Index.  Documentation for the Python
-objects defined by the project is divided into separate pages for each
-package, module, and class.  The API documentation also includes two
-pages containing information about the project as a whole: a trees
-page, and an index page.  </p>
-
-<h2> Object Documentation </h2>
-
-  <p>Each <strong>Package Documentation</strong> page contains: </p>
-  <ul>
-    <li> A description of the package. </li>
-    <li> A list of the modules and sub-packages contained by the
-    package.  </li>
-    <li> A summary of the classes defined by the package. </li>
-    <li> A summary of the functions defined by the package. </li>
-    <li> A summary of the variables defined by the package. </li>
-    <li> A detailed description of each function defined by the
-    package. </li>
-    <li> A detailed description of each variable defined by the
-    package. </li>
-  </ul>
-  
-  <p>Each <strong>Module Documentation</strong> page contains:</p>
-  <ul>
-    <li> A description of the module. </li>
-    <li> A summary of the classes defined by the module. </li>
-    <li> A summary of the functions defined by the module. </li>
-    <li> A summary of the variables defined by the module. </li>
-    <li> A detailed description of each function defined by the
-    module. </li>
-    <li> A detailed description of each variable defined by the
-    module. </li>
-  </ul>
-  
-  <p>Each <strong>Class Documentation</strong> page contains: </p>
-  <ul>
-    <li> A class inheritance diagram. </li>
-    <li> A list of known subclasses. </li>
-    <li> A description of the class. </li>
-    <li> A summary of the methods defined by the class. </li>
-    <li> A summary of the instance variables defined by the class. </li>
-    <li> A summary of the class (static) variables defined by the
-    class. </li> 
-    <li> A detailed description of each method defined by the
-    class. </li>
-    <li> A detailed description of each instance variable defined by the
-    class. </li> 
-    <li> A detailed description of each class (static) variable defined
-    by the class. </li> 
-  </ul>
-
-<h2> Project Documentation </h2>
-
-  <p> The <strong>Trees</strong> page contains the module and class hierarchies: </p>
-  <ul>
-    <li> The <em>module hierarchy</em> lists every package and module, with
-    modules grouped into packages.  At the top level, and within each
-    package, modules and sub-packages are listed alphabetically. </li>
-    <li> The <em>class hierarchy</em> lists every class, grouped by base
-    class.  If a class has more than one base class, then it will be
-    listed under each base class.  At the top level, and under each base
-    class, classes are listed alphabetically. </li>
-  </ul>
-  
-  <p> The <strong>Index</strong> page contains indices of terms and
-  identifiers: </p>
-  <ul>
-    <li> The <em>term index</em> lists every term indexed by any object's
-    documentation.  For each term, the index provides links to each
-    place where the term is indexed. </li>
-    <li> The <em>identifier index</em> lists the (short) name of every package,
-    module, class, method, function, variable, and parameter.  For each
-    identifier, the index provides a short description, and a link to
-    its documentation. </li>
-  </ul>
-
-<h2> The Table of Contents </h2>
-
-<p> The table of contents occupies the two frames on the left side of
-the window.  The upper-left frame displays the <em>project
-contents</em>, and the lower-left frame displays the <em>module
-contents</em>: </p>
-
-<table class="help summary" border="1" cellspacing="0" cellpadding="3">
-  <tr style="height: 30%">
-    <td align="center" style="font-size: small">
-       Project<br />Contents<hr />...</td>
-    <td align="center" style="font-size: small" rowspan="2" width="70%">
-      API<br />Documentation<br />Frame<br /><br /><br />
-    </td>
-  </tr>
-  <tr>
-    <td align="center" style="font-size: small">
-      Module<br />Contents<hr />&nbsp;<br />...<br />&nbsp;
-    </td>
-  </tr>
-</table><br />
-
-<p> The <strong>project contents frame</strong> contains a list of all packages
-and modules that are defined by the project.  Clicking on an entry
-will display its contents in the module contents frame.  Clicking on a
-special entry, labeled "Everything," will display the contents of
-the entire project. </p>
-
-<p> The <strong>module contents frame</strong> contains a list of every
-submodule, class, type, exception, function, and variable defined by a
-module or package.  Clicking on an entry will display its
-documentation in the API documentation frame.  Clicking on the name of
-the module, at the top of the frame, will display the documentation
-for the module itself. </p>
-
-<p> The "<strong>frames</strong>" and "<strong>no frames</strong>" buttons below the top
-navigation bar can be used to control whether the table of contents is
-displayed or not. </p>
-
-<h2> The Navigation Bar </h2>
-
-<p> A navigation bar is located at the top and bottom of every page.
-It indicates what type of page you are currently viewing, and allows
-you to go to related pages.  The following table describes the labels
-on the navigation bar.  Note that not some labels (such as
-[Parent]) are not displayed on all pages. </p>
-
-<table class="summary" border="1" cellspacing="0" cellpadding="3" width="100%">
-<tr class="summary">
-  <th>Label</th>
-  <th>Highlighted when...</th>
-  <th>Links to...</th>
-</tr>
-  <tr><td valign="top"><strong>[Parent]</strong></td>
-      <td valign="top"><em>(never highlighted)</em></td>
-      <td valign="top"> the parent of the current package </td></tr>
-  <tr><td valign="top"><strong>[Package]</strong></td>
-      <td valign="top">viewing a package</td>
-      <td valign="top">the package containing the current object
-      </td></tr>
-  <tr><td valign="top"><strong>[Module]</strong></td>
-      <td valign="top">viewing a module</td>
-      <td valign="top">the module containing the current object
-      </td></tr> 
-  <tr><td valign="top"><strong>[Class]</strong></td>
-      <td valign="top">viewing a class </td>
-      <td valign="top">the class containing the current object</td></tr>
-  <tr><td valign="top"><strong>[Trees]</strong></td>
-      <td valign="top">viewing the trees page</td>
-      <td valign="top"> the trees page </td></tr>
-  <tr><td valign="top"><strong>[Index]</strong></td>
-      <td valign="top">viewing the index page</td>
-      <td valign="top"> the index page </td></tr>
-  <tr><td valign="top"><strong>[Help]</strong></td>
-      <td valign="top">viewing the help page</td>
-      <td valign="top"> the help page </td></tr>
-</table>
-
-<p> The "<strong>show private</strong>" and "<strong>hide private</strong>" buttons below
-the top navigation bar can be used to control whether documentation
-for private objects is displayed.  Private objects are usually defined
-as objects whose (short) names begin with a single underscore, but do
-not end with an underscore.  For example, "<code>_x</code>",
-"<code>__pprint</code>", and "<code>epydoc.epytext._tokenize</code>"
-are private objects; but "<code>re.sub</code>",
-"<code>__init__</code>", and "<code>type_</code>" are not.  However,
-if a module defines the "<code>__all__</code>" variable, then its
-contents are used to decide which objects are private. </p>
-
-<p> A timestamp below the bottom navigation bar indicates when each
-page was last updated. </p>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Help&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/identifier-index.html 0.7.1-2/doc/api/identifier-index.html
--- 0.7-6/doc/api/identifier-index.html	2013-01-27 16:17:19.000000000 +0000
+++ 0.7.1-2/doc/api/identifier-index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,2735 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>Identifier Index</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">&nbsp;</td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<center><b>[
- <a href="identifier-index.html">Identifiers</a>
-| <a href="since-index.html">Introductions</a>
-]</b></center><br />
-<table border="0" width="100%">
-<tr valign="bottom"><td>
-<h1 class="epydoc">Identifier Index</h1>
-</td><td>
-[
- <a href="#A">A</a>
- <a href="#B">B</a>
- <a href="#C">C</a>
- <a href="#D">D</a>
- <a href="#E">E</a>
- <a href="#F">F</a>
- <a href="#G">G</a>
- <a href="#H">H</a>
- <a href="#I">I</a>
- <a href="#J">J</a>
- <a href="#K">K</a>
- <a href="#L">L</a>
- <a href="#M">M</a>
- <a href="#N">N</a>
- <a href="#O">O</a>
- <a href="#P">P</a>
- <a href="#Q">Q</a>
- <a href="#R">R</a>
- <a href="#S">S</a>
- <a href="#T">T</a>
- <a href="#U">U</a>
- <a href="#V">V</a>
- <a href="#W">W</a>
- <a href="#X">X</a>
- <a href="#Y">Y</a>
-  Z
- <a href="#_">_</a>
-]
-</td></table>
-<table border="0" width="100%">
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="A">A</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin-module.html">genshi.template.plugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#assign">assign</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Add-class.html">Add</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AST-class.html">AST</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#add_directives">add_directives()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#ast">ast</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#ATTR">ATTR</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#after">after()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.ast24-module.html">ast24</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#attr">attr()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.alias-class.html">alias</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil-module.html">genshi.template.astutil</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#attrib">attrib</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.And-class.html">And</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTTransformer-class.html">ASTTransformer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil-module.html">genshi.template.astutil</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#ATTRIBUTE">ATTRIBUTE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#append">append()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil-module.html">astutil</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Attribute-class.html">Attribute</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.StreamBuffer-class.html#append">append()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.StreamBuffer-class.html">StreamBuffer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html">Attrs</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#append">append()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ContentDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ContentDirective-class.html">ContentDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.AttrsDirective-class.html">AttrsDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#apply">apply()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugAssign-class.html">AugAssign</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#args">args</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugLoad-class.html">AugLoad</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.arguments-class.html">arguments</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.IfDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.IfDirective-class.html">IfDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugStore-class.html">AugStore</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assert-class.html">Assert</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assign-class.html">Assign</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ReplaceDirective-class.html#attach">attach()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ReplaceDirective-class.html">ReplaceDirective</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="B">B</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.BadDirectiveError-class.html">BadDirectiveError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitOr-class.html">BitOr</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Break-class.html">Break</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html">base</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitXor-class.html">BitXor</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#buffer">buffer()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#before">before()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#bool_operators">bool_operators</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#build_code_chunk">build_code_chunk()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#binary_operators">binary_operators</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BoolOp-class.html">BoolOp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder-module.html">builder</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BinOp-class.html">BinOp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.boolop-class.html">boolop</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html#BUILTINS">BUILTINS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitAnd-class.html">BitAnd</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#BREAK">BREAK</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="C">C</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Call-class.html">Call</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#COMMENT">COMMENT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ContentDirective-class.html">ContentDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#CHILD">CHILD</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#COMMENT">COMMENT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html">Context</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#children">children</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Compare-class.html">Compare</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Continue-class.html">Continue</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#comparision_operators">comparision_operators</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#copy">copy()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ClassDef-class.html">ClassDef</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html">compat</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#copy">copy()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.cmpop-class.html">cmpop</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.comprehension-class.html">comprehension</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html">core</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html">Code</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.ConfigurationError-class.html">ConfigurationError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin-module.html">genshi.template.plugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#cut">cut()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#code">code</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html#CONSTANTS">CONSTANTS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="D">D</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html#default_format">default_format</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">TextTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#DIRECTIVE_NAMESPACE">DIRECTIVE_NAMESPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html#directives">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#defaults">defaults</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#directory">directory()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html">DefDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactoryMeta-class.html">DirectiveFactoryMeta</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader-module.html#directory">directory()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Del-class.html">Del</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DirectiveMeta-class.html">DirectiveMeta</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Div-class.html">Div</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Delete-class.html">Delete</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#directives">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#DOCTYPE">DOCTYPE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#delimiters">delimiters</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html#directives">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#DOCTYPE">DOCTYPE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#DESCENDANT">DESCENDANT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives-module.html">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html">DocType</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#DESCENDANT_OR_SELF">DESCENDANT_OR_SELF</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#directives">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#dstar_args">dstar_args</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Dict-class.html">Dict</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#directives">directives</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="E">E</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html">Element</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder-module.html">genshi.builder</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Eq-class.html">Eq</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr-class.html">expr</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.ElementFactory-class.html">ElementFactory</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder-module.html">genshi.builder</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#escape">escape()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html#EXPR">EXPR</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Ellipsis-class.html">Ellipsis</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output-module.html#escape">escape()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#EXPR">EXPR</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output-module.html#EMPTY">EMPTY</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input-module.html#ET">ET()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr_context-class.html">expr_context</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#empty">empty()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html">eval</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expression-class.html">Expression</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output-module.html#encode">encode()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Expression-class.html#evaluate">evaluate()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Expression-class.html">Expression</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Expression-class.html">Expression</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#END">END</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#events">events</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#extension">extension</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#END">END</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.excepthandler-class.html">excepthandler</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#extension">extension</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">MarkupTemplateEnginePlugin</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#end">end()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Exec-class.html">Exec</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html#extension">extension</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">TextTemplateEnginePlugin</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#END_CDATA">END_CDATA</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html#EXEC">EXEC</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#extract">extract()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#END_CDATA">END_CDATA</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#EXEC">EXEC</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#extract">extract()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#END_NS">END_NS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Suite-class.html#execute">execute()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Suite-class.html">Suite</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ExtSlice-class.html">ExtSlice</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#END_NS">END_NS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#EXIT">EXIT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#ENTER">ENTER</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expr-class.html">Expr</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="F">F</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#filename">filename</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#filter">filter()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.For-class.html">For</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.OtherwiseDirective-class.html#filename">filename</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.OtherwiseDirective-class.html">OtherwiseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters-module.html">filters</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html">ForDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html#filename">filename</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#flatten">flatten()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html">Fragment</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder-module.html">genshi.builder</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#filter">filter()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FloorDiv-class.html">FloorDiv</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FunctionDef-class.html">FunctionDef</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="G">G</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#generate">generate()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#get">get()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output-module.html#get_serializer">get_serializer()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#generate">generate()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#get">get()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#GETTEXT_FUNCTIONS">GETTEXT_FUNCTIONS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#generate">generate()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#get_code_params">get_code_params()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Global-class.html">Global</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GeneratorExp-class.html">GeneratorExp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html#get_directive">get_directive()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Gt-class.html">Gt</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi-module.html">genshi</a></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#get_directive_index">get_directive_index()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GtE-class.html">GtE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#get">get()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html#get_directive_index">get_directive_index()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="H">H</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_charref">handle_charref()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html#has_star_import_bug">has_star_import_bug</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#HTML_STRICT">HTML_STRICT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_comment">handle_comment()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#hints">hints</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#HTML_TRANSITIONAL">HTML_TRANSITIONAL</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_data">handle_data()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html-module.html">html</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters-module.html">genshi.filters</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLFormFiller-class.html">HTMLFormFiller</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html-module.html">genshi.filters.html</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_endtag">handle_endtag()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#HTML">HTML</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html">HTMLParser</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_entityref">handle_entityref()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input-module.html#HTML">HTML()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html-module.html">genshi.filters.html</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_pi">handle_pi()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#HTML5">HTML5</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.HTMLSerializer-class.html">HTMLSerializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#handle_starttag">handle_starttag()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#HTML_FRAMESET">HTML_FRAMESET</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="I">I</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html">i18n</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters-module.html">genshi.filters</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#INCLUDE">INCLUDE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#invert">invert()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#I18N_NAMESPACE">I18N_NAMESPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#INCLUDE_ATTRS">INCLUDE_ATTRS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Is-class.html">Is</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.If-class.html">If</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Index-class.html">Index</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#IS_PYTHON2">IS_PYTHON2</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.IfDirective-class.html">IfDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.InjectorTransformation-class.html">InjectorTransformation</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_css">is_safe_css()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IfExp-class.html">IfExp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input-module.html">input</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_elem">is_safe_elem()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#IGNORE_TAGS">IGNORE_TAGS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#INSIDE">INSIDE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_uri">is_safe_uri()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Import-class.html">Import</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Interactive-class.html">Interactive</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IsNot-class.html">IsNot</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ImportFrom-class.html">ImportFrom</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#interpolate">interpolate()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#items">items()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.In-class.html">In</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html">interpolation</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html#INCLUDE">INCLUDE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Invert-class.html">Invert</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="J">J</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#join">join()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="K">K</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#keys">keys()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.keyword-class.html">keyword</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="L">L</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lambda-class.html">Lambda</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#load">load()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LShift-class.html">LShift</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval.LenientLookup-class.html">LenientLookup</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#load_template">load_template()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lt-class.html">Lt</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.List-class.html">List</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader-module.html">loader</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LtE-class.html">LtE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ListComp-class.html">ListComp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html#localname">localname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.QName-class.html">QName</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Load-class.html">Load</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html">LRUCache</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="M">M</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#map">map()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Suite-class.html#mode">mode</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Suite-class.html">Suite</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html">Markup</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html#matched">matched</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Module-class.html">Module</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.markup-module.html">markup</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mod-class.html">Mod</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#MSGBUF">MSGBUF</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup-module.html">genshi.template.markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.mod-class.html">mod</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mult-class.html">Mult</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">MarkupTemplateEnginePlugin</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin-module.html">genshi.template.plugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Expression-class.html#mode">mode</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Expression-class.html">Expression</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="N">N</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#name">name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html#namespace">namespace</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.QName-class.html">QName</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Not-class.html">Not</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Name-class.html">Name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#NAMESPACE">NAMESPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotEq-class.html">NotEq</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#name">name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#namespaces">namespaces</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotIn-class.html">NotIn</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#NAMECHARS">NAMECHARS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#NAMESTART">NAMESTART</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Num-class.html">Num</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html">Namespace</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text-module.html">genshi.template.text</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="O">O</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text-module.html">genshi.template.text</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Or-class.html">Or</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output-module.html">output</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.operator-class.html">operator</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.OtherwiseDirective-class.html">OtherwiseDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#OUTSIDE">OUTSIDE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="P">P</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#package">package()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html">path</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pow-class.html">Pow</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.loader-module.html#package">package()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html">Path</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#PREFIX">PREFIX</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Param-class.html">Param</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#path">path</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#prefixed">prefixed()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#parse">parse()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.PathSyntaxError-class.html">PathSyntaxError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader-module.html#prefixed">prefixed()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#parse">parse()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#PI">PI</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#prepend">prepend()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.ast24-module.html#parse">parse()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.ast24-module.html">genshi.template.ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#PI">PI</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Print-class.html">Print</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil-module.html#parse">parse()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil-module.html">genshi.template.astutil</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#plaintext">plaintext()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#push">push()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.ParseError-class.html">ParseError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin-module.html">plugin</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pass-class.html">Pass</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#pop">pop()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="Q">Q</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html">QName</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="R">R</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Raise-class.html">Raise</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#render">render()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.StreamBuffer-class.html#reset">reset()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.StreamBuffer-class.html">StreamBuffer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#remove">remove()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#replace">replace()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Return-class.html">Return</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#rename">rename()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ReplaceDirective-class.html">ReplaceDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.RShift-class.html">RShift</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#render">render()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Repr-class.html">Repr</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="S">S</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_ATTRS">SAFE_ATTRS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#source">source</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#stripentities">stripentities()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_CSS">SAFE_CSS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#star_args">star_args</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#stripentities">stripentities()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_SCHEMES">SAFE_SCHEMES</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#START">START</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#striptags">striptags()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#SAFE_TAGS">SAFE_TAGS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#START">START</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#striptags">striptags()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#sanitize_css">sanitize_css()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#START_CDATA">START_CDATA</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Sub-class.html">Sub</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#select">select()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#START_CDATA">START_CDATA</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html#SUB">SUB</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#select">select()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#START_NS">START_NS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#SUB">SUB</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html#select">select()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.Path-class.html">Path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#START_NS">START_NS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#SUB_END">SUB_END</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#SELF">SELF</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.stmt-class.html">stmt</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#SUB_START">SUB_START</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#serialize">serialize()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Store-class.html">Store</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Subscript-class.html">Subscript</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#serializer">serializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Str-class.html">Str</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#substitute">substitute()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#serializer">serializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html#STRATEGIES">STRATEGIES</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.Path-class.html">Path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Suite-class.html">Suite</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#serializer">serializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html">Stream</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Suite-class.html">Suite</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#serializer">serializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#stream">stream</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#SVG">SVG</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html#serializer">serializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.StreamBuffer-class.html">StreamBuffer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#SVG_BASIC">SVG_BASIC</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#setup">setup()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.StrictLookup-class.html">StrictLookup</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#SVG_FULL">SVG_FULL</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Slice-class.html">Slice</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#stringrepr">stringrepr()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#SVG_TINY">SVG_TINY</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.slice-class.html">slice</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.StripDirective-class.html">StripDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="T">T</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#tag">tag</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template-module.html">template</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#token_re">token_re</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder-module.html#tag">tag</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder-module.html">genshi.builder</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html">Template</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#totuple">totuple()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.AttrsDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.AttrsDirective-class.html">AttrsDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#template_class">template_class</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#trace">trace()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.TemplateError-class.html">TemplateError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html">transform</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters-module.html">genshi.filters</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ContentDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ContentDirective-class.html">ContentDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#transform">transform()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateNotFound-class.html">TemplateNotFound</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#transform">transform()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">MarkupTemplateEnginePlugin</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.TemplateRuntimeError-class.html">TemplateRuntimeError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html">Transformer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.IfDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.IfDirective-class.html">IfDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.TemplateSyntaxError-class.html">TemplateSyntaxError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#transforms">transforms</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html#test">test()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.Path-class.html">Path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html">Translator</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.OtherwiseDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.OtherwiseDirective-class.html">OtherwiseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#TEXT">TEXT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryExcept-class.html">TryExcept</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ReplaceDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ReplaceDirective-class.html">ReplaceDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#TEXT">TEXT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryFinally-class.html">TryFinally</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.StripDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.StripDirective-class.html">StripDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text-module.html">text</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Tuple-class.html">Tuple</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.TextSerializer-class.html">TextSerializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#tagname">tagname</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">TextTemplateEnginePlugin</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin-module.html">genshi.template.plugin</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="U">U</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UAdd-class.html">UAdd</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.LenientLookup-class.html#undefined">undefined()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.LenientLookup-class.html">LenientLookup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#update">update()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#unary_operators">unary_operators</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.StrictLookup-class.html#undefined">undefined()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.StrictLookup-class.html">StrictLookup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#URI_ATTRS">URI_ATTRS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UnaryOp-class.html">UnaryOp</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.UndefinedError-class.html">UndefinedError</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.USub-class.html">USub</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.unaryop-class.html">unaryop</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#unescape">unescape()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html">util</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html#UNDEFINED">UNDEFINED</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#unescape">unescape()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html">Undefined</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#unwrap">unwrap()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="V">V</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#value">value</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Continue">visit_Continue()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Module">visit_Module()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html#value">value</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Delete">visit_Delete()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Name">visit_Name()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#vars">vars</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Dict">visit_Dict()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Num">visit_Num()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit">visit()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_ExceptHandler">visit_ExceptHandler()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Pass">visit_Pass()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTTransformer-class.html#visit">visit()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTTransformer-class.html">ASTTransformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Exec">visit_Exec()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Print">visit_Print()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_alias">visit_alias()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Expr">visit_Expr()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Raise">visit_Raise()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_arg">visit_arg()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Expression">visit_Expression()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Repr">visit_Repr()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_arguments">visit_arguments()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_For">visit_For()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Return">visit_Return()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Assert">visit_Assert()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_FunctionDef">visit_FunctionDef()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Str">visit_Str()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Assign">visit_Assign()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_GeneratorExp">visit_GeneratorExp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Subscript">visit_Subscript()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Attribute">visit_Attribute()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Global">visit_Global()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Try">visit_Try()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_AugAssign">visit_AugAssign()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_If">visit_If()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_TryExcept">visit_TryExcept()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_BinOp">visit_BinOp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTTransformer-class.html#visit_If">visit_If()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTTransformer-class.html">ASTTransformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_TryFinally">visit_TryFinally()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_BoolOp">visit_BoolOp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_IfExp">visit_IfExp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Tuple">visit_Tuple()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Break">visit_Break()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Import">visit_Import()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_UnaryOp">visit_UnaryOp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Bytes">visit_Bytes()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_ImportFrom">visit_ImportFrom()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_While">visit_While()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Call">visit_Call()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Lambda">visit_Lambda()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_With">visit_With()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_ClassDef">visit_ClassDef()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_List">visit_List()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Yield">visit_Yield()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_Compare">visit_Compare()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#visit_ListComp">visit_ListComp()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="W">W</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#with_parens">with_parens()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#wrapped_bytes">wrapped_bytes()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.While-class.html">While</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html">WithDirective</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.With-class.html">With</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#wrap">wrap()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="X">X</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#XHTML">XHTML</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#XML_NAMESPACE">XML_NAMESPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#XHTML11">XHTML11</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#XINCLUDE_NAMESPACE">XINCLUDE_NAMESPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html">XMLParser</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#XHTML_FRAMESET">XHTML_FRAMESET</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input-module.html#XML">XML()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#XHTML_STRICT">XHTML_STRICT</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#XML_DECL">XML_DECL</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.DocType-class.html#XHTML_TRANSITIONAL">XHTML_TRANSITIONAL</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.DocType-class.html">DocType</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#XML_DECL">XML_DECL</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="Y">Y</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Yield-class.html">Yield</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index">&nbsp;</td>
-<td width="33%" class="link-index">&nbsp;</td>
-</tr>
-<tr><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td><td class="link-index">&nbsp;</td></tr>
-</table>
-</td></tr>
-<tr valign="top"><td valign="top" width="1%"><h2 class="epydoc"><a name="_">_</a></h2></td>
-<td valign="top">
-<table class="link-index" width="100%" border="1">
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__add__">__add__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__getnewargs__">__getnewargs__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.mod-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.mod-class.html">mod</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#__add__">__add__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html#__getnewargs__">__getnewargs__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.QName-class.html">QName</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.operator-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.operator-class.html">operator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__getslice__">__getslice__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.slice-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.slice-class.html">slice</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.ElementFactory-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.ElementFactory-class.html">ElementFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__getstate__">__getstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.stmt-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.stmt-class.html">stmt</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#__getstate__">__getstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.unaryop-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.unaryop-class.html">unaryop</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLFormFiller-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLFormFiller-class.html">HTMLFormFiller</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__getstate__">__getstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html#_BOOLEAN_ATTRS">_BOOLEAN_ATTRS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#__getstate__">__getstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#_die">_die()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__hash__">__hash__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#_dir_by_name">_dir_by_name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__hash__">__hash__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html#_dir_by_name">_dir_by_name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.HTMLSerializer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.HTMLSerializer-class.html">HTMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__html__">__html__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#_dir_by_name">_dir_by_name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.TextSerializer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.TextSerializer-class.html">TextSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__html__">__html__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_dir_by_name">_dir_by_name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html#_dir_by_name">_dir_by_name</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.output.XMLSerializer-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.ElementFactory-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.ElementFactory-class.html">ElementFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#_dir_order">_dir_order</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.AttrsDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.AttrsDirective-class.html">AttrsDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactory-class.html#_dir_order">_dir_order</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactory-class.html">DirectiveFactory</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ChooseDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ChooseDirective-class.html">ChooseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#_dir_order">_dir_order</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_dir_order">_dir_order</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLFormFiller-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLFormFiller-class.html">HTMLFormFiller</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html#_dir_order">_dir_order</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.IfDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.IfDirective-class.html">IfDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html.HTMLSanitizer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html.HTMLSanitizer-class.html">HTMLSanitizer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_DIRECTIVE_RE">_DIRECTIVE_RE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n.Translator-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n.Translator-class.html">Translator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.OldTextTemplate-class.html#_DIRECTIVE_RE">_DIRECTIVE_RE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.OldTextTemplate-class.html">OldTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.OtherwiseDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.OtherwiseDirective-class.html">OtherwiseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.InjectorTransformation-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.InjectorTransformation-class.html">InjectorTransformation</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#_DOTSLASH">_DOTSLASH</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.StripDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.StripDirective-class.html">StripDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.StreamBuffer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.StreamBuffer-class.html">StreamBuffer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#_DOTSLASHSLASH">_DOTSLASHSLASH</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform.Transformer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform.Transformer-class.html">Transformer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#_EMPTY_ELEMS">_EMPTY_ELEMS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#__call__">__call__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html#_EMPTY_ELEMS">_EMPTY_ELEMS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__contains__">__contains__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.ParseError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.ParseError-class.html">ParseError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#_entitydefs">_entitydefs</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__contains__">__contains__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_ESCAPE_RE">_ESCAPE_RE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__contains__">__contains__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.HTMLSerializer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.HTMLSerializer-class.html">HTMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#_external_dtd">_external_dtd</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__contains__">__contains__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.TextSerializer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.TextSerializer-class.html">TextSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AST-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AST-class.html">AST</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__delitem__">__delitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Add-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Add-class.html">Add</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AST-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AST-class.html">AST</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XMLSerializer-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.And-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.And-class.html">And</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Add-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Add-class.html">Add</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.Path-class.html">Path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assert-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Assert-class.html">Assert</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.And-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.And-class.html">And</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.PathSyntaxError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.PathSyntaxError-class.html">PathSyntaxError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assign-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Assign-class.html">Assign</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assert-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Assert-class.html">Assert</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil.ASTCodeGenerator-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil.ASTCodeGenerator-class.html">ASTCodeGenerator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Attribute-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Attribute-class.html">Attribute</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Assign-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Assign-class.html">Assign</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.BadDirectiveError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.BadDirectiveError-class.html">BadDirectiveError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugAssign-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugAssign-class.html">AugAssign</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Attribute-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Attribute-class.html">Attribute</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugLoad-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugLoad-class.html">AugLoad</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugAssign-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugAssign-class.html">AugAssign</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugStore-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugStore-class.html">AugStore</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugLoad-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugLoad-class.html">AugLoad</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.TemplateError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.TemplateError-class.html">TemplateError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BinOp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BinOp-class.html">BinOp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.AugStore-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.AugStore-class.html">AugStore</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.TemplateSyntaxError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.TemplateSyntaxError-class.html">TemplateSyntaxError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitAnd-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitAnd-class.html">BitAnd</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BinOp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BinOp-class.html">BinOp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitOr-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitOr-class.html">BitOr</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitAnd-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitAnd-class.html">BitAnd</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitXor-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitXor-class.html">BitXor</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitOr-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitOr-class.html">BitOr</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BoolOp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BoolOp-class.html">BoolOp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BitXor-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BitXor-class.html">BitXor</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.OtherwiseDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.OtherwiseDirective-class.html">OtherwiseDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Break-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Break-class.html">Break</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.BoolOp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.BoolOp-class.html">BoolOp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WhenDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WhenDirective-class.html">WhenDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Call-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Call-class.html">Call</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Break-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Break-class.html">Break</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ClassDef-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ClassDef-class.html">ClassDef</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Call-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Call-class.html">Call</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Compare-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Compare-class.html">Compare</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ClassDef-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ClassDef-class.html">ClassDef</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Continue-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Continue-class.html">Continue</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Compare-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Compare-class.html">Compare</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.UndefinedError-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.UndefinedError-class.html">UndefinedError</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Del-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Del-class.html">Del</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Continue-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Continue-class.html">Continue</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Delete-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Delete-class.html">Delete</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Del-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Del-class.html">Del</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateNotFound-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateNotFound-class.html">TemplateNotFound</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Dict-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Dict-class.html">Dict</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Delete-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Delete-class.html">Delete</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup.MarkupTemplate-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup.MarkupTemplate-class.html">MarkupTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Div-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Div-class.html">Div</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Dict-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Dict-class.html">Dict</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.AbstractTemplateEnginePlugin-class.html">AbstractTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Ellipsis-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Ellipsis-class.html">Ellipsis</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Div-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Div-class.html">Div</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.MarkupTemplateEnginePlugin-class.html">MarkupTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Eq-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Eq-class.html">Eq</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Ellipsis-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Ellipsis-class.html">Ellipsis</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin.TextTemplateEnginePlugin-class.html">TextTemplateEnginePlugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Exec-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Exec-class.html">Exec</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Eq-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Eq-class.html">Eq</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expr-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Expr-class.html">Expr</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Exec-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Exec-class.html">Exec</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__init__">__init__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expression-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Expression-class.html">Expression</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expr-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Expr-class.html">Expr</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ExtSlice-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ExtSlice-class.html">ExtSlice</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Expression-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Expression-class.html">Expression</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FloorDiv-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.FloorDiv-class.html">FloorDiv</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ExtSlice-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ExtSlice-class.html">ExtSlice</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.HTMLParser-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.HTMLParser-class.html">HTMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.For-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.For-class.html">For</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FloorDiv-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.FloorDiv-class.html">FloorDiv</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input.XMLParser-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input.XMLParser-class.html">XMLParser</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FunctionDef-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.FunctionDef-class.html">FunctionDef</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.For-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.For-class.html">For</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GeneratorExp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.GeneratorExp-class.html">GeneratorExp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.FunctionDef-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.FunctionDef-class.html">FunctionDef</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__iter__">__iter__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Global-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Global-class.html">Global</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GeneratorExp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.GeneratorExp-class.html">GeneratorExp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__len__">__len__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Gt-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Gt-class.html">Gt</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Global-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Global-class.html">Global</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__len__">__len__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GtE-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.GtE-class.html">GtE</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Gt-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Gt-class.html">Gt</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__length_hint__">__length_hint__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.If-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.If-class.html">If</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.GtE-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.GtE-class.html">GtE</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#__mod__">__mod__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IfExp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.IfExp-class.html">IfExp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.If-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.If-class.html">If</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#__mul__">__mul__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Import-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Import-class.html">Import</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IfExp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.IfExp-class.html">IfExp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__ne__">__ne__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ImportFrom-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ImportFrom-class.html">ImportFrom</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Import-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Import-class.html">Import</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__ne__">__ne__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.In-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.In-class.html">In</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ImportFrom-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ImportFrom-class.html">ImportFrom</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__new__">__new__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Index-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Index-class.html">Index</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.In-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.In-class.html">In</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html#__new__">__new__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.QName-class.html">QName</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Interactive-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Interactive-class.html">Interactive</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Index-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Index-class.html">Index</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.DirectiveFactoryMeta-class.html#__new__">__new__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.DirectiveFactoryMeta-class.html" onclick="show_private();">DirectiveFactoryMeta</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Invert-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Invert-class.html">Invert</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Interactive-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Interactive-class.html">Interactive</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DirectiveMeta-class.html#__new__">__new__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DirectiveMeta-class.html" onclick="show_private();">DirectiveMeta</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Is-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Is-class.html">Is</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Invert-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Invert-class.html">Invert</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__nonzero__">__nonzero__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IsNot-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.IsNot-class.html">IsNot</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Is-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Is-class.html">Is</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__or__">__or__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LShift-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.LShift-class.html">LShift</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.IsNot-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.IsNot-class.html">IsNot</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__or__">__or__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lambda-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Lambda-class.html">Lambda</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LShift-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.LShift-class.html">LShift</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi-module.html">genshi</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.List-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.List-class.html">List</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lambda-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Lambda-class.html">Lambda</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder-module.html">genshi.builder</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ListComp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ListComp-class.html">ListComp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.List-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.List-class.html">List</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.compat-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.compat-module.html">genshi.compat</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Load-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Load-class.html">Load</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.ListComp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.ListComp-class.html">ListComp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core-module.html">genshi.core</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lt-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Lt-class.html">Lt</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Load-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Load-class.html">Load</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters-module.html">genshi.filters</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LtE-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.LtE-class.html">LtE</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Lt-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Lt-class.html">Lt</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.html-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.html-module.html">genshi.filters.html</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mod-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Mod-class.html">Mod</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.LtE-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.LtE-class.html">LtE</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.i18n-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Module-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Module-class.html">Module</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mod-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Mod-class.html">Mod</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.filters.transform-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.filters.transform-module.html">genshi.filters.transform</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mult-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Mult-class.html">Mult</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Module-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Module-class.html">Module</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.input-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.input-module.html">genshi.input</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Name-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Name-class.html">Name</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Mult-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Mult-class.html">Mult</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output-module.html">genshi.output</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Not-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Not-class.html">Not</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Name-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Name-class.html">Name</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotEq-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.NotEq-class.html">NotEq</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Not-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Not-class.html">Not</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotIn-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.NotIn-class.html">NotIn</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotEq-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.NotEq-class.html">NotEq</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24-module.html">genshi.template._ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Num-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Num-class.html">Num</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.NotIn-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.NotIn-class.html">NotIn</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.ast24-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.ast24-module.html">genshi.template.ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Or-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Or-class.html">Or</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Num-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Num-class.html">Num</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.astutil-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.astutil-module.html">genshi.template.astutil</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Param-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Param-class.html">Param</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Or-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Or-class.html">Or</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base-module.html">genshi.template.base</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pass-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Pass-class.html">Pass</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Param-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Param-class.html">Param</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives-module.html">genshi.template.directives</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pow-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Pow-class.html">Pow</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pass-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Pass-class.html">Pass</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval-module.html">genshi.template.eval</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Print-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Print-class.html">Print</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Pow-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Pow-class.html">Pow</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.interpolation-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.RShift-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.RShift-class.html">RShift</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Print-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Print-class.html">Print</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader-module.html">genshi.template.loader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Raise-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Raise-class.html">Raise</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.RShift-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.RShift-class.html">RShift</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.markup-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.markup-module.html">genshi.template.markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Repr-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Repr-class.html">Repr</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Raise-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Raise-class.html">Raise</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.plugin-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.plugin-module.html">genshi.template.plugin</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Return-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Return-class.html">Return</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Repr-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Repr-class.html">Repr</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text-module.html">genshi.template.text</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Slice-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Slice-class.html">Slice</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Return-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Return-class.html">Return</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#__package__">__package__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Store-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Store-class.html">Store</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Slice-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Slice-class.html">Slice</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#__radd__">__radd__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Str-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Str-class.html">Str</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Store-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Store-class.html">Store</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Element-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Element-class.html">Element</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Sub-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Sub-class.html">Sub</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Str-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Str-class.html">Str</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Subscript-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Subscript-class.html">Subscript</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Sub-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Sub-class.html">Sub</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Suite-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Suite-class.html">Suite</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Subscript-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Subscript-class.html">Subscript</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Markup-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Markup-class.html">Markup</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryExcept-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.TryExcept-class.html">TryExcept</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Suite-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Suite-class.html">Suite</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryFinally-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.TryFinally-class.html">TryFinally</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryExcept-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.TryExcept-class.html">TryExcept</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.QName-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.QName-class.html">QName</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Tuple-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Tuple-class.html">Tuple</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.TryFinally-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.TryFinally-class.html">TryFinally</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path.Path-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path.Path-class.html">Path</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UAdd-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.UAdd-class.html">UAdd</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Tuple-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Tuple-class.html">Tuple</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.USub-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.USub-class.html">USub</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UAdd-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.UAdd-class.html">UAdd</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UnaryOp-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.UnaryOp-class.html">UnaryOp</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.USub-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.USub-class.html">USub</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.DefDirective-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.DefDirective-class.html">DefDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.While-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.While-class.html">While</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.UnaryOp-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.UnaryOp-class.html">UnaryOp</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.ForDirective-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.ForDirective-class.html">ForDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.With-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.With-class.html">With</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.While-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.While-class.html">While</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.MatchDirective-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.MatchDirective-class.html">MatchDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Yield-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Yield-class.html">Yield</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.With-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.With-class.html">With</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.directives.WithDirective-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.directives.WithDirective-class.html">WithDirective</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.alias-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.alias-class.html">alias</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.Yield-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.Yield-class.html">Yield</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.arguments-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.arguments-class.html">arguments</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.alias-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.alias-class.html">alias</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.boolop-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.boolop-class.html">boolop</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.arguments-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.arguments-class.html">arguments</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__repr__">__repr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.cmpop-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.cmpop-class.html">cmpop</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.boolop-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.boolop-class.html">boolop</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__setitem__">__setitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.comprehension-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.comprehension-class.html">comprehension</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.cmpop-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.cmpop-class.html">cmpop</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__setitem__">__setitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.excepthandler-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.excepthandler-class.html">excepthandler</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.comprehension-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.comprehension-class.html">comprehension</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__setstate__">__setstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr-class.html">expr</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.excepthandler-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.excepthandler-class.html">excepthandler</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.base.Template-class.html#__setstate__">__setstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Template-class.html">Template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr_context-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr_context-class.html">expr_context</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr-class.html">expr</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__setstate__">__setstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.keyword-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.keyword-class.html">keyword</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr_context-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr_context-class.html">expr_context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.loader.TemplateLoader-class.html#__setstate__">__setstate__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.loader.TemplateLoader-class.html">TemplateLoader</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.mod-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.mod-class.html">mod</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.keyword-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.keyword-class.html">keyword</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__str__">__str__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.operator-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.operator-class.html">operator</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.mod-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.mod-class.html">mod</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__str__">__str__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.slice-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.slice-class.html">slice</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.operator-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.operator-class.html">operator</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__str__">__str__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.stmt-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.stmt-class.html">stmt</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.slice-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.slice-class.html">slice</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Undefined-class.html#__str__">__str__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Undefined-class.html">Undefined</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.unaryop-class.html#_fields">_fields</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.unaryop-class.html">unaryop</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.stmt-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.stmt-class.html">stmt</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__sub__">__sub__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#_function_map">_function_map</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.unaryop-class.html#__doc__">__doc__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.unaryop-class.html">unaryop</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.builder.Fragment-class.html#__unicode__">__unicode__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.Fragment-class.html">Fragment</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_get_delims">_get_delims()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__eq__">__eq__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__unicode__">__unicode__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#_nodetest_map">_nodetest_map</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.eval.Code-class.html#__eq__">__eq__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.eval.Code-class.html">Code</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.core.Stream-class.html#__unicode__">__unicode__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Stream-class.html">Stream</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.HTMLSerializer-class.html#_NOESCAPE_ELEMS">_NOESCAPE_ELEMS</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.HTMLSerializer-class.html">HTMLSerializer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.ElementFactory-class.html#__getattr__">__getattr__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.ElementFactory-class.html">ElementFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.ast24-module.html#__warningregistry__">__warningregistry__</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.ast24-module.html">genshi.template.ast24</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.path-module.html#_operator_map">_operator_map</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.path-module.html">genshi.path</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.builder.ElementFactory-class.html#__getitem__">__getitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.builder.ElementFactory-class.html">ElementFactory</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24-module.html">_ast24</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template-module.html">genshi.template</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XHTMLSerializer-class.html#_PRESERVE_SPACE">_PRESERVE_SPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XHTMLSerializer-class.html">XHTMLSerializer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Attrs-class.html#__getitem__">__getitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Attrs-class.html">Attrs</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.boolop-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.boolop-class.html">boolop</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.output.XMLSerializer-class.html#_PRESERVE_SPACE">_PRESERVE_SPACE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.output.XMLSerializer-class.html">XMLSerializer</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.core.Namespace-class.html#__getitem__">__getitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.core.Namespace-class.html">Namespace</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.cmpop-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.cmpop-class.html">cmpop</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template.text.NewTextTemplate-class.html#_set_delims">_set_delims()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.text.NewTextTemplate-class.html">NewTextTemplate</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.template.base.Context-class.html#__getitem__">__getitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template.base.Context-class.html">Context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr-class.html">expr</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#_STRIPENTITIES_RE">_STRIPENTITIES_RE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-</tr>
-<tr>
-<td width="33%" class="link-index"><a href="genshi.util.LRUCache-class.html#__getitem__">__getitem__()</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util.LRUCache-class.html">LRUCache</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.template._ast24.expr_context-class.html#_attributes">_attributes</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.template._ast24.expr_context-class.html">expr_context</a>)</span></td>
-<td width="33%" class="link-index"><a href="genshi.util-module.html#_STRIPTAGS_RE">_STRIPTAGS_RE</a><br />
-<span class="index-where">(in&nbsp;<a href="genshi.util-module.html">genshi.util</a>)</span></td>
-</tr>
-</table>
-</td></tr>
-</table>
-<br /><br /><!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:19 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/index.html 0.7.1-2/doc/api/index.html
--- 0.7-6/doc/api/index.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,185 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>genshi</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">
-      <span class="breadcrumbs">
-        Package&nbsp;genshi
-      </span>
-    </td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<!-- ==================== PACKAGE DESCRIPTION ==================== -->
-<h1 class="epydoc">Package genshi</h1><p class="nomargin-top"></p>
-<p>This package provides various means for generating and processing web markup
-(XML or HTML).</p>
-<p>The design is centered around the concept of streams of markup events (similar
-in concept to SAX parsing events) which can be processed in a uniform manner
-independently of where or how they are produced.</p>
-
-<hr />
-<div class="fields">      <p><strong>Version:</strong>
-        0.7
-      </p>
-</div><!-- ==================== SUBMODULES ==================== -->
-<a name="section-Submodules"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Submodules</span></td>
-</tr>
-  <tr><td class="summary">
-  <ul class="nomargin">
-    <li> <strong class="uidlink"><a href="genshi.builder-module.html">genshi.builder</a></strong>: <em class="summary">Support for programmatically generating markup streams from Python code using
-a very simple syntax. The main entry point to this module is the <a href="genshi.builder-module.html#tag" class="link">tag</a> object
-(which is actually an instance of the <tt class="rst-rst-docutils literal rst-docutils literal">ElementFactory</tt> class). You should
-rarely (if ever) need to directly import and use any of the other classes in
-this module.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.compat-module.html">genshi.compat</a></strong>: <em class="summary">Various Python version compatibility classes and functions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.core-module.html">genshi.core</a></strong>: <em class="summary">Core classes for markup processing.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters-module.html">genshi.filters</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.filters.html-module.html">genshi.filters.html</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a></strong>: <em class="summary">Directives and utilities for internationalization and localization of
-templates.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform-module.html">genshi.filters.transform</a></strong>: <em class="summary">A filter for functional-style transformations of markup streams.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.input-module.html">genshi.input</a></strong>: <em class="summary">Support for constructing markup streams from files, strings, or other
-sources.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.output-module.html">genshi.output</a></strong>: <em class="summary">This module provides different kinds of serialization methods for XML event
-streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.path-module.html">genshi.path</a></strong>: <em class="summary">Basic support for evaluating XPath expressions against streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template-module.html">genshi.template</a></strong>: <em class="summary">Implementation of the template engine.</em>
-    <ul>
-    <li class="private"> <strong class="uidlink"><a href="genshi.template._ast24-module.html">genshi.template._ast24</a></strong>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.ast24-module.html">genshi.template.ast24</a></strong>: <em class="summary">Emulation of the proper abstract syntax tree API for Python 2.4.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil-module.html">genshi.template.astutil</a></strong>: <em class="summary">Support classes for generating code from abstract syntax trees.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base-module.html">genshi.template.base</a></strong>: <em class="summary">Basic templating functionality.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives-module.html">genshi.template.directives</a></strong>: <em class="summary">Implementation of the various template directives.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval-module.html">genshi.template.eval</a></strong>: <em class="summary">Support for &quot;safe&quot; evaluation of Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a></strong>: <em class="summary">String interpolation routines, i.e. the splitting up a given text into some
-parts that are literal strings, and others that are Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.loader-module.html">genshi.template.loader</a></strong>: <em class="summary">Template loading and caching.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.markup-module.html">genshi.template.markup</a></strong>: <em class="summary">Markup templating engine.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin-module.html">genshi.template.plugin</a></strong>: <em class="summary">Basic support for the template engine plugin API used by TurboGears and
-CherryPy/Buffet.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text-module.html">genshi.template.text</a></strong>: <em class="summary">Plain text templating engine.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.util-module.html">genshi.util</a></strong>: <em class="summary">Various utility classes and functions.</em>    </li>
-  </ul></td></tr>
-</table>
-
-<br />
-<!-- ==================== VARIABLES ==================== -->
-<a name="section-Variables"></a>
-<table class="summary" border="1" cellpadding="3"
-       cellspacing="0" width="100%" bgcolor="white">
-<tr bgcolor="#70b0f0" class="table-header">
-  <td align="left" colspan="2" class="table-header">
-    <span class="table-header">Variables</span></td>
-</tr>
-<tr>
-    <td width="15%" align="right" valign="top" class="summary">
-      <span class="summary-type">&nbsp;</span>
-    </td><td class="summary">
-        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'genshi'"><code class="variable-quote">'</code><code class="variable-string">genshi</code><code class="variable-quote">'</code></code>
-    </td>
-  </tr>
-</table>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:20 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/module-tree.html 0.7.1-2/doc/api/module-tree.html
--- 0.7-6/doc/api/module-tree.html	2013-01-27 16:17:19.000000000 +0000
+++ 0.7.1-2/doc/api/module-tree.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,151 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>Module Hierarchy</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">&nbsp;</td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<center><b>
- [ <a href="module-tree.html">Module Hierarchy</a>
- | <a href="class-tree.html">Class Hierarchy</a> ]
-</b></center><br />
-<h1 class="epydoc">Module Hierarchy</h1>
-<ul class="nomargin-top">
-    <li> <strong class="uidlink"><a href="genshi-module.html">genshi</a></strong>: <em class="summary">This package provides various means for generating and processing web markup
-(XML or HTML).</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.builder-module.html">genshi.builder</a></strong>: <em class="summary">Support for programmatically generating markup streams from Python code using
-a very simple syntax. The main entry point to this module is the <a href="genshi.builder-module.html#tag" class="link">tag</a> object
-(which is actually an instance of the <tt class="rst-docutils literal">ElementFactory</tt> class). You should
-rarely (if ever) need to directly import and use any of the other classes in
-this module.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.compat-module.html">genshi.compat</a></strong>: <em class="summary">Various Python version compatibility classes and functions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.core-module.html">genshi.core</a></strong>: <em class="summary">Core classes for markup processing.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters-module.html">genshi.filters</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>
-    <ul>
-    <li> <strong class="uidlink"><a href="genshi.filters.html-module.html">genshi.filters.html</a></strong>: <em class="summary">Implementation of a number of stream filters.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a></strong>: <em class="summary">Directives and utilities for internationalization and localization of
-templates.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.filters.transform-module.html">genshi.filters.transform</a></strong>: <em class="summary">A filter for functional-style transformations of markup streams.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.input-module.html">genshi.input</a></strong>: <em class="summary">Support for constructing markup streams from files, strings, or other
-sources.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.output-module.html">genshi.output</a></strong>: <em class="summary">This module provides different kinds of serialization methods for XML event
-streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.path-module.html">genshi.path</a></strong>: <em class="summary">Basic support for evaluating XPath expressions against streams.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template-module.html">genshi.template</a></strong>: <em class="summary">Implementation of the template engine.</em>
-    <ul>
-    <li class="private"> <strong class="uidlink"><a href="genshi.template._ast24-module.html">genshi.template._ast24</a></strong>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.ast24-module.html">genshi.template.ast24</a></strong>: <em class="summary">Emulation of the proper abstract syntax tree API for Python 2.4.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.astutil-module.html">genshi.template.astutil</a></strong>: <em class="summary">Support classes for generating code from abstract syntax trees.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.base-module.html">genshi.template.base</a></strong>: <em class="summary">Basic templating functionality.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.directives-module.html">genshi.template.directives</a></strong>: <em class="summary">Implementation of the various template directives.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.eval-module.html">genshi.template.eval</a></strong>: <em class="summary">Support for &quot;safe&quot; evaluation of Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.interpolation-module.html">genshi.template.interpolation</a></strong>: <em class="summary">String interpolation routines, i.e. the splitting up a given text into some
-parts that are literal strings, and others that are Python expressions.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.loader-module.html">genshi.template.loader</a></strong>: <em class="summary">Template loading and caching.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.markup-module.html">genshi.template.markup</a></strong>: <em class="summary">Markup templating engine.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.plugin-module.html">genshi.template.plugin</a></strong>: <em class="summary">Basic support for the template engine plugin API used by TurboGears and
-CherryPy/Buffet.</em>    </li>
-    <li> <strong class="uidlink"><a href="genshi.template.text-module.html">genshi.template.text</a></strong>: <em class="summary">Plain text templating engine.</em>    </li>
-    </ul>
-    </li>
-    <li> <strong class="uidlink"><a href="genshi.util-module.html">genshi.util</a></strong>: <em class="summary">Various utility classes and functions.</em>    </li>
-    </ul>
-    </li>
-</ul>
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:19 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/api/redirect.html 0.7.1-2/doc/api/redirect.html
--- 0.7-6/doc/api/redirect.html	2013-01-27 16:17:20.000000000 +0000
+++ 0.7.1-2/doc/api/redirect.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,38 +0,0 @@
-<html><head><title>Epydoc Redirect Page</title>
-<meta http-equiv="cache-control" content="no-cache" />
-<meta http-equiv="expires" content="0" />
-<meta http-equiv="pragma" content="no-cache" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-<body>
-<script type="text/javascript">
-<!--
-var pages = ["genshi.template.plugin.AbstractTemplateEnginePlugin-c", "genshi.template.plugin.MarkupTemplateEnginePlugin-c", "genshi.filters.transform.InjectorTransformation-c", "genshi.template.plugin.TextTemplateEnginePlugin-c", "genshi.template.directives.OtherwiseDirective-c", "genshi.template.directives.ContentDirective-c", "genshi.template.directives.ReplaceDirective-c", "genshi.template.directives.ChooseDirective-c", "genshi.template.base.DirectiveFactoryMeta-c", "genshi.template.base.TemplateRuntimeError-c", "genshi.template.directives.AttrsDirective-c", "genshi.template.directives.MatchDirective-c", "genshi.template.directives.StripDirective-c", "genshi.template.plugin.ConfigurationError-c", "genshi.template.astutil.ASTCodeGenerator-c", "genshi.template.base.TemplateSyntaxError-c", "genshi.template.directives.DirectiveMeta-c", "genshi.template.directives.WhenDirective-c", "genshi.template.directives.WithDirective-c", "genshi.template.directives.DefDirective-c", "genshi.template.directives.ForDirective-c", "genshi.template.loader.TemplateNotFound-c", "genshi.template.astutil.ASTTransformer-c", "genshi.template.base.BadDirectiveError-c", "genshi.template.directives.IfDirective-c", "genshi.filters.transform.StreamBuffer-c", "genshi.template.base.DirectiveFactory-c", "genshi.template.loader.TemplateLoader-c", "genshi.template.markup.MarkupTemplate-c", "genshi.filters.transform.Transformer-c", "genshi.template._ast24.comprehension-c", "genshi.template._ast24.excepthandler-c", "genshi.template.text.NewTextTemplate-c", "genshi.template.text.OldTextTemplate-c", "genshi.template._ast24.GeneratorExp-c", "genshi.template._ast24.expr_context-c", "genshi.template.eval.UndefinedError-c", "genshi.filters.html.HTMLFormFiller-c", "genshi.template._ast24.FunctionDef-c", "genshi.template._ast24.Interactive-c", "genshi.template.base.TemplateError-c", "genshi.template.eval.LenientLookup-c", "genshi.filters.html.HTMLSanitizer-c", "genshi.template._ast24.Expression-c", "genshi.template._ast24.ImportFrom-c", "genshi.template._ast24.TryFinally-c", "genshi.template.eval.StrictLookup-c", "genshi.template._ast24.Attribute-c", "genshi.template._ast24.AugAssign-c", "genshi.template._ast24.Subscript-c", "genshi.template._ast24.TryExcept-c", "genshi.template._ast24.arguments-c", "genshi.template._ast24.AugStore-c", "genshi.template._ast24.ClassDef-c", "genshi.template._ast24.Continue-c", "genshi.template._ast24.Ellipsis-c", "genshi.template._ast24.ExtSlice-c", "genshi.template._ast24.FloorDiv-c", "genshi.template._ast24.ListComp-c", "genshi.template._ast24.operator-c", "genshi.template.eval.Expression-c", "genshi.filters.i18n.Translator-c", "genshi.template._ast24.AugLoad-c", "genshi.template._ast24.Compare-c", "genshi.template._ast24.UnaryOp-c", "genshi.template._ast24.keyword-c", "genshi.template._ast24.unaryop-c", "genshi.template.eval.Undefined-c", "genshi.template.interpolation-m", "genshi.builder.ElementFactory-c", "genshi.output.XHTMLSerializer-c", "genshi.template._ast24.Assert-c", "genshi.template._ast24.Assign-c", "genshi.template._ast24.BitAnd-c", "genshi.template._ast24.BitXor-c", "genshi.template._ast24.BoolOp-c", "genshi.template._ast24.Delete-c", "genshi.template._ast24.Global-c", "genshi.template._ast24.Import-c", "genshi.template._ast24.Invert-c", "genshi.template._ast24.LShift-c", "genshi.template._ast24.Lambda-c", "genshi.template._ast24.Module-c", "genshi.template._ast24.RShift-c", "genshi.template._ast24.Return-c", "genshi.template._ast24.boolop-c", "genshi.template.base.Template-c", "genshi.output.HTMLSerializer-c", "genshi.output.TextSerializer-c", "genshi.template._ast24.BinOp-c", "genshi.template._ast24.BitOr-c", "genshi.template._ast24.Break-c", "genshi.template._ast24.IfExp-c", "genshi.template._ast24.Index-c", "genshi.template._ast24.IsNot-c", "genshi.template._ast24.NotEq-c", "genshi.template._ast24.NotIn-c", "genshi.template._ast24.Param-c", "genshi.template._ast24.Print-c", "genshi.template._ast24.Raise-c", "genshi.template._ast24.Slice-c", "genshi.template._ast24.Store-c", "genshi.template._ast24.Suite-c", "genshi.template._ast24.Tuple-c", "genshi.template._ast24.While-c", "genshi.template._ast24.Yield-c", "genshi.template._ast24.alias-c", "genshi.template._ast24.cmpop-c", "genshi.template._ast24.slice-c", "genshi.template.base.Context-c", "genshi.output.XMLSerializer-c", "genshi.path.PathSyntaxError-c", "genshi.template._ast24.Call-c", "genshi.template._ast24.Dict-c", "genshi.template._ast24.Exec-c", "genshi.template._ast24.Expr-c", "genshi.template._ast24.List-c", "genshi.template._ast24.Load-c", "genshi.template._ast24.Mult-c", "genshi.template._ast24.Name-c", "genshi.template._ast24.Pass-c", "genshi.template._ast24.Repr-c", "genshi.template._ast24.UAdd-c", "genshi.template._ast24.USub-c", "genshi.template._ast24.With-c", "genshi.template._ast24.expr-c", "genshi.template._ast24.stmt-c", "genshi.template.directives-m", "genshi.template._ast24.AST-c", "genshi.template._ast24.Add-c", "genshi.template._ast24.And-c", "genshi.template._ast24.Del-c", "genshi.template._ast24.Div-c", "genshi.template._ast24.For-c", "genshi.template._ast24.GtE-c", "genshi.template._ast24.LtE-c", "genshi.template._ast24.Mod-c", "genshi.template._ast24.Not-c", "genshi.template._ast24.Num-c", "genshi.template._ast24.Pow-c", "genshi.template._ast24.Str-c", "genshi.template._ast24.Sub-c", "genshi.template._ast24.mod-c", "genshi.template.eval.Suite-c", "genshi.template._ast24.Eq-c", "genshi.template._ast24.Gt-c", "genshi.template._ast24.If-c", "genshi.template._ast24.In-c", "genshi.template._ast24.Is-c", "genshi.template._ast24.Lt-c", "genshi.template._ast24.Or-c", "genshi.template.eval.Code-c", "genshi.filters.transform-m", "genshi.template.astutil-m", "genshi.builder.Fragment-c", "genshi.input.HTMLParser-c", "genshi.input.ParseError-c", "genshi.template._ast24-m", "genshi.template.loader-m", "genshi.template.markup-m", "genshi.template.plugin-m", "genshi.builder.Element-c", "genshi.input.XMLParser-c", "genshi.template.ast24-m", "genshi.core.Namespace-c", "genshi.output.DocType-c", "genshi.template.base-m", "genshi.template.eval-m", "genshi.template.text-m", "genshi.util.LRUCache-c", "genshi.filters.html-m", "genshi.filters.i18n-m", "genshi.core.Markup-c", "genshi.core.Stream-c", "genshi.core.Attrs-c", "genshi.core.QName-c", "genshi.path.Path-c", "genshi.template-m", "genshi.builder-m", "genshi.filters-m", "genshi.compat-m", "genshi.output-m", "genshi.input-m", "genshi.core-m", "genshi.path-m", "genshi.util-m", "genshi-m"];
-var dottedName = get_anchor();
-if (dottedName) {
-    var target = redirect_url(dottedName);
-    if (target) window.location.replace(target);
-}
-// -->
-</script>
-
-<h3>Epydoc Auto-redirect page</h3>
-
-<p>When javascript is enabled, this page will redirect URLs of
-the form <tt>redirect.html#<i>dotted.name</i></tt> to the
-documentation for the object with the given fully-qualified
-dotted name.</p>
-<p><a id="message"> &nbsp; </a></p>
-
-<script type="text/javascript">
-<!--
-if (dottedName) {
-    var msg = document.getElementById("message");
-    msg.innerHTML = "No documentation found for <tt>"+
-                    dottedName+"</tt>";
-}
-// -->
-</script>
-
-</body>
-</html>
diff -pruN 0.7-6/doc/api/since-index.html 0.7.1-2/doc/api/since-index.html
--- 0.7-6/doc/api/since-index.html	2013-01-27 16:17:19.000000000 +0000
+++ 0.7.1-2/doc/api/since-index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,167 +0,0 @@
-<?xml version="1.0" encoding="ascii"?>
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-          "DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-<head>
-  <title>Introductions List</title>
-  <link rel="stylesheet" href="epydoc.css" type="text/css" />
-  <script type="text/javascript" src="epydoc.js"></script>
-</head>
-
-<body bgcolor="white" text="black" link="blue" vlink="#204080"
-      alink="#204080">
-<!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table width="100%" cellpadding="0" cellspacing="0">
-  <tr valign="top">
-    <td width="100%">&nbsp;</td>
-    <td>
-      <table cellpadding="0" cellspacing="0">
-        <!-- hide/show private -->
-      </table>
-    </td>
-  </tr>
-</table>
-<center><b>[
- <a href="identifier-index.html">Identifiers</a>
-| <a href="since-index.html">Introductions</a>
-]</b></center><br />
-<h1 class="epydoc"><a name="since">Introductions List</a></h1>
-<br />
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_css">genshi.filters.html.HTMLSanitizer.is_safe_css</a></b>    <ul class="nomargin">
-      <li>version 0.6</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_elem">genshi.filters.html.HTMLSanitizer.is_safe_elem</a></b>    <ul class="nomargin">
-      <li>version 0.6</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.html.HTMLSanitizer-class.html#is_safe_uri">genshi.filters.html.HTMLSanitizer.is_safe_uri</a></b>    <ul class="nomargin">
-      <li>version 0.4.3</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.html.HTMLSanitizer-class.html#sanitize_css">genshi.filters.html.HTMLSanitizer.sanitize_css</a></b>    <ul class="nomargin">
-      <li>version 0.4.3</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.i18n-module.html">genshi.filters.i18n</a></b>    <ul class="nomargin">
-      <li>version 0.4</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.filters.transform-module.html">genshi.filters.transform</a></b>    <ul class="nomargin">
-      <li>version 0.5</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.output.DocType-class.html#get">genshi.output.DocType.get</a></b>    <ul class="nomargin">
-      <li>version 0.4.1</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.output-module.html#encode">genshi.output.encode</a></b>    <ul class="nomargin">
-      <li>version 0.4.1</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.output-module.html#get_serializer">genshi.output.get_serializer</a></b>    <ul class="nomargin">
-      <li>version 0.4.1</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.template.base.DirectiveFactory-class.html">genshi.template.base.DirectiveFactory</a></b>    <ul class="nomargin">
-      <li>version 0.6</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.template.markup.MarkupTemplate-class.html#add_directives">genshi.template.markup.MarkupTemplate.add_directives</a></b>    <ul class="nomargin">
-      <li>version 0.6</li>
-    </ul>
-</table></div>
-<div>
-<table width="100%" class="metadata-index" bgcolor="#e0e0e0"><tr><td class="metadata-index"><b>Introductions in <a href="genshi.template.text.NewTextTemplate-class.html">genshi.template.text.NewTextTemplate</a></b>    <ul class="nomargin">
-      <li>version 0.5</li>
-    </ul>
-</table></div>
-<br /><!-- ==================== NAVIGATION BAR ==================== -->
-<table class="navbar" border="0" width="100%" cellpadding="0"
-       bgcolor="#a0c0ff" cellspacing="0">
-  <tr valign="middle">
-  <!-- Home link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="genshi-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Tree link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Index link -->
-      <th bgcolor="#70b0f0" class="navbar-select"
-          >&nbsp;&nbsp;&nbsp;Indices&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Help link -->
-      <th>&nbsp;&nbsp;&nbsp;<a
-        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>
-
-  <!-- Project homepage -->
-      <th class="navbar" align="right" width="100%">
-        <table border="0" cellpadding="0" cellspacing="0">
-          <tr><th class="navbar" align="center"
-            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
-          </tr></table></th>
-  </tr>
-</table>
-<table border="0" cellpadding="0" cellspacing="0" width="100%%">
-  <tr>
-    <td align="left" class="footer">
-    Generated by Epydoc 3.0.1 on Sun Jan 27 18:17:19 2013
-    </td>
-    <td align="right" class="footer">
-      <a target="mainFrame" href="http://epydoc.sourceforge.net"
-        >http://epydoc.sourceforge.net</a>
-    </td>
-  </tr>
-</table>
-
-<script type="text/javascript">
-  <!--
-  // Private objects are initially displayed (because if
-  // javascript is turned off then we want them to be
-  // visible); but by default, we want to hide them.  So hide
-  // them unless we have a cookie that says to show them.
-  checkCookie();
-  // -->
-</script>
-</body>
-</html>
diff -pruN 0.7-6/doc/common/conf/docutils.ini 0.7.1-2/doc/common/conf/docutils.ini
--- 0.7-6/doc/common/conf/docutils.ini	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/conf/docutils.ini	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-[general]
-input_encoding = utf-8
-strip_comments = yes
-toc_backlinks = none
-
-[html4css1 writer]
-embed_stylesheet = no
-stylesheet = common/style/edgewall.css
-xml_declaration = no
diff -pruN 0.7-6/doc/common/conf/epydoc.ini 0.7.1-2/doc/common/conf/epydoc.ini
--- 0.7-6/doc/common/conf/epydoc.ini	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/conf/epydoc.ini	1970-01-01 00:00:00.000000000 +0000
@@ -1,22 +0,0 @@
-[epydoc]
-
-name: Documentation Index
-url: ../index.html
-verbosity: 1
-
-# Extraction
-docformat: restructuredtext
-parse: yes
-introspect: yes
-exclude: .*\.tests.*
-inheritance: listed
-private: no
-imports: no
-include-log: no
-
-# HTML output
-output: html
-target: doc/api/
-css: doc/common/style/epydoc.css
-frames: no
-sourcecode: no
diff -pruN 0.7-6/doc/common/COPYING 0.7.1-2/doc/common/COPYING
--- 0.7-6/doc/common/COPYING	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/COPYING	1970-01-01 00:00:00.000000000 +0000
@@ -1,28 +0,0 @@
-Copyright (C) 2007 Edgewall Software
-All rights reserved.
-
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions
-are met:
-
- 1. Redistributions of source code must retain the above copyright
-    notice, this list of conditions and the following disclaimer.
- 2. Redistributions in binary form must reproduce the above copyright
-    notice, this list of conditions and the following disclaimer in
-    the documentation and/or other materials provided with the
-    distribution.
- 3. The name of the author may not be used to endorse or promote
-    products derived from this software without specific prior
-    written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
-OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
-WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
-DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
-GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
-IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
-IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
diff -pruN 0.7-6/doc/common/doctools.py 0.7.1-2/doc/common/doctools.py
--- 0.7-6/doc/common/doctools.py	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/doctools.py	1970-01-01 00:00:00.000000000 +0000
@@ -1,123 +0,0 @@
-# -*- coding: utf-8 -*-
-#
-# Copyright (C) 2007 Edgewall Software
-# All rights reserved.
-#
-# This software is licensed as described in the file COPYING, which
-# you should have received as part of this distribution. The terms
-# are also available at http://babel.edgewall.org/wiki/License.
-#
-# This software consists of voluntary contributions made by many
-# individuals. For the exact contribution history, see the revision
-# history and logs, available at http://babel.edgewall.org/log/.
-
-from distutils.cmd import Command
-import doctest
-from glob import glob
-import os
-import sys
-
-TOOLS_DIR = os.path.dirname(__file__)
-
-
-class build_doc(Command):
-    description = 'generate the documentation'
-    user_options = [
-        ('force', None,
-         "force regeneration even if no reStructuredText files have changed"),
-        ('without-apidocs', None,
-         "whether to skip the generation of API documentaton"),
-    ]
-    boolean_options = ['force', 'without-apidocs']
-
-    def initialize_options(self):
-        self.force = False
-        self.without_apidocs = False
-
-    def finalize_options(self):
-        pass
-
-    def run(self):
-        from docutils.core import publish_cmdline
-        from docutils.nodes import raw
-        from docutils.parsers import rst
-        from genshi.input import HTMLParser
-        from genshi.template import TemplateLoader
-
-        docutils_conf = os.path.join(TOOLS_DIR, 'conf', 'docutils.ini')
-        epydoc_conf = os.path.join(TOOLS_DIR, 'conf', 'epydoc.ini')
-
-        try:
-            from pygments import highlight
-            from pygments.lexers import get_lexer_by_name
-            from pygments.formatters import HtmlFormatter
-
-            def code_block(name, arguments, options, content, lineno,
-                           content_offset, block_text, state, state_machine):
-                lexer = get_lexer_by_name(arguments[0])
-                html = highlight('\n'.join(content), lexer, HtmlFormatter())
-                return [raw('', html, format='html')]
-            code_block.arguments = (1, 0, 0)
-            code_block.options = {'language' : rst.directives.unchanged}
-            code_block.content = 1
-            rst.directives.register_directive('code-block', code_block)
-        except ImportError:
-            print('Pygments not installed, syntax highlighting disabled')
-
-        loader = TemplateLoader(['doc', 'doc/common'], variable_lookup='strict')
-        for source in glob('doc/*.txt'):
-            dest = os.path.splitext(source)[0] + '.html'
-            if self.force or not os.path.exists(dest) or \
-                    os.path.getmtime(dest) < os.path.getmtime(source):
-                print('building documentation file %s' % dest)
-                publish_cmdline(writer_name='html',
-                                argv=['--config=%s' % docutils_conf, source,
-                                      dest])
-                fileobj = open(dest)
-                try:
-                    html = HTMLParser(fileobj, encoding='utf-8')
-                    template = loader.load('template.html')
-                    output = template.generate(
-                        html=html,
-                        project=self.distribution
-                    ).render('html', encoding='utf-8')
-                finally:
-                    fileobj.close()
-                fileobj = open(dest, 'w')
-                try:
-                    fileobj.write(output)
-                finally:
-                    fileobj.close()
-
-        if not self.without_apidocs:
-            try:
-                from epydoc import cli
-                old_argv = sys.argv[1:]
-                sys.argv[1:] = [
-                    '--config=%s' % epydoc_conf,
-                    '--top=%s' % self.distribution.packages[0],
-                    '--no-private', # epydoc bug, not read from config
-                    '--simple-term',
-                    '--verbose'
-                ] + self.distribution.packages
-                cli.cli()
-                sys.argv[1:] = old_argv
-
-            except ImportError:
-                print('epydoc not installed, skipping API documentation.')
-
-
-class test_doc(Command):
-    description = 'test the code examples in the documentation'
-    user_options = []
-
-    def initialize_options(self):
-        pass
-
-    def finalize_options(self):
-        pass
-
-    def run(self):
-        for filename in glob('doc/*.txt'):
-            print('testing documentation file %s' % filename)
-            doctest.testfile(filename, False, optionflags=doctest.ELLIPSIS)
diff -pruN 0.7-6/doc/common/README.txt 0.7.1-2/doc/common/README.txt
--- 0.7-6/doc/common/README.txt	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/README.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,7 +0,0 @@
-Edgewall Documentation Utilities
-================================
-
-This repository contains distutils commands for generating offline documentation
-from reStructuredText files and Python source code. These tools are shared among
-a couple of different Edgewall projects to ensure common style and
-functionality.
Binary files 0.7-6/doc/common/style/bkgnd_pattern.png and 0.7.1-2/doc/common/style/bkgnd_pattern.png differ
diff -pruN 0.7-6/doc/common/style/docutils.css 0.7.1-2/doc/common/style/docutils.css
--- 0.7-6/doc/common/style/docutils.css	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/style/docutils.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,277 +0,0 @@
-/*
-:Author: David Goodger
-:Contact: goodger@users.sourceforge.net
-:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
-:Revision: $Revision: 4224 $
-:Copyright: This stylesheet has been placed in the public domain.
-
-Default cascading style sheet for the HTML output of Docutils.
-
-See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
-customize this style sheet.
-*/
-
-/* used to remove borders from tables and images */
-.borderless, table.borderless td, table.borderless th {
-  border: 0 }
-
-table.borderless td, table.borderless th {
-  /* Override padding for "table.docutils td" with "! important".
-     The right padding separates the table cells. */
-  padding: 0 0.5em 0 0 ! important }
-
-.first {
-  /* Override more specific margin styles with "! important". */
-  margin-top: 0 ! important }
-
-.last, .with-subtitle {
-  margin-bottom: 0 ! important }
-
-.hidden {
-  display: none }
-
-a.toc-backref {
-  text-decoration: none ;
-  color: black }
-
-blockquote.epigraph {
-  margin: 2em 5em ; }
-
-dl.docutils dd {
-  margin-bottom: 0.5em }
-
-dl.docutils dt {
-  font-weight: bold }
-
-div.abstract {
-  margin: 2em 5em }
-
-div.abstract p.topic-title {
-  font-weight: bold ;
-  text-align: center }
-
-div.admonition, div.attention, div.caution, div.danger, div.error,
-div.hint, div.important, div.note, div.tip, div.warning {
-  margin: 2em ;
-  border: medium outset ;
-  padding: 1em }
-
-div.admonition p.admonition-title, div.hint p.admonition-title,
-div.important p.admonition-title, div.note p.admonition-title,
-div.tip p.admonition-title {
-  font-weight: bold ;
-  font-family: sans-serif }
-
-div.attention p.admonition-title, div.caution p.admonition-title,
-div.danger p.admonition-title, div.error p.admonition-title,
-div.warning p.admonition-title {
-  color: red ;
-  font-weight: bold ;
-  font-family: sans-serif }
-
-/* Uncomment (and remove this text!) to get reduced vertical space in
-   compound paragraphs.
-div.compound .compound-first, div.compound .compound-middle {
-  margin-bottom: 0.5em }
-
-div.compound .compound-last, div.compound .compound-middle {
-  margin-top: 0.5em }
-*/
-
-div.dedication {
-  margin: 2em 5em ;
-  text-align: center ;
-  font-style: italic }
-
-div.dedication p.topic-title {
-  font-weight: bold ;
-  font-style: normal }
-
-div.figure {
-  margin-left: 2em ;
-  margin-right: 2em }
-
-div.footer, div.header {
-  clear: both;
-  font-size: smaller }
-
-div.line-block {
-  display: block ;
-  margin-top: 1em ;
-  margin-bottom: 1em }
-
-div.line-block div.line-block {
-  margin-top: 0 ;
-  margin-bottom: 0 ;
-  margin-left: 1.5em }
-
-div.sidebar {
-  margin-left: 1em ;
-  border: medium outset ;
-  padding: 1em ;
-  background-color: #ffffee ;
-  width: 40% ;
-  float: right ;
-  clear: right }
-
-div.sidebar p.rubric {
-  font-family: sans-serif ;
-  font-size: medium }
-
-div.system-messages {
-  margin: 5em }
-
-div.system-messages h1 {
-  color: red }
-
-div.system-message {
-  border: medium outset ;
-  padding: 1em }
-
-div.system-message p.system-message-title {
-  color: red ;
-  font-weight: bold }
-
-div.topic {
-  margin: 2em }
-
-h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
-h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
-  margin-top: 0.4em }
-
-h1.title {
-  text-align: center }
-
-h2.subtitle {
-  text-align: center }
-
-hr.docutils {
-  width: 75% }
-
-img.align-left {
-  clear: left }
-
-img.align-right {
-  clear: right }
-
-ol.simple, ul.simple {
-  margin-bottom: 1em }
-
-ol.arabic {
-  list-style: decimal }
-
-ol.loweralpha {
-  list-style: lower-alpha }
-
-ol.upperalpha {
-  list-style: upper-alpha }
-
-ol.lowerroman {
-  list-style: lower-roman }
-
-ol.upperroman {
-  list-style: upper-roman }
-
-p.attribution {
-  text-align: right ;
-  margin-left: 50% }
-
-p.caption {
-  font-style: italic }
-
-p.credits {
-  font-style: italic ;
-  font-size: smaller }
-
-p.label {
-  white-space: nowrap }
-
-p.rubric {
-  font-weight: bold ;
-  font-size: larger ;
-  color: maroon ;
-  text-align: center }
-
-p.sidebar-title {
-  font-family: sans-serif ;
-  font-weight: bold ;
-  font-size: larger }
-
-p.sidebar-subtitle {
-  font-family: sans-serif ;
-  font-weight: bold }
-
-p.topic-title {
-  font-weight: bold }
-
-pre.address {
-  margin-bottom: 0 ;
-  margin-top: 0 ;
-  font-family: serif ;
-  font-size: 100% }
-
-pre.literal-block, pre.doctest-block {
-  margin-left: 2em ;
-  margin-right: 2em ;
-  background-color: #eeeeee }
-
-span.classifier {
-  font-family: sans-serif ;
-  font-style: oblique }
-
-span.classifier-delimiter {
-  font-family: sans-serif ;
-  font-weight: bold }
-
-span.interpreted {
-  font-family: sans-serif }
-
-span.option {
-  white-space: nowrap }
-
-span.pre {
-  white-space: pre }
-
-span.problematic {
-  color: red }
-
-span.section-subtitle {
-  /* font-size relative to parent (h1..h6 element) */
-  font-size: 80% }
-
-table.citation {
-  border-left: solid 1px gray;
-  margin-left: 1px }
-
-table.docinfo {
-  margin: 2em 4em }
-
-table.docutils {
-  margin-top: 0.5em ;
-  margin-bottom: 0.5em }
-
-table.footnote {
-  border-left: solid 1px black;
-  margin-left: 1px }
-
-table.docutils td, table.docutils th,
-table.docinfo td, table.docinfo th {
-  padding-left: 0.5em ;
-  padding-right: 0.5em ;
-  vertical-align: top }
-
-table.docutils th.field-name, table.docinfo th.docinfo-name {
-  font-weight: bold ;
-  text-align: left ;
-  white-space: nowrap ;
-  padding-left: 0 }
-
-h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
-h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
-  font-size: 100% }
-
-tt.docutils {
-  background-color: #eeeeee }
-
-ul.auto-toc {
-  list-style-type: none }
diff -pruN 0.7-6/doc/common/style/edgewall.css 0.7.1-2/doc/common/style/edgewall.css
--- 0.7-6/doc/common/style/edgewall.css	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/style/edgewall.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,109 +0,0 @@
-@import url(docutils.css);
-@import url(pygments.css);
-
-html, body { height: 100%; margin: 0; padding: 0; }
-body { background: #4b4d4d url(bkgnd_pattern.png); color: #000; }
-body, th, td {
-  font: normal small Verdana,Arial,'Bitstream Vera Sans',Helvetica,sans-serif;
-}
-pre, code, tt { font-size: medium; }
-h1, h2, h3, h4 {
-  border-bottom: 1px solid #ccc;
-  font-family: Arial,Verdana,'Bitstream Vera Sans',Helvetica,sans-serif;
-  font-weight: bold; letter-spacing: -0.018em;
-}
-h1 { font-size: 19px; margin: 2em 0 .5em; }
-h2 { font-size: 16px; margin: 1.5em 0 .5em; }
-h3 { color: #333; font-size: 14px; margin: 1.2em 0 .5em; }
-hr { border: none;  border-top: 1px solid #ccb; margin: 2em 0; }
-p { margin: 0 0 1em; }
-
-table { border: 1px solid #999; border-width: 0 1px 0 0;
-  border-collapse: separate; border-spacing: 0;
-}
-table thead th { background: #999; border: 1px solid #999;; color: #fff;
-  font-weight: bold;
-}
-table td { border: 1px solid #ccc; border-width: 0 0 1px 1px; padding: .3em; }
-
-:link, :visited { text-decoration: none; border-bottom: 1px dotted #bbb;
-  color: #b00;
-}
-:link:hover, :visited:hover { background-color: #eee; color: #555; }
-:link img, :visited img { border: none }
-h1 :link, h1 :visited ,h2 :link, h2 :visited, h3 :link, h3 :visited,
-h4 :link, h4 :visited, h5 :link, h5 :visited, h6 :link, h6 :visited {
-  color: #000;
-}
-
-#navigation { background: #b00; color: #fff; font-size: 90%; margin: 0 -20px;
-  padding: .2em .5em; text-align: right;
-}
-#navigation :link, #navigation :visited { border: none; color: #fff; }
-#navigation :link:hover, #navigation :visited:hover { background: #fff;
-  color: #b00;
-}
-#navigation span.projinfo { float: left; }
-#footer { border-top: 1px solid #d7d7d7; color: #666; font-size: 90%;
-  margin: 8em -20px 0; padding: .5em 0 2em; text-align: center;
-}
-#footer :link, #footer :visited { color: #666; }
-
-div.document { background: #fff url(shadow.gif) right top repeat-y;
-  border-left: 1px solid #000; margin: 0 auto 0 40px; min-height: 100%;
-  padding: 0 180px 1px 20px; width: 700px;
-}
-
-div.contents { font-size: 90%; position: absolute; position: fixed;
-  margin-left: 81px; left: 60em; top: 30px; right: 0; bottom: 0;
-  overflow: auto; overflow-x: hidden;
-}
-div.contents .topic-title { display: none; }
-div.contents ul { list-style: none; padding-left: 0; }
-div.contents .auto-toc :link, div.contents .auto-toc :visited {
-  color: #e9e9e9; border: none; display: block; font-weight: bold;
-  padding: 1px 5px 2px 10px;
-}
-div.contents .auto-toc :link:hover, div.contents .auto-toc :visited:hover {
-  background: #000; color: #fff;
-}
-div.contents .auto-toc .auto-toc :link,
-div.contents .auto-toc .auto-toc :visited { color: #c6c6c6;
-  font-weight: normal;
-}
-
-h1.title, div.document#preface h1 { border: none; color: #666;
-  font-size: x-large; margin: 0 -20px 1em; padding: 2em 20px 0;
-}
-h1.title { background: url(vertbars.png) repeat-x; }
-div.document#preface h1.title { text-indent: -4000px; }
-div.document#preface h1 { text-align: center; }
-pre.literal-block, div.highlight pre { background: #f4f4f4;
-  border: 1px solid #e6e6e6; color: #000; margin: 1em 1em; padding: .25em;
-  overflow: auto;
-}
-
-table.field-list { border-collapse: collapse; }
-table.field-list th.field-name { color: #333; font-weight: normal;
-  text-align: right;
-}
-table.field-list td { border-width: 1px; }
-
-div.admonition, div.attention, div.caution, div.danger, div.error, div.hint,
-div.important, div.note, div.tip, div.warning {
-  border: none; color: #333; font-style: italic; margin: 1em 2em;
-}
-div.attention p.admonition-title, div.caution p.admonition-title, div.danger
-p.admonition-title, div.error p.admonition-title,
-div.warning p.admonition-title {
-  color: #b00;
-}
-p.admonition-title { margin-bottom: 0; text-transform: uppercase; }
-tt.docutils { background-color: transparent; }
-span.pre { white-space: normal; }
-
-div.section { margin-left: 1.5em; }
-div.section h1 { margin-left: -1em; }
-div.section div.section { margin-left: 0; }
-div.section div.section { margin-bottom: 4em; } 
-div.section div.section div.section { margin-bottom: 0; }
diff -pruN 0.7-6/doc/common/style/epydoc.css 0.7.1-2/doc/common/style/epydoc.css
--- 0.7-6/doc/common/style/epydoc.css	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/style/epydoc.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,136 +0,0 @@
-html { background: #4b4d4d url(../style/bkgnd_pattern.png); margin: 0;
-  padding: 1em 1em 3em;
-}
-body { background: #fff url(../style/vertbars.png) repeat-x;
-  border: 1px solid #000; color: #000; margin: 1em 0; padding: 0 1em 1em;
-}
-body, th, td {
-  font: normal small Verdana,Arial,'Bitstream Vera Sans',Helvetica,sans-serif;
-}
-h1, h2, h3, h4 {
-  font-family: Arial,Verdana,'Bitstream Vera Sans',Helvetica,sans-serif;
-  font-weight: bold; letter-spacing: -0.018em;
-}
-h1 { font-size: 19px; margin: 2em 0 .5em; }
-h2 { font-size: 16px; margin: 1.5em 0 .5em; }
-h3 { font-size: 14px; margin: 1.2em 0 .5em; }
-hr { border: none;  border-top: 1px solid #ccb; margin: 2em 0; }
-p { margin: 0 0 1em; }
-:link, :visited { text-decoration: none; border-bottom: 1px dotted #bbb;
-  color: #b00;
-}
-:link:hover, :visited:hover { background-color: #eee; color: #555; }
-
-table { border: none; border-collapse: collapse; }
-
-table.navbar { background: #000; color: #fff; margin: 2em 0 .33em; }
-table.navbar th { border: 1px solid #000; font-weight: bold; padding: 1px; }
-table.navbar :link, table.navbar :visited { border: none; color: #fff; }
-table.navbar :link:hover, table.navbar :visited:hover { background: none;
-  text-decoration: underline overline;
-}
-table.navbar th.navbar-select { background: #fff; color: #000; }
-span.breadcrumbs { color: #666; font-size: 95%; }
-h1.epydoc { border: none; color: #666;
-  font-size: x-large; margin: 1em 0 0; padding: 0;
-}
-pre.base-tree { color: #666; margin: 0; padding: 0; }
-pre.base-tree :link, pre.base-tree :visited { border: none; }
-pre.py-doctest, pre.variable, pre.rst-literal-block { background: #eee;
-  border: 1px solid #e6e6e6; color: #000; margin: 1em; padding: .25em;
-  overflow: auto;
-}
-pre.variable { margin: 0; }
-
-/* Summary tables */
-
-table.summary { margin: .5em 0; }
-table.summary tr.table-header { background: #f7f7f0; }
-table.summary td.table-header { color: #666; font-weight: bold; }
-table.summary th.group-header { background: #f7f7f0; color: #666;
-  font-size: 90%; font-weight: bold; text-align: left;
-}
-table.summary th, table.summary td { border: 1px solid #d7d7d7; }
-table.summary th th, table.summary td td { border: none; }
-table.summary td.summary table td { color: #666; font-size: 90%; }
-table.summary td.summary table br { display: none; }
-table.summary td.summary span.summary-type { font-family: monospace; 
-  font-size: 90%;
-}
-table.summary td.summary span.summary-type code { font-size: 110%; }
-p.indent-wrapped-lines { color: #999; font-size: 85%; margin: 0;
-  padding: 0 0 0 7em; text-indent: -7em;
-}
-p.indent-wrapped-lines code { color: #999; font-size: 115%; }
-p.indent-wrapped-lines :link, p.indent-wrapped-lines :visited { border: none; }
-.summary-sig { display: block; font-family: monospace; font-size: 120%;
-  margin-bottom: .5em;
-}
-.summary-sig-name { font-weight: bold; }
-.summary-sig-arg { color: #333; }
-.summary-sig :link, .summary-sig :visited { border: none; }
-.summary-name { font-family: monospace; font-weight: bold; }
-
-/* Details tables */
-
-table.details { margin: 2em 0 0; }
-div table.details { margin-top: 0; }
-table.details tr.table-header { background: transparent; }
-table.details td.table-header { border-bottom: 1px solid #ccc; padding: 2em 0 0; }
-table.details span.table-header {
-  font: bold 140% Arial,Verdana,'Bitstream Vera Sans',Helvetica,sans-serif;
-  letter-spacing: -0.018em;
-}
-table.details th, table.details td { border: none; }
-table.details th th, table.details td td { border: none; }
-table.details td { padding-left: 2em; }
-table.details td td { padding-left: 0; }
-table.details h3.epydoc { margin-left: -2em; }
-table.details h3.epydoc .sig { color: #999; font-family: monospace; }
-table.details h3.epydoc .sig-name { color: #000; }
-table.details h3.epydoc .sig-arg { color: #666; }
-table.details h3.epydoc .sig-default { font-size: 95%; font-weight: normal; }
-table.details h3.epydoc .sig-default code { font-weight: normal; }
-table.details h3.epydoc .fname { color: #999; font-size: 90%;
-  font-style: italic; font-weight: normal; line-height: 1.6em;
-}
-
-dl dt { color: #666; margin-top: 1em; }
-dl dd { margin: 0; padding-left: 2em; }
-dl.fields { margin: 1em 0; padding: 0; }
-dl.fields dt { color: #666; margin-top: 1em; }
-dl.fields dd ul { margin: 0; padding: 0; }
-div.fields { font-size: 90%; margin: 0 0 2em 2em; }
-div.fields p { margin-bottom: 0.5em; }
-
-table td.footer { color: #999; font-size: 85%; margin-top: 3em;
-  padding: 0 3em 1em; position: absolute; width: 80%; }
-table td.footer :link, table td.footer :visited { border: none; color: #999; }
-table td.footer :link:hover, table td.footer :visited:hover {
-  background: transparent; text-decoration: underline;
-}
-
-/* Syntax highlighting */
-
-.py-prompt, .py-more, .variable-ellipsis, .variable-op { color: #999; }
-.variable-group { color: #666; font-weight: bold; }
-.py-string, .variable-string, .variable-quote { color: #093; }
-.py-comment { color: #06f; font-style: italic; }
-.py-keyword { color: #00f; }
-.py-output { background: #f6f6f0; color: #666; font-weight: bold; }
-
-/* Index */
-
-table.link-index { background: #f6f6f0; border: none; margin-top: 1em; }
-table.link-index td.link-index { border: none; font-family: monospace;
-  font-weight: bold; padding: .5em 1em;
-}
-table.link-index td table, table.link-index td td { border: none; }
-table.link-index .index-where { color: #999;
-  font-family: Verdana,Arial,'Bitstream Vera Sans',Helvetica,sans-serif;
-  font-size: 90%; font-weight: normal; line-height: 1.6em;
-}
-table.link-index .index-where :link, table.link-index .index-where :visited {
-  border: none; color: #666;
-}
-h2.epydoc { color: #999; font-size: 200%; line-height: 10px; }
diff -pruN 0.7-6/doc/common/style/pygments.css 0.7.1-2/doc/common/style/pygments.css
--- 0.7-6/doc/common/style/pygments.css	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/style/pygments.css	1970-01-01 00:00:00.000000000 +0000
@@ -1,57 +0,0 @@
-div.highlight { background: #ffffff; }
-div.highlight .c { color: #999988; font-style: italic }
-div.highlight .err { color: #a61717; background-color: #e3d2d2 }
-div.highlight .k { font-weight: bold }
-div.highlight .o { font-weight: bold }
-div.highlight .cm { color: #999988; font-style: italic }
-div.highlight .cp { color: #999999; font-weight: bold }
-div.highlight .c1 { color: #999988; font-style: italic }
-div.highlight .cs { color: #999999; font-weight: bold; font-style: italic }
-div.highlight .gd { color: #000000; background-color: #ffdddd }
-div.highlight .ge { font-style: italic }
-div.highlight .gr { color: #aa0000 }
-div.highlight .gh { color: #999999 }
-div.highlight .gi { color: #000000; background-color: #ddffdd }
-div.highlight .go { color: #888888 }
-div.highlight .gp { color: #555555 }
-div.highlight .gs { font-weight: bold }
-div.highlight .gu { color: #aaaaaa }
-div.highlight .gt { color: #aa0000 }
-div.highlight .kc { font-weight: bold }
-div.highlight .kd { font-weight: bold }
-div.highlight .kp { font-weight: bold }
-div.highlight .kr { font-weight: bold }
-div.highlight .kt { color: #445588; font-weight: bold }
-div.highlight .m { color: #009999 }
-div.highlight .s { color: #bb8844 }
-div.highlight .na { color: #008080 }
-div.highlight .nb { color: #999999 }
-div.highlight .nc { color: #445588; font-weight: bold }
-div.highlight .no { color: #008080 }
-div.highlight .ni { color: #800080 }
-div.highlight .ne { color: #990000; font-weight: bold }
-div.highlight .nf { color: #990000; font-weight: bold }
-div.highlight .nn { color: #555555 }
-div.highlight .nt { color: #000080 }
-div.highlight .nv { color: #008080 }
-div.highlight .ow { font-weight: bold }
-div.highlight .mf { color: #009999 }
-div.highlight .mh { color: #009999 }
-div.highlight .mi { color: #009999 }
-div.highlight .mo { color: #009999 }
-div.highlight .sb { color: #bb8844 }
-div.highlight .sc { color: #bb8844 }
-div.highlight .sd { color: #bb8844 }
-div.highlight .s2 { color: #bb8844 }
-div.highlight .se { color: #bb8844 }
-div.highlight .sh { color: #bb8844 }
-div.highlight .si { color: #bb8844 }
-div.highlight .sx { color: #bb8844 }
-div.highlight .sr { color: #808000 }
-div.highlight .s1 { color: #bb8844 }
-div.highlight .ss { color: #bb8844 }
-div.highlight .bp { color: #999999 }
-div.highlight .vc { color: #008080 }
-div.highlight .vg { color: #008080 }
-div.highlight .vi { color: #008080 }
-div.highlight .il { color: #009999 }
Binary files 0.7-6/doc/common/style/shadow.gif and 0.7.1-2/doc/common/style/shadow.gif differ
Binary files 0.7-6/doc/common/style/vertbars.png and 0.7.1-2/doc/common/style/vertbars.png differ
diff -pruN 0.7-6/doc/common/template.html 0.7.1-2/doc/common/template.html
--- 0.7-6/doc/common/template.html	2013-01-27 15:48:12.000000000 +0000
+++ 0.7.1-2/doc/common/template.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,21 +0,0 @@
-<!DOCTYPE html>
-<html xmlns:py="http://genshi.edgewall.org/" py:strip="">
-
-  <title py:match="head/title">${project.get_name()}: ${select('text()')}</title>
-
-  <!--! Add navigation and footer around content -->
-  <div py:match="div[@class='document']" py:attrs="select('@*')">
-    <div id="navigation">
-      <span class="projinfo">${project.get_name()} ${project.get_version()}</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-    ${select('*|text()')}
-    <div id="footer">
-      Visit the ${project.get_name()} open source project at
-      <a href="${project.get_url()}">${project.get_url()}</a>
-    </div>
-  </div>
-
-  $html
-
-</html>
diff -pruN 0.7-6/doc/filters.html 0.7.1-2/doc/filters.html
--- 0.7-6/doc/filters.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/filters.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,240 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Stream Filters</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="stream-filters">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Stream Filters</h1>
-<p><a class="reference external" href="streams.html">Markup Streams</a> showed how to write filters and how they are applied to
-markup streams. This page describes the features of the various filters that
-come with Genshi itself.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#html-form-filler" id="id1">1   HTML Form Filler</a></li>
-<li><a class="reference internal" href="#html-sanitizer" id="id2">2   HTML Sanitizer</a></li>
-<li><a class="reference internal" href="#transformer" id="id3">3   Transformer</a></li>
-<li><a class="reference internal" href="#translator" id="id4">4   Translator</a></li>
-</ul>
-</div>
-<div class="section" id="html-form-filler">
-<h1>1   HTML Form Filler</h1>
-<p>The filter <tt class="docutils literal">genshi.filters.html.HTMLFormFiller</tt> can automatically populate an
-HTML form from values provided as a simple dictionary. When using this filter,
-you can basically omit any <tt class="docutils literal">value</tt>, <tt class="docutils literal">selected</tt>, or <tt class="docutils literal">checked</tt> attributes
-from form controls in your templates, and let the filter do all that work for
-you.</p>
-<p><tt class="docutils literal">HTMLFormFiller</tt> takes a dictionary of data to populate the form with, where
-the keys should match the names of form elements, and the values determine the
-values of those controls. For example:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">HTMLFormFiller</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="n">template</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">"""&lt;form&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;p&gt;</span>
-<span class="gp">... </span><span class="s">    &lt;label&gt;User name:</span>
-<span class="gp">... </span><span class="s">      &lt;input type="text" name="username" /&gt;</span>
-<span class="gp">... </span><span class="s">    &lt;/label&gt;&lt;br /&gt;</span>
-<span class="gp">... </span><span class="s">    &lt;label&gt;Password:</span>
-<span class="gp">... </span><span class="s">      &lt;input type="password" name="password" /&gt;</span>
-<span class="gp">... </span><span class="s">    &lt;/label&gt;&lt;br /&gt;</span>
-<span class="gp">... </span><span class="s">    &lt;label&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;input type="checkbox" name="remember" /&gt; Remember me</span>
-<span class="gp">... </span><span class="s">    &lt;/label&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;/p&gt;</span>
-<span class="gp">... </span><span class="s">&lt;/form&gt;"""</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">filler</span> <span class="o">=</span> <span class="n">HTMLFormFiller</span><span class="p">(</span><span class="n">data</span><span class="o">=</span><span class="nb">dict</span><span class="p">(</span><span class="n">username</span><span class="o">=</span><span class="s">'john'</span><span class="p">,</span> <span class="n">remember</span><span class="o">=</span><span class="bp">True</span><span class="p">))</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">template</span><span class="o">.</span><span class="n">generate</span><span class="p">()</span> <span class="o">|</span> <span class="n">filler</span><span class="p">)</span>
-<span class="go">&lt;form&gt;</span>
-<span class="go">  &lt;p&gt;</span>
-<span class="go">    &lt;label&gt;User name:</span>
-<span class="go">      &lt;input type="text" name="username" value="john"/&gt;</span>
-<span class="go">    &lt;/label&gt;&lt;br/&gt;</span>
-<span class="go">    &lt;label&gt;Password:</span>
-<span class="go">      &lt;input type="password" name="password"/&gt;</span>
-<span class="go">    &lt;/label&gt;&lt;br/&gt;</span>
-<span class="go">    &lt;label&gt;</span>
-<span class="go">      &lt;input type="checkbox" name="remember" checked="checked"/&gt; Remember me</span>
-<span class="go">    &lt;/label&gt;</span>
-<span class="go">  &lt;/p&gt;</span>
-<span class="go">&lt;/form&gt;</span>
-</pre></div>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">This processing is done without in any way reparsing the template
-output. As any stream filter it operates after the template output is
-generated but <em>before</em> that output is actually serialized.</p>
-</div>
-<p>The filter will of course also handle radio buttons as well as <tt class="docutils literal">&lt;select&gt;</tt> and
-<tt class="docutils literal">&lt;textarea&gt;</tt> elements. For radio buttons to be marked as checked, the value in
-the data dictionary needs to match the <tt class="docutils literal">value</tt> attribute of the <tt class="docutils literal">&lt;input&gt;</tt>
-element, or evaluate to a truth value if the element has no such attribute. For
-options in a <tt class="docutils literal">&lt;select&gt;</tt> box to be marked as selected, the value in the data
-dictionary needs to match the <tt class="docutils literal">value</tt> attribute of the <tt class="docutils literal">&lt;option&gt;</tt> element,
-or the text content of the option if it has no <tt class="docutils literal">value</tt> attribute. Password and
-file input fields are not populated, as most browsers would ignore that anyway
-for security reasons.</p>
-<p>You'll want to make sure that the values in the data dictionary have already
-been converted to strings. While the filter may be able to deal with non-string
-data in some cases (such as check boxes), in most cases it will either not
-attempt any conversion or not produce the desired results.</p>
-<p>You can restrict the form filler to operate only on a specific <tt class="docutils literal">&lt;form&gt;</tt> by
-passing either the <tt class="docutils literal">id</tt> or the <tt class="docutils literal">name</tt> keyword argument to the initializer.
-If either of those is specified, the filter will only apply to form tags with
-an attribute matching the specified value.</p>
-</div>
-<div class="section" id="html-sanitizer">
-<h1>2   HTML Sanitizer</h1>
-<p>The filter <tt class="docutils literal">genshi.filters.html.HTMLSanitizer</tt> filter can be used to clean up
-user-submitted HTML markup, removing potentially dangerous constructs that could
-be used for various kinds of abuse, such as cross-site scripting (XSS) attacks:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">HTMLSanitizer</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.input</span> <span class="kn">import</span> <span class="n">HTML</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="n">html</span> <span class="o">=</span> <span class="n">HTML</span><span class="p">(</span><span class="s">u"""&lt;div&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;p&gt;Innocent looking text.&lt;/p&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;script&gt;alert("Danger: " + document.cookie)&lt;/script&gt;</span>
-<span class="gp">... </span><span class="s">&lt;/div&gt;"""</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">sanitize</span> <span class="o">=</span> <span class="n">HTMLSanitizer</span><span class="p">()</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">html</span> <span class="o">|</span> <span class="n">sanitize</span><span class="p">)</span>
-<span class="go">&lt;div&gt;</span>
-<span class="go">  &lt;p&gt;Innocent looking text.&lt;/p&gt;</span>
-<span class="go">&lt;/div&gt;</span>
-</pre></div>
-<p>In this example, the <tt class="docutils literal">&lt;script&gt;</tt> tag was removed from the output.</p>
-<p>You can determine which tags and attributes should be allowed by initializing
-the filter with corresponding sets. See the API documentation for more
-information.</p>
-<p>Inline <tt class="docutils literal">style</tt> attributes are forbidden by default. If you allow them, the
-filter will still perform sanitization on the contents any encountered inline
-styles: the proprietary <tt class="docutils literal">expression()</tt> function (supported only by Internet
-Explorer) is removed, and any property using an <tt class="docutils literal">url()</tt> which a potentially
-dangerous URL scheme (such as <tt class="docutils literal">javascript:</tt>) are also stripped out:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">HTMLSanitizer</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.input</span> <span class="kn">import</span> <span class="n">HTML</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="n">html</span> <span class="o">=</span> <span class="n">HTML</span><span class="p">(</span><span class="s">u"""&lt;div&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;br style="background: url(javascript:alert(document.cookie); color: #000" /&gt;</span>
-<span class="gp">... </span><span class="s">&lt;/div&gt;"""</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">sanitize</span> <span class="o">=</span> <span class="n">HTMLSanitizer</span><span class="p">(</span><span class="n">safe_attrs</span><span class="o">=</span><span class="n">HTMLSanitizer</span><span class="o">.</span><span class="n">SAFE_ATTRS</span> <span class="o">|</span> <span class="nb">set</span><span class="p">([</span><span class="s">'style'</span><span class="p">]))</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">html</span> <span class="o">|</span> <span class="n">sanitize</span><span class="p">)</span>
-<span class="go">&lt;div&gt;</span>
-<span class="go">  &lt;br style="color: #000"/&gt;</span>
-<span class="go">&lt;/div&gt;</span>
-</pre></div>
-<div class="warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">You should probably not rely on the <tt class="docutils literal">style</tt> filtering, as
-sanitizing mixed HTML, CSS, and Javascript is very complicated and
-suspect to various browser bugs. If you can somehow get away with
-not allowing inline styles in user-submitted content, that would
-definitely be the safer route to follow.</p>
-</div>
-</div>
-<div class="section" id="transformer">
-<h1>3   Transformer</h1>
-<p>The filter <tt class="docutils literal">genshi.filters.transform.Transformer</tt> provides a convenient way to
-transform or otherwise work with markup event streams. It allows you to specify
-which parts of the stream you're interested in with XPath expressions, and then
-attach a variety of transformations to the parts that match:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.builder</span> <span class="kn">import</span> <span class="n">tag</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.core</span> <span class="kn">import</span> <span class="n">TEXT</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">Transformer</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.input</span> <span class="kn">import</span> <span class="n">HTML</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="n">html</span> <span class="o">=</span> <span class="n">HTML</span><span class="p">(</span><span class="s">u'''&lt;html&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;body&gt;</span>
-<span class="gp">... </span><span class="s">    Some &lt;em&gt;body&lt;/em&gt; text.</span>
-<span class="gp">... </span><span class="s">  &lt;/body&gt;</span>
-<span class="gp">... </span><span class="s">&lt;/html&gt;'''</span><span class="p">)</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">html</span> <span class="o">|</span> <span class="n">Transformer</span><span class="p">(</span><span class="s">'body/em'</span><span class="p">)</span><span class="o">.</span><span class="n">map</span><span class="p">(</span><span class="nb">unicode</span><span class="o">.</span><span class="n">upper</span><span class="p">,</span> <span class="n">TEXT</span><span class="p">)</span>
-<span class="gp">... </span>                                   <span class="o">.</span><span class="n">unwrap</span><span class="p">()</span><span class="o">.</span><span class="n">wrap</span><span class="p">(</span><span class="n">tag</span><span class="o">.</span><span class="n">u</span><span class="p">)</span><span class="o">.</span><span class="n">end</span><span class="p">()</span>
-<span class="gp">... </span>                                   <span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'body/u'</span><span class="p">)</span>
-<span class="gp">... </span>                                   <span class="o">.</span><span class="n">prepend</span><span class="p">(</span><span class="s">'underlined '</span><span class="p">))</span>
-<span class="go">&lt;html&gt;</span>
-<span class="go">  &lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;</span>
-<span class="go">  &lt;body&gt;</span>
-<span class="go">    Some &lt;u&gt;underlined BODY&lt;/u&gt; text.</span>
-<span class="go">  &lt;/body&gt;</span>
-<span class="go">&lt;/html&gt;</span>
-</pre></div>
-<p>This example sets up a transformation that:</p>
-<blockquote>
-<ol class="arabic simple">
-<li>matches any <cite>&lt;em&gt;</cite> element anywhere in the body,</li>
-<li>uppercases any text nodes in the element,</li>
-<li>strips off the <cite>&lt;em&gt;</cite> start and close tags,</li>
-<li>wraps the content in a <cite>&lt;u&gt;</cite> tag, and</li>
-<li>inserts the text <cite>underlined</cite> inside the <cite>&lt;u&gt;</cite> tag.</li>
-</ol>
-</blockquote>
-<p>A number of commonly useful transformations are available for this filter.
-Please consult the API documentation a complete list.</p>
-<p>In addition, you can also perform custom transformations. For example, the
-following defines a transformation that changes the name of a tag:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi</span> <span class="kn">import</span> <span class="n">QName</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters.transform</span> <span class="kn">import</span> <span class="n">ENTER</span><span class="p">,</span> <span class="n">EXIT</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="k">class</span> <span class="nc">RenameTransformation</span><span class="p">(</span><span class="nb">object</span><span class="p">):</span>
-<span class="gp">... </span>   <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">name</span><span class="p">):</span>
-<span class="gp">... </span>       <span class="bp">self</span><span class="o">.</span><span class="n">name</span> <span class="o">=</span> <span class="n">QName</span><span class="p">(</span><span class="n">name</span><span class="p">)</span>
-<span class="gp">... </span>   <span class="k">def</span> <span class="nf">__call__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">stream</span><span class="p">):</span>
-<span class="gp">... </span>       <span class="k">for</span> <span class="n">mark</span><span class="p">,</span> <span class="p">(</span><span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span><span class="p">)</span> <span class="ow">in</span> <span class="n">stream</span><span class="p">:</span>
-<span class="gp">... </span>           <span class="k">if</span> <span class="n">mark</span> <span class="ow">is</span> <span class="n">ENTER</span><span class="p">:</span>
-<span class="gp">... </span>               <span class="n">data</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">name</span><span class="p">,</span> <span class="n">data</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span>
-<span class="gp">... </span>           <span class="k">elif</span> <span class="n">mark</span> <span class="ow">is</span> <span class="n">EXIT</span><span class="p">:</span>
-<span class="gp">... </span>               <span class="n">data</span> <span class="o">=</span> <span class="bp">self</span><span class="o">.</span><span class="n">name</span>
-<span class="gp">... </span>           <span class="k">yield</span> <span class="n">mark</span><span class="p">,</span> <span class="p">(</span><span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span><span class="p">)</span>
-</pre></div>
-<p>A transformation can be any callable object that accepts an augmented event
-stream. In this case we define a class, so that we can initialize it with the
-tag name.</p>
-<p>Custom transformations can be applied using the <cite>apply()</cite> method of a
-transformer instance:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="n">xform</span> <span class="o">=</span> <span class="n">Transformer</span><span class="p">(</span><span class="s">'body//em'</span><span class="p">)</span><span class="o">.</span><span class="n">map</span><span class="p">(</span><span class="nb">unicode</span><span class="o">.</span><span class="n">upper</span><span class="p">,</span> <span class="n">TEXT</span><span class="p">)</span> \
-<span class="gp">&gt;&gt;&gt; </span><span class="n">xform</span> <span class="o">=</span> <span class="n">xform</span><span class="o">.</span><span class="n">apply</span><span class="p">(</span><span class="n">RenameTransformation</span><span class="p">(</span><span class="s">'u'</span><span class="p">))</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">html</span> <span class="o">|</span> <span class="n">xform</span><span class="p">)</span>
-<span class="go">&lt;html&gt;</span>
-<span class="go">  &lt;head&gt;&lt;title&gt;Some Title&lt;/title&gt;&lt;/head&gt;</span>
-<span class="go">  &lt;body&gt;</span>
-<span class="go">    Some &lt;u&gt;BODY&lt;/u&gt; text.</span>
-<span class="go">  &lt;/body&gt;</span>
-<span class="go">&lt;/html&gt;</span>
-</pre></div>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The transformation filter was added in Genshi 0.5.</p>
-</div>
-</div>
-<div class="section" id="translator">
-<h1>4   Translator</h1>
-<p>The <tt class="docutils literal">genshi.filters.i18n.Translator</tt> filter implements basic support for
-internationalizing and localizing templates. When used as a filter, it
-translates a configurable set of text nodes and attribute values using a
-<tt class="docutils literal">gettext</tt>-style translation function.</p>
-<p>The <tt class="docutils literal">Translator</tt> class also defines the <tt class="docutils literal">extract</tt> class method, which can
-be used to extract localizable messages from a template.</p>
-<p>Please refer to the API documentation for more information on this filter.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The translation filter was added in Genshi 0.4.</p>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/i18n.html 0.7.1-2/doc/i18n.html
--- 0.7-6/doc/i18n.html	2013-01-27 16:17:13.000000000 +0000
+++ 0.7.1-2/doc/i18n.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,435 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Internationalization and Localization</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="internationalization-and-localization">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Internationalization and Localization</h1>
-<p>Genshi provides comprehensive supporting infrastructure for internationalizing
-and localizing templates. That includes functionality for extracting
-localizable strings from templates, as well as a template filter and special
-directives that can apply translations to templates as they get rendered.</p>
-<p>This support is based on <a class="reference external" href="http://www.gnu.org/software/gettext/">gettext</a> message catalogs and the <a class="reference external" href="http://docs.python.org/lib/module-gettext.html">gettext Python
-module</a>. The extraction process can be used from the API level, or through
-the front-ends implemented by the <a class="reference external" href="http://babel.edgewall.org/">Babel</a> project, for which Genshi provides
-a plugin.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#basics" id="id3">1   Basics</a><ul class="auto-toc">
-<li><a class="reference internal" href="#language-tagging" id="id4">1.1   Language Tagging</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#id1" id="id5">2   Template Directives</a><ul class="auto-toc">
-<li><a class="reference internal" href="#messages" id="id6">2.1   Messages</a></li>
-<li><a class="reference internal" href="#comments-and-domains" id="id7">2.2   Comments and Domains</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#extraction" id="id8">3   Extraction</a><ul class="auto-toc">
-<li><a class="reference internal" href="#babel-integration" id="id9">3.1   Babel Integration</a></li>
-<li><a class="reference internal" href="#configuration-options" id="id10">3.2   Configuration Options</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#translation" id="id11">4   Translation</a></li>
-<li><a class="reference internal" href="#related-considerations" id="id12">5   Related Considerations</a><ul class="auto-toc">
-<li><a class="reference internal" href="#unicode" id="id13">5.1   Unicode</a></li>
-<li><a class="reference internal" href="#date-and-time" id="id14">5.2   Date and Time</a></li>
-<li><a class="reference internal" href="#formatting-and-locale-data" id="id15">5.3   Formatting and Locale Data</a></li>
-</ul>
-</li>
-</ul>
-</div>
-<div class="section" id="basics">
-<h1>1   Basics</h1>
-<p>The simplest way to internationalize and translate templates would be to wrap
-all localizable strings in a <tt class="docutils literal">gettext()</tt> function call (which is often
-aliased to <tt class="docutils literal">_()</tt> for brevity). In that case, no extra template filter is
-required.</p>
-<div class="highlight"><pre><span class="nt">&lt;p&gt;</span><span class="cp">${</span><span class="n">_</span><span class="p">(</span><span class="s">"Hello, world!"</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>However, this approach results in significant “character noise” in templates,
-making them harder to read and preview.</p>
-<p>The <tt class="docutils literal">genshi.filters.Translator</tt> filter allows you to get rid of the
-explicit <a class="reference external" href="http://www.gnu.org/software/gettext/">gettext</a> function calls, so you can (often) just continue to write:</p>
-<div class="highlight"><pre><span class="nt">&lt;p&gt;</span>Hello, world!<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>This text will still be extracted and translated as if you had wrapped it in a
-<tt class="docutils literal">_()</tt> call.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">For parameterized or pluralizable messages, you need to use the
-special <a class="reference internal" href="#template-directives">template directives</a> described below, or use the
-corresponding <tt class="docutils literal">gettext</tt> function in embedded Python expressions.</p>
-</div>
-<p>You can control which tags should be ignored by this process; for example, it
-doesn't really make sense to translate the content of the HTML
-<tt class="docutils literal"><span class="pre">&lt;script&gt;&lt;/script&gt;</span></tt> element. Both <tt class="docutils literal">&lt;script&gt;</tt> and <tt class="docutils literal">&lt;style&gt;</tt> are excluded
-by default.</p>
-<p>Attribute values can also be automatically translated. The default is to
-consider the attributes <tt class="docutils literal">abbr</tt>, <tt class="docutils literal">alt</tt>, <tt class="docutils literal">label</tt>, <tt class="docutils literal">prompt</tt>, <tt class="docutils literal">standby</tt>,
-<tt class="docutils literal">summary</tt>, and <tt class="docutils literal">title</tt>, which is a list that makes sense for HTML
-documents.  Of course, you can tell the translator to use a different set of
-attribute names, or none at all.</p>
-<div class="section" id="language-tagging">
-<h2>1.1   Language Tagging</h2>
-<p>You can control automatic translation in your templates using the <tt class="docutils literal">xml:lang</tt>
-attribute. If the value of that attribute is a literal string, the contents and
-attributes of the element will be ignored:</p>
-<div class="highlight"><pre><span class="nt">&lt;p</span> <span class="na">xml:lang=</span><span class="s">"en"</span><span class="nt">&gt;</span>Hello, world!<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>On the other hand, if the value of the <tt class="docutils literal">xml:lang</tt> attribute contains a Python
-expression, the element contents and attributes are still considered for
-automatic translation:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xml:lang=</span><span class="s">"</span><span class="nv">$locale</span><span class="s">"</span><span class="nt">&gt;</span>
-  ...
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-</div>
-</div>
-<div class="section" id="id1">
-<span id="template-directives"></span><h1>2   Template Directives</h1>
-<p>Sometimes localizable strings in templates may contain dynamic parameters, or
-they may depend on the numeric value of some variable to choose a proper
-plural form. Sometimes the strings contain embedded markup, such as tags for
-emphasis or hyperlinks, and you don't want to rely on the people doing the
-translations to know the syntax and escaping rules of HTML and XML.</p>
-<p>In those cases the simple text extraction and translation process described
-above is not sufficient. You could just use <tt class="docutils literal">gettext</tt> API functions in
-embedded Python expressions for parameters and pluralization, but that does
-not help when messages contain embedded markup. Genshi provides special
-template directives for internationalization that attempt to provide a
-comprehensive solution for this problem space.</p>
-<p>To enable these directives, you'll need to register them with the templates
-they are used in. You can do this by adding them manually via the
-<tt class="docutils literal">Template.add_directives(namespace, factory)</tt> (where <tt class="docutils literal">namespace</tt> would be
-“<a class="reference external" href="http://genshi.edgewall.org/i18n">http://genshi.edgewall.org/i18n</a>” and <tt class="docutils literal">factory</tt> would be an instance of the
-<tt class="docutils literal">Translator</tt> class). Or you can just call the <tt class="docutils literal">Translator.setup(template)</tt>
-class method, which both registers the directives and adds the translation
-filter.</p>
-<p>After the directives have been registered with the template engine on the
-Python side of your application, you need to declare the corresponding
-directive namespace in all markup templates that use them. For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span>
-      <span class="na">xmlns:i18n=</span><span class="s">"http://genshi.edgewall.org/i18n"</span><span class="nt">&gt;</span>
-  …
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>These directives only make sense in the context of <a class="reference external" href="xml-templates.html">markup templates</a>. For
-<a class="reference external" href="text-templates.html">text templates</a>, you can just use the corresponding <tt class="docutils literal">gettext</tt> API calls as needed.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The internationalization directives are still somewhat experimental
-and have some known issues. However, the attribute language they
-implement should be stable and is not subject to change
-substantially in future versions.</p>
-</div>
-<div class="section" id="messages">
-<h2>2.1   Messages</h2>
-<div class="section" id="i18n-msg">
-<h3>2.1.1   <tt class="docutils literal">i18n:msg</tt></h3>
-<p>This is the basic directive for defining localizable text passages that
-contain parameters and/or markup.</p>
-<p>For example, consider the following template snippet:</p>
-<div class="highlight"><pre><span class="nt">&lt;p&gt;</span>
-  Please visit <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">url</span><span class="cp">}</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">name</span><span class="cp">}</span><span class="nt">&lt;/a&gt;</span> for help.
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>Without further annotation, the translation filter would treat this sentence
-as two separate messages (“Please visit” and “for help”), and the translator
-would have no control over the position of the link in the sentence.</p>
-<p>However, when you use the Genshi internationalization directives, you simply
-add an <tt class="docutils literal">i18n:msg</tt> attribute to the enclosing <tt class="docutils literal">&lt;p&gt;</tt> element:</p>
-<div class="highlight"><pre><span class="nt">&lt;p</span> <span class="na">i18n:msg=</span><span class="s">"name"</span><span class="nt">&gt;</span>
-  Please visit <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">url</span><span class="cp">}</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">name</span><span class="cp">}</span><span class="nt">&lt;/a&gt;</span> for help.
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>Genshi is then able to identify the text in the <tt class="docutils literal">&lt;p&gt;</tt> element as a single
-message for translation purposes. You'll see the following string in your
-message catalog:</p>
-<pre class="literal-block">
-Please visit [1:%(name)s] for help.
-</pre>
-<p>The <cite>&lt;a&gt;</cite> element with its attribute has been replaced by a part in square
-brackets, which does not include the tag name or the attributes of the element.</p>
-<p>The value of the <tt class="docutils literal">i18n:msg</tt> attribute is a comma-separated list of parameter
-names, which serve as simplified aliases for the actual Python expressions the
-message contains. The order of the paramer names in the list must correspond
-to the order of the expressions in the text. In this example, there is only
-one parameter: its alias for translation is “name”, while the corresponding
-expression is <tt class="docutils literal">${site.name}</tt>.</p>
-<p>The translator now has complete control over the structure of the sentence. He
-or she certainly does need to make sure that any bracketed parts are not
-removed, and that the <tt class="docutils literal">name</tt> parameter is preserved correctly. But those are
-things that can be easily checked by validating the message catalogs. The
-important thing is that the translator can change the sentence structure, and
-has no way to break the application by forgetting to close a tag, for example.</p>
-<p>So if the German translator of this snippet decided to translate it to:</p>
-<pre class="literal-block">
-Um Hilfe zu erhalten, besuchen Sie bitte [1:%(name)s]
-</pre>
-<p>The resulting output might be:</p>
-<div class="highlight"><pre><span class="nt">&lt;p&gt;</span>
-  Um Hilfe zu erhalten, besuchen Sie bitte
-  <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"http://example.com/"</span><span class="nt">&gt;</span>Example<span class="nt">&lt;/a&gt;</span>
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>Messages may contain multiple tags, and they may also be nested. For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;p</span> <span class="na">i18n:msg=</span><span class="s">"name"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;i&gt;</span>Please<span class="nt">&lt;/i&gt;</span> visit <span class="nt">&lt;b&gt;</span>the site <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">url</span><span class="cp">}</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">name</span><span class="cp">}</span><span class="nt">&lt;/a&gt;&lt;/b&gt;</span>
-  for help.
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>This would result in the following message ID:</p>
-<pre class="literal-block">
-[1:Please] visit [2:the site [3:%(name)s]] for help.
-</pre>
-<p>Again, the translator has full control over the structure of the sentence. So
-the German translation could actually look like this:</p>
-<pre class="literal-block">
-Um Hilfe zu erhalten besuchen Sie [1:bitte]
-[3:%(name)s], [2:das ist eine Web-Site]
-</pre>
-<p>Which Genshi would recompose into the following outout:</p>
-<div class="highlight"><pre><span class="nt">&lt;p&gt;</span>
-  Um Hilfe zu erhalten besuchen Sie <span class="nt">&lt;i&gt;</span>bitte<span class="nt">&lt;/i&gt;</span>
-  <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"http://example.com/"</span><span class="nt">&gt;</span>Example<span class="nt">&lt;/a&gt;</span>, <span class="nt">&lt;b&gt;</span>das ist eine Web-Site<span class="nt">&lt;/b&gt;</span>
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>Note how the translation has changed the order and even the nesting of the
-tags.</p>
-<div class="warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">Please note that <tt class="docutils literal">i18n:msg</tt> directives do not support other
-nested directives. Directives commonly change the structure of
-the generated markup dynamically, which often would result in the
-structure of the text changing, thus making translation as a
-single message ineffective.</p>
-</div>
-</div>
-<div class="section" id="i18n-choose-i18n-singular-i18n-plural">
-<h3>2.1.2   <tt class="docutils literal">i18n:choose</tt>, <tt class="docutils literal">i18n:singular</tt>, <tt class="docutils literal">i18n:plural</tt></h3>
-<p>Translatable strings that vary based on some number of objects, such as “You
-have 1 new message” or “You have 3 new messages”, present their own challenge,
-in particular when you consider that different languages have different rules
-for pluralization. For example, while English and most western languages have
-two plural forms (one for <tt class="docutils literal">n=1</tt> and an other for <tt class="docutils literal"><span class="pre">n&lt;&gt;1</span></tt>), Welsh has five
-different plural forms, while Hungarian only has one.</p>
-<p>The <tt class="docutils literal">gettext</tt> framework has long supported this via the <tt class="docutils literal">ngettext()</tt>
-family of functions. You specify two default messages, one singular and one
-plural, and the number of items. The translations however may contain any
-number of plural forms for the message, depending on how many are commonly
-used in the language. <tt class="docutils literal">ngettext</tt> will choose the correct plural form of the
-translated message based on the specified number of items.</p>
-<p>Genshi provides a variant of the <tt class="docutils literal">i18n:msg</tt> directive described above that
-allows choosing the proper plural form based on the numeric value of a given
-variable. The pluralization support is implemented in a set of three
-directives that must be used together: <tt class="docutils literal">i18n:choose</tt>, <tt class="docutils literal">i18n:singular</tt>, and
-<tt class="docutils literal">i18n:plural</tt>.</p>
-<p>The <tt class="docutils literal">i18n:choose</tt> directive is used to set up the context of the message: it
-simply wraps the singular and plural variants.</p>
-<p>The value of this directive is split into two parts: the first is the
-<em>numeral</em>, a Python expression that evaluates to a number to determine which
-plural form should be chosen. The second part, separated by a semicolon, lists
-the parameter names. This part is equivalent to the value of the <tt class="docutils literal">i18n:msg</tt>
-directive.</p>
-<p>For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;p</span> <span class="na">i18n:choose=</span><span class="s">"len(messages); num"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;i18n:singular&gt;</span>You have <span class="nt">&lt;b&gt;</span><span class="cp">${</span><span class="nb">len</span><span class="p">(</span><span class="n">messages</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span> new message.<span class="nt">&lt;/i18n:singular&gt;</span>
-  <span class="nt">&lt;i18n:plural&gt;</span>You have <span class="nt">&lt;b&gt;</span><span class="cp">${</span><span class="nb">len</span><span class="p">(</span><span class="n">messages</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span> new messages.<span class="nt">&lt;/i18n:plural&gt;</span>
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>All three directives can be used either as elements or attribute. So the above
-example could also be written as follows:</p>
-<div class="highlight"><pre><span class="nt">&lt;i18n:choose</span> <span class="na">numeral=</span><span class="s">"len(messages)"</span> <span class="na">params=</span><span class="s">"num"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">i18n:singular=</span><span class="s">""</span><span class="nt">&gt;</span>You have <span class="nt">&lt;b&gt;</span><span class="cp">${</span><span class="nb">len</span><span class="p">(</span><span class="n">messages</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span> new message.<span class="nt">&lt;/p&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">i18n:plural=</span><span class="s">""</span><span class="nt">&gt;</span>You have <span class="nt">&lt;b&gt;</span><span class="cp">${</span><span class="nb">len</span><span class="p">(</span><span class="n">messages</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span> new messages.<span class="nt">&lt;/p&gt;</span>
-<span class="nt">&lt;/i18n:choose&gt;</span>
-</pre></div>
-<p>When used as an element, the two parts of the <tt class="docutils literal">i18n:choose</tt> value are split
-into two different attributes: <tt class="docutils literal">numeral</tt> and <tt class="docutils literal">params</tt>. The
-<tt class="docutils literal">i18n:singular</tt> and <tt class="docutils literal">i18n:plural</tt> directives do not require or support any
-value (or any extra attributes).</p>
-</div>
-</div>
-<div class="section" id="comments-and-domains">
-<h2>2.2   Comments and Domains</h2>
-<div class="section" id="i18n-comment">
-<h3>2.2.1   <tt class="docutils literal">i18n:comment</tt></h3>
-<p>The <tt class="docutils literal">i18n:comment</tt> directive can be used to supply a comment for the
-translator. For example, if a template snippet is not easily understood
-outside of its context, you can add a translator comment to help the
-translator understand in what context the message will be used:</p>
-<div class="highlight"><pre><span class="nt">&lt;p</span> <span class="na">i18n:msg=</span><span class="s">"name"</span> <span class="na">i18n:comment=</span><span class="s">"Link to the relevant support site"</span><span class="nt">&gt;</span>
-  Please visit <span class="nt">&lt;a</span> <span class="na">href=</span><span class="s">"</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">url</span><span class="cp">}</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">site</span><span class="o">.</span><span class="n">name</span><span class="cp">}</span><span class="nt">&lt;/a&gt;</span> for help.
-<span class="nt">&lt;/p&gt;</span>
-</pre></div>
-<p>This comment will be extracted together with the message itself, and will
-commonly be placed along the message in the message catalog, so that it is
-easily visible to the person doing the translation.</p>
-<p>This directive has no impact on how the template is rendered, and is ignored
-outside of the extraction process.</p>
-</div>
-<div class="section" id="i18n-domain">
-<h3>2.2.2   <tt class="docutils literal">i18n:domain</tt></h3>
-<p>In larger projects, message catalogs are commonly split up into different
-<em>domains</em>. For example, you might have a core application domain, and then
-separate domains for extensions or libraries.</p>
-<p>Genshi provides a directive called <tt class="docutils literal">i18n:domain</tt> that lets you choose the
-translation domain for a particular scope. For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;div</span> <span class="na">i18n:domain=</span><span class="s">"examples"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;p&gt;</span>Hello, world!<span class="nt">&lt;/p&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-</div>
-</div>
-</div>
-<div class="section" id="extraction">
-<h1>3   Extraction</h1>
-<p>The <tt class="docutils literal">Translator</tt> class provides a class method called <tt class="docutils literal">extract</tt>, which is
-a generator yielding all localizable strings found in a template or markup
-stream. This includes both literal strings in text nodes and attribute values,
-as well as strings in <tt class="docutils literal">gettext()</tt> calls in embedded Python code. See the API
-documentation for details on how to use this method directly.</p>
-<div class="section" id="babel-integration">
-<h2>3.1   Babel Integration</h2>
-<p>This functionality is integrated with the message extraction framework provided
-by the <a class="reference external" href="http://babel.edgewall.org/">Babel</a> project. Babel provides a command-line interface as well as
-commands that can be used from <tt class="docutils literal">setup.py</tt> scripts using <a class="reference external" href="http://peak.telecommunity.com/DevCenter/setuptools">Setuptools</a> or
-<a class="reference external" href="http://docs.python.org/dist/dist.html">Distutils</a>.</p>
-<p>The first thing you need to do to make Babel extract messages from Genshi
-templates is to let Babel know which files are Genshi templates. This is done
-using a “mapping configuration”, which can be stored in a configuration file,
-or specified directly in your <tt class="docutils literal">setup.py</tt>.</p>
-<p>In a configuration file, the mapping may look like this:</p>
-<div class="highlight"><pre><span class="c"># Python souce</span>
-<span class="k">[python:**.py]</span>
-
-<span class="c"># Genshi templates</span>
-<span class="k">[genshi:**/templates/**.html]</span>
-<span class="na">include_attrs</span> <span class="o">=</span> <span class="s">title</span>
-
-<span class="k">[genshi:**/templates/**.txt]</span>
-<span class="na">template_class</span> <span class="o">=</span> <span class="s">genshi.template.TextTemplate</span>
-<span class="na">encoding</span> <span class="o">=</span> <span class="s">latin-1</span>
-</pre></div>
-<p>Please consult the Babel documentation for details on configuration.</p>
-<p>If all goes well, running the extraction with Babel should create a POT file
-containing the strings from your Genshi templates and your Python source files.</p>
-</div>
-<div class="section" id="configuration-options">
-<h2>3.2   Configuration Options</h2>
-<p>The Genshi extraction plugin for Babel supports the following options:</p>
-<div class="section" id="template-class">
-<h3>3.2.1   <tt class="docutils literal">template_class</tt></h3>
-<p>The concrete <tt class="docutils literal">Template</tt> class that the file should be loaded with. Specify
-the package/module name and the class name, separated by a colon.</p>
-<p>The default is to use <tt class="docutils literal">genshi.template:MarkupTemplate</tt>, and you'll want to
-set it to <tt class="docutils literal">genshi.template:TextTemplate</tt> for <a class="reference external" href="text-templates.html">text templates</a>.</p>
-</div>
-<div class="section" id="encoding">
-<h3>3.2.2   <tt class="docutils literal">encoding</tt></h3>
-<p>The encoding of the template file. This is only used for text templates. The
-default is to assume “utf-8”.</p>
-</div>
-<div class="section" id="include-attrs">
-<h3>3.2.3   <tt class="docutils literal">include_attrs</tt></h3>
-<p>Comma-separated list of attribute names that should be considered to have
-localizable values. Only used for markup templates.</p>
-</div>
-<div class="section" id="ignore-tags">
-<h3>3.2.4   <tt class="docutils literal">ignore_tags</tt></h3>
-<p>Comma-separated list of tag names that should be ignored. Only used for markup
-templates.</p>
-</div>
-<div class="section" id="extract-text">
-<h3>3.2.5   <tt class="docutils literal">extract_text</tt></h3>
-<p>Whether text outside explicit <tt class="docutils literal">gettext</tt> function calls should be extracted.
-By default, any text nodes not inside ignored tags, and values of attribute in
-the <tt class="docutils literal">include_attrs</tt> list are extracted. If this option is disabled, only
-strings in <tt class="docutils literal">gettext</tt> function calls are extracted.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you disable this option, and do not make use of the
-internationalization directives, it's not necessary to add the
-translation filter as described above. You only need to make sure
-that the template has access to the <tt class="docutils literal">gettext</tt> functions it uses.</p>
-</div>
-</div>
-</div>
-</div>
-<div class="section" id="translation">
-<h1>4   Translation</h1>
-<p>If you have prepared MO files for use with Genshi using the appropriate tools,
-you can access the message catalogs with the <a class="reference external" href="http://docs.python.org/lib/module-gettext.html">gettext Python module</a>. You'll
-probably want to create a <tt class="docutils literal">gettext.GNUTranslations</tt> instance, and make the
-translation functions it provides available to your templates by putting them
-in the template context.</p>
-<p>The <tt class="docutils literal">Translator</tt> filter needs to be added to the filters of the template
-(applying it as a stream filter will likely not have the desired effect).
-Furthermore it needs to be the first filter in the list, including the internal
-filters that Genshi adds itself:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">Translator</span>
-<span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-
-<span class="n">template</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">"..."</span><span class="p">)</span>
-<span class="n">template</span><span class="o">.</span><span class="n">filters</span><span class="o">.</span><span class="n">insert</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">Translator</span><span class="p">(</span><span class="n">translations</span><span class="o">.</span><span class="n">ugettext</span><span class="p">))</span>
-</pre></div>
-<p>The <tt class="docutils literal">Translator</tt> class also provides the convenience method <tt class="docutils literal">setup()</tt>,
-which will both add the filter and register the i18n directives:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">Translator</span>
-<span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-
-<span class="n">template</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">"..."</span><span class="p">)</span>
-<span class="n">translator</span> <span class="o">=</span> <span class="n">Translator</span><span class="p">(</span><span class="n">translations</span><span class="o">.</span><span class="n">ugettext</span><span class="p">)</span>
-<span class="n">translator</span><span class="o">.</span><span class="n">setup</span><span class="p">(</span><span class="n">template</span><span class="p">)</span>
-</pre></div>
-<div class="warning">
-<p class="first admonition-title">Warning</p>
-<p class="last">If you're using <tt class="docutils literal">TemplateLoader</tt>, you should specify a
-<a class="reference external" href="loader.html#callback-interface">callback function</a> in which you add the filter. That ensures
-that the filter is not added everytime the template is rendered,
-thereby being applied multiple times.</p>
-</div>
-</div>
-<div class="section" id="related-considerations">
-<h1>5   Related Considerations</h1>
-<p>If you intend to produce an application that is fully prepared for an
-international audience, there are a couple of other things to keep in mind:</p>
-<div class="section" id="unicode">
-<h2>5.1   Unicode</h2>
-<p>Use <tt class="docutils literal">unicode</tt> internally, not encoded bytestrings. Only encode/decode where
-data enters or exits the system. This means that your code works with characters
-and not just with bytes, which is an important distinction for example when
-calculating the length of a piece of text. When you need to decode/encode, it's
-probably a good idea to use UTF-8.</p>
-</div>
-<div class="section" id="date-and-time">
-<h2>5.2   Date and Time</h2>
-<p>If your application uses datetime information that should be displayed to users
-in different timezones, you should try to work with UTC (universal time)
-internally. Do the conversion from and to "local time" when the data enters or
-exits the system. Make use the Python <a class="reference external" href="http://docs.python.org/lib/module-datetime.html">datetime</a> module and the third-party
-<a class="reference external" href="http://pytz.sourceforge.net/">pytz</a> package.</p>
-</div>
-<div class="section" id="formatting-and-locale-data">
-<h2>5.3   Formatting and Locale Data</h2>
-<p>Make sure you check out the functionality provided by the <a class="reference external" href="http://babel.edgewall.org/">Babel</a> project for
-things like number and date formatting, locale display strings, etc.</p>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/index.html 0.7.1-2/doc/index.html
--- 0.7-6/doc/index.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/index.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,58 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Preface</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="preface">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Preface</h1>
-<img alt="Genshi - Generate output for the web" class="logo align-center" src="logo.png" style="width: 225px; height: 81px;">
-<div class="section" id="toolkit-for-generation-of-output-for-the-web">
-<h1>Toolkit for generation of output for the web</h1>
-<p>Genshi is a Python library that provides an integrated set of components
-for parsing, generating, and processing HTML, XML or other textual content
-for output generation on the web. The major feature is a template language,
-which is heavily inspired by Kid.</p>
-<div class="section" id="installation">
-<h2>Installation</h2>
-<ul class="simple">
-<li><a class="reference external" href="install.html">Installing Genshi</a></li>
-<li><a class="reference external" href="upgrade.html">Upgrading from Previous Versions</a></li>
-</ul>
-</div>
-<div class="section" id="usage">
-<h2>Usage</h2>
-<ul class="simple">
-<li><a class="reference external" href="streams.html">Markup Streams</a></li>
-<li><a class="reference external" href="templates.html">Templating Basics</a></li>
-<li><a class="reference external" href="xml-templates.html">XML Template Language</a></li>
-<li><a class="reference external" href="text-templates.html">Text Template Language</a></li>
-<li><a class="reference external" href="loader.html">Loading Templates</a></li>
-<li><a class="reference external" href="filters.html">Using Stream Filters</a></li>
-<li><a class="reference external" href="xpath.html">Using XPath</a></li>
-<li><a class="reference external" href="i18n.html">Internationalization and Localization</a></li>
-<li><a class="reference external" href="plugin.html">Using the Templating Plugin</a></li>
-</ul>
-</div>
-<div class="section" id="api-documentation">
-<h2>API Documentation</h2>
-<ul class="simple">
-<li><a class="reference external" href="api/index.html">Generated API Documentation</a></li>
-</ul>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/install.html 0.7.1-2/doc/install.html
--- 0.7-6/doc/install.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/install.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,90 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Installing Genshi</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="installing-genshi">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Installing Genshi</h1>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#prerequisites" id="id1">1   Prerequisites</a></li>
-<li><a class="reference internal" href="#installing-via-easy-install" id="id2">2   Installing via <tt class="docutils literal">easy_install</tt></a></li>
-<li><a class="reference internal" href="#installing-from-a-binary-installer" id="id3">3   Installing from a Binary Installer</a></li>
-<li><a class="reference internal" href="#installing-from-a-source-tarball" id="id4">4   Installing from a Source Tarball</a></li>
-<li><a class="reference internal" href="#support" id="id5">5   Support</a></li>
-</ul>
-</div>
-<div class="section" id="prerequisites">
-<h1>1   Prerequisites</h1>
-<ul class="simple">
-<li><a class="reference external" href="http://www.python.org/">Python</a> 2.4 or later</li>
-<li>Optional: <a class="reference external" href="http://cheeseshop.python.org/pypi/setuptools">Setuptools</a> 0.6c3 or later</li>
-</ul>
-<p>Setuptools is only required for the <a class="reference external" href="plugin.html">template engine plugin</a>, which can be
-used to integrate Genshi with Python web application frameworks such as Pylons
-or TurboGears. Genshi also provides a Setuptools-based plugin that integrates
-its <a class="reference external" href="i18n.html">internationalization support</a> with the <a class="reference external" href="http://babel.edgewall.org/">Babel</a> library, but that support
-can also be used without Setuptools being available (although in a slightly
-less convenient fashion).</p>
-</div>
-<div class="section" id="installing-via-easy-install">
-<h1>2   Installing via <tt class="docutils literal">easy_install</tt></h1>
-<p>If you have a recent version of <a class="reference external" href="http://cheeseshop.python.org/pypi/setuptools">Setuptools</a> installed, you can directly install
-Genshi using the easy_install command-line tool:</p>
-<pre class="literal-block">
-$ easy_install Genshi
-</pre>
-<p>This downloads and installs the latest version of the Genshi package.</p>
-<p>If you have an older Genshi release installed and would like to upgrade, add
-the <tt class="docutils literal"><span class="pre">-U</span></tt> option to the above command.</p>
-</div>
-<div class="section" id="installing-from-a-binary-installer">
-<h1>3   Installing from a Binary Installer</h1>
-<p>Binary packages for Windows and Mac OS X are provided for Genshi. To install
-from such a package, simply download and open it.</p>
-</div>
-<div class="section" id="installing-from-a-source-tarball">
-<h1>4   Installing from a Source Tarball</h1>
-<p>Once you've downloaded and unpacked a Genshi source release, enter the
-directory where the archive was unpacked, and run:</p>
-<pre class="literal-block">
-$ python setup.py install
-</pre>
-<p>Note that you may need administrator/root privileges for this step, as this
-command will by default attempt to install Genshi to the Python
-<tt class="docutils literal"><span class="pre">site-packages</span></tt> directory on your system.</p>
-<p>Genshi comes with an optional extension module written in C that is used to
-improve performance in some areas. This extension is automatically compiled
-when you run the <tt class="docutils literal">setup.py</tt> script as shown above. In the case that the
-extension can not be compiled, possibly due to a missing or incompatible C
-compiler, the compilation is skipped. If you'd prefer Genshi to not use this
-native extension module, you can explicitly bypass the compilation using the
-<tt class="docutils literal"><span class="pre">--without-speedups</span></tt> option:</p>
-<pre class="literal-block">
-$ python setup.py --without-speedups install
-</pre>
-<p>For other build and installation options, please consult the <a class="reference external" href="http://peak.telecommunity.com/DevCenter/EasyInstall">easy_install</a>
-and/or the Python <a class="reference external" href="http://docs.python.org/inst/inst.html">distutils</a> documentation.</p>
-</div>
-<div class="section" id="support">
-<h1>5   Support</h1>
-<p>If you encounter any problems with Genshi, please don't hesitate to ask
-questions on the Genshi <a class="reference external" href="http://genshi.edgewall.org/wiki/MailingList">mailing list</a> or <a class="reference external" href="http://genshi.edgewall.org/wiki/IrcChannel">IRC channel</a>.</p>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/loader.html 0.7.1-2/doc/loader.html
--- 0.7-6/doc/loader.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/loader.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,240 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Loading Templates</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="loading-templates">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Loading Templates</h1>
-<p>Genshi comes with a simple but flexible implementation of a template loader in
-the <tt class="docutils literal">genshi.template.loader</tt> module. The loader provides caching of
-templates so they do not need to be reparsed when used, support for multiple
-template directories that together form a virtual search path, as well as
-support for different template loading strategies.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#usage" id="id1">1   Usage</a></li>
-<li><a class="reference internal" href="#caching" id="id2">2   Caching</a><ul class="auto-toc">
-<li><a class="reference internal" href="#automatic-reloading" id="id3">2.1   Automatic Reloading</a></li>
-<li><a class="reference internal" href="#callback-interface" id="id4">2.2   Callback Interface</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#template-search-path" id="id5">3   Template Search Path</a><ul class="auto-toc">
-<li><a class="reference internal" href="#load-functions" id="id6">3.1   Load Functions</a><ul class="auto-toc">
-<li><a class="reference internal" href="#directory-path" id="id7">3.1.1   <tt class="docutils literal">directory(path)</tt></a></li>
-<li><a class="reference internal" href="#package-name-path" id="id8">3.1.2   <tt class="docutils literal">package(name, path)</tt></a></li>
-<li><a class="reference internal" href="#prefixed-delegates" id="id9">3.1.3   <tt class="docutils literal"><span class="pre">prefixed(**delegates)</span></tt></a></li>
-<li><a class="reference internal" href="#custom-load-functions" id="id10">3.1.4   Custom Load Functions</a></li>
-</ul>
-</li>
-</ul>
-</li>
-<li><a class="reference internal" href="#customized-loading" id="id11">4   Customized Loading</a><ul class="auto-toc">
-<li><a class="reference internal" href="#protocol" id="id12">4.1   Protocol</a></li>
-<li><a class="reference internal" href="#subclassing-templateloader" id="id13">4.2   Subclassing <tt class="docutils literal">TemplateLoader</tt></a></li>
-</ul>
-</li>
-</ul>
-</div>
-<div class="section" id="usage">
-<h1>1   Usage</h1>
-<p>The basic usage pattern is simple: instantiate one <tt class="docutils literal">TemplateLoader</tt> object
-and keep it around, then ask it to load a template whenever you need to load
-one:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span>
-
-<span class="n">loader</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">([</span><span class="s">'/path/to/dir1'</span><span class="p">,</span> <span class="s">'/path/to/dir2'</span><span class="p">],</span>
-                        <span class="n">auto_reload</span><span class="o">=</span><span class="bp">True</span><span class="p">)</span>
-<span class="n">tmpl</span> <span class="o">=</span> <span class="n">loader</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="s">'test.html'</span><span class="p">)</span>
-</pre></div>
-<p>When you try to load a template that can't be found, you get a
-<tt class="docutils literal">TemplateNotFound</tt> error.</p>
-<p>The default template class used by the loader is <tt class="docutils literal">MarkupTemplate</tt>, but that
-can be overridden both with a different default (as a keyword argument to the
-<tt class="docutils literal">TemplateLoader</tt> constructor), as well as on invocation of the <tt class="docutils literal">load()</tt>
-method:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template.text</span> <span class="kn">import</span> <span class="n">NewTextTemplate</span>
-
-<span class="n">tmpl</span> <span class="o">=</span> <span class="n">loader</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="s">'mail.txt'</span><span class="p">,</span> <span class="n">cls</span><span class="o">=</span><span class="n">NewTextTemplate</span><span class="p">)</span>
-</pre></div>
-</div>
-<div class="section" id="caching">
-<h1>2   Caching</h1>
-<p>The <tt class="docutils literal">TemplateLoader</tt> class provides a simple in-memory cache for parsed
-template objects. This improves performance, because templates do not need to
-be reparsed every time they are rendered.</p>
-<p>The size of this cache can be adjusted using the <cite>max_cache_size</cite> option on
-the <tt class="docutils literal">TemplateLoader</tt> constructor. The value of that option determines the
-maximum number of template objects kept in the cache. When this limit is
-reached, any templates that haven't been used in a while get purged.
-Technically, this is a least-recently-used (LRU) cache, the default limit is
-set to 25 templates.</p>
-<div class="section" id="automatic-reloading">
-<h2>2.1   Automatic Reloading</h2>
-<p>Once a template has been cached, it will normally not get reparsed until it
-has been purged from the cache. This means that any changes to the template
-file are not taken into consideration as long as it is still found in the
-cache. As this is inconvenient in development scenarios, the <tt class="docutils literal">auto_reload</tt>
-option allows for automatic cache invalidation based on whether the template
-source has changed.</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span>
-
-<span class="n">loader</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">(</span><span class="s">'templates'</span><span class="p">,</span> <span class="n">auto_reload</span><span class="o">=</span><span class="bp">True</span><span class="p">,</span> <span class="n">max_cache_size</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
-</pre></div>
-<p>In production environments, automatic reloading should be disabled, as it does
-affect performance negatively.</p>
-</div>
-<div class="section" id="callback-interface">
-<h2>2.2   Callback Interface</h2>
-<p>Sometimes you need to make sure that templates get properly configured after
-they have been loaded, but you only want to do that when the template is
-actually loaded and parsed, not when it is returned from the cache.</p>
-<p>For such cases, the <tt class="docutils literal">TemplateLoader</tt> provides a way to specify a callback
-function that gets invoked whenever a template is loaded. You can specify that
-callback by passing it into the loader constructor via the <tt class="docutils literal">callback</tt>
-keyword argument, or later by setting the attribute of the same name. The
-callback function should expect a single argument, the template object.</p>
-<p>For example, to properly inject the <a class="reference external" href="i18n.html">translation filter</a> into any loaded
-template, you'd use code similar to this:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">Translator</span>
-<span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span>
-
-<span class="k">def</span> <span class="nf">template_loaded</span><span class="p">(</span><span class="n">template</span><span class="p">):</span>
-    <span class="n">Translator</span><span class="p">(</span><span class="n">translations</span><span class="o">.</span><span class="n">ugettext</span><span class="p">)</span><span class="o">.</span><span class="n">setup</span><span class="p">(</span><span class="n">template</span><span class="p">)</span>
-
-<span class="n">loader</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">(</span><span class="s">'templates'</span><span class="p">,</span> <span class="n">callback</span><span class="o">=</span><span class="n">template_loaded</span><span class="p">)</span>
-</pre></div>
-</div>
-</div>
-<div class="section" id="template-search-path">
-<h1>3   Template Search Path</h1>
-<p>The template loader can be configured with a list of multiple directories to
-search for templates. The loader maps these directories to a single logical
-directory for locating templates by file name.</p>
-<p>The order of the directories making up the search path is significant: the
-loader will first try to locate a requested template in the first directory on
-the path, then in the second, and so on. If there are two templates with the
-same file name in multiple directories on the search path, whatever file is
-found first gets used.</p>
-<p>Based on this design, an application could, for example, configure a search
-path consisting of a directory containing the default templates, as well as a
-directory where site-specific templates can be stored that will override the
-default templates.</p>
-<div class="section" id="load-functions">
-<h2>3.1   Load Functions</h2>
-<p>Usually the search path consists of strings representing directory paths, but
-it may also contain “load functions”: functions that are basically invoked
-with the file name, and return the template content.</p>
-<p>Genshi comes with three builtin load functions:</p>
-<div class="section" id="directory-path">
-<h3>3.1.1   <tt class="docutils literal">directory(path)</tt></h3>
-<p>The equivalent of just using a string containing the directory path: looks up
-the file name in a specific directory.</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span><span class="p">,</span> <span class="n">loader</span>
-<span class="n">tl</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">([</span><span class="n">loader</span><span class="o">.</span><span class="n">directory</span><span class="p">(</span><span class="s">'/path/to/dir/'</span><span class="p">)])</span>
-</pre></div>
-<p>That is the same as:</p>
-<div class="highlight"><pre><span class="n">tl</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">([</span><span class="s">'/path/to/dir/'</span><span class="p">])</span>
-</pre></div>
-</div>
-<div class="section" id="package-name-path">
-<h3>3.1.2   <tt class="docutils literal">package(name, path)</tt></h3>
-<p>Uses the <tt class="docutils literal">pkg_resources</tt> API to locate files in Python package data (which
-may be inside a ZIP archive).</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span><span class="p">,</span> <span class="n">loader</span>
-<span class="n">tl</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">([</span><span class="n">loader</span><span class="o">.</span><span class="n">package</span><span class="p">(</span><span class="s">'myapp'</span><span class="p">,</span> <span class="s">'templates'</span><span class="p">)])</span>
-</pre></div>
-<p>This will look for templates in the <tt class="docutils literal">templates</tt> directory of the Python
-package <tt class="docutils literal">myapp</tt>.</p>
-</div>
-<div class="section" id="prefixed-delegates">
-<h3>3.1.3   <tt class="docutils literal"><span class="pre">prefixed(**delegates)</span></tt></h3>
-<p>Delegates load requests to different load functions based on the path prefix.</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span><span class="p">,</span> <span class="n">loader</span>
-<span class="n">tl</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">(</span><span class="n">loader</span><span class="o">.</span><span class="n">prefixed</span><span class="p">(</span>
-  <span class="n">core</span> <span class="o">=</span> <span class="s">'/tmp/dir1'</span><span class="p">,</span>
-  <span class="n">plugin1</span> <span class="o">=</span> <span class="n">loader</span><span class="o">.</span><span class="n">package</span><span class="p">(</span><span class="s">'plugin1'</span><span class="p">,</span> <span class="s">'templates'</span><span class="p">),</span>
-  <span class="n">plugin2</span> <span class="o">=</span> <span class="n">loader</span><span class="o">.</span><span class="n">package</span><span class="p">(</span><span class="s">'plugin2'</span><span class="p">,</span> <span class="s">'templates'</span><span class="p">),</span>
-<span class="p">))</span>
-<span class="n">tmpl</span> <span class="o">=</span> <span class="n">tl</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="s">'core/index.html'</span><span class="p">)</span>
-</pre></div>
-<p>This example sets up a loader with three delegates, under the prefixes “core”,
-“plugin1”, and “plugin2”. When a template is requested, the <tt class="docutils literal">prefixed</tt> load
-function looks for a delegate with a corresponding prefix, removes the prefix
-from the path and asks the delegate to load the template.</p>
-<p>In this case, assuming the directory <tt class="docutils literal">/path/to/dir</tt> contains a file named
-<tt class="docutils literal">index.html</tt>, that file will be used when we load <tt class="docutils literal">core/index.html</tt>. The
-other delegates are not checked as their prefix does not match.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">These builtin load functions are available both as class methods
-of the <tt class="docutils literal">TemplateLoader</tt> class as well as on the module level</p>
-</div>
-</div>
-<div class="section" id="custom-load-functions">
-<h3>3.1.4   Custom Load Functions</h3>
-<p>You can easily use your own load function with the template loader, for
-example to load templates from a database. All that is needed is a callable
-object that accepts a <tt class="docutils literal">filename</tt> (a string) and returns a tuple of the form
-<tt class="docutils literal">(filepath, filename, fileobj, uptodate_fun)</tt>, where:</p>
-<dl class="docutils">
-<dt><tt class="docutils literal">filepath</tt></dt>
-<dd>is the absolute path to the template. This is primarily used for output in
-tracebacks, and does not need to map to an actual path on the file system.</dd>
-<dt><tt class="docutils literal">filename</tt></dt>
-<dd>is the base name of the template file</dd>
-<dt><tt class="docutils literal">fileobj</tt></dt>
-<dd>is a readable file-like object that provides the content of the template</dd>
-<dt><tt class="docutils literal">uptodate_fun</tt></dt>
-<dd>is a function that the loader can invoke to check whether the cached version
-of the template is still up-to-date, or <tt class="docutils literal">None</tt> if the load function is not
-able to provide such a check. If provided, the function should not expect
-any parameters (so you'll definitely want to use a closure here), and should
-return <tt class="docutils literal">True</tt> if the template has not changed since it was last loaded.</dd>
-</dl>
-<p>When the requested template can not be found, the function should raise an
-<tt class="docutils literal">IOError</tt> or <tt class="docutils literal">TemplateNotFound</tt> exception.</p>
-</div>
-</div>
-</div>
-<div class="section" id="customized-loading">
-<h1>4   Customized Loading</h1>
-<p>If you require a completely different implementation of template loading, you
-can extend or even replace the builtin <tt class="docutils literal">TemplateLoader</tt> class.</p>
-<div class="section" id="protocol">
-<h2>4.1   Protocol</h2>
-<p>The protocol between the template loader and the <tt class="docutils literal">Template</tt> class is simple
-and only used for processing includes. The only required part of that protocol
-is that the object assigned to <tt class="docutils literal">Template.loader</tt> implements a <tt class="docutils literal">load</tt>
-method compatible to that of the <tt class="docutils literal">TemplateLoader</tt> class, at the minimum with
-the signature <tt class="docutils literal">load(filename, relative_to=None, cls=None)</tt>.</p>
-<p>In addition, templates currently check for the existence and value of a boolean
-<tt class="docutils literal">auto_reload</tt> property. If the property does not exist or evaluates to a
-non-truth value, inlining of included templates is disabled. Inlining is a
-small optimization that removes some overhead in the processing of includes.</p>
-</div>
-<div class="section" id="subclassing-templateloader">
-<h2>4.2   Subclassing <tt class="docutils literal">TemplateLoader</tt></h2>
-<p>You can also adjust the behavior of the <tt class="docutils literal">TemplateLoader</tt> class by subclassing
-it. You can of course override anything needed, but the class also provides the
-<tt class="docutils literal">_instantiate()</tt> hook, which is intended for use by subclasses to customize
-the creation of the template object from the file name and content. Please
-consult the code and the API documentation for more detail.</p>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
Binary files 0.7-6/doc/logo.lineform/data and 0.7.1-2/doc/logo.lineform/data differ
diff -pruN 0.7-6/doc/plugin.html 0.7.1-2/doc/plugin.html
--- 0.7-6/doc/plugin.html	2013-01-27 16:17:13.000000000 +0000
+++ 0.7.1-2/doc/plugin.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,264 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Using the Templating Plugin</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="using-the-templating-plugin">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Using the Templating Plugin</h1>
-<p>While you can easily use Genshi templating through the APIs provided directly
-by Genshi, in some situations you may want to use Genshi through the template
-engine plugin API. Note though that this considerably limits the power and
-flexibility of Genshi templates (for example, there's no good way to use filters
-such as Genshi's <a class="reference external" href="filters.html&gt;#html-form-filler">HTMLFormFiller</a> when the plugin
-API is sitting between your code and Genshi).</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#introduction" id="id2">1   Introduction</a></li>
-<li><a class="reference internal" href="#usage" id="id3">2   Usage</a><ul class="auto-toc">
-<li><a class="reference internal" href="#template-paths" id="id4">2.1   Template Paths</a></li>
-<li><a class="reference internal" href="#extra-implicit-objects" id="id5">2.2   Extra Implicit Objects</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#id1" id="id6">3   Configuration Options</a><ul class="auto-toc">
-<li><a class="reference internal" href="#genshi-allow-exec" id="id7">3.1   <tt class="docutils literal">genshi.allow_exec</tt></a></li>
-<li><a class="reference internal" href="#genshi-auto-reload" id="id8">3.2   <tt class="docutils literal">genshi.auto_reload</tt></a></li>
-<li><a class="reference internal" href="#genshi-default-doctype" id="id9">3.3   <tt class="docutils literal">genshi.default_doctype</tt></a></li>
-<li><a class="reference internal" href="#genshi-default-encoding" id="id10">3.4   <tt class="docutils literal">genshi.default_encoding</tt></a></li>
-<li><a class="reference internal" href="#genshi-default-format" id="id11">3.5   <tt class="docutils literal">genshi.default_format</tt></a></li>
-<li><a class="reference internal" href="#genshi-loader-callback" id="id12">3.6   <tt class="docutils literal">genshi.loader_callback</tt></a></li>
-<li><a class="reference internal" href="#genshi-lookup-errors" id="id13">3.7   <tt class="docutils literal">genshi.lookup_errors</tt></a></li>
-<li><a class="reference internal" href="#genshi-max-cache-size" id="id14">3.8   <tt class="docutils literal">genshi.max_cache_size</tt></a></li>
-<li><a class="reference internal" href="#genshi-new-text-syntax" id="id15">3.9   <tt class="docutils literal">genshi.new_text_syntax</tt></a></li>
-<li><a class="reference internal" href="#genshi-search-path" id="id16">3.10   <tt class="docutils literal">genshi.search_path</tt></a></li>
-</ul>
-</li>
-</ul>
-</div>
-<div class="section" id="introduction">
-<h1>1   Introduction</h1>
-<p>Some Python web frameworks support a variety of different templating engines
-through the <a class="reference external" href="http://docs.turbogears.org/1.0/TemplatePlugins">Template Engine Plugin API</a>, which was first developed by the
-<a class="reference external" href="http://projects.dowski.com/projects/buffet">Buffet</a> and <a class="reference external" href="http://www.turbogears.org/">TurboGears</a> projects.</p>
-<p>Genshi supports this API out of the box, so you can use it in frameworks like
-TurboGears or <a class="reference external" href="http://pylonshq.com/">Pylons</a> without installing any additional packages. A small
-example TurboGears application is included in the <tt class="docutils literal">examples</tt> directory of
-source distributions of Genshi.</p>
-</div>
-<div class="section" id="usage">
-<h1>2   Usage</h1>
-<p>The way you use Genshi through the plugin API depends very much on the framework
-you're using. In general, the approach will look something like the following:</p>
-<ol class="arabic simple">
-<li>Configure Genshi as the default (or an additional) template engine</li>
-<li>Optionally specify Genshi-specific <a class="reference internal" href="#configuration-options">configuration options</a></li>
-<li>For any given <em>view</em> or <em>controller</em> (or whatever those are called in your
-framework of choice), specify the name of the template to use and which data
-should be made available to it.</li>
-</ol>
-<p>For point 1, you'll have to specify the <em>name</em> of the template engine plugin.
-For Genshi, this is <strong>"genshi"</strong>. However, because Genshi supports both markup
-and text templates, it also provides two separate plugins, namely
-<strong>"genshi-markup"</strong> and <strong>"genshi-text"</strong> (the "genshi" name is just an
-alias for "genshi-markup").</p>
-<p>Usually, you can choose a default template engine, but also use a different
-engine on a per-request basis. So to use markup templates in general, but a text
-template in a specific controller, you'd configure "genshi" as the default
-template engine, and specify "genshi-text" for the controllers that should use
-text templates. How exactly this works depends on the framework in use.</p>
-<p>When rendering a specific template in a controller (point 3 above), you may also
-be able to pass additional options to the plugin. This includes the <tt class="docutils literal">format</tt>
-keyword argument, which Genshi will use to override the configured default
-serialization method. In combination with specifying the "genshi-text" engine
-name as explained above, you would use this to specify the "text" serialization
-method when you want to use a text template. Or you'd specify "xml" for the
-format when you want to produce an Atom feed or other XML content.</p>
-<div class="section" id="template-paths">
-<h2>2.1   Template Paths</h2>
-<p>How you specify template paths depends on whether you have a <a class="reference internal" href="#search-path">search path</a> set
-up or not. The search path is a list of directories that Genshi should load
-templates from. Now when you request a template using a relative path such as
-<tt class="docutils literal">mytmpl.html</tt> or <tt class="docutils literal">foo/mytmpl.html</tt>, Genshi will look for that file in the
-directories on the search path.</p>
-<p>For mostly historical reasons, the Genshi template engine plugin uses a
-different approach when you <strong>haven't</strong> configured the template search path:
-you now load templates using <em>dotted notation</em>, for example <tt class="docutils literal">mytmpl</tt> or
-<tt class="docutils literal">foo.mytmpl</tt>.  Note how you've lost the ability to explicitly specify the
-file extension: you now have to use <tt class="docutils literal">.html</tt> for markup templates, and
-<tt class="docutils literal">.txt</tt> for text templates.</p>
-<p>Using the search path is recommended for a number of reasons: First, it's
-the native Genshi model and is thus more robust and better supported.
-Second, a search path gives you much more flexibility for organizing your
-application templates. And as noted above, you aren't forced to use hardcoded
-filename extensions for your template files.</p>
-</div>
-<div class="section" id="extra-implicit-objects">
-<h2>2.2   Extra Implicit Objects</h2>
-<p>The "genshi-markup" template engine plugin adds some extra functions that are
-made available to all templates implicitly, namely:</p>
-<dl class="docutils">
-<dt><tt class="docutils literal">HTML(string)</tt></dt>
-<dd>Parses the given string as HTML and returns a markup stream.</dd>
-<dt><tt class="docutils literal">XML(string)</tt></dt>
-<dd>Parses the given string as XML and returns a markup stream.</dd>
-<dt><tt class="docutils literal">ET(tree)</tt></dt>
-<dd>Adapts the given <a class="reference external" href="http://effbot.org/zone/element-index.htm">ElementTree</a> object to a markup stream.</dd>
-</dl>
-<p>The framework may make additional objects available by default. Consult the
-documentation of your framework for more information.</p>
-</div>
-</div>
-<div class="section" id="id1">
-<span id="configuration-options"></span><h1>3   Configuration Options</h1>
-<p>The plugin API allows plugins to be configured using a dictionary of strings.
-The following is a list of configuration options that Genshi supports. These may
-or may not be made available by your framework. TurboGears 1.0, for example,
-only passes a fixed set of options to all plugins.</p>
-<div class="section" id="genshi-allow-exec">
-<h2>3.1   <tt class="docutils literal">genshi.allow_exec</tt></h2>
-<p>Whether the Python code blocks should be permitted in templates. Specify "yes"
-to allow code blocks (which is the default), or "no" otherwise. Please note
-that disallowing code blocks in templates does not turn Genshi into a
-sandboxable template engine; there are sufficient ways to do harm even using
-plain expressions.</p>
-</div>
-<div class="section" id="genshi-auto-reload">
-<h2>3.2   <tt class="docutils literal">genshi.auto_reload</tt></h2>
-<p>Whether the template loader should check the last modification time of template
-files, and automatically reload them if they have been changed. Specify "yes"
-to enable this reloading (which is the default), or "no" to turn it off.</p>
-<p>You probably want to disable reloading in a production environment to improve
-performance of both templating loading and the processing of includes. But
-remember that you'll then have to manually restart the server process anytime
-the templates are updated.</p>
-</div>
-<div class="section" id="genshi-default-doctype">
-<h2>3.3   <tt class="docutils literal">genshi.default_doctype</tt></h2>
-<p>The default <tt class="docutils literal">DOCTYPE</tt> declaration to use in generated markup. Valid values
-are:</p>
-<dl class="docutils">
-<dt><strong>html-strict</strong> (or just <strong>html</strong>)</dt>
-<dd>HTML 4.01 Strict</dd>
-<dt><strong>html-transitional</strong></dt>
-<dd>HTML 4.01 Transitional</dd>
-<dt><strong>xhtml-strict</strong> (or just <strong>xhtml</strong>)</dt>
-<dd>XHTML 1.0 Strict</dd>
-<dt><strong>xhtml-transitional</strong></dt>
-<dd>XHTML 1.0 Transitional</dd>
-<dt><strong>html5</strong></dt>
-<dd>HTML5 (as <a class="reference external" href="http://www.whatwg.org/specs/web-apps/current-work/">proposed</a> by the WHAT-WG)</dd>
-</dl>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">While using the Genshi API directly allows you to specify document
-types not in that list, the <em>dictionary-of-strings</em> based
-configuration utilized by the plugin API unfortunately limits your
-choices to those listed above.</p>
-</div>
-<p>The default behavior is to not do any prepending/replacing of a <tt class="docutils literal">DOCTYPE</tt>, but
-rather pass through those defined in the templates (if any). If this option is
-set, however, any <tt class="docutils literal">DOCTYPE</tt> declarations in the templates are replaced by the
-specified document type.</p>
-<p>Note that with (X)HTML, the presence and choice of the <tt class="docutils literal">DOCTYPE</tt> can have a
-more or less dramatic impact on how modern browsers render pages that use CSS
-style sheets. In particular, browsers may switch to <em>quirks rendering mode</em> for
-certain document types, or when the <tt class="docutils literal">DOCTYPE</tt> declaration is missing
-completely.</p>
-<p>For more information on the choice of the appropriate <tt class="docutils literal">DOCTYPE</tt>, see:</p>
-<ul class="simple">
-<li><a class="reference external" href="http://www.w3.org/QA/2002/04/valid-dtd-list.html">Recommended DTDs to use in your Web document</a></li>
-<li><a class="reference external" href="http://htmlhelp.com/tools/validator/doctype.html">Choosing a DOCTYPE</a></li>
-</ul>
-</div>
-<div class="section" id="genshi-default-encoding">
-<h2>3.4   <tt class="docutils literal">genshi.default_encoding</tt></h2>
-<p>The default output encoding to use when serializing a template. By default,
-Genshi uses UTF-8. If you need to, you can choose a different charset by
-specifying this option, although that rarely makes sense.</p>
-<p>As Genshi is not in control over what HTTP headers are being sent together with
-the template output, make sure that you (or the framework you're using)
-specify the chosen encoding as part of the outgoing <tt class="docutils literal"><span class="pre">Content-Type</span></tt> header.
-For example:</p>
-<pre class="literal-block">
-Content-Type: text/html; charset=utf-8
-</pre>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">Browsers commonly use ISO-8859-1 by default for <tt class="docutils literal">text/html</tt>, so even
-if you use Genshi's default UTF-8 encoding, you'll have to let the
-browser know about that explicitly</p>
-</div>
-</div>
-<div class="section" id="genshi-default-format">
-<h2>3.5   <tt class="docutils literal">genshi.default_format</tt></h2>
-<p>Determines the default serialization method to use. Valid options are:</p>
-<dl class="docutils">
-<dt><strong>xml</strong></dt>
-<dd>Serialization to XML</dd>
-<dt><strong>xhtml</strong></dt>
-<dd>Serialization to XHTML in a way that should be compatible with HTML (i.e. the
-result can be sent using the <tt class="docutils literal">text/html</tt> MIME type, but can also be handled
-by XML parsers if you're careful).</dd>
-<dt><strong>html</strong></dt>
-<dd>Serialization to HTML</dd>
-<dt><strong>text</strong></dt>
-<dd>Plain text serialization</dd>
-</dl>
-<p>See <a class="reference external" href="http://webkit.org/blog/?p=68">Understanding HTML, XML and XHTML</a> for an excellent description of the
-subtle differences between the three different markup serialization options. As
-a general recommendation, if you don't have a special requirement to produce
-well-formed XML, you should probably use the <strong>html</strong> option for your web sites.</p>
-</div>
-<div class="section" id="genshi-loader-callback">
-<h2>3.6   <tt class="docutils literal">genshi.loader_callback</tt></h2>
-<p>The callback function that should be invoked whenever the template loader loads
-a new template.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">Unlike the other options, this option can <strong>not</strong> be passed as
-a string value, but rather must be a reference to the actual function.
-That effectively means it can not be set from (non-Python)
-configuration files.</p>
-</div>
-</div>
-<div class="section" id="genshi-lookup-errors">
-<h2>3.7   <tt class="docutils literal">genshi.lookup_errors</tt></h2>
-<p>The error handling style to use in template expressions. Can be either
-<strong>lenient</strong> (the default) or <strong>strict</strong>. See the <a class="reference external" href="templates.html#template-expressions-and-code-blocks">Error Handling</a> section for
-detailled information on the differences between these two modes.</p>
-</div>
-<div class="section" id="genshi-max-cache-size">
-<h2>3.8   <tt class="docutils literal">genshi.max_cache_size</tt></h2>
-<p>The maximum number of templates that the template loader will cache in memory.
-The default value is <strong>25</strong>. You may want to choose a higher value if your web
-site uses a larger number of templates, and you have enough memory to spare.</p>
-</div>
-<div class="section" id="genshi-new-text-syntax">
-<h2>3.9   <tt class="docutils literal">genshi.new_text_syntax</tt></h2>
-<p>Whether the new syntax for text templates should be used. Specify "yes" to
-enable the new syntax, or "no" to use the old syntax.</p>
-<p>In the version of Genshi, the default is to use the old syntax for
-backwards-compatibility, but that will change in a future release.</p>
-</div>
-<div class="section" id="genshi-search-path">
-<span id="search-path"></span><h2>3.10   <tt class="docutils literal">genshi.search_path</tt></h2>
-<p>A colon-separated list of file-system path names that the template loader should
-use to search for templates.</p>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/streams.html 0.7.1-2/doc/streams.html
--- 0.7-6/doc/streams.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/streams.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,433 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Markup Streams</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="markup-streams">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Markup Streams</h1>
-<p>A stream is the common representation of markup as a <em>stream of events</em>.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#basics" id="id3">1   Basics</a></li>
-<li><a class="reference internal" href="#filtering" id="id4">2   Filtering</a></li>
-<li><a class="reference internal" href="#serialization" id="id5">3   Serialization</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id1" id="id6">3.1   Serialization Methods</a></li>
-<li><a class="reference internal" href="#serialization-options" id="id7">3.2   Serialization Options</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#using-xpath" id="id8">4   Using XPath</a></li>
-<li><a class="reference internal" href="#id2" id="id9">5   Event Kinds</a><ul class="auto-toc">
-<li><a class="reference internal" href="#start" id="id10">5.1   START</a></li>
-<li><a class="reference internal" href="#end" id="id11">5.2   END</a></li>
-<li><a class="reference internal" href="#text" id="id12">5.3   TEXT</a></li>
-<li><a class="reference internal" href="#start-ns" id="id13">5.4   START_NS</a></li>
-<li><a class="reference internal" href="#end-ns" id="id14">5.5   END_NS</a></li>
-<li><a class="reference internal" href="#doctype" id="id15">5.6   DOCTYPE</a></li>
-<li><a class="reference internal" href="#comment" id="id16">5.7   COMMENT</a></li>
-<li><a class="reference internal" href="#pi" id="id17">5.8   PI</a></li>
-<li><a class="reference internal" href="#start-cdata" id="id18">5.9   START_CDATA</a></li>
-<li><a class="reference internal" href="#end-cdata" id="id19">5.10   END_CDATA</a></li>
-</ul>
-</li>
-</ul>
-</div>
-<div class="section" id="basics">
-<h1>1   Basics</h1>
-<p>A stream can be attained in a number of ways. It can be:</p>
-<ul class="simple">
-<li>the result of parsing XML or HTML text, or</li>
-<li>the result of selecting a subset of another stream using XPath, or</li>
-<li>programmatically generated.</li>
-</ul>
-<p>For example, the functions <tt class="docutils literal">XML()</tt> and <tt class="docutils literal">HTML()</tt> can be used to convert
-literal XML or HTML text to a markup stream:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi</span> <span class="kn">import</span> <span class="n">XML</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">stream</span> <span class="o">=</span> <span class="n">XML</span><span class="p">(</span><span class="s">'&lt;p class="intro"&gt;Some text and '</span>
-<span class="gp">... </span>             <span class="s">'&lt;a href="http://example.org/"&gt;a link&lt;/a&gt;.'</span>
-<span class="gp">... </span>             <span class="s">'&lt;br/&gt;&lt;/p&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">stream</span>
-<span class="go">&lt;genshi.core.Stream object at ...&gt;</span>
-</pre></div>
-<p>The stream is the result of parsing the text into events. Each event is a tuple
-of the form <tt class="docutils literal">(kind, data, pos)</tt>, where:</p>
-<ul class="simple">
-<li><tt class="docutils literal">kind</tt> defines what kind of event it is (such as the start of an element,
-text, a comment, etc).</li>
-<li><tt class="docutils literal">data</tt> is the actual data associated with the event. How this looks depends
-on the event kind (see  <a class="reference internal" href="#event-kinds">event kinds</a>)</li>
-<li><tt class="docutils literal">pos</tt> is a <tt class="docutils literal">(filename, lineno, column)</tt> tuple that describes where the
-event “comes from”.</li>
-</ul>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span> <span class="ow">in</span> <span class="n">stream</span><span class="p">:</span>
-<span class="gp">... </span>    <span class="k">print</span><span class="p">(</span><span class="s">'</span><span class="si">%s</span><span class="s"> </span><span class="si">%r</span><span class="s"> </span><span class="si">%r</span><span class="s">'</span> <span class="o">%</span> <span class="p">(</span><span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span><span class="p">))</span>
-<span class="gp">...</span>
-<span class="go">START (QName('p'), Attrs([(QName('class'), u'intro')])) (None, 1, 0)</span>
-<span class="go">TEXT u'Some text and ' (None, 1, 17)</span>
-<span class="go">START (QName('a'), Attrs([(QName('href'), u'http://example.org/')])) (None, 1, 31)</span>
-<span class="go">TEXT u'a link' (None, 1, 61)</span>
-<span class="go">END QName('a') (None, 1, 67)</span>
-<span class="go">TEXT u'.' (None, 1, 71)</span>
-<span class="go">START (QName('br'), Attrs()) (None, 1, 72)</span>
-<span class="go">END QName('br') (None, 1, 77)</span>
-<span class="go">END QName('p') (None, 1, 77)</span>
-</pre></div>
-</div>
-<div class="section" id="filtering">
-<h1>2   Filtering</h1>
-<p>One important feature of markup streams is that you can apply <em>filters</em> to the
-stream, either filters that come with Genshi, or your own custom filters.</p>
-<p>A filter is simply a callable that accepts the stream as parameter, and returns
-the filtered stream:</p>
-<div class="highlight"><pre><span class="k">def</span> <span class="nf">noop</span><span class="p">(</span><span class="n">stream</span><span class="p">):</span>
-    <span class="sd">"""A filter that doesn't actually do anything with the stream."""</span>
-    <span class="k">for</span> <span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span> <span class="ow">in</span> <span class="n">stream</span><span class="p">:</span>
-        <span class="k">yield</span> <span class="n">kind</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-<p>Filters can be applied in a number of ways. The simplest is to just call the
-filter directly:</p>
-<div class="highlight"><pre><span class="n">stream</span> <span class="o">=</span> <span class="n">noop</span><span class="p">(</span><span class="n">stream</span><span class="p">)</span>
-</pre></div>
-<p>The <tt class="docutils literal">Stream</tt> class also provides a <tt class="docutils literal">filter()</tt> method, which takes an
-arbitrary number of filter callables and applies them all:</p>
-<div class="highlight"><pre><span class="n">stream</span> <span class="o">=</span> <span class="n">stream</span><span class="o">.</span><span class="n">filter</span><span class="p">(</span><span class="n">noop</span><span class="p">)</span>
-</pre></div>
-<p>Finally, filters can also be applied using the <em>bitwise or</em> operator (<tt class="docutils literal">|</tt>),
-which allows a syntax similar to pipes on Unix shells:</p>
-<div class="highlight"><pre><span class="n">stream</span> <span class="o">=</span> <span class="n">stream</span> <span class="o">|</span> <span class="n">noop</span>
-</pre></div>
-<p>One example of a filter included with Genshi is the <tt class="docutils literal">HTMLSanitizer</tt> in
-<tt class="docutils literal">genshi.filters</tt>. It processes a stream of HTML markup, and strips out any
-potentially dangerous constructs, such as Javascript event handlers.
-<tt class="docutils literal">HTMLSanitizer</tt> is not a function, but rather a class that implements
-<tt class="docutils literal">__call__</tt>, which means instances of the class are callable:</p>
-<div class="highlight"><pre><span class="n">stream</span> <span class="o">=</span> <span class="n">stream</span> <span class="o">|</span> <span class="n">HTMLSanitizer</span><span class="p">()</span>
-</pre></div>
-<p>Both the <tt class="docutils literal">filter()</tt> method and the pipe operator allow easy chaining of
-filters:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">HTMLSanitizer</span>
-<span class="n">stream</span> <span class="o">=</span> <span class="n">stream</span><span class="o">.</span><span class="n">filter</span><span class="p">(</span><span class="n">noop</span><span class="p">,</span> <span class="n">HTMLSanitizer</span><span class="p">())</span>
-</pre></div>
-<p>That is equivalent to:</p>
-<div class="highlight"><pre><span class="n">stream</span> <span class="o">=</span> <span class="n">stream</span> <span class="o">|</span> <span class="n">noop</span> <span class="o">|</span> <span class="n">HTMLSanitizer</span><span class="p">()</span>
-</pre></div>
-<p>For more information about the built-in filters, see <a class="reference external" href="filters.html">Stream Filters</a>.</p>
-</div>
-<div class="section" id="serialization">
-<h1>3   Serialization</h1>
-<p>Serialization means producing some kind of textual output from a stream of
-events, which you'll need when you want to transmit or store the results of
-generating or otherwise processing markup.</p>
-<p>The <tt class="docutils literal">Stream</tt> class provides two methods for serialization: <tt class="docutils literal">serialize()</tt>
-and <tt class="docutils literal">render()</tt>. The former is a generator that yields chunks of <tt class="docutils literal">Markup</tt>
-objects (which are basically unicode strings that are considered safe for
-output on the web). The latter returns a single string, by default UTF-8
-encoded.</p>
-<p>Here's the output from <tt class="docutils literal">serialize()</tt>:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">output</span> <span class="ow">in</span> <span class="n">stream</span><span class="o">.</span><span class="n">serialize</span><span class="p">():</span>
-<span class="gp">... </span>    <span class="k">print</span><span class="p">(</span><span class="nb">repr</span><span class="p">(</span><span class="n">output</span><span class="p">))</span>
-<span class="gp">...</span>
-<span class="go">&lt;Markup u'&lt;p class="intro"&gt;'&gt;</span>
-<span class="go">&lt;Markup u'Some text and '&gt;</span>
-<span class="go">&lt;Markup u'&lt;a href="http://example.org/"&gt;'&gt;</span>
-<span class="go">&lt;Markup u'a link'&gt;</span>
-<span class="go">&lt;Markup u'&lt;/a&gt;'&gt;</span>
-<span class="go">&lt;Markup u'.'&gt;</span>
-<span class="go">&lt;Markup u'&lt;br/&gt;'&gt;</span>
-<span class="go">&lt;Markup u'&lt;/p&gt;'&gt;</span>
-</pre></div>
-<p>And here's the output from <tt class="docutils literal">render()</tt>:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">stream</span><span class="o">.</span><span class="n">render</span><span class="p">())</span>
-<span class="go">&lt;p class="intro"&gt;Some text and &lt;a href="http://example.org/"&gt;a link&lt;/a&gt;.&lt;br/&gt;&lt;/p&gt;</span>
-</pre></div>
-<p>Both methods can be passed a <tt class="docutils literal">method</tt> parameter that determines how exactly
-the events are serialized to text. This parameter can be either a string or a
-custom serializer class:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">stream</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'html'</span><span class="p">))</span>
-<span class="go">&lt;p class="intro"&gt;Some text and &lt;a href="http://example.org/"&gt;a link&lt;/a&gt;.&lt;br&gt;&lt;/p&gt;</span>
-</pre></div>
-<p>Note how the <cite>&lt;br&gt;</cite> element isn't closed, which is the right thing to do for
-HTML. See  <a class="reference internal" href="#serialization-methods">serialization methods</a> for more details.</p>
-<p>In addition, the <tt class="docutils literal">render()</tt> method takes an <tt class="docutils literal">encoding</tt> parameter, which
-defaults to “UTF-8”. If set to <tt class="docutils literal">None</tt>, the result will be a unicode string.</p>
-<p>The different serializer classes in <tt class="docutils literal">genshi.output</tt> can also be used
-directly:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.filters</span> <span class="kn">import</span> <span class="n">HTMLSanitizer</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.output</span> <span class="kn">import</span> <span class="n">TextSerializer</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="s">''</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">TextSerializer</span><span class="p">()(</span><span class="n">HTMLSanitizer</span><span class="p">()(</span><span class="n">stream</span><span class="p">))))</span>
-<span class="go">Some text and a link.</span>
-</pre></div>
-<p>The pipe operator allows a nicer syntax:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">stream</span> <span class="o">|</span> <span class="n">HTMLSanitizer</span><span class="p">()</span> <span class="o">|</span> <span class="n">TextSerializer</span><span class="p">())</span>
-<span class="go">Some text and a link.</span>
-</pre></div>
-<div class="section" id="id1">
-<span id="serialization-methods"></span><h2>3.1   Serialization Methods</h2>
-<p>Genshi supports the use of different serialization methods to use for creating
-a text representation of a markup stream.</p>
-<dl class="docutils">
-<dt><tt class="docutils literal">xml</tt></dt>
-<dd>The <tt class="docutils literal">XMLSerializer</tt> is the default serialization method and results in
-proper XML output including namespace support, the XML declaration, CDATA
-sections, and so on. It is not generally not suitable for serving HTML or
-XHTML web pages (unless you want to use true XHTML 1.1), for which the
-<tt class="docutils literal">xhtml</tt> and <tt class="docutils literal">html</tt> serializers described below should be preferred.</dd>
-<dt><tt class="docutils literal">xhtml</tt></dt>
-<dd><p class="first">The <tt class="docutils literal">XHTMLSerializer</tt> is a specialization of the generic <tt class="docutils literal">XMLSerializer</tt>
-that understands the pecularities of producing XML-compliant output that can
-also be parsed without problems by the HTML parsers found in modern web
-browsers. Thus, the output by this serializer should be usable whether sent
-as "text/html" or "application/xhtml+html" (although there are a lot of
-subtle issues to pay attention to when switching between the two, in
-particular with respect to differences in the DOM and CSS).</p>
-<p>For example, instead of rendering a script tag as <tt class="docutils literal">&lt;script/&gt;</tt> (which
-confuses the HTML parser in many browsers), it will produce
-<tt class="docutils literal"><span class="pre">&lt;script&gt;&lt;/script&gt;</span></tt>. Also, it will normalize any boolean attributes values
-that are minimized in HTML, so that for example <tt class="docutils literal">&lt;hr <span class="pre">noshade="1"/&gt;</span></tt>
-becomes <tt class="docutils literal">&lt;hr <span class="pre">noshade="noshade"</span> /&gt;</tt>.</p>
-<p class="last">This serializer supports the use of namespaces for compound documents, for
-example to use inline SVG inside an XHTML document.</p>
-</dd>
-<dt><tt class="docutils literal">html</tt></dt>
-<dd>The <tt class="docutils literal">HTMLSerializer</tt> produces proper HTML markup. The main differences
-compared to <tt class="docutils literal">xhtml</tt> serialization are that boolean attributes are
-minimized, empty tags are not self-closing (so it's <tt class="docutils literal">&lt;br&gt;</tt> instead of
-<tt class="docutils literal">&lt;br /&gt;</tt>), and that the contents of <tt class="docutils literal">&lt;script&gt;</tt> and <tt class="docutils literal">&lt;style&gt;</tt> elements
-are not escaped.</dd>
-<dt><tt class="docutils literal">text</tt></dt>
-<dd>The <tt class="docutils literal">TextSerializer</tt> produces plain text from markup streams. This is
-useful primarily for <a class="reference external" href="text-templates.html">text templates</a>, but can also be used to produce
-plain text output from markup templates or other sources.</dd>
-</dl>
-</div>
-<div class="section" id="serialization-options">
-<h2>3.2   Serialization Options</h2>
-<p>Both <tt class="docutils literal">serialize()</tt> and <tt class="docutils literal">render()</tt> support additional keyword arguments that
-are passed through to the initializer of the serializer class. The following
-options are supported by the built-in serializers:</p>
-<dl class="docutils">
-<dt><tt class="docutils literal">strip_whitespace</tt></dt>
-<dd><p class="first">Whether the serializer should remove trailing spaces and empty lines.
-Defaults to <tt class="docutils literal">True</tt>.</p>
-<p class="last">(This option is not available for serialization to plain text.)</p>
-</dd>
-<dt><tt class="docutils literal">doctype</tt></dt>
-<dd><p class="first">A <tt class="docutils literal">(name, pubid, sysid)</tt> tuple defining the name, publid identifier, and
-system identifier of a <tt class="docutils literal">DOCTYPE</tt> declaration to prepend to the generated
-output. If provided, this declaration will override any <tt class="docutils literal">DOCTYPE</tt>
-declaration in the stream.</p>
-<p>The parameter can also be specified as a string to refer to commonly used
-doctypes:</p>
-<table border="1" class="docutils">
-<colgroup>
-<col width="40%">
-<col width="60%">
-</colgroup>
-<thead valign="bottom">
-<tr><th class="head">Shorthand</th>
-<th class="head">DOCTYPE</th>
-</tr>
-</thead>
-<tbody valign="top">
-<tr><td><tt class="docutils literal">html</tt> or
-<tt class="docutils literal"><span class="pre">html-strict</span></tt></td>
-<td>HTML 4.01 Strict</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">html-transitional</span></tt></td>
-<td>HTML 4.01 Transitional</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">html-frameset</span></tt></td>
-<td>HTML 4.01 Frameset</td>
-</tr>
-<tr><td><tt class="docutils literal">html5</tt></td>
-<td>DOCTYPE proposed for the work-in-progress
-HTML5 standard</td>
-</tr>
-<tr><td><tt class="docutils literal">xhtml</tt> or
-<tt class="docutils literal"><span class="pre">xhtml-strict</span></tt></td>
-<td>XHTML 1.0 Strict</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">xhtml-transitional</span></tt></td>
-<td>XHTML 1.0 Transitional</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">xhtml-frameset</span></tt></td>
-<td>XHTML 1.0 Frameset</td>
-</tr>
-<tr><td><tt class="docutils literal">xhtml11</tt></td>
-<td>XHTML 1.1</td>
-</tr>
-<tr><td><tt class="docutils literal">svg</tt> or <tt class="docutils literal"><span class="pre">svg-full</span></tt></td>
-<td>SVG 1.1</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">svg-basic</span></tt></td>
-<td>SVG 1.1 Basic</td>
-</tr>
-<tr><td><tt class="docutils literal"><span class="pre">svg-tiny</span></tt></td>
-<td>SVG 1.1 Tiny</td>
-</tr>
-</tbody>
-</table>
-<p class="last">(This option is not available for serialization to plain text.)</p>
-</dd>
-<dt><tt class="docutils literal">namespace_prefixes</tt></dt>
-<dd><p class="first">The namespace prefixes to use for namespace that are not bound to a prefix
-in the stream itself.</p>
-<p class="last">(This option is not available for serialization to HTML or plain text.)</p>
-</dd>
-<dt><tt class="docutils literal">drop_xml_decl</tt></dt>
-<dd><p class="first">Whether to remove the XML declaration (the <tt class="docutils literal"><span class="pre">&lt;?xml</span> <span class="pre">?&gt;</span></tt> part at the
-beginning of a document) when serializing. This defaults to <tt class="docutils literal">True</tt> as an
-XML declaration throws some older browsers into "Quirks" rendering mode.</p>
-<p class="last">(This option is only available for serialization to XHTML.)</p>
-</dd>
-<dt><tt class="docutils literal">strip_markup</tt></dt>
-<dd><p class="first">Whether the text serializer should detect and remove any tags or entity
-encoded characters in the text.</p>
-<p class="last">(This option is only available for serialization to plain text.)</p>
-</dd>
-</dl>
-</div>
-</div>
-<div class="section" id="using-xpath">
-<h1>4   Using XPath</h1>
-<p>XPath can be used to extract a specific subset of the stream via the
-<tt class="docutils literal">select()</tt> method:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="n">substream</span> <span class="o">=</span> <span class="n">stream</span><span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'a'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">substream</span>
-<span class="go">&lt;genshi.core.Stream object at ...&gt;</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">substream</span><span class="p">)</span>
-<span class="go">&lt;a href="http://example.org/"&gt;a link&lt;/a&gt;</span>
-</pre></div>
-<p>Often, streams cannot be reused: in the above example, the sub-stream is based
-on a generator. Once it has been serialized, it will have been fully consumed,
-and cannot be rendered again. To work around this, you can wrap such a stream
-in a <tt class="docutils literal">list</tt>:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi</span> <span class="kn">import</span> <span class="n">Stream</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">substream</span> <span class="o">=</span> <span class="n">Stream</span><span class="p">(</span><span class="nb">list</span><span class="p">(</span><span class="n">stream</span><span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'a'</span><span class="p">)))</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">substream</span>
-<span class="go">&lt;genshi.core.Stream object at ...&gt;</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">substream</span><span class="p">)</span>
-<span class="go">&lt;a href="http://example.org/"&gt;a link&lt;/a&gt;</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">substream</span><span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'@href'</span><span class="p">))</span>
-<span class="go">http://example.org/</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">substream</span><span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'text()'</span><span class="p">))</span>
-<span class="go">a link</span>
-</pre></div>
-<p>See <a class="reference external" href="xpath.html">Using XPath in Genshi</a> for more information about the XPath support in
-Genshi.</p>
-</div>
-<div class="section" id="id2">
-<span id="event-kinds"></span><h1>5   Event Kinds</h1>
-<p>Every event in a stream is of one of several <em>kinds</em>, which also determines
-what the <tt class="docutils literal">data</tt> item of the event tuple looks like. The different kinds of
-events are documented below.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <tt class="docutils literal">data</tt> item is generally immutable. If the data is to be
-modified when processing a stream, it must be replaced by a new tuple.
-Effectively, this means the entire event tuple is immutable.</p>
-</div>
-<div class="section" id="start">
-<h2>5.1   START</h2>
-<p>The opening tag of an element.</p>
-<p>For this kind of event, the <tt class="docutils literal">data</tt> item is a tuple of the form
-<tt class="docutils literal">(tagname, attrs)</tt>, where <tt class="docutils literal">tagname</tt> is a <tt class="docutils literal">QName</tt> instance describing the
-qualified name of the tag, and <tt class="docutils literal">attrs</tt> is an <tt class="docutils literal">Attrs</tt> instance containing
-the attribute names and values associated with the tag (excluding namespace
-declarations):</p>
-<div class="highlight"><pre><span class="n">START</span><span class="p">,</span> <span class="p">(</span><span class="n">QName</span><span class="p">(</span><span class="s">'p'</span><span class="p">),</span> <span class="n">Attrs</span><span class="p">([(</span><span class="n">QName</span><span class="p">(</span><span class="s">'class'</span><span class="p">),</span> <span class="s">u'intro'</span><span class="p">)])),</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="end">
-<h2>5.2   END</h2>
-<p>The closing tag of an element.</p>
-<p>The <tt class="docutils literal">data</tt> item of end events consists of just a <tt class="docutils literal">QName</tt> instance
-describing the qualified name of the tag:</p>
-<div class="highlight"><pre><span class="n">END</span><span class="p">,</span> <span class="n">QName</span><span class="p">(</span><span class="s">'p'</span><span class="p">),</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="text">
-<h2>5.3   TEXT</h2>
-<p>Character data outside of elements and comments.</p>
-<p>For text events, the <tt class="docutils literal">data</tt> item should be a unicode object:</p>
-<div class="highlight"><pre><span class="n">TEXT</span><span class="p">,</span> <span class="s">u'Hello, world!'</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="start-ns">
-<h2>5.4   START_NS</h2>
-<p>The start of a namespace mapping, binding a namespace prefix to a URI.</p>
-<p>The <tt class="docutils literal">data</tt> item of this kind of event is a tuple of the form
-<tt class="docutils literal">(prefix, uri)</tt>, where <tt class="docutils literal">prefix</tt> is the namespace prefix and <tt class="docutils literal">uri</tt> is the
-full URI to which the prefix is bound. Both should be unicode objects. If the
-namespace is not bound to any prefix, the <tt class="docutils literal">prefix</tt> item is an empty string:</p>
-<div class="highlight"><pre><span class="n">START_NS</span><span class="p">,</span> <span class="p">(</span><span class="s">u'svg'</span><span class="p">,</span> <span class="s">u'http://www.w3.org/2000/svg'</span><span class="p">),</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="end-ns">
-<h2>5.5   END_NS</h2>
-<p>The end of a namespace mapping.</p>
-<p>The <tt class="docutils literal">data</tt> item of such events consists of only the namespace prefix (a
-unicode object):</p>
-<div class="highlight"><pre><span class="n">END_NS</span><span class="p">,</span> <span class="s">u'svg'</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="doctype">
-<h2>5.6   DOCTYPE</h2>
-<p>A document type declaration.</p>
-<p>For this type of event, the <tt class="docutils literal">data</tt> item is a tuple of the form
-<tt class="docutils literal">(name, pubid, sysid)</tt>, where <tt class="docutils literal">name</tt> is the name of the root element,
-<tt class="docutils literal">pubid</tt> is the public identifier of the DTD (or <tt class="docutils literal">None</tt>), and <tt class="docutils literal">sysid</tt> is
-the system identifier of the DTD (or <tt class="docutils literal">None</tt>):</p>
-<div class="highlight"><pre><span class="n">DOCTYPE</span><span class="p">,</span> <span class="p">(</span><span class="s">u'html'</span><span class="p">,</span> <span class="s">u'-//W3C//DTD XHTML 1.0 Transitional//EN'</span><span class="p">,</span> \
-          <span class="s">u'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'</span><span class="p">),</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="comment">
-<h2>5.7   COMMENT</h2>
-<p>A comment.</p>
-<p>For such events, the <tt class="docutils literal">data</tt> item is a unicode object containing all character
-data between the comment delimiters:</p>
-<div class="highlight"><pre><span class="n">COMMENT</span><span class="p">,</span> <span class="s">u'Commented out'</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="pi">
-<h2>5.8   PI</h2>
-<p>A processing instruction.</p>
-<p>The <tt class="docutils literal">data</tt> item is a tuple of the form <tt class="docutils literal">(target, data)</tt> for processing
-instructions, where <tt class="docutils literal">target</tt> is the target of the PI (used to identify the
-application by which the instruction should be processed), and <tt class="docutils literal">data</tt> is text
-following the target (excluding the terminating question mark):</p>
-<div class="highlight"><pre><span class="n">PI</span><span class="p">,</span> <span class="p">(</span><span class="s">u'php'</span><span class="p">,</span> <span class="s">u'echo "Yo" '</span><span class="p">),</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="start-cdata">
-<h2>5.9   START_CDATA</h2>
-<p>Marks the beginning of a <tt class="docutils literal">CDATA</tt> section.</p>
-<p>The <tt class="docutils literal">data</tt> item for such events is always <tt class="docutils literal">None</tt>:</p>
-<div class="highlight"><pre><span class="n">START_CDATA</span><span class="p">,</span> <span class="bp">None</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-</div>
-<div class="section" id="end-cdata">
-<h2>5.10   END_CDATA</h2>
-<p>Marks the end of a <tt class="docutils literal">CDATA</tt> section.</p>
-<p>The <tt class="docutils literal">data</tt> item for such events is always <tt class="docutils literal">None</tt>:</p>
-<div class="highlight"><pre><span class="n">END_CDATA</span><span class="p">,</span> <span class="bp">None</span><span class="p">,</span> <span class="n">pos</span>
-</pre></div>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/templates.html 0.7.1-2/doc/templates.html
--- 0.7-6/doc/templates.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/templates.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,394 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Genshi Templating Basics</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="genshi-templating-basics">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Genshi Templating Basics</h1>
-<p>Genshi provides a template engine that can be used for generating either
-markup (such as <a class="reference external" href="http://www.w3.org/html/">HTML</a> or <a class="reference external" href="http://www.w3.org/XML/">XML</a>) or plain text. While both share some of the
-syntax (and much of the underlying implementation) they are essentially
-separate languages.</p>
-<p>This document describes the common parts of the template engine and will be most
-useful as reference to those developing Genshi templates. Templates are XML or
-plain text files that include processing <a class="reference internal" href="#directives">directives</a> that affect how the
-template is rendered, and template <a class="reference internal" href="#expressions">expressions</a> that are dynamically substituted
-by variable data.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#synopsis" id="id5">1   Synopsis</a></li>
-<li><a class="reference internal" href="#python-api" id="id6">2   Python API</a></li>
-<li><a class="reference internal" href="#template-expressions-and-code-blocks" id="id7">3   Template Expressions and Code Blocks</a><ul class="auto-toc">
-<li><a class="reference internal" href="#escaping" id="id8">3.1   Escaping</a></li>
-<li><a class="reference internal" href="#id1" id="id9">3.2   Code Blocks</a></li>
-<li><a class="reference internal" href="#id2" id="id10">3.3   Error Handling</a><ul class="auto-toc">
-<li><a class="reference internal" href="#lenient-mode" id="id11">3.3.1   Lenient Mode</a></li>
-<li><a class="reference internal" href="#custom-modes" id="id12">3.3.2   Custom Modes</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#built-in-functions-types" id="id13">3.4   Built-in Functions &amp; Types</a><ul class="auto-toc">
-<li><a class="reference internal" href="#defined-name" id="id14">3.4.1   <tt class="docutils literal">defined(name)</tt></a></li>
-<li><a class="reference internal" href="#value-of-name-default-none" id="id15">3.4.2   <tt class="docutils literal">value_of(name, default=None)</tt></a></li>
-<li><a class="reference internal" href="#markup-text" id="id16">3.4.3   <tt class="docutils literal">Markup(text)</tt></a></li>
-<li><a class="reference internal" href="#id3" id="id17">3.4.4   <tt class="docutils literal">Undefined</tt></a></li>
-</ul>
-</li>
-</ul>
-</li>
-<li><a class="reference internal" href="#template-directives" id="id18">4   Template Directives</a></li>
-</ul>
-</div>
-<div class="section" id="synopsis">
-<h1>1   Synopsis</h1>
-<p>A Genshi <em>markup template</em> is a well-formed XML document with embedded Python
-used for control flow and variable substitution. Markup templates should be
-used to generate any kind of HTML or XML output, as they provide a number of
-advantages over simple text-based templates (such as automatic escaping of
-variable data).</p>
-<p>The following is a simple Genshi markup template:</p>
-<div class="highlight"><pre><span class="cp">&lt;?python</span>
-  <span class="n">title</span> <span class="o">=</span> <span class="s">"A Genshi Template"</span>
-  <span class="n">fruits</span> <span class="o">=</span> <span class="p">[</span><span class="s">"apple"</span><span class="p">,</span> <span class="s">"orange"</span><span class="p">,</span> <span class="s">"kiwi"</span><span class="p">]</span>
-<span class="cp">?&gt;</span>
-<span class="nt">&lt;html</span> <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;head&gt;</span>
-    <span class="nt">&lt;title</span> <span class="na">py:content=</span><span class="s">"</span><span class="n">title</span><span class="s">"</span><span class="nt">&gt;</span>This is replaced.<span class="nt">&lt;/title&gt;</span>
-  <span class="nt">&lt;/head&gt;</span>
-
-  <span class="nt">&lt;body&gt;</span>
-    <span class="nt">&lt;p&gt;</span>These are some of my favorite fruits:<span class="nt">&lt;/p&gt;</span>
-    <span class="nt">&lt;ul&gt;</span>
-      <span class="nt">&lt;li</span> <span class="na">py:for=</span><span class="s">"</span><span class="n">fruit</span> <span class="ow">in</span> <span class="n">fruits</span><span class="s">"</span><span class="nt">&gt;</span>
-        I like <span class="cp">${</span><span class="n">fruit</span><span class="cp">}</span>s
-      <span class="nt">&lt;/li&gt;</span>
-    <span class="nt">&lt;/ul&gt;</span>
-  <span class="nt">&lt;/body&gt;</span>
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>This example shows:</p>
-<ol class="loweralpha simple">
-<li>a Python code block in a processing instruction</li>
-<li>the Genshi namespace declaration</li>
-<li>usage of templates directives (<tt class="docutils literal">py:content</tt> and <tt class="docutils literal">py:for</tt>)</li>
-<li>an inline Python expression (<tt class="docutils literal">${fruit}</tt>).</li>
-</ol>
-<p>The template would generate output similar to this:</p>
-<div class="highlight"><pre><span class="nt">&lt;html&gt;</span>
-  <span class="nt">&lt;head&gt;</span>
-    <span class="nt">&lt;title&gt;</span>A Genshi Template<span class="nt">&lt;/title&gt;</span>
-  <span class="nt">&lt;/head&gt;</span>
-
-  <span class="nt">&lt;body&gt;</span>
-    <span class="nt">&lt;p&gt;</span>These are some of my favorite fruits:<span class="nt">&lt;/p&gt;</span>
-    <span class="nt">&lt;ul&gt;</span>
-      <span class="nt">&lt;li&gt;</span>I like apples<span class="nt">&lt;/li&gt;</span>
-      <span class="nt">&lt;li&gt;</span>I like oranges<span class="nt">&lt;/li&gt;</span>
-      <span class="nt">&lt;li&gt;</span>I like kiwis<span class="nt">&lt;/li&gt;</span>
-    <span class="nt">&lt;/ul&gt;</span>
-  <span class="nt">&lt;/body&gt;</span>
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>A <em>text template</em> is a simple plain text document that can also contain
-embedded Python code. Text templates are intended to be used for simple
-<em>non-markup</em> text formats, such as the body of an plain text email. For
-example:</p>
-<div class="highlight"><pre><span class="x">Dear </span><span class="nv">$name</span><span class="x">,</span>
-
-<span class="x">These are some of my favorite fruits:</span>
-<span class="cp">#</span><span class="k">for</span> <span class="n">fruit</span> <span class="ow">in</span> <span class="n">fruits</span><span class="x"></span>
-<span class="x"> * </span><span class="nv">$fruit</span><span class="x"></span>
-<span class="cp">#</span><span class="k">end</span><span class="x"></span>
-</pre></div>
-</div>
-<div class="section" id="python-api">
-<h1>2   Python API</h1>
-<p>The Python code required for templating with Genshi is generally based on the
-following pattern:</p>
-<ul class="simple">
-<li>Attain a <tt class="docutils literal">MarkupTemplate</tt> or <tt class="docutils literal">TextTemplate</tt> object from a string or
-file-like object containing the template source. This can either be done
-directly, or through a <tt class="docutils literal">TemplateLoader</tt> instance.</li>
-<li>Call the <tt class="docutils literal">generate()</tt> method of the template, passing any data that should
-be made available to the template as keyword arguments.</li>
-<li>Serialize the resulting stream using its <tt class="docutils literal">render()</tt> method.</li>
-</ul>
-<p>For example:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;h1&gt;Hello, $name!&lt;/h1&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">stream</span> <span class="o">=</span> <span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">(</span><span class="n">name</span><span class="o">=</span><span class="s">'world'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">stream</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'xhtml'</span><span class="p">))</span>
-<span class="go">&lt;h1&gt;Hello, world!&lt;/h1&gt;</span>
-</pre></div>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">See the <a class="reference external" href="streams.html#serialization">Serialization</a> section of the <a class="reference external" href="streams.html">Markup Streams</a> page for
-information on configuring template output options.</p>
-</div>
-<p>Using a text template is similar:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TextTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">TextTemplate</span><span class="p">(</span><span class="s">'Hello, $name!'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">stream</span> <span class="o">=</span> <span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">(</span><span class="n">name</span><span class="o">=</span><span class="s">'world'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">stream</span><span class="p">)</span>
-<span class="go">Hello, world!</span>
-</pre></div>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you want to use text templates, you should consider using the
-<tt class="docutils literal">NewTextTemplate</tt> class instead of simply <tt class="docutils literal">TextTemplate</tt>. See
-the <a class="reference external" href="text-templates.html">Text Template Language</a> page.</p>
-</div>
-<p>Using a <a class="reference external" href="loader.html">template loader</a> provides the advantage that “compiled” templates are
-automatically cached, and only parsed again when the template file changes. In
-addition, it enables the use of a <em>template search path</em>, allowing template
-directories to be spread across different file-system locations. Using a
-template loader would generally look as follows:</p>
-<div class="highlight"><pre><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">TemplateLoader</span>
-<span class="n">loader</span> <span class="o">=</span> <span class="n">TemplateLoader</span><span class="p">([</span><span class="n">templates_dir1</span><span class="p">,</span> <span class="n">templates_dir2</span><span class="p">])</span>
-<span class="n">tmpl</span> <span class="o">=</span> <span class="n">loader</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="s">'test.html'</span><span class="p">)</span>
-<span class="n">stream</span> <span class="o">=</span> <span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">(</span><span class="n">title</span><span class="o">=</span><span class="s">'Hello, world!'</span><span class="p">)</span>
-<span class="k">print</span><span class="p">(</span><span class="n">stream</span><span class="o">.</span><span class="n">render</span><span class="p">())</span>
-</pre></div>
-<p>See the <a class="reference external" href="api/index.html">API documentation</a> for details on using Genshi via
-the Python API.</p>
-</div>
-<div class="section" id="template-expressions-and-code-blocks">
-<span id="expressions"></span><h1>3   Template Expressions and Code Blocks</h1>
-<p><a class="reference external" href="http://www.python.org/">Python</a> expressions can be used in text and directive arguments. An expression
-is substituted with the result of its evaluation against the template data.
-Expressions in text (which includes the values of non-directive attributes) need
-to prefixed with a dollar sign (<tt class="docutils literal">$</tt>) and usually enclosed in curly braces
-(<tt class="docutils literal">{…}</tt>).</p>
-<p>If the expression starts with a letter and contains only letters, digits, dots,
-and underscores, the curly braces may be omitted. In all other cases, the
-braces are required so that the template processor knows where the expression
-ends:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;em&gt;${items[0].capitalize()} item&lt;/em&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">(</span><span class="n">items</span><span class="o">=</span><span class="p">[</span><span class="s">'first'</span><span class="p">,</span> <span class="s">'second'</span><span class="p">]))</span>
-<span class="go">&lt;em&gt;First item&lt;/em&gt;</span>
-</pre></div>
-<p>Expressions support the full power of Python. In addition, it is possible to
-access items in a dictionary using “dotted notation” (i.e. as if they were
-attributes), and vice-versa (i.e. access attributes as if they were items in a
-dictionary):</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;em&gt;${dict.foo}&lt;/em&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">(</span><span class="nb">dict</span><span class="o">=</span><span class="p">{</span><span class="s">'foo'</span><span class="p">:</span> <span class="s">'bar'</span><span class="p">}))</span>
-<span class="go">&lt;em&gt;bar&lt;/em&gt;</span>
-</pre></div>
-<p>Because there are two ways to access either attributes or items, expressions
-do not raise the standard <tt class="docutils literal">AttributeError</tt> or <tt class="docutils literal">IndexError</tt> exceptions, but
-rather an exception of the type <tt class="docutils literal">UndefinedError</tt>. The same kind of error is
-raised when you try to use a top-level variable that is not in the context data.
-See <a class="reference internal" href="#error-handling">Error Handling</a> below for details on how such errors are handled.</p>
-<div class="section" id="escaping">
-<h2>3.1   Escaping</h2>
-<p>If you need to include a literal dollar sign in the output where Genshi would
-normally detect an expression, you can simply add another dollar sign:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;em&gt;$foo&lt;/em&gt;'</span><span class="p">)</span> <span class="c"># Wanted "$foo" as literal output</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">())</span>
-<span class="gt">Traceback (most recent call last):</span>
-  <span class="c">...</span>
-<span class="gr">UndefinedError</span>: <span class="n">"foo" not defined</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;em&gt;$$foo&lt;/em&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">())</span>
-<span class="go">&lt;em&gt;$foo&lt;/em&gt;</span>
-</pre></div>
-<p>But note that this is not necessary if the characters following the dollar sign
-do not qualify as an expression. For example, the following needs no escaping:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;script&gt;$(function() {})&lt;/script&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">())</span>
-<span class="go">&lt;script&gt;$(function() {})&lt;/script&gt;</span>
-</pre></div>
-<p>On the other hand, Genshi will always replace two dollar signs in text with a
-single dollar sign, so you'll need to use three dollar signs to get two in the
-output:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;script&gt;$$$("div")&lt;/script&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">())</span>
-<span class="go">&lt;script&gt;$$("div")&lt;/script&gt;</span>
-</pre></div>
-</div>
-<div class="section" id="id1">
-<span id="code-blocks"></span><h2>3.2   Code Blocks</h2>
-<p>Templates also support full Python code blocks, using the <tt class="docutils literal"><span class="pre">&lt;?python</span> <span class="pre">?&gt;</span></tt>
-processing instruction in XML templates:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="cp">&lt;?python</span>
-      <span class="kn">from</span> <span class="nn">genshi.builder</span> <span class="kn">import</span> <span class="n">tag</span>
-      <span class="k">def</span> <span class="nf">greeting</span><span class="p">(</span><span class="n">name</span><span class="p">):</span>
-          <span class="k">return</span> <span class="n">tag</span><span class="o">.</span><span class="n">b</span><span class="p">(</span><span class="s">'Hello, </span><span class="si">%s</span><span class="s">!'</span> <span class="o">%</span> <span class="n">name</span><span class="p">)</span> <span class="cp">?&gt;</span>
-  <span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'world'</span><span class="p">)</span><span class="cp">}</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This will produce the following output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;b&gt;</span>Hello, world!<span class="nt">&lt;/b&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>In text templates (although only those using the new syntax introduced in
-Genshi 0.5), code blocks use the special <tt class="docutils literal">{% python %}</tt> directive:</p>
-<div class="highlight"><pre><span class="x">{% python</span>
-<span class="x">    from genshi.builder import tag</span>
-<span class="x">    def greeting(name):</span>
-<span class="x">        return 'Hello, %s!' % name</span>
-<span class="x">%}</span>
-<span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'world'</span><span class="p">)</span><span class="cp">}</span><span class="x"></span>
-</pre></div>
-<p>This will produce the following output:</p>
-<pre class="literal-block">
-Hello, world!
-</pre>
-<p>Code blocks can import modules, define classes and functions, and basically do
-anything you can do in normal Python code. What code blocks can <em>not</em> do is to
-produce content that is emitted directly tp the generated output.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">Using the <tt class="docutils literal">print</tt> statement will print to the standard output
-stream, just as it does for other Python code in your application.</p>
-</div>
-<p>Unlike expressions, Python code in <tt class="docutils literal"><span class="pre">&lt;?python</span> <span class="pre">?&gt;</span></tt> processing instructions can
-not use item and attribute access in an interchangeable manner. That means that
-“dotted notation” is always attribute access, and vice-versa.</p>
-<p>The support for Python code blocks in templates is not supposed to encourage
-mixing application code into templates, which is generally considered bad
-design. If you're using many code blocks, that may be a sign that you should
-move such code into separate Python modules.</p>
-<p>If you'd rather not allow the use of Python code blocks in templates, you can
-simply set the <tt class="docutils literal">allow_exec</tt> parameter (available on the <tt class="docutils literal">Template</tt> and the
-<tt class="docutils literal">TemplateLoader</tt> initializers) to <tt class="docutils literal">False</tt>. In that case Genshi will raise
-a syntax error when a <tt class="docutils literal"><span class="pre">&lt;?python</span> <span class="pre">?&gt;</span></tt> processing instruction is encountered.
-But please note that disallowing code blocks in templates does not turn Genshi
-into a sandboxable template engine; there are sufficient ways to do harm even
-using plain expressions.</p>
-</div>
-<div class="section" id="id2">
-<span id="error-handling"></span><h2>3.3   Error Handling</h2>
-<p>By default, Genshi raises an <tt class="docutils literal">UndefinedError</tt> if a template expression
-attempts to access a variable that is not defined:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;p&gt;${doh}&lt;/p&gt;'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">()</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'xhtml'</span><span class="p">)</span>
-<span class="gt">Traceback (most recent call last):</span>
-  <span class="c">...</span>
-<span class="gr">UndefinedError</span>: <span class="n">"doh" not defined</span>
-</pre></div>
-<p>You can change this behavior by setting the variable lookup mode to "lenient".
-In that case, accessing undefined variables returns an <cite>Undefined</cite> object,
-meaning that the expression does not fail immediately. See below for details.</p>
-<p>If you need to check whether a variable exists in the template context, use the
-<a class="reference internal" href="#defined">defined</a> or the <a class="reference internal" href="#value-of">value_of</a> function described below. To check for existence of
-attributes on an object, or keys in a dictionary, use the <tt class="docutils literal">hasattr()</tt>,
-<tt class="docutils literal">getattr()</tt> or <tt class="docutils literal">get()</tt> functions, or the <tt class="docutils literal">in</tt> operator, just as you would
-in regular Python code:</p>
-<blockquote>
-<pre class="doctest-block">
-&gt;&gt;&gt; from genshi.template import MarkupTemplate
-&gt;&gt;&gt; tmpl = MarkupTemplate('&lt;p&gt;${defined("doh")}&lt;/p&gt;')
-&gt;&gt;&gt; print(tmpl.generate().render('xhtml'))
-&lt;p&gt;False&lt;/p&gt;
-</pre>
-</blockquote>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">Lenient error handling was the default in Genshi prior to version 0.5.
-Strict mode was introduced in version 0.4, and became the default in
-0.5. The reason for this change was that the lenient error handling
-was masking actual errors in templates, thereby also making it harder
-to debug some problems.</p>
-</div>
-<div class="section" id="lenient-mode">
-<span id="lenient"></span><h3>3.3.1   Lenient Mode</h3>
-<p>If you instruct Genshi to use the lenient variable lookup mode, it allows you
-to access variables that are not defined, without raising an <tt class="docutils literal">UndefinedError</tt>.</p>
-<p>This mode can be chosen by passing the <tt class="docutils literal"><span class="pre">lookup='lenient'</span></tt> keyword argument to
-the template initializer, or by passing the <tt class="docutils literal"><span class="pre">variable_lookup='lenient'</span></tt>
-keyword argument to the <tt class="docutils literal">TemplateLoader</tt> initializer:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;p&gt;${doh}&lt;/p&gt;'</span><span class="p">,</span> <span class="n">lookup</span><span class="o">=</span><span class="s">'lenient'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">()</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'xhtml'</span><span class="p">))</span>
-<span class="go">&lt;p&gt;&lt;/p&gt;</span>
-</pre></div>
-<p>You <em>will</em> however get an exception if you try to call an undefined variable, or
-do anything else with it, such as accessing its attributes:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;p&gt;${doh.oops}&lt;/p&gt;'</span><span class="p">,</span> <span class="n">lookup</span><span class="o">=</span><span class="s">'lenient'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">()</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'xhtml'</span><span class="p">))</span>
-<span class="gt">Traceback (most recent call last):</span>
-  <span class="c">...</span>
-<span class="gr">UndefinedError</span>: <span class="n">"doh" not defined</span>
-</pre></div>
-<p>If you need to know whether a variable is defined, you can check its type
-against the <tt class="docutils literal">Undefined</tt> class, for example in a conditional directive:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.template</span> <span class="kn">import</span> <span class="n">MarkupTemplate</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="n">tmpl</span> <span class="o">=</span> <span class="n">MarkupTemplate</span><span class="p">(</span><span class="s">'&lt;p&gt;${type(doh) is not Undefined}&lt;/p&gt;'</span><span class="p">,</span>
-<span class="gp">... </span>                      <span class="n">lookup</span><span class="o">=</span><span class="s">'lenient'</span><span class="p">)</span>
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">tmpl</span><span class="o">.</span><span class="n">generate</span><span class="p">()</span><span class="o">.</span><span class="n">render</span><span class="p">(</span><span class="s">'xhtml'</span><span class="p">))</span>
-<span class="go">&lt;p&gt;False&lt;/p&gt;</span>
-</pre></div>
-<p>Alternatively, the built-in functions <a class="reference internal" href="#defined">defined</a> or <a class="reference internal" href="#value-of">value_of</a> can be used in this
-case.</p>
-</div>
-<div class="section" id="custom-modes">
-<h3>3.3.2   Custom Modes</h3>
-<p>In addition to the built-in "lenient" and "strict" modes, it is also possible to
-use a custom error handling mode. For example, you could use lenient error
-handling in a production environment, while also logging a warning when an
-undefined variable is referenced.</p>
-<p>See the API documentation of the <tt class="docutils literal">genshi.template.eval</tt> module for details.</p>
-</div>
-</div>
-<div class="section" id="built-in-functions-types">
-<h2>3.4   Built-in Functions &amp; Types</h2>
-<p>The following functions and types are available by default in template code, in
-addition to the standard built-ins that are available to all Python code.</p>
-<div class="section" id="defined-name">
-<span id="defined"></span><h3>3.4.1   <tt class="docutils literal">defined(name)</tt></h3>
-<p>This function determines whether a variable of the specified name exists in
-the context data, and returns <tt class="docutils literal">True</tt> if it does.</p>
-</div>
-<div class="section" id="value-of-name-default-none">
-<span id="value-of"></span><h3>3.4.2   <tt class="docutils literal">value_of(name, default=None)</tt></h3>
-<p>This function returns the value of the variable with the specified name if
-such a variable is defined, and returns the value of the <tt class="docutils literal">default</tt>
-parameter if no such variable is defined.</p>
-</div>
-<div class="section" id="markup-text">
-<span id="markup"></span><h3>3.4.3   <tt class="docutils literal">Markup(text)</tt></h3>
-<p>The <tt class="docutils literal">Markup</tt> type marks a given string as being safe for inclusion in markup,
-meaning it will <em>not</em> be escaped in the serialization stage. Use this with care,
-as not escaping a user-provided string may allow malicious users to open your
-web site to cross-site scripting attacks.</p>
-</div>
-<div class="section" id="id3">
-<span id="undefined"></span><h3>3.4.4   <tt class="docutils literal">Undefined</tt></h3>
-<p>The <tt class="docutils literal">Undefined</tt> type can be used to check whether a reference variable is
-defined, as explained in <a class="reference internal" href="#error-handling">error handling</a>.</p>
-</div>
-</div>
-</div>
-<div class="section" id="template-directives">
-<span id="directives"></span><h1>4   Template Directives</h1>
-<p>Directives provide control flow functionality for templates, such as conditions
-or iteration. As the syntax for directives depends on whether you're using
-markup or text templates, refer to the
-<a class="reference external" href="xml-templates.html">XML Template Language</a> or
-<a class="reference external" href="text-templates.html">Text Template Language</a> pages for information.</p>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/text-templates.html 0.7.1-2/doc/text-templates.html
--- 0.7-6/doc/text-templates.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/text-templates.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,309 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Genshi Text Template Language</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="genshi-text-template-language">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Genshi Text Template Language</h1>
-<p>In addition to the XML-based template language, Genshi provides a simple
-text-based template language, intended for basic plain text generation needs.
-The language is similar to the <a class="reference external" href="http://www.djangoproject.com/">Django</a> template language.</p>
-<p>This document describes the template language and will be most useful as
-reference to those developing Genshi text templates. Templates are text files of
-some kind that include processing <a class="reference internal" href="#directives">directives</a> that affect how the template is
-rendered, and template expressions that are dynamically substituted by
-variable data.</p>
-<p>See <a class="reference external" href="templates.html">Genshi Templating Basics</a> for general information on
-embedding Python code in templates.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">Actually, Genshi currently has two different syntaxes for text
-templates languages: One implemented by the class <tt class="docutils literal">OldTextTemplate</tt>
-and another implemented by <tt class="docutils literal">NewTextTemplate</tt>. This documentation
-concentrates on the latter, which is planned to completely replace the
-older syntax. The older syntax is briefly described under <a class="reference internal" href="#legacy">legacy</a>.</p>
-</div>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#template-directives" id="id8">1   Template Directives</a><ul class="auto-toc">
-<li><a class="reference internal" href="#conditional-sections" id="id9">1.1   Conditional Sections</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id1" id="id10">1.1.1   <tt class="docutils literal">{% if %}</tt></a></li>
-<li><a class="reference internal" href="#id2" id="id11">1.1.2   <tt class="docutils literal">{% choose %}</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#looping" id="id12">1.2   Looping</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id3" id="id13">1.2.1   <tt class="docutils literal">{% for %}</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#snippet-reuse" id="id14">1.3   Snippet Reuse</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id4" id="id15">1.3.1   <tt class="docutils literal">{% def %}</tt></a></li>
-<li><a class="reference internal" href="#id5" id="id16">1.3.2   <tt class="docutils literal">{% include %}</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#variable-binding" id="id17">1.4   Variable Binding</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id6" id="id18">1.4.1   <tt class="docutils literal">{% with %}</tt></a></li>
-</ul>
-</li>
-</ul>
-</li>
-<li><a class="reference internal" href="#white-space-and-line-breaks" id="id19">2   White-space and Line Breaks</a></li>
-<li><a class="reference internal" href="#id7" id="id20">3   Comments</a></li>
-<li><a class="reference internal" href="#legacy-text-template-syntax" id="id21">4   Legacy Text Template Syntax</a></li>
-</ul>
-</div>
-<div class="section" id="template-directives">
-<span id="directives"></span><h1>1   Template Directives</h1>
-<p>Directives are template commands enclosed by <tt class="docutils literal">{% ... %}</tt> characters. They can
-affect how the template is rendered in a number of ways: Genshi provides
-directives for conditionals and looping, among others.</p>
-<p>Each directive must be terminated using an <tt class="docutils literal">{% end %}</tt> marker. You can add
-a string inside the <tt class="docutils literal">{% end %}</tt> marker, for example to document which
-directive is being closed, or even the expression associated with  that
-directive. Any text after <tt class="docutils literal">end</tt> inside the delimiters is  ignored,  and
-effectively treated as a comment.</p>
-<p>If you want to include a literal delimiter in the output, you need to escape it
-by prepending a backslash character (<tt class="docutils literal">\</tt>).</p>
-<div class="section" id="conditional-sections">
-<h2>1.1   Conditional Sections</h2>
-<div class="section" id="id1">
-<span id="if"></span><h3>1.1.1   <tt class="docutils literal">{% if %}</tt></h3>
-<p>The content is only rendered if the expression evaluates to a truth value:</p>
-<div class="highlight"><pre><span class="x">{% if foo %}</span>
-<span class="x">  </span><span class="cp">${</span><span class="n">bar</span><span class="cp">}</span><span class="x"></span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>Given the data <tt class="docutils literal">foo=True</tt> and <tt class="docutils literal"><span class="pre">bar='Hello'</span></tt> in the template context, this
-would produce:</p>
-<pre class="literal-block">
-Hello
-</pre>
-</div>
-<div class="section" id="id2">
-<span id="otherwise"></span><span id="when"></span><span id="choose"></span><h3>1.1.2   <tt class="docutils literal">{% choose %}</tt></h3>
-<p>The <tt class="docutils literal">choose</tt> directive, in combination with the directives <tt class="docutils literal">when</tt> and
-<tt class="docutils literal">otherwise</tt>, provides advanced contional processing for rendering one of
-several alternatives. The first matching <tt class="docutils literal">when</tt> branch is rendered, or, if
-no <tt class="docutils literal">when</tt> branch matches, the <tt class="docutils literal">otherwise</tt> branch is be rendered.</p>
-<p>If the <tt class="docutils literal">choose</tt> directive has no argument the nested <tt class="docutils literal">when</tt> directives will
-be tested for truth:</p>
-<div class="highlight"><pre><span class="x">The answer is:</span>
-<span class="x">{% choose %}</span>
-<span class="x">  {% when 0 == 1 %}0{% end %}</span>
-<span class="x">  {% when 1 == 1 %}1{% end %}</span>
-<span class="x">  {% otherwise %}2{% end %}</span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>This would produce the following output:</p>
-<pre class="literal-block">
-The answer is:
-  1
-</pre>
-<p>If the <tt class="docutils literal">choose</tt> does have an argument, the nested <tt class="docutils literal">when</tt> directives will
-be tested for equality to the parent <tt class="docutils literal">choose</tt> value:</p>
-<div class="highlight"><pre><span class="x">The answer is:</span>
-<span class="x">{% choose 1 %}\</span>
-<span class="x">  {% when 0 %}0{% end %}\</span>
-<span class="x">  {% when 1 %}1{% end %}\</span>
-<span class="x">  {% otherwise %}2{% end %}\</span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>This would produce the following output:</p>
-<pre class="literal-block">
-The answer is:
-    1
-</pre>
-</div>
-</div>
-<div class="section" id="looping">
-<h2>1.2   Looping</h2>
-<div class="section" id="id3">
-<span id="for"></span><h3>1.2.1   <tt class="docutils literal">{% for %}</tt></h3>
-<p>The content is repeated for every item in an iterable:</p>
-<div class="highlight"><pre><span class="x">Your items:</span>
-<span class="x">{% for item in items %}\</span>
-<span class="x">  * </span><span class="cp">${</span><span class="n">item</span><span class="cp">}</span><span class="x"></span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>Given <tt class="docutils literal"><span class="pre">items=[1,</span> 2, 3]</tt> in the context data, this would produce:</p>
-<pre class="literal-block">
-Your items
-  * 1
-  * 2
-  * 3
-</pre>
-</div>
-</div>
-<div class="section" id="snippet-reuse">
-<h2>1.3   Snippet Reuse</h2>
-<div class="section" id="id4">
-<span id="macros"></span><span id="def"></span><h3>1.3.1   <tt class="docutils literal">{% def %}</tt></h3>
-<p>The <tt class="docutils literal">def</tt> directive can be used to create macros, i.e. snippets of template
-text that have a name and optionally some parameters, and that can be inserted
-in other places:</p>
-<div class="highlight"><pre><span class="x">{% def greeting(name) %}</span>
-<span class="x">  Hello, </span><span class="cp">${</span><span class="n">name</span><span class="cp">}</span><span class="x">!</span>
-<span class="x">{% end %}</span>
-<span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'world'</span><span class="p">)</span><span class="cp">}</span><span class="x"></span>
-<span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'everyone else'</span><span class="p">)</span><span class="cp">}</span><span class="x"></span>
-</pre></div>
-<p>The above would be rendered to:</p>
-<pre class="literal-block">
-Hello, world!
-Hello, everyone else!
-</pre>
-<p>If a macro doesn't require parameters, it can be defined without the
-parenthesis. For example:</p>
-<div class="highlight"><pre><span class="x">{% def greeting %}</span>
-<span class="x">  Hello, world!</span>
-<span class="x">{% end %}</span>
-<span class="cp">${</span><span class="n">greeting</span><span class="p">()</span><span class="cp">}</span><span class="x"></span>
-</pre></div>
-<p>The above would be rendered to:</p>
-<pre class="literal-block">
-Hello, world!
-</pre>
-</div>
-<div class="section" id="id5">
-<span id="include"></span><span id="includes"></span><h3>1.3.2   <tt class="docutils literal">{% include %}</tt></h3>
-<p>To reuse common parts of template text across template files, you can include
-other files using the <tt class="docutils literal">include</tt> directive:</p>
-<div class="highlight"><pre><span class="x">{% include base.txt %}</span>
-</pre></div>
-<p>Any content included this way is inserted into the generated output. The
-included template sees the context data as it exists at the point of the
-include. <a class="reference internal" href="#macros">Macros</a> in the included template are also available to the including
-template after the point it was included.</p>
-<p>Include paths are relative to the filename of the template currently being
-processed. So if the example above was in the file "<tt class="docutils literal">myapp/mail.txt</tt>"
-(relative to the template search path), the include directive would look for
-the included file at "<tt class="docutils literal">myapp/base.txt</tt>". You can also use Unix-style
-relative paths, for example "<tt class="docutils literal"><span class="pre">../base.txt</span></tt>" to look in the parent directory.</p>
-<p>Just like other directives, the argument to the <tt class="docutils literal">include</tt> directive accepts
-any Python expression, so the path to the included template can be determined
-dynamically:</p>
-<div class="highlight"><pre><span class="x">{% include </span><span class="cp">${</span><span class="s">'</span><span class="si">%s</span><span class="s">.txt'</span> <span class="o">%</span> <span class="n">filename</span><span class="cp">}</span><span class="x"> %}</span>
-</pre></div>
-<p>Note that a <tt class="docutils literal">TemplateNotFound</tt> exception is raised if an included file can't
-be found.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The include directive for text templates was added in Genshi 0.5.</p>
-</div>
-</div>
-</div>
-<div class="section" id="variable-binding">
-<h2>1.4   Variable Binding</h2>
-<div class="section" id="id6">
-<span id="with"></span><h3>1.4.1   <tt class="docutils literal">{% with %}</tt></h3>
-<p>The <tt class="docutils literal">{% with %}</tt> directive lets you assign expressions to variables, which can
-be used to make expressions inside the directive less verbose and more
-efficient. For example, if you need use the expression <tt class="docutils literal">author.posts</tt> more
-than once, and that actually results in a database query, assigning the results
-to a variable using this directive would probably help.</p>
-<p>For example:</p>
-<div class="highlight"><pre><span class="x">Magic numbers!</span>
-<span class="x">{% with y=7; z=x+10 %}</span>
-<span class="x">  </span><span class="nv">$x</span><span class="x"> </span><span class="nv">$y</span><span class="x"> </span><span class="nv">$z</span><span class="x"></span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>Given <tt class="docutils literal">x=42</tt> in the context data, this would produce:</p>
-<pre class="literal-block">
-Magic numbers!
-  42 7 52
-</pre>
-<p>Note that if a variable of the same name already existed outside of the scope
-of the <tt class="docutils literal">with</tt> directive, it will <strong>not</strong> be overwritten. Instead, it will
-have the same value it had prior to the <tt class="docutils literal">with</tt> assignment. Effectively,
-this means that variables are immutable in Genshi.</p>
-</div>
-</div>
-</div>
-<div class="section" id="white-space-and-line-breaks">
-<span id="whitespace"></span><h1>2   White-space and Line Breaks</h1>
-<p>Note that space or line breaks around directives is never automatically removed.
-Consider the following example:</p>
-<div class="highlight"><pre><span class="x">{% for item in items %}</span>
-<span class="x">  {% if item.visible %}</span>
-<span class="x">    </span><span class="cp">${</span><span class="n">item</span><span class="cp">}</span><span class="x"></span>
-<span class="x">  {% end %}</span>
-<span class="x">{% end %}</span>
-</pre></div>
-<p>This will result in two empty lines above and beneath every item, plus the
-spaces used for indentation. If you want to supress a line break, simply end
-the line with a backslash:</p>
-<div class="highlight"><pre><span class="x">{% for item in items %}\</span>
-<span class="x">  {% if item.visible %}\</span>
-<span class="x">    </span><span class="cp">${</span><span class="n">item</span><span class="cp">}</span><span class="x"></span>
-<span class="x">  {% end %}\</span>
-<span class="x">{% end %}\</span>
-</pre></div>
-<p>Now there would be no empty lines between the items in the output. But you still
-get the spaces used for indentation, and because the line breaks are removed,
-they actually continue and add up between lines. There are numerous ways to
-control white-space in the output while keeping the template readable, such as
-moving the indentation into the delimiters, or moving the end delimiter on the
-next line, and so on.</p>
-</div>
-<div class="section" id="id7">
-<span id="comments"></span><h1>3   Comments</h1>
-<p>Parts in templates can be commented out using the delimiters <tt class="docutils literal">{# ... #}</tt>.
-Any content in comments are removed from the output.</p>
-<div class="highlight"><pre><span class="x">{# This won't end up in the output #}</span>
-<span class="x">This will.</span>
-</pre></div>
-<p>Just like directive delimiters, these can be escaped by prefixing with a
-backslash.</p>
-<div class="highlight"><pre><span class="x">\{# This *will* end up in the output, including delimiters #}</span>
-<span class="x">This too.</span>
-</pre></div>
-</div>
-<div class="section" id="legacy-text-template-syntax">
-<span id="legacy"></span><h1>4   Legacy Text Template Syntax</h1>
-<p>The syntax for text templates was redesigned in version 0.5 of Genshi to make
-the language more flexible and powerful. The older syntax is based on line
-starting with dollar signs, similar to e.g. <a class="reference external" href="http://cheetahtemplate.org/">Cheetah</a> or <a class="reference external" href="http://jakarta.apache.org/velocity/">Velocity</a>.</p>
-<p>A simple template using the old syntax looked like this:</p>
-<div class="highlight"><pre><span class="x">Dear </span><span class="nv">$name</span><span class="x">,</span>
-
-<span class="x">We have the following items for you:</span>
-<span class="cp">#</span><span class="k">for</span> <span class="n">item</span> <span class="ow">in</span> <span class="n">items</span><span class="x"></span>
-<span class="x"> * </span><span class="nv">$item</span><span class="x"></span>
-<span class="cp">#</span><span class="k">end</span><span class="x"></span>
-
-<span class="x">All the best,</span>
-<span class="x">Foobar</span>
-</pre></div>
-<p>Beyond the requirement of putting directives on separate lines prefixed with
-dollar signs, the language itself is very similar to the new one. Except that
-comments are lines that start with two <tt class="docutils literal">#</tt> characters, and a line-break at the
-end of a directive is removed automatically.</p>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">If you're using this old syntax, it is strongly recommended to
-migrate to the new syntax. Simply replace any references to
-<tt class="docutils literal">TextTemplate</tt> by <tt class="docutils literal">NewTextTemplate</tt> (and also change the
-text templates, of course). On the other hand, if you want to stick
-with the old syntax for a while longer, replace references to
-<tt class="docutils literal">TextTemplate</tt> by <tt class="docutils literal">OldTextTemplate</tt>; while <tt class="docutils literal">TextTemplate</tt> is
-still an alias for the old language at this point, that will change
-in a future release. But also note that the old syntax may be
-dropped entirely in a future release.</p>
-</div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/upgrade.html 0.7.1-2/doc/upgrade.html
--- 0.7-6/doc/upgrade.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/upgrade.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,183 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Upgrading Genshi</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="upgrading-genshi">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Upgrading Genshi</h1>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#upgrading-from-genshi-0-6-x-to-the-development-version" id="id1">1   Upgrading from Genshi 0.6.x to the development version</a></li>
-<li><a class="reference internal" href="#upgrading-from-genshi-0-5-x-to-0-6-x" id="id2">2   Upgrading from Genshi 0.5.x to 0.6.x</a><ul class="auto-toc">
-<li><a class="reference internal" href="#required-python-version" id="id3">2.1   Required Python Version</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#upgrading-from-genshi-0-4-x-to-0-5-x" id="id4">3   Upgrading from Genshi 0.4.x to 0.5.x</a><ul class="auto-toc">
-<li><a class="reference internal" href="#error-handling" id="id5">3.1   Error Handling</a></li>
-<li><a class="reference internal" href="#match-template-processing" id="id6">3.2   Match Template Processing</a></li>
-<li><a class="reference internal" href="#text-templates" id="id7">3.3   Text Templates</a></li>
-<li><a class="reference internal" href="#markup-constructor" id="id8">3.4   <tt class="docutils literal">Markup</tt> Constructor</a></li>
-<li><a class="reference internal" href="#template-constructor" id="id9">3.5   <tt class="docutils literal">Template</tt> Constructor</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#upgrading-from-genshi-0-3-x-to-0-4-x" id="id10">4   Upgrading from Genshi 0.3.x to 0.4.x</a></li>
-<li><a class="reference internal" href="#upgrading-from-markup" id="id11">5   Upgrading from Markup</a></li>
-</ul>
-</div>
-<div class="section" id="upgrading-from-genshi-0-6-x-to-the-development-version">
-<h1>1   Upgrading from Genshi 0.6.x to the development version</h1>
-<p>The Genshi development version now supports both Python 2 and Python 3.</p>
-<p>The most noticable API change in the Genshi development version is that the
-default encoding in numerous places is now None (i.e. unicode) instead
-of UTF-8. This change was made in order to ease the transition to Python 3
-where strings are unicode strings by default.</p>
-<p>If your application relies on the default UTF-8 encoding a simple way to
-have it work both with Genshi 0.6.x and the development version is to specify the
-encoding explicitly in calls to the following classes, methods and functions:</p>
-<ul class="simple">
-<li>genshi.HTML</li>
-<li>genshi.Stream.render</li>
-<li>genshi.input.HTMLParser</li>
-<li>genshi.template.MarkupTemplate</li>
-<li>genshi.template.TemplateLoader</li>
-<li>genshi.template.TextTemplate (and genshi.template.NewTextTemplate)</li>
-<li>genshi.template.OldTextTemplate</li>
-</ul>
-<p>Whether you explicitly specify UTF-8 or explicitly specify None (unicode) is
-a matter of personal taste, although working with unicode may make porting
-your own application to Python 3 easier.</p>
-</div>
-<div class="section" id="upgrading-from-genshi-0-5-x-to-0-6-x">
-<h1>2   Upgrading from Genshi 0.5.x to 0.6.x</h1>
-<div class="section" id="required-python-version">
-<h2>2.1   Required Python Version</h2>
-<p>Support for Python 2.3 has been dropped in this release. Python 2.4 is
-now the minimum version of Python required to run Genshi.</p>
-<p>The XPath engine has been completely overhauled for this version. Some
-patterns that previously matched incorrectly will no longer match, and
-the other way around. In such cases, the XPath expressions need to be
-fixed in your application and templates.</p>
-</div>
-</div>
-<div class="section" id="upgrading-from-genshi-0-4-x-to-0-5-x">
-<h1>3   Upgrading from Genshi 0.4.x to 0.5.x</h1>
-<div class="section" id="error-handling">
-<h2>3.1   Error Handling</h2>
-<p>The default error handling mode has been changed to "strict". This
-means that accessing variables not defined in the template data will
-now generate an immediate exception, as will accessing object
-attributes or dictionary keys that don't exist. If your templates rely
-on the old lenient behavior, you can configure Genshi to use that
-instead. See the documentation for details on how to do that. But be
-warned that lenient error handling may be removed completely in a
-future release.</p>
-</div>
-<div class="section" id="match-template-processing">
-<h2>3.2   Match Template Processing</h2>
-<p>There has also been a subtle change to how <tt class="docutils literal">py:match</tt> templates are
-processed: in previous versions, all match templates would be applied
-to the content generated by the matching template, and only the
-matching template itself was applied recursively to the original
-content. This behavior resulted in problems with many kinds of
-recursive matching, and hence was changed for 0.5: now, all match
-templates declared before the matching template are applied to the
-original content, and match templates declared after the matching
-template are applied to the generated content. This change should not
-have any effect on most applications, but you may want to check your
-use of match templates to make sure.</p>
-</div>
-<div class="section" id="text-templates">
-<h2>3.3   Text Templates</h2>
-<p>Genshi 0.5 introduces a new, alternative syntax for text templates,
-which is more flexible and powerful compared to the old syntax. For
-backwards compatibility, this new syntax is not used by default,
-though it will be in a future version. It is recommended that you
-migrate to using this new syntax. To do so, simply rename any
-references in your code to <tt class="docutils literal">TextTemplate</tt> to <tt class="docutils literal">NewTextTemplate</tt>. To
-explicitly use the old syntax, use <tt class="docutils literal">OldTextTemplate</tt> instead, so
-that you can be sure you'll be using the same language when the
-default in Genshi is changed (at least until the old implementation is
-completely removed).</p>
-</div>
-<div class="section" id="markup-constructor">
-<h2>3.4   <tt class="docutils literal">Markup</tt> Constructor</h2>
-<p>The <tt class="docutils literal">Markup</tt> class no longer has a specialized constructor. The old
-(undocumented) constructor provided a shorthand for doing positional
-substitutions. If you have code like this:</p>
-<div class="highlight"><pre><span class="n">Markup</span><span class="p">(</span><span class="s">'&lt;b&gt;</span><span class="si">%s</span><span class="s">&lt;/b&gt;'</span><span class="p">,</span> <span class="n">name</span><span class="p">)</span>
-</pre></div>
-<p>You must replace it by the more explicit:</p>
-<div class="highlight"><pre><span class="n">Markup</span><span class="p">(</span><span class="s">'&lt;b&gt;</span><span class="si">%s</span><span class="s">&lt;/b&gt;'</span><span class="p">)</span> <span class="o">%</span> <span class="n">name</span>
-</pre></div>
-</div>
-<div class="section" id="template-constructor">
-<h2>3.5   <tt class="docutils literal">Template</tt> Constructor</h2>
-<p>The constructor of the <tt class="docutils literal">Template</tt> class and its subclasses has changed
-slightly: instead of the optional <tt class="docutils literal">basedir</tt> parameter, it now expects
-an (also optional) <tt class="docutils literal">filepath</tt> parameter, which specifies the absolute
-path to the template. You probably aren't using those constructors
-directly, anyway, but using the <tt class="docutils literal">TemplateLoader</tt> API instead.</p>
-</div>
-</div>
-<div class="section" id="upgrading-from-genshi-0-3-x-to-0-4-x">
-<h1>4   Upgrading from Genshi 0.3.x to 0.4.x</h1>
-<p>The modules <tt class="docutils literal">genshi.filters</tt> and <tt class="docutils literal">genshi.template</tt> have been
-refactored into packages containing multiple modules. While code using
-the regular APIs should continue to work without problems, you should
-make sure to remove any leftover traces of the files <tt class="docutils literal">filters.py</tt>
-and <tt class="docutils literal">template.py</tt> in the <tt class="docutils literal">genshi</tt> package on the installation
-path (including the corresponding <tt class="docutils literal">.pyc</tt> files). This is not
-necessary when Genshi was installed as a Python egg.</p>
-<p>Results of evaluating template expressions are no longer implicitly
-called if they are callable. If you have been using that feature, you
-will need to add the parenthesis to actually call the function.</p>
-<p>Instances of <tt class="docutils literal">genshi.core.Attrs</tt> are now immutable. Filters
-manipulating the attributes in a stream may need to be updated. Also,
-the <tt class="docutils literal">Attrs</tt> class no longer automatically wraps all attribute names
-in <tt class="docutils literal">QName</tt> objects, so users of the <tt class="docutils literal">Attrs</tt> class need to do this
-themselves. See the documentation of the <tt class="docutils literal">Attrs</tt> class for more
-information.</p>
-</div>
-<div class="section" id="upgrading-from-markup">
-<h1>5   Upgrading from Markup</h1>
-<p>Prior to version 0.3, the name of the Genshi project was "Markup". The
-name change means that you will have to adjust your import statements
-and the namespace URI of XML templates, among other things:</p>
-<ul class="simple">
-<li>The package name was changed from "markup" to "genshi". Please
-adjust any import statements referring to the old package name.</li>
-<li>The namespace URI for directives in Genshi XML templates has changed
-from <tt class="docutils literal"><span class="pre">http://markup.edgewall.org/</span></tt> to
-<tt class="docutils literal"><span class="pre">http://genshi.edgewall.org/</span></tt>. Please update the <tt class="docutils literal">xmlns:py</tt>
-declaration in your template files accordingly.</li>
-</ul>
-<p>Furthermore, due to the inclusion of a text-based template language,
-the class:</p>
-<pre class="literal-block">
-markup.template.Template
-</pre>
-<p>has been renamed to:</p>
-<pre class="literal-block">
-genshi.template.MarkupTemplate
-</pre>
-<p>If you've been using the Template class directly, you'll need to
-update your code (a simple find/replace should do—the API itself
-did not change).</p>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/upgrade.txt 0.7.1-2/doc/upgrade.txt
--- 0.7-6/doc/upgrade.txt	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/doc/upgrade.txt	2018-09-01 18:55:05.000000000 +0000
@@ -7,11 +7,11 @@ Upgrading Genshi
    :depth: 2
 .. sectnum::
 
-------------------------------------------------------
-Upgrading from Genshi 0.6.x to the development version
-------------------------------------------------------
+-------------------------------------------
+Upgrading from Genshi 0.6.x to Genshi 0.7.x
+-------------------------------------------
 
-The Genshi development version now supports both Python 2 and Python 3.
+Genshi 0.7.x now supports both Python 2 and Python 3.
 
 The most noticable API change in the Genshi development version is that the
 default encoding in numerous places is now None (i.e. unicode) instead
diff -pruN 0.7-6/doc/xml-templates.html 0.7.1-2/doc/xml-templates.html
--- 0.7-6/doc/xml-templates.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/xml-templates.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,557 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Genshi XML Template Language</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="genshi-xml-template-language">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Genshi XML Template Language</h1>
-<p>Genshi provides a XML-based template language that is heavily inspired by <a class="reference external" href="http://kid-templating.org/">Kid</a>,
-which in turn was inspired by a number of existing template languages, namely
-<a class="reference external" href="http://www.w3.org/TR/xslt">XSLT</a>, <a class="reference external" href="http://www.zope.org/Wikis/DevSite/Projects/ZPT/TAL">TAL</a>, and <a class="reference external" href="http://www.php.net/">PHP</a>.</p>
-<p>This document describes the template language and will be most useful as
-reference to those developing Genshi XML templates. Templates are XML files of
-some kind (such as XHTML) that include processing <a class="reference internal" href="#directives">directives</a> (elements or
-attributes identified by a separate namespace) that affect how the template is
-rendered, and template expressions that are dynamically substituted by
-variable data.</p>
-<p>See <a class="reference external" href="templates.html">Genshi Templating Basics</a> for general information on
-embedding Python code in templates.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#template-directives" id="id12">1   Template Directives</a><ul class="auto-toc">
-<li><a class="reference internal" href="#conditional-sections" id="id13">1.1   Conditional Sections</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id1" id="id14">1.1.1   <tt class="docutils literal">py:if</tt></a></li>
-<li><a class="reference internal" href="#id2" id="id15">1.1.2   <tt class="docutils literal">py:choose</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#looping" id="id16">1.2   Looping</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id3" id="id17">1.2.1   <tt class="docutils literal">py:for</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#snippet-reuse" id="id18">1.3   Snippet Reuse</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id4" id="id19">1.3.1   <tt class="docutils literal">py:def</tt></a></li>
-<li><a class="reference internal" href="#id5" id="id20">1.3.2   <tt class="docutils literal">py:match</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#variable-binding" id="id21">1.4   Variable Binding</a><ul class="auto-toc">
-<li><a class="reference internal" href="#py-with" id="id22">1.4.1   <tt class="docutils literal">py:with</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#structure-manipulation" id="id23">1.5   Structure Manipulation</a><ul class="auto-toc">
-<li><a class="reference internal" href="#id6" id="id24">1.5.1   <tt class="docutils literal">py:attrs</tt></a></li>
-<li><a class="reference internal" href="#id7" id="id25">1.5.2   <tt class="docutils literal">py:content</tt></a></li>
-<li><a class="reference internal" href="#id8" id="id26">1.5.3   <tt class="docutils literal">py:replace</tt></a></li>
-<li><a class="reference internal" href="#id9" id="id27">1.5.4   <tt class="docutils literal">py:strip</tt></a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#processing-order" id="id28">1.6   Processing Order</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#id10" id="id29">2   Includes</a><ul class="auto-toc">
-<li><a class="reference internal" href="#dynamic-includes" id="id30">2.1   Dynamic Includes</a></li>
-<li><a class="reference internal" href="#including-text-templates" id="id31">2.2   Including Text Templates</a></li>
-</ul>
-</li>
-<li><a class="reference internal" href="#id11" id="id32">3   Comments</a></li>
-</ul>
-</div>
-<div class="section" id="template-directives">
-<span id="directives"></span><h1>1   Template Directives</h1>
-<p>Directives are elements and/or attributes in the template that are identified
-by the namespace <tt class="docutils literal"><span class="pre">http://genshi.edgewall.org/</span></tt>. They can affect how the
-template is rendered in a number of ways: Genshi provides directives for
-conditionals and looping, among others.</p>
-<p>To use directives in a template, the namespace must be declared, which is
-usually done on the root element:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xmlns=</span><span class="s">"http://www.w3.org/1999/xhtml"</span>
-      <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span>
-      <span class="na">lang=</span><span class="s">"en"</span><span class="nt">&gt;</span>
-  ...
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>In this example, the default namespace is set to the XHTML namespace, and the
-namespace for Genshi directives is bound to the prefix “py”.</p>
-<p>All directives can be applied as attributes, and some can also be used as
-elements. The <tt class="docutils literal">if</tt> directives for conditionals, for example, can be used in
-both ways:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xmlns=</span><span class="s">"http://www.w3.org/1999/xhtml"</span>
-      <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span>
-      <span class="na">lang=</span><span class="s">"en"</span><span class="nt">&gt;</span>
-  ...
-  <span class="nt">&lt;div</span> <span class="na">py:if=</span><span class="s">"</span><span class="n">foo</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;p&gt;</span>Bar<span class="nt">&lt;/p&gt;</span>
-  <span class="nt">&lt;/div&gt;</span>
-  ...
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>This is basically equivalent to the following:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xmlns=</span><span class="s">"http://www.w3.org/1999/xhtml"</span>
-      <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span>
-      <span class="na">lang=</span><span class="s">"en"</span><span class="nt">&gt;</span>
-  ...
-  <span class="nt">&lt;py:if</span> <span class="na">test=</span><span class="s">"</span><span class="n">foo</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;div&gt;</span>
-      <span class="nt">&lt;p&gt;</span>Bar<span class="nt">&lt;/p&gt;</span>
-    <span class="nt">&lt;/div&gt;</span>
-  <span class="nt">&lt;/py:if&gt;</span>
-  ...
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>The rationale behind the second form is that directives do not always map
-naturally to elements in the template. In such cases, the <tt class="docutils literal">py:strip</tt>
-directive can be used to strip off the unwanted element, or the directive can
-simply be used as an element.</p>
-<div class="section" id="conditional-sections">
-<h2>1.1   Conditional Sections</h2>
-<div class="section" id="id1">
-<span id="py-if"></span><h3>1.1.1   <tt class="docutils literal">py:if</tt></h3>
-<p>The element and its content is only rendered if the expression evaluates to a
-truth value:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;b</span> <span class="na">py:if=</span><span class="s">"</span><span class="n">foo</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">bar</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>Given the data <tt class="docutils literal">foo=True</tt> and <tt class="docutils literal"><span class="pre">bar='Hello'</span></tt> in the template context, this
-would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;b&gt;</span>Hello<span class="nt">&lt;/b&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>But setting <tt class="docutils literal">foo=False</tt> would result in the following output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This directive can also be used as an element:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;py:if</span> <span class="na">test=</span><span class="s">"</span><span class="n">foo</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;b&gt;</span><span class="cp">${</span><span class="n">bar</span><span class="cp">}</span><span class="nt">&lt;/b&gt;</span>
-  <span class="nt">&lt;/py:if&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-</div>
-<div class="section" id="id2">
-<span id="py-otherwise"></span><span id="py-when"></span><span id="py-choose"></span><h3>1.1.2   <tt class="docutils literal">py:choose</tt></h3>
-<p>The <tt class="docutils literal">py:choose</tt> directive, in combination with the directives <tt class="docutils literal">py:when</tt>
-and <tt class="docutils literal">py:otherwise</tt> provides advanced conditional processing for rendering one
-of several alternatives. The first matching <tt class="docutils literal">py:when</tt> branch is rendered, or,
-if no <tt class="docutils literal">py:when</tt> branch matches, the <tt class="docutils literal">py:otherwise</tt> branch is rendered.</p>
-<p>If the <tt class="docutils literal">py:choose</tt> directive is empty the nested <tt class="docutils literal">py:when</tt> directives will
-be tested for truth:</p>
-<div class="highlight"><pre><span class="nt">&lt;div</span> <span class="na">py:choose=</span><span class="s">""</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:when=</span><span class="s">"</span><span class="mi">0</span> <span class="o">==</span> <span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>0<span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:when=</span><span class="s">"</span><span class="mi">1</span> <span class="o">==</span> <span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>1<span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:otherwise=</span><span class="s">""</span><span class="nt">&gt;</span>2<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This would produce the following output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span&gt;</span>1<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>If the <tt class="docutils literal">py:choose</tt> directive contains an expression the nested <tt class="docutils literal">py:when</tt>
-directives will be tested for equality to the parent <tt class="docutils literal">py:choose</tt> value:</p>
-<div class="highlight"><pre><span class="nt">&lt;div</span> <span class="na">py:choose=</span><span class="s">"</span><span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:when=</span><span class="s">"</span><span class="mi">0</span><span class="s">"</span><span class="nt">&gt;</span>0<span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:when=</span><span class="s">"</span><span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>1<span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:otherwise=</span><span class="s">""</span><span class="nt">&gt;</span>2<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This would produce the following output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span&gt;</span>1<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>These directives can also be used as elements:</p>
-<div class="highlight"><pre><span class="nt">&lt;py:choose</span> <span class="na">test=</span><span class="s">"</span><span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;py:when</span> <span class="na">test=</span><span class="s">"</span><span class="mi">0</span><span class="s">"</span><span class="nt">&gt;</span>0<span class="nt">&lt;/py:when&gt;</span>
-  <span class="nt">&lt;py:when</span> <span class="na">test=</span><span class="s">"</span><span class="mi">1</span><span class="s">"</span><span class="nt">&gt;</span>1<span class="nt">&lt;/py:when&gt;</span>
-  <span class="nt">&lt;py:otherwise&gt;</span>2<span class="nt">&lt;/py:otherwise&gt;</span>
-<span class="nt">&lt;/py:choose&gt;</span>
-</pre></div>
-</div>
-</div>
-<div class="section" id="looping">
-<h2>1.2   Looping</h2>
-<div class="section" id="id3">
-<span id="py-for"></span><h3>1.2.1   <tt class="docutils literal">py:for</tt></h3>
-<p>The element is repeated for every item in an iterable:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li</span> <span class="na">py:for=</span><span class="s">"</span><span class="n">item</span> <span class="ow">in</span> <span class="n">items</span><span class="s">"</span><span class="nt">&gt;</span><span class="cp">${</span><span class="n">item</span><span class="cp">}</span><span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>Given <tt class="docutils literal"><span class="pre">items=[1,</span> 2, 3]</tt> in the context data, this would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li&gt;</span>1<span class="nt">&lt;/li&gt;&lt;li&gt;</span>2<span class="nt">&lt;/li&gt;&lt;li&gt;</span>3<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>This directive can also be used as an element:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;py:for</span> <span class="na">each=</span><span class="s">"</span><span class="n">item</span> <span class="ow">in</span> <span class="n">items</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;li&gt;</span><span class="cp">${</span><span class="n">item</span><span class="cp">}</span><span class="nt">&lt;/li&gt;</span>
-  <span class="nt">&lt;/py:for&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-</div>
-</div>
-<div class="section" id="snippet-reuse">
-<h2>1.3   Snippet Reuse</h2>
-<div class="section" id="id4">
-<span id="macros"></span><span id="py-def"></span><h3>1.3.1   <tt class="docutils literal">py:def</tt></h3>
-<p>The <tt class="docutils literal">py:def</tt> directive can be used to create macros, i.e. snippets of
-template code that have a name and optionally some parameters, and that can be
-inserted in other places:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">py:def=</span><span class="s">"</span><span class="n">greeting</span><span class="p">(</span><span class="n">name</span><span class="p">)</span><span class="s">"</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>
-    Hello, <span class="cp">${</span><span class="n">name</span><span class="cp">}</span>!
-  <span class="nt">&lt;/p&gt;</span>
-  <span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'world'</span><span class="p">)</span><span class="cp">}</span>
-  <span class="cp">${</span><span class="n">greeting</span><span class="p">(</span><span class="s">'everyone else'</span><span class="p">)</span><span class="cp">}</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>The above would be rendered to:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>
-    Hello, world!
-  <span class="nt">&lt;/p&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>
-    Hello, everyone else!
-  <span class="nt">&lt;/p&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>If a macro doesn't require parameters, it can be defined without the
-parenthesis. For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">py:def=</span><span class="s">"</span><span class="n">greeting</span><span class="s">"</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>
-    Hello, world!
-  <span class="nt">&lt;/p&gt;</span>
-  <span class="cp">${</span><span class="n">greeting</span><span class="p">()</span><span class="cp">}</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>The above would be rendered to:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;p</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>
-    Hello, world!
-  <span class="nt">&lt;/p&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This directive can also be used as an element:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;py:def</span> <span class="na">function=</span><span class="s">"</span><span class="n">greeting</span><span class="p">(</span><span class="n">name</span><span class="p">)</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;p</span> <span class="na">class=</span><span class="s">"greeting"</span><span class="nt">&gt;</span>Hello, <span class="cp">${</span><span class="n">name</span><span class="cp">}</span>!<span class="nt">&lt;/p&gt;</span>
-  <span class="nt">&lt;/py:def&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-</div>
-<div class="section" id="id5">
-<span id="py-match"></span><span id="match-templates"></span><h3>1.3.2   <tt class="docutils literal">py:match</tt></h3>
-<p>This directive defines a <em>match template</em>: given an XPath expression, it
-replaces any element in the template that matches the expression with its own
-content.</p>
-<p>For example, the match template defined in the following template matches any
-element with the tag name “greeting”:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:match=</span><span class="s">"</span><span class="n">greeting</span><span class="s">"</span><span class="nt">&gt;</span>
-    Hello <span class="cp">${</span><span class="n">select</span><span class="p">(</span><span class="s">'@name'</span><span class="p">)</span><span class="cp">}</span>
-  <span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;greeting</span> <span class="na">name=</span><span class="s">"Dude"</span> <span class="nt">/&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This would result in the following output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span&gt;</span>
-    Hello Dude
-  <span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>Inside the body of a <tt class="docutils literal">py:match</tt> directive, the <tt class="docutils literal">select(path)</tt> function is
-made available so that parts or all of the original element can be incorporated
-in the output of the match template. See <a class="reference external" href="streams.html#using-xpath">Using XPath</a> for more information
-about this function.</p>
-<p>Match templates are applied both to the original markup as well to the
-generated markup. The order in which they are applied depends on the order
-they are declared in the template source: a match template defined after
-another match template is applied to the output generated by the first match
-template. The match templates basically form a pipeline.</p>
-<p>This directive can also be used as an element:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;py:match</span> <span class="na">path=</span><span class="s">"</span><span class="n">greeting</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;span&gt;</span>Hello <span class="cp">${</span><span class="n">select</span><span class="p">(</span><span class="s">'@name'</span><span class="p">)</span><span class="cp">}</span><span class="nt">&lt;/span&gt;</span>
-  <span class="nt">&lt;/py:match&gt;</span>
-  <span class="nt">&lt;greeting</span> <span class="na">name=</span><span class="s">"Dude"</span> <span class="nt">/&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>When used this way, the <tt class="docutils literal">py:match</tt> directive can also be annotated with a
-couple of optimization hints. For example, the following informs the matching
-engine that the match should only be applied once:</p>
-<div class="highlight"><pre><span class="nt">&lt;py:match</span> <span class="na">path=</span><span class="s">"</span><span class="n">body</span><span class="s">"</span> <span class="na">once=</span><span class="s">"</span><span class="n">true</span><span class="s">"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;body</span> <span class="na">py:attrs=</span><span class="s">"</span><span class="n">select</span><span class="p">(</span><span class="s">'@*'</span><span class="p">)</span><span class="s">"</span><span class="nt">&gt;</span>
-    <span class="nt">&lt;div</span> <span class="na">id=</span><span class="s">"header"</span><span class="nt">&gt;</span>...<span class="nt">&lt;/div&gt;</span>
-    <span class="cp">${</span><span class="n">select</span><span class="p">(</span><span class="s">"*|text()"</span><span class="p">)</span><span class="cp">}</span>
-    <span class="nt">&lt;div</span> <span class="na">id=</span><span class="s">"footer"</span><span class="nt">&gt;</span>...<span class="nt">&lt;/div&gt;</span>
-  <span class="nt">&lt;/body&gt;</span>
-<span class="nt">&lt;/py:match&gt;</span>
-</pre></div>
-<p>The following optimization hints are recognized:</p>
-<table border="1" class="docutils">
-<colgroup>
-<col width="21%">
-<col width="15%">
-<col width="64%">
-</colgroup>
-<thead valign="bottom">
-<tr><th class="head">Attribute</th>
-<th class="head">Default</th>
-<th class="head">Description</th>
-</tr>
-</thead>
-<tbody valign="top">
-<tr><td><tt class="docutils literal">buffer</tt></td>
-<td><tt class="docutils literal">true</tt></td>
-<td>Whether the matched content should be
-buffered in memory. Buffering can improve
-performance a bit at the cost of needing more
-memory during rendering. Buffering is
-''required'' for match templates that contain
-more than one invocation of the <tt class="docutils literal">select()</tt>
-function. If there is only one call, and the
-matched content can potentially be very long,
-consider disabling buffering to avoid
-excessive memory use.</td>
-</tr>
-<tr><td><tt class="docutils literal">once</tt></td>
-<td><tt class="docutils literal">false</tt></td>
-<td>Whether the engine should stop looking for
-more matching elements after the first match.
-Use this on match templates that match
-elements that can only occur once in the
-stream, such as the <tt class="docutils literal">&lt;head&gt;</tt> or <tt class="docutils literal">&lt;body&gt;</tt>
-elements in an HTML template, or elements
-with a specific ID.</td>
-</tr>
-<tr><td><tt class="docutils literal">recursive</tt></td>
-<td><tt class="docutils literal">true</tt></td>
-<td>Whether the match template should be applied
-to its own output. Note that <tt class="docutils literal">once</tt> implies
-non-recursive behavior, so this attribute
-only needs to be set for match templates that
-don't also have <tt class="docutils literal">once</tt> set.</td>
-</tr>
-</tbody>
-</table>
-<div class="note">
-<p class="first admonition-title">Note</p>
-<p class="last">The <tt class="docutils literal">py:match</tt> optimization hints were added in the 0.5 release. In
-earlier versions, the attributes have no effect.</p>
-</div>
-</div>
-</div>
-<div class="section" id="variable-binding">
-<h2>1.4   Variable Binding</h2>
-<div class="section" id="py-with">
-<span id="with"></span><h3>1.4.1   <tt class="docutils literal">py:with</tt></h3>
-<p>The <tt class="docutils literal">py:with</tt> directive lets you assign expressions to variables, which can
-be used to make expressions inside the directive less verbose and more
-efficient. For example, if you need use the expression <tt class="docutils literal">author.posts</tt> more
-than once, and that actually results in a database query, assigning the results
-to a variable using this directive would probably help.</p>
-<p>For example:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:with=</span><span class="s">"</span><span class="n">y</span><span class="o">=</span><span class="mi">7</span><span class="p">;</span> <span class="n">z</span><span class="o">=</span><span class="n">x</span><span class="o">+</span><span class="mi">10</span><span class="s">"</span><span class="nt">&gt;</span><span class="nv">$x</span> <span class="nv">$y</span> <span class="nv">$z</span><span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>Given <tt class="docutils literal">x=42</tt> in the context data, this would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span&gt;</span>42 7 52<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This directive can also be used as an element:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;py:with</span> <span class="na">vars=</span><span class="s">"</span><span class="n">y</span><span class="o">=</span><span class="mi">7</span><span class="p">;</span> <span class="n">z</span><span class="o">=</span><span class="n">x</span><span class="o">+</span><span class="mi">10</span><span class="s">"</span><span class="nt">&gt;</span><span class="nv">$x</span> <span class="nv">$y</span> <span class="nv">$z</span><span class="nt">&lt;/py:with&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>Note that if a variable of the same name already existed outside of the scope
-of the <tt class="docutils literal">py:with</tt> directive, it will <strong>not</strong> be overwritten. Instead, it
-will have the same value it had prior to the <tt class="docutils literal">py:with</tt> assignment.
-Effectively, this means that variables are immutable in Genshi.</p>
-</div>
-</div>
-<div class="section" id="structure-manipulation">
-<h2>1.5   Structure Manipulation</h2>
-<div class="section" id="id6">
-<span id="py-attrs"></span><h3>1.5.1   <tt class="docutils literal">py:attrs</tt></h3>
-<p>This directive adds, modifies or removes attributes from the element:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li</span> <span class="na">py:attrs=</span><span class="s">"</span><span class="n">foo</span><span class="s">"</span><span class="nt">&gt;</span>Bar<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>Given <tt class="docutils literal"><span class="pre">foo={'class':</span> 'collapse'}</tt> in the template context, this would
-produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li</span> <span class="na">class=</span><span class="s">"collapse"</span><span class="nt">&gt;</span>Bar<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>Attributes with the value <tt class="docutils literal">None</tt> are omitted, so given <tt class="docutils literal"><span class="pre">foo={'class':</span> None}</tt>
-in the context for the same template this would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li&gt;</span>Bar<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>This directive can only be used as an attribute.</p>
-</div>
-<div class="section" id="id7">
-<span id="py-content"></span><h3>1.5.2   <tt class="docutils literal">py:content</tt></h3>
-<p>This directive replaces any nested content with the result of evaluating the
-expression:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li</span> <span class="na">py:content=</span><span class="s">"</span><span class="n">bar</span><span class="s">"</span><span class="nt">&gt;</span>Hello<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>Given <tt class="docutils literal"><span class="pre">bar='Bye'</span></tt> in the context data, this would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;ul&gt;</span>
-  <span class="nt">&lt;li&gt;</span>Bye<span class="nt">&lt;/li&gt;</span>
-<span class="nt">&lt;/ul&gt;</span>
-</pre></div>
-<p>This directive can only be used as an attribute.</p>
-</div>
-<div class="section" id="id8">
-<span id="py-replace"></span><h3>1.5.3   <tt class="docutils literal">py:replace</tt></h3>
-<p>This directive replaces the element itself with the result of evaluating the
-expression:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;span</span> <span class="na">py:replace=</span><span class="s">"</span><span class="n">bar</span><span class="s">"</span><span class="nt">&gt;</span>Hello<span class="nt">&lt;/span&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>Given <tt class="docutils literal"><span class="pre">bar='Bye'</span></tt> in the context data, this would produce:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  Bye
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This directive can also be used as an element (since version 0.5):</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;py:replace</span> <span class="na">value=</span><span class="s">"</span><span class="n">title</span><span class="s">"</span><span class="nt">&gt;</span>Placeholder<span class="nt">&lt;/py:replace&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-</div>
-<div class="section" id="id9">
-<span id="py-strip"></span><h3>1.5.4   <tt class="docutils literal">py:strip</tt></h3>
-<p>This directive conditionally strips the top-level element from the output. When
-the value of the <tt class="docutils literal">py:strip</tt> attribute evaluates to <tt class="docutils literal">True</tt>, the element is
-stripped from the output:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;div</span> <span class="na">py:strip=</span><span class="s">"</span><span class="bp">True</span><span class="s">"</span><span class="nt">&gt;&lt;b&gt;</span>foo<span class="nt">&lt;/b&gt;&lt;/div&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>This would be rendered as:</p>
-<div class="highlight"><pre><span class="nt">&lt;div&gt;</span>
-  <span class="nt">&lt;b&gt;</span>foo<span class="nt">&lt;/b&gt;</span>
-<span class="nt">&lt;/div&gt;</span>
-</pre></div>
-<p>As a shorthand, if the value of the <tt class="docutils literal">py:strip</tt> attribute is empty, that has
-the same effect as using a truth value (i.e. the element is stripped).</p>
-</div>
-</div>
-<div class="section" id="processing-order">
-<span id="order"></span><h2>1.6   Processing Order</h2>
-<p>It is possible to attach multiple directives to a single element, although not
-all combinations make sense. When multiple directives are encountered, they are
-processed in the following order:</p>
-<ol class="arabic simple">
-<li><a class="reference internal" href="#py-def">py:def</a></li>
-<li><a class="reference internal" href="#py-match">py:match</a></li>
-<li><a class="reference internal" href="#py-when">py:when</a></li>
-<li><a class="reference internal" href="#py-otherwise">py:otherwise</a></li>
-<li><a class="reference internal" href="#py-for">py:for</a></li>
-<li><a class="reference internal" href="#py-if">py:if</a></li>
-<li><a class="reference internal" href="#py-choose">py:choose</a></li>
-<li><a class="reference internal" href="#py-with">py:with</a></li>
-<li><a class="reference internal" href="#py-replace">py:replace</a></li>
-<li><a class="reference internal" href="#py-content">py:content</a></li>
-<li><a class="reference internal" href="#py-attrs">py:attrs</a></li>
-<li><a class="reference internal" href="#py-strip">py:strip</a></li>
-</ol>
-</div>
-</div>
-<div class="section" id="id10">
-<span id="includes"></span><h1>2   Includes</h1>
-<p>To reuse common snippets of template code, you can include other files using
-<a class="reference external" href="http://www.w3.org/TR/xinclude/">XInclude</a>.</p>
-<p>For this, you need to declare the XInclude namespace (commonly bound to the
-prefix “xi”) and use the <tt class="docutils literal">&lt;xi:include&gt;</tt> element where you want the external
-file to be pulled in:</p>
-<div class="highlight"><pre><span class="nt">&lt;html</span> <span class="na">xmlns=</span><span class="s">"http://www.w3.org/1999/xhtml"</span>
-      <span class="na">xmlns:py=</span><span class="s">"http://genshi.edgewall.org/"</span>
-      <span class="na">xmlns:xi=</span><span class="s">"http://www.w3.org/2001/XInclude"</span><span class="nt">&gt;</span>
-  <span class="nt">&lt;xi:include</span> <span class="na">href=</span><span class="s">"base.html"</span> <span class="nt">/&gt;</span>
-  ...
-<span class="nt">&lt;/html&gt;</span>
-</pre></div>
-<p>Include paths are relative to the filename of the template currently being
-processed. So if the example above was in the file "<tt class="docutils literal">myapp/index.html</tt>"
-(relative to the template search path), the XInclude processor would look for
-the included file at "<tt class="docutils literal">myapp/base.html</tt>". You can also use Unix-style
-relative paths, for example "<tt class="docutils literal"><span class="pre">../base.html</span></tt>" to look in the parent directory.</p>
-<p>Any content included this way is inserted into the generated output instead of
-the <tt class="docutils literal">&lt;xi:include&gt;</tt> element. The included template sees the same context data.
-<a class="reference internal" href="#match-templates">Match templates</a> and <a class="reference internal" href="#macros">macros</a> in the included template are also available to
-the including template after the point it was included.</p>
-<p>By default, an error will be raised if an included file is not found. If that's
-not what you want, you can specify fallback content that should be used if the
-include fails. For example, to to make the include above fail silently, you'd
-write:</p>
-<div class="highlight"><pre><span class="nt">&lt;xi:include</span> <span class="na">href=</span><span class="s">"base.html"</span><span class="nt">&gt;&lt;xi:fallback</span> <span class="nt">/&gt;&lt;/xi:include&gt;</span>
-</pre></div>
-<p>See the <a class="reference external" href="http://www.w3.org/TR/xinclude/">XInclude specification</a> for more about fallback content. Note though
-that Genshi currently only supports a small subset of XInclude.</p>
-<div class="section" id="dynamic-includes">
-<h2>2.1   Dynamic Includes</h2>
-<p>Incudes in Genshi are fully dynamic: Just like normal attributes, the <cite>href</cite>
-attribute accepts expressions, and <a class="reference internal" href="#directives">directives</a> can be used on the
-<tt class="docutils literal">&lt;xi:include /&gt;</tt> element just as on any other element, meaning you can do
-things like conditional includes:</p>
-<div class="highlight"><pre><span class="nt">&lt;xi:include</span> <span class="na">href=</span><span class="s">"</span><span class="cp">${</span><span class="n">name</span><span class="cp">}</span><span class="s">.html"</span> <span class="na">py:if=</span><span class="s">"</span><span class="ow">not</span> <span class="n">in_popup</span><span class="s">"</span>
-            <span class="na">py:for=</span><span class="s">"</span><span class="n">name</span> <span class="ow">in</span> <span class="p">(</span><span class="s">'foo'</span><span class="p">,</span> <span class="s">'bar'</span><span class="p">,</span> <span class="s">'baz'</span><span class="p">)</span><span class="s">"</span> <span class="nt">/&gt;</span>
-</pre></div>
-</div>
-<div class="section" id="including-text-templates">
-<h2>2.2   Including Text Templates</h2>
-<p>The <tt class="docutils literal">parse</tt> attribute of the <tt class="docutils literal">&lt;xi:include&gt;</tt> element can be used to specify
-whether the included template is an XML template or a text template (using the
-new syntax added in Genshi 0.5):</p>
-<div class="highlight"><pre><span class="nt">&lt;xi:include</span> <span class="na">href=</span><span class="s">"myscript.js"</span> <span class="na">parse=</span><span class="s">"text"</span> <span class="nt">/&gt;</span>
-</pre></div>
-<p>This example would load the <tt class="docutils literal">myscript.js</tt> file as a <tt class="docutils literal">NewTextTemplate</tt>. See
-<a class="reference external" href="text-templates.html">text templates</a> for details on the syntax of text templates.</p>
-</div>
-</div>
-<div class="section" id="id11">
-<span id="comments"></span><h1>3   Comments</h1>
-<p>Normal XML/HTML comment syntax can be used in templates:</p>
-<div class="highlight"><pre><span class="c">&lt;!-- this is a comment --&gt;</span>
-</pre></div>
-<p>However, such comments get passed through the processing pipeline and are by
-default included in the final output. If that's not desired, prefix the comment
-text with an exclamation mark:</p>
-<div class="highlight"><pre><span class="c">&lt;!-- !this is a comment too, but one that will be stripped from the output --&gt;</span>
-</pre></div>
-<p>Note that it does not matter whether there's whitespace before or after the
-exclamation mark, so the above could also be written as follows:</p>
-<div class="highlight"><pre><span class="c">&lt;!--! this is a comment too, but one that will be stripped from the output --&gt;</span>
-</pre></div>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/doc/xpath.html 0.7.1-2/doc/xpath.html
--- 0.7-6/doc/xpath.html	2013-01-27 16:17:14.000000000 +0000
+++ 0.7.1-2/doc/xpath.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,99 +0,0 @@
-<!DOCTYPE html>
-
-<html lang="en">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-<meta name="generator" content="Docutils 0.8.1: http://docutils.sourceforge.net/">
-<title>Genshi: Using XPath in Genshi</title>
-<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
-</head>
-<body>
-<div class="document" id="using-xpath-in-genshi">
-    <div id="navigation">
-      <span class="projinfo">Genshi 0.7</span>
-      <a href="index.html">Documentation Index</a>
-    </div>
-<h1 class="title">Using XPath in Genshi</h1>
-<p>Genshi provides basic <a class="reference external" href="http://www.w3.org/TR/xpath">XPath</a> support for matching and querying event streams.</p>
-<div class="contents topic" id="contents">
-<p class="topic-title first">Contents</p>
-<ul class="auto-toc simple">
-<li><a class="reference internal" href="#limitations" id="id1">1   Limitations</a></li>
-<li><a class="reference internal" href="#querying-streams" id="id2">2   Querying Streams</a></li>
-<li><a class="reference internal" href="#matching-in-templates" id="id3">3   Matching in Templates</a></li>
-</ul>
-</div>
-<div class="section" id="limitations">
-<h1>1   Limitations</h1>
-<p>Due to the streaming nature of the processing model, Genshi uses only a subset
-of the <a class="reference external" href="http://www.w3.org/TR/xpath">XPath 1.0</a> language.</p>
-<p>In particular, only the following axes are supported:</p>
-<ul class="simple">
-<li><tt class="docutils literal">attribute</tt></li>
-<li><tt class="docutils literal">child</tt></li>
-<li><tt class="docutils literal">descendant</tt></li>
-<li><tt class="docutils literal"><span class="pre">descendant-or-self</span></tt></li>
-<li><tt class="docutils literal">self</tt></li>
-</ul>
-<p>This means you can't use the <tt class="docutils literal">parent</tt>, ancestor, or sibling axes in Genshi
-(the <tt class="docutils literal">namespace</tt> axis isn't supported either, but what you'd ever need that
-for I don't know). Basically, any path expression that would require buffering
-of the stream is not supported.</p>
-<p>Predicates are of course supported, but path expressions <em>inside</em> predicates
-are restricted to attribute lookups (again due to the lack of buffering).</p>
-<p>Most of the XPath functions and operators are supported, however they
-(currently) only work inside predicates. The following functions are <strong>not</strong>
-supported:</p>
-<ul class="simple">
-<li><tt class="docutils literal">count()</tt></li>
-<li><tt class="docutils literal">id()</tt></li>
-<li><tt class="docutils literal">lang()</tt></li>
-<li><tt class="docutils literal">last()</tt></li>
-<li><tt class="docutils literal">position()</tt></li>
-<li><tt class="docutils literal">string()</tt></li>
-<li><tt class="docutils literal">sum()</tt></li>
-</ul>
-<p>The mathematical operators (<tt class="docutils literal">+</tt>, <tt class="docutils literal">-</tt>, <tt class="docutils literal">*</tt>, <tt class="docutils literal">div</tt>, and <tt class="docutils literal">mod</tt>) are not
-yet supported, whereas sub-expressions and the various comparison and logical
-operators should work as expected.</p>
-<p>You can also use XPath variable references (<tt class="docutils literal">$var</tt>) inside predicates.</p>
-</div>
-<div class="section" id="querying-streams">
-<h1>2   Querying Streams</h1>
-<p>The <tt class="docutils literal">Stream</tt> class provides a <tt class="docutils literal">select(path)</tt> function that can be used to
-retrieve subsets of the stream:</p>
-<div class="highlight"><pre><span class="gp">&gt;&gt;&gt; </span><span class="kn">from</span> <span class="nn">genshi.input</span> <span class="kn">import</span> <span class="n">XML</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="n">doc</span> <span class="o">=</span> <span class="n">XML</span><span class="p">(</span><span class="s">'''&lt;doc&gt;</span>
-<span class="gp">... </span><span class="s"> &lt;items count="4"&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;item status="new"&gt;</span>
-<span class="gp">... </span><span class="s">        &lt;summary&gt;Foo&lt;/summary&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;/item&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;item status="closed"&gt;</span>
-<span class="gp">... </span><span class="s">        &lt;summary&gt;Bar&lt;/summary&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;/item&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;item status="closed" resolution="invalid"&gt;</span>
-<span class="gp">... </span><span class="s">        &lt;summary&gt;Baz&lt;/summary&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;/item&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;item status="closed" resolution="fixed"&gt;</span>
-<span class="gp">... </span><span class="s">        &lt;summary&gt;Waz&lt;/summary&gt;</span>
-<span class="gp">... </span><span class="s">      &lt;/item&gt;</span>
-<span class="gp">... </span><span class="s">  &lt;/items&gt;</span>
-<span class="gp">... </span><span class="s">&lt;/doc&gt;'''</span><span class="p">)</span>
-
-<span class="gp">&gt;&gt;&gt; </span><span class="k">print</span><span class="p">(</span><span class="n">doc</span><span class="o">.</span><span class="n">select</span><span class="p">(</span><span class="s">'items/item[@status="closed" and '</span>
-<span class="gp">... </span>    <span class="s">'(@resolution="invalid" or not(@resolution))]/summary/text()'</span><span class="p">))</span>
-<span class="go">BarBaz</span>
-</pre></div>
-</div>
-<div class="section" id="matching-in-templates">
-<h1>3   Matching in Templates</h1>
-<p>See the directive <tt class="docutils literal">py:match</tt> in the <a class="reference external" href="xml-templates.html">XML Template Language Specification</a>.</p>
-</div>
-    <div id="footer">
-      Visit the Genshi open source project at
-      <a href="http://genshi.edgewall.org/">http://genshi.edgewall.org/</a>
-    </div>
-  </div>
-</body>
-</html>
diff -pruN 0.7-6/examples_to_py3k.sh 0.7.1-2/examples_to_py3k.sh
--- 0.7-6/examples_to_py3k.sh	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/examples_to_py3k.sh	2018-09-01 18:55:05.000000000 +0000
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# Script to run 2to3 on files not covered by setup.py
+#
+export PYTHONIOENCODING=utf8
+
+# General 2to3 run
+2to3 -w --no-diffs examples/
diff -pruN 0.7-6/genshi/compat.py 0.7.1-2/genshi/compat.py
--- 0.7-6/genshi/compat.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/compat.py	2018-09-01 18:55:05.000000000 +0000
@@ -35,6 +35,15 @@ else:
                 'Python 2 compatibility function. Not usable in Python 3.')
 
 
+# We need to test if an object is an instance of a string type in places
+
+if IS_PYTHON2:
+    def isstring(obj):
+        return isinstance(obj, basestring)
+else:
+    def isstring(obj):
+        return isinstance(obj, str)
+
 # We need to differentiate between StringIO and BytesIO in places
 
 if IS_PYTHON2:
@@ -112,4 +121,3 @@ except NameError:
             if not x:
                 return False
         return True
-
diff -pruN 0.7-6/genshi/core.py 0.7.1-2/genshi/core.py
--- 0.7-6/genshi/core.py	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/genshi/core.py	2018-09-01 18:55:05.000000000 +0000
@@ -270,7 +270,10 @@ COMMENT = Stream.COMMENT
 def _ensure(stream):
     """Ensure that every item on the stream is actually a markup event."""
     stream = iter(stream)
-    event = stream.next()
+    try:
+        event = stream.next()
+    except StopIteration:
+        return
 
     # Check whether the iterable is a real markup event stream by examining the
     # first item it yields; if it's not we'll need to do some conversion
diff -pruN 0.7-6/genshi/filters/i18n.py 0.7.1-2/genshi/filters/i18n.py
--- 0.7-6/genshi/filters/i18n.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/filters/i18n.py	2018-09-01 18:55:05.000000000 +0000
@@ -604,7 +604,8 @@ class Translator(DirectiveFactory):
         QName('style'), QName('http://www.w3.org/1999/xhtml}style')
     ])
     INCLUDE_ATTRS = frozenset([
-        'abbr', 'alt', 'label', 'prompt', 'standby', 'summary', 'title'
+        'abbr', 'alt', 'label', 'prompt', 'standby', 'summary', 'title',
+        'placeholder',
     ])
     NAMESPACE = I18N_NAMESPACE
 
@@ -981,7 +982,7 @@ class MessageBuffer(object):
         elif kind is TEXT:
             if '[' in data or ']' in data:
                 # Quote [ and ] if it ain't us adding it, ie, if the user is
-                # using those chars in his templates, escape them
+                # using those chars in their templates, escape them
                 data = data.replace('[', '\[').replace(']', '\]')
             self.string.append(data)
             self._add_event(self.stack[-1], (kind, data, pos))
@@ -1048,7 +1049,13 @@ class MessageBuffer(object):
 
         while parts:
             order, string = parts.pop(0)
-            events = self.events[order].pop(0)
+            events = self.events[order]
+            if events:
+                events = events.pop(0)
+            else:
+                # create a dummy empty text event so any remaining
+                # part of the translation can be processed.
+                events = [(TEXT, "", (None, -1, -1))]
             parts_counter[order].pop()
 
             for event in events:
@@ -1187,8 +1194,10 @@ def extract_from_code(code, gettext_func
                 elif arg:
                     strings.append(None)
             [_add(arg) for arg in node.args]
-            _add(node.starargs)
-            _add(node.kwargs)
+            if hasattr(node, 'starargs'):
+                _add(node.starargs)
+            if hasattr(node, 'kwargs'):
+                _add(node.kwargs)
             if len(strings) == 1:
                 strings = strings[0]
             else:
diff -pruN 0.7-6/genshi/filters/tests/i18n.py 0.7.1-2/genshi/filters/tests/i18n.py
--- 0.7-6/genshi/filters/tests/i18n.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/filters/tests/i18n.py	2018-09-01 18:55:05.000000000 +0000
@@ -928,6 +928,18 @@ class MsgDirectiveTestCase(unittest.Test
           """</p></html>""",
           tmpl.generate(first="FIRST", second="SECOND").render())
 
+    def test_translate_i18n_msg_ticket_404_regression(self):
+        tmpl = MarkupTemplate("""<html xmlns:py="http://genshi.edgewall.org/"
+            xmlns:i18n="http://genshi.edgewall.org/i18n">
+          <h1 i18n:msg="name">text <a>$name</a></h1>
+        </html>""")
+        gettext = lambda s: u'head [1:%(name)s] tail'
+        translator = Translator(gettext)
+        translator.setup(tmpl)
+        self.assertEqual("""<html>
+          <h1>head <a>NAME</a> tail</h1>
+        </html>""", tmpl.generate(name='NAME').render())
+
 
 class ChooseDirectiveTestCase(unittest.TestCase):
 
diff -pruN 0.7-6/genshi/filters/tests/test_html.py 0.7.1-2/genshi/filters/tests/test_html.py
--- 0.7-6/genshi/filters/tests/test_html.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/filters/tests/test_html.py	2018-09-01 18:55:05.000000000 +0000
@@ -368,12 +368,16 @@ def StyleSanitizer():
 
 class HTMLSanitizerTestCase(unittest.TestCase):
 
-    def assert_parse_error_or_equal(self, expected, exploit):
+    def assert_parse_error_or_equal(self, expected, exploit,
+                                    allow_strip=False):
         try:
             html = HTML(exploit)
         except ParseError:
             return
-        self.assertEquals(expected, (html | HTMLSanitizer()).render())
+        sanitized_html = (html | HTMLSanitizer()).render()
+        if not sanitized_html and allow_strip:
+            return
+        self.assertEquals(expected, sanitized_html)
 
     def test_sanitize_unchanged(self):
         html = HTML(u'<a href="#">fo<br />o</a>')
@@ -416,10 +420,12 @@ class HTMLSanitizerTestCase(unittest.Tes
         html = HTML(u'<SCRIPT SRC="http://example.com/"></SCRIPT>')
         self.assertEquals('', (html | HTMLSanitizer()).render())
         src = u'<SCR\0IPT>alert("foo")</SCR\0IPT>'
-        self.assert_parse_error_or_equal('&lt;SCR\x00IPT&gt;alert("foo")', src)
+        self.assert_parse_error_or_equal('&lt;SCR\x00IPT&gt;alert("foo")', src,
+                                         allow_strip=True)
         src = u'<SCRIPT&XYZ SRC="http://example.com/"></SCRIPT>'
         self.assert_parse_error_or_equal('&lt;SCRIPT&amp;XYZ; '
-                                         'SRC="http://example.com/"&gt;', src)
+                                         'SRC="http://example.com/"&gt;', src,
+                                         allow_strip=True)
 
     def test_sanitize_remove_onclick_attr(self):
         html = HTML(u'<div onclick=\'alert("foo")\' />')
diff -pruN 0.7-6/genshi/filters/transform.py 0.7.1-2/genshi/filters/transform.py
--- 0.7-6/genshi/filters/transform.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/filters/transform.py	2018-09-01 18:55:05.000000000 +0000
@@ -119,7 +119,7 @@ class PushBackStream(object):
                     yield event
                 except StopIteration:
                     if self.peek is None:
-                        raise
+                        return
 
 
 class Transformer(object):
diff -pruN 0.7-6/genshi/__init__.py 0.7.1-2/genshi/__init__.py
--- 0.7-6/genshi/__init__.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/__init__.py	2018-09-01 18:55:05.000000000 +0000
@@ -20,7 +20,7 @@ independently of where or how they are p
 """
 
 __docformat__ = 'restructuredtext en'
-__version__ = '0.7'
+__version__ = '0.7.1'
 
 from genshi.core import *
 from genshi.input import ParseError, XML, HTML
diff -pruN 0.7-6/genshi/output.py 0.7.1-2/genshi/output.py
--- 0.7-6/genshi/output.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/output.py	2018-09-01 18:55:05.000000000 +0000
@@ -316,7 +316,9 @@ class XHTMLSerializer(XMLSerializer):
                               'param'])
     _BOOLEAN_ATTRS = frozenset(['selected', 'checked', 'compact', 'declare',
                                 'defer', 'disabled', 'ismap', 'multiple',
-                                'nohref', 'noresize', 'noshade', 'nowrap'])
+                                'nohref', 'noresize', 'noshade', 'nowrap',
+                                'autofocus', 'readonly', 'required',
+                                'formnovalidate'])
     _PRESERVE_SPACE = frozenset([
         QName('pre'), QName('http://www.w3.org/1999/xhtml}pre'),
         QName('textarea'), QName('http://www.w3.org/1999/xhtml}textarea')
diff -pruN 0.7-6/genshi/path.py 0.7.1-2/genshi/path.py
--- 0.7-6/genshi/path.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/path.py	2018-09-01 18:55:05.000000000 +0000
@@ -1008,7 +1008,7 @@ class QualifiedNameTest(object):
         qname = QName('%s}%s' % (namespaces.get(self.prefix), self.name))
         if kind is START:
             if self.principal_type is ATTRIBUTE and qname in data[1]:
-                return Attrs([(self.name, data[1].get(self.name))])
+                return Attrs([(qname, data[1].get(qname))])
             else:
                 return data[0] == qname
     def __repr__(self):
diff -pruN 0.7-6/genshi/_speedups.c 0.7.1-2/genshi/_speedups.c
--- 0.7-6/genshi/_speedups.c	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/_speedups.c	2018-09-01 18:55:05.000000000 +0000
@@ -242,39 +242,35 @@ static PyObject *
 Markup_join(PyObject *self, PyObject *args, PyObject *kwds)
 {
     static char *kwlist[] = {"seq", "escape_quotes", 0};
-    PyObject *seq = NULL, *seq2, *tmp, *tmp2;
+    PyObject *seq = NULL, *seq2, *it, *tmp, *tmp2;
     char quotes = 1;
-    Py_ssize_t n;
-    int i;
 
     if (!PyArg_ParseTupleAndKeywords(args, kwds, "O|b", kwlist, &seq, &quotes)) {
         return NULL;
     }
-    if (!PySequence_Check(seq)) {
+    it = PyObject_GetIter(seq);
+    if (it == NULL)
         return NULL;
-    }
-    n = PySequence_Size(seq);
-    if (n < 0) {
-        return NULL;
-    }
-    seq2 = PyTuple_New(n);
+    seq2 = PyList_New(0);
     if (seq2 == NULL) {
+        Py_DECREF(it);
         return NULL;
     }
-    for (i = 0; i < n; i++) {
-        tmp = PySequence_GetItem(seq, i);
-        if (tmp == NULL) {
-            Py_DECREF(seq2);
-            return NULL;
-        }
+    while ((tmp = PyIter_Next(it))) {
         tmp2 = escape(tmp, quotes);
         if (tmp2 == NULL) {
             Py_DECREF(seq2);
+            Py_DECREF(it);
             return NULL;
         }
-        PyTuple_SET_ITEM(seq2, i, tmp2);
+        PyList_Append(seq2, tmp2);
         Py_DECREF(tmp);
     }
+    Py_DECREF(it);
+    if (PyErr_Occurred()) {
+        Py_DECREF(seq2);
+        return NULL;
+    }
     tmp = PyUnicode_Join(self, seq2);
     Py_DECREF(seq2);
     if (tmp == NULL)
diff -pruN 0.7-6/genshi/template/astutil.py 0.7.1-2/genshi/template/astutil.py
--- 0.7-6/genshi/template/astutil.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/astutil.py	2018-09-01 18:55:05.000000000 +0000
@@ -21,7 +21,7 @@ else:
     def parse(source, mode):
         return compile(source, '', mode, _ast.PyCF_ONLY_AST)
 
-from genshi.compat import IS_PYTHON2
+from genshi.compat import IS_PYTHON2, isstring
 
 __docformat__ = 'restructuredtext en'
 
@@ -103,38 +103,58 @@ class ASTCodeGenerator(object):
         self._new_line()
         return self.visit(node.body)
 
+    # Python < 3.4
     # arguments = (expr* args, identifier? vararg,
     #              identifier? kwarg, expr* defaults)
+    #
+    # Python >= 3.4
+    # arguments = (arg* args, arg? vararg, arg* kwonlyargs, expr* kw_defaults,
+    #              arg? kwarg, expr* defaults)
     def visit_arguments(self, node):
-        first = True
-        no_default_count = len(node.args) - len(node.defaults)
-        for i, arg in enumerate(node.args):
-            if not first:
-                self._write(', ')
+        def write_possible_comma():
+            if _first[0]:
+                _first[0] = False
             else:
-                first = False
-            self.visit(arg)
-            if i >= no_default_count:
-                self._write('=')
-                self.visit(node.defaults[i - no_default_count])
-        if getattr(node, 'vararg', None):
-            if not first:
                 self._write(', ')
+        _first = [True]
+
+        def write_args(args, defaults):
+            no_default_count = len(args) - len(defaults)
+            for i, arg in enumerate(args):
+                write_possible_comma()
+                self.visit(arg)
+                default_idx = i - no_default_count
+                if default_idx >= 0 and defaults[default_idx] is not None:
+                    self._write('=')
+                    self.visit(defaults[i - no_default_count])
+
+        write_args(node.args, node.defaults)
+        if getattr(node, 'vararg', None):
+            write_possible_comma()
+            self._write('*')
+            if isstring(node.vararg):
+                self._write(node.vararg)
             else:
-                first = False
-            self._write('*' + node.vararg)
+                self.visit(node.vararg)
+        if getattr(node, 'kwonlyargs', None):
+            write_args(node.kwonlyargs, node.kw_defaults)
         if getattr(node, 'kwarg', None):
-            if not first:
-                self._write(', ')
+            write_possible_comma()
+            self._write('**')
+            if isstring(node.kwarg):
+                self._write(node.kwarg)
             else:
-                first = False
-            self._write('**' + node.kwarg)
+                self.visit(node.kwarg)
 
     if not IS_PYTHON2:
         # In Python 3 arguments get a special node
         def visit_arg(self, node):
             self._write(node.arg)
 
+    def visit_Starred(self, node):
+        self._write('*')
+        self.visit(node.value)
+
     # FunctionDef(identifier name, arguments args,
     #                           stmt* body, expr* decorator_list)
     def visit_FunctionDef(self, node):
@@ -648,9 +668,13 @@ class ASTCodeGenerator(object):
             if not first:
                 self._write(', ')
             first = False
-            # keyword = (identifier arg, expr value)
-            self._write(keyword.arg)
-            self._write('=')
+            if not keyword.arg:
+                # Python 3.5+ star-star args
+                self._write('**')
+            else:
+                # keyword = (identifier arg, expr value)
+                self._write(keyword.arg)
+                self._write('=')
             self.visit(keyword.value)
         if getattr(node, 'starargs', None):
             if not first:
@@ -724,6 +748,17 @@ class ASTCodeGenerator(object):
     def visit_Name(self, node):
         self._write(node.id)
 
+    # NameConstant(singleton value)
+    def visit_NameConstant(self, node):
+        if node.value is None:
+            self._write('None')
+        elif node.value is True:
+            self._write('True')
+        elif node.value is False:
+            self._write('False')
+        else:
+            raise Exception("Unknown NameConstant %r" % (node.value,))
+
     # List(expr* elts, expr_context ctx)
     def visit_List(self, node):
         self._write('[')
@@ -829,6 +864,7 @@ class ASTTransformer(object):
     visit_Attribute = _clone
     visit_Subscript = _clone
     visit_Name = _clone
+    visit_NameConstant = _clone
     visit_List = _clone
     visit_Tuple = _clone
 
diff -pruN 0.7-6/genshi/template/base.py 0.7.1-2/genshi/template/base.py
--- 0.7-6/genshi/template/base.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/base.py	2018-09-01 18:55:05.000000000 +0000
@@ -452,8 +452,7 @@ class Template(DirectiveFactory):
     @property
     def stream(self):
         if not self._prepared:
-            self._stream = list(self._prepare(self._stream))
-            self._prepared = True
+            self._prepare_self()
         return self._stream
 
     def _parse(self, source, encoding):
@@ -470,12 +469,19 @@ class Template(DirectiveFactory):
         """
         raise NotImplementedError
 
-    def _prepare(self, stream):
+    def _prepare_self(self, inlined=None):
+        if not self._prepared:
+            self._stream = list(self._prepare(self._stream, inlined))
+            self._prepared = True
+
+    def _prepare(self, stream, inlined):
         """Call the `attach` method of every directive found in the template.
         
         :param stream: the event stream of the template
         """
         from genshi.template.loader import TemplateNotFound
+        if inlined is None:
+            inlined = set((self.filepath,))
 
         for kind, data, pos in stream:
             if kind is SUB:
@@ -486,7 +492,7 @@ class Template(DirectiveFactory):
                                                       namespaces, pos)
                     if directive:
                         directives.append(directive)
-                substream = self._prepare(substream)
+                substream = self._prepare(substream, inlined)
                 if directives:
                     yield kind, (directives, list(substream)), pos
                 else:
@@ -495,27 +501,42 @@ class Template(DirectiveFactory):
             else:
                 if kind is INCLUDE:
                     href, cls, fallback = data
-                    if isinstance(href, basestring) and \
-                            not getattr(self.loader, 'auto_reload', True):
+                    tmpl_inlined = False
+                    if (isinstance(href, basestring) and
+                            not getattr(self.loader, 'auto_reload', True)):
                         # If the path to the included template is static, and
                         # auto-reloading is disabled on the template loader,
-                        # the template is inlined into the stream
+                        # the template is inlined into the stream provided it
+                        # is not already in the stack of templates being
+                        # processed.
+                        tmpl = None
                         try:
                             tmpl = self.loader.load(href, relative_to=pos[0],
                                                     cls=cls or self.__class__)
-                            for event in tmpl.stream:
-                                yield event
                         except TemplateNotFound:
                             if fallback is None:
                                 raise
-                            for event in self._prepare(fallback):
+                        if tmpl is not None:
+                            if tmpl.filepath not in inlined:
+                                inlined.add(tmpl.filepath)
+                                tmpl._prepare_self(inlined)
+                                for event in tmpl.stream:
+                                    yield event
+                                inlined.discard(tmpl.filepath)
+                                tmpl_inlined = True
+                        else:
+                            for event in self._prepare(fallback, inlined):
                                 yield event
+                            tmpl_inlined = True
+                    if tmpl_inlined:
                         continue
-                    elif fallback:
+                    if fallback:
                         # Otherwise the include is performed at run time
-                        data = href, cls, list(self._prepare(fallback))
-
-                yield kind, data, pos
+                        data = href, cls, list(
+                            self._prepare(fallback, inlined))
+                    yield kind, data, pos
+                else:
+                    yield kind, data, pos
 
     def generate(self, *args, **kwargs):
         """Apply the template to the given context data.
diff -pruN 0.7-6/genshi/template/directives.py 0.7.1-2/genshi/template/directives.py
--- 0.7-6/genshi/template/directives.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/directives.py	2018-09-01 18:55:05.000000000 +0000
@@ -266,13 +266,21 @@ class DefDirective(Directive):
         if isinstance(ast, _ast.Call):
             self.name = ast.func.id
             for arg in ast.args:
-                # only names
-                self.args.append(arg.id)
+                if hasattr(_ast, 'Starred') and isinstance(arg, _ast.Starred):
+                    # Python 3.5+
+                    self.star_args = arg.value.id
+                else:
+                    # only names
+                    self.args.append(arg.id)
             for kwd in ast.keywords:
-                self.args.append(kwd.arg)
-                exp = Expression(kwd.value, template.filepath,
-                                 lineno, lookup=template.lookup)
-                self.defaults[kwd.arg] = exp
+                if kwd.arg is None:
+                    # Python 3.5+
+                    self.dstar_args = kwd.value.id
+                else:
+                    self.args.append(kwd.arg)
+                    exp = Expression(kwd.value, template.filepath,
+                                     lineno, lookup=template.lookup)
+                    self.defaults[kwd.arg] = exp
             if getattr(ast, 'starargs', None):
                 self.star_args = ast.starargs.id
             if getattr(ast, 'kwargs', None):
diff -pruN 0.7-6/genshi/template/eval.py 0.7.1-2/genshi/template/eval.py
--- 0.7-6/genshi/template/eval.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/eval.py	2018-09-01 18:55:05.000000000 +0000
@@ -24,7 +24,8 @@ from genshi.template.astutil import ASTT
 from genshi.template.base import TemplateRuntimeError
 from genshi.util import flatten
 
-from genshi.compat import get_code_params, build_code_chunk, IS_PYTHON2
+from genshi.compat import get_code_params, build_code_chunk, isstring, \
+                          IS_PYTHON2
 
 __all__ = ['Code', 'Expression', 'Suite', 'LenientLookup', 'StrictLookup',
            'Undefined', 'UndefinedError']
@@ -495,28 +496,34 @@ class TemplateASTTransformer(ASTTransfor
     def __init__(self):
         self.locals = [CONSTANTS]
 
+    def _process(self, names, node):
+        if not IS_PYTHON2 and isinstance(node, _ast.arg):
+            names.add(node.arg)
+        elif isstring(node):
+            names.add(node)
+        elif isinstance(node, _ast.Name):
+            names.add(node.id)
+        elif isinstance(node, _ast.alias):
+            names.add(node.asname or node.name)
+        elif isinstance(node, _ast.Tuple):
+            for elt in node.elts:
+                self._process(names, elt)
+
     def _extract_names(self, node):
         names = set()
-        def _process(node):
-            if not IS_PYTHON2 and isinstance(node, _ast.arg):
-                names.add(node.arg)
-            if isinstance(node, _ast.Name):
-                names.add(node.id)
-            elif isinstance(node, _ast.alias):
-                names.add(node.asname or node.name)
-            elif isinstance(node, _ast.Tuple):
-                for elt in node.elts:
-                    _process(elt)
         if hasattr(node, 'args'):
             for arg in node.args:
-                _process(arg)
+                self._process(names, arg)
+            if hasattr(node, 'kwonlyargs'):
+                for arg in node.kwonlyargs:
+                    self._process(names, arg)
             if hasattr(node, 'vararg'):
-                names.add(node.vararg)
+                self._process(names, node.vararg)
             if hasattr(node, 'kwarg'):
-                names.add(node.kwarg)
+                self._process(names, node.kwarg)
         elif hasattr(node, 'names'):
             for elt in node.names:
-                _process(elt)
+                self._process(names, elt)
         return names
 
     def visit_Str(self, node):
@@ -593,6 +600,11 @@ class TemplateASTTransformer(ASTTransfor
         finally:
             self.locals.pop()
 
+    # Only used in Python 3.5+
+    def visit_Starred(self, node):
+        node.value = self.visit(node.value)
+        return node
+
     def visit_Name(self, node):
         # If the name refers to a local inside a lambda, list comprehension, or
         # generator expression, leave it alone
diff -pruN 0.7-6/genshi/template/markup.py 0.7.1-2/genshi/template/markup.py
--- 0.7-6/genshi/template/markup.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/markup.py	2018-09-01 18:55:05.000000000 +0000
@@ -230,7 +230,8 @@ class MarkupTemplate(Template):
 
             elif kind is END:
                 if fallbacks and data == xinclude_ns['fallback']:
-                    assert streams.pop() is fallbacks[-1]
+                    fallback_stream = streams.pop()
+                    assert fallback_stream is fallbacks[-1]
                 elif data == xinclude_ns['include']:
                     fallback = None
                     if len(fallbacks) == len(includes):
@@ -283,10 +284,10 @@ class MarkupTemplate(Template):
 
             yield kind, data, pos
 
-    def _prepare(self, stream):
-        return Template._prepare(self,
-            self._extract_includes(self._interpolate_attrs(stream))
-        )
+    def _prepare(self, stream, inlined=None):
+        return Template._prepare(
+            self, self._extract_includes(self._interpolate_attrs(stream)),
+            inlined=inlined)
 
     def add_directives(self, namespace, factory):
         """Register a custom `DirectiveFactory` for a given namespace.
diff -pruN 0.7-6/genshi/template/tests/eval.py 0.7.1-2/genshi/template/tests/eval.py
--- 0.7-6/genshi/template/tests/eval.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/tests/eval.py	2018-09-01 18:55:05.000000000 +0000
@@ -590,6 +590,29 @@ x = smash(foo='abc', bar='def')
         suite.execute(data)
         self.assertEqual(['bardef', 'fooabc'], sorted(data['x']))
 
+    if not IS_PYTHON2:
+        def test_def_kwonlyarg(self):
+            suite = Suite("""
+def kwonly(*args, k):
+    return k
+x = kwonly(k="foo")
+""")
+            data = {}
+            suite.execute(data)
+            self.assertEqual("foo", data['x'])
+
+        def test_def_kwonlyarg_with_default(self):
+            suite = Suite("""
+def kwonly(*args, k="bar"):
+    return k
+x = kwonly(k="foo")
+y = kwonly()
+""")
+            data = {}
+            suite.execute(data)
+            self.assertEqual("foo", data['x'])
+            self.assertEqual("bar", data['y'])
+
     def test_def_nested(self):
         suite = Suite("""
 def doit():
diff -pruN 0.7-6/genshi/template/tests/markup.py 0.7.1-2/genshi/template/tests/markup.py
--- 0.7-6/genshi/template/tests/markup.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/tests/markup.py	2018-09-01 18:55:05.000000000 +0000
@@ -580,7 +580,33 @@ class MarkupTemplateTestCase(unittest.Te
         finally:
             shutil.rmtree(dirname)
 
-    def test_allow_exec_false(self): 
+    def test_include_inline_recursive(self):
+        dirname = tempfile.mkdtemp(suffix='genshi_test')
+        try:
+            file1 = open(os.path.join(dirname, 'tmpl1.html'), 'w')
+            try:
+                file1.write(
+                    '<div xmlns:xi="http://www.w3.org/2001/XInclude"'
+                    '                xmlns:py="http://genshi.edgewall.org/">'
+                    '$depth'
+                    '<py:with vars="depth = depth + 1">'
+                    '<xi:include href="tmpl1.html"'
+                    '            py:if="depth &lt; 3"/>'
+                    '</py:with>'
+                    '</div>'
+                )
+            finally:
+                file1.close()
+
+            loader = TemplateLoader([dirname], auto_reload=False)
+            tmpl = loader.load(os.path.join(dirname, 'tmpl1.html'))
+            self.assertEqual(
+                "<div>0<div>1<div>2</div></div></div>",
+                tmpl.generate(depth=0).render(encoding=None))
+        finally:
+            shutil.rmtree(dirname)
+
+    def test_allow_exec_false(self):
         xml = ("""<?python
           title = "A Genshi Template"
           ?>
diff -pruN 0.7-6/genshi/template/tests/text.py 0.7.1-2/genshi/template/tests/text.py
--- 0.7-6/genshi/template/tests/text.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/tests/text.py	2018-09-01 18:55:05.000000000 +0000
@@ -171,6 +171,19 @@ class NewTextTemplateTestCase(unittest.T
   * 2
 """, tmpl.generate(items=range(3)).render(encoding=None))
 
+    def test_empty_lines1_with_crlf(self):
+        tmpl = NewTextTemplate('Your items:\r\n'
+'\r\n'
+'{% for item in items %}\\\r\n'
+'  * ${item}\r\n'
+'{% end %}')
+
+        self.assertEqual('Your items:\r\n'
+'\r\n'
+'  * 0\r\n'
+'  * 1\r\n'
+'  * 2\r\n', tmpl.generate(items=range(3)).render(encoding=None))
+
     def test_empty_lines2(self):
         tmpl = NewTextTemplate("""Your items:
 
@@ -188,6 +201,22 @@ class NewTextTemplateTestCase(unittest.T
 
 """, tmpl.generate(items=range(3)).render(encoding=None))
 
+    def test_empty_lines2_with_crlf(self):
+        tmpl = NewTextTemplate('Your items:\r\n'
+'\r\n'
+'{% for item in items %}\\\r\n'
+'  * ${item}\r\n'
+'\r\n'
+'{% end %}')
+        self.assertEqual('Your items:\r\n'
+'\r\n'
+'  * 0\r\n'
+'\r\n'
+'  * 1\r\n'
+'\r\n'
+'  * 2\r\n'
+'\r\n', tmpl.generate(items=range(3)).render(encoding=None))
+
     def test_exec_with_trailing_space(self):
         """
         Verify that a code block with trailing space does not cause a syntax
diff -pruN 0.7-6/genshi/template/text.py 0.7.1-2/genshi/template/text.py
--- 0.7-6/genshi/template/text.py	2013-01-27 15:48:04.000000000 +0000
+++ 0.7.1-2/genshi/template/text.py	2018-09-01 18:55:05.000000000 +0000
@@ -100,7 +100,7 @@ class NewTextTemplate(Template):
 
     >>> tmpl = NewTextTemplate('''Dear $name,
     ... 
-    ... \{# This is a comment #}
+    ... \\{# This is a comment #}
     ... We have the following items for you:
     ... {% for item in items %}\
     ...  * $item
@@ -128,7 +128,7 @@ class NewTextTemplate(Template):
     serializer = 'text'
 
     _DIRECTIVE_RE = r'((?<!\\)%s\s*(\w+)\s*(.*?)\s*%s|(?<!\\)%s.*?%s)'
-    _ESCAPE_RE = r'\\\n|\\(\\)|\\(%s)|\\(%s)'
+    _ESCAPE_RE = r'\\\n|\\\r\n|\\(\\)|\\(%s)|\\(%s)'
 
     def __init__(self, source, filepath=None, filename=None, loader=None,
                  encoding=None, lookup='strict', allow_exec=False,
diff -pruN 0.7-6/genshi/tests/core.py 0.7.1-2/genshi/tests/core.py
--- 0.7-6/genshi/tests/core.py	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/genshi/tests/core.py	2018-09-01 18:55:05.000000000 +0000
@@ -139,6 +139,11 @@ class MarkupTestCase(unittest.TestCase):
         assert type(markup) is Markup
         self.assertEquals('foo<br />&lt;bar /&gt;<br /><baz />', markup)
 
+    def test_join_over_iter(self):
+        items = ['foo', '<bar />', Markup('<baz />')]
+        markup = Markup('<br />').join(i for i in items)
+        self.assertEquals('foo<br />&lt;bar /&gt;<br /><baz />', markup)
+
     def test_stripentities_all(self):
         markup = Markup('&amp; &#106;').stripentities()
         assert type(markup) is Markup
diff -pruN 0.7-6/genshi/tests/path.py 0.7.1-2/genshi/tests/path.py
--- 0.7-6/genshi/tests/path.py	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/genshi/tests/path.py	2018-09-01 18:55:05.000000000 +0000
@@ -14,6 +14,7 @@
 import doctest
 import unittest
 
+from genshi.core import Attrs, QName
 from genshi.input import XML
 from genshi.path import Path, PathParser, PathSyntaxError, GenericStrategy, \
                         SingleStepStrategy, SimplePathStrategy
@@ -630,6 +631,25 @@ class PathTestCase(unittest.TestCase):
                               '/descendant::b/descendant::c', input=xml,
                               output='')
 
+    def test_attr_selection(self):
+        xml = XML('<root><foo bar="abc"></foo></root>')
+        path = Path('foo/@bar')
+        result = path.select(xml)
+        self.assertEqual(list(result), [
+            Attrs([(QName('bar'), u'abc')])
+        ])
+
+    def test_attr_selection_with_namespace(self):
+        xml = XML(
+            '<root xmlns:ns1="http://example.com">'
+            '<foo ns1:bar="abc"></foo>'
+            '</root>')
+        path = Path('foo/@ns1:bar')
+        result = path.select(xml, namespaces={'ns1': 'http://example.com'})
+        self.assertEqual(list(result), [
+            Attrs([(QName('http://example.com}bar'), u'abc')])
+        ])
+
     def _test_support(self, strategy_class, text):
         path = PathParser(text, None, -1).parse()[0]
         return strategy_class.supports(path)
diff -pruN 0.7-6/Genshi.egg-info/dependency_links.txt 0.7.1-2/Genshi.egg-info/dependency_links.txt
--- 0.7-6/Genshi.egg-info/dependency_links.txt	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/dependency_links.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-
diff -pruN 0.7-6/Genshi.egg-info/entry_points.txt 0.7.1-2/Genshi.egg-info/entry_points.txt
--- 0.7-6/Genshi.egg-info/entry_points.txt	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/entry_points.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-
-    [babel.extractors]
-    genshi = genshi.filters.i18n:extract[i18n]
-    
-    [python.templating.engines]
-    genshi = genshi.template.plugin:MarkupTemplateEnginePlugin[plugin]
-    genshi-markup = genshi.template.plugin:MarkupTemplateEnginePlugin[plugin]
-    genshi-text = genshi.template.plugin:TextTemplateEnginePlugin[plugin]
-    
\ No newline at end of file
diff -pruN 0.7-6/Genshi.egg-info/PKG-INFO 0.7.1-2/Genshi.egg-info/PKG-INFO
--- 0.7-6/Genshi.egg-info/PKG-INFO	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/PKG-INFO	1970-01-01 00:00:00.000000000 +0000
@@ -1,27 +0,0 @@
-Metadata-Version: 1.1
-Name: Genshi
-Version: 0.7
-Summary: A toolkit for generation of output for the web
-Home-page: http://genshi.edgewall.org/
-Author: Edgewall Software
-Author-email: info@edgewall.org
-License: BSD
-Download-URL: http://genshi.edgewall.org/wiki/Download
-Description: Genshi is a Python library that provides an integrated set of
-        components for parsing, generating, and processing HTML, XML or
-        other textual content for output generation on the web. The major
-        feature is a template language, which is heavily inspired by Kid.
-Keywords: python.templating.engines
-Platform: UNKNOWN
-Classifier: Development Status :: 4 - Beta
-Classifier: Environment :: Web Environment
-Classifier: Intended Audience :: Developers
-Classifier: License :: OSI Approved :: BSD License
-Classifier: Operating System :: OS Independent
-Classifier: Programming Language :: Python
-Classifier: Programming Language :: Python :: 2
-Classifier: Programming Language :: Python :: 3
-Classifier: Topic :: Internet :: WWW/HTTP :: Dynamic Content
-Classifier: Topic :: Software Development :: Libraries :: Python Modules
-Classifier: Topic :: Text Processing :: Markup :: HTML
-Classifier: Topic :: Text Processing :: Markup :: XML
diff -pruN 0.7-6/Genshi.egg-info/requires.txt 0.7.1-2/Genshi.egg-info/requires.txt
--- 0.7-6/Genshi.egg-info/requires.txt	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/requires.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,7 +0,0 @@
-
-
-[i18n]
-Babel>=0.8
-
-[plugin]
-setuptools>=0.6a2
\ No newline at end of file
diff -pruN 0.7-6/Genshi.egg-info/SOURCES.txt 0.7.1-2/Genshi.egg-info/SOURCES.txt
--- 0.7-6/Genshi.egg-info/SOURCES.txt	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/SOURCES.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1,356 +0,0 @@
-COPYING
-ChangeLog
-MANIFEST.in
-README.txt
-setup.cfg
-setup.py
-Genshi.egg-info/PKG-INFO
-Genshi.egg-info/SOURCES.txt
-Genshi.egg-info/dependency_links.txt
-Genshi.egg-info/entry_points.txt
-Genshi.egg-info/requires.txt
-Genshi.egg-info/top_level.txt
-doc/2000ft.png
-doc/filters.html
-doc/filters.txt
-doc/i18n.html
-doc/i18n.txt
-doc/index.html
-doc/index.txt
-doc/install.html
-doc/install.txt
-doc/loader.html
-doc/loader.txt
-doc/logo.gif
-doc/logo.png
-doc/plugin.html
-doc/plugin.txt
-doc/streams.html
-doc/streams.txt
-doc/templates.html
-doc/templates.txt
-doc/text-templates.html
-doc/text-templates.txt
-doc/upgrade.html
-doc/upgrade.txt
-doc/xml-templates.html
-doc/xml-templates.txt
-doc/xpath.html
-doc/xpath.txt
-doc/api/api-objects.txt
-doc/api/class-tree.html
-doc/api/crarr.png
-doc/api/epydoc.css
-doc/api/genshi-module.html
-doc/api/genshi.builder-module.html
-doc/api/genshi.builder.Element-class.html
-doc/api/genshi.builder.ElementFactory-class.html
-doc/api/genshi.builder.Fragment-class.html
-doc/api/genshi.compat-module.html
-doc/api/genshi.core-module.html
-doc/api/genshi.core.Attrs-class.html
-doc/api/genshi.core.Markup-class.html
-doc/api/genshi.core.Namespace-class.html
-doc/api/genshi.core.QName-class.html
-doc/api/genshi.core.Stream-class.html
-doc/api/genshi.filters-module.html
-doc/api/genshi.filters.html-module.html
-doc/api/genshi.filters.html.HTMLFormFiller-class.html
-doc/api/genshi.filters.html.HTMLSanitizer-class.html
-doc/api/genshi.filters.i18n-module.html
-doc/api/genshi.filters.i18n.Translator-class.html
-doc/api/genshi.filters.transform-module.html
-doc/api/genshi.filters.transform.InjectorTransformation-class.html
-doc/api/genshi.filters.transform.StreamBuffer-class.html
-doc/api/genshi.filters.transform.Transformer-class.html
-doc/api/genshi.input-module.html
-doc/api/genshi.input.HTMLParser-class.html
-doc/api/genshi.input.ParseError-class.html
-doc/api/genshi.input.XMLParser-class.html
-doc/api/genshi.output-module.html
-doc/api/genshi.output.DocType-class.html
-doc/api/genshi.output.HTMLSerializer-class.html
-doc/api/genshi.output.TextSerializer-class.html
-doc/api/genshi.output.XHTMLSerializer-class.html
-doc/api/genshi.output.XMLSerializer-class.html
-doc/api/genshi.path-module.html
-doc/api/genshi.path.Path-class.html
-doc/api/genshi.path.PathSyntaxError-class.html
-doc/api/genshi.template-module.html
-doc/api/genshi.template._ast24-module.html
-doc/api/genshi.template._ast24.AST-class.html
-doc/api/genshi.template._ast24.Add-class.html
-doc/api/genshi.template._ast24.And-class.html
-doc/api/genshi.template._ast24.Assert-class.html
-doc/api/genshi.template._ast24.Assign-class.html
-doc/api/genshi.template._ast24.Attribute-class.html
-doc/api/genshi.template._ast24.AugAssign-class.html
-doc/api/genshi.template._ast24.AugLoad-class.html
-doc/api/genshi.template._ast24.AugStore-class.html
-doc/api/genshi.template._ast24.BinOp-class.html
-doc/api/genshi.template._ast24.BitAnd-class.html
-doc/api/genshi.template._ast24.BitOr-class.html
-doc/api/genshi.template._ast24.BitXor-class.html
-doc/api/genshi.template._ast24.BoolOp-class.html
-doc/api/genshi.template._ast24.Break-class.html
-doc/api/genshi.template._ast24.Call-class.html
-doc/api/genshi.template._ast24.ClassDef-class.html
-doc/api/genshi.template._ast24.Compare-class.html
-doc/api/genshi.template._ast24.Continue-class.html
-doc/api/genshi.template._ast24.Del-class.html
-doc/api/genshi.template._ast24.Delete-class.html
-doc/api/genshi.template._ast24.Dict-class.html
-doc/api/genshi.template._ast24.Div-class.html
-doc/api/genshi.template._ast24.Ellipsis-class.html
-doc/api/genshi.template._ast24.Eq-class.html
-doc/api/genshi.template._ast24.Exec-class.html
-doc/api/genshi.template._ast24.Expr-class.html
-doc/api/genshi.template._ast24.Expression-class.html
-doc/api/genshi.template._ast24.ExtSlice-class.html
-doc/api/genshi.template._ast24.FloorDiv-class.html
-doc/api/genshi.template._ast24.For-class.html
-doc/api/genshi.template._ast24.FunctionDef-class.html
-doc/api/genshi.template._ast24.GeneratorExp-class.html
-doc/api/genshi.template._ast24.Global-class.html
-doc/api/genshi.template._ast24.Gt-class.html
-doc/api/genshi.template._ast24.GtE-class.html
-doc/api/genshi.template._ast24.If-class.html
-doc/api/genshi.template._ast24.IfExp-class.html
-doc/api/genshi.template._ast24.Import-class.html
-doc/api/genshi.template._ast24.ImportFrom-class.html
-doc/api/genshi.template._ast24.In-class.html
-doc/api/genshi.template._ast24.Index-class.html
-doc/api/genshi.template._ast24.Interactive-class.html
-doc/api/genshi.template._ast24.Invert-class.html
-doc/api/genshi.template._ast24.Is-class.html
-doc/api/genshi.template._ast24.IsNot-class.html
-doc/api/genshi.template._ast24.LShift-class.html
-doc/api/genshi.template._ast24.Lambda-class.html
-doc/api/genshi.template._ast24.List-class.html
-doc/api/genshi.template._ast24.ListComp-class.html
-doc/api/genshi.template._ast24.Load-class.html
-doc/api/genshi.template._ast24.Lt-class.html
-doc/api/genshi.template._ast24.LtE-class.html
-doc/api/genshi.template._ast24.Mod-class.html
-doc/api/genshi.template._ast24.Module-class.html
-doc/api/genshi.template._ast24.Mult-class.html
-doc/api/genshi.template._ast24.Name-class.html
-doc/api/genshi.template._ast24.Not-class.html
-doc/api/genshi.template._ast24.NotEq-class.html
-doc/api/genshi.template._ast24.NotIn-class.html
-doc/api/genshi.template._ast24.Num-class.html
-doc/api/genshi.template._ast24.Or-class.html
-doc/api/genshi.template._ast24.Param-class.html
-doc/api/genshi.template._ast24.Pass-class.html
-doc/api/genshi.template._ast24.Pow-class.html
-doc/api/genshi.template._ast24.Print-class.html
-doc/api/genshi.template._ast24.RShift-class.html
-doc/api/genshi.template._ast24.Raise-class.html
-doc/api/genshi.template._ast24.Repr-class.html
-doc/api/genshi.template._ast24.Return-class.html
-doc/api/genshi.template._ast24.Slice-class.html
-doc/api/genshi.template._ast24.Store-class.html
-doc/api/genshi.template._ast24.Str-class.html
-doc/api/genshi.template._ast24.Sub-class.html
-doc/api/genshi.template._ast24.Subscript-class.html
-doc/api/genshi.template._ast24.Suite-class.html
-doc/api/genshi.template._ast24.TryExcept-class.html
-doc/api/genshi.template._ast24.TryFinally-class.html
-doc/api/genshi.template._ast24.Tuple-class.html
-doc/api/genshi.template._ast24.UAdd-class.html
-doc/api/genshi.template._ast24.USub-class.html
-doc/api/genshi.template._ast24.UnaryOp-class.html
-doc/api/genshi.template._ast24.While-class.html
-doc/api/genshi.template._ast24.With-class.html
-doc/api/genshi.template._ast24.Yield-class.html
-doc/api/genshi.template._ast24.alias-class.html
-doc/api/genshi.template._ast24.arguments-class.html
-doc/api/genshi.template._ast24.boolop-class.html
-doc/api/genshi.template._ast24.cmpop-class.html
-doc/api/genshi.template._ast24.comprehension-class.html
-doc/api/genshi.template._ast24.excepthandler-class.html
-doc/api/genshi.template._ast24.expr-class.html
-doc/api/genshi.template._ast24.expr_context-class.html
-doc/api/genshi.template._ast24.keyword-class.html
-doc/api/genshi.template._ast24.mod-class.html
-doc/api/genshi.template._ast24.operator-class.html
-doc/api/genshi.template._ast24.slice-class.html
-doc/api/genshi.template._ast24.stmt-class.html
-doc/api/genshi.template._ast24.unaryop-class.html
-doc/api/genshi.template.ast24-module.html
-doc/api/genshi.template.astutil-module.html
-doc/api/genshi.template.astutil.ASTCodeGenerator-class.html
-doc/api/genshi.template.astutil.ASTTransformer-class.html
-doc/api/genshi.template.base-module.html
-doc/api/genshi.template.base.BadDirectiveError-class.html
-doc/api/genshi.template.base.Context-class.html
-doc/api/genshi.template.base.DirectiveFactory-class.html
-doc/api/genshi.template.base.DirectiveFactoryMeta-class.html
-doc/api/genshi.template.base.Template-class.html
-doc/api/genshi.template.base.TemplateError-class.html
-doc/api/genshi.template.base.TemplateRuntimeError-class.html
-doc/api/genshi.template.base.TemplateSyntaxError-class.html
-doc/api/genshi.template.directives-module.html
-doc/api/genshi.template.directives.AttrsDirective-class.html
-doc/api/genshi.template.directives.ChooseDirective-class.html
-doc/api/genshi.template.directives.ContentDirective-class.html
-doc/api/genshi.template.directives.DefDirective-class.html
-doc/api/genshi.template.directives.DirectiveMeta-class.html
-doc/api/genshi.template.directives.ForDirective-class.html
-doc/api/genshi.template.directives.IfDirective-class.html
-doc/api/genshi.template.directives.MatchDirective-class.html
-doc/api/genshi.template.directives.OtherwiseDirective-class.html
-doc/api/genshi.template.directives.ReplaceDirective-class.html
-doc/api/genshi.template.directives.StripDirective-class.html
-doc/api/genshi.template.directives.WhenDirective-class.html
-doc/api/genshi.template.directives.WithDirective-class.html
-doc/api/genshi.template.eval-module.html
-doc/api/genshi.template.eval.Code-class.html
-doc/api/genshi.template.eval.Expression-class.html
-doc/api/genshi.template.eval.LenientLookup-class.html
-doc/api/genshi.template.eval.StrictLookup-class.html
-doc/api/genshi.template.eval.Suite-class.html
-doc/api/genshi.template.eval.Undefined-class.html
-doc/api/genshi.template.eval.UndefinedError-class.html
-doc/api/genshi.template.interpolation-module.html
-doc/api/genshi.template.loader-module.html
-doc/api/genshi.template.loader.TemplateLoader-class.html
-doc/api/genshi.template.loader.TemplateNotFound-class.html
-doc/api/genshi.template.markup-module.html
-doc/api/genshi.template.markup.MarkupTemplate-class.html
-doc/api/genshi.template.plugin-module.html
-doc/api/genshi.template.plugin.AbstractTemplateEnginePlugin-class.html
-doc/api/genshi.template.plugin.ConfigurationError-class.html
-doc/api/genshi.template.plugin.MarkupTemplateEnginePlugin-class.html
-doc/api/genshi.template.plugin.TextTemplateEnginePlugin-class.html
-doc/api/genshi.template.text-module.html
-doc/api/genshi.template.text.NewTextTemplate-class.html
-doc/api/genshi.template.text.OldTextTemplate-class.html
-doc/api/genshi.util-module.html
-doc/api/genshi.util.LRUCache-class.html
-doc/api/help.html
-doc/api/identifier-index.html
-doc/api/index.html
-doc/api/module-tree.html
-doc/api/redirect.html
-doc/api/since-index.html
-doc/common/COPYING
-doc/common/README.txt
-doc/common/doctools.py
-doc/common/template.html
-doc/common/conf/docutils.ini
-doc/common/conf/epydoc.ini
-doc/common/style/bkgnd_pattern.png
-doc/common/style/docutils.css
-doc/common/style/edgewall.css
-doc/common/style/epydoc.css
-doc/common/style/pygments.css
-doc/common/style/shadow.gif
-doc/common/style/vertbars.png
-examples/basic/kidrun.py
-examples/basic/layout.html
-examples/basic/layout.kid
-examples/basic/run.py
-examples/basic/test.html
-examples/basic/test.kid
-examples/bench/basic.py
-examples/bench/bigtable.py
-examples/bench/xpath.py
-examples/bench/cheetah/footer.tmpl
-examples/bench/cheetah/header.tmpl
-examples/bench/cheetah/template.tmpl
-examples/bench/clearsilver/footer.cs
-examples/bench/clearsilver/header.cs
-examples/bench/clearsilver/template.cs
-examples/bench/django/templates/base.html
-examples/bench/django/templates/template.html
-examples/bench/django/templatetags/__init__.py
-examples/bench/django/templatetags/bench.py
-examples/bench/genshi/base.html
-examples/bench/genshi/template.html
-examples/bench/genshi_text/footer.txt
-examples/bench/genshi_text/header.txt
-examples/bench/genshi_text/template.txt
-examples/bench/kid/base.kid
-examples/bench/kid/template.kid
-examples/bench/mako/footer.html
-examples/bench/mako/header.html
-examples/bench/mako/template.html
-examples/bench/myghty/base.myt
-examples/bench/myghty/template.myt
-examples/bench/simpletal/base.html
-examples/bench/simpletal/template.html
-examples/tutorial/geddit/__init__.py
-examples/tutorial/geddit/controller.py
-examples/tutorial/geddit/form.py
-examples/tutorial/geddit/model.py
-examples/tutorial/geddit/lib/__init__.py
-examples/tutorial/geddit/lib/ajax.py
-examples/tutorial/geddit/lib/template.py
-examples/tutorial/geddit/static/jquery.js
-examples/tutorial/geddit/static/layout.css
-examples/tutorial/geddit/static/logo.gif
-examples/tutorial/geddit/templates/_comment.html
-examples/tutorial/geddit/templates/_form.html
-examples/tutorial/geddit/templates/comment.html
-examples/tutorial/geddit/templates/index.html
-examples/tutorial/geddit/templates/index.xml
-examples/tutorial/geddit/templates/info.html
-examples/tutorial/geddit/templates/info.xml
-examples/tutorial/geddit/templates/layout.html
-examples/tutorial/geddit/templates/submit.html
-fixes/__init__.py
-fixes/fix_unicode_in_strings.py
-genshi/__init__.py
-genshi/_speedups.c
-genshi/builder.py
-genshi/compat.py
-genshi/core.py
-genshi/input.py
-genshi/output.py
-genshi/path.py
-genshi/util.py
-genshi/filters/__init__.py
-genshi/filters/html.py
-genshi/filters/i18n.py
-genshi/filters/transform.py
-genshi/filters/tests/__init__.py
-genshi/filters/tests/i18n.py
-genshi/filters/tests/test_html.py
-genshi/filters/tests/transform.py
-genshi/template/__init__.py
-genshi/template/_ast24.py
-genshi/template/ast24.py
-genshi/template/astutil.py
-genshi/template/base.py
-genshi/template/directives.py
-genshi/template/eval.py
-genshi/template/interpolation.py
-genshi/template/loader.py
-genshi/template/markup.py
-genshi/template/plugin.py
-genshi/template/text.py
-genshi/template/tests/__init__.py
-genshi/template/tests/base.py
-genshi/template/tests/directives.py
-genshi/template/tests/eval.py
-genshi/template/tests/interpolation.py
-genshi/template/tests/loader.py
-genshi/template/tests/markup.py
-genshi/template/tests/plugin.py
-genshi/template/tests/text.py
-genshi/template/tests/templates/__init__.py
-genshi/template/tests/templates/functions.html
-genshi/template/tests/templates/functions.txt
-genshi/template/tests/templates/new_syntax.txt
-genshi/template/tests/templates/test.html
-genshi/template/tests/templates/test.txt
-genshi/template/tests/templates/test_no_doctype.html
-genshi/tests/__init__.py
-genshi/tests/builder.py
-genshi/tests/core.py
-genshi/tests/input.py
-genshi/tests/output.py
-genshi/tests/path.py
-genshi/tests/util.py
-scripts/ast_generator.py
\ No newline at end of file
diff -pruN 0.7-6/Genshi.egg-info/top_level.txt 0.7.1-2/Genshi.egg-info/top_level.txt
--- 0.7-6/Genshi.egg-info/top_level.txt	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/Genshi.egg-info/top_level.txt	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-genshi
diff -pruN 0.7-6/PKG-INFO 0.7.1-2/PKG-INFO
--- 0.7-6/PKG-INFO	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/PKG-INFO	1970-01-01 00:00:00.000000000 +0000
@@ -1,27 +0,0 @@
-Metadata-Version: 1.1
-Name: Genshi
-Version: 0.7
-Summary: A toolkit for generation of output for the web
-Home-page: http://genshi.edgewall.org/
-Author: Edgewall Software
-Author-email: info@edgewall.org
-License: BSD
-Download-URL: http://genshi.edgewall.org/wiki/Download
-Description: Genshi is a Python library that provides an integrated set of
-        components for parsing, generating, and processing HTML, XML or
-        other textual content for output generation on the web. The major
-        feature is a template language, which is heavily inspired by Kid.
-Keywords: python.templating.engines
-Platform: UNKNOWN
-Classifier: Development Status :: 4 - Beta
-Classifier: Environment :: Web Environment
-Classifier: Intended Audience :: Developers
-Classifier: License :: OSI Approved :: BSD License
-Classifier: Operating System :: OS Independent
-Classifier: Programming Language :: Python
-Classifier: Programming Language :: Python :: 2
-Classifier: Programming Language :: Python :: 3
-Classifier: Topic :: Internet :: WWW/HTTP :: Dynamic Content
-Classifier: Topic :: Software Development :: Libraries :: Python Modules
-Classifier: Topic :: Text Processing :: Markup :: HTML
-Classifier: Topic :: Text Processing :: Markup :: XML
diff -pruN 0.7-6/run_benchmarks.sh 0.7.1-2/run_benchmarks.sh
--- 0.7-6/run_benchmarks.sh	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/run_benchmarks.sh	2018-09-01 18:55:05.000000000 +0000
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# 1. Run the tests with `tox` (this will set up all the tox envs).
+# 2. ./run_benchmarks.sh <env-name> | tee results-<env-name>.out
+
+NAME="$1"
+PYTHON="./.tox/$NAME/bin/python"
+BENCH_DIR="bench_build/$1"
+BENCH_BIN_DIR="$BENCH_DIR/bin"
+mkdir -p "bench_build"
+
+rm -rf "$BENCH_DIR"
+cp -R "examples/bench" "$BENCH_DIR"
+
+case "$NAME" in
+  py32|py33)
+    2to3 -w --no-diffs "$BENCH_DIR"
+    ;;
+esac
+
+echo "-- basic --"
+"$PYTHON" "$BENCH_DIR/basic.py" 
+echo
+
+echo "-- bigtable --"
+"$PYTHON" "$BENCH_DIR/bigtable.py"
+echo
+
+echo "-- xpath --"
+"$PYTHON" "$BENCH_DIR/xpath.py"
+echo
diff -pruN 0.7-6/setup.cfg 0.7.1-2/setup.cfg
--- 0.7-6/setup.cfg	2013-01-27 16:31:02.000000000 +0000
+++ 0.7.1-2/setup.cfg	1970-01-01 00:00:00.000000000 +0000
@@ -1,5 +0,0 @@
-[egg_info]
-tag_build = 
-tag_date = 0
-tag_svn_revision = 0
-
diff -pruN 0.7-6/setup.py 0.7.1-2/setup.py
--- 0.7-6/setup.py	2013-01-27 15:48:03.000000000 +0000
+++ 0.7.1-2/setup.py	2018-09-01 18:55:05.000000000 +0000
@@ -65,9 +65,13 @@ available.""")
 
 
 if Feature:
+    # Optional C extension module for speeding up Genshi:
+    # Not activated by default on:
+    # - PyPy (where it harms performance)
+    # - CPython >= 3.3 (the new Unicode C API is not supported yet)
     speedups = Feature(
         "optional C speed-enhancements",
-        standard = not is_pypy,
+        standard = not is_pypy and sys.version_info < (3, 3),
         ext_modules = [
             Extension('genshi._speedups', ['genshi/_speedups.c']),
         ],
@@ -111,7 +115,7 @@ packages = [
 
 setup(
     name = 'Genshi',
-    version = '0.7',
+    version = '0.7.1',
     description = 'A toolkit for generation of output for the web',
     long_description = \
 """Genshi is a Python library that provides an integrated set of
@@ -149,7 +153,7 @@ feature is a template language, which is
     entry_points = """
     [babel.extractors]
     genshi = genshi.filters.i18n:extract[i18n]
-    
+
     [python.templating.engines]
     genshi = genshi.template.plugin:MarkupTemplateEnginePlugin[plugin]
     genshi-markup = genshi.template.plugin:MarkupTemplateEnginePlugin[plugin]
diff -pruN 0.7-6/tox.ini 0.7.1-2/tox.ini
--- 0.7-6/tox.ini	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/tox.ini	2018-09-01 18:55:05.000000000 +0000
@@ -0,0 +1,8 @@
+[tox]
+envlist = py25,py26,py27,py32,py33,py34,pypy
+[testenv]
+deps=
+setenv=
+    PYTHONHASHSEED=0
+commands=
+    python setup.py test
diff -pruN 0.7-6/.travis.yml 0.7.1-2/.travis.yml
--- 0.7-6/.travis.yml	1970-01-01 00:00:00.000000000 +0000
+++ 0.7.1-2/.travis.yml	2018-09-01 18:55:05.000000000 +0000
@@ -0,0 +1,26 @@
+language: python
+matrix:
+  include:
+    - { python: "2.6" }
+    - { python: "2.7" }
+    - { python: "3.2" }
+    - { python: "3.3" }
+    - { python: "3.4" }
+    - { python: "3.5" }
+    - { python: "3.6" }
+    - { python: "3.7", dist: xenial, sudo: true }  # Python 3.7+ requires Xenial
+    - { python: "pypy" }
+    - { python: "pypy3" }
+  allow_failures:
+    - python: "nightly"
+script:
+  - "python setup.py test"
+deploy:
+  provider: pypi
+  user: edgewall-org
+  password:
+    secure: "W86OIU/V9PbXdERXbR1vTOw/GvxoNyn5gt7n52TGqjI1BcklX1t31uPgBnf0wmlp/kY9vMbOYhuqUWpBhbMKMBY6zOuNnCV0H5vynZ/nWefSBK6Fqyl2zTsdLYfzUKAIPBldYcaiJMZ6eD++ujVsgWN6XglP7jYogqjJFxxNf6s="
+  distributions: "sdist bdist_wheel"
+  on:
+    tags: true
+    python: "3.6"
